#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6580
#define LARGE_STATE_COUNT 1132
#define SYMBOL_COUNT 397
#define ALIAS_COUNT 7
#define TOKEN_COUNT 174
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 359

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  sym_glimmer_opening_tag = 47,
  sym_glimmer_closing_tag = 48,
  aux_sym_jsx_text_token1 = 49,
  aux_sym_jsx_text_token2 = 50,
  sym_html_character_reference = 51,
  anon_sym_GT = 52,
  sym_jsx_identifier = 53,
  anon_sym_DOT = 54,
  anon_sym_LT_SLASH = 55,
  anon_sym_SLASH_GT = 56,
  anon_sym_DQUOTE = 57,
  anon_sym_SQUOTE = 58,
  sym_unescaped_double_jsx_string_fragment = 59,
  sym_unescaped_single_jsx_string_fragment = 60,
  anon_sym_class = 61,
  anon_sym_async = 62,
  anon_sym_function = 63,
  anon_sym_EQ_GT = 64,
  anon_sym_QMARK_DOT = 65,
  anon_sym_new = 66,
  anon_sym_using = 67,
  anon_sym_PLUS_EQ = 68,
  anon_sym_DASH_EQ = 69,
  anon_sym_STAR_EQ = 70,
  anon_sym_SLASH_EQ = 71,
  anon_sym_PERCENT_EQ = 72,
  anon_sym_CARET_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_PIPE_EQ = 75,
  anon_sym_GT_GT_EQ = 76,
  anon_sym_GT_GT_GT_EQ = 77,
  anon_sym_LT_LT_EQ = 78,
  anon_sym_STAR_STAR_EQ = 79,
  anon_sym_AMP_AMP_EQ = 80,
  anon_sym_PIPE_PIPE_EQ = 81,
  anon_sym_QMARK_QMARK_EQ = 82,
  anon_sym_DOT_DOT_DOT = 83,
  anon_sym_AMP_AMP = 84,
  anon_sym_PIPE_PIPE = 85,
  anon_sym_GT_GT = 86,
  anon_sym_GT_GT_GT = 87,
  anon_sym_LT_LT = 88,
  anon_sym_AMP = 89,
  anon_sym_CARET = 90,
  anon_sym_PIPE = 91,
  anon_sym_PLUS = 92,
  anon_sym_DASH = 93,
  anon_sym_SLASH = 94,
  anon_sym_PERCENT = 95,
  anon_sym_STAR_STAR = 96,
  anon_sym_LT = 97,
  anon_sym_LT_EQ = 98,
  anon_sym_EQ_EQ = 99,
  anon_sym_EQ_EQ_EQ = 100,
  anon_sym_BANG_EQ = 101,
  anon_sym_BANG_EQ_EQ = 102,
  anon_sym_GT_EQ = 103,
  anon_sym_QMARK_QMARK = 104,
  anon_sym_instanceof = 105,
  anon_sym_TILDE = 106,
  anon_sym_void = 107,
  anon_sym_delete = 108,
  anon_sym_PLUS_PLUS = 109,
  anon_sym_DASH_DASH = 110,
  sym_unescaped_double_string_fragment = 111,
  sym_unescaped_single_string_fragment = 112,
  sym_escape_sequence = 113,
  sym_comment = 114,
  anon_sym_BQUOTE = 115,
  anon_sym_DOLLAR_LBRACE = 116,
  anon_sym_SLASH2 = 117,
  sym_regex_pattern = 118,
  sym_regex_flags = 119,
  sym_number = 120,
  sym_private_property_identifier = 121,
  anon_sym_target = 122,
  sym_this = 123,
  sym_super = 124,
  sym_true = 125,
  sym_false = 126,
  sym_null = 127,
  sym_undefined = 128,
  anon_sym_AT = 129,
  anon_sym_static = 130,
  anon_sym_readonly = 131,
  anon_sym_get = 132,
  anon_sym_set = 133,
  anon_sym_QMARK = 134,
  anon_sym_declare = 135,
  anon_sym_public = 136,
  anon_sym_private = 137,
  anon_sym_protected = 138,
  anon_sym_override = 139,
  anon_sym_module = 140,
  anon_sym_any = 141,
  anon_sym_number = 142,
  anon_sym_boolean = 143,
  anon_sym_string = 144,
  anon_sym_symbol = 145,
  anon_sym_object = 146,
  anon_sym_abstract = 147,
  anon_sym_accessor = 148,
  anon_sym_satisfies = 149,
  anon_sym_require = 150,
  anon_sym_extends = 151,
  anon_sym_implements = 152,
  anon_sym_global = 153,
  anon_sym_interface = 154,
  anon_sym_enum = 155,
  anon_sym_DASH_QMARK_COLON = 156,
  anon_sym_PLUS_QMARK_COLON = 157,
  anon_sym_QMARK_COLON = 158,
  anon_sym_asserts = 159,
  anon_sym_infer = 160,
  anon_sym_is = 161,
  anon_sym_keyof = 162,
  anon_sym_unique = 163,
  anon_sym_unknown = 164,
  anon_sym_never = 165,
  anon_sym_LBRACE_PIPE = 166,
  anon_sym_PIPE_RBRACE = 167,
  sym__automatic_semicolon = 168,
  sym__template_chars = 169,
  sym__ternary_qmark = 170,
  sym_html_comment = 171,
  sym__function_signature_automatic_semicolon = 172,
  sym___error_recovery = 173,
  sym_program = 174,
  sym_export_statement = 175,
  sym_namespace_export = 176,
  sym_export_clause = 177,
  sym_export_specifier = 178,
  sym__module_export_name = 179,
  sym_declaration = 180,
  sym_import = 181,
  sym_import_statement = 182,
  sym_import_clause = 183,
  sym__from_clause = 184,
  sym_namespace_import = 185,
  sym_named_imports = 186,
  sym_import_specifier = 187,
  sym_import_attribute = 188,
  sym_statement = 189,
  sym_expression_statement = 190,
  sym_variable_declaration = 191,
  sym_lexical_declaration = 192,
  sym_variable_declarator = 193,
  sym_statement_block = 194,
  sym_else_clause = 195,
  sym_if_statement = 196,
  sym_switch_statement = 197,
  sym_for_statement = 198,
  sym_for_in_statement = 199,
  sym__for_header = 200,
  sym_while_statement = 201,
  sym_do_statement = 202,
  sym_try_statement = 203,
  sym_with_statement = 204,
  sym_break_statement = 205,
  sym_continue_statement = 206,
  sym_debugger_statement = 207,
  sym_return_statement = 208,
  sym_throw_statement = 209,
  sym_empty_statement = 210,
  sym_labeled_statement = 211,
  sym_switch_body = 212,
  sym_switch_case = 213,
  sym_switch_default = 214,
  sym_catch_clause = 215,
  sym_finally_clause = 216,
  sym_parenthesized_expression = 217,
  sym_expression = 218,
  sym_primary_expression = 219,
  sym_yield_expression = 220,
  sym_object = 221,
  sym_object_pattern = 222,
  sym_assignment_pattern = 223,
  sym_object_assignment_pattern = 224,
  sym_array = 225,
  sym_array_pattern = 226,
  sym_glimmer_template = 227,
  sym_jsx_element = 228,
  sym_jsx_text = 229,
  sym_jsx_expression = 230,
  sym_jsx_opening_element = 231,
  sym_nested_identifier = 232,
  sym_jsx_namespace_name = 233,
  sym_jsx_closing_element = 234,
  sym_jsx_self_closing_element = 235,
  sym_jsx_attribute = 236,
  sym__jsx_string = 237,
  sym_class = 238,
  sym_class_declaration = 239,
  sym_class_heritage = 240,
  sym_function_expression = 241,
  sym_function_declaration = 242,
  sym_generator_function = 243,
  sym_generator_function_declaration = 244,
  sym_arrow_function = 245,
  sym__call_signature = 246,
  sym__formal_parameter = 247,
  sym_optional_chain = 248,
  sym_call_expression = 249,
  sym_new_expression = 250,
  sym_await_expression = 251,
  sym_member_expression = 252,
  sym_subscript_expression = 253,
  sym_assignment_expression = 254,
  sym__augmented_assignment_lhs = 255,
  sym_augmented_assignment_expression = 256,
  sym__initializer = 257,
  sym__destructuring_pattern = 258,
  sym_spread_element = 259,
  sym_ternary_expression = 260,
  sym_binary_expression = 261,
  sym_unary_expression = 262,
  sym_update_expression = 263,
  sym_sequence_expression = 264,
  sym_string = 265,
  sym_template_string = 266,
  sym_template_substitution = 267,
  sym_regex = 268,
  sym_meta_property = 269,
  sym_arguments = 270,
  sym_decorator = 271,
  sym_decorator_member_expression = 272,
  sym_decorator_call_expression = 273,
  sym_class_body = 274,
  sym_formal_parameters = 275,
  sym_class_static_block = 276,
  sym_pattern = 277,
  sym_rest_pattern = 278,
  sym_method_definition = 279,
  sym_pair = 280,
  sym_pair_pattern = 281,
  sym__property_name = 282,
  sym_computed_property_name = 283,
  sym_public_field_definition = 284,
  sym__import_identifier = 285,
  sym_non_null_expression = 286,
  sym_method_signature = 287,
  sym_abstract_method_signature = 288,
  sym_function_signature = 289,
  sym_as_expression = 290,
  sym_satisfies_expression = 291,
  sym_instantiation_expression = 292,
  sym_import_require_clause = 293,
  sym_extends_clause = 294,
  sym__extends_clause_single = 295,
  sym_implements_clause = 296,
  sym_ambient_declaration = 297,
  sym_abstract_class_declaration = 298,
  sym_module = 299,
  sym_internal_module = 300,
  sym__module = 301,
  sym_import_alias = 302,
  sym_nested_type_identifier = 303,
  sym_interface_declaration = 304,
  sym_extends_type_clause = 305,
  sym_enum_declaration = 306,
  sym_enum_body = 307,
  sym_enum_assignment = 308,
  sym_type_alias_declaration = 309,
  sym_accessibility_modifier = 310,
  sym_override_modifier = 311,
  sym_required_parameter = 312,
  sym_optional_parameter = 313,
  sym__parameter_name = 314,
  sym_omitting_type_annotation = 315,
  sym_adding_type_annotation = 316,
  sym_opting_type_annotation = 317,
  sym_type_annotation = 318,
  sym__type_query_member_expression_in_type_annotation = 319,
  sym__type_query_call_expression_in_type_annotation = 320,
  sym_asserts = 321,
  sym_asserts_annotation = 322,
  sym_type = 323,
  sym_tuple_parameter = 324,
  sym_optional_tuple_parameter = 325,
  sym_optional_type = 326,
  sym_rest_type = 327,
  sym__tuple_type_member = 328,
  sym_constructor_type = 329,
  sym_primary_type = 330,
  sym_template_type = 331,
  sym_template_literal_type = 332,
  sym_infer_type = 333,
  sym_conditional_type = 334,
  sym_generic_type = 335,
  sym_type_predicate = 336,
  sym_type_predicate_annotation = 337,
  sym__type_query_member_expression = 338,
  sym__type_query_subscript_expression = 339,
  sym__type_query_call_expression = 340,
  sym__type_query_instantiation_expression = 341,
  sym_type_query = 342,
  sym_index_type_query = 343,
  sym_lookup_type = 344,
  sym_mapped_type_clause = 345,
  sym_literal_type = 346,
  sym__number = 347,
  sym_existential_type = 348,
  sym_flow_maybe_type = 349,
  sym_parenthesized_type = 350,
  sym_predefined_type = 351,
  sym_type_arguments = 352,
  sym_object_type = 353,
  sym_call_signature = 354,
  sym_property_signature = 355,
  sym_type_parameters = 356,
  sym_type_parameter = 357,
  sym_default_type = 358,
  sym_constraint = 359,
  sym_construct_signature = 360,
  sym_index_signature = 361,
  sym_array_type = 362,
  sym_tuple_type = 363,
  sym_readonly_type = 364,
  sym_union_type = 365,
  sym_intersection_type = 366,
  sym_function_type = 367,
  aux_sym_program_repeat1 = 368,
  aux_sym_export_statement_repeat1 = 369,
  aux_sym_export_clause_repeat1 = 370,
  aux_sym_named_imports_repeat1 = 371,
  aux_sym_variable_declaration_repeat1 = 372,
  aux_sym_switch_body_repeat1 = 373,
  aux_sym_object_repeat1 = 374,
  aux_sym_object_pattern_repeat1 = 375,
  aux_sym_array_repeat1 = 376,
  aux_sym_array_pattern_repeat1 = 377,
  aux_sym_glimmer_template_repeat1 = 378,
  aux_sym_jsx_element_repeat1 = 379,
  aux_sym__jsx_string_repeat1 = 380,
  aux_sym__jsx_string_repeat2 = 381,
  aux_sym_sequence_expression_repeat1 = 382,
  aux_sym_string_repeat1 = 383,
  aux_sym_string_repeat2 = 384,
  aux_sym_template_string_repeat1 = 385,
  aux_sym_class_body_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym__jsx_start_opening_element_repeat1 = 388,
  aux_sym_extends_clause_repeat1 = 389,
  aux_sym_implements_clause_repeat1 = 390,
  aux_sym_extends_type_clause_repeat1 = 391,
  aux_sym_enum_body_repeat1 = 392,
  aux_sym_template_literal_type_repeat1 = 393,
  aux_sym_object_type_repeat1 = 394,
  aux_sym_type_parameters_repeat1 = 395,
  aux_sym_tuple_type_repeat1 = 396,
  alias_sym_interface_body = 397,
  alias_sym_property_identifier = 398,
  alias_sym_shorthand_property_identifier = 399,
  alias_sym_shorthand_property_identifier_pattern = 400,
  alias_sym_statement_identifier = 401,
  alias_sym_this_type = 402,
  alias_sym_type_identifier = 403,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_accessor] = "accessor",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym_type] = "type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym_primary_type] = "primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_accessor] = anon_sym_accessor,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym_type] = sym_type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym_primary_type] = sym_primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accessor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 3, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 1},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 2},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 2},
  [25] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 2},
  [31] = {.index = 38, .length = 2},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 6},
  [37] = {.index = 53, .length = 1},
  [38] = {.index = 54, .length = 3},
  [39] = {.index = 57, .length = 3},
  [40] = {.index = 60, .length = 2},
  [41] = {.index = 62, .length = 2},
  [42] = {.index = 64, .length = 2},
  [43] = {.index = 66, .length = 2},
  [44] = {.index = 68, .length = 1},
  [45] = {.index = 69, .length = 3},
  [46] = {.index = 72, .length = 2},
  [47] = {.index = 74, .length = 1},
  [48] = {.index = 75, .length = 2},
  [51] = {.index = 77, .length = 2},
  [52] = {.index = 79, .length = 2},
  [53] = {.index = 81, .length = 2},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 2},
  [56] = {.index = 86, .length = 4},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 1},
  [60] = {.index = 94, .length = 1},
  [61] = {.index = 95, .length = 1},
  [62] = {.index = 96, .length = 2},
  [63] = {.index = 98, .length = 2},
  [64] = {.index = 94, .length = 1},
  [65] = {.index = 27, .length = 2},
  [66] = {.index = 31, .length = 2},
  [67] = {.index = 100, .length = 3},
  [68] = {.index = 72, .length = 2},
  [69] = {.index = 72, .length = 2},
  [70] = {.index = 103, .length = 2},
  [71] = {.index = 103, .length = 2},
  [72] = {.index = 105, .length = 3},
  [73] = {.index = 105, .length = 3},
  [74] = {.index = 108, .length = 3},
  [75] = {.index = 111, .length = 2},
  [76] = {.index = 113, .length = 2},
  [77] = {.index = 115, .length = 4},
  [78] = {.index = 119, .length = 3},
  [79] = {.index = 122, .length = 2},
  [80] = {.index = 124, .length = 2},
  [81] = {.index = 126, .length = 1},
  [82] = {.index = 127, .length = 1},
  [83] = {.index = 103, .length = 2},
  [84] = {.index = 27, .length = 2},
  [85] = {.index = 128, .length = 2},
  [86] = {.index = 130, .length = 5},
  [87] = {.index = 135, .length = 1},
  [88] = {.index = 136, .length = 1},
  [89] = {.index = 137, .length = 2},
  [90] = {.index = 139, .length = 3},
  [91] = {.index = 142, .length = 2},
  [92] = {.index = 144, .length = 3},
  [93] = {.index = 147, .length = 6},
  [94] = {.index = 153, .length = 1},
  [95] = {.index = 154, .length = 1},
  [96] = {.index = 155, .length = 3},
  [97] = {.index = 158, .length = 3},
  [98] = {.index = 161, .length = 4},
  [99] = {.index = 165, .length = 2},
  [100] = {.index = 167, .length = 2},
  [101] = {.index = 169, .length = 3},
  [102] = {.index = 172, .length = 4},
  [103] = {.index = 176, .length = 1},
  [104] = {.index = 177, .length = 2},
  [105] = {.index = 179, .length = 1},
  [106] = {.index = 180, .length = 2},
  [107] = {.index = 182, .length = 3},
  [108] = {.index = 185, .length = 2},
  [109] = {.index = 187, .length = 4},
  [110] = {.index = 191, .length = 3},
  [111] = {.index = 194, .length = 2},
  [112] = {.index = 196, .length = 2},
  [113] = {.index = 198, .length = 2},
  [114] = {.index = 200, .length = 2},
  [115] = {.index = 202, .length = 2},
  [118] = {.index = 202, .length = 2},
  [119] = {.index = 204, .length = 4},
  [120] = {.index = 208, .length = 2},
  [121] = {.index = 210, .length = 2},
  [122] = {.index = 212, .length = 4},
  [123] = {.index = 210, .length = 2},
  [124] = {.index = 216, .length = 4},
  [125] = {.index = 220, .length = 4},
  [126] = {.index = 224, .length = 5},
  [127] = {.index = 229, .length = 3},
  [128] = {.index = 232, .length = 2},
  [129] = {.index = 232, .length = 2},
  [130] = {.index = 234, .length = 2},
  [131] = {.index = 236, .length = 2},
  [132] = {.index = 238, .length = 2},
  [133] = {.index = 240, .length = 2},
  [134] = {.index = 242, .length = 2},
  [135] = {.index = 244, .length = 2},
  [136] = {.index = 246, .length = 3},
  [137] = {.index = 244, .length = 2},
  [138] = {.index = 240, .length = 2},
  [139] = {.index = 142, .length = 2},
  [140] = {.index = 249, .length = 1},
  [141] = {.index = 249, .length = 1},
  [142] = {.index = 180, .length = 2},
  [143] = {.index = 182, .length = 3},
  [144] = {.index = 250, .length = 2},
  [145] = {.index = 252, .length = 3},
  [146] = {.index = 255, .length = 2},
  [147] = {.index = 257, .length = 3},
  [148] = {.index = 260, .length = 2},
  [149] = {.index = 262, .length = 3},
  [150] = {.index = 265, .length = 1},
  [151] = {.index = 266, .length = 2},
  [152] = {.index = 268, .length = 2},
  [153] = {.index = 270, .length = 5},
  [154] = {.index = 266, .length = 2},
  [155] = {.index = 275, .length = 1},
  [156] = {.index = 276, .length = 4},
  [157] = {.index = 280, .length = 2},
  [158] = {.index = 282, .length = 1},
  [159] = {.index = 283, .length = 2},
  [160] = {.index = 285, .length = 2},
  [161] = {.index = 287, .length = 2},
  [162] = {.index = 289, .length = 4},
  [163] = {.index = 293, .length = 2},
  [164] = {.index = 295, .length = 3},
  [165] = {.index = 298, .length = 3},
  [166] = {.index = 301, .length = 3},
  [167] = {.index = 304, .length = 4},
  [168] = {.index = 308, .length = 1},
  [169] = {.index = 309, .length = 2},
  [170] = {.index = 311, .length = 4},
  [171] = {.index = 315, .length = 4},
  [172] = {.index = 319, .length = 4},
  [173] = {.index = 323, .length = 2},
  [174] = {.index = 325, .length = 2},
  [175] = {.index = 327, .length = 4},
  [176] = {.index = 327, .length = 4},
  [177] = {.index = 331, .length = 4},
  [178] = {.index = 331, .length = 4},
  [179] = {.index = 335, .length = 4},
  [180] = {.index = 339, .length = 4},
  [181] = {.index = 343, .length = 5},
  [182] = {.index = 348, .length = 3},
  [183] = {.index = 351, .length = 3},
  [184] = {.index = 351, .length = 3},
  [185] = {.index = 354, .length = 2},
  [186] = {.index = 356, .length = 3},
  [187] = {.index = 359, .length = 2},
  [188] = {.index = 359, .length = 2},
  [189] = {.index = 301, .length = 3},
  [190] = {.index = 361, .length = 3},
  [191] = {.index = 364, .length = 3},
  [192] = {.index = 137, .length = 2},
  [193] = {.index = 367, .length = 2},
  [194] = {.index = 369, .length = 3},
  [195] = {.index = 372, .length = 4},
  [196] = {.index = 376, .length = 3},
  [197] = {.index = 379, .length = 3},
  [198] = {.index = 382, .length = 2},
  [199] = {.index = 384, .length = 3},
  [200] = {.index = 387, .length = 5},
  [201] = {.index = 382, .length = 2},
  [202] = {.index = 392, .length = 3},
  [203] = {.index = 392, .length = 3},
  [204] = {.index = 395, .length = 3},
  [205] = {.index = 398, .length = 2},
  [206] = {.index = 400, .length = 4},
  [207] = {.index = 137, .length = 2},
  [208] = {.index = 404, .length = 1},
  [209] = {.index = 405, .length = 1},
  [210] = {.index = 406, .length = 2},
  [211] = {.index = 408, .length = 2},
  [212] = {.index = 410, .length = 2},
  [213] = {.index = 412, .length = 2},
  [214] = {.index = 414, .length = 3},
  [215] = {.index = 417, .length = 3},
  [216] = {.index = 420, .length = 2},
  [217] = {.index = 422, .length = 3},
  [218] = {.index = 425, .length = 3},
  [219] = {.index = 428, .length = 3},
  [220] = {.index = 431, .length = 3},
  [221] = {.index = 434, .length = 4},
  [222] = {.index = 438, .length = 2},
  [223] = {.index = 440, .length = 2},
  [224] = {.index = 442, .length = 1},
  [225] = {.index = 443, .length = 4},
  [226] = {.index = 443, .length = 4},
  [227] = {.index = 447, .length = 2},
  [228] = {.index = 449, .length = 3},
  [229] = {.index = 452, .length = 5},
  [230] = {.index = 457, .length = 3},
  [231] = {.index = 460, .length = 2},
  [232] = {.index = 462, .length = 2},
  [233] = {.index = 464, .length = 2},
  [234] = {.index = 466, .length = 1},
  [235] = {.index = 467, .length = 4},
  [236] = {.index = 471, .length = 3},
  [237] = {.index = 474, .length = 4},
  [238] = {.index = 478, .length = 5},
  [239] = {.index = 483, .length = 1},
  [240] = {.index = 484, .length = 2},
  [241] = {.index = 486, .length = 4},
  [242] = {.index = 490, .length = 4},
  [243] = {.index = 494, .length = 2},
  [244] = {.index = 496, .length = 4},
  [245] = {.index = 500, .length = 4},
  [246] = {.index = 504, .length = 2},
  [247] = {.index = 506, .length = 2},
  [248] = {.index = 508, .length = 2},
  [249] = {.index = 510, .length = 2},
  [250] = {.index = 512, .length = 3},
  [251] = {.index = 515, .length = 3},
  [252] = {.index = 518, .length = 1},
  [253] = {.index = 519, .length = 1},
  [254] = {.index = 520, .length = 2},
  [255] = {.index = 522, .length = 3},
  [256] = {.index = 525, .length = 3},
  [257] = {.index = 528, .length = 3},
  [258] = {.index = 531, .length = 3},
  [259] = {.index = 534, .length = 4},
  [260] = {.index = 538, .length = 4},
  [261] = {.index = 542, .length = 3},
  [262] = {.index = 545, .length = 2},
  [263] = {.index = 547, .length = 2},
  [264] = {.index = 549, .length = 4},
  [265] = {.index = 553, .length = 4},
  [266] = {.index = 557, .length = 4},
  [267] = {.index = 561, .length = 3},
  [268] = {.index = 564, .length = 2},
  [270] = {.index = 566, .length = 4},
  [271] = {.index = 570, .length = 5},
  [272] = {.index = 575, .length = 5},
  [273] = {.index = 580, .length = 5},
  [274] = {.index = 585, .length = 3},
  [275] = {.index = 588, .length = 3},
  [276] = {.index = 591, .length = 3},
  [277] = {.index = 588, .length = 3},
  [278] = {.index = 594, .length = 2},
  [279] = {.index = 596, .length = 4},
  [280] = {.index = 600, .length = 4},
  [281] = {.index = 604, .length = 2},
  [282] = {.index = 606, .length = 2},
  [283] = {.index = 608, .length = 3},
  [284] = {.index = 611, .length = 3},
  [285] = {.index = 614, .length = 2},
  [286] = {.index = 616, .length = 2},
  [287] = {.index = 618, .length = 1},
  [288] = {.index = 619, .length = 3},
  [289] = {.index = 622, .length = 3},
  [290] = {.index = 625, .length = 3},
  [291] = {.index = 628, .length = 3},
  [292] = {.index = 631, .length = 4},
  [293] = {.index = 635, .length = 4},
  [294] = {.index = 639, .length = 2},
  [295] = {.index = 641, .length = 3},
  [296] = {.index = 644, .length = 2},
  [297] = {.index = 646, .length = 4},
  [298] = {.index = 650, .length = 4},
  [299] = {.index = 654, .length = 4},
  [300] = {.index = 658, .length = 3},
  [301] = {.index = 661, .length = 5},
  [302] = {.index = 666, .length = 5},
  [303] = {.index = 671, .length = 4},
  [304] = {.index = 675, .length = 3},
  [305] = {.index = 678, .length = 4},
  [306] = {.index = 682, .length = 2},
  [307] = {.index = 684, .length = 2},
  [308] = {.index = 686, .length = 3},
  [309] = {.index = 689, .length = 3},
  [310] = {.index = 689, .length = 3},
  [311] = {.index = 692, .length = 2},
  [312] = {.index = 694, .length = 2},
  [313] = {.index = 696, .length = 1},
  [314] = {.index = 697, .length = 3},
  [315] = {.index = 700, .length = 3},
  [316] = {.index = 703, .length = 4},
  [317] = {.index = 707, .length = 4},
  [318] = {.index = 711, .length = 3},
  [319] = {.index = 714, .length = 3},
  [320] = {.index = 717, .length = 2},
  [321] = {.index = 719, .length = 4},
  [322] = {.index = 723, .length = 5},
  [323] = {.index = 728, .length = 5},
  [324] = {.index = 733, .length = 4},
  [325] = {.index = 733, .length = 4},
  [326] = {.index = 737, .length = 4},
  [327] = {.index = 741, .length = 3},
  [328] = {.index = 744, .length = 2},
  [329] = {.index = 746, .length = 2},
  [330] = {.index = 748, .length = 3},
  [331] = {.index = 751, .length = 2},
  [332] = {.index = 753, .length = 2},
  [333] = {.index = 755, .length = 4},
  [334] = {.index = 759, .length = 4},
  [335] = {.index = 763, .length = 3},
  [336] = {.index = 766, .length = 3},
  [337] = {.index = 769, .length = 4},
  [338] = {.index = 773, .length = 3},
  [339] = {.index = 776, .length = 3},
  [340] = {.index = 779, .length = 2},
  [341] = {.index = 781, .length = 5},
  [342] = {.index = 786, .length = 3},
  [343] = {.index = 789, .length = 2},
  [344] = {.index = 791, .length = 2},
  [345] = {.index = 793, .length = 3},
  [346] = {.index = 796, .length = 4},
  [347] = {.index = 800, .length = 4},
  [348] = {.index = 804, .length = 3},
  [349] = {.index = 807, .length = 3},
  [350] = {.index = 810, .length = 4},
  [351] = {.index = 814, .length = 3},
  [352] = {.index = 817, .length = 3},
  [353] = {.index = 820, .length = 3},
  [354] = {.index = 823, .length = 4},
  [355] = {.index = 827, .length = 3},
  [356] = {.index = 830, .length = 3},
  [357] = {.index = 833, .length = 4},
  [358] = {.index = 837, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [14] =
    {field_constructor, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_argument, 0},
    {field_operator, 1},
  [19] =
    {field_type_arguments, 1},
  [20] =
    {field_parameters, 0},
    {field_return_type, 1},
  [22] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [24] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [26] =
    {field_declaration, 2},
  [27] =
    {field_left, 0},
    {field_right, 2},
  [29] =
    {field_body, 2},
    {field_label, 0},
  [31] =
    {field_body, 2},
    {field_parameter, 0},
  [33] =
    {field_body, 1},
    {field_name, 0},
  [35] =
    {field_source, 1},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [40] =
    {field_name, 0},
    {field_type, 1},
  [42] =
    {field_kind, 0},
  [43] =
    {field_condition, 1},
    {field_consequence, 2},
  [45] =
    {field_body, 2},
    {field_value, 1},
  [47] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_pattern, 1},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [62] =
    {field_body, 2},
    {field_condition, 1},
  [64] =
    {field_body, 1},
    {field_handler, 2},
  [66] =
    {field_body, 1},
    {field_finalizer, 2},
  [68] =
    {field_label, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_body, 2},
    {field_name, 1},
  [74] =
    {field_value, 0},
  [75] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [77] =
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [79] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
  [81] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [83] =
    {field_body, 2},
  [84] =
    {field_body, 2},
    {field_type_parameters, 1},
  [86] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_arguments, 2},
    {field_constructor, 1},
  [92] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [94] =
    {field_name, 1},
  [95] =
    {field_attribute, 0},
  [96] =
    {field_name, 0},
    {field_value, 1},
  [98] =
    {field_constraint, 1},
    {field_name, 0},
  [100] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [103] =
    {field_object, 0},
    {field_property, 2},
  [105] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [108] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [111] =
    {field_arguments, 2},
    {field_function, 0},
  [113] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [115] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [119] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [122] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [124] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [126] =
    {field_source, 2, .inherited = true},
  [127] =
    {field_value, 2},
  [128] =
    {field_key, 0},
    {field_value, 2},
  [130] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [135] =
    {field_source, 2},
  [136] =
    {field_value, 1},
  [137] =
    {field_name, 0},
    {field_type, 2},
  [139] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [147] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [153] =
    {field_type, 2},
  [154] =
    {field_pattern, 2},
  [155] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [158] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [161] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [167] =
    {field_body, 1},
    {field_condition, 3},
  [169] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [172] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [176] =
    {field_decorator, 0, .inherited = true},
  [177] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [179] =
    {field_decorator, 1, .inherited = true},
  [180] =
    {field_body, 3},
    {field_name, 1},
  [182] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_type_arguments, 1},
    {field_value, 0},
  [187] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [191] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [194] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [196] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [198] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [200] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [202] =
    {field_name, 0},
    {field_type_arguments, 1},
  [204] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [208] =
    {field_body, 3},
    {field_type_parameters, 1},
  [210] =
    {field_body, 3},
    {field_parameter, 1},
  [212] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [216] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [220] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [224] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [229] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [232] =
    {field_left, 1},
    {field_right, 3},
  [234] =
    {field_flags, 3},
    {field_pattern, 1},
  [236] =
    {field_name, 1},
    {field_value, 2},
  [238] =
    {field_constraint, 2},
    {field_name, 1},
  [240] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [242] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [244] =
    {field_name, 1},
    {field_type_arguments, 2},
  [246] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [249] =
    {field_type, 1},
  [250] =
    {field_index, 2},
    {field_object, 0},
  [252] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [255] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [257] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [260] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [262] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [265] =
    {field_source, 3, .inherited = true},
  [266] =
    {field_alias, 2},
    {field_name, 0},
  [268] =
    {field_name, 1},
    {field_value, 3},
  [270] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [275] =
    {field_pattern, 3},
  [276] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [280] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [282] =
    {field_name, 2},
  [283] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [285] =
    {field_name, 1},
    {field_type, 2},
  [287] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [289] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [293] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [295] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [298] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [301] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [304] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [308] =
    {field_parameters, 1},
  [309] =
    {field_function, 0},
    {field_type_arguments, 1},
  [311] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [315] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [319] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [323] =
    {field_module, 0},
    {field_name, 2},
  [325] =
    {field_parameters, 0},
    {field_return_type, 2},
  [327] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [331] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [335] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [339] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [343] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [348] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [351] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [354] =
    {field_body, 4},
    {field_name, 2},
  [356] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [359] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [361] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [364] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [367] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [369] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [372] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [376] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [379] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [382] =
    {field_alias, 3},
    {field_name, 1},
  [384] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [387] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [392] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [395] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [398] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [400] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [404] =
    {field_type, 3},
  [405] =
    {field_name, 3},
  [406] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [408] =
    {field_name, 2},
    {field_type, 3},
  [410] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [412] =
    {field_name, 1},
    {field_type, 3},
  [414] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [417] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [420] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [422] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [425] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [428] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [431] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [434] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [438] =
    {field_parameters, 1},
    {field_type, 2},
  [440] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [442] =
    {field_parameters, 2},
  [443] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [447] =
    {field_parameters, 1},
    {field_type, 3},
  [449] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [452] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [457] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [460] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [462] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [464] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [466] =
    {field_name, 2, .inherited = true},
  [467] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [471] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [474] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [478] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [483] =
    {field_source, 4},
  [484] =
    {field_body, 3},
    {field_value, 1},
  [486] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [490] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [494] =
    {field_body, 4},
    {field_parameter, 2},
  [496] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [500] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [504] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [506] =
    {field_name, 3},
    {field_type, 4},
  [508] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [510] =
    {field_name, 2},
    {field_type, 4},
  [512] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [515] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [518] =
    {field_name, 4},
  [519] =
    {field_type, 4},
  [520] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [522] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [525] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [528] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [531] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [534] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [538] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [542] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [545] =
    {field_parameters, 2},
    {field_type, 3},
  [547] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [549] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [553] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [557] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [561] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [564] =
    {field_parameters, 2},
    {field_type, 4},
  [566] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [570] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [575] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [580] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [585] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [588] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [591] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [594] =
    {field_sign, 0},
    {field_type, 5},
  [596] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [600] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [604] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [606] =
    {field_name, 3},
    {field_type, 5},
  [608] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [611] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [614] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [616] =
    {field_name, 4},
    {field_type, 5},
  [618] =
    {field_name, 5},
  [619] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [622] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [625] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [628] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [631] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [635] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [639] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [641] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [644] =
    {field_index, 3},
    {field_object, 0},
  [646] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [650] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [654] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [658] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [661] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [666] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [671] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [675] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [678] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [682] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [684] =
    {field_name, 4},
    {field_type, 6},
  [686] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [689] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [692] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [694] =
    {field_name, 5},
    {field_type, 6},
  [696] =
    {field_name, 6},
  [697] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [700] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [703] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [707] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [711] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [714] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [717] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [719] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [723] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [728] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [733] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [737] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [741] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [744] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [746] =
    {field_name, 5},
    {field_type, 7},
  [748] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [751] =
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [753] =
    {field_name, 6},
    {field_type, 7},
  [755] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [759] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [763] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [766] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [769] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [773] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [776] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [779] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
  [781] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [786] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [789] =
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [791] =
    {field_name, 6},
    {field_type, 8},
  [793] =
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [796] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [800] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [804] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [807] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [810] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [814] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_value, 8, .inherited = true},
  [817] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 8},
  [820] =
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [823] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [827] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_value, 9, .inherited = true},
  [830] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 9},
  [833] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 8},
    {field_value, 9, .inherited = true},
  [837] =
    {field_decorator, 0, .inherited = true},
    {field_name, 7},
    {field_type, 9},
    {field_value, 10, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [22] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = alias_sym_statement_identifier,
  },
  [24] = {
    [0] = sym_identifier,
  },
  [26] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [28] = {
    [1] = sym_identifier,
  },
  [44] = {
    [1] = alias_sym_statement_identifier,
  },
  [46] = {
    [1] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_this_type,
  },
  [59] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [0] = alias_sym_type_identifier,
  },
  [63] = {
    [0] = alias_sym_type_identifier,
  },
  [64] = {
    [1] = sym_member_expression,
  },
  [68] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [70] = {
    [2] = alias_sym_property_identifier,
  },
  [72] = {
    [2] = alias_sym_property_identifier,
  },
  [83] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [84] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [115] = {
    [0] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [1] = anon_sym_unique,
  },
  [121] = {
    [1] = sym_identifier,
  },
  [128] = {
    [1] = sym_identifier,
  },
  [131] = {
    [1] = alias_sym_type_identifier,
  },
  [132] = {
    [1] = alias_sym_type_identifier,
  },
  [136] = {
    [0] = alias_sym_type_identifier,
  },
  [137] = {
    [1] = sym_member_expression,
  },
  [138] = {
    [1] = sym_member_expression,
  },
  [139] = {
    [2] = alias_sym_type_identifier,
  },
  [140] = {
    [1] = alias_sym_type_identifier,
  },
  [142] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [147] = {
    [2] = alias_sym_type_identifier,
  },
  [152] = {
    [1] = alias_sym_type_identifier,
  },
  [154] = {
    [0] = sym_identifier,
  },
  [166] = {
    [1] = alias_sym_type_identifier,
  },
  [173] = {
    [2] = alias_sym_type_identifier,
  },
  [175] = {
    [2] = alias_sym_property_identifier,
  },
  [177] = {
    [2] = alias_sym_property_identifier,
  },
  [182] = {
    [1] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = sym_member_expression,
  },
  [185] = {
    [2] = alias_sym_type_identifier,
  },
  [186] = {
    [2] = alias_sym_type_identifier,
  },
  [187] = {
    [1] = alias_sym_type_identifier,
  },
  [189] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [192] = {
    [0] = sym_identifier,
  },
  [194] = {
    [2] = alias_sym_type_identifier,
  },
  [195] = {
    [2] = alias_sym_type_identifier,
  },
  [197] = {
    [3] = alias_sym_type_identifier,
  },
  [199] = {
    [1] = alias_sym_type_identifier,
  },
  [201] = {
    [1] = sym_identifier,
  },
  [202] = {
    [1] = sym_identifier,
  },
  [207] = {
    [0] = alias_sym_type_identifier,
  },
  [225] = {
    [2] = alias_sym_property_identifier,
  },
  [230] = {
    [2] = alias_sym_type_identifier,
  },
  [235] = {
    [2] = alias_sym_type_identifier,
  },
  [236] = {
    [3] = alias_sym_type_identifier,
  },
  [237] = {
    [3] = alias_sym_type_identifier,
  },
  [269] = {
    [3] = alias_sym_property_identifier,
  },
  [270] = {
    [3] = alias_sym_type_identifier,
  },
  [275] = {
    [1] = sym_identifier,
  },
  [276] = {
    [0] = alias_sym_type_identifier,
  },
  [309] = {
    [2] = sym_identifier,
  },
  [324] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 14,
  [20] = 14,
  [21] = 17,
  [22] = 17,
  [23] = 14,
  [24] = 17,
  [25] = 14,
  [26] = 17,
  [27] = 14,
  [28] = 17,
  [29] = 17,
  [30] = 14,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 32,
  [39] = 35,
  [40] = 40,
  [41] = 37,
  [42] = 32,
  [43] = 40,
  [44] = 44,
  [45] = 45,
  [46] = 31,
  [47] = 33,
  [48] = 34,
  [49] = 36,
  [50] = 44,
  [51] = 31,
  [52] = 52,
  [53] = 31,
  [54] = 31,
  [55] = 31,
  [56] = 31,
  [57] = 31,
  [58] = 31,
  [59] = 31,
  [60] = 35,
  [61] = 37,
  [62] = 40,
  [63] = 44,
  [64] = 45,
  [65] = 33,
  [66] = 34,
  [67] = 36,
  [68] = 45,
  [69] = 69,
  [70] = 69,
  [71] = 69,
  [72] = 72,
  [73] = 73,
  [74] = 73,
  [75] = 72,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 73,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 85,
  [87] = 85,
  [88] = 88,
  [89] = 85,
  [90] = 85,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 91,
  [95] = 91,
  [96] = 96,
  [97] = 97,
  [98] = 91,
  [99] = 93,
  [100] = 93,
  [101] = 96,
  [102] = 91,
  [103] = 97,
  [104] = 104,
  [105] = 97,
  [106] = 106,
  [107] = 107,
  [108] = 88,
  [109] = 91,
  [110] = 91,
  [111] = 96,
  [112] = 93,
  [113] = 113,
  [114] = 91,
  [115] = 115,
  [116] = 93,
  [117] = 83,
  [118] = 93,
  [119] = 96,
  [120] = 91,
  [121] = 91,
  [122] = 91,
  [123] = 91,
  [124] = 93,
  [125] = 91,
  [126] = 91,
  [127] = 91,
  [128] = 104,
  [129] = 106,
  [130] = 93,
  [131] = 131,
  [132] = 91,
  [133] = 131,
  [134] = 131,
  [135] = 93,
  [136] = 131,
  [137] = 131,
  [138] = 131,
  [139] = 139,
  [140] = 131,
  [141] = 131,
  [142] = 131,
  [143] = 143,
  [144] = 144,
  [145] = 144,
  [146] = 144,
  [147] = 144,
  [148] = 144,
  [149] = 144,
  [150] = 150,
  [151] = 151,
  [152] = 144,
  [153] = 144,
  [154] = 144,
  [155] = 155,
  [156] = 155,
  [157] = 155,
  [158] = 155,
  [159] = 155,
  [160] = 155,
  [161] = 155,
  [162] = 155,
  [163] = 155,
  [164] = 164,
  [165] = 165,
  [166] = 164,
  [167] = 164,
  [168] = 165,
  [169] = 165,
  [170] = 164,
  [171] = 165,
  [172] = 172,
  [173] = 172,
  [174] = 172,
  [175] = 175,
  [176] = 176,
  [177] = 176,
  [178] = 172,
  [179] = 172,
  [180] = 176,
  [181] = 172,
  [182] = 172,
  [183] = 172,
  [184] = 175,
  [185] = 172,
  [186] = 186,
  [187] = 186,
  [188] = 188,
  [189] = 189,
  [190] = 189,
  [191] = 191,
  [192] = 188,
  [193] = 191,
  [194] = 188,
  [195] = 191,
  [196] = 189,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 198,
  [202] = 198,
  [203] = 198,
  [204] = 198,
  [205] = 198,
  [206] = 198,
  [207] = 207,
  [208] = 207,
  [209] = 209,
  [210] = 207,
  [211] = 211,
  [212] = 212,
  [213] = 197,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 197,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 228,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 241,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 249,
  [251] = 197,
  [252] = 249,
  [253] = 197,
  [254] = 197,
  [255] = 197,
  [256] = 256,
  [257] = 197,
  [258] = 249,
  [259] = 197,
  [260] = 249,
  [261] = 197,
  [262] = 249,
  [263] = 249,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 266,
  [268] = 266,
  [269] = 266,
  [270] = 266,
  [271] = 271,
  [272] = 272,
  [273] = 266,
  [274] = 266,
  [275] = 266,
  [276] = 266,
  [277] = 266,
  [278] = 266,
  [279] = 279,
  [280] = 266,
  [281] = 281,
  [282] = 282,
  [283] = 279,
  [284] = 266,
  [285] = 285,
  [286] = 286,
  [287] = 282,
  [288] = 271,
  [289] = 266,
  [290] = 286,
  [291] = 279,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 297,
  [300] = 297,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 301,
  [309] = 309,
  [310] = 305,
  [311] = 306,
  [312] = 306,
  [313] = 313,
  [314] = 309,
  [315] = 307,
  [316] = 301,
  [317] = 304,
  [318] = 305,
  [319] = 306,
  [320] = 307,
  [321] = 305,
  [322] = 309,
  [323] = 309,
  [324] = 324,
  [325] = 309,
  [326] = 309,
  [327] = 307,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 301,
  [332] = 304,
  [333] = 333,
  [334] = 304,
  [335] = 309,
  [336] = 336,
  [337] = 305,
  [338] = 304,
  [339] = 305,
  [340] = 304,
  [341] = 307,
  [342] = 307,
  [343] = 301,
  [344] = 309,
  [345] = 306,
  [346] = 346,
  [347] = 307,
  [348] = 348,
  [349] = 304,
  [350] = 307,
  [351] = 301,
  [352] = 309,
  [353] = 353,
  [354] = 305,
  [355] = 301,
  [356] = 356,
  [357] = 305,
  [358] = 301,
  [359] = 304,
  [360] = 304,
  [361] = 361,
  [362] = 362,
  [363] = 307,
  [364] = 306,
  [365] = 313,
  [366] = 306,
  [367] = 361,
  [368] = 368,
  [369] = 301,
  [370] = 305,
  [371] = 356,
  [372] = 372,
  [373] = 306,
  [374] = 306,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 376,
  [397] = 397,
  [398] = 394,
  [399] = 395,
  [400] = 400,
  [401] = 401,
  [402] = 377,
  [403] = 397,
  [404] = 404,
  [405] = 378,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 392,
  [411] = 411,
  [412] = 379,
  [413] = 392,
  [414] = 397,
  [415] = 380,
  [416] = 375,
  [417] = 381,
  [418] = 382,
  [419] = 383,
  [420] = 384,
  [421] = 385,
  [422] = 386,
  [423] = 387,
  [424] = 397,
  [425] = 388,
  [426] = 426,
  [427] = 389,
  [428] = 390,
  [429] = 397,
  [430] = 391,
  [431] = 397,
  [432] = 432,
  [433] = 397,
  [434] = 400,
  [435] = 375,
  [436] = 426,
  [437] = 432,
  [438] = 376,
  [439] = 377,
  [440] = 378,
  [441] = 411,
  [442] = 379,
  [443] = 381,
  [444] = 382,
  [445] = 383,
  [446] = 384,
  [447] = 385,
  [448] = 386,
  [449] = 387,
  [450] = 388,
  [451] = 389,
  [452] = 390,
  [453] = 391,
  [454] = 454,
  [455] = 455,
  [456] = 394,
  [457] = 395,
  [458] = 401,
  [459] = 397,
  [460] = 400,
  [461] = 461,
  [462] = 426,
  [463] = 432,
  [464] = 454,
  [465] = 376,
  [466] = 377,
  [467] = 467,
  [468] = 378,
  [469] = 379,
  [470] = 381,
  [471] = 382,
  [472] = 383,
  [473] = 384,
  [474] = 385,
  [475] = 386,
  [476] = 387,
  [477] = 388,
  [478] = 389,
  [479] = 390,
  [480] = 391,
  [481] = 394,
  [482] = 395,
  [483] = 397,
  [484] = 400,
  [485] = 485,
  [486] = 406,
  [487] = 407,
  [488] = 488,
  [489] = 375,
  [490] = 490,
  [491] = 432,
  [492] = 376,
  [493] = 377,
  [494] = 378,
  [495] = 411,
  [496] = 379,
  [497] = 381,
  [498] = 382,
  [499] = 383,
  [500] = 384,
  [501] = 385,
  [502] = 386,
  [503] = 387,
  [504] = 388,
  [505] = 389,
  [506] = 390,
  [507] = 391,
  [508] = 411,
  [509] = 395,
  [510] = 397,
  [511] = 400,
  [512] = 426,
  [513] = 432,
  [514] = 376,
  [515] = 377,
  [516] = 516,
  [517] = 378,
  [518] = 379,
  [519] = 381,
  [520] = 382,
  [521] = 383,
  [522] = 384,
  [523] = 385,
  [524] = 386,
  [525] = 387,
  [526] = 388,
  [527] = 389,
  [528] = 390,
  [529] = 391,
  [530] = 394,
  [531] = 395,
  [532] = 397,
  [533] = 533,
  [534] = 400,
  [535] = 406,
  [536] = 407,
  [537] = 375,
  [538] = 411,
  [539] = 432,
  [540] = 376,
  [541] = 377,
  [542] = 378,
  [543] = 379,
  [544] = 381,
  [545] = 382,
  [546] = 383,
  [547] = 384,
  [548] = 385,
  [549] = 386,
  [550] = 387,
  [551] = 388,
  [552] = 389,
  [553] = 390,
  [554] = 391,
  [555] = 392,
  [556] = 394,
  [557] = 395,
  [558] = 397,
  [559] = 400,
  [560] = 406,
  [561] = 407,
  [562] = 375,
  [563] = 411,
  [564] = 432,
  [565] = 376,
  [566] = 377,
  [567] = 407,
  [568] = 378,
  [569] = 379,
  [570] = 381,
  [571] = 382,
  [572] = 383,
  [573] = 384,
  [574] = 385,
  [575] = 386,
  [576] = 387,
  [577] = 388,
  [578] = 389,
  [579] = 390,
  [580] = 391,
  [581] = 394,
  [582] = 395,
  [583] = 397,
  [584] = 400,
  [585] = 406,
  [586] = 407,
  [587] = 375,
  [588] = 411,
  [589] = 406,
  [590] = 406,
  [591] = 407,
  [592] = 426,
  [593] = 426,
  [594] = 432,
  [595] = 376,
  [596] = 377,
  [597] = 378,
  [598] = 379,
  [599] = 381,
  [600] = 382,
  [601] = 383,
  [602] = 384,
  [603] = 385,
  [604] = 386,
  [605] = 387,
  [606] = 388,
  [607] = 389,
  [608] = 390,
  [609] = 391,
  [610] = 394,
  [611] = 395,
  [612] = 397,
  [613] = 400,
  [614] = 406,
  [615] = 407,
  [616] = 426,
  [617] = 432,
  [618] = 411,
  [619] = 406,
  [620] = 407,
  [621] = 621,
  [622] = 426,
  [623] = 426,
  [624] = 375,
  [625] = 411,
  [626] = 375,
  [627] = 394,
  [628] = 628,
  [629] = 628,
  [630] = 628,
  [631] = 631,
  [632] = 631,
  [633] = 631,
  [634] = 634,
  [635] = 634,
  [636] = 634,
  [637] = 637,
  [638] = 637,
  [639] = 637,
  [640] = 640,
  [641] = 640,
  [642] = 640,
  [643] = 643,
  [644] = 644,
  [645] = 644,
  [646] = 643,
  [647] = 222,
  [648] = 644,
  [649] = 643,
  [650] = 225,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 655,
  [657] = 655,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 660,
  [662] = 662,
  [663] = 662,
  [664] = 662,
  [665] = 660,
  [666] = 659,
  [667] = 659,
  [668] = 668,
  [669] = 669,
  [670] = 669,
  [671] = 671,
  [672] = 671,
  [673] = 671,
  [674] = 671,
  [675] = 668,
  [676] = 676,
  [677] = 676,
  [678] = 671,
  [679] = 679,
  [680] = 671,
  [681] = 676,
  [682] = 682,
  [683] = 671,
  [684] = 671,
  [685] = 685,
  [686] = 224,
  [687] = 216,
  [688] = 671,
  [689] = 689,
  [690] = 232,
  [691] = 671,
  [692] = 671,
  [693] = 227,
  [694] = 232,
  [695] = 227,
  [696] = 696,
  [697] = 689,
  [698] = 689,
  [699] = 224,
  [700] = 700,
  [701] = 671,
  [702] = 669,
  [703] = 230,
  [704] = 233,
  [705] = 216,
  [706] = 215,
  [707] = 209,
  [708] = 671,
  [709] = 709,
  [710] = 668,
  [711] = 671,
  [712] = 671,
  [713] = 671,
  [714] = 679,
  [715] = 715,
  [716] = 716,
  [717] = 229,
  [718] = 671,
  [719] = 715,
  [720] = 715,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 234,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 715,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 715,
  [737] = 715,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 715,
  [743] = 743,
  [744] = 715,
  [745] = 745,
  [746] = 715,
  [747] = 211,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 230,
  [807] = 233,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 764,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 764,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 245,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 764,
  [855] = 855,
  [856] = 764,
  [857] = 218,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 871,
  [873] = 870,
  [874] = 871,
  [875] = 870,
  [876] = 871,
  [877] = 870,
  [878] = 871,
  [879] = 870,
  [880] = 880,
  [881] = 734,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 735,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 894,
  [897] = 894,
  [898] = 898,
  [899] = 895,
  [900] = 898,
  [901] = 894,
  [902] = 895,
  [903] = 898,
  [904] = 895,
  [905] = 895,
  [906] = 894,
  [907] = 895,
  [908] = 895,
  [909] = 894,
  [910] = 894,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 915,
  [917] = 917,
  [918] = 917,
  [919] = 915,
  [920] = 914,
  [921] = 921,
  [922] = 915,
  [923] = 915,
  [924] = 914,
  [925] = 914,
  [926] = 917,
  [927] = 915,
  [928] = 914,
  [929] = 917,
  [930] = 915,
  [931] = 914,
  [932] = 917,
  [933] = 914,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 934,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 935,
  [950] = 936,
  [951] = 937,
  [952] = 939,
  [953] = 940,
  [954] = 941,
  [955] = 942,
  [956] = 937,
  [957] = 934,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 943,
  [963] = 944,
  [964] = 945,
  [965] = 946,
  [966] = 947,
  [967] = 967,
  [968] = 968,
  [969] = 961,
  [970] = 935,
  [971] = 936,
  [972] = 972,
  [973] = 973,
  [974] = 937,
  [975] = 934,
  [976] = 959,
  [977] = 939,
  [978] = 940,
  [979] = 941,
  [980] = 942,
  [981] = 972,
  [982] = 973,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 939,
  [989] = 940,
  [990] = 990,
  [991] = 960,
  [992] = 972,
  [993] = 973,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 941,
  [998] = 942,
  [999] = 999,
  [1000] = 1000,
  [1001] = 935,
  [1002] = 936,
  [1003] = 948,
  [1004] = 968,
  [1005] = 1005,
  [1006] = 948,
  [1007] = 944,
  [1008] = 945,
  [1009] = 946,
  [1010] = 947,
  [1011] = 967,
  [1012] = 935,
  [1013] = 936,
  [1014] = 972,
  [1015] = 973,
  [1016] = 937,
  [1017] = 934,
  [1018] = 958,
  [1019] = 939,
  [1020] = 940,
  [1021] = 990,
  [1022] = 941,
  [1023] = 942,
  [1024] = 1024,
  [1025] = 943,
  [1026] = 944,
  [1027] = 945,
  [1028] = 946,
  [1029] = 947,
  [1030] = 972,
  [1031] = 973,
  [1032] = 1032,
  [1033] = 968,
  [1034] = 990,
  [1035] = 1035,
  [1036] = 1005,
  [1037] = 935,
  [1038] = 936,
  [1039] = 968,
  [1040] = 990,
  [1041] = 972,
  [1042] = 973,
  [1043] = 968,
  [1044] = 990,
  [1045] = 937,
  [1046] = 934,
  [1047] = 939,
  [1048] = 940,
  [1049] = 941,
  [1050] = 942,
  [1051] = 968,
  [1052] = 968,
  [1053] = 943,
  [1054] = 943,
  [1055] = 944,
  [1056] = 945,
  [1057] = 946,
  [1058] = 947,
  [1059] = 944,
  [1060] = 990,
  [1061] = 945,
  [1062] = 946,
  [1063] = 947,
  [1064] = 1064,
  [1065] = 935,
  [1066] = 936,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 972,
  [1070] = 973,
  [1071] = 937,
  [1072] = 934,
  [1073] = 939,
  [1074] = 940,
  [1075] = 941,
  [1076] = 942,
  [1077] = 943,
  [1078] = 944,
  [1079] = 945,
  [1080] = 946,
  [1081] = 947,
  [1082] = 948,
  [1083] = 990,
  [1084] = 948,
  [1085] = 948,
  [1086] = 948,
  [1087] = 943,
  [1088] = 1088,
  [1089] = 1088,
  [1090] = 1088,
  [1091] = 1088,
  [1092] = 1088,
  [1093] = 1088,
  [1094] = 1088,
  [1095] = 1088,
  [1096] = 1088,
  [1097] = 1088,
  [1098] = 1088,
  [1099] = 1088,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1101,
  [1103] = 1100,
  [1104] = 1104,
  [1105] = 1101,
  [1106] = 1100,
  [1107] = 1104,
  [1108] = 1104,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1109,
  [1112] = 1112,
  [1113] = 1112,
  [1114] = 1114,
  [1115] = 1114,
  [1116] = 1116,
  [1117] = 1112,
  [1118] = 1116,
  [1119] = 1119,
  [1120] = 1119,
  [1121] = 1121,
  [1122] = 1112,
  [1123] = 1123,
  [1124] = 1112,
  [1125] = 1125,
  [1126] = 1116,
  [1127] = 1112,
  [1128] = 1123,
  [1129] = 1110,
  [1130] = 1119,
  [1131] = 1123,
  [1132] = 1112,
  [1133] = 1133,
  [1134] = 1133,
  [1135] = 1112,
  [1136] = 1133,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1147,
  [1149] = 1112,
  [1150] = 1147,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1146,
  [1154] = 1154,
  [1155] = 1109,
  [1156] = 1156,
  [1157] = 1112,
  [1158] = 1141,
  [1159] = 1159,
  [1160] = 1112,
  [1161] = 1112,
  [1162] = 1143,
  [1163] = 1112,
  [1164] = 1164,
  [1165] = 1159,
  [1166] = 1146,
  [1167] = 1159,
  [1168] = 1168,
  [1169] = 1141,
  [1170] = 1112,
  [1171] = 734,
  [1172] = 1112,
  [1173] = 1110,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1141,
  [1177] = 1121,
  [1178] = 1178,
  [1179] = 735,
  [1180] = 1180,
  [1181] = 1141,
  [1182] = 1112,
  [1183] = 1112,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1174,
  [1187] = 1141,
  [1188] = 1141,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1189,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1180,
  [1198] = 1141,
  [1199] = 1112,
  [1200] = 1189,
  [1201] = 1189,
  [1202] = 1185,
  [1203] = 1189,
  [1204] = 1189,
  [1205] = 1189,
  [1206] = 1180,
  [1207] = 1207,
  [1208] = 1174,
  [1209] = 1141,
  [1210] = 1189,
  [1211] = 1184,
  [1212] = 1189,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1154,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1207,
  [1219] = 1196,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1144,
  [1223] = 1154,
  [1224] = 1141,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1226,
  [1228] = 1141,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1230,
  [1232] = 1207,
  [1233] = 1233,
  [1234] = 1214,
  [1235] = 1141,
  [1236] = 1225,
  [1237] = 1174,
  [1238] = 1196,
  [1239] = 1174,
  [1240] = 1233,
  [1241] = 1144,
  [1242] = 1154,
  [1243] = 1225,
  [1244] = 1144,
  [1245] = 1174,
  [1246] = 1174,
  [1247] = 1140,
  [1248] = 1175,
  [1249] = 1142,
  [1250] = 1233,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1207,
  [1254] = 1230,
  [1255] = 1175,
  [1256] = 1141,
  [1257] = 1257,
  [1258] = 1164,
  [1259] = 1190,
  [1260] = 1196,
  [1261] = 1230,
  [1262] = 1233,
  [1263] = 1230,
  [1264] = 1196,
  [1265] = 1233,
  [1266] = 734,
  [1267] = 1252,
  [1268] = 1257,
  [1269] = 1251,
  [1270] = 1156,
  [1271] = 1230,
  [1272] = 1145,
  [1273] = 1273,
  [1274] = 1257,
  [1275] = 1251,
  [1276] = 1233,
  [1277] = 1139,
  [1278] = 1174,
  [1279] = 1174,
  [1280] = 1151,
  [1281] = 735,
  [1282] = 1141,
  [1283] = 1196,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1154,
  [1287] = 1174,
  [1288] = 1196,
  [1289] = 1144,
  [1290] = 1290,
  [1291] = 1230,
  [1292] = 1292,
  [1293] = 1220,
  [1294] = 1292,
  [1295] = 1230,
  [1296] = 1175,
  [1297] = 1144,
  [1298] = 1154,
  [1299] = 1196,
  [1300] = 1196,
  [1301] = 1175,
  [1302] = 1233,
  [1303] = 1233,
  [1304] = 1191,
  [1305] = 1305,
  [1306] = 1233,
  [1307] = 1196,
  [1308] = 1185,
  [1309] = 1309,
  [1310] = 1309,
  [1311] = 1309,
  [1312] = 1230,
  [1313] = 1230,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1233,
  [1317] = 1144,
  [1318] = 1230,
  [1319] = 1230,
  [1320] = 1309,
  [1321] = 1233,
  [1322] = 1309,
  [1323] = 1233,
  [1324] = 1154,
  [1325] = 1309,
  [1326] = 1175,
  [1327] = 1327,
  [1328] = 1184,
  [1329] = 1329,
  [1330] = 1233,
  [1331] = 1190,
  [1332] = 1230,
  [1333] = 1233,
  [1334] = 1233,
  [1335] = 1175,
  [1336] = 1230,
  [1337] = 1284,
  [1338] = 1214,
  [1339] = 1230,
  [1340] = 1175,
  [1341] = 1273,
  [1342] = 1230,
  [1343] = 1233,
  [1344] = 1175,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1346,
  [1348] = 1220,
  [1349] = 1349,
  [1350] = 1345,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1346,
  [1354] = 1349,
  [1355] = 1352,
  [1356] = 1346,
  [1357] = 1345,
  [1358] = 1351,
  [1359] = 1352,
  [1360] = 1351,
  [1361] = 1349,
  [1362] = 1349,
  [1363] = 1290,
  [1364] = 1351,
  [1365] = 1345,
  [1366] = 1351,
  [1367] = 1352,
  [1368] = 1346,
  [1369] = 1352,
  [1370] = 1352,
  [1371] = 1346,
  [1372] = 1349,
  [1373] = 1346,
  [1374] = 1233,
  [1375] = 1346,
  [1376] = 1175,
  [1377] = 1349,
  [1378] = 1346,
  [1379] = 1345,
  [1380] = 1351,
  [1381] = 1230,
  [1382] = 1352,
  [1383] = 1345,
  [1384] = 1352,
  [1385] = 1352,
  [1386] = 1386,
  [1387] = 1386,
  [1388] = 1386,
  [1389] = 1386,
  [1390] = 1386,
  [1391] = 1386,
  [1392] = 1386,
  [1393] = 1386,
  [1394] = 1386,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1395,
  [1398] = 1395,
  [1399] = 1395,
  [1400] = 1395,
  [1401] = 1395,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1404,
  [1406] = 1403,
  [1407] = 1407,
  [1408] = 1404,
  [1409] = 1407,
  [1410] = 1403,
  [1411] = 1404,
  [1412] = 1407,
  [1413] = 1403,
  [1414] = 1407,
  [1415] = 1407,
  [1416] = 1404,
  [1417] = 1403,
  [1418] = 1418,
  [1419] = 1418,
  [1420] = 1418,
  [1421] = 1418,
  [1422] = 1418,
  [1423] = 1418,
  [1424] = 1418,
  [1425] = 1425,
  [1426] = 225,
  [1427] = 1427,
  [1428] = 222,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 215,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 209,
  [1440] = 1440,
  [1441] = 911,
  [1442] = 222,
  [1443] = 913,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 211,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 212,
  [1450] = 1450,
  [1451] = 225,
  [1452] = 912,
  [1453] = 1453,
  [1454] = 229,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1457,
  [1491] = 652,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1457,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1474,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 653,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 658,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1457,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1474,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 651,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 216,
  [1583] = 1583,
  [1584] = 215,
  [1585] = 209,
  [1586] = 211,
  [1587] = 1587,
  [1588] = 224,
  [1589] = 1474,
  [1590] = 234,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 654,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1474,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 216,
  [1624] = 1624,
  [1625] = 1605,
  [1626] = 233,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1556,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 230,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1493,
  [1651] = 1651,
  [1652] = 1475,
  [1653] = 1476,
  [1654] = 1496,
  [1655] = 1655,
  [1656] = 218,
  [1657] = 1657,
  [1658] = 1497,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1477,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1478,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 245,
  [1674] = 1674,
  [1675] = 1556,
  [1676] = 1564,
  [1677] = 1566,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1569,
  [1683] = 1683,
  [1684] = 232,
  [1685] = 224,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1482,
  [1689] = 1506,
  [1690] = 1508,
  [1691] = 1509,
  [1692] = 1692,
  [1693] = 233,
  [1694] = 1430,
  [1695] = 1672,
  [1696] = 1696,
  [1697] = 1432,
  [1698] = 1698,
  [1699] = 1489,
  [1700] = 1429,
  [1701] = 1483,
  [1702] = 1702,
  [1703] = 1433,
  [1704] = 1434,
  [1705] = 1484,
  [1706] = 1485,
  [1707] = 1707,
  [1708] = 1486,
  [1709] = 1709,
  [1710] = 1510,
  [1711] = 1511,
  [1712] = 1605,
  [1713] = 1606,
  [1714] = 230,
  [1715] = 1715,
  [1716] = 1715,
  [1717] = 1615,
  [1718] = 1718,
  [1719] = 1462,
  [1720] = 1566,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1475,
  [1724] = 1476,
  [1725] = 1477,
  [1726] = 1478,
  [1727] = 1482,
  [1728] = 1483,
  [1729] = 1729,
  [1730] = 1484,
  [1731] = 1485,
  [1732] = 1486,
  [1733] = 1487,
  [1734] = 1488,
  [1735] = 1489,
  [1736] = 1529,
  [1737] = 1680,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 218,
  [1741] = 1615,
  [1742] = 229,
  [1743] = 234,
  [1744] = 1493,
  [1745] = 1494,
  [1746] = 1496,
  [1747] = 245,
  [1748] = 227,
  [1749] = 1497,
  [1750] = 1487,
  [1751] = 1715,
  [1752] = 1606,
  [1753] = 1753,
  [1754] = 1488,
  [1755] = 1615,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1506,
  [1760] = 1508,
  [1761] = 1509,
  [1762] = 1510,
  [1763] = 1511,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 232,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1715,
  [1772] = 1772,
  [1773] = 1529,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1564,
  [1783] = 1615,
  [1784] = 1674,
  [1785] = 227,
  [1786] = 1462,
  [1787] = 1494,
  [1788] = 1715,
  [1789] = 1569,
  [1790] = 1790,
  [1791] = 1496,
  [1792] = 1497,
  [1793] = 1444,
  [1794] = 1794,
  [1795] = 1506,
  [1796] = 1508,
  [1797] = 1509,
  [1798] = 1510,
  [1799] = 1511,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1529,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1437,
  [1806] = 911,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1515,
  [1810] = 1810,
  [1811] = 1530,
  [1812] = 1812,
  [1813] = 1614,
  [1814] = 1803,
  [1815] = 1803,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 913,
  [1819] = 1518,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1614,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1817,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1803,
  [1830] = 1830,
  [1831] = 1672,
  [1832] = 1832,
  [1833] = 1515,
  [1834] = 1481,
  [1835] = 1835,
  [1836] = 1674,
  [1837] = 1438,
  [1838] = 1838,
  [1839] = 1440,
  [1840] = 1680,
  [1841] = 1838,
  [1842] = 1518,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1493,
  [1846] = 1494,
  [1847] = 1450,
  [1848] = 1823,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1447,
  [1852] = 1852,
  [1853] = 1807,
  [1854] = 1854,
  [1855] = 1605,
  [1856] = 1606,
  [1857] = 1462,
  [1858] = 1858,
  [1859] = 1515,
  [1860] = 1860,
  [1861] = 1518,
  [1862] = 1803,
  [1863] = 1803,
  [1864] = 1838,
  [1865] = 1865,
  [1866] = 1475,
  [1867] = 1445,
  [1868] = 1476,
  [1869] = 1477,
  [1870] = 1478,
  [1871] = 1871,
  [1872] = 1482,
  [1873] = 1483,
  [1874] = 1484,
  [1875] = 1485,
  [1876] = 1486,
  [1877] = 1487,
  [1878] = 1488,
  [1879] = 1489,
  [1880] = 1810,
  [1881] = 1823,
  [1882] = 1556,
  [1883] = 1564,
  [1884] = 1566,
  [1885] = 1569,
  [1886] = 1448,
  [1887] = 1812,
  [1888] = 1521,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1803,
  [1892] = 1823,
  [1893] = 1823,
  [1894] = 1435,
  [1895] = 912,
  [1896] = 1816,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1567,
  [1900] = 212,
  [1901] = 1541,
  [1902] = 1473,
  [1903] = 1897,
  [1904] = 1479,
  [1905] = 1480,
  [1906] = 1591,
  [1907] = 1592,
  [1908] = 1593,
  [1909] = 1596,
  [1910] = 1608,
  [1911] = 1609,
  [1912] = 1492,
  [1913] = 1552,
  [1914] = 1657,
  [1915] = 1660,
  [1916] = 1800,
  [1917] = 1917,
  [1918] = 1495,
  [1919] = 651,
  [1920] = 1594,
  [1921] = 1458,
  [1922] = 1472,
  [1923] = 1923,
  [1924] = 1825,
  [1925] = 1525,
  [1926] = 1548,
  [1927] = 1563,
  [1928] = 1568,
  [1929] = 1570,
  [1930] = 1571,
  [1931] = 1573,
  [1932] = 1575,
  [1933] = 1576,
  [1934] = 1577,
  [1935] = 1579,
  [1936] = 1583,
  [1937] = 1587,
  [1938] = 1572,
  [1939] = 1939,
  [1940] = 654,
  [1941] = 1598,
  [1942] = 1599,
  [1943] = 1600,
  [1944] = 1601,
  [1945] = 1607,
  [1946] = 1610,
  [1947] = 1611,
  [1948] = 1612,
  [1949] = 1455,
  [1950] = 1456,
  [1951] = 1459,
  [1952] = 1460,
  [1953] = 1461,
  [1954] = 1463,
  [1955] = 1464,
  [1956] = 1465,
  [1957] = 1466,
  [1958] = 1467,
  [1959] = 1468,
  [1960] = 1469,
  [1961] = 1470,
  [1962] = 1471,
  [1963] = 1580,
  [1964] = 652,
  [1965] = 1453,
  [1966] = 1498,
  [1967] = 1499,
  [1968] = 1500,
  [1969] = 1501,
  [1970] = 1502,
  [1971] = 1503,
  [1972] = 1504,
  [1973] = 1507,
  [1974] = 1512,
  [1975] = 1513,
  [1976] = 1514,
  [1977] = 1520,
  [1978] = 1522,
  [1979] = 1523,
  [1980] = 1524,
  [1981] = 1526,
  [1982] = 1527,
  [1983] = 1528,
  [1984] = 1531,
  [1985] = 1581,
  [1986] = 653,
  [1987] = 1533,
  [1988] = 1534,
  [1989] = 1535,
  [1990] = 1536,
  [1991] = 1537,
  [1992] = 1538,
  [1993] = 1539,
  [1994] = 1540,
  [1995] = 1542,
  [1996] = 1544,
  [1997] = 1545,
  [1998] = 1546,
  [1999] = 1547,
  [2000] = 658,
  [2001] = 1550,
  [2002] = 1551,
  [2003] = 1613,
  [2004] = 1553,
  [2005] = 1554,
  [2006] = 1555,
  [2007] = 1557,
  [2008] = 1558,
  [2009] = 1559,
  [2010] = 1560,
  [2011] = 1561,
  [2012] = 1565,
  [2013] = 212,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 1660,
  [2017] = 1515,
  [2018] = 1518,
  [2019] = 1597,
  [2020] = 1602,
  [2021] = 1603,
  [2022] = 2022,
  [2023] = 1897,
  [2024] = 1657,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 1923,
  [2028] = 1517,
  [2029] = 1825,
  [2030] = 1519,
  [2031] = 1618,
  [2032] = 1897,
  [2033] = 1515,
  [2034] = 1518,
  [2035] = 1521,
  [2036] = 1530,
  [2037] = 1897,
  [2038] = 1515,
  [2039] = 1518,
  [2040] = 1897,
  [2041] = 1657,
  [2042] = 1618,
  [2043] = 1660,
  [2044] = 1567,
  [2045] = 1517,
  [2046] = 1519,
  [2047] = 1618,
  [2048] = 1521,
  [2049] = 2014,
  [2050] = 2050,
  [2051] = 1680,
  [2052] = 1897,
  [2053] = 2015,
  [2054] = 1605,
  [2055] = 1606,
  [2056] = 1462,
  [2057] = 1475,
  [2058] = 1476,
  [2059] = 1477,
  [2060] = 1478,
  [2061] = 1482,
  [2062] = 1483,
  [2063] = 1484,
  [2064] = 1485,
  [2065] = 1486,
  [2066] = 1487,
  [2067] = 1488,
  [2068] = 1489,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1493,
  [2072] = 1494,
  [2073] = 1496,
  [2074] = 1497,
  [2075] = 1506,
  [2076] = 1508,
  [2077] = 1509,
  [2078] = 1510,
  [2079] = 1511,
  [2080] = 2050,
  [2081] = 1529,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 1556,
  [2087] = 1564,
  [2088] = 1566,
  [2089] = 1569,
  [2090] = 2090,
  [2091] = 1800,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 1530,
  [2096] = 1672,
  [2097] = 1605,
  [2098] = 1606,
  [2099] = 1462,
  [2100] = 1475,
  [2101] = 1476,
  [2102] = 1477,
  [2103] = 1478,
  [2104] = 1482,
  [2105] = 1483,
  [2106] = 1484,
  [2107] = 1485,
  [2108] = 1486,
  [2109] = 1487,
  [2110] = 1488,
  [2111] = 1489,
  [2112] = 1493,
  [2113] = 1494,
  [2114] = 1496,
  [2115] = 1497,
  [2116] = 1506,
  [2117] = 1508,
  [2118] = 1509,
  [2119] = 1510,
  [2120] = 1511,
  [2121] = 1529,
  [2122] = 1556,
  [2123] = 1564,
  [2124] = 1566,
  [2125] = 1569,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 1674,
  [2132] = 1627,
  [2133] = 1683,
  [2134] = 1687,
  [2135] = 244,
  [2136] = 2136,
  [2137] = 217,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 247,
  [2141] = 221,
  [2142] = 231,
  [2143] = 242,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 219,
  [2148] = 220,
  [2149] = 235,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 223,
  [2153] = 2153,
  [2154] = 1657,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 238,
  [2158] = 239,
  [2159] = 1825,
  [2160] = 2160,
  [2161] = 240,
  [2162] = 1692,
  [2163] = 1517,
  [2164] = 1519,
  [2165] = 1618,
  [2166] = 235,
  [2167] = 244,
  [2168] = 217,
  [2169] = 1779,
  [2170] = 247,
  [2171] = 221,
  [2172] = 2172,
  [2173] = 231,
  [2174] = 242,
  [2175] = 219,
  [2176] = 220,
  [2177] = 2177,
  [2178] = 2150,
  [2179] = 1662,
  [2180] = 2151,
  [2181] = 2181,
  [2182] = 1917,
  [2183] = 1800,
  [2184] = 1614,
  [2185] = 2185,
  [2186] = 1663,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 1721,
  [2191] = 1722,
  [2192] = 1729,
  [2193] = 1738,
  [2194] = 1739,
  [2195] = 1753,
  [2196] = 1758,
  [2197] = 1765,
  [2198] = 1768,
  [2199] = 1770,
  [2200] = 2189,
  [2201] = 1774,
  [2202] = 1775,
  [2203] = 1776,
  [2204] = 1777,
  [2205] = 1672,
  [2206] = 1674,
  [2207] = 1680,
  [2208] = 2150,
  [2209] = 2151,
  [2210] = 1778,
  [2211] = 1780,
  [2212] = 1781,
  [2213] = 1657,
  [2214] = 1659,
  [2215] = 1917,
  [2216] = 1618,
  [2217] = 1757,
  [2218] = 2150,
  [2219] = 1764,
  [2220] = 2151,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 1767,
  [2224] = 1772,
  [2225] = 2150,
  [2226] = 1702,
  [2227] = 2151,
  [2228] = 1515,
  [2229] = 1518,
  [2230] = 1515,
  [2231] = 1518,
  [2232] = 2221,
  [2233] = 2222,
  [2234] = 2221,
  [2235] = 2222,
  [2236] = 2236,
  [2237] = 2221,
  [2238] = 2222,
  [2239] = 2221,
  [2240] = 2222,
  [2241] = 1619,
  [2242] = 1707,
  [2243] = 2243,
  [2244] = 1620,
  [2245] = 1621,
  [2246] = 2246,
  [2247] = 1622,
  [2248] = 1628,
  [2249] = 2150,
  [2250] = 2150,
  [2251] = 2151,
  [2252] = 2151,
  [2253] = 1617,
  [2254] = 2254,
  [2255] = 2254,
  [2256] = 223,
  [2257] = 1718,
  [2258] = 2258,
  [2259] = 1629,
  [2260] = 1630,
  [2261] = 1665,
  [2262] = 1631,
  [2263] = 1632,
  [2264] = 1667,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 1668,
  [2271] = 2271,
  [2272] = 1669,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 1678,
  [2276] = 2254,
  [2277] = 1709,
  [2278] = 2278,
  [2279] = 1636,
  [2280] = 1655,
  [2281] = 2172,
  [2282] = 1637,
  [2283] = 1638,
  [2284] = 2269,
  [2285] = 1567,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 238,
  [2293] = 239,
  [2294] = 2294,
  [2295] = 1641,
  [2296] = 1696,
  [2297] = 2254,
  [2298] = 1756,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 1679,
  [2302] = 2258,
  [2303] = 240,
  [2304] = 1769,
  [2305] = 2305,
  [2306] = 1642,
  [2307] = 1643,
  [2308] = 1644,
  [2309] = 1645,
  [2310] = 1646,
  [2311] = 2311,
  [2312] = 1635,
  [2313] = 2287,
  [2314] = 2254,
  [2315] = 1605,
  [2316] = 1606,
  [2317] = 1462,
  [2318] = 1475,
  [2319] = 1476,
  [2320] = 1477,
  [2321] = 1478,
  [2322] = 1482,
  [2323] = 1483,
  [2324] = 1484,
  [2325] = 1485,
  [2326] = 1486,
  [2327] = 1487,
  [2328] = 1488,
  [2329] = 1489,
  [2330] = 1493,
  [2331] = 1494,
  [2332] = 1496,
  [2333] = 1497,
  [2334] = 1506,
  [2335] = 1508,
  [2336] = 1509,
  [2337] = 1510,
  [2338] = 1511,
  [2339] = 1529,
  [2340] = 1556,
  [2341] = 1564,
  [2342] = 1566,
  [2343] = 1569,
  [2344] = 2254,
  [2345] = 2254,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 1639,
  [2349] = 2254,
  [2350] = 1698,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 1800,
  [2355] = 1648,
  [2356] = 1649,
  [2357] = 1800,
  [2358] = 2254,
  [2359] = 1605,
  [2360] = 1606,
  [2361] = 1462,
  [2362] = 1475,
  [2363] = 1476,
  [2364] = 1477,
  [2365] = 1478,
  [2366] = 1482,
  [2367] = 1483,
  [2368] = 1484,
  [2369] = 1485,
  [2370] = 1486,
  [2371] = 1487,
  [2372] = 1488,
  [2373] = 1489,
  [2374] = 1493,
  [2375] = 1494,
  [2376] = 1496,
  [2377] = 1497,
  [2378] = 1506,
  [2379] = 1508,
  [2380] = 1509,
  [2381] = 1510,
  [2382] = 1511,
  [2383] = 1529,
  [2384] = 1556,
  [2385] = 1564,
  [2386] = 1566,
  [2387] = 1569,
  [2388] = 2288,
  [2389] = 1567,
  [2390] = 2138,
  [2391] = 2391,
  [2392] = 1567,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2399,
  [2401] = 2397,
  [2402] = 2402,
  [2403] = 2399,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 1605,
  [2407] = 1606,
  [2408] = 1462,
  [2409] = 1475,
  [2410] = 1476,
  [2411] = 1477,
  [2412] = 1478,
  [2413] = 1482,
  [2414] = 1483,
  [2415] = 1484,
  [2416] = 1485,
  [2417] = 1486,
  [2418] = 1487,
  [2419] = 1488,
  [2420] = 1489,
  [2421] = 1493,
  [2422] = 1494,
  [2423] = 1496,
  [2424] = 1497,
  [2425] = 2425,
  [2426] = 1506,
  [2427] = 1508,
  [2428] = 1509,
  [2429] = 1510,
  [2430] = 1511,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 1529,
  [2434] = 2434,
  [2435] = 2402,
  [2436] = 1660,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 1521,
  [2445] = 1530,
  [2446] = 2446,
  [2447] = 1564,
  [2448] = 2425,
  [2449] = 1566,
  [2450] = 1569,
  [2451] = 2399,
  [2452] = 2399,
  [2453] = 1917,
  [2454] = 1660,
  [2455] = 1800,
  [2456] = 1517,
  [2457] = 1519,
  [2458] = 1844,
  [2459] = 2432,
  [2460] = 2460,
  [2461] = 2399,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 1657,
  [2467] = 2467,
  [2468] = 1618,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2434,
  [2473] = 2399,
  [2474] = 2474,
  [2475] = 1674,
  [2476] = 1515,
  [2477] = 1518,
  [2478] = 1800,
  [2479] = 1800,
  [2480] = 1556,
  [2481] = 1567,
  [2482] = 1674,
  [2483] = 1680,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 912,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 1807,
  [2499] = 1660,
  [2500] = 2500,
  [2501] = 1672,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 1521,
  [2506] = 913,
  [2507] = 1530,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 1660,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 1657,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 1618,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 1567,
  [2524] = 1800,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 911,
  [2528] = 2222,
  [2529] = 1567,
  [2530] = 1450,
  [2531] = 2221,
  [2532] = 2222,
  [2533] = 2221,
  [2534] = 2222,
  [2535] = 1917,
  [2536] = 2221,
  [2537] = 2286,
  [2538] = 2221,
  [2539] = 2539,
  [2540] = 2221,
  [2541] = 2541,
  [2542] = 2222,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 1672,
  [2546] = 1674,
  [2547] = 1680,
  [2548] = 2221,
  [2549] = 2222,
  [2550] = 2221,
  [2551] = 2222,
  [2552] = 2222,
  [2553] = 1567,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 216,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2559,
  [2567] = 224,
  [2568] = 2559,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2559,
  [2573] = 216,
  [2574] = 2559,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2559,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 227,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 1178,
  [2590] = 2590,
  [2591] = 224,
  [2592] = 2592,
  [2593] = 232,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2559,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2559,
  [2615] = 2615,
  [2616] = 2559,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2517,
  [2624] = 2500,
  [2625] = 2625,
  [2626] = 1221,
  [2627] = 227,
  [2628] = 2628,
  [2629] = 232,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2136,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2144,
  [2636] = 2636,
  [2637] = 2243,
  [2638] = 2638,
  [2639] = 2278,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2425,
  [2643] = 2643,
  [2644] = 2467,
  [2645] = 2471,
  [2646] = 2474,
  [2647] = 2647,
  [2648] = 2394,
  [2649] = 2441,
  [2650] = 2391,
  [2651] = 2467,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2441,
  [2655] = 2391,
  [2656] = 2425,
  [2657] = 2657,
  [2658] = 2434,
  [2659] = 2652,
  [2660] = 2394,
  [2661] = 2432,
  [2662] = 2662,
  [2663] = 2434,
  [2664] = 2402,
  [2665] = 2647,
  [2666] = 2666,
  [2667] = 1192,
  [2668] = 2432,
  [2669] = 2402,
  [2670] = 2460,
  [2671] = 2671,
  [2672] = 2442,
  [2673] = 2404,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2680,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2680,
  [2688] = 2682,
  [2689] = 2674,
  [2690] = 2682,
  [2691] = 2684,
  [2692] = 2678,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2675,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2686,
  [2699] = 2680,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2246,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 1213,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 1217,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 1216,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 1229,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2742,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2749,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2746,
  [2801] = 2801,
  [2802] = 2751,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2764,
  [2807] = 2767,
  [2808] = 2765,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2809,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2810,
  [2825] = 2747,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2744,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2792,
  [2834] = 2834,
  [2835] = 1430,
  [2836] = 1432,
  [2837] = 1429,
  [2838] = 1613,
  [2839] = 1501,
  [2840] = 1502,
  [2841] = 1503,
  [2842] = 1504,
  [2843] = 1533,
  [2844] = 1507,
  [2845] = 1512,
  [2846] = 1513,
  [2847] = 1514,
  [2848] = 1520,
  [2849] = 1538,
  [2850] = 1522,
  [2851] = 1553,
  [2852] = 1554,
  [2853] = 1534,
  [2854] = 1500,
  [2855] = 1535,
  [2856] = 1498,
  [2857] = 1557,
  [2858] = 1499,
  [2859] = 1558,
  [2860] = 1550,
  [2861] = 1559,
  [2862] = 1560,
  [2863] = 1453,
  [2864] = 1544,
  [2865] = 1539,
  [2866] = 1540,
  [2867] = 1536,
  [2868] = 1537,
  [2869] = 1551,
  [2870] = 1542,
  [2871] = 1555,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 1437,
  [2875] = 2872,
  [2876] = 1594,
  [2877] = 1447,
  [2878] = 1600,
  [2879] = 1580,
  [2880] = 1434,
  [2881] = 222,
  [2882] = 1458,
  [2883] = 1598,
  [2884] = 1607,
  [2885] = 1572,
  [2886] = 1456,
  [2887] = 1459,
  [2888] = 1460,
  [2889] = 1430,
  [2890] = 1465,
  [2891] = 1466,
  [2892] = 1467,
  [2893] = 1461,
  [2894] = 1468,
  [2895] = 225,
  [2896] = 1432,
  [2897] = 1581,
  [2898] = 1429,
  [2899] = 1608,
  [2900] = 1448,
  [2901] = 1435,
  [2902] = 1445,
  [2903] = 1579,
  [2904] = 1587,
  [2905] = 2905,
  [2906] = 1542,
  [2907] = 1430,
  [2908] = 2908,
  [2909] = 1434,
  [2910] = 1432,
  [2911] = 1429,
  [2912] = 1544,
  [2913] = 1609,
  [2914] = 2905,
  [2915] = 1550,
  [2916] = 2905,
  [2917] = 1522,
  [2918] = 1492,
  [2919] = 1551,
  [2920] = 2920,
  [2921] = 1613,
  [2922] = 2905,
  [2923] = 1553,
  [2924] = 1597,
  [2925] = 2925,
  [2926] = 1554,
  [2927] = 1555,
  [2928] = 1557,
  [2929] = 1558,
  [2930] = 1559,
  [2931] = 2931,
  [2932] = 1560,
  [2933] = 2905,
  [2934] = 1593,
  [2935] = 1591,
  [2936] = 1453,
  [2937] = 2908,
  [2938] = 1596,
  [2939] = 2920,
  [2940] = 1552,
  [2941] = 1523,
  [2942] = 1545,
  [2943] = 1592,
  [2944] = 1498,
  [2945] = 1524,
  [2946] = 1499,
  [2947] = 1500,
  [2948] = 1546,
  [2949] = 1527,
  [2950] = 1528,
  [2951] = 1501,
  [2952] = 1502,
  [2953] = 2920,
  [2954] = 2925,
  [2955] = 2931,
  [2956] = 2908,
  [2957] = 1540,
  [2958] = 1504,
  [2959] = 1472,
  [2960] = 1507,
  [2961] = 1547,
  [2962] = 2905,
  [2963] = 1512,
  [2964] = 2905,
  [2965] = 1513,
  [2966] = 1525,
  [2967] = 1548,
  [2968] = 1568,
  [2969] = 1570,
  [2970] = 2925,
  [2971] = 1599,
  [2972] = 1514,
  [2973] = 2905,
  [2974] = 1601,
  [2975] = 1533,
  [2976] = 1610,
  [2977] = 1534,
  [2978] = 1611,
  [2979] = 1612,
  [2980] = 1571,
  [2981] = 1575,
  [2982] = 2931,
  [2983] = 1455,
  [2984] = 1535,
  [2985] = 1536,
  [2986] = 1520,
  [2987] = 1537,
  [2988] = 2920,
  [2989] = 1463,
  [2990] = 2925,
  [2991] = 2905,
  [2992] = 2931,
  [2993] = 2908,
  [2994] = 1469,
  [2995] = 1471,
  [2996] = 2920,
  [2997] = 1577,
  [2998] = 2925,
  [2999] = 2931,
  [3000] = 2908,
  [3001] = 1561,
  [3002] = 1538,
  [3003] = 1583,
  [3004] = 1539,
  [3005] = 1503,
  [3006] = 3006,
  [3007] = 3007,
  [3008] = 3008,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 3006,
  [3014] = 3014,
  [3015] = 3015,
  [3016] = 3016,
  [3017] = 3017,
  [3018] = 3018,
  [3019] = 3019,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 1437,
  [3025] = 1448,
  [3026] = 3026,
  [3027] = 3027,
  [3028] = 3007,
  [3029] = 3006,
  [3030] = 3030,
  [3031] = 3006,
  [3032] = 3032,
  [3033] = 3033,
  [3034] = 3006,
  [3035] = 3007,
  [3036] = 3007,
  [3037] = 3037,
  [3038] = 1444,
  [3039] = 3007,
  [3040] = 1438,
  [3041] = 3041,
  [3042] = 3042,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3006,
  [3046] = 3006,
  [3047] = 1440,
  [3048] = 3048,
  [3049] = 1533,
  [3050] = 1555,
  [3051] = 1557,
  [3052] = 1558,
  [3053] = 1559,
  [3054] = 1560,
  [3055] = 3055,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3011,
  [3059] = 3059,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3060,
  [3065] = 3061,
  [3066] = 1565,
  [3067] = 1447,
  [3068] = 3060,
  [3069] = 3061,
  [3070] = 1594,
  [3071] = 1458,
  [3072] = 3072,
  [3073] = 1598,
  [3074] = 1600,
  [3075] = 1607,
  [3076] = 1456,
  [3077] = 1459,
  [3078] = 1460,
  [3079] = 1461,
  [3080] = 1464,
  [3081] = 1465,
  [3082] = 1466,
  [3083] = 1467,
  [3084] = 1468,
  [3085] = 1470,
  [3086] = 1613,
  [3087] = 3087,
  [3088] = 1602,
  [3089] = 1603,
  [3090] = 3060,
  [3091] = 912,
  [3092] = 1553,
  [3093] = 1554,
  [3094] = 911,
  [3095] = 1572,
  [3096] = 1563,
  [3097] = 3062,
  [3098] = 1573,
  [3099] = 1576,
  [3100] = 913,
  [3101] = 1580,
  [3102] = 1434,
  [3103] = 1581,
  [3104] = 3104,
  [3105] = 1526,
  [3106] = 1531,
  [3107] = 3107,
  [3108] = 3061,
  [3109] = 1453,
  [3110] = 1498,
  [3111] = 1499,
  [3112] = 1500,
  [3113] = 1501,
  [3114] = 1502,
  [3115] = 1503,
  [3116] = 1504,
  [3117] = 1507,
  [3118] = 1512,
  [3119] = 1513,
  [3120] = 1514,
  [3121] = 1520,
  [3122] = 1522,
  [3123] = 1534,
  [3124] = 1535,
  [3125] = 1536,
  [3126] = 1537,
  [3127] = 1538,
  [3128] = 1539,
  [3129] = 1540,
  [3130] = 1542,
  [3131] = 1544,
  [3132] = 1550,
  [3133] = 1551,
  [3134] = 3134,
  [3135] = 1440,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3136,
  [3139] = 1444,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 1435,
  [3146] = 3146,
  [3147] = 1579,
  [3148] = 1587,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 3158,
  [3159] = 1437,
  [3160] = 1448,
  [3161] = 3161,
  [3162] = 222,
  [3163] = 3157,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3136,
  [3169] = 3169,
  [3170] = 3157,
  [3171] = 225,
  [3172] = 3172,
  [3173] = 3136,
  [3174] = 1445,
  [3175] = 1430,
  [3176] = 1432,
  [3177] = 1429,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 1608,
  [3187] = 3157,
  [3188] = 3136,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 1438,
  [3194] = 3194,
  [3195] = 3195,
  [3196] = 1471,
  [3197] = 913,
  [3198] = 1456,
  [3199] = 1461,
  [3200] = 1591,
  [3201] = 1592,
  [3202] = 1593,
  [3203] = 3203,
  [3204] = 1596,
  [3205] = 1609,
  [3206] = 1492,
  [3207] = 1552,
  [3208] = 651,
  [3209] = 1472,
  [3210] = 1525,
  [3211] = 1548,
  [3212] = 1563,
  [3213] = 1568,
  [3214] = 1570,
  [3215] = 1571,
  [3216] = 1573,
  [3217] = 1575,
  [3218] = 1576,
  [3219] = 1577,
  [3220] = 1583,
  [3221] = 654,
  [3222] = 1599,
  [3223] = 1601,
  [3224] = 1610,
  [3225] = 1611,
  [3226] = 1612,
  [3227] = 1455,
  [3228] = 1463,
  [3229] = 1464,
  [3230] = 1469,
  [3231] = 1470,
  [3232] = 652,
  [3233] = 1523,
  [3234] = 1524,
  [3235] = 1526,
  [3236] = 1528,
  [3237] = 1531,
  [3238] = 653,
  [3239] = 1545,
  [3240] = 1546,
  [3241] = 1547,
  [3242] = 658,
  [3243] = 1561,
  [3244] = 1565,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 1597,
  [3248] = 1602,
  [3249] = 1603,
  [3250] = 3250,
  [3251] = 1447,
  [3252] = 912,
  [3253] = 1594,
  [3254] = 1434,
  [3255] = 1458,
  [3256] = 911,
  [3257] = 1598,
  [3258] = 1600,
  [3259] = 1607,
  [3260] = 1459,
  [3261] = 1460,
  [3262] = 1465,
  [3263] = 1466,
  [3264] = 1467,
  [3265] = 1468,
  [3266] = 1527,
  [3267] = 1608,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 3271,
  [3272] = 1434,
  [3273] = 3273,
  [3274] = 3270,
  [3275] = 3268,
  [3276] = 3276,
  [3277] = 1438,
  [3278] = 3278,
  [3279] = 1440,
  [3280] = 1445,
  [3281] = 3281,
  [3282] = 3282,
  [3283] = 3270,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3268,
  [3287] = 3271,
  [3288] = 1435,
  [3289] = 1579,
  [3290] = 1587,
  [3291] = 3011,
  [3292] = 3292,
  [3293] = 1444,
  [3294] = 3294,
  [3295] = 1448,
  [3296] = 3296,
  [3297] = 3296,
  [3298] = 3296,
  [3299] = 3282,
  [3300] = 3300,
  [3301] = 3301,
  [3302] = 3296,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 3305,
  [3306] = 3306,
  [3307] = 3307,
  [3308] = 3136,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 3313,
  [3314] = 3314,
  [3315] = 1597,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3318,
  [3319] = 3319,
  [3320] = 3317,
  [3321] = 3318,
  [3322] = 3319,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3323,
  [3327] = 3327,
  [3328] = 3324,
  [3329] = 3329,
  [3330] = 3325,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3336,
  [3337] = 3316,
  [3338] = 222,
  [3339] = 3317,
  [3340] = 3318,
  [3341] = 3319,
  [3342] = 3323,
  [3343] = 3324,
  [3344] = 3325,
  [3345] = 3327,
  [3346] = 3331,
  [3347] = 3332,
  [3348] = 3333,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3327,
  [3352] = 3333,
  [3353] = 3136,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3327,
  [3361] = 3333,
  [3362] = 3362,
  [3363] = 3327,
  [3364] = 3364,
  [3365] = 3365,
  [3366] = 3327,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 1571,
  [3371] = 1565,
  [3372] = 1583,
  [3373] = 225,
  [3374] = 3374,
  [3375] = 3329,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3336,
  [3380] = 3380,
  [3381] = 3136,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3276,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3390,
  [3391] = 3331,
  [3392] = 3392,
  [3393] = 3332,
  [3394] = 3317,
  [3395] = 3318,
  [3396] = 3327,
  [3397] = 3333,
  [3398] = 3398,
  [3399] = 3319,
  [3400] = 3323,
  [3401] = 3324,
  [3402] = 3325,
  [3403] = 1561,
  [3404] = 3284,
  [3405] = 3405,
  [3406] = 3316,
  [3407] = 3334,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 3136,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 1448,
  [3417] = 3314,
  [3418] = 3136,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 3428,
  [3429] = 3429,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3327,
  [3438] = 3438,
  [3439] = 3439,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 1602,
  [3444] = 1603,
  [3445] = 3445,
  [3446] = 3446,
  [3447] = 3447,
  [3448] = 3384,
  [3449] = 3449,
  [3450] = 3278,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3329,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3312,
  [3457] = 3457,
  [3458] = 3458,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3333,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3331,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3136,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 3475,
  [3476] = 3332,
  [3477] = 1591,
  [3478] = 1592,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 1593,
  [3482] = 1596,
  [3483] = 3483,
  [3484] = 1609,
  [3485] = 1492,
  [3486] = 1552,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 651,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3377,
  [3493] = 1472,
  [3494] = 1525,
  [3495] = 1548,
  [3496] = 1563,
  [3497] = 1568,
  [3498] = 1570,
  [3499] = 1573,
  [3500] = 1575,
  [3501] = 1576,
  [3502] = 1577,
  [3503] = 3503,
  [3504] = 1572,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 654,
  [3510] = 1599,
  [3511] = 1601,
  [3512] = 1610,
  [3513] = 1611,
  [3514] = 1612,
  [3515] = 1455,
  [3516] = 3516,
  [3517] = 1463,
  [3518] = 1464,
  [3519] = 1469,
  [3520] = 1470,
  [3521] = 1471,
  [3522] = 1580,
  [3523] = 652,
  [3524] = 3314,
  [3525] = 3136,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 3316,
  [3530] = 1523,
  [3531] = 1524,
  [3532] = 3532,
  [3533] = 1526,
  [3534] = 1527,
  [3535] = 1528,
  [3536] = 1531,
  [3537] = 1581,
  [3538] = 653,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3409,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 1545,
  [3546] = 1546,
  [3547] = 3547,
  [3548] = 1547,
  [3549] = 658,
  [3550] = 3369,
  [3551] = 3551,
  [3552] = 1178,
  [3553] = 912,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3554,
  [3558] = 3558,
  [3559] = 3554,
  [3560] = 3554,
  [3561] = 3554,
  [3562] = 3562,
  [3563] = 3554,
  [3564] = 3564,
  [3565] = 3562,
  [3566] = 3566,
  [3567] = 229,
  [3568] = 234,
  [3569] = 3566,
  [3570] = 215,
  [3571] = 209,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3554,
  [3575] = 911,
  [3576] = 3566,
  [3577] = 913,
  [3578] = 3554,
  [3579] = 3566,
  [3580] = 1438,
  [3581] = 1440,
  [3582] = 1444,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3278,
  [3592] = 3566,
  [3593] = 3564,
  [3594] = 3566,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3597,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3434,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3620,
  [3621] = 3621,
  [3622] = 3622,
  [3623] = 3623,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3425,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3301,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3668,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3698,
  [3699] = 3667,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 229,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3505,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3376,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3724,
  [3725] = 3725,
  [3726] = 3364,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3203,
  [3734] = 3734,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 211,
  [3740] = 3740,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 3700,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3745,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3609,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 1444,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3681,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3776,
  [3777] = 3777,
  [3778] = 3627,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3788,
  [3789] = 3789,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3792,
  [3793] = 3717,
  [3794] = 3782,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 1438,
  [3798] = 1563,
  [3799] = 1573,
  [3800] = 1576,
  [3801] = 3801,
  [3802] = 1440,
  [3803] = 3803,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3809,
  [3810] = 3810,
  [3811] = 3811,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3616,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 1581,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3822,
  [3823] = 3823,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3826,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3831,
  [3832] = 1464,
  [3833] = 3833,
  [3834] = 1470,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3772,
  [3839] = 3839,
  [3840] = 1602,
  [3841] = 3841,
  [3842] = 3837,
  [3843] = 1603,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 3846,
  [3847] = 3676,
  [3848] = 3848,
  [3849] = 3640,
  [3850] = 3850,
  [3851] = 3851,
  [3852] = 3837,
  [3853] = 3853,
  [3854] = 3854,
  [3855] = 3855,
  [3856] = 3856,
  [3857] = 3857,
  [3858] = 3858,
  [3859] = 3859,
  [3860] = 3860,
  [3861] = 3861,
  [3862] = 3862,
  [3863] = 3674,
  [3864] = 3864,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3867,
  [3868] = 3868,
  [3869] = 1526,
  [3870] = 3816,
  [3871] = 3871,
  [3872] = 3872,
  [3873] = 3717,
  [3874] = 3874,
  [3875] = 1531,
  [3876] = 3876,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 234,
  [3880] = 3742,
  [3881] = 3881,
  [3882] = 3882,
  [3883] = 1565,
  [3884] = 3884,
  [3885] = 1572,
  [3886] = 1580,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 3889,
  [3890] = 3890,
  [3891] = 3891,
  [3892] = 3892,
  [3893] = 3609,
  [3894] = 3627,
  [3895] = 3638,
  [3896] = 3772,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3900,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3823,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3695,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3912,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3245,
  [3929] = 1192,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 1702,
  [3933] = 1769,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 1757,
  [3938] = 1764,
  [3939] = 1667,
  [3940] = 1668,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 1775,
  [3945] = 1776,
  [3946] = 1777,
  [3947] = 1778,
  [3948] = 1780,
  [3949] = 1781,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 1621,
  [3953] = 1622,
  [3954] = 1637,
  [3955] = 1638,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3730,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3831,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3833,
  [3972] = 3972,
  [3973] = 3973,
  [3974] = 3974,
  [3975] = 3975,
  [3976] = 651,
  [3977] = 654,
  [3978] = 652,
  [3979] = 653,
  [3980] = 658,
  [3981] = 3981,
  [3982] = 3959,
  [3983] = 3975,
  [3984] = 3984,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3851,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3951,
  [3992] = 3960,
  [3993] = 3993,
  [3994] = 3994,
  [3995] = 3995,
  [3996] = 1464,
  [3997] = 1470,
  [3998] = 3998,
  [3999] = 1602,
  [4000] = 1603,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 1526,
  [4004] = 1531,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 1565,
  [4009] = 4009,
  [4010] = 3989,
  [4011] = 3960,
  [4012] = 3994,
  [4013] = 3995,
  [4014] = 4002,
  [4015] = 3897,
  [4016] = 3993,
  [4017] = 3624,
  [4018] = 3989,
  [4019] = 3960,
  [4020] = 3994,
  [4021] = 3995,
  [4022] = 4002,
  [4023] = 4023,
  [4024] = 3634,
  [4025] = 3989,
  [4026] = 3960,
  [4027] = 3994,
  [4028] = 3930,
  [4029] = 4002,
  [4030] = 4030,
  [4031] = 3989,
  [4032] = 3960,
  [4033] = 3994,
  [4034] = 3995,
  [4035] = 4002,
  [4036] = 4036,
  [4037] = 3989,
  [4038] = 3858,
  [4039] = 4039,
  [4040] = 3994,
  [4041] = 4041,
  [4042] = 3995,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 3961,
  [4047] = 4047,
  [4048] = 3998,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 4051,
  [4052] = 4052,
  [4053] = 3981,
  [4054] = 4054,
  [4055] = 4055,
  [4056] = 1563,
  [4057] = 1573,
  [4058] = 1576,
  [4059] = 4059,
  [4060] = 4060,
  [4061] = 3985,
  [4062] = 3990,
  [4063] = 4063,
  [4064] = 3989,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 3617,
  [4068] = 4066,
  [4069] = 4069,
  [4070] = 3276,
  [4071] = 4071,
  [4072] = 4063,
  [4073] = 4043,
  [4074] = 3891,
  [4075] = 3753,
  [4076] = 3892,
  [4077] = 4077,
  [4078] = 3754,
  [4079] = 4001,
  [4080] = 3773,
  [4081] = 3786,
  [4082] = 4082,
  [4083] = 4006,
  [4084] = 3910,
  [4085] = 3658,
  [4086] = 4086,
  [4087] = 3986,
  [4088] = 4054,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4002,
  [4092] = 4092,
  [4093] = 3682,
  [4094] = 4055,
  [4095] = 4095,
  [4096] = 3959,
  [4097] = 3975,
  [4098] = 3956,
  [4099] = 3704,
  [4100] = 4036,
  [4101] = 3796,
  [4102] = 3809,
  [4103] = 4103,
  [4104] = 4007,
  [4105] = 3811,
  [4106] = 4065,
  [4107] = 3841,
  [4108] = 3845,
  [4109] = 4005,
  [4110] = 3284,
  [4111] = 3846,
  [4112] = 3872,
  [4113] = 4043,
  [4114] = 4114,
  [4115] = 3956,
  [4116] = 4036,
  [4117] = 3995,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4127,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 218,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 245,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4146,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 4151,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4154,
  [4155] = 4155,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 4160,
  [4161] = 4161,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 4164,
  [4165] = 4165,
  [4166] = 4166,
  [4167] = 4167,
  [4168] = 4168,
  [4169] = 4169,
  [4170] = 1456,
  [4171] = 4171,
  [4172] = 1461,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 3785,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4207,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4238,
  [4239] = 4239,
  [4240] = 4240,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4250,
  [4251] = 4251,
  [4252] = 4252,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4118,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4123,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4179,
  [4294] = 4294,
  [4295] = 4238,
  [4296] = 4240,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4261,
  [4300] = 748,
  [4301] = 4265,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 722,
  [4315] = 725,
  [4316] = 4316,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 738,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 4141,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4334,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 4342,
  [4343] = 4343,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4347,
  [4348] = 4254,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4118,
  [4352] = 4267,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4287,
  [4360] = 4123,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4302,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4254,
  [4377] = 4377,
  [4378] = 844,
  [4379] = 4379,
  [4380] = 4380,
  [4381] = 4287,
  [4382] = 4258,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4390,
  [4391] = 4118,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4287,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4398,
  [4399] = 862,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 851,
  [4404] = 853,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4267,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 810,
  [4437] = 814,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4435,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4120,
  [4444] = 4368,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 4447,
  [4448] = 4448,
  [4449] = 4316,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4414,
  [4453] = 4417,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 3934,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 795,
  [4461] = 846,
  [4462] = 4462,
  [4463] = 1702,
  [4464] = 4464,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 4467,
  [4468] = 1769,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4273,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4122,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4482,
  [4483] = 4277,
  [4484] = 4484,
  [4485] = 4298,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 3626,
  [4492] = 3655,
  [4493] = 4493,
  [4494] = 771,
  [4495] = 772,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 4502,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 4505,
  [4506] = 4499,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 4311,
  [4510] = 1757,
  [4511] = 4118,
  [4512] = 4512,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4515,
  [4516] = 1764,
  [4517] = 4517,
  [4518] = 4278,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 818,
  [4523] = 836,
  [4524] = 839,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4489,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4435,
  [4531] = 4531,
  [4532] = 4120,
  [4533] = 4533,
  [4534] = 4414,
  [4535] = 4417,
  [4536] = 4536,
  [4537] = 4122,
  [4538] = 4538,
  [4539] = 1667,
  [4540] = 1668,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4327,
  [4545] = 4545,
  [4546] = 4317,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4071,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 3941,
  [4557] = 3942,
  [4558] = 3943,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 830,
  [4562] = 834,
  [4563] = 835,
  [4564] = 849,
  [4565] = 773,
  [4566] = 716,
  [4567] = 789,
  [4568] = 803,
  [4569] = 825,
  [4570] = 852,
  [4571] = 4571,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 3881,
  [4576] = 4576,
  [4577] = 775,
  [4578] = 776,
  [4579] = 781,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4584,
  [4585] = 4466,
  [4586] = 4586,
  [4587] = 4281,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4282,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4467,
  [4601] = 855,
  [4602] = 860,
  [4603] = 752,
  [4604] = 4604,
  [4605] = 4254,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4612,
  [4613] = 753,
  [4614] = 754,
  [4615] = 758,
  [4616] = 761,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 3984,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 1775,
  [4631] = 4631,
  [4632] = 1776,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 1777,
  [4636] = 751,
  [4637] = 4637,
  [4638] = 1778,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4470,
  [4642] = 756,
  [4643] = 4643,
  [4644] = 1780,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 757,
  [4648] = 760,
  [4649] = 728,
  [4650] = 729,
  [4651] = 733,
  [4652] = 778,
  [4653] = 4653,
  [4654] = 4654,
  [4655] = 1781,
  [4656] = 4656,
  [4657] = 4420,
  [4658] = 4658,
  [4659] = 4471,
  [4660] = 785,
  [4661] = 4661,
  [4662] = 1621,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4502,
  [4668] = 842,
  [4669] = 1622,
  [4670] = 4278,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4586,
  [4674] = 4329,
  [4675] = 4238,
  [4676] = 4240,
  [4677] = 4260,
  [4678] = 4678,
  [4679] = 4311,
  [4680] = 4680,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 858,
  [4684] = 859,
  [4685] = 861,
  [4686] = 4686,
  [4687] = 4322,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4690,
  [4691] = 863,
  [4692] = 864,
  [4693] = 865,
  [4694] = 867,
  [4695] = 868,
  [4696] = 777,
  [4697] = 4697,
  [4698] = 4496,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 820,
  [4702] = 831,
  [4703] = 4703,
  [4704] = 750,
  [4705] = 721,
  [4706] = 726,
  [4707] = 727,
  [4708] = 767,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4325,
  [4712] = 4287,
  [4713] = 4713,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 1637,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 1638,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 796,
  [4729] = 749,
  [4730] = 799,
  [4731] = 800,
  [4732] = 801,
  [4733] = 804,
  [4734] = 4734,
  [4735] = 808,
  [4736] = 4736,
  [4737] = 813,
  [4738] = 869,
  [4739] = 4739,
  [4740] = 739,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4756,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 837,
  [4762] = 838,
  [4763] = 4763,
  [4764] = 841,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4766,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4766,
  [4781] = 4781,
  [4782] = 4774,
  [4783] = 4783,
  [4784] = 4774,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4767,
  [4794] = 4794,
  [4795] = 4787,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4791,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4788,
  [4802] = 4769,
  [4803] = 4769,
  [4804] = 4775,
  [4805] = 4777,
  [4806] = 4775,
  [4807] = 4771,
  [4808] = 4777,
  [4809] = 4775,
  [4810] = 4779,
  [4811] = 4767,
  [4812] = 4766,
  [4813] = 4813,
  [4814] = 4777,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4779,
  [4818] = 4766,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4791,
  [4833] = 4769,
  [4834] = 4834,
  [4835] = 4835,
  [4836] = 4770,
  [4837] = 4837,
  [4838] = 4789,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4779,
  [4842] = 4787,
  [4843] = 4788,
  [4844] = 4767,
  [4845] = 4845,
  [4846] = 4779,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4775,
  [4850] = 4777,
  [4851] = 4050,
  [4852] = 4852,
  [4853] = 4769,
  [4854] = 215,
  [4855] = 209,
  [4856] = 4773,
  [4857] = 4857,
  [4858] = 4774,
  [4859] = 4859,
  [4860] = 4859,
  [4861] = 4767,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4775,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4791,
  [4870] = 4769,
  [4871] = 4871,
  [4872] = 4777,
  [4873] = 4845,
  [4874] = 4874,
  [4875] = 4830,
  [4876] = 4779,
  [4877] = 4766,
  [4878] = 4878,
  [4879] = 4879,
  [4880] = 4787,
  [4881] = 4767,
  [4882] = 4831,
  [4883] = 4883,
  [4884] = 4775,
  [4885] = 4077,
  [4886] = 4886,
  [4887] = 4871,
  [4888] = 4771,
  [4889] = 4879,
  [4890] = 4890,
  [4891] = 4771,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4767,
  [4895] = 4771,
  [4896] = 4791,
  [4897] = 4897,
  [4898] = 4787,
  [4899] = 4791,
  [4900] = 4769,
  [4901] = 4788,
  [4902] = 4771,
  [4903] = 4903,
  [4904] = 4787,
  [4905] = 4788,
  [4906] = 4878,
  [4907] = 4777,
  [4908] = 4779,
  [4909] = 4766,
  [4910] = 4774,
  [4911] = 4771,
  [4912] = 4791,
  [4913] = 4868,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4926,
  [4927] = 4927,
  [4928] = 4928,
  [4929] = 4929,
  [4930] = 4930,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 4936,
  [4937] = 4937,
  [4938] = 4938,
  [4939] = 4939,
  [4940] = 4940,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4945,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4921,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4923,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5009,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 3910,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 3704,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 4921,
  [5083] = 4923,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 4939,
  [5088] = 5088,
  [5089] = 4941,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 4956,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5063,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5068,
  [5143] = 5069,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5076,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 4921,
  [5153] = 5153,
  [5154] = 4923,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 4939,
  [5159] = 4941,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 4956,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5063,
  [5191] = 5191,
  [5192] = 5068,
  [5193] = 5069,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 4921,
  [5203] = 5203,
  [5204] = 4923,
  [5205] = 5205,
  [5206] = 4939,
  [5207] = 5207,
  [5208] = 4941,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5095,
  [5213] = 5096,
  [5214] = 5097,
  [5215] = 5098,
  [5216] = 4956,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5068,
  [5231] = 5069,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 1571,
  [5237] = 4939,
  [5238] = 4941,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 1583,
  [5249] = 5249,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5068,
  [5253] = 5069,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 4939,
  [5259] = 5259,
  [5260] = 4941,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5246,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 4946,
  [5287] = 5287,
  [5288] = 4937,
  [5289] = 5289,
  [5290] = 5095,
  [5291] = 5291,
  [5292] = 5096,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5097,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5098,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 4956,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5318,
  [5319] = 4938,
  [5320] = 730,
  [5321] = 4939,
  [5322] = 5322,
  [5323] = 5063,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5044,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5364,
  [5365] = 4923,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 4941,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5068,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5069,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5397,
  [5398] = 4963,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5041,
  [5406] = 5406,
  [5407] = 4965,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5411,
  [5415] = 5031,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 3617,
  [5423] = 5056,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5042,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5448,
  [5449] = 4442,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5076,
  [5465] = 5465,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5468,
  [5469] = 5469,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5472,
  [5473] = 5473,
  [5474] = 5474,
  [5475] = 5475,
  [5476] = 1572,
  [5477] = 5295,
  [5478] = 5478,
  [5479] = 5063,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5484,
  [5485] = 5485,
  [5486] = 1580,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 1581,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5445,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5031,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 5555,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5055,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5568,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5586,
  [5587] = 5387,
  [5588] = 5041,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5042,
  [5592] = 5442,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5044,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 4151,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5616,
  [5617] = 5430,
  [5618] = 5436,
  [5619] = 5619,
  [5620] = 5439,
  [5621] = 5621,
  [5622] = 5440,
  [5623] = 5472,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5631,
  [5632] = 5632,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 5635,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5357,
  [5645] = 5645,
  [5646] = 5646,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5651,
  [5652] = 5652,
  [5653] = 5579,
  [5654] = 5654,
  [5655] = 5339,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5664,
  [5665] = 5665,
  [5666] = 5666,
  [5667] = 5667,
  [5668] = 5063,
  [5669] = 5669,
  [5670] = 5670,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5054,
  [5675] = 5675,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 4923,
  [5679] = 5054,
  [5680] = 5680,
  [5681] = 5681,
  [5682] = 5531,
  [5683] = 5055,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5681,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5693,
  [5694] = 5694,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5056,
  [5701] = 5701,
  [5702] = 5498,
  [5703] = 5523,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 4482,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5719,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5063,
  [5725] = 5725,
  [5726] = 4922,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5316,
  [5737] = 4915,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5285,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5346,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5068,
  [5763] = 5763,
  [5764] = 5069,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5246,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 730,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 3858,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5792,
  [5793] = 5793,
  [5794] = 3681,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5798,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5076,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5812,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5832,
  [5833] = 5833,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 2599,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 2563,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 2575,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5858,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5868,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5876,
  [5877] = 5873,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 2601,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5864,
  [5892] = 5892,
  [5893] = 5893,
  [5894] = 5894,
  [5895] = 3941,
  [5896] = 5896,
  [5897] = 3942,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 3943,
  [5902] = 5902,
  [5903] = 5903,
  [5904] = 5904,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5853,
  [5908] = 5865,
  [5909] = 5909,
  [5910] = 5863,
  [5911] = 5864,
  [5912] = 5865,
  [5913] = 5898,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5892,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5883,
  [5923] = 5923,
  [5924] = 5886,
  [5925] = 5925,
  [5926] = 5888,
  [5927] = 5927,
  [5928] = 5876,
  [5929] = 5876,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5889,
  [5933] = 5863,
  [5934] = 5860,
  [5935] = 5883,
  [5936] = 5936,
  [5937] = 5886,
  [5938] = 5879,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5888,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5892,
  [5947] = 5947,
  [5948] = 5898,
  [5949] = 5889,
  [5950] = 5900,
  [5951] = 5916,
  [5952] = 5890,
  [5953] = 5876,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5876,
  [5958] = 5842,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5956,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5876,
  [5970] = 5970,
  [5971] = 5944,
  [5972] = 5902,
  [5973] = 5973,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 5976,
  [5977] = 5892,
  [5978] = 5898,
  [5979] = 5900,
  [5980] = 5980,
  [5981] = 5864,
  [5982] = 5982,
  [5983] = 5983,
  [5984] = 5883,
  [5985] = 5985,
  [5986] = 5886,
  [5987] = 5865,
  [5988] = 5945,
  [5989] = 5989,
  [5990] = 5990,
  [5991] = 5991,
  [5992] = 5931,
  [5993] = 5993,
  [5994] = 5888,
  [5995] = 5995,
  [5996] = 5842,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 2569,
  [6000] = 6000,
  [6001] = 5843,
  [6002] = 5995,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 5931,
  [6006] = 5889,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 5904,
  [6010] = 6010,
  [6011] = 6008,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 5848,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 5852,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6018,
  [6025] = 5890,
  [6026] = 5936,
  [6027] = 5870,
  [6028] = 6028,
  [6029] = 5875,
  [6030] = 5878,
  [6031] = 6031,
  [6032] = 5841,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 2613,
  [6036] = 6036,
  [6037] = 6037,
  [6038] = 6012,
  [6039] = 2611,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 5918,
  [6043] = 2588,
  [6044] = 5874,
  [6045] = 2592,
  [6046] = 5892,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6049,
  [6050] = 5892,
  [6051] = 1619,
  [6052] = 5885,
  [6053] = 6053,
  [6054] = 6054,
  [6055] = 5925,
  [6056] = 5927,
  [6057] = 6057,
  [6058] = 5900,
  [6059] = 5898,
  [6060] = 6060,
  [6061] = 6003,
  [6062] = 5967,
  [6063] = 5879,
  [6064] = 6064,
  [6065] = 5900,
  [6066] = 6040,
  [6067] = 6067,
  [6068] = 6034,
  [6069] = 3934,
  [6070] = 6070,
  [6071] = 5956,
  [6072] = 6060,
  [6073] = 6073,
  [6074] = 6074,
  [6075] = 5859,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 6078,
  [6079] = 5868,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 5873,
  [6083] = 5939,
  [6084] = 6084,
  [6085] = 6085,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 2584,
  [6089] = 6089,
  [6090] = 2597,
  [6091] = 6091,
  [6092] = 5974,
  [6093] = 5863,
  [6094] = 5930,
  [6095] = 5864,
  [6096] = 5865,
  [6097] = 6078,
  [6098] = 5942,
  [6099] = 6099,
  [6100] = 5954,
  [6101] = 6101,
  [6102] = 2582,
  [6103] = 5898,
  [6104] = 6084,
  [6105] = 2602,
  [6106] = 6106,
  [6107] = 5916,
  [6108] = 2554,
  [6109] = 5876,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 5964,
  [6113] = 6064,
  [6114] = 5965,
  [6115] = 2571,
  [6116] = 6116,
  [6117] = 5883,
  [6118] = 6077,
  [6119] = 5886,
  [6120] = 5888,
  [6121] = 5889,
  [6122] = 6122,
  [6123] = 2606,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6127,
  [6128] = 5900,
  [6129] = 5944,
  [6130] = 6122,
  [6131] = 6131,
  [6132] = 5974,
  [6133] = 5975,
  [6134] = 5867,
  [6135] = 6135,
  [6136] = 5846,
  [6137] = 5945,
  [6138] = 2562,
  [6139] = 5982,
  [6140] = 6087,
  [6141] = 6141,
  [6142] = 6142,
  [6143] = 5863,
  [6144] = 5866,
  [6145] = 6145,
  [6146] = 6131,
  [6147] = 5868,
  [6148] = 6148,
  [6149] = 2585,
  [6150] = 5873,
  [6151] = 6151,
  [6152] = 2605,
  [6153] = 6089,
  [6154] = 6091,
  [6155] = 6155,
  [6156] = 1679,
  [6157] = 6157,
  [6158] = 2580,
  [6159] = 6020,
  [6160] = 2587,
  [6161] = 6161,
  [6162] = 5917,
  [6163] = 6163,
  [6164] = 2556,
  [6165] = 6165,
  [6166] = 6078,
  [6167] = 6167,
  [6168] = 5903,
  [6169] = 6169,
  [6170] = 5920,
  [6171] = 5892,
  [6172] = 5859,
  [6173] = 5898,
  [6174] = 5923,
  [6175] = 5941,
  [6176] = 5965,
  [6177] = 5900,
  [6178] = 5862,
  [6179] = 6022,
  [6180] = 6180,
  [6181] = 6181,
  [6182] = 1683,
  [6183] = 6023,
  [6184] = 5902,
  [6185] = 6185,
  [6186] = 5976,
  [6187] = 5998,
  [6188] = 6007,
  [6189] = 6189,
  [6190] = 6163,
  [6191] = 6191,
  [6192] = 6192,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6191,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 6200,
  [6201] = 6201,
  [6202] = 6202,
  [6203] = 6203,
  [6204] = 6204,
  [6205] = 6205,
  [6206] = 6206,
  [6207] = 6207,
  [6208] = 6208,
  [6209] = 6209,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 6212,
  [6213] = 6213,
  [6214] = 6200,
  [6215] = 6199,
  [6216] = 6216,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 6219,
  [6220] = 6192,
  [6221] = 6221,
  [6222] = 6222,
  [6223] = 6223,
  [6224] = 6193,
  [6225] = 6210,
  [6226] = 6195,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6231,
  [6232] = 6232,
  [6233] = 6233,
  [6234] = 6192,
  [6235] = 6235,
  [6236] = 6191,
  [6237] = 6207,
  [6238] = 6207,
  [6239] = 6239,
  [6240] = 6191,
  [6241] = 6211,
  [6242] = 6202,
  [6243] = 6203,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6221,
  [6249] = 6249,
  [6250] = 6202,
  [6251] = 6251,
  [6252] = 6199,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6196,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 6258,
  [6259] = 6259,
  [6260] = 6260,
  [6261] = 6261,
  [6262] = 6196,
  [6263] = 6263,
  [6264] = 6233,
  [6265] = 6203,
  [6266] = 6266,
  [6267] = 6196,
  [6268] = 6268,
  [6269] = 6193,
  [6270] = 6208,
  [6271] = 6195,
  [6272] = 6233,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6276,
  [6277] = 6277,
  [6278] = 6278,
  [6279] = 6279,
  [6280] = 6280,
  [6281] = 6268,
  [6282] = 6231,
  [6283] = 6273,
  [6284] = 6284,
  [6285] = 6268,
  [6286] = 6286,
  [6287] = 6273,
  [6288] = 6208,
  [6289] = 6280,
  [6290] = 6279,
  [6291] = 6196,
  [6292] = 6280,
  [6293] = 6229,
  [6294] = 6208,
  [6295] = 6244,
  [6296] = 6221,
  [6297] = 6229,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6204,
  [6301] = 6276,
  [6302] = 6204,
  [6303] = 6268,
  [6304] = 6235,
  [6305] = 6305,
  [6306] = 6212,
  [6307] = 6307,
  [6308] = 6227,
  [6309] = 6233,
  [6310] = 6273,
  [6311] = 6216,
  [6312] = 6312,
  [6313] = 6212,
  [6314] = 6216,
  [6315] = 6217,
  [6316] = 6316,
  [6317] = 6317,
  [6318] = 6318,
  [6319] = 6217,
  [6320] = 6233,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6316,
  [6324] = 6219,
  [6325] = 6325,
  [6326] = 6273,
  [6327] = 6279,
  [6328] = 6198,
  [6329] = 6219,
  [6330] = 6249,
  [6331] = 6279,
  [6332] = 6211,
  [6333] = 6333,
  [6334] = 6284,
  [6335] = 6245,
  [6336] = 6336,
  [6337] = 6245,
  [6338] = 6246,
  [6339] = 6246,
  [6340] = 6247,
  [6341] = 6341,
  [6342] = 6247,
  [6343] = 6258,
  [6344] = 6259,
  [6345] = 6345,
  [6346] = 6260,
  [6347] = 6347,
  [6348] = 6348,
  [6349] = 6191,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6212,
  [6353] = 6216,
  [6354] = 6354,
  [6355] = 6280,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6284,
  [6360] = 6217,
  [6361] = 6361,
  [6362] = 6258,
  [6363] = 6363,
  [6364] = 6219,
  [6365] = 6245,
  [6366] = 6298,
  [6367] = 6211,
  [6368] = 6246,
  [6369] = 6279,
  [6370] = 6259,
  [6371] = 6229,
  [6372] = 6316,
  [6373] = 6207,
  [6374] = 6260,
  [6375] = 6375,
  [6376] = 6298,
  [6377] = 6208,
  [6378] = 6268,
  [6379] = 6379,
  [6380] = 6247,
  [6381] = 6381,
  [6382] = 6199,
  [6383] = 6383,
  [6384] = 6201,
  [6385] = 6385,
  [6386] = 6386,
  [6387] = 6258,
  [6388] = 6202,
  [6389] = 6259,
  [6390] = 6260,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6229,
  [6394] = 6348,
  [6395] = 6386,
  [6396] = 6204,
  [6397] = 6192,
  [6398] = 6193,
  [6399] = 6206,
  [6400] = 6195,
  [6401] = 6401,
  [6402] = 6203,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 6198,
  [6406] = 6221,
  [6407] = 6199,
  [6408] = 6203,
  [6409] = 6409,
  [6410] = 6316,
  [6411] = 6266,
  [6412] = 6204,
  [6413] = 6413,
  [6414] = 6193,
  [6415] = 6415,
  [6416] = 6199,
  [6417] = 6192,
  [6418] = 6235,
  [6419] = 6193,
  [6420] = 6305,
  [6421] = 6204,
  [6422] = 6422,
  [6423] = 6316,
  [6424] = 6201,
  [6425] = 6191,
  [6426] = 6202,
  [6427] = 6203,
  [6428] = 6386,
  [6429] = 6192,
  [6430] = 6430,
  [6431] = 6235,
  [6432] = 6284,
  [6433] = 6391,
  [6434] = 6206,
  [6435] = 6266,
  [6436] = 6275,
  [6437] = 6333,
  [6438] = 6200,
  [6439] = 6199,
  [6440] = 6363,
  [6441] = 6213,
  [6442] = 6232,
  [6443] = 6233,
  [6444] = 6284,
  [6445] = 6273,
  [6446] = 6286,
  [6447] = 6233,
  [6448] = 6350,
  [6449] = 6273,
  [6450] = 6263,
  [6451] = 6451,
  [6452] = 6196,
  [6453] = 6266,
  [6454] = 6401,
  [6455] = 6455,
  [6456] = 6422,
  [6457] = 6212,
  [6458] = 6275,
  [6459] = 6216,
  [6460] = 6217,
  [6461] = 6461,
  [6462] = 6333,
  [6463] = 6286,
  [6464] = 6219,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6363,
  [6468] = 6245,
  [6469] = 6246,
  [6470] = 6280,
  [6471] = 6247,
  [6472] = 6258,
  [6473] = 6259,
  [6474] = 6260,
  [6475] = 6198,
  [6476] = 6195,
  [6477] = 6316,
  [6478] = 6316,
  [6479] = 6479,
  [6480] = 6350,
  [6481] = 6192,
  [6482] = 6201,
  [6483] = 6386,
  [6484] = 6193,
  [6485] = 6391,
  [6486] = 6195,
  [6487] = 6206,
  [6488] = 6266,
  [6489] = 6191,
  [6490] = 6275,
  [6491] = 6202,
  [6492] = 6203,
  [6493] = 6333,
  [6494] = 6286,
  [6495] = 6350,
  [6496] = 6451,
  [6497] = 6235,
  [6498] = 6391,
  [6499] = 6499,
  [6500] = 6451,
  [6501] = 6199,
  [6502] = 6199,
  [6503] = 6200,
  [6504] = 6278,
  [6505] = 6505,
  [6506] = 6307,
  [6507] = 6278,
  [6508] = 6244,
  [6509] = 6347,
  [6510] = 6510,
  [6511] = 6221,
  [6512] = 6207,
  [6513] = 6510,
  [6514] = 6211,
  [6515] = 6298,
  [6516] = 6195,
  [6517] = 6278,
  [6518] = 6347,
  [6519] = 6229,
  [6520] = 6235,
  [6521] = 6249,
  [6522] = 6268,
  [6523] = 6229,
  [6524] = 6254,
  [6525] = 6451,
  [6526] = 6465,
  [6527] = 6195,
  [6528] = 6278,
  [6529] = 6206,
  [6530] = 6256,
  [6531] = 6261,
  [6532] = 6298,
  [6533] = 6244,
  [6534] = 6207,
  [6535] = 6535,
  [6536] = 6275,
  [6537] = 6333,
  [6538] = 6279,
  [6539] = 6223,
  [6540] = 6540,
  [6541] = 6208,
  [6542] = 6249,
  [6543] = 6235,
  [6544] = 6299,
  [6545] = 6545,
  [6546] = 6278,
  [6547] = 6279,
  [6548] = 6244,
  [6549] = 6321,
  [6550] = 6221,
  [6551] = 6312,
  [6552] = 6191,
  [6553] = 6286,
  [6554] = 6347,
  [6555] = 6202,
  [6556] = 6192,
  [6557] = 6201,
  [6558] = 6545,
  [6559] = 6192,
  [6560] = 6193,
  [6561] = 6386,
  [6562] = 6203,
  [6563] = 6191,
  [6564] = 6202,
  [6565] = 6200,
  [6566] = 6391,
  [6567] = 6203,
  [6568] = 6204,
  [6569] = 6430,
  [6570] = 6350,
  [6571] = 6244,
  [6572] = 6540,
  [6573] = 6193,
  [6574] = 6222,
  [6575] = 6278,
  [6576] = 6268,
  [6577] = 6451,
  [6578] = 6195,
  [6579] = 6202,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(152);
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 11,
        '$', 324,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 256,
        ',', 163,
        '-', 260,
        '.', 196,
        '/', 309,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 269,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 106,
        ']', 172,
        '^', 246,
        '`', 307,
        '{', 162,
        '|', 249,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(149);
      if (lookahead > '@') ADVANCE(325);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(27);
      if (lookahead == '&') ADVANCE(21);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead == '<') ADVANCE(268);
      if (lookahead == '{') ADVANCE(161);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(181);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '<') ADVANCE(176);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0) ADVANCE(173);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(41);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(148);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(310);
      if (lookahead != 0) ADVANCE(311);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 89,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 255,
        ',', 163,
        '-', 259,
        '.', 196,
        '/', 262,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 271,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 246,
        '`', 307,
        '{', 161,
        '|', 248,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#') ADVANCE(325);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 89,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 255,
        ',', 163,
        '-', 259,
        '.', 196,
        '/', 262,
        '0', 314,
        ':', 170,
        '<', 271,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 108,
        '^', 246,
        '`', 307,
        '{', 162,
        '|', 248,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 89,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 255,
        ',', 163,
        '-', 259,
        '.', 197,
        '/', 262,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 270,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 246,
        '`', 307,
        '{', 162,
        '|', 249,
        '}', 164,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 255,
        ',', 163,
        '-', 259,
        '.', 195,
        '/', 262,
        ':', 170,
        ';', 169,
        '<', 270,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 246,
        '`', 307,
        '{', 161,
        '|', 248,
        '}', 164,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 166,
        '%', 263,
        '&', 244,
        '(', 167,
        ')', 168,
        '*', 156,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 195,
        '/', 261,
        ':', 170,
        ';', 169,
        '<', 272,
        '=', 158,
        '>', 193,
        '?', 331,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 245,
        '`', 307,
        '{', 161,
        '|', 251,
        '}', 164,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 166,
        '%', 263,
        '&', 244,
        '(', 167,
        ')', 168,
        '*', 156,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 195,
        '/', 261,
        ':', 170,
        ';', 169,
        '<', 272,
        '=', 84,
        '>', 193,
        '?', 38,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 245,
        '`', 307,
        '{', 161,
        '|', 250,
        '}', 164,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(312);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 166,
        '%', 263,
        '&', 244,
        '(', 167,
        ')', 168,
        '*', 156,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 195,
        '/', 261,
        ':', 170,
        ';', 169,
        '<', 272,
        '=', 84,
        '>', 193,
        '?', 38,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 245,
        '`', 307,
        '{', 161,
        '|', 250,
        '}', 164,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(107);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(326);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 165,
        '"', 200,
        '#', 89,
        '&', 242,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 154,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 37,
        '/', 261,
        '0', 314,
        '<', 274,
        '?', 328,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '`', 307,
        '{', 162,
        '|', 247,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 165,
        '"', 200,
        '#', 89,
        '&', 242,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 154,
        '+', 253,
        ',', 163,
        '-', 257,
        '.', 196,
        '/', 31,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 267,
        '=', 160,
        '>', 191,
        '?', 328,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '{', 161,
        '|', 252,
        '}', 164,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 165,
        '"', 200,
        '#', 89,
        '&', 242,
        '\'', 201,
        '(', 167,
        ')', 168,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 196,
        '/', 261,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 274,
        '=', 160,
        '>', 191,
        '?', 329,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '`', 307,
        '{', 161,
        '|', 252,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(325);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 165,
        '"', 200,
        '#', 89,
        '&', 242,
        '\'', 201,
        '(', 167,
        '*', 154,
        '+', 253,
        ',', 163,
        '-', 257,
        '.', 196,
        '/', 31,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 267,
        '=', 160,
        '>', 191,
        '?', 328,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '`', 307,
        '{', 162,
        '|', 252,
        '}', 164,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 200,
        '&', 242,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 154,
        ',', 163,
        '.', 195,
        '/', 31,
        ':', 170,
        ';', 169,
        '<', 267,
        '=', 160,
        '>', 191,
        '?', 329,
        '[', 171,
        '\\', 108,
        ']', 172,
        '`', 307,
        '{', 161,
        '|', 252,
        '}', 164,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(325);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '"', 200,
        '&', 242,
        '\'', 201,
        '(', 167,
        '*', 154,
        '+', 253,
        '-', 257,
        '.', 124,
        '/', 32,
        '0', 314,
        '<', 267,
        '>', 191,
        '?', 328,
        '[', 171,
        '\\', 108,
        '`', 307,
        '{', 162,
        '|', 247,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(17);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(323);
      if (lookahead > '~') ADVANCE(325);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '/') ADVANCE(203);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(202);
      if (lookahead != 0) ADVANCE(204);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '/') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '/') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(19);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(289);
      if (lookahead != 0) ADVANCE(291);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      if (lookahead != 0) ADVANCE(204);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 24:
      if (lookahead == '$') ADVANCE(110);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == '`') ADVANCE(307);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      END_STATE();
    case 25:
      if (lookahead == '$') ADVANCE(110);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '`') ADVANCE(307);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '&', 242,
        '(', 167,
        '+', 87,
        ',', 163,
        '-', 88,
        '.', 195,
        '/', 32,
        ':', 170,
        '<', 267,
        '=', 157,
        '>', 191,
        '?', 44,
        '[', 171,
        '\\', 108,
        '`', 307,
        '{', 161,
        '|', 247,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(26);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(323);
      if (lookahead > '~') ADVANCE(325);
      END_STATE();
    case 27:
      if (lookahead == '&') ADVANCE(21);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '<') ADVANCE(268);
      if (lookahead == '{') ADVANCE(161);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(27);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 28:
      if (lookahead == '&') ADVANCE(23);
      if (lookahead == '\'') ADVANCE(201);
      if (lookahead == '/') ADVANCE(209);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(208);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 29:
      if (lookahead == '\'') ADVANCE(201);
      if (lookahead == '/') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(29);
      END_STATE();
    case 30:
      if (lookahead == '\'') ADVANCE(201);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(29);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(295);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 31:
      if (lookahead == '*') ADVANCE(34);
      if (lookahead == '/') ADVANCE(306);
      END_STATE();
    case 32:
      if (lookahead == '*') ADVANCE(34);
      if (lookahead == '/') ADVANCE(306);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 33:
      if (lookahead == '*') ADVANCE(33);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead != 0) ADVANCE(34);
      END_STATE();
    case 34:
      if (lookahead == '*') ADVANCE(33);
      if (lookahead != 0) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '*') ADVANCE(205);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      if (lookahead != 0) ADVANCE(206);
      END_STATE();
    case 36:
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      if (lookahead != 0) ADVANCE(212);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 38:
      if (lookahead == '.') ADVANCE(215);
      if (lookahead == '?') ADVANCE(281);
      END_STATE();
    case 39:
      if (lookahead == '.') ADVANCE(231);
      END_STATE();
    case 40:
      if (lookahead == '/') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(41);
      END_STATE();
    case 41:
      if (lookahead == '/') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(41);
      END_STATE();
    case 42:
      if (lookahead == ':') ADVANCE(333);
      END_STATE();
    case 43:
      if (lookahead == ':') ADVANCE(332);
      END_STATE();
    case 44:
      if (lookahead == ':') ADVANCE(334);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(190);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(190);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(45);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 83:
      if (lookahead == ';') ADVANCE(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 85:
      if (lookahead == '>') ADVANCE(177);
      END_STATE();
    case 86:
      if (lookahead == '>') ADVANCE(178);
      END_STATE();
    case 87:
      if (lookahead == '?') ADVANCE(42);
      END_STATE();
    case 88:
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 89:
      if (lookahead == '\\') ADVANCE(107);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(326);
      END_STATE();
    case 90:
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == ']') ADVANCE(311);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(90);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 99:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 100:
      if (lookahead == 'm') ADVANCE(102);
      END_STATE();
    case 101:
      if (lookahead == 'p') ADVANCE(97);
      END_STATE();
    case 102:
      if (lookahead == 'p') ADVANCE(98);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(111);
      if (lookahead == 'x') ADVANCE(137);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      if (lookahead != 0) ADVANCE(298);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(112);
      END_STATE();
    case 108:
      if (lookahead == 'u') ADVANCE(113);
      END_STATE();
    case 109:
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'x') ADVANCE(137);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      if (lookahead != 0) ADVANCE(298);
      END_STATE();
    case 110:
      if (lookahead == '{') ADVANCE(308);
      END_STATE();
    case 111:
      if (lookahead == '{') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 112:
      if (lookahead == '{') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(143);
      END_STATE();
    case 113:
      if (lookahead == '{') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 114:
      if (lookahead == '{') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 115:
      if (lookahead == '}') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 116:
      if (lookahead == '}') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 117:
      if (lookahead == '}') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 118:
      if (lookahead == '}') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 119:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(321);
      END_STATE();
    case 120:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(49);
      END_STATE();
    case 121:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(317);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(318);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(315);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(316);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(321);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(298);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 140:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 141:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 142:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 143:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 144:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 145:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(204);
      END_STATE();
    case 146:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(90);
      END_STATE();
    case 148:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(311);
      END_STATE();
    case 149:
      if (eof) ADVANCE(152);
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 11,
        '$', 324,
        '%', 264,
        '&', 243,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 155,
        '+', 256,
        ',', 163,
        '-', 260,
        '.', 196,
        '/', 262,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 269,
        '=', 159,
        '>', 192,
        '?', 330,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 246,
        '`', 307,
        '{', 162,
        '|', 249,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(149);
      if (lookahead > '@') ADVANCE(325);
      END_STATE();
    case 150:
      if (eof) ADVANCE(152);
      ADVANCE_MAP(
        '!', 166,
        '"', 200,
        '#', 89,
        '%', 263,
        '&', 244,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 156,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 197,
        '/', 261,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 273,
        '=', 158,
        '>', 193,
        '?', 38,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '^', 245,
        '`', 307,
        '{', 161,
        '|', 250,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(150);
      if (lookahead > '#') ADVANCE(325);
      END_STATE();
    case 151:
      if (eof) ADVANCE(152);
      ADVANCE_MAP(
        '!', 165,
        '"', 200,
        '#', 11,
        '&', 242,
        '\'', 201,
        '(', 167,
        ')', 168,
        '*', 154,
        '+', 254,
        ',', 163,
        '-', 258,
        '.', 196,
        '/', 261,
        '0', 314,
        ':', 170,
        ';', 169,
        '<', 274,
        '=', 160,
        '>', 191,
        '?', 328,
        '@', 327,
        '[', 171,
        '\\', 108,
        ']', 172,
        '`', 307,
        '{', 161,
        '|', 252,
        '}', 164,
        '~', 283,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(151);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(325);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(266);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(265);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(276);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(335);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(278);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(34);
      if (lookahead == '/') ADVANCE(306);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '<') ADVANCE(176);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(173);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(105);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(188);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '/') ADVANCE(180);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(181);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 188,
        '\r', 181,
        0x2028, 181,
        0x2029, 181,
        '&', 306,
        '<', 306,
        '>', 306,
        '{', 306,
        '}', 306,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(180);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(188);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 186,
        '*', 182,
        '/', 181,
        '&', 34,
        '<', 34,
        '>', 34,
        '{', 34,
        '}', 34,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(183);
      if (lookahead != 0) ADVANCE(183);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(34);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(183);
      if (lookahead != 0) ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(186);
      if (lookahead == '/') ADVANCE(187);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(185);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(34);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(186);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(185);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(34);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(186);
      if (lookahead != 0) ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 188,
        '\r', 188,
        0x2028, 188,
        0x2029, 188,
        '&', 306,
        '<', 306,
        '>', 306,
        '{', 306,
        '}', 306,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(187);
      if (lookahead != 0) ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == '/') ADVANCE(179);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(189);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(181);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(280);
      if (lookahead == '>') ADVANCE(236);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(280);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '/') ADVANCE(203);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(204);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '/') ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(204);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(35);
      if (lookahead == '*') ADVANCE(205);
      if (lookahead == '/') ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(35);
      if (lookahead == '*') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(304);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(23);
      if (lookahead == '/') ADVANCE(209);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(210);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '/') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(36);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '/') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(212);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(36);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '>') ADVANCE(239);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(225);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(233);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(232);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '|') ADVANCE(235);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '|') ADVANCE(235);
      if (lookahead == '}') ADVANCE(336);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(234);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(234);
      if (lookahead == '}') ADVANCE(336);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(336);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(284);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(284);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(284);
      if (lookahead == '=') ADVANCE(216);
      if (lookahead == '?') ADVANCE(42);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(285);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(285);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(285);
      if (lookahead == '=') ADVANCE(217);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(34);
      if (lookahead == '/') ADVANCE(306);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(34);
      if (lookahead == '/') ADVANCE(306);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(198);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(275);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(275);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(275);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(279);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(287);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(288);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(287);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(286);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(289);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(296);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(297);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(293);
      if (lookahead == '/') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(294);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(292);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(295);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(296);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(297);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(108);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(325);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(298);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(298);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(301);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(204);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(306);
      if (lookahead != 0) ADVANCE(207);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(210);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(306);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(306);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(41);
      if (lookahead == '/') ADVANCE(31);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(148);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(310);
      if (lookahead != 0) ADVANCE(311);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(311);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(108);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(312);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(325);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 322,
        '0', 316,
        '_', 125,
        'n', 313,
        'B', 121,
        'b', 121,
        'E', 119,
        'e', 119,
        'O', 122,
        'o', 122,
        'X', 130,
        'x', 130,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(315);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(322);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(315);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(122);
      if (lookahead == 'n') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(130);
      if (lookahead == 'n') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(124);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(321);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(323);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(325);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '{') ADVANCE(308);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(325);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(108);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(325);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(107);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(326);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(215);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(215);
      if (lookahead == '?') ADVANCE(282);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(215);
      if (lookahead == '?') ADVANCE(281);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'k', 9,
        'l', 10,
        'm', 11,
        'n', 12,
        'o', 13,
        'p', 14,
        'r', 15,
        's', 16,
        't', 17,
        'u', 18,
        'v', 19,
        'w', 20,
        'y', 21,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'c') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'e') ADVANCE(52);
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(54);
      if (lookahead == 'f') ADVANCE(55);
      if (lookahead == 'v') ADVANCE(56);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(57);
      if (lookahead == 'u') ADVANCE(58);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'w') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(66);
      if (lookahead == 'h') ADVANCE(67);
      if (lookahead == 'r') ADVANCE(68);
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(70);
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(74);
      if (lookahead == 'i') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'y') ADVANCE(79);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(80);
      if (lookahead == 'y') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(85);
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(87);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(89);
      if (lookahead == 'c') ADVANCE(90);
      if (lookahead == 'f') ADVANCE(91);
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(95);
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(104);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 48:
      if (lookahead == 'y') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 52:
      if (lookahead == 'v') ADVANCE(112);
      if (lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(114);
      if (lookahead == 'm') ADVANCE(115);
      END_STATE();
    case 54:
      if (lookahead == 'j') ADVANCE(116);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(118);
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'b') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(121);
      if (lookahead == 'q') ADVANCE(122);
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(126);
      if (lookahead == 'r') ADVANCE(127);
      END_STATE();
    case 63:
      if (lookahead == 'p') ADVANCE(128);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 65:
      if (lookahead == 'm') ADVANCE(130);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(134);
      if (lookahead == 'y') ADVANCE(135);
      END_STATE();
    case 69:
      if (lookahead == 'p') ADVANCE(136);
      END_STATE();
    case 70:
      if (lookahead == 'd') ADVANCE(137);
      if (lookahead == 'i') ADVANCE(138);
      if (lookahead == 'k') ADVANCE(139);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(141);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(150);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 89:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(159);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(160);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 94:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 97:
      if (lookahead == 's') ADVANCE(166);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(167);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 100:
      if (lookahead == 'm') ADVANCE(168);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(169);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 103:
      if (lookahead == 'b') ADVANCE(170);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(171);
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 108:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(177);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 115:
      if (lookahead == 'b') ADVANCE(181);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 118:
      if (lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(187);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(189);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(190);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 130:
      if (lookahead == 'b') ADVANCE(195);
      END_STATE();
    case 131:
      if (lookahead == 'g') ADVANCE(196);
      END_STATE();
    case 132:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 133:
      if (lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 138:
      if (lookahead == 'q') ADVANCE(202);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 143:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 144:
      if (lookahead == 'h') ADVANCE(207);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 146:
      if (lookahead == 'r') ADVANCE(209);
      END_STATE();
    case 147:
      if (lookahead == 's') ADVANCE(210);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 149:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 152:
      if (lookahead == 'k') ADVANCE(215);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 154:
      if (lookahead == 'h') ADVANCE(216);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(218);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(219);
      END_STATE();
    case 158:
      if (lookahead == 'g') ADVANCE(220);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 165:
      if (lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 167:
      if (lookahead == 'l') ADVANCE(227);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 170:
      if (lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 'f') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'l') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 182:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 188:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 189:
      if (lookahead == 'r') ADVANCE(247);
      END_STATE();
    case 190:
      if (lookahead == 's') ADVANCE(248);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(250);
      END_STATE();
    case 193:
      if (lookahead == 'r') ADVANCE(251);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 195:
      if (lookahead == 'o') ADVANCE(253);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 198:
      if (lookahead == 'w') ADVANCE(255);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 201:
      if (lookahead == 'f') ADVANCE(257);
      END_STATE();
    case 202:
      if (lookahead == 'u') ADVANCE(258);
      END_STATE();
    case 203:
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 204:
      if (lookahead == 'g') ADVANCE(260);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 209:
      if (lookahead == 'a') ADVANCE(263);
      END_STATE();
    case 210:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 214:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(268);
      END_STATE();
    case 221:
      if (lookahead == 'r') ADVANCE(269);
      END_STATE();
    case 222:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 225:
      if (lookahead == 'd') ADVANCE(273);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 227:
      if (lookahead == 'l') ADVANCE(274);
      END_STATE();
    case 228:
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(276);
      END_STATE();
    case 230:
      if (lookahead == 'm') ADVANCE(277);
      END_STATE();
    case 231:
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(279);
      END_STATE();
    case 234:
      if (lookahead == 'f') ADVANCE(280);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 237:
      if (lookahead == 'p') ADVANCE(282);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 239:
      if (lookahead == 'r') ADVANCE(283);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 241:
      if (lookahead == 'i') ADVANCE(285);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 243:
      if (lookahead == 'c') ADVANCE(287);
      END_STATE();
    case 244:
      if (lookahead == 'c') ADVANCE(288);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 246:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 248:
      if (lookahead == 'f') ADVANCE(292);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(293);
      END_STATE();
    case 250:
      if (lookahead == 'g') ADVANCE(294);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 252:
      if (lookahead == 'h') ADVANCE(295);
      END_STATE();
    case 253:
      if (lookahead == 'l') ADVANCE(296);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 256:
      if (lookahead == 'f') ADVANCE(298);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 259:
      if (lookahead == 'w') ADVANCE(301);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(302);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 267:
      if (lookahead == 'u') ADVANCE(306);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(310);
      END_STATE();
    case 274:
      if (lookahead == 'y') ADVANCE(311);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 279:
      if (lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 280:
      if (lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 282:
      if (lookahead == 'a') ADVANCE(316);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(317);
      END_STATE();
    case 286:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(319);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 292:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(332);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(333);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 320:
      if (lookahead == 'y') ADVANCE(336);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_accessor);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(340);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 337:
      if (lookahead == 's') ADVANCE(344);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(345);
      END_STATE();
    case 339:
      if (lookahead == 's') ADVANCE(346);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(347);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 151, .external_lex_state = 2},
  [2] = {.lex_state = 5, .external_lex_state = 3},
  [3] = {.lex_state = 5, .external_lex_state = 3},
  [4] = {.lex_state = 151, .external_lex_state = 2},
  [5] = {.lex_state = 151, .external_lex_state = 2},
  [6] = {.lex_state = 151, .external_lex_state = 2},
  [7] = {.lex_state = 151, .external_lex_state = 2},
  [8] = {.lex_state = 151, .external_lex_state = 2},
  [9] = {.lex_state = 151, .external_lex_state = 2},
  [10] = {.lex_state = 151, .external_lex_state = 2},
  [11] = {.lex_state = 151, .external_lex_state = 2},
  [12] = {.lex_state = 151, .external_lex_state = 2},
  [13] = {.lex_state = 151, .external_lex_state = 2},
  [14] = {.lex_state = 151, .external_lex_state = 2},
  [15] = {.lex_state = 151, .external_lex_state = 2},
  [16] = {.lex_state = 151, .external_lex_state = 2},
  [17] = {.lex_state = 151, .external_lex_state = 2},
  [18] = {.lex_state = 151, .external_lex_state = 2},
  [19] = {.lex_state = 151, .external_lex_state = 2},
  [20] = {.lex_state = 151, .external_lex_state = 2},
  [21] = {.lex_state = 151, .external_lex_state = 2},
  [22] = {.lex_state = 151, .external_lex_state = 2},
  [23] = {.lex_state = 151, .external_lex_state = 2},
  [24] = {.lex_state = 151, .external_lex_state = 2},
  [25] = {.lex_state = 151, .external_lex_state = 2},
  [26] = {.lex_state = 151, .external_lex_state = 2},
  [27] = {.lex_state = 151, .external_lex_state = 2},
  [28] = {.lex_state = 151, .external_lex_state = 2},
  [29] = {.lex_state = 151, .external_lex_state = 2},
  [30] = {.lex_state = 151, .external_lex_state = 2},
  [31] = {.lex_state = 12, .external_lex_state = 2},
  [32] = {.lex_state = 151, .external_lex_state = 2},
  [33] = {.lex_state = 151, .external_lex_state = 2},
  [34] = {.lex_state = 151, .external_lex_state = 2},
  [35] = {.lex_state = 151, .external_lex_state = 2},
  [36] = {.lex_state = 151, .external_lex_state = 2},
  [37] = {.lex_state = 151, .external_lex_state = 2},
  [38] = {.lex_state = 151, .external_lex_state = 2},
  [39] = {.lex_state = 151, .external_lex_state = 2},
  [40] = {.lex_state = 151, .external_lex_state = 2},
  [41] = {.lex_state = 151, .external_lex_state = 2},
  [42] = {.lex_state = 151, .external_lex_state = 2},
  [43] = {.lex_state = 151, .external_lex_state = 2},
  [44] = {.lex_state = 151, .external_lex_state = 2},
  [45] = {.lex_state = 151, .external_lex_state = 2},
  [46] = {.lex_state = 12, .external_lex_state = 2},
  [47] = {.lex_state = 151, .external_lex_state = 2},
  [48] = {.lex_state = 151, .external_lex_state = 2},
  [49] = {.lex_state = 151, .external_lex_state = 2},
  [50] = {.lex_state = 151, .external_lex_state = 2},
  [51] = {.lex_state = 12, .external_lex_state = 2},
  [52] = {.lex_state = 151, .external_lex_state = 2},
  [53] = {.lex_state = 12, .external_lex_state = 2},
  [54] = {.lex_state = 12, .external_lex_state = 2},
  [55] = {.lex_state = 12, .external_lex_state = 2},
  [56] = {.lex_state = 12, .external_lex_state = 2},
  [57] = {.lex_state = 12, .external_lex_state = 2},
  [58] = {.lex_state = 12, .external_lex_state = 2},
  [59] = {.lex_state = 12, .external_lex_state = 2},
  [60] = {.lex_state = 151, .external_lex_state = 2},
  [61] = {.lex_state = 151, .external_lex_state = 2},
  [62] = {.lex_state = 151, .external_lex_state = 2},
  [63] = {.lex_state = 151, .external_lex_state = 2},
  [64] = {.lex_state = 151, .external_lex_state = 2},
  [65] = {.lex_state = 151, .external_lex_state = 2},
  [66] = {.lex_state = 151, .external_lex_state = 2},
  [67] = {.lex_state = 151, .external_lex_state = 2},
  [68] = {.lex_state = 151, .external_lex_state = 2},
  [69] = {.lex_state = 4, .external_lex_state = 4},
  [70] = {.lex_state = 4, .external_lex_state = 4},
  [71] = {.lex_state = 4, .external_lex_state = 4},
  [72] = {.lex_state = 4, .external_lex_state = 3},
  [73] = {.lex_state = 12, .external_lex_state = 2},
  [74] = {.lex_state = 12, .external_lex_state = 2},
  [75] = {.lex_state = 4, .external_lex_state = 3},
  [76] = {.lex_state = 4, .external_lex_state = 3},
  [77] = {.lex_state = 4, .external_lex_state = 3},
  [78] = {.lex_state = 4, .external_lex_state = 3},
  [79] = {.lex_state = 4, .external_lex_state = 3},
  [80] = {.lex_state = 4, .external_lex_state = 3},
  [81] = {.lex_state = 4, .external_lex_state = 3},
  [82] = {.lex_state = 12, .external_lex_state = 2},
  [83] = {.lex_state = 4, .external_lex_state = 3},
  [84] = {.lex_state = 4, .external_lex_state = 3},
  [85] = {.lex_state = 12, .external_lex_state = 2},
  [86] = {.lex_state = 12, .external_lex_state = 2},
  [87] = {.lex_state = 12, .external_lex_state = 2},
  [88] = {.lex_state = 4, .external_lex_state = 3},
  [89] = {.lex_state = 12, .external_lex_state = 2},
  [90] = {.lex_state = 12, .external_lex_state = 2},
  [91] = {.lex_state = 4, .external_lex_state = 3},
  [92] = {.lex_state = 4, .external_lex_state = 3},
  [93] = {.lex_state = 4, .external_lex_state = 3},
  [94] = {.lex_state = 4, .external_lex_state = 4},
  [95] = {.lex_state = 4, .external_lex_state = 4},
  [96] = {.lex_state = 4, .external_lex_state = 3},
  [97] = {.lex_state = 4, .external_lex_state = 4},
  [98] = {.lex_state = 4, .external_lex_state = 4},
  [99] = {.lex_state = 4, .external_lex_state = 4},
  [100] = {.lex_state = 4, .external_lex_state = 4},
  [101] = {.lex_state = 4, .external_lex_state = 3},
  [102] = {.lex_state = 4, .external_lex_state = 4},
  [103] = {.lex_state = 4, .external_lex_state = 4},
  [104] = {.lex_state = 4, .external_lex_state = 4},
  [105] = {.lex_state = 4, .external_lex_state = 4},
  [106] = {.lex_state = 4, .external_lex_state = 3},
  [107] = {.lex_state = 4, .external_lex_state = 3},
  [108] = {.lex_state = 4, .external_lex_state = 3},
  [109] = {.lex_state = 4, .external_lex_state = 3},
  [110] = {.lex_state = 4, .external_lex_state = 3},
  [111] = {.lex_state = 4, .external_lex_state = 3},
  [112] = {.lex_state = 4, .external_lex_state = 3},
  [113] = {.lex_state = 4, .external_lex_state = 3},
  [114] = {.lex_state = 4, .external_lex_state = 4},
  [115] = {.lex_state = 4, .external_lex_state = 3},
  [116] = {.lex_state = 4, .external_lex_state = 3},
  [117] = {.lex_state = 4, .external_lex_state = 3},
  [118] = {.lex_state = 4, .external_lex_state = 4},
  [119] = {.lex_state = 4, .external_lex_state = 3},
  [120] = {.lex_state = 4, .external_lex_state = 3},
  [121] = {.lex_state = 4, .external_lex_state = 3},
  [122] = {.lex_state = 4, .external_lex_state = 4},
  [123] = {.lex_state = 4, .external_lex_state = 3},
  [124] = {.lex_state = 4, .external_lex_state = 3},
  [125] = {.lex_state = 4, .external_lex_state = 3},
  [126] = {.lex_state = 4, .external_lex_state = 3},
  [127] = {.lex_state = 4, .external_lex_state = 3},
  [128] = {.lex_state = 4, .external_lex_state = 3},
  [129] = {.lex_state = 4, .external_lex_state = 3},
  [130] = {.lex_state = 4, .external_lex_state = 3},
  [131] = {.lex_state = 4, .external_lex_state = 3},
  [132] = {.lex_state = 4, .external_lex_state = 3},
  [133] = {.lex_state = 4, .external_lex_state = 3},
  [134] = {.lex_state = 4, .external_lex_state = 3},
  [135] = {.lex_state = 4, .external_lex_state = 3},
  [136] = {.lex_state = 4, .external_lex_state = 3},
  [137] = {.lex_state = 4, .external_lex_state = 3},
  [138] = {.lex_state = 4, .external_lex_state = 3},
  [139] = {.lex_state = 12, .external_lex_state = 2},
  [140] = {.lex_state = 4, .external_lex_state = 3},
  [141] = {.lex_state = 4, .external_lex_state = 3},
  [142] = {.lex_state = 4, .external_lex_state = 3},
  [143] = {.lex_state = 12, .external_lex_state = 2},
  [144] = {.lex_state = 12, .external_lex_state = 2},
  [145] = {.lex_state = 12, .external_lex_state = 2},
  [146] = {.lex_state = 12, .external_lex_state = 2},
  [147] = {.lex_state = 12, .external_lex_state = 2},
  [148] = {.lex_state = 12, .external_lex_state = 2},
  [149] = {.lex_state = 12, .external_lex_state = 2},
  [150] = {.lex_state = 12, .external_lex_state = 2},
  [151] = {.lex_state = 12, .external_lex_state = 2},
  [152] = {.lex_state = 12, .external_lex_state = 2},
  [153] = {.lex_state = 12, .external_lex_state = 2},
  [154] = {.lex_state = 12, .external_lex_state = 2},
  [155] = {.lex_state = 150, .external_lex_state = 3},
  [156] = {.lex_state = 150, .external_lex_state = 4},
  [157] = {.lex_state = 150, .external_lex_state = 4},
  [158] = {.lex_state = 150, .external_lex_state = 3},
  [159] = {.lex_state = 150, .external_lex_state = 4},
  [160] = {.lex_state = 150, .external_lex_state = 3},
  [161] = {.lex_state = 150, .external_lex_state = 3},
  [162] = {.lex_state = 150, .external_lex_state = 3},
  [163] = {.lex_state = 150, .external_lex_state = 3},
  [164] = {.lex_state = 151, .external_lex_state = 2},
  [165] = {.lex_state = 151, .external_lex_state = 2},
  [166] = {.lex_state = 151, .external_lex_state = 2},
  [167] = {.lex_state = 151, .external_lex_state = 2},
  [168] = {.lex_state = 151, .external_lex_state = 2},
  [169] = {.lex_state = 151, .external_lex_state = 2},
  [170] = {.lex_state = 151, .external_lex_state = 2},
  [171] = {.lex_state = 151, .external_lex_state = 2},
  [172] = {.lex_state = 6, .external_lex_state = 3},
  [173] = {.lex_state = 6, .external_lex_state = 4},
  [174] = {.lex_state = 6, .external_lex_state = 4},
  [175] = {.lex_state = 6, .external_lex_state = 3},
  [176] = {.lex_state = 6, .external_lex_state = 3},
  [177] = {.lex_state = 6, .external_lex_state = 3},
  [178] = {.lex_state = 6, .external_lex_state = 4},
  [179] = {.lex_state = 6, .external_lex_state = 3},
  [180] = {.lex_state = 6, .external_lex_state = 3},
  [181] = {.lex_state = 6, .external_lex_state = 3},
  [182] = {.lex_state = 6, .external_lex_state = 3},
  [183] = {.lex_state = 6, .external_lex_state = 3},
  [184] = {.lex_state = 6, .external_lex_state = 3},
  [185] = {.lex_state = 6, .external_lex_state = 3},
  [186] = {.lex_state = 151, .external_lex_state = 2},
  [187] = {.lex_state = 151, .external_lex_state = 2},
  [188] = {.lex_state = 151, .external_lex_state = 2},
  [189] = {.lex_state = 151, .external_lex_state = 2},
  [190] = {.lex_state = 151, .external_lex_state = 2},
  [191] = {.lex_state = 151, .external_lex_state = 2},
  [192] = {.lex_state = 151, .external_lex_state = 2},
  [193] = {.lex_state = 151, .external_lex_state = 2},
  [194] = {.lex_state = 151, .external_lex_state = 2},
  [195] = {.lex_state = 151, .external_lex_state = 2},
  [196] = {.lex_state = 151, .external_lex_state = 2},
  [197] = {.lex_state = 151, .external_lex_state = 2},
  [198] = {.lex_state = 151, .external_lex_state = 2},
  [199] = {.lex_state = 151, .external_lex_state = 2},
  [200] = {.lex_state = 151, .external_lex_state = 2},
  [201] = {.lex_state = 151, .external_lex_state = 2},
  [202] = {.lex_state = 151, .external_lex_state = 2},
  [203] = {.lex_state = 151, .external_lex_state = 2},
  [204] = {.lex_state = 151, .external_lex_state = 2},
  [205] = {.lex_state = 151, .external_lex_state = 2},
  [206] = {.lex_state = 151, .external_lex_state = 2},
  [207] = {.lex_state = 151, .external_lex_state = 2},
  [208] = {.lex_state = 151, .external_lex_state = 2},
  [209] = {.lex_state = 150, .external_lex_state = 4},
  [210] = {.lex_state = 151, .external_lex_state = 2},
  [211] = {.lex_state = 150, .external_lex_state = 4},
  [212] = {.lex_state = 150, .external_lex_state = 4},
  [213] = {.lex_state = 151, .external_lex_state = 5},
  [214] = {.lex_state = 151, .external_lex_state = 2},
  [215] = {.lex_state = 150, .external_lex_state = 4},
  [216] = {.lex_state = 150, .external_lex_state = 4},
  [217] = {.lex_state = 150, .external_lex_state = 4},
  [218] = {.lex_state = 150, .external_lex_state = 4},
  [219] = {.lex_state = 150, .external_lex_state = 4},
  [220] = {.lex_state = 150, .external_lex_state = 4},
  [221] = {.lex_state = 150, .external_lex_state = 4},
  [222] = {.lex_state = 150, .external_lex_state = 4},
  [223] = {.lex_state = 150, .external_lex_state = 4},
  [224] = {.lex_state = 150, .external_lex_state = 4},
  [225] = {.lex_state = 150, .external_lex_state = 4},
  [226] = {.lex_state = 151, .external_lex_state = 2},
  [227] = {.lex_state = 150, .external_lex_state = 4},
  [228] = {.lex_state = 151, .external_lex_state = 2},
  [229] = {.lex_state = 150, .external_lex_state = 4},
  [230] = {.lex_state = 150, .external_lex_state = 4},
  [231] = {.lex_state = 150, .external_lex_state = 4},
  [232] = {.lex_state = 150, .external_lex_state = 4},
  [233] = {.lex_state = 150, .external_lex_state = 4},
  [234] = {.lex_state = 150, .external_lex_state = 4},
  [235] = {.lex_state = 150, .external_lex_state = 4},
  [236] = {.lex_state = 151, .external_lex_state = 2},
  [237] = {.lex_state = 151, .external_lex_state = 2},
  [238] = {.lex_state = 150, .external_lex_state = 4},
  [239] = {.lex_state = 150, .external_lex_state = 4},
  [240] = {.lex_state = 150, .external_lex_state = 4},
  [241] = {.lex_state = 151, .external_lex_state = 2},
  [242] = {.lex_state = 150, .external_lex_state = 4},
  [243] = {.lex_state = 151, .external_lex_state = 2},
  [244] = {.lex_state = 150, .external_lex_state = 4},
  [245] = {.lex_state = 150, .external_lex_state = 4},
  [246] = {.lex_state = 151, .external_lex_state = 2},
  [247] = {.lex_state = 150, .external_lex_state = 4},
  [248] = {.lex_state = 151, .external_lex_state = 2},
  [249] = {.lex_state = 151, .external_lex_state = 2},
  [250] = {.lex_state = 151, .external_lex_state = 2},
  [251] = {.lex_state = 151, .external_lex_state = 2},
  [252] = {.lex_state = 151, .external_lex_state = 2},
  [253] = {.lex_state = 151, .external_lex_state = 2},
  [254] = {.lex_state = 151, .external_lex_state = 2},
  [255] = {.lex_state = 151, .external_lex_state = 2},
  [256] = {.lex_state = 151, .external_lex_state = 2},
  [257] = {.lex_state = 151, .external_lex_state = 2},
  [258] = {.lex_state = 151, .external_lex_state = 2},
  [259] = {.lex_state = 151, .external_lex_state = 2},
  [260] = {.lex_state = 151, .external_lex_state = 2},
  [261] = {.lex_state = 151, .external_lex_state = 2},
  [262] = {.lex_state = 151, .external_lex_state = 2},
  [263] = {.lex_state = 151, .external_lex_state = 2},
  [264] = {.lex_state = 151, .external_lex_state = 2},
  [265] = {.lex_state = 151, .external_lex_state = 2},
  [266] = {.lex_state = 151, .external_lex_state = 2},
  [267] = {.lex_state = 151, .external_lex_state = 2},
  [268] = {.lex_state = 151, .external_lex_state = 2},
  [269] = {.lex_state = 151, .external_lex_state = 2},
  [270] = {.lex_state = 151, .external_lex_state = 2},
  [271] = {.lex_state = 4, .external_lex_state = 3},
  [272] = {.lex_state = 151, .external_lex_state = 2},
  [273] = {.lex_state = 151, .external_lex_state = 2},
  [274] = {.lex_state = 151, .external_lex_state = 2},
  [275] = {.lex_state = 151, .external_lex_state = 2},
  [276] = {.lex_state = 151, .external_lex_state = 2},
  [277] = {.lex_state = 151, .external_lex_state = 2},
  [278] = {.lex_state = 151, .external_lex_state = 2},
  [279] = {.lex_state = 151, .external_lex_state = 2},
  [280] = {.lex_state = 151, .external_lex_state = 2},
  [281] = {.lex_state = 151, .external_lex_state = 2},
  [282] = {.lex_state = 4, .external_lex_state = 3},
  [283] = {.lex_state = 151, .external_lex_state = 2},
  [284] = {.lex_state = 151, .external_lex_state = 2},
  [285] = {.lex_state = 151, .external_lex_state = 2},
  [286] = {.lex_state = 151, .external_lex_state = 2},
  [287] = {.lex_state = 4, .external_lex_state = 3},
  [288] = {.lex_state = 4, .external_lex_state = 3},
  [289] = {.lex_state = 151, .external_lex_state = 2},
  [290] = {.lex_state = 151, .external_lex_state = 2},
  [291] = {.lex_state = 151, .external_lex_state = 2},
  [292] = {.lex_state = 151, .external_lex_state = 2},
  [293] = {.lex_state = 151, .external_lex_state = 2},
  [294] = {.lex_state = 151, .external_lex_state = 5},
  [295] = {.lex_state = 151, .external_lex_state = 2},
  [296] = {.lex_state = 151, .external_lex_state = 2},
  [297] = {.lex_state = 151, .external_lex_state = 2},
  [298] = {.lex_state = 151, .external_lex_state = 2},
  [299] = {.lex_state = 151, .external_lex_state = 2},
  [300] = {.lex_state = 151, .external_lex_state = 2},
  [301] = {.lex_state = 151, .external_lex_state = 2},
  [302] = {.lex_state = 151, .external_lex_state = 2},
  [303] = {.lex_state = 151, .external_lex_state = 2},
  [304] = {.lex_state = 151, .external_lex_state = 2},
  [305] = {.lex_state = 151, .external_lex_state = 2},
  [306] = {.lex_state = 151, .external_lex_state = 2},
  [307] = {.lex_state = 151, .external_lex_state = 2},
  [308] = {.lex_state = 151, .external_lex_state = 2},
  [309] = {.lex_state = 151, .external_lex_state = 2},
  [310] = {.lex_state = 151, .external_lex_state = 2},
  [311] = {.lex_state = 151, .external_lex_state = 2},
  [312] = {.lex_state = 151, .external_lex_state = 2},
  [313] = {.lex_state = 151, .external_lex_state = 2},
  [314] = {.lex_state = 151, .external_lex_state = 2},
  [315] = {.lex_state = 151, .external_lex_state = 2},
  [316] = {.lex_state = 151, .external_lex_state = 2},
  [317] = {.lex_state = 151, .external_lex_state = 2},
  [318] = {.lex_state = 151, .external_lex_state = 2},
  [319] = {.lex_state = 151, .external_lex_state = 2},
  [320] = {.lex_state = 151, .external_lex_state = 2},
  [321] = {.lex_state = 151, .external_lex_state = 2},
  [322] = {.lex_state = 151, .external_lex_state = 2},
  [323] = {.lex_state = 151, .external_lex_state = 2},
  [324] = {.lex_state = 151, .external_lex_state = 2},
  [325] = {.lex_state = 151, .external_lex_state = 2},
  [326] = {.lex_state = 151, .external_lex_state = 2},
  [327] = {.lex_state = 151, .external_lex_state = 2},
  [328] = {.lex_state = 151, .external_lex_state = 2},
  [329] = {.lex_state = 151, .external_lex_state = 2},
  [330] = {.lex_state = 151, .external_lex_state = 2},
  [331] = {.lex_state = 151, .external_lex_state = 2},
  [332] = {.lex_state = 151, .external_lex_state = 2},
  [333] = {.lex_state = 151, .external_lex_state = 2},
  [334] = {.lex_state = 151, .external_lex_state = 2},
  [335] = {.lex_state = 151, .external_lex_state = 2},
  [336] = {.lex_state = 151, .external_lex_state = 2},
  [337] = {.lex_state = 151, .external_lex_state = 2},
  [338] = {.lex_state = 151, .external_lex_state = 2},
  [339] = {.lex_state = 151, .external_lex_state = 2},
  [340] = {.lex_state = 151, .external_lex_state = 2},
  [341] = {.lex_state = 151, .external_lex_state = 2},
  [342] = {.lex_state = 151, .external_lex_state = 2},
  [343] = {.lex_state = 151, .external_lex_state = 2},
  [344] = {.lex_state = 151, .external_lex_state = 2},
  [345] = {.lex_state = 151, .external_lex_state = 2},
  [346] = {.lex_state = 151, .external_lex_state = 2},
  [347] = {.lex_state = 151, .external_lex_state = 2},
  [348] = {.lex_state = 151, .external_lex_state = 2},
  [349] = {.lex_state = 151, .external_lex_state = 2},
  [350] = {.lex_state = 151, .external_lex_state = 2},
  [351] = {.lex_state = 151, .external_lex_state = 2},
  [352] = {.lex_state = 151, .external_lex_state = 2},
  [353] = {.lex_state = 151, .external_lex_state = 2},
  [354] = {.lex_state = 151, .external_lex_state = 2},
  [355] = {.lex_state = 151, .external_lex_state = 2},
  [356] = {.lex_state = 151, .external_lex_state = 2},
  [357] = {.lex_state = 151, .external_lex_state = 2},
  [358] = {.lex_state = 151, .external_lex_state = 2},
  [359] = {.lex_state = 151, .external_lex_state = 2},
  [360] = {.lex_state = 151, .external_lex_state = 2},
  [361] = {.lex_state = 151, .external_lex_state = 2},
  [362] = {.lex_state = 151, .external_lex_state = 2},
  [363] = {.lex_state = 151, .external_lex_state = 2},
  [364] = {.lex_state = 151, .external_lex_state = 2},
  [365] = {.lex_state = 151, .external_lex_state = 2},
  [366] = {.lex_state = 151, .external_lex_state = 2},
  [367] = {.lex_state = 151, .external_lex_state = 2},
  [368] = {.lex_state = 151, .external_lex_state = 2},
  [369] = {.lex_state = 151, .external_lex_state = 2},
  [370] = {.lex_state = 151, .external_lex_state = 2},
  [371] = {.lex_state = 151, .external_lex_state = 2},
  [372] = {.lex_state = 151, .external_lex_state = 2},
  [373] = {.lex_state = 151, .external_lex_state = 2},
  [374] = {.lex_state = 151, .external_lex_state = 2},
  [375] = {.lex_state = 151, .external_lex_state = 2},
  [376] = {.lex_state = 151, .external_lex_state = 2},
  [377] = {.lex_state = 151, .external_lex_state = 2},
  [378] = {.lex_state = 151, .external_lex_state = 2},
  [379] = {.lex_state = 151, .external_lex_state = 2},
  [380] = {.lex_state = 151, .external_lex_state = 2},
  [381] = {.lex_state = 151, .external_lex_state = 2},
  [382] = {.lex_state = 151, .external_lex_state = 2},
  [383] = {.lex_state = 151, .external_lex_state = 2},
  [384] = {.lex_state = 151, .external_lex_state = 2},
  [385] = {.lex_state = 151, .external_lex_state = 2},
  [386] = {.lex_state = 151, .external_lex_state = 2},
  [387] = {.lex_state = 151, .external_lex_state = 2},
  [388] = {.lex_state = 151, .external_lex_state = 2},
  [389] = {.lex_state = 151, .external_lex_state = 2},
  [390] = {.lex_state = 151, .external_lex_state = 2},
  [391] = {.lex_state = 151, .external_lex_state = 2},
  [392] = {.lex_state = 151, .external_lex_state = 2},
  [393] = {.lex_state = 151, .external_lex_state = 2},
  [394] = {.lex_state = 151, .external_lex_state = 2},
  [395] = {.lex_state = 151, .external_lex_state = 2},
  [396] = {.lex_state = 151, .external_lex_state = 2},
  [397] = {.lex_state = 151, .external_lex_state = 2},
  [398] = {.lex_state = 151, .external_lex_state = 2},
  [399] = {.lex_state = 151, .external_lex_state = 2},
  [400] = {.lex_state = 151, .external_lex_state = 2},
  [401] = {.lex_state = 151, .external_lex_state = 2},
  [402] = {.lex_state = 151, .external_lex_state = 2},
  [403] = {.lex_state = 151, .external_lex_state = 2},
  [404] = {.lex_state = 151, .external_lex_state = 2},
  [405] = {.lex_state = 151, .external_lex_state = 2},
  [406] = {.lex_state = 151, .external_lex_state = 2},
  [407] = {.lex_state = 151, .external_lex_state = 2},
  [408] = {.lex_state = 151, .external_lex_state = 2},
  [409] = {.lex_state = 151, .external_lex_state = 2},
  [410] = {.lex_state = 151, .external_lex_state = 2},
  [411] = {.lex_state = 151, .external_lex_state = 2},
  [412] = {.lex_state = 151, .external_lex_state = 2},
  [413] = {.lex_state = 151, .external_lex_state = 2},
  [414] = {.lex_state = 151, .external_lex_state = 2},
  [415] = {.lex_state = 151, .external_lex_state = 2},
  [416] = {.lex_state = 151, .external_lex_state = 2},
  [417] = {.lex_state = 151, .external_lex_state = 2},
  [418] = {.lex_state = 151, .external_lex_state = 2},
  [419] = {.lex_state = 151, .external_lex_state = 2},
  [420] = {.lex_state = 151, .external_lex_state = 2},
  [421] = {.lex_state = 151, .external_lex_state = 2},
  [422] = {.lex_state = 151, .external_lex_state = 2},
  [423] = {.lex_state = 151, .external_lex_state = 2},
  [424] = {.lex_state = 151, .external_lex_state = 2},
  [425] = {.lex_state = 151, .external_lex_state = 2},
  [426] = {.lex_state = 151, .external_lex_state = 2},
  [427] = {.lex_state = 151, .external_lex_state = 2},
  [428] = {.lex_state = 151, .external_lex_state = 2},
  [429] = {.lex_state = 151, .external_lex_state = 2},
  [430] = {.lex_state = 151, .external_lex_state = 2},
  [431] = {.lex_state = 151, .external_lex_state = 2},
  [432] = {.lex_state = 151, .external_lex_state = 2},
  [433] = {.lex_state = 151, .external_lex_state = 2},
  [434] = {.lex_state = 151, .external_lex_state = 2},
  [435] = {.lex_state = 151, .external_lex_state = 2},
  [436] = {.lex_state = 151, .external_lex_state = 2},
  [437] = {.lex_state = 151, .external_lex_state = 2},
  [438] = {.lex_state = 151, .external_lex_state = 2},
  [439] = {.lex_state = 151, .external_lex_state = 2},
  [440] = {.lex_state = 151, .external_lex_state = 2},
  [441] = {.lex_state = 151, .external_lex_state = 2},
  [442] = {.lex_state = 151, .external_lex_state = 2},
  [443] = {.lex_state = 151, .external_lex_state = 2},
  [444] = {.lex_state = 151, .external_lex_state = 2},
  [445] = {.lex_state = 151, .external_lex_state = 2},
  [446] = {.lex_state = 151, .external_lex_state = 2},
  [447] = {.lex_state = 151, .external_lex_state = 2},
  [448] = {.lex_state = 151, .external_lex_state = 2},
  [449] = {.lex_state = 151, .external_lex_state = 2},
  [450] = {.lex_state = 151, .external_lex_state = 2},
  [451] = {.lex_state = 151, .external_lex_state = 2},
  [452] = {.lex_state = 151, .external_lex_state = 2},
  [453] = {.lex_state = 151, .external_lex_state = 2},
  [454] = {.lex_state = 151, .external_lex_state = 2},
  [455] = {.lex_state = 151, .external_lex_state = 2},
  [456] = {.lex_state = 151, .external_lex_state = 2},
  [457] = {.lex_state = 151, .external_lex_state = 2},
  [458] = {.lex_state = 151, .external_lex_state = 2},
  [459] = {.lex_state = 151, .external_lex_state = 2},
  [460] = {.lex_state = 151, .external_lex_state = 2},
  [461] = {.lex_state = 151, .external_lex_state = 2},
  [462] = {.lex_state = 151, .external_lex_state = 2},
  [463] = {.lex_state = 151, .external_lex_state = 2},
  [464] = {.lex_state = 151, .external_lex_state = 2},
  [465] = {.lex_state = 151, .external_lex_state = 2},
  [466] = {.lex_state = 151, .external_lex_state = 2},
  [467] = {.lex_state = 151, .external_lex_state = 2},
  [468] = {.lex_state = 151, .external_lex_state = 2},
  [469] = {.lex_state = 151, .external_lex_state = 2},
  [470] = {.lex_state = 151, .external_lex_state = 2},
  [471] = {.lex_state = 151, .external_lex_state = 2},
  [472] = {.lex_state = 151, .external_lex_state = 2},
  [473] = {.lex_state = 151, .external_lex_state = 2},
  [474] = {.lex_state = 151, .external_lex_state = 2},
  [475] = {.lex_state = 151, .external_lex_state = 2},
  [476] = {.lex_state = 151, .external_lex_state = 2},
  [477] = {.lex_state = 151, .external_lex_state = 2},
  [478] = {.lex_state = 151, .external_lex_state = 2},
  [479] = {.lex_state = 151, .external_lex_state = 2},
  [480] = {.lex_state = 151, .external_lex_state = 2},
  [481] = {.lex_state = 151, .external_lex_state = 2},
  [482] = {.lex_state = 151, .external_lex_state = 2},
  [483] = {.lex_state = 151, .external_lex_state = 2},
  [484] = {.lex_state = 151, .external_lex_state = 2},
  [485] = {.lex_state = 151, .external_lex_state = 2},
  [486] = {.lex_state = 151, .external_lex_state = 2},
  [487] = {.lex_state = 151, .external_lex_state = 2},
  [488] = {.lex_state = 151, .external_lex_state = 2},
  [489] = {.lex_state = 151, .external_lex_state = 2},
  [490] = {.lex_state = 151, .external_lex_state = 2},
  [491] = {.lex_state = 151, .external_lex_state = 2},
  [492] = {.lex_state = 151, .external_lex_state = 2},
  [493] = {.lex_state = 151, .external_lex_state = 2},
  [494] = {.lex_state = 151, .external_lex_state = 2},
  [495] = {.lex_state = 151, .external_lex_state = 2},
  [496] = {.lex_state = 151, .external_lex_state = 2},
  [497] = {.lex_state = 151, .external_lex_state = 2},
  [498] = {.lex_state = 151, .external_lex_state = 2},
  [499] = {.lex_state = 151, .external_lex_state = 2},
  [500] = {.lex_state = 151, .external_lex_state = 2},
  [501] = {.lex_state = 151, .external_lex_state = 2},
  [502] = {.lex_state = 151, .external_lex_state = 2},
  [503] = {.lex_state = 151, .external_lex_state = 2},
  [504] = {.lex_state = 151, .external_lex_state = 2},
  [505] = {.lex_state = 151, .external_lex_state = 2},
  [506] = {.lex_state = 151, .external_lex_state = 2},
  [507] = {.lex_state = 151, .external_lex_state = 2},
  [508] = {.lex_state = 151, .external_lex_state = 2},
  [509] = {.lex_state = 151, .external_lex_state = 2},
  [510] = {.lex_state = 151, .external_lex_state = 2},
  [511] = {.lex_state = 151, .external_lex_state = 2},
  [512] = {.lex_state = 151, .external_lex_state = 2},
  [513] = {.lex_state = 151, .external_lex_state = 2},
  [514] = {.lex_state = 151, .external_lex_state = 2},
  [515] = {.lex_state = 151, .external_lex_state = 2},
  [516] = {.lex_state = 151, .external_lex_state = 2},
  [517] = {.lex_state = 151, .external_lex_state = 2},
  [518] = {.lex_state = 151, .external_lex_state = 2},
  [519] = {.lex_state = 151, .external_lex_state = 2},
  [520] = {.lex_state = 151, .external_lex_state = 2},
  [521] = {.lex_state = 151, .external_lex_state = 2},
  [522] = {.lex_state = 151, .external_lex_state = 2},
  [523] = {.lex_state = 151, .external_lex_state = 2},
  [524] = {.lex_state = 151, .external_lex_state = 2},
  [525] = {.lex_state = 151, .external_lex_state = 2},
  [526] = {.lex_state = 151, .external_lex_state = 2},
  [527] = {.lex_state = 151, .external_lex_state = 2},
  [528] = {.lex_state = 151, .external_lex_state = 2},
  [529] = {.lex_state = 151, .external_lex_state = 2},
  [530] = {.lex_state = 151, .external_lex_state = 2},
  [531] = {.lex_state = 151, .external_lex_state = 2},
  [532] = {.lex_state = 151, .external_lex_state = 2},
  [533] = {.lex_state = 151, .external_lex_state = 2},
  [534] = {.lex_state = 151, .external_lex_state = 2},
  [535] = {.lex_state = 151, .external_lex_state = 2},
  [536] = {.lex_state = 151, .external_lex_state = 2},
  [537] = {.lex_state = 151, .external_lex_state = 2},
  [538] = {.lex_state = 151, .external_lex_state = 2},
  [539] = {.lex_state = 151, .external_lex_state = 2},
  [540] = {.lex_state = 151, .external_lex_state = 2},
  [541] = {.lex_state = 151, .external_lex_state = 2},
  [542] = {.lex_state = 151, .external_lex_state = 2},
  [543] = {.lex_state = 151, .external_lex_state = 2},
  [544] = {.lex_state = 151, .external_lex_state = 2},
  [545] = {.lex_state = 151, .external_lex_state = 2},
  [546] = {.lex_state = 151, .external_lex_state = 2},
  [547] = {.lex_state = 151, .external_lex_state = 2},
  [548] = {.lex_state = 151, .external_lex_state = 2},
  [549] = {.lex_state = 151, .external_lex_state = 2},
  [550] = {.lex_state = 151, .external_lex_state = 2},
  [551] = {.lex_state = 151, .external_lex_state = 2},
  [552] = {.lex_state = 151, .external_lex_state = 2},
  [553] = {.lex_state = 151, .external_lex_state = 2},
  [554] = {.lex_state = 151, .external_lex_state = 2},
  [555] = {.lex_state = 151, .external_lex_state = 2},
  [556] = {.lex_state = 151, .external_lex_state = 2},
  [557] = {.lex_state = 151, .external_lex_state = 2},
  [558] = {.lex_state = 151, .external_lex_state = 2},
  [559] = {.lex_state = 151, .external_lex_state = 2},
  [560] = {.lex_state = 151, .external_lex_state = 2},
  [561] = {.lex_state = 151, .external_lex_state = 2},
  [562] = {.lex_state = 151, .external_lex_state = 2},
  [563] = {.lex_state = 151, .external_lex_state = 2},
  [564] = {.lex_state = 151, .external_lex_state = 2},
  [565] = {.lex_state = 151, .external_lex_state = 2},
  [566] = {.lex_state = 151, .external_lex_state = 2},
  [567] = {.lex_state = 151, .external_lex_state = 2},
  [568] = {.lex_state = 151, .external_lex_state = 2},
  [569] = {.lex_state = 151, .external_lex_state = 2},
  [570] = {.lex_state = 151, .external_lex_state = 2},
  [571] = {.lex_state = 151, .external_lex_state = 2},
  [572] = {.lex_state = 151, .external_lex_state = 2},
  [573] = {.lex_state = 151, .external_lex_state = 2},
  [574] = {.lex_state = 151, .external_lex_state = 2},
  [575] = {.lex_state = 151, .external_lex_state = 2},
  [576] = {.lex_state = 151, .external_lex_state = 2},
  [577] = {.lex_state = 151, .external_lex_state = 2},
  [578] = {.lex_state = 151, .external_lex_state = 2},
  [579] = {.lex_state = 151, .external_lex_state = 2},
  [580] = {.lex_state = 151, .external_lex_state = 2},
  [581] = {.lex_state = 151, .external_lex_state = 2},
  [582] = {.lex_state = 151, .external_lex_state = 2},
  [583] = {.lex_state = 151, .external_lex_state = 2},
  [584] = {.lex_state = 151, .external_lex_state = 2},
  [585] = {.lex_state = 151, .external_lex_state = 2},
  [586] = {.lex_state = 151, .external_lex_state = 2},
  [587] = {.lex_state = 151, .external_lex_state = 2},
  [588] = {.lex_state = 151, .external_lex_state = 2},
  [589] = {.lex_state = 151, .external_lex_state = 2},
  [590] = {.lex_state = 151, .external_lex_state = 2},
  [591] = {.lex_state = 151, .external_lex_state = 2},
  [592] = {.lex_state = 151, .external_lex_state = 2},
  [593] = {.lex_state = 151, .external_lex_state = 2},
  [594] = {.lex_state = 151, .external_lex_state = 2},
  [595] = {.lex_state = 151, .external_lex_state = 2},
  [596] = {.lex_state = 151, .external_lex_state = 2},
  [597] = {.lex_state = 151, .external_lex_state = 2},
  [598] = {.lex_state = 151, .external_lex_state = 2},
  [599] = {.lex_state = 151, .external_lex_state = 2},
  [600] = {.lex_state = 151, .external_lex_state = 2},
  [601] = {.lex_state = 151, .external_lex_state = 2},
  [602] = {.lex_state = 151, .external_lex_state = 2},
  [603] = {.lex_state = 151, .external_lex_state = 2},
  [604] = {.lex_state = 151, .external_lex_state = 2},
  [605] = {.lex_state = 151, .external_lex_state = 2},
  [606] = {.lex_state = 151, .external_lex_state = 2},
  [607] = {.lex_state = 151, .external_lex_state = 2},
  [608] = {.lex_state = 151, .external_lex_state = 2},
  [609] = {.lex_state = 151, .external_lex_state = 2},
  [610] = {.lex_state = 151, .external_lex_state = 2},
  [611] = {.lex_state = 151, .external_lex_state = 2},
  [612] = {.lex_state = 151, .external_lex_state = 2},
  [613] = {.lex_state = 151, .external_lex_state = 2},
  [614] = {.lex_state = 151, .external_lex_state = 2},
  [615] = {.lex_state = 151, .external_lex_state = 2},
  [616] = {.lex_state = 151, .external_lex_state = 2},
  [617] = {.lex_state = 151, .external_lex_state = 2},
  [618] = {.lex_state = 151, .external_lex_state = 2},
  [619] = {.lex_state = 151, .external_lex_state = 2},
  [620] = {.lex_state = 151, .external_lex_state = 2},
  [621] = {.lex_state = 151, .external_lex_state = 2},
  [622] = {.lex_state = 151, .external_lex_state = 2},
  [623] = {.lex_state = 151, .external_lex_state = 2},
  [624] = {.lex_state = 151, .external_lex_state = 2},
  [625] = {.lex_state = 151, .external_lex_state = 2},
  [626] = {.lex_state = 151, .external_lex_state = 2},
  [627] = {.lex_state = 151, .external_lex_state = 2},
  [628] = {.lex_state = 7, .external_lex_state = 4},
  [629] = {.lex_state = 7, .external_lex_state = 4},
  [630] = {.lex_state = 7, .external_lex_state = 4},
  [631] = {.lex_state = 6, .external_lex_state = 4},
  [632] = {.lex_state = 6, .external_lex_state = 4},
  [633] = {.lex_state = 6, .external_lex_state = 4},
  [634] = {.lex_state = 6, .external_lex_state = 4},
  [635] = {.lex_state = 6, .external_lex_state = 4},
  [636] = {.lex_state = 6, .external_lex_state = 4},
  [637] = {.lex_state = 7, .external_lex_state = 4},
  [638] = {.lex_state = 7, .external_lex_state = 4},
  [639] = {.lex_state = 7, .external_lex_state = 4},
  [640] = {.lex_state = 6, .external_lex_state = 4},
  [641] = {.lex_state = 6, .external_lex_state = 4},
  [642] = {.lex_state = 6, .external_lex_state = 4},
  [643] = {.lex_state = 6, .external_lex_state = 4},
  [644] = {.lex_state = 6, .external_lex_state = 4},
  [645] = {.lex_state = 6, .external_lex_state = 4},
  [646] = {.lex_state = 6, .external_lex_state = 4},
  [647] = {.lex_state = 151, .external_lex_state = 2},
  [648] = {.lex_state = 6, .external_lex_state = 4},
  [649] = {.lex_state = 6, .external_lex_state = 4},
  [650] = {.lex_state = 151, .external_lex_state = 2},
  [651] = {.lex_state = 151, .external_lex_state = 2},
  [652] = {.lex_state = 151, .external_lex_state = 2},
  [653] = {.lex_state = 151, .external_lex_state = 2},
  [654] = {.lex_state = 151, .external_lex_state = 2},
  [655] = {.lex_state = 6, .external_lex_state = 4},
  [656] = {.lex_state = 6, .external_lex_state = 4},
  [657] = {.lex_state = 6, .external_lex_state = 4},
  [658] = {.lex_state = 151, .external_lex_state = 2},
  [659] = {.lex_state = 6, .external_lex_state = 4},
  [660] = {.lex_state = 6, .external_lex_state = 4},
  [661] = {.lex_state = 6, .external_lex_state = 4},
  [662] = {.lex_state = 6, .external_lex_state = 4},
  [663] = {.lex_state = 6, .external_lex_state = 4},
  [664] = {.lex_state = 6, .external_lex_state = 4},
  [665] = {.lex_state = 6, .external_lex_state = 4},
  [666] = {.lex_state = 6, .external_lex_state = 4},
  [667] = {.lex_state = 6, .external_lex_state = 4},
  [668] = {.lex_state = 6, .external_lex_state = 3},
  [669] = {.lex_state = 6, .external_lex_state = 3},
  [670] = {.lex_state = 6, .external_lex_state = 3},
  [671] = {.lex_state = 6, .external_lex_state = 3},
  [672] = {.lex_state = 6, .external_lex_state = 3},
  [673] = {.lex_state = 6, .external_lex_state = 4},
  [674] = {.lex_state = 6, .external_lex_state = 4},
  [675] = {.lex_state = 6, .external_lex_state = 3},
  [676] = {.lex_state = 6, .external_lex_state = 4},
  [677] = {.lex_state = 6, .external_lex_state = 4},
  [678] = {.lex_state = 6, .external_lex_state = 4},
  [679] = {.lex_state = 6, .external_lex_state = 4},
  [680] = {.lex_state = 6, .external_lex_state = 4},
  [681] = {.lex_state = 6, .external_lex_state = 4},
  [682] = {.lex_state = 151, .external_lex_state = 2},
  [683] = {.lex_state = 7, .external_lex_state = 3},
  [684] = {.lex_state = 7, .external_lex_state = 3},
  [685] = {.lex_state = 6, .external_lex_state = 3},
  [686] = {.lex_state = 151, .external_lex_state = 5},
  [687] = {.lex_state = 151, .external_lex_state = 5},
  [688] = {.lex_state = 6, .external_lex_state = 3},
  [689] = {.lex_state = 6, .external_lex_state = 4},
  [690] = {.lex_state = 151, .external_lex_state = 5},
  [691] = {.lex_state = 6, .external_lex_state = 3},
  [692] = {.lex_state = 6, .external_lex_state = 4},
  [693] = {.lex_state = 151, .external_lex_state = 2},
  [694] = {.lex_state = 151, .external_lex_state = 2},
  [695] = {.lex_state = 151, .external_lex_state = 5},
  [696] = {.lex_state = 6, .external_lex_state = 3},
  [697] = {.lex_state = 6, .external_lex_state = 4},
  [698] = {.lex_state = 6, .external_lex_state = 4},
  [699] = {.lex_state = 151, .external_lex_state = 5},
  [700] = {.lex_state = 6, .external_lex_state = 3},
  [701] = {.lex_state = 6, .external_lex_state = 4},
  [702] = {.lex_state = 6, .external_lex_state = 3},
  [703] = {.lex_state = 151, .external_lex_state = 5},
  [704] = {.lex_state = 151, .external_lex_state = 5},
  [705] = {.lex_state = 151, .external_lex_state = 5},
  [706] = {.lex_state = 151, .external_lex_state = 2},
  [707] = {.lex_state = 151, .external_lex_state = 2},
  [708] = {.lex_state = 6, .external_lex_state = 3},
  [709] = {.lex_state = 151, .external_lex_state = 2},
  [710] = {.lex_state = 6, .external_lex_state = 3},
  [711] = {.lex_state = 6, .external_lex_state = 3},
  [712] = {.lex_state = 6, .external_lex_state = 3},
  [713] = {.lex_state = 6, .external_lex_state = 3},
  [714] = {.lex_state = 6, .external_lex_state = 3},
  [715] = {.lex_state = 6, .external_lex_state = 3},
  [716] = {.lex_state = 151, .external_lex_state = 5},
  [717] = {.lex_state = 151, .external_lex_state = 2},
  [718] = {.lex_state = 6, .external_lex_state = 3},
  [719] = {.lex_state = 6, .external_lex_state = 3},
  [720] = {.lex_state = 6, .external_lex_state = 3},
  [721] = {.lex_state = 151, .external_lex_state = 5},
  [722] = {.lex_state = 151, .external_lex_state = 5},
  [723] = {.lex_state = 151, .external_lex_state = 2},
  [724] = {.lex_state = 151, .external_lex_state = 2},
  [725] = {.lex_state = 151, .external_lex_state = 5},
  [726] = {.lex_state = 151, .external_lex_state = 5},
  [727] = {.lex_state = 151, .external_lex_state = 5},
  [728] = {.lex_state = 151, .external_lex_state = 5},
  [729] = {.lex_state = 151, .external_lex_state = 5},
  [730] = {.lex_state = 151, .external_lex_state = 2},
  [731] = {.lex_state = 151, .external_lex_state = 2},
  [732] = {.lex_state = 6, .external_lex_state = 3},
  [733] = {.lex_state = 151, .external_lex_state = 5},
  [734] = {.lex_state = 151, .external_lex_state = 5},
  [735] = {.lex_state = 151, .external_lex_state = 5},
  [736] = {.lex_state = 6, .external_lex_state = 3},
  [737] = {.lex_state = 6, .external_lex_state = 3},
  [738] = {.lex_state = 151, .external_lex_state = 5},
  [739] = {.lex_state = 151, .external_lex_state = 5},
  [740] = {.lex_state = 151, .external_lex_state = 5},
  [741] = {.lex_state = 151, .external_lex_state = 2},
  [742] = {.lex_state = 6, .external_lex_state = 3},
  [743] = {.lex_state = 151, .external_lex_state = 2},
  [744] = {.lex_state = 6, .external_lex_state = 3},
  [745] = {.lex_state = 151, .external_lex_state = 2},
  [746] = {.lex_state = 6, .external_lex_state = 3},
  [747] = {.lex_state = 151, .external_lex_state = 2},
  [748] = {.lex_state = 151, .external_lex_state = 5},
  [749] = {.lex_state = 151, .external_lex_state = 2},
  [750] = {.lex_state = 151, .external_lex_state = 2},
  [751] = {.lex_state = 151, .external_lex_state = 2},
  [752] = {.lex_state = 151, .external_lex_state = 2},
  [753] = {.lex_state = 151, .external_lex_state = 2},
  [754] = {.lex_state = 151, .external_lex_state = 2},
  [755] = {.lex_state = 151, .external_lex_state = 2},
  [756] = {.lex_state = 151, .external_lex_state = 2},
  [757] = {.lex_state = 151, .external_lex_state = 2},
  [758] = {.lex_state = 151, .external_lex_state = 2},
  [759] = {.lex_state = 151, .external_lex_state = 2},
  [760] = {.lex_state = 151, .external_lex_state = 2},
  [761] = {.lex_state = 151, .external_lex_state = 2},
  [762] = {.lex_state = 151, .external_lex_state = 2},
  [763] = {.lex_state = 151, .external_lex_state = 2},
  [764] = {.lex_state = 15, .external_lex_state = 2},
  [765] = {.lex_state = 151, .external_lex_state = 2},
  [766] = {.lex_state = 151, .external_lex_state = 2},
  [767] = {.lex_state = 151, .external_lex_state = 2},
  [768] = {.lex_state = 151, .external_lex_state = 2},
  [769] = {.lex_state = 151, .external_lex_state = 2},
  [770] = {.lex_state = 151, .external_lex_state = 2},
  [771] = {.lex_state = 151, .external_lex_state = 2},
  [772] = {.lex_state = 151, .external_lex_state = 2},
  [773] = {.lex_state = 151, .external_lex_state = 2},
  [774] = {.lex_state = 151, .external_lex_state = 2},
  [775] = {.lex_state = 151, .external_lex_state = 2},
  [776] = {.lex_state = 151, .external_lex_state = 2},
  [777] = {.lex_state = 151, .external_lex_state = 2},
  [778] = {.lex_state = 151, .external_lex_state = 2},
  [779] = {.lex_state = 151, .external_lex_state = 2},
  [780] = {.lex_state = 151, .external_lex_state = 2},
  [781] = {.lex_state = 151, .external_lex_state = 2},
  [782] = {.lex_state = 151, .external_lex_state = 2},
  [783] = {.lex_state = 151, .external_lex_state = 2},
  [784] = {.lex_state = 151, .external_lex_state = 2},
  [785] = {.lex_state = 151, .external_lex_state = 2},
  [786] = {.lex_state = 151, .external_lex_state = 2},
  [787] = {.lex_state = 151, .external_lex_state = 2},
  [788] = {.lex_state = 151, .external_lex_state = 2},
  [789] = {.lex_state = 151, .external_lex_state = 2},
  [790] = {.lex_state = 151, .external_lex_state = 2},
  [791] = {.lex_state = 151, .external_lex_state = 2},
  [792] = {.lex_state = 151, .external_lex_state = 2},
  [793] = {.lex_state = 151, .external_lex_state = 2},
  [794] = {.lex_state = 151, .external_lex_state = 2},
  [795] = {.lex_state = 151, .external_lex_state = 2},
  [796] = {.lex_state = 151, .external_lex_state = 2},
  [797] = {.lex_state = 151, .external_lex_state = 2},
  [798] = {.lex_state = 151, .external_lex_state = 2},
  [799] = {.lex_state = 151, .external_lex_state = 2},
  [800] = {.lex_state = 151, .external_lex_state = 2},
  [801] = {.lex_state = 151, .external_lex_state = 2},
  [802] = {.lex_state = 151, .external_lex_state = 2},
  [803] = {.lex_state = 151, .external_lex_state = 2},
  [804] = {.lex_state = 151, .external_lex_state = 2},
  [805] = {.lex_state = 151, .external_lex_state = 2},
  [806] = {.lex_state = 151, .external_lex_state = 2},
  [807] = {.lex_state = 151, .external_lex_state = 2},
  [808] = {.lex_state = 151, .external_lex_state = 2},
  [809] = {.lex_state = 151, .external_lex_state = 2},
  [810] = {.lex_state = 151, .external_lex_state = 2},
  [811] = {.lex_state = 151, .external_lex_state = 2},
  [812] = {.lex_state = 151, .external_lex_state = 2},
  [813] = {.lex_state = 151, .external_lex_state = 2},
  [814] = {.lex_state = 151, .external_lex_state = 2},
  [815] = {.lex_state = 151, .external_lex_state = 2},
  [816] = {.lex_state = 151, .external_lex_state = 2},
  [817] = {.lex_state = 151, .external_lex_state = 2},
  [818] = {.lex_state = 151, .external_lex_state = 2},
  [819] = {.lex_state = 151, .external_lex_state = 2},
  [820] = {.lex_state = 151, .external_lex_state = 2},
  [821] = {.lex_state = 151, .external_lex_state = 2},
  [822] = {.lex_state = 15, .external_lex_state = 2},
  [823] = {.lex_state = 151, .external_lex_state = 2},
  [824] = {.lex_state = 151, .external_lex_state = 2},
  [825] = {.lex_state = 151, .external_lex_state = 2},
  [826] = {.lex_state = 151, .external_lex_state = 2},
  [827] = {.lex_state = 151, .external_lex_state = 2},
  [828] = {.lex_state = 151, .external_lex_state = 2},
  [829] = {.lex_state = 151, .external_lex_state = 2},
  [830] = {.lex_state = 151, .external_lex_state = 2},
  [831] = {.lex_state = 151, .external_lex_state = 2},
  [832] = {.lex_state = 151, .external_lex_state = 2},
  [833] = {.lex_state = 151, .external_lex_state = 2},
  [834] = {.lex_state = 151, .external_lex_state = 2},
  [835] = {.lex_state = 151, .external_lex_state = 2},
  [836] = {.lex_state = 151, .external_lex_state = 2},
  [837] = {.lex_state = 151, .external_lex_state = 2},
  [838] = {.lex_state = 151, .external_lex_state = 2},
  [839] = {.lex_state = 151, .external_lex_state = 2},
  [840] = {.lex_state = 15, .external_lex_state = 2},
  [841] = {.lex_state = 151, .external_lex_state = 2},
  [842] = {.lex_state = 151, .external_lex_state = 2},
  [843] = {.lex_state = 151, .external_lex_state = 2},
  [844] = {.lex_state = 151, .external_lex_state = 2},
  [845] = {.lex_state = 151, .external_lex_state = 2},
  [846] = {.lex_state = 151, .external_lex_state = 2},
  [847] = {.lex_state = 151, .external_lex_state = 2},
  [848] = {.lex_state = 151, .external_lex_state = 2},
  [849] = {.lex_state = 151, .external_lex_state = 2},
  [850] = {.lex_state = 151, .external_lex_state = 2},
  [851] = {.lex_state = 151, .external_lex_state = 2},
  [852] = {.lex_state = 151, .external_lex_state = 2},
  [853] = {.lex_state = 151, .external_lex_state = 2},
  [854] = {.lex_state = 15, .external_lex_state = 2},
  [855] = {.lex_state = 151, .external_lex_state = 2},
  [856] = {.lex_state = 15, .external_lex_state = 2},
  [857] = {.lex_state = 151, .external_lex_state = 2},
  [858] = {.lex_state = 151, .external_lex_state = 2},
  [859] = {.lex_state = 151, .external_lex_state = 2},
  [860] = {.lex_state = 151, .external_lex_state = 2},
  [861] = {.lex_state = 151, .external_lex_state = 2},
  [862] = {.lex_state = 151, .external_lex_state = 2},
  [863] = {.lex_state = 151, .external_lex_state = 2},
  [864] = {.lex_state = 151, .external_lex_state = 2},
  [865] = {.lex_state = 151, .external_lex_state = 2},
  [866] = {.lex_state = 151, .external_lex_state = 2},
  [867] = {.lex_state = 151, .external_lex_state = 2},
  [868] = {.lex_state = 151, .external_lex_state = 2},
  [869] = {.lex_state = 151, .external_lex_state = 2},
  [870] = {.lex_state = 15, .external_lex_state = 2},
  [871] = {.lex_state = 15, .external_lex_state = 2},
  [872] = {.lex_state = 15, .external_lex_state = 2},
  [873] = {.lex_state = 15, .external_lex_state = 2},
  [874] = {.lex_state = 15, .external_lex_state = 2},
  [875] = {.lex_state = 15, .external_lex_state = 2},
  [876] = {.lex_state = 15, .external_lex_state = 2},
  [877] = {.lex_state = 15, .external_lex_state = 2},
  [878] = {.lex_state = 15, .external_lex_state = 2},
  [879] = {.lex_state = 15, .external_lex_state = 2},
  [880] = {.lex_state = 15, .external_lex_state = 2},
  [881] = {.lex_state = 151, .external_lex_state = 2},
  [882] = {.lex_state = 151, .external_lex_state = 2},
  [883] = {.lex_state = 151, .external_lex_state = 2},
  [884] = {.lex_state = 151, .external_lex_state = 2},
  [885] = {.lex_state = 151, .external_lex_state = 2},
  [886] = {.lex_state = 151, .external_lex_state = 2},
  [887] = {.lex_state = 151, .external_lex_state = 2},
  [888] = {.lex_state = 151, .external_lex_state = 2},
  [889] = {.lex_state = 151, .external_lex_state = 2},
  [890] = {.lex_state = 151, .external_lex_state = 2},
  [891] = {.lex_state = 151, .external_lex_state = 2},
  [892] = {.lex_state = 151, .external_lex_state = 2},
  [893] = {.lex_state = 151, .external_lex_state = 2},
  [894] = {.lex_state = 15, .external_lex_state = 2},
  [895] = {.lex_state = 15, .external_lex_state = 2},
  [896] = {.lex_state = 15, .external_lex_state = 2},
  [897] = {.lex_state = 15, .external_lex_state = 2},
  [898] = {.lex_state = 15, .external_lex_state = 2},
  [899] = {.lex_state = 15, .external_lex_state = 2},
  [900] = {.lex_state = 15, .external_lex_state = 2},
  [901] = {.lex_state = 15, .external_lex_state = 2},
  [902] = {.lex_state = 15, .external_lex_state = 2},
  [903] = {.lex_state = 15, .external_lex_state = 2},
  [904] = {.lex_state = 15, .external_lex_state = 2},
  [905] = {.lex_state = 15, .external_lex_state = 2},
  [906] = {.lex_state = 15, .external_lex_state = 2},
  [907] = {.lex_state = 15, .external_lex_state = 2},
  [908] = {.lex_state = 15, .external_lex_state = 2},
  [909] = {.lex_state = 15, .external_lex_state = 2},
  [910] = {.lex_state = 15, .external_lex_state = 2},
  [911] = {.lex_state = 14, .external_lex_state = 2},
  [912] = {.lex_state = 14, .external_lex_state = 2},
  [913] = {.lex_state = 14, .external_lex_state = 2},
  [914] = {.lex_state = 15, .external_lex_state = 2},
  [915] = {.lex_state = 15, .external_lex_state = 2},
  [916] = {.lex_state = 15, .external_lex_state = 2},
  [917] = {.lex_state = 15, .external_lex_state = 2},
  [918] = {.lex_state = 15, .external_lex_state = 2},
  [919] = {.lex_state = 15, .external_lex_state = 2},
  [920] = {.lex_state = 15, .external_lex_state = 2},
  [921] = {.lex_state = 17, .external_lex_state = 2},
  [922] = {.lex_state = 15, .external_lex_state = 2},
  [923] = {.lex_state = 15, .external_lex_state = 2},
  [924] = {.lex_state = 15, .external_lex_state = 2},
  [925] = {.lex_state = 15, .external_lex_state = 2},
  [926] = {.lex_state = 15, .external_lex_state = 2},
  [927] = {.lex_state = 15, .external_lex_state = 2},
  [928] = {.lex_state = 15, .external_lex_state = 2},
  [929] = {.lex_state = 15, .external_lex_state = 2},
  [930] = {.lex_state = 15, .external_lex_state = 2},
  [931] = {.lex_state = 15, .external_lex_state = 2},
  [932] = {.lex_state = 15, .external_lex_state = 2},
  [933] = {.lex_state = 15, .external_lex_state = 2},
  [934] = {.lex_state = 15, .external_lex_state = 2},
  [935] = {.lex_state = 15, .external_lex_state = 2},
  [936] = {.lex_state = 15, .external_lex_state = 2},
  [937] = {.lex_state = 15, .external_lex_state = 2},
  [938] = {.lex_state = 15, .external_lex_state = 2},
  [939] = {.lex_state = 15, .external_lex_state = 2},
  [940] = {.lex_state = 15, .external_lex_state = 2},
  [941] = {.lex_state = 15, .external_lex_state = 2},
  [942] = {.lex_state = 15, .external_lex_state = 2},
  [943] = {.lex_state = 15, .external_lex_state = 2},
  [944] = {.lex_state = 15, .external_lex_state = 2},
  [945] = {.lex_state = 15, .external_lex_state = 2},
  [946] = {.lex_state = 15, .external_lex_state = 2},
  [947] = {.lex_state = 15, .external_lex_state = 2},
  [948] = {.lex_state = 15, .external_lex_state = 2},
  [949] = {.lex_state = 15, .external_lex_state = 2},
  [950] = {.lex_state = 15, .external_lex_state = 2},
  [951] = {.lex_state = 15, .external_lex_state = 2},
  [952] = {.lex_state = 15, .external_lex_state = 2},
  [953] = {.lex_state = 15, .external_lex_state = 2},
  [954] = {.lex_state = 15, .external_lex_state = 2},
  [955] = {.lex_state = 15, .external_lex_state = 2},
  [956] = {.lex_state = 15, .external_lex_state = 2},
  [957] = {.lex_state = 15, .external_lex_state = 2},
  [958] = {.lex_state = 15, .external_lex_state = 2},
  [959] = {.lex_state = 15, .external_lex_state = 2},
  [960] = {.lex_state = 15, .external_lex_state = 2},
  [961] = {.lex_state = 15, .external_lex_state = 2},
  [962] = {.lex_state = 15, .external_lex_state = 2},
  [963] = {.lex_state = 15, .external_lex_state = 2},
  [964] = {.lex_state = 15, .external_lex_state = 2},
  [965] = {.lex_state = 15, .external_lex_state = 2},
  [966] = {.lex_state = 15, .external_lex_state = 2},
  [967] = {.lex_state = 15, .external_lex_state = 2},
  [968] = {.lex_state = 15, .external_lex_state = 2},
  [969] = {.lex_state = 15, .external_lex_state = 2},
  [970] = {.lex_state = 15, .external_lex_state = 2},
  [971] = {.lex_state = 15, .external_lex_state = 2},
  [972] = {.lex_state = 15, .external_lex_state = 2},
  [973] = {.lex_state = 15, .external_lex_state = 2},
  [974] = {.lex_state = 15, .external_lex_state = 2},
  [975] = {.lex_state = 15, .external_lex_state = 2},
  [976] = {.lex_state = 15, .external_lex_state = 2},
  [977] = {.lex_state = 15, .external_lex_state = 2},
  [978] = {.lex_state = 15, .external_lex_state = 2},
  [979] = {.lex_state = 15, .external_lex_state = 2},
  [980] = {.lex_state = 15, .external_lex_state = 2},
  [981] = {.lex_state = 15, .external_lex_state = 2},
  [982] = {.lex_state = 15, .external_lex_state = 2},
  [983] = {.lex_state = 15, .external_lex_state = 2},
  [984] = {.lex_state = 15, .external_lex_state = 2},
  [985] = {.lex_state = 15, .external_lex_state = 2},
  [986] = {.lex_state = 15, .external_lex_state = 2},
  [987] = {.lex_state = 15, .external_lex_state = 2},
  [988] = {.lex_state = 15, .external_lex_state = 2},
  [989] = {.lex_state = 15, .external_lex_state = 2},
  [990] = {.lex_state = 15, .external_lex_state = 2},
  [991] = {.lex_state = 15, .external_lex_state = 2},
  [992] = {.lex_state = 15, .external_lex_state = 2},
  [993] = {.lex_state = 15, .external_lex_state = 2},
  [994] = {.lex_state = 15, .external_lex_state = 2},
  [995] = {.lex_state = 15, .external_lex_state = 2},
  [996] = {.lex_state = 15, .external_lex_state = 2},
  [997] = {.lex_state = 15, .external_lex_state = 2},
  [998] = {.lex_state = 15, .external_lex_state = 2},
  [999] = {.lex_state = 15, .external_lex_state = 2},
  [1000] = {.lex_state = 15, .external_lex_state = 2},
  [1001] = {.lex_state = 15, .external_lex_state = 2},
  [1002] = {.lex_state = 15, .external_lex_state = 2},
  [1003] = {.lex_state = 15, .external_lex_state = 2},
  [1004] = {.lex_state = 15, .external_lex_state = 2},
  [1005] = {.lex_state = 15, .external_lex_state = 2},
  [1006] = {.lex_state = 15, .external_lex_state = 2},
  [1007] = {.lex_state = 15, .external_lex_state = 2},
  [1008] = {.lex_state = 15, .external_lex_state = 2},
  [1009] = {.lex_state = 15, .external_lex_state = 2},
  [1010] = {.lex_state = 15, .external_lex_state = 2},
  [1011] = {.lex_state = 15, .external_lex_state = 2},
  [1012] = {.lex_state = 15, .external_lex_state = 2},
  [1013] = {.lex_state = 15, .external_lex_state = 2},
  [1014] = {.lex_state = 15, .external_lex_state = 2},
  [1015] = {.lex_state = 15, .external_lex_state = 2},
  [1016] = {.lex_state = 15, .external_lex_state = 2},
  [1017] = {.lex_state = 15, .external_lex_state = 2},
  [1018] = {.lex_state = 15, .external_lex_state = 2},
  [1019] = {.lex_state = 15, .external_lex_state = 2},
  [1020] = {.lex_state = 15, .external_lex_state = 2},
  [1021] = {.lex_state = 15, .external_lex_state = 2},
  [1022] = {.lex_state = 15, .external_lex_state = 2},
  [1023] = {.lex_state = 15, .external_lex_state = 2},
  [1024] = {.lex_state = 15, .external_lex_state = 2},
  [1025] = {.lex_state = 15, .external_lex_state = 2},
  [1026] = {.lex_state = 15, .external_lex_state = 2},
  [1027] = {.lex_state = 15, .external_lex_state = 2},
  [1028] = {.lex_state = 15, .external_lex_state = 2},
  [1029] = {.lex_state = 15, .external_lex_state = 2},
  [1030] = {.lex_state = 15, .external_lex_state = 2},
  [1031] = {.lex_state = 15, .external_lex_state = 2},
  [1032] = {.lex_state = 15, .external_lex_state = 2},
  [1033] = {.lex_state = 15, .external_lex_state = 2},
  [1034] = {.lex_state = 15, .external_lex_state = 2},
  [1035] = {.lex_state = 15, .external_lex_state = 2},
  [1036] = {.lex_state = 15, .external_lex_state = 2},
  [1037] = {.lex_state = 15, .external_lex_state = 2},
  [1038] = {.lex_state = 15, .external_lex_state = 2},
  [1039] = {.lex_state = 15, .external_lex_state = 2},
  [1040] = {.lex_state = 15, .external_lex_state = 2},
  [1041] = {.lex_state = 15, .external_lex_state = 2},
  [1042] = {.lex_state = 15, .external_lex_state = 2},
  [1043] = {.lex_state = 15, .external_lex_state = 2},
  [1044] = {.lex_state = 15, .external_lex_state = 2},
  [1045] = {.lex_state = 15, .external_lex_state = 2},
  [1046] = {.lex_state = 15, .external_lex_state = 2},
  [1047] = {.lex_state = 15, .external_lex_state = 2},
  [1048] = {.lex_state = 15, .external_lex_state = 2},
  [1049] = {.lex_state = 15, .external_lex_state = 2},
  [1050] = {.lex_state = 15, .external_lex_state = 2},
  [1051] = {.lex_state = 15, .external_lex_state = 2},
  [1052] = {.lex_state = 15, .external_lex_state = 2},
  [1053] = {.lex_state = 15, .external_lex_state = 2},
  [1054] = {.lex_state = 15, .external_lex_state = 2},
  [1055] = {.lex_state = 15, .external_lex_state = 2},
  [1056] = {.lex_state = 15, .external_lex_state = 2},
  [1057] = {.lex_state = 15, .external_lex_state = 2},
  [1058] = {.lex_state = 15, .external_lex_state = 2},
  [1059] = {.lex_state = 15, .external_lex_state = 2},
  [1060] = {.lex_state = 15, .external_lex_state = 2},
  [1061] = {.lex_state = 15, .external_lex_state = 2},
  [1062] = {.lex_state = 15, .external_lex_state = 2},
  [1063] = {.lex_state = 15, .external_lex_state = 2},
  [1064] = {.lex_state = 15, .external_lex_state = 2},
  [1065] = {.lex_state = 15, .external_lex_state = 2},
  [1066] = {.lex_state = 15, .external_lex_state = 2},
  [1067] = {.lex_state = 15, .external_lex_state = 2},
  [1068] = {.lex_state = 15, .external_lex_state = 2},
  [1069] = {.lex_state = 15, .external_lex_state = 2},
  [1070] = {.lex_state = 15, .external_lex_state = 2},
  [1071] = {.lex_state = 15, .external_lex_state = 2},
  [1072] = {.lex_state = 15, .external_lex_state = 2},
  [1073] = {.lex_state = 15, .external_lex_state = 2},
  [1074] = {.lex_state = 15, .external_lex_state = 2},
  [1075] = {.lex_state = 15, .external_lex_state = 2},
  [1076] = {.lex_state = 15, .external_lex_state = 2},
  [1077] = {.lex_state = 15, .external_lex_state = 2},
  [1078] = {.lex_state = 15, .external_lex_state = 2},
  [1079] = {.lex_state = 15, .external_lex_state = 2},
  [1080] = {.lex_state = 15, .external_lex_state = 2},
  [1081] = {.lex_state = 15, .external_lex_state = 2},
  [1082] = {.lex_state = 15, .external_lex_state = 2},
  [1083] = {.lex_state = 15, .external_lex_state = 2},
  [1084] = {.lex_state = 15, .external_lex_state = 2},
  [1085] = {.lex_state = 15, .external_lex_state = 2},
  [1086] = {.lex_state = 15, .external_lex_state = 2},
  [1087] = {.lex_state = 15, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 13, .external_lex_state = 2},
  [1095] = {.lex_state = 13, .external_lex_state = 2},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 7, .external_lex_state = 4},
  [1101] = {.lex_state = 6, .external_lex_state = 4},
  [1102] = {.lex_state = 6, .external_lex_state = 4},
  [1103] = {.lex_state = 7, .external_lex_state = 4},
  [1104] = {.lex_state = 6, .external_lex_state = 4},
  [1105] = {.lex_state = 6, .external_lex_state = 4},
  [1106] = {.lex_state = 7, .external_lex_state = 4},
  [1107] = {.lex_state = 6, .external_lex_state = 4},
  [1108] = {.lex_state = 6, .external_lex_state = 4},
  [1109] = {.lex_state = 6, .external_lex_state = 3},
  [1110] = {.lex_state = 6, .external_lex_state = 3},
  [1111] = {.lex_state = 6, .external_lex_state = 3},
  [1112] = {.lex_state = 6, .external_lex_state = 3},
  [1113] = {.lex_state = 6, .external_lex_state = 3},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 6, .external_lex_state = 4},
  [1117] = {.lex_state = 6, .external_lex_state = 4},
  [1118] = {.lex_state = 6, .external_lex_state = 4},
  [1119] = {.lex_state = 6, .external_lex_state = 4},
  [1120] = {.lex_state = 6, .external_lex_state = 4},
  [1121] = {.lex_state = 6, .external_lex_state = 4},
  [1122] = {.lex_state = 6, .external_lex_state = 4},
  [1123] = {.lex_state = 7, .external_lex_state = 4},
  [1124] = {.lex_state = 6, .external_lex_state = 4},
  [1125] = {.lex_state = 7, .external_lex_state = 4},
  [1126] = {.lex_state = 6, .external_lex_state = 4},
  [1127] = {.lex_state = 6, .external_lex_state = 4},
  [1128] = {.lex_state = 7, .external_lex_state = 4},
  [1129] = {.lex_state = 6, .external_lex_state = 3},
  [1130] = {.lex_state = 6, .external_lex_state = 4},
  [1131] = {.lex_state = 7, .external_lex_state = 4},
  [1132] = {.lex_state = 7, .external_lex_state = 3},
  [1133] = {.lex_state = 6, .external_lex_state = 4},
  [1134] = {.lex_state = 6, .external_lex_state = 4},
  [1135] = {.lex_state = 7, .external_lex_state = 3},
  [1136] = {.lex_state = 6, .external_lex_state = 4},
  [1137] = {.lex_state = 6, .external_lex_state = 3},
  [1138] = {.lex_state = 6, .external_lex_state = 3},
  [1139] = {.lex_state = 7, .external_lex_state = 3},
  [1140] = {.lex_state = 7, .external_lex_state = 3},
  [1141] = {.lex_state = 6, .external_lex_state = 4},
  [1142] = {.lex_state = 7, .external_lex_state = 3},
  [1143] = {.lex_state = 7, .external_lex_state = 4},
  [1144] = {.lex_state = 7, .external_lex_state = 3},
  [1145] = {.lex_state = 7, .external_lex_state = 3},
  [1146] = {.lex_state = 6, .external_lex_state = 4},
  [1147] = {.lex_state = 6, .external_lex_state = 4},
  [1148] = {.lex_state = 6, .external_lex_state = 4},
  [1149] = {.lex_state = 6, .external_lex_state = 4},
  [1150] = {.lex_state = 6, .external_lex_state = 4},
  [1151] = {.lex_state = 7, .external_lex_state = 3},
  [1152] = {.lex_state = 6, .external_lex_state = 3},
  [1153] = {.lex_state = 6, .external_lex_state = 4},
  [1154] = {.lex_state = 7, .external_lex_state = 3},
  [1155] = {.lex_state = 6, .external_lex_state = 3},
  [1156] = {.lex_state = 7, .external_lex_state = 3},
  [1157] = {.lex_state = 6, .external_lex_state = 3},
  [1158] = {.lex_state = 6, .external_lex_state = 3},
  [1159] = {.lex_state = 6, .external_lex_state = 4},
  [1160] = {.lex_state = 6, .external_lex_state = 3},
  [1161] = {.lex_state = 6, .external_lex_state = 4},
  [1162] = {.lex_state = 7, .external_lex_state = 4},
  [1163] = {.lex_state = 6, .external_lex_state = 4},
  [1164] = {.lex_state = 7, .external_lex_state = 3},
  [1165] = {.lex_state = 6, .external_lex_state = 4},
  [1166] = {.lex_state = 6, .external_lex_state = 4},
  [1167] = {.lex_state = 6, .external_lex_state = 4},
  [1168] = {.lex_state = 6, .external_lex_state = 3},
  [1169] = {.lex_state = 6, .external_lex_state = 3},
  [1170] = {.lex_state = 6, .external_lex_state = 3},
  [1171] = {.lex_state = 7, .external_lex_state = 3},
  [1172] = {.lex_state = 6, .external_lex_state = 3},
  [1173] = {.lex_state = 6, .external_lex_state = 3},
  [1174] = {.lex_state = 6, .external_lex_state = 3},
  [1175] = {.lex_state = 7, .external_lex_state = 3},
  [1176] = {.lex_state = 6, .external_lex_state = 4},
  [1177] = {.lex_state = 6, .external_lex_state = 3},
  [1178] = {.lex_state = 151, .external_lex_state = 2},
  [1179] = {.lex_state = 7, .external_lex_state = 3},
  [1180] = {.lex_state = 6, .external_lex_state = 4},
  [1181] = {.lex_state = 6, .external_lex_state = 4},
  [1182] = {.lex_state = 6, .external_lex_state = 3},
  [1183] = {.lex_state = 6, .external_lex_state = 3},
  [1184] = {.lex_state = 6, .external_lex_state = 3},
  [1185] = {.lex_state = 6, .external_lex_state = 3},
  [1186] = {.lex_state = 6, .external_lex_state = 4},
  [1187] = {.lex_state = 6, .external_lex_state = 3},
  [1188] = {.lex_state = 6, .external_lex_state = 4},
  [1189] = {.lex_state = 6, .external_lex_state = 3},
  [1190] = {.lex_state = 6, .external_lex_state = 3},
  [1191] = {.lex_state = 6, .external_lex_state = 3},
  [1192] = {.lex_state = 151, .external_lex_state = 2},
  [1193] = {.lex_state = 6, .external_lex_state = 3},
  [1194] = {.lex_state = 7, .external_lex_state = 3},
  [1195] = {.lex_state = 151, .external_lex_state = 2},
  [1196] = {.lex_state = 6, .external_lex_state = 3},
  [1197] = {.lex_state = 6, .external_lex_state = 3},
  [1198] = {.lex_state = 6, .external_lex_state = 3},
  [1199] = {.lex_state = 6, .external_lex_state = 3},
  [1200] = {.lex_state = 6, .external_lex_state = 3},
  [1201] = {.lex_state = 6, .external_lex_state = 3},
  [1202] = {.lex_state = 6, .external_lex_state = 3},
  [1203] = {.lex_state = 6, .external_lex_state = 3},
  [1204] = {.lex_state = 6, .external_lex_state = 3},
  [1205] = {.lex_state = 6, .external_lex_state = 3},
  [1206] = {.lex_state = 6, .external_lex_state = 3},
  [1207] = {.lex_state = 6, .external_lex_state = 4},
  [1208] = {.lex_state = 6, .external_lex_state = 4},
  [1209] = {.lex_state = 7, .external_lex_state = 3},
  [1210] = {.lex_state = 6, .external_lex_state = 3},
  [1211] = {.lex_state = 6, .external_lex_state = 3},
  [1212] = {.lex_state = 6, .external_lex_state = 3},
  [1213] = {.lex_state = 151, .external_lex_state = 2},
  [1214] = {.lex_state = 6, .external_lex_state = 3},
  [1215] = {.lex_state = 6, .external_lex_state = 4},
  [1216] = {.lex_state = 151, .external_lex_state = 2},
  [1217] = {.lex_state = 151, .external_lex_state = 2},
  [1218] = {.lex_state = 6, .external_lex_state = 3},
  [1219] = {.lex_state = 6, .external_lex_state = 4},
  [1220] = {.lex_state = 6, .external_lex_state = 3},
  [1221] = {.lex_state = 151, .external_lex_state = 2},
  [1222] = {.lex_state = 6, .external_lex_state = 4},
  [1223] = {.lex_state = 6, .external_lex_state = 4},
  [1224] = {.lex_state = 6, .external_lex_state = 3},
  [1225] = {.lex_state = 6, .external_lex_state = 4},
  [1226] = {.lex_state = 6, .external_lex_state = 3},
  [1227] = {.lex_state = 6, .external_lex_state = 3},
  [1228] = {.lex_state = 6, .external_lex_state = 3},
  [1229] = {.lex_state = 151, .external_lex_state = 2},
  [1230] = {.lex_state = 6, .external_lex_state = 3},
  [1231] = {.lex_state = 6, .external_lex_state = 3},
  [1232] = {.lex_state = 6, .external_lex_state = 3},
  [1233] = {.lex_state = 6, .external_lex_state = 3},
  [1234] = {.lex_state = 6, .external_lex_state = 3},
  [1235] = {.lex_state = 6, .external_lex_state = 3},
  [1236] = {.lex_state = 6, .external_lex_state = 4},
  [1237] = {.lex_state = 7, .external_lex_state = 3},
  [1238] = {.lex_state = 6, .external_lex_state = 4},
  [1239] = {.lex_state = 6, .external_lex_state = 3},
  [1240] = {.lex_state = 6, .external_lex_state = 3},
  [1241] = {.lex_state = 6, .external_lex_state = 3},
  [1242] = {.lex_state = 6, .external_lex_state = 3},
  [1243] = {.lex_state = 6, .external_lex_state = 4},
  [1244] = {.lex_state = 6, .external_lex_state = 4},
  [1245] = {.lex_state = 6, .external_lex_state = 4},
  [1246] = {.lex_state = 6, .external_lex_state = 3},
  [1247] = {.lex_state = 6, .external_lex_state = 4},
  [1248] = {.lex_state = 6, .external_lex_state = 3},
  [1249] = {.lex_state = 6, .external_lex_state = 4},
  [1250] = {.lex_state = 6, .external_lex_state = 4},
  [1251] = {.lex_state = 6, .external_lex_state = 4},
  [1252] = {.lex_state = 6, .external_lex_state = 3},
  [1253] = {.lex_state = 6, .external_lex_state = 3},
  [1254] = {.lex_state = 6, .external_lex_state = 4},
  [1255] = {.lex_state = 6, .external_lex_state = 4},
  [1256] = {.lex_state = 6, .external_lex_state = 3},
  [1257] = {.lex_state = 6, .external_lex_state = 4},
  [1258] = {.lex_state = 6, .external_lex_state = 4},
  [1259] = {.lex_state = 6, .external_lex_state = 3},
  [1260] = {.lex_state = 7, .external_lex_state = 3},
  [1261] = {.lex_state = 6, .external_lex_state = 4},
  [1262] = {.lex_state = 6, .external_lex_state = 4},
  [1263] = {.lex_state = 6, .external_lex_state = 4},
  [1264] = {.lex_state = 6, .external_lex_state = 3},
  [1265] = {.lex_state = 6, .external_lex_state = 4},
  [1266] = {.lex_state = 6, .external_lex_state = 4},
  [1267] = {.lex_state = 6, .external_lex_state = 3},
  [1268] = {.lex_state = 6, .external_lex_state = 4},
  [1269] = {.lex_state = 6, .external_lex_state = 4},
  [1270] = {.lex_state = 6, .external_lex_state = 4},
  [1271] = {.lex_state = 6, .external_lex_state = 4},
  [1272] = {.lex_state = 6, .external_lex_state = 4},
  [1273] = {.lex_state = 6, .external_lex_state = 4},
  [1274] = {.lex_state = 6, .external_lex_state = 4},
  [1275] = {.lex_state = 6, .external_lex_state = 4},
  [1276] = {.lex_state = 6, .external_lex_state = 4},
  [1277] = {.lex_state = 6, .external_lex_state = 4},
  [1278] = {.lex_state = 6, .external_lex_state = 3},
  [1279] = {.lex_state = 6, .external_lex_state = 3},
  [1280] = {.lex_state = 6, .external_lex_state = 4},
  [1281] = {.lex_state = 6, .external_lex_state = 4},
  [1282] = {.lex_state = 6, .external_lex_state = 3},
  [1283] = {.lex_state = 6, .external_lex_state = 4},
  [1284] = {.lex_state = 6, .external_lex_state = 4},
  [1285] = {.lex_state = 6, .external_lex_state = 3},
  [1286] = {.lex_state = 6, .external_lex_state = 4},
  [1287] = {.lex_state = 6, .external_lex_state = 3},
  [1288] = {.lex_state = 6, .external_lex_state = 3},
  [1289] = {.lex_state = 6, .external_lex_state = 4},
  [1290] = {.lex_state = 6, .external_lex_state = 4},
  [1291] = {.lex_state = 7, .external_lex_state = 3},
  [1292] = {.lex_state = 6, .external_lex_state = 4},
  [1293] = {.lex_state = 6, .external_lex_state = 3},
  [1294] = {.lex_state = 6, .external_lex_state = 4},
  [1295] = {.lex_state = 7, .external_lex_state = 3},
  [1296] = {.lex_state = 6, .external_lex_state = 4},
  [1297] = {.lex_state = 6, .external_lex_state = 3},
  [1298] = {.lex_state = 6, .external_lex_state = 3},
  [1299] = {.lex_state = 6, .external_lex_state = 3},
  [1300] = {.lex_state = 6, .external_lex_state = 3},
  [1301] = {.lex_state = 6, .external_lex_state = 4},
  [1302] = {.lex_state = 7, .external_lex_state = 3},
  [1303] = {.lex_state = 7, .external_lex_state = 3},
  [1304] = {.lex_state = 6, .external_lex_state = 3},
  [1305] = {.lex_state = 6, .external_lex_state = 3},
  [1306] = {.lex_state = 6, .external_lex_state = 4},
  [1307] = {.lex_state = 6, .external_lex_state = 3},
  [1308] = {.lex_state = 6, .external_lex_state = 3},
  [1309] = {.lex_state = 15, .external_lex_state = 2},
  [1310] = {.lex_state = 15, .external_lex_state = 2},
  [1311] = {.lex_state = 15, .external_lex_state = 2},
  [1312] = {.lex_state = 6, .external_lex_state = 4},
  [1313] = {.lex_state = 6, .external_lex_state = 4},
  [1314] = {.lex_state = 6, .external_lex_state = 3},
  [1315] = {.lex_state = 6, .external_lex_state = 3},
  [1316] = {.lex_state = 6, .external_lex_state = 3},
  [1317] = {.lex_state = 6, .external_lex_state = 3},
  [1318] = {.lex_state = 6, .external_lex_state = 3},
  [1319] = {.lex_state = 6, .external_lex_state = 3},
  [1320] = {.lex_state = 15, .external_lex_state = 2},
  [1321] = {.lex_state = 6, .external_lex_state = 3},
  [1322] = {.lex_state = 15, .external_lex_state = 2},
  [1323] = {.lex_state = 6, .external_lex_state = 4},
  [1324] = {.lex_state = 6, .external_lex_state = 3},
  [1325] = {.lex_state = 15, .external_lex_state = 2},
  [1326] = {.lex_state = 7, .external_lex_state = 3},
  [1327] = {.lex_state = 6, .external_lex_state = 3},
  [1328] = {.lex_state = 6, .external_lex_state = 3},
  [1329] = {.lex_state = 6, .external_lex_state = 3},
  [1330] = {.lex_state = 6, .external_lex_state = 3},
  [1331] = {.lex_state = 6, .external_lex_state = 3},
  [1332] = {.lex_state = 6, .external_lex_state = 3},
  [1333] = {.lex_state = 6, .external_lex_state = 3},
  [1334] = {.lex_state = 6, .external_lex_state = 3},
  [1335] = {.lex_state = 6, .external_lex_state = 3},
  [1336] = {.lex_state = 6, .external_lex_state = 3},
  [1337] = {.lex_state = 6, .external_lex_state = 3},
  [1338] = {.lex_state = 6, .external_lex_state = 3},
  [1339] = {.lex_state = 6, .external_lex_state = 3},
  [1340] = {.lex_state = 6, .external_lex_state = 4},
  [1341] = {.lex_state = 6, .external_lex_state = 3},
  [1342] = {.lex_state = 6, .external_lex_state = 3},
  [1343] = {.lex_state = 6, .external_lex_state = 3},
  [1344] = {.lex_state = 6, .external_lex_state = 3},
  [1345] = {.lex_state = 15, .external_lex_state = 2},
  [1346] = {.lex_state = 6, .external_lex_state = 3},
  [1347] = {.lex_state = 6, .external_lex_state = 3},
  [1348] = {.lex_state = 6, .external_lex_state = 3},
  [1349] = {.lex_state = 15, .external_lex_state = 2},
  [1350] = {.lex_state = 15, .external_lex_state = 2},
  [1351] = {.lex_state = 15, .external_lex_state = 2},
  [1352] = {.lex_state = 6, .external_lex_state = 3},
  [1353] = {.lex_state = 6, .external_lex_state = 3},
  [1354] = {.lex_state = 15, .external_lex_state = 2},
  [1355] = {.lex_state = 6, .external_lex_state = 3},
  [1356] = {.lex_state = 6, .external_lex_state = 3},
  [1357] = {.lex_state = 15, .external_lex_state = 2},
  [1358] = {.lex_state = 15, .external_lex_state = 2},
  [1359] = {.lex_state = 6, .external_lex_state = 3},
  [1360] = {.lex_state = 15, .external_lex_state = 2},
  [1361] = {.lex_state = 15, .external_lex_state = 2},
  [1362] = {.lex_state = 15, .external_lex_state = 2},
  [1363] = {.lex_state = 6, .external_lex_state = 3},
  [1364] = {.lex_state = 15, .external_lex_state = 2},
  [1365] = {.lex_state = 15, .external_lex_state = 2},
  [1366] = {.lex_state = 15, .external_lex_state = 2},
  [1367] = {.lex_state = 6, .external_lex_state = 3},
  [1368] = {.lex_state = 6, .external_lex_state = 3},
  [1369] = {.lex_state = 6, .external_lex_state = 3},
  [1370] = {.lex_state = 6, .external_lex_state = 3},
  [1371] = {.lex_state = 6, .external_lex_state = 3},
  [1372] = {.lex_state = 15, .external_lex_state = 2},
  [1373] = {.lex_state = 6, .external_lex_state = 3},
  [1374] = {.lex_state = 6, .external_lex_state = 3},
  [1375] = {.lex_state = 6, .external_lex_state = 3},
  [1376] = {.lex_state = 6, .external_lex_state = 3},
  [1377] = {.lex_state = 15, .external_lex_state = 2},
  [1378] = {.lex_state = 6, .external_lex_state = 3},
  [1379] = {.lex_state = 15, .external_lex_state = 2},
  [1380] = {.lex_state = 15, .external_lex_state = 2},
  [1381] = {.lex_state = 6, .external_lex_state = 3},
  [1382] = {.lex_state = 6, .external_lex_state = 3},
  [1383] = {.lex_state = 15, .external_lex_state = 2},
  [1384] = {.lex_state = 6, .external_lex_state = 3},
  [1385] = {.lex_state = 6, .external_lex_state = 3},
  [1386] = {.lex_state = 6, .external_lex_state = 3},
  [1387] = {.lex_state = 6, .external_lex_state = 3},
  [1388] = {.lex_state = 6, .external_lex_state = 3},
  [1389] = {.lex_state = 6, .external_lex_state = 3},
  [1390] = {.lex_state = 6, .external_lex_state = 3},
  [1391] = {.lex_state = 6, .external_lex_state = 3},
  [1392] = {.lex_state = 6, .external_lex_state = 3},
  [1393] = {.lex_state = 6, .external_lex_state = 3},
  [1394] = {.lex_state = 6, .external_lex_state = 3},
  [1395] = {.lex_state = 15, .external_lex_state = 2},
  [1396] = {.lex_state = 15, .external_lex_state = 2},
  [1397] = {.lex_state = 15, .external_lex_state = 2},
  [1398] = {.lex_state = 15, .external_lex_state = 2},
  [1399] = {.lex_state = 15, .external_lex_state = 2},
  [1400] = {.lex_state = 15, .external_lex_state = 2},
  [1401] = {.lex_state = 15, .external_lex_state = 2},
  [1402] = {.lex_state = 15, .external_lex_state = 2},
  [1403] = {.lex_state = 15, .external_lex_state = 2},
  [1404] = {.lex_state = 13, .external_lex_state = 5},
  [1405] = {.lex_state = 13, .external_lex_state = 5},
  [1406] = {.lex_state = 15, .external_lex_state = 2},
  [1407] = {.lex_state = 15, .external_lex_state = 2},
  [1408] = {.lex_state = 13, .external_lex_state = 5},
  [1409] = {.lex_state = 15, .external_lex_state = 2},
  [1410] = {.lex_state = 15, .external_lex_state = 2},
  [1411] = {.lex_state = 13, .external_lex_state = 5},
  [1412] = {.lex_state = 15, .external_lex_state = 2},
  [1413] = {.lex_state = 15, .external_lex_state = 2},
  [1414] = {.lex_state = 15, .external_lex_state = 2},
  [1415] = {.lex_state = 15, .external_lex_state = 2},
  [1416] = {.lex_state = 13, .external_lex_state = 5},
  [1417] = {.lex_state = 15, .external_lex_state = 2},
  [1418] = {.lex_state = 151, .external_lex_state = 2},
  [1419] = {.lex_state = 151, .external_lex_state = 2},
  [1420] = {.lex_state = 151, .external_lex_state = 2},
  [1421] = {.lex_state = 151, .external_lex_state = 2},
  [1422] = {.lex_state = 151, .external_lex_state = 2},
  [1423] = {.lex_state = 151, .external_lex_state = 2},
  [1424] = {.lex_state = 151, .external_lex_state = 2},
  [1425] = {.lex_state = 13, .external_lex_state = 5},
  [1426] = {.lex_state = 8, .external_lex_state = 4},
  [1427] = {.lex_state = 13, .external_lex_state = 5},
  [1428] = {.lex_state = 8, .external_lex_state = 4},
  [1429] = {.lex_state = 8, .external_lex_state = 3},
  [1430] = {.lex_state = 8, .external_lex_state = 3},
  [1431] = {.lex_state = 151, .external_lex_state = 2},
  [1432] = {.lex_state = 8, .external_lex_state = 3},
  [1433] = {.lex_state = 8, .external_lex_state = 3},
  [1434] = {.lex_state = 8, .external_lex_state = 3},
  [1435] = {.lex_state = 8, .external_lex_state = 3},
  [1436] = {.lex_state = 8, .external_lex_state = 4},
  [1437] = {.lex_state = 8, .external_lex_state = 3},
  [1438] = {.lex_state = 8, .external_lex_state = 3},
  [1439] = {.lex_state = 8, .external_lex_state = 4},
  [1440] = {.lex_state = 8, .external_lex_state = 3},
  [1441] = {.lex_state = 8, .external_lex_state = 3},
  [1442] = {.lex_state = 8, .external_lex_state = 3},
  [1443] = {.lex_state = 8, .external_lex_state = 3},
  [1444] = {.lex_state = 8, .external_lex_state = 3},
  [1445] = {.lex_state = 8, .external_lex_state = 3},
  [1446] = {.lex_state = 8, .external_lex_state = 4},
  [1447] = {.lex_state = 8, .external_lex_state = 3},
  [1448] = {.lex_state = 8, .external_lex_state = 3},
  [1449] = {.lex_state = 8, .external_lex_state = 4},
  [1450] = {.lex_state = 8, .external_lex_state = 3},
  [1451] = {.lex_state = 8, .external_lex_state = 3},
  [1452] = {.lex_state = 8, .external_lex_state = 3},
  [1453] = {.lex_state = 8, .external_lex_state = 3},
  [1454] = {.lex_state = 8, .external_lex_state = 4},
  [1455] = {.lex_state = 8, .external_lex_state = 3},
  [1456] = {.lex_state = 8, .external_lex_state = 3},
  [1457] = {.lex_state = 8, .external_lex_state = 3},
  [1458] = {.lex_state = 8, .external_lex_state = 3},
  [1459] = {.lex_state = 8, .external_lex_state = 3},
  [1460] = {.lex_state = 8, .external_lex_state = 3},
  [1461] = {.lex_state = 8, .external_lex_state = 3},
  [1462] = {.lex_state = 8, .external_lex_state = 3},
  [1463] = {.lex_state = 8, .external_lex_state = 3},
  [1464] = {.lex_state = 8, .external_lex_state = 3},
  [1465] = {.lex_state = 8, .external_lex_state = 3},
  [1466] = {.lex_state = 8, .external_lex_state = 3},
  [1467] = {.lex_state = 8, .external_lex_state = 3},
  [1468] = {.lex_state = 8, .external_lex_state = 3},
  [1469] = {.lex_state = 8, .external_lex_state = 3},
  [1470] = {.lex_state = 8, .external_lex_state = 3},
  [1471] = {.lex_state = 8, .external_lex_state = 3},
  [1472] = {.lex_state = 8, .external_lex_state = 3},
  [1473] = {.lex_state = 8, .external_lex_state = 3},
  [1474] = {.lex_state = 15, .external_lex_state = 5},
  [1475] = {.lex_state = 8, .external_lex_state = 3},
  [1476] = {.lex_state = 8, .external_lex_state = 3},
  [1477] = {.lex_state = 8, .external_lex_state = 3},
  [1478] = {.lex_state = 8, .external_lex_state = 3},
  [1479] = {.lex_state = 8, .external_lex_state = 3},
  [1480] = {.lex_state = 8, .external_lex_state = 3},
  [1481] = {.lex_state = 8, .external_lex_state = 3},
  [1482] = {.lex_state = 8, .external_lex_state = 3},
  [1483] = {.lex_state = 8, .external_lex_state = 3},
  [1484] = {.lex_state = 8, .external_lex_state = 3},
  [1485] = {.lex_state = 8, .external_lex_state = 3},
  [1486] = {.lex_state = 8, .external_lex_state = 3},
  [1487] = {.lex_state = 8, .external_lex_state = 3},
  [1488] = {.lex_state = 8, .external_lex_state = 3},
  [1489] = {.lex_state = 8, .external_lex_state = 3},
  [1490] = {.lex_state = 8, .external_lex_state = 3},
  [1491] = {.lex_state = 8, .external_lex_state = 3},
  [1492] = {.lex_state = 8, .external_lex_state = 3},
  [1493] = {.lex_state = 8, .external_lex_state = 3},
  [1494] = {.lex_state = 8, .external_lex_state = 3},
  [1495] = {.lex_state = 8, .external_lex_state = 3},
  [1496] = {.lex_state = 8, .external_lex_state = 3},
  [1497] = {.lex_state = 8, .external_lex_state = 3},
  [1498] = {.lex_state = 8, .external_lex_state = 3},
  [1499] = {.lex_state = 8, .external_lex_state = 3},
  [1500] = {.lex_state = 8, .external_lex_state = 3},
  [1501] = {.lex_state = 8, .external_lex_state = 3},
  [1502] = {.lex_state = 8, .external_lex_state = 3},
  [1503] = {.lex_state = 8, .external_lex_state = 3},
  [1504] = {.lex_state = 8, .external_lex_state = 3},
  [1505] = {.lex_state = 8, .external_lex_state = 3},
  [1506] = {.lex_state = 8, .external_lex_state = 3},
  [1507] = {.lex_state = 8, .external_lex_state = 3},
  [1508] = {.lex_state = 8, .external_lex_state = 3},
  [1509] = {.lex_state = 8, .external_lex_state = 3},
  [1510] = {.lex_state = 8, .external_lex_state = 3},
  [1511] = {.lex_state = 8, .external_lex_state = 3},
  [1512] = {.lex_state = 8, .external_lex_state = 3},
  [1513] = {.lex_state = 8, .external_lex_state = 3},
  [1514] = {.lex_state = 8, .external_lex_state = 3},
  [1515] = {.lex_state = 8, .external_lex_state = 3},
  [1516] = {.lex_state = 15, .external_lex_state = 5},
  [1517] = {.lex_state = 8, .external_lex_state = 3},
  [1518] = {.lex_state = 8, .external_lex_state = 3},
  [1519] = {.lex_state = 8, .external_lex_state = 3},
  [1520] = {.lex_state = 8, .external_lex_state = 3},
  [1521] = {.lex_state = 8, .external_lex_state = 3},
  [1522] = {.lex_state = 8, .external_lex_state = 3},
  [1523] = {.lex_state = 8, .external_lex_state = 3},
  [1524] = {.lex_state = 8, .external_lex_state = 3},
  [1525] = {.lex_state = 8, .external_lex_state = 3},
  [1526] = {.lex_state = 8, .external_lex_state = 3},
  [1527] = {.lex_state = 8, .external_lex_state = 3},
  [1528] = {.lex_state = 8, .external_lex_state = 3},
  [1529] = {.lex_state = 8, .external_lex_state = 3},
  [1530] = {.lex_state = 8, .external_lex_state = 3},
  [1531] = {.lex_state = 8, .external_lex_state = 3},
  [1532] = {.lex_state = 8, .external_lex_state = 3},
  [1533] = {.lex_state = 8, .external_lex_state = 3},
  [1534] = {.lex_state = 8, .external_lex_state = 3},
  [1535] = {.lex_state = 8, .external_lex_state = 3},
  [1536] = {.lex_state = 8, .external_lex_state = 3},
  [1537] = {.lex_state = 8, .external_lex_state = 3},
  [1538] = {.lex_state = 8, .external_lex_state = 3},
  [1539] = {.lex_state = 8, .external_lex_state = 3},
  [1540] = {.lex_state = 8, .external_lex_state = 3},
  [1541] = {.lex_state = 8, .external_lex_state = 3},
  [1542] = {.lex_state = 8, .external_lex_state = 3},
  [1543] = {.lex_state = 13, .external_lex_state = 5},
  [1544] = {.lex_state = 8, .external_lex_state = 3},
  [1545] = {.lex_state = 8, .external_lex_state = 3},
  [1546] = {.lex_state = 8, .external_lex_state = 3},
  [1547] = {.lex_state = 8, .external_lex_state = 3},
  [1548] = {.lex_state = 8, .external_lex_state = 3},
  [1549] = {.lex_state = 8, .external_lex_state = 3},
  [1550] = {.lex_state = 8, .external_lex_state = 3},
  [1551] = {.lex_state = 8, .external_lex_state = 3},
  [1552] = {.lex_state = 8, .external_lex_state = 3},
  [1553] = {.lex_state = 8, .external_lex_state = 3},
  [1554] = {.lex_state = 8, .external_lex_state = 3},
  [1555] = {.lex_state = 8, .external_lex_state = 3},
  [1556] = {.lex_state = 8, .external_lex_state = 3},
  [1557] = {.lex_state = 8, .external_lex_state = 3},
  [1558] = {.lex_state = 8, .external_lex_state = 3},
  [1559] = {.lex_state = 8, .external_lex_state = 3},
  [1560] = {.lex_state = 8, .external_lex_state = 3},
  [1561] = {.lex_state = 8, .external_lex_state = 3},
  [1562] = {.lex_state = 8, .external_lex_state = 3},
  [1563] = {.lex_state = 8, .external_lex_state = 3},
  [1564] = {.lex_state = 8, .external_lex_state = 3},
  [1565] = {.lex_state = 8, .external_lex_state = 3},
  [1566] = {.lex_state = 8, .external_lex_state = 3},
  [1567] = {.lex_state = 8, .external_lex_state = 3},
  [1568] = {.lex_state = 8, .external_lex_state = 3},
  [1569] = {.lex_state = 8, .external_lex_state = 3},
  [1570] = {.lex_state = 8, .external_lex_state = 3},
  [1571] = {.lex_state = 8, .external_lex_state = 3},
  [1572] = {.lex_state = 8, .external_lex_state = 3},
  [1573] = {.lex_state = 8, .external_lex_state = 3},
  [1574] = {.lex_state = 15, .external_lex_state = 5},
  [1575] = {.lex_state = 8, .external_lex_state = 3},
  [1576] = {.lex_state = 8, .external_lex_state = 3},
  [1577] = {.lex_state = 8, .external_lex_state = 3},
  [1578] = {.lex_state = 8, .external_lex_state = 3},
  [1579] = {.lex_state = 8, .external_lex_state = 3},
  [1580] = {.lex_state = 8, .external_lex_state = 3},
  [1581] = {.lex_state = 8, .external_lex_state = 3},
  [1582] = {.lex_state = 8, .external_lex_state = 4},
  [1583] = {.lex_state = 8, .external_lex_state = 3},
  [1584] = {.lex_state = 8, .external_lex_state = 3},
  [1585] = {.lex_state = 8, .external_lex_state = 3},
  [1586] = {.lex_state = 8, .external_lex_state = 3},
  [1587] = {.lex_state = 8, .external_lex_state = 3},
  [1588] = {.lex_state = 8, .external_lex_state = 4},
  [1589] = {.lex_state = 15, .external_lex_state = 5},
  [1590] = {.lex_state = 8, .external_lex_state = 4},
  [1591] = {.lex_state = 8, .external_lex_state = 3},
  [1592] = {.lex_state = 8, .external_lex_state = 3},
  [1593] = {.lex_state = 8, .external_lex_state = 3},
  [1594] = {.lex_state = 8, .external_lex_state = 3},
  [1595] = {.lex_state = 8, .external_lex_state = 3},
  [1596] = {.lex_state = 8, .external_lex_state = 3},
  [1597] = {.lex_state = 8, .external_lex_state = 3},
  [1598] = {.lex_state = 8, .external_lex_state = 3},
  [1599] = {.lex_state = 8, .external_lex_state = 3},
  [1600] = {.lex_state = 8, .external_lex_state = 3},
  [1601] = {.lex_state = 8, .external_lex_state = 3},
  [1602] = {.lex_state = 8, .external_lex_state = 3},
  [1603] = {.lex_state = 8, .external_lex_state = 3},
  [1604] = {.lex_state = 15, .external_lex_state = 5},
  [1605] = {.lex_state = 8, .external_lex_state = 3},
  [1606] = {.lex_state = 8, .external_lex_state = 3},
  [1607] = {.lex_state = 8, .external_lex_state = 3},
  [1608] = {.lex_state = 8, .external_lex_state = 3},
  [1609] = {.lex_state = 8, .external_lex_state = 3},
  [1610] = {.lex_state = 8, .external_lex_state = 3},
  [1611] = {.lex_state = 8, .external_lex_state = 3},
  [1612] = {.lex_state = 8, .external_lex_state = 3},
  [1613] = {.lex_state = 8, .external_lex_state = 3},
  [1614] = {.lex_state = 8, .external_lex_state = 4},
  [1615] = {.lex_state = 15, .external_lex_state = 5},
  [1616] = {.lex_state = 8, .external_lex_state = 4},
  [1617] = {.lex_state = 8, .external_lex_state = 3},
  [1618] = {.lex_state = 8, .external_lex_state = 3},
  [1619] = {.lex_state = 8, .external_lex_state = 3},
  [1620] = {.lex_state = 8, .external_lex_state = 3},
  [1621] = {.lex_state = 8, .external_lex_state = 3},
  [1622] = {.lex_state = 8, .external_lex_state = 3},
  [1623] = {.lex_state = 8, .external_lex_state = 4},
  [1624] = {.lex_state = 15, .external_lex_state = 5},
  [1625] = {.lex_state = 8, .external_lex_state = 4},
  [1626] = {.lex_state = 8, .external_lex_state = 4},
  [1627] = {.lex_state = 8, .external_lex_state = 3},
  [1628] = {.lex_state = 8, .external_lex_state = 3},
  [1629] = {.lex_state = 8, .external_lex_state = 3},
  [1630] = {.lex_state = 8, .external_lex_state = 3},
  [1631] = {.lex_state = 8, .external_lex_state = 3},
  [1632] = {.lex_state = 8, .external_lex_state = 3},
  [1633] = {.lex_state = 8, .external_lex_state = 4},
  [1634] = {.lex_state = 8, .external_lex_state = 4},
  [1635] = {.lex_state = 8, .external_lex_state = 3},
  [1636] = {.lex_state = 8, .external_lex_state = 3},
  [1637] = {.lex_state = 8, .external_lex_state = 3},
  [1638] = {.lex_state = 8, .external_lex_state = 3},
  [1639] = {.lex_state = 8, .external_lex_state = 3},
  [1640] = {.lex_state = 8, .external_lex_state = 4},
  [1641] = {.lex_state = 8, .external_lex_state = 3},
  [1642] = {.lex_state = 8, .external_lex_state = 3},
  [1643] = {.lex_state = 8, .external_lex_state = 3},
  [1644] = {.lex_state = 8, .external_lex_state = 3},
  [1645] = {.lex_state = 8, .external_lex_state = 3},
  [1646] = {.lex_state = 8, .external_lex_state = 3},
  [1647] = {.lex_state = 8, .external_lex_state = 4},
  [1648] = {.lex_state = 8, .external_lex_state = 3},
  [1649] = {.lex_state = 8, .external_lex_state = 3},
  [1650] = {.lex_state = 8, .external_lex_state = 4},
  [1651] = {.lex_state = 8, .external_lex_state = 4},
  [1652] = {.lex_state = 8, .external_lex_state = 4},
  [1653] = {.lex_state = 8, .external_lex_state = 4},
  [1654] = {.lex_state = 8, .external_lex_state = 4},
  [1655] = {.lex_state = 8, .external_lex_state = 3},
  [1656] = {.lex_state = 8, .external_lex_state = 4},
  [1657] = {.lex_state = 8, .external_lex_state = 3},
  [1658] = {.lex_state = 8, .external_lex_state = 4},
  [1659] = {.lex_state = 8, .external_lex_state = 3},
  [1660] = {.lex_state = 8, .external_lex_state = 3},
  [1661] = {.lex_state = 8, .external_lex_state = 4},
  [1662] = {.lex_state = 8, .external_lex_state = 3},
  [1663] = {.lex_state = 8, .external_lex_state = 3},
  [1664] = {.lex_state = 15, .external_lex_state = 5},
  [1665] = {.lex_state = 8, .external_lex_state = 3},
  [1666] = {.lex_state = 8, .external_lex_state = 4},
  [1667] = {.lex_state = 8, .external_lex_state = 3},
  [1668] = {.lex_state = 8, .external_lex_state = 3},
  [1669] = {.lex_state = 8, .external_lex_state = 3},
  [1670] = {.lex_state = 8, .external_lex_state = 4},
  [1671] = {.lex_state = 8, .external_lex_state = 4},
  [1672] = {.lex_state = 8, .external_lex_state = 3},
  [1673] = {.lex_state = 8, .external_lex_state = 4},
  [1674] = {.lex_state = 8, .external_lex_state = 3},
  [1675] = {.lex_state = 8, .external_lex_state = 4},
  [1676] = {.lex_state = 8, .external_lex_state = 4},
  [1677] = {.lex_state = 8, .external_lex_state = 4},
  [1678] = {.lex_state = 8, .external_lex_state = 3},
  [1679] = {.lex_state = 8, .external_lex_state = 3},
  [1680] = {.lex_state = 8, .external_lex_state = 3},
  [1681] = {.lex_state = 8, .external_lex_state = 4},
  [1682] = {.lex_state = 8, .external_lex_state = 4},
  [1683] = {.lex_state = 8, .external_lex_state = 3},
  [1684] = {.lex_state = 8, .external_lex_state = 4},
  [1685] = {.lex_state = 8, .external_lex_state = 4},
  [1686] = {.lex_state = 8, .external_lex_state = 4},
  [1687] = {.lex_state = 8, .external_lex_state = 3},
  [1688] = {.lex_state = 8, .external_lex_state = 4},
  [1689] = {.lex_state = 8, .external_lex_state = 4},
  [1690] = {.lex_state = 8, .external_lex_state = 4},
  [1691] = {.lex_state = 8, .external_lex_state = 4},
  [1692] = {.lex_state = 8, .external_lex_state = 3},
  [1693] = {.lex_state = 8, .external_lex_state = 3},
  [1694] = {.lex_state = 8, .external_lex_state = 4},
  [1695] = {.lex_state = 8, .external_lex_state = 3},
  [1696] = {.lex_state = 8, .external_lex_state = 3},
  [1697] = {.lex_state = 8, .external_lex_state = 4},
  [1698] = {.lex_state = 8, .external_lex_state = 3},
  [1699] = {.lex_state = 8, .external_lex_state = 4},
  [1700] = {.lex_state = 8, .external_lex_state = 4},
  [1701] = {.lex_state = 8, .external_lex_state = 4},
  [1702] = {.lex_state = 8, .external_lex_state = 3},
  [1703] = {.lex_state = 8, .external_lex_state = 4},
  [1704] = {.lex_state = 8, .external_lex_state = 4},
  [1705] = {.lex_state = 8, .external_lex_state = 4},
  [1706] = {.lex_state = 8, .external_lex_state = 4},
  [1707] = {.lex_state = 8, .external_lex_state = 3},
  [1708] = {.lex_state = 8, .external_lex_state = 4},
  [1709] = {.lex_state = 8, .external_lex_state = 3},
  [1710] = {.lex_state = 8, .external_lex_state = 4},
  [1711] = {.lex_state = 8, .external_lex_state = 4},
  [1712] = {.lex_state = 8, .external_lex_state = 4},
  [1713] = {.lex_state = 8, .external_lex_state = 4},
  [1714] = {.lex_state = 8, .external_lex_state = 3},
  [1715] = {.lex_state = 15, .external_lex_state = 5},
  [1716] = {.lex_state = 15, .external_lex_state = 5},
  [1717] = {.lex_state = 15, .external_lex_state = 5},
  [1718] = {.lex_state = 8, .external_lex_state = 3},
  [1719] = {.lex_state = 8, .external_lex_state = 4},
  [1720] = {.lex_state = 8, .external_lex_state = 4},
  [1721] = {.lex_state = 8, .external_lex_state = 3},
  [1722] = {.lex_state = 8, .external_lex_state = 3},
  [1723] = {.lex_state = 8, .external_lex_state = 4},
  [1724] = {.lex_state = 8, .external_lex_state = 4},
  [1725] = {.lex_state = 8, .external_lex_state = 4},
  [1726] = {.lex_state = 8, .external_lex_state = 4},
  [1727] = {.lex_state = 8, .external_lex_state = 4},
  [1728] = {.lex_state = 8, .external_lex_state = 4},
  [1729] = {.lex_state = 8, .external_lex_state = 3},
  [1730] = {.lex_state = 8, .external_lex_state = 4},
  [1731] = {.lex_state = 8, .external_lex_state = 4},
  [1732] = {.lex_state = 8, .external_lex_state = 4},
  [1733] = {.lex_state = 8, .external_lex_state = 4},
  [1734] = {.lex_state = 8, .external_lex_state = 4},
  [1735] = {.lex_state = 8, .external_lex_state = 4},
  [1736] = {.lex_state = 8, .external_lex_state = 4},
  [1737] = {.lex_state = 8, .external_lex_state = 3},
  [1738] = {.lex_state = 8, .external_lex_state = 3},
  [1739] = {.lex_state = 8, .external_lex_state = 3},
  [1740] = {.lex_state = 8, .external_lex_state = 3},
  [1741] = {.lex_state = 15, .external_lex_state = 5},
  [1742] = {.lex_state = 8, .external_lex_state = 3},
  [1743] = {.lex_state = 8, .external_lex_state = 3},
  [1744] = {.lex_state = 8, .external_lex_state = 4},
  [1745] = {.lex_state = 8, .external_lex_state = 4},
  [1746] = {.lex_state = 8, .external_lex_state = 4},
  [1747] = {.lex_state = 8, .external_lex_state = 3},
  [1748] = {.lex_state = 8, .external_lex_state = 3},
  [1749] = {.lex_state = 8, .external_lex_state = 4},
  [1750] = {.lex_state = 8, .external_lex_state = 4},
  [1751] = {.lex_state = 15, .external_lex_state = 5},
  [1752] = {.lex_state = 8, .external_lex_state = 4},
  [1753] = {.lex_state = 8, .external_lex_state = 3},
  [1754] = {.lex_state = 8, .external_lex_state = 4},
  [1755] = {.lex_state = 15, .external_lex_state = 5},
  [1756] = {.lex_state = 8, .external_lex_state = 3},
  [1757] = {.lex_state = 8, .external_lex_state = 3},
  [1758] = {.lex_state = 8, .external_lex_state = 3},
  [1759] = {.lex_state = 8, .external_lex_state = 4},
  [1760] = {.lex_state = 8, .external_lex_state = 4},
  [1761] = {.lex_state = 8, .external_lex_state = 4},
  [1762] = {.lex_state = 8, .external_lex_state = 4},
  [1763] = {.lex_state = 8, .external_lex_state = 4},
  [1764] = {.lex_state = 8, .external_lex_state = 3},
  [1765] = {.lex_state = 8, .external_lex_state = 3},
  [1766] = {.lex_state = 8, .external_lex_state = 3},
  [1767] = {.lex_state = 8, .external_lex_state = 3},
  [1768] = {.lex_state = 8, .external_lex_state = 3},
  [1769] = {.lex_state = 8, .external_lex_state = 3},
  [1770] = {.lex_state = 8, .external_lex_state = 3},
  [1771] = {.lex_state = 15, .external_lex_state = 5},
  [1772] = {.lex_state = 8, .external_lex_state = 3},
  [1773] = {.lex_state = 8, .external_lex_state = 4},
  [1774] = {.lex_state = 8, .external_lex_state = 3},
  [1775] = {.lex_state = 8, .external_lex_state = 3},
  [1776] = {.lex_state = 8, .external_lex_state = 3},
  [1777] = {.lex_state = 8, .external_lex_state = 3},
  [1778] = {.lex_state = 8, .external_lex_state = 3},
  [1779] = {.lex_state = 8, .external_lex_state = 3},
  [1780] = {.lex_state = 8, .external_lex_state = 3},
  [1781] = {.lex_state = 8, .external_lex_state = 3},
  [1782] = {.lex_state = 8, .external_lex_state = 4},
  [1783] = {.lex_state = 15, .external_lex_state = 5},
  [1784] = {.lex_state = 8, .external_lex_state = 3},
  [1785] = {.lex_state = 8, .external_lex_state = 4},
  [1786] = {.lex_state = 8, .external_lex_state = 4},
  [1787] = {.lex_state = 8, .external_lex_state = 4},
  [1788] = {.lex_state = 15, .external_lex_state = 5},
  [1789] = {.lex_state = 8, .external_lex_state = 4},
  [1790] = {.lex_state = 8, .external_lex_state = 3},
  [1791] = {.lex_state = 8, .external_lex_state = 3},
  [1792] = {.lex_state = 8, .external_lex_state = 3},
  [1793] = {.lex_state = 8, .external_lex_state = 4},
  [1794] = {.lex_state = 15, .external_lex_state = 5},
  [1795] = {.lex_state = 8, .external_lex_state = 3},
  [1796] = {.lex_state = 8, .external_lex_state = 3},
  [1797] = {.lex_state = 8, .external_lex_state = 3},
  [1798] = {.lex_state = 8, .external_lex_state = 3},
  [1799] = {.lex_state = 8, .external_lex_state = 3},
  [1800] = {.lex_state = 8, .external_lex_state = 3},
  [1801] = {.lex_state = 8, .external_lex_state = 3},
  [1802] = {.lex_state = 8, .external_lex_state = 3},
  [1803] = {.lex_state = 8, .external_lex_state = 3},
  [1804] = {.lex_state = 15, .external_lex_state = 5},
  [1805] = {.lex_state = 8, .external_lex_state = 4},
  [1806] = {.lex_state = 8, .external_lex_state = 4},
  [1807] = {.lex_state = 8, .external_lex_state = 3},
  [1808] = {.lex_state = 8, .external_lex_state = 3},
  [1809] = {.lex_state = 8, .external_lex_state = 4},
  [1810] = {.lex_state = 8, .external_lex_state = 3},
  [1811] = {.lex_state = 8, .external_lex_state = 3},
  [1812] = {.lex_state = 8, .external_lex_state = 3},
  [1813] = {.lex_state = 8, .external_lex_state = 3},
  [1814] = {.lex_state = 8, .external_lex_state = 3},
  [1815] = {.lex_state = 8, .external_lex_state = 3},
  [1816] = {.lex_state = 8, .external_lex_state = 3},
  [1817] = {.lex_state = 8, .external_lex_state = 3},
  [1818] = {.lex_state = 8, .external_lex_state = 4},
  [1819] = {.lex_state = 8, .external_lex_state = 4},
  [1820] = {.lex_state = 15, .external_lex_state = 5},
  [1821] = {.lex_state = 15, .external_lex_state = 5},
  [1822] = {.lex_state = 8, .external_lex_state = 4},
  [1823] = {.lex_state = 15, .external_lex_state = 5},
  [1824] = {.lex_state = 8, .external_lex_state = 3},
  [1825] = {.lex_state = 8, .external_lex_state = 4},
  [1826] = {.lex_state = 8, .external_lex_state = 3},
  [1827] = {.lex_state = 15, .external_lex_state = 5},
  [1828] = {.lex_state = 8, .external_lex_state = 3},
  [1829] = {.lex_state = 8, .external_lex_state = 3},
  [1830] = {.lex_state = 8, .external_lex_state = 3},
  [1831] = {.lex_state = 8, .external_lex_state = 3},
  [1832] = {.lex_state = 15, .external_lex_state = 5},
  [1833] = {.lex_state = 8, .external_lex_state = 4},
  [1834] = {.lex_state = 8, .external_lex_state = 4},
  [1835] = {.lex_state = 15, .external_lex_state = 5},
  [1836] = {.lex_state = 8, .external_lex_state = 3},
  [1837] = {.lex_state = 8, .external_lex_state = 4},
  [1838] = {.lex_state = 8, .external_lex_state = 3},
  [1839] = {.lex_state = 8, .external_lex_state = 4},
  [1840] = {.lex_state = 8, .external_lex_state = 3},
  [1841] = {.lex_state = 8, .external_lex_state = 3},
  [1842] = {.lex_state = 8, .external_lex_state = 4},
  [1843] = {.lex_state = 15, .external_lex_state = 5},
  [1844] = {.lex_state = 8, .external_lex_state = 3},
  [1845] = {.lex_state = 8, .external_lex_state = 3},
  [1846] = {.lex_state = 8, .external_lex_state = 3},
  [1847] = {.lex_state = 8, .external_lex_state = 4},
  [1848] = {.lex_state = 15, .external_lex_state = 5},
  [1849] = {.lex_state = 8, .external_lex_state = 3},
  [1850] = {.lex_state = 15, .external_lex_state = 5},
  [1851] = {.lex_state = 8, .external_lex_state = 4},
  [1852] = {.lex_state = 8, .external_lex_state = 3},
  [1853] = {.lex_state = 8, .external_lex_state = 3},
  [1854] = {.lex_state = 8, .external_lex_state = 3},
  [1855] = {.lex_state = 8, .external_lex_state = 3},
  [1856] = {.lex_state = 8, .external_lex_state = 3},
  [1857] = {.lex_state = 8, .external_lex_state = 3},
  [1858] = {.lex_state = 8, .external_lex_state = 3},
  [1859] = {.lex_state = 8, .external_lex_state = 3},
  [1860] = {.lex_state = 8, .external_lex_state = 3},
  [1861] = {.lex_state = 8, .external_lex_state = 3},
  [1862] = {.lex_state = 8, .external_lex_state = 3},
  [1863] = {.lex_state = 8, .external_lex_state = 3},
  [1864] = {.lex_state = 8, .external_lex_state = 3},
  [1865] = {.lex_state = 8, .external_lex_state = 3},
  [1866] = {.lex_state = 8, .external_lex_state = 3},
  [1867] = {.lex_state = 8, .external_lex_state = 4},
  [1868] = {.lex_state = 8, .external_lex_state = 3},
  [1869] = {.lex_state = 8, .external_lex_state = 3},
  [1870] = {.lex_state = 8, .external_lex_state = 3},
  [1871] = {.lex_state = 8, .external_lex_state = 3},
  [1872] = {.lex_state = 8, .external_lex_state = 3},
  [1873] = {.lex_state = 8, .external_lex_state = 3},
  [1874] = {.lex_state = 8, .external_lex_state = 3},
  [1875] = {.lex_state = 8, .external_lex_state = 3},
  [1876] = {.lex_state = 8, .external_lex_state = 3},
  [1877] = {.lex_state = 8, .external_lex_state = 3},
  [1878] = {.lex_state = 8, .external_lex_state = 3},
  [1879] = {.lex_state = 8, .external_lex_state = 3},
  [1880] = {.lex_state = 8, .external_lex_state = 3},
  [1881] = {.lex_state = 15, .external_lex_state = 5},
  [1882] = {.lex_state = 8, .external_lex_state = 3},
  [1883] = {.lex_state = 8, .external_lex_state = 3},
  [1884] = {.lex_state = 8, .external_lex_state = 3},
  [1885] = {.lex_state = 8, .external_lex_state = 3},
  [1886] = {.lex_state = 8, .external_lex_state = 4},
  [1887] = {.lex_state = 8, .external_lex_state = 3},
  [1888] = {.lex_state = 8, .external_lex_state = 3},
  [1889] = {.lex_state = 8, .external_lex_state = 4},
  [1890] = {.lex_state = 15, .external_lex_state = 5},
  [1891] = {.lex_state = 8, .external_lex_state = 3},
  [1892] = {.lex_state = 15, .external_lex_state = 5},
  [1893] = {.lex_state = 15, .external_lex_state = 5},
  [1894] = {.lex_state = 8, .external_lex_state = 4},
  [1895] = {.lex_state = 8, .external_lex_state = 4},
  [1896] = {.lex_state = 8, .external_lex_state = 3},
  [1897] = {.lex_state = 15, .external_lex_state = 2},
  [1898] = {.lex_state = 15, .external_lex_state = 5},
  [1899] = {.lex_state = 8, .external_lex_state = 3},
  [1900] = {.lex_state = 8, .external_lex_state = 4},
  [1901] = {.lex_state = 8, .external_lex_state = 4},
  [1902] = {.lex_state = 8, .external_lex_state = 4},
  [1903] = {.lex_state = 15, .external_lex_state = 2},
  [1904] = {.lex_state = 8, .external_lex_state = 4},
  [1905] = {.lex_state = 8, .external_lex_state = 4},
  [1906] = {.lex_state = 8, .external_lex_state = 4},
  [1907] = {.lex_state = 8, .external_lex_state = 4},
  [1908] = {.lex_state = 8, .external_lex_state = 4},
  [1909] = {.lex_state = 8, .external_lex_state = 4},
  [1910] = {.lex_state = 8, .external_lex_state = 4},
  [1911] = {.lex_state = 8, .external_lex_state = 4},
  [1912] = {.lex_state = 8, .external_lex_state = 4},
  [1913] = {.lex_state = 8, .external_lex_state = 4},
  [1914] = {.lex_state = 8, .external_lex_state = 4},
  [1915] = {.lex_state = 8, .external_lex_state = 4},
  [1916] = {.lex_state = 8, .external_lex_state = 4},
  [1917] = {.lex_state = 9, .external_lex_state = 3},
  [1918] = {.lex_state = 8, .external_lex_state = 4},
  [1919] = {.lex_state = 8, .external_lex_state = 4},
  [1920] = {.lex_state = 8, .external_lex_state = 4},
  [1921] = {.lex_state = 8, .external_lex_state = 4},
  [1922] = {.lex_state = 8, .external_lex_state = 4},
  [1923] = {.lex_state = 8, .external_lex_state = 3},
  [1924] = {.lex_state = 8, .external_lex_state = 3},
  [1925] = {.lex_state = 8, .external_lex_state = 4},
  [1926] = {.lex_state = 8, .external_lex_state = 4},
  [1927] = {.lex_state = 8, .external_lex_state = 4},
  [1928] = {.lex_state = 8, .external_lex_state = 4},
  [1929] = {.lex_state = 8, .external_lex_state = 4},
  [1930] = {.lex_state = 8, .external_lex_state = 4},
  [1931] = {.lex_state = 8, .external_lex_state = 4},
  [1932] = {.lex_state = 8, .external_lex_state = 4},
  [1933] = {.lex_state = 8, .external_lex_state = 4},
  [1934] = {.lex_state = 8, .external_lex_state = 4},
  [1935] = {.lex_state = 8, .external_lex_state = 4},
  [1936] = {.lex_state = 8, .external_lex_state = 4},
  [1937] = {.lex_state = 8, .external_lex_state = 4},
  [1938] = {.lex_state = 8, .external_lex_state = 4},
  [1939] = {.lex_state = 8, .external_lex_state = 3},
  [1940] = {.lex_state = 8, .external_lex_state = 4},
  [1941] = {.lex_state = 8, .external_lex_state = 4},
  [1942] = {.lex_state = 8, .external_lex_state = 4},
  [1943] = {.lex_state = 8, .external_lex_state = 4},
  [1944] = {.lex_state = 8, .external_lex_state = 4},
  [1945] = {.lex_state = 8, .external_lex_state = 4},
  [1946] = {.lex_state = 8, .external_lex_state = 4},
  [1947] = {.lex_state = 8, .external_lex_state = 4},
  [1948] = {.lex_state = 8, .external_lex_state = 4},
  [1949] = {.lex_state = 8, .external_lex_state = 4},
  [1950] = {.lex_state = 8, .external_lex_state = 4},
  [1951] = {.lex_state = 8, .external_lex_state = 4},
  [1952] = {.lex_state = 8, .external_lex_state = 4},
  [1953] = {.lex_state = 8, .external_lex_state = 4},
  [1954] = {.lex_state = 8, .external_lex_state = 4},
  [1955] = {.lex_state = 8, .external_lex_state = 4},
  [1956] = {.lex_state = 8, .external_lex_state = 4},
  [1957] = {.lex_state = 8, .external_lex_state = 4},
  [1958] = {.lex_state = 8, .external_lex_state = 4},
  [1959] = {.lex_state = 8, .external_lex_state = 4},
  [1960] = {.lex_state = 8, .external_lex_state = 4},
  [1961] = {.lex_state = 8, .external_lex_state = 4},
  [1962] = {.lex_state = 8, .external_lex_state = 4},
  [1963] = {.lex_state = 8, .external_lex_state = 4},
  [1964] = {.lex_state = 8, .external_lex_state = 4},
  [1965] = {.lex_state = 8, .external_lex_state = 4},
  [1966] = {.lex_state = 8, .external_lex_state = 4},
  [1967] = {.lex_state = 8, .external_lex_state = 4},
  [1968] = {.lex_state = 8, .external_lex_state = 4},
  [1969] = {.lex_state = 8, .external_lex_state = 4},
  [1970] = {.lex_state = 8, .external_lex_state = 4},
  [1971] = {.lex_state = 8, .external_lex_state = 4},
  [1972] = {.lex_state = 8, .external_lex_state = 4},
  [1973] = {.lex_state = 8, .external_lex_state = 4},
  [1974] = {.lex_state = 8, .external_lex_state = 4},
  [1975] = {.lex_state = 8, .external_lex_state = 4},
  [1976] = {.lex_state = 8, .external_lex_state = 4},
  [1977] = {.lex_state = 8, .external_lex_state = 4},
  [1978] = {.lex_state = 8, .external_lex_state = 4},
  [1979] = {.lex_state = 8, .external_lex_state = 4},
  [1980] = {.lex_state = 8, .external_lex_state = 4},
  [1981] = {.lex_state = 8, .external_lex_state = 4},
  [1982] = {.lex_state = 8, .external_lex_state = 4},
  [1983] = {.lex_state = 8, .external_lex_state = 4},
  [1984] = {.lex_state = 8, .external_lex_state = 4},
  [1985] = {.lex_state = 8, .external_lex_state = 4},
  [1986] = {.lex_state = 8, .external_lex_state = 4},
  [1987] = {.lex_state = 8, .external_lex_state = 4},
  [1988] = {.lex_state = 8, .external_lex_state = 4},
  [1989] = {.lex_state = 8, .external_lex_state = 4},
  [1990] = {.lex_state = 8, .external_lex_state = 4},
  [1991] = {.lex_state = 8, .external_lex_state = 4},
  [1992] = {.lex_state = 8, .external_lex_state = 4},
  [1993] = {.lex_state = 8, .external_lex_state = 4},
  [1994] = {.lex_state = 8, .external_lex_state = 4},
  [1995] = {.lex_state = 8, .external_lex_state = 4},
  [1996] = {.lex_state = 8, .external_lex_state = 4},
  [1997] = {.lex_state = 8, .external_lex_state = 4},
  [1998] = {.lex_state = 8, .external_lex_state = 4},
  [1999] = {.lex_state = 8, .external_lex_state = 4},
  [2000] = {.lex_state = 8, .external_lex_state = 4},
  [2001] = {.lex_state = 8, .external_lex_state = 4},
  [2002] = {.lex_state = 8, .external_lex_state = 4},
  [2003] = {.lex_state = 8, .external_lex_state = 4},
  [2004] = {.lex_state = 8, .external_lex_state = 4},
  [2005] = {.lex_state = 8, .external_lex_state = 4},
  [2006] = {.lex_state = 8, .external_lex_state = 4},
  [2007] = {.lex_state = 8, .external_lex_state = 4},
  [2008] = {.lex_state = 8, .external_lex_state = 4},
  [2009] = {.lex_state = 8, .external_lex_state = 4},
  [2010] = {.lex_state = 8, .external_lex_state = 4},
  [2011] = {.lex_state = 8, .external_lex_state = 4},
  [2012] = {.lex_state = 8, .external_lex_state = 4},
  [2013] = {.lex_state = 8, .external_lex_state = 4},
  [2014] = {.lex_state = 151, .external_lex_state = 2},
  [2015] = {.lex_state = 8, .external_lex_state = 4},
  [2016] = {.lex_state = 8, .external_lex_state = 3},
  [2017] = {.lex_state = 8, .external_lex_state = 3},
  [2018] = {.lex_state = 8, .external_lex_state = 3},
  [2019] = {.lex_state = 8, .external_lex_state = 4},
  [2020] = {.lex_state = 8, .external_lex_state = 4},
  [2021] = {.lex_state = 8, .external_lex_state = 4},
  [2022] = {.lex_state = 15, .external_lex_state = 5},
  [2023] = {.lex_state = 15, .external_lex_state = 2},
  [2024] = {.lex_state = 8, .external_lex_state = 3},
  [2025] = {.lex_state = 15, .external_lex_state = 5},
  [2026] = {.lex_state = 15, .external_lex_state = 5},
  [2027] = {.lex_state = 8, .external_lex_state = 3},
  [2028] = {.lex_state = 8, .external_lex_state = 4},
  [2029] = {.lex_state = 8, .external_lex_state = 3},
  [2030] = {.lex_state = 8, .external_lex_state = 4},
  [2031] = {.lex_state = 8, .external_lex_state = 3},
  [2032] = {.lex_state = 15, .external_lex_state = 2},
  [2033] = {.lex_state = 8, .external_lex_state = 3},
  [2034] = {.lex_state = 8, .external_lex_state = 3},
  [2035] = {.lex_state = 8, .external_lex_state = 4},
  [2036] = {.lex_state = 8, .external_lex_state = 4},
  [2037] = {.lex_state = 15, .external_lex_state = 2},
  [2038] = {.lex_state = 8, .external_lex_state = 3},
  [2039] = {.lex_state = 8, .external_lex_state = 3},
  [2040] = {.lex_state = 15, .external_lex_state = 2},
  [2041] = {.lex_state = 8, .external_lex_state = 4},
  [2042] = {.lex_state = 8, .external_lex_state = 4},
  [2043] = {.lex_state = 8, .external_lex_state = 4},
  [2044] = {.lex_state = 8, .external_lex_state = 4},
  [2045] = {.lex_state = 8, .external_lex_state = 4},
  [2046] = {.lex_state = 8, .external_lex_state = 4},
  [2047] = {.lex_state = 8, .external_lex_state = 4},
  [2048] = {.lex_state = 8, .external_lex_state = 4},
  [2049] = {.lex_state = 151, .external_lex_state = 2},
  [2050] = {.lex_state = 8, .external_lex_state = 4},
  [2051] = {.lex_state = 8, .external_lex_state = 4},
  [2052] = {.lex_state = 15, .external_lex_state = 2},
  [2053] = {.lex_state = 8, .external_lex_state = 4},
  [2054] = {.lex_state = 8, .external_lex_state = 4},
  [2055] = {.lex_state = 8, .external_lex_state = 4},
  [2056] = {.lex_state = 8, .external_lex_state = 4},
  [2057] = {.lex_state = 8, .external_lex_state = 4},
  [2058] = {.lex_state = 8, .external_lex_state = 4},
  [2059] = {.lex_state = 8, .external_lex_state = 4},
  [2060] = {.lex_state = 8, .external_lex_state = 4},
  [2061] = {.lex_state = 8, .external_lex_state = 4},
  [2062] = {.lex_state = 8, .external_lex_state = 4},
  [2063] = {.lex_state = 8, .external_lex_state = 4},
  [2064] = {.lex_state = 8, .external_lex_state = 4},
  [2065] = {.lex_state = 8, .external_lex_state = 4},
  [2066] = {.lex_state = 8, .external_lex_state = 4},
  [2067] = {.lex_state = 8, .external_lex_state = 4},
  [2068] = {.lex_state = 8, .external_lex_state = 4},
  [2069] = {.lex_state = 8, .external_lex_state = 3},
  [2070] = {.lex_state = 8, .external_lex_state = 3},
  [2071] = {.lex_state = 8, .external_lex_state = 4},
  [2072] = {.lex_state = 8, .external_lex_state = 4},
  [2073] = {.lex_state = 8, .external_lex_state = 4},
  [2074] = {.lex_state = 8, .external_lex_state = 4},
  [2075] = {.lex_state = 8, .external_lex_state = 4},
  [2076] = {.lex_state = 8, .external_lex_state = 4},
  [2077] = {.lex_state = 8, .external_lex_state = 4},
  [2078] = {.lex_state = 8, .external_lex_state = 4},
  [2079] = {.lex_state = 8, .external_lex_state = 4},
  [2080] = {.lex_state = 8, .external_lex_state = 4},
  [2081] = {.lex_state = 8, .external_lex_state = 4},
  [2082] = {.lex_state = 15, .external_lex_state = 5},
  [2083] = {.lex_state = 15, .external_lex_state = 5},
  [2084] = {.lex_state = 15, .external_lex_state = 5},
  [2085] = {.lex_state = 15, .external_lex_state = 5},
  [2086] = {.lex_state = 8, .external_lex_state = 4},
  [2087] = {.lex_state = 8, .external_lex_state = 4},
  [2088] = {.lex_state = 8, .external_lex_state = 4},
  [2089] = {.lex_state = 8, .external_lex_state = 4},
  [2090] = {.lex_state = 8, .external_lex_state = 3},
  [2091] = {.lex_state = 8, .external_lex_state = 4},
  [2092] = {.lex_state = 15, .external_lex_state = 5},
  [2093] = {.lex_state = 15, .external_lex_state = 5},
  [2094] = {.lex_state = 15, .external_lex_state = 5},
  [2095] = {.lex_state = 8, .external_lex_state = 4},
  [2096] = {.lex_state = 8, .external_lex_state = 4},
  [2097] = {.lex_state = 8, .external_lex_state = 3},
  [2098] = {.lex_state = 8, .external_lex_state = 3},
  [2099] = {.lex_state = 8, .external_lex_state = 3},
  [2100] = {.lex_state = 8, .external_lex_state = 3},
  [2101] = {.lex_state = 8, .external_lex_state = 3},
  [2102] = {.lex_state = 8, .external_lex_state = 3},
  [2103] = {.lex_state = 8, .external_lex_state = 3},
  [2104] = {.lex_state = 8, .external_lex_state = 3},
  [2105] = {.lex_state = 8, .external_lex_state = 3},
  [2106] = {.lex_state = 8, .external_lex_state = 3},
  [2107] = {.lex_state = 8, .external_lex_state = 3},
  [2108] = {.lex_state = 8, .external_lex_state = 3},
  [2109] = {.lex_state = 8, .external_lex_state = 3},
  [2110] = {.lex_state = 8, .external_lex_state = 3},
  [2111] = {.lex_state = 8, .external_lex_state = 3},
  [2112] = {.lex_state = 8, .external_lex_state = 3},
  [2113] = {.lex_state = 8, .external_lex_state = 3},
  [2114] = {.lex_state = 8, .external_lex_state = 3},
  [2115] = {.lex_state = 8, .external_lex_state = 3},
  [2116] = {.lex_state = 8, .external_lex_state = 3},
  [2117] = {.lex_state = 8, .external_lex_state = 3},
  [2118] = {.lex_state = 8, .external_lex_state = 3},
  [2119] = {.lex_state = 8, .external_lex_state = 3},
  [2120] = {.lex_state = 8, .external_lex_state = 3},
  [2121] = {.lex_state = 8, .external_lex_state = 3},
  [2122] = {.lex_state = 8, .external_lex_state = 3},
  [2123] = {.lex_state = 8, .external_lex_state = 3},
  [2124] = {.lex_state = 8, .external_lex_state = 3},
  [2125] = {.lex_state = 8, .external_lex_state = 3},
  [2126] = {.lex_state = 15, .external_lex_state = 5},
  [2127] = {.lex_state = 15, .external_lex_state = 5},
  [2128] = {.lex_state = 15, .external_lex_state = 5},
  [2129] = {.lex_state = 15, .external_lex_state = 5},
  [2130] = {.lex_state = 8, .external_lex_state = 4},
  [2131] = {.lex_state = 8, .external_lex_state = 4},
  [2132] = {.lex_state = 8, .external_lex_state = 4},
  [2133] = {.lex_state = 8, .external_lex_state = 4},
  [2134] = {.lex_state = 8, .external_lex_state = 4},
  [2135] = {.lex_state = 8, .external_lex_state = 4},
  [2136] = {.lex_state = 15, .external_lex_state = 5},
  [2137] = {.lex_state = 8, .external_lex_state = 4},
  [2138] = {.lex_state = 8, .external_lex_state = 3},
  [2139] = {.lex_state = 15, .external_lex_state = 5},
  [2140] = {.lex_state = 8, .external_lex_state = 4},
  [2141] = {.lex_state = 8, .external_lex_state = 4},
  [2142] = {.lex_state = 8, .external_lex_state = 4},
  [2143] = {.lex_state = 8, .external_lex_state = 4},
  [2144] = {.lex_state = 15, .external_lex_state = 5},
  [2145] = {.lex_state = 151, .external_lex_state = 2},
  [2146] = {.lex_state = 15, .external_lex_state = 5},
  [2147] = {.lex_state = 8, .external_lex_state = 4},
  [2148] = {.lex_state = 8, .external_lex_state = 4},
  [2149] = {.lex_state = 8, .external_lex_state = 4},
  [2150] = {.lex_state = 15, .external_lex_state = 2},
  [2151] = {.lex_state = 15, .external_lex_state = 2},
  [2152] = {.lex_state = 8, .external_lex_state = 4},
  [2153] = {.lex_state = 8, .external_lex_state = 3},
  [2154] = {.lex_state = 8, .external_lex_state = 3},
  [2155] = {.lex_state = 8, .external_lex_state = 3},
  [2156] = {.lex_state = 8, .external_lex_state = 3},
  [2157] = {.lex_state = 8, .external_lex_state = 4},
  [2158] = {.lex_state = 8, .external_lex_state = 4},
  [2159] = {.lex_state = 8, .external_lex_state = 3},
  [2160] = {.lex_state = 8, .external_lex_state = 3},
  [2161] = {.lex_state = 8, .external_lex_state = 4},
  [2162] = {.lex_state = 8, .external_lex_state = 4},
  [2163] = {.lex_state = 8, .external_lex_state = 3},
  [2164] = {.lex_state = 8, .external_lex_state = 3},
  [2165] = {.lex_state = 8, .external_lex_state = 3},
  [2166] = {.lex_state = 8, .external_lex_state = 4},
  [2167] = {.lex_state = 8, .external_lex_state = 4},
  [2168] = {.lex_state = 8, .external_lex_state = 4},
  [2169] = {.lex_state = 8, .external_lex_state = 4},
  [2170] = {.lex_state = 8, .external_lex_state = 4},
  [2171] = {.lex_state = 8, .external_lex_state = 4},
  [2172] = {.lex_state = 15, .external_lex_state = 5},
  [2173] = {.lex_state = 8, .external_lex_state = 4},
  [2174] = {.lex_state = 8, .external_lex_state = 4},
  [2175] = {.lex_state = 8, .external_lex_state = 4},
  [2176] = {.lex_state = 8, .external_lex_state = 4},
  [2177] = {.lex_state = 15, .external_lex_state = 5},
  [2178] = {.lex_state = 15, .external_lex_state = 2},
  [2179] = {.lex_state = 8, .external_lex_state = 4},
  [2180] = {.lex_state = 15, .external_lex_state = 2},
  [2181] = {.lex_state = 15, .external_lex_state = 5},
  [2182] = {.lex_state = 9, .external_lex_state = 4},
  [2183] = {.lex_state = 8, .external_lex_state = 4},
  [2184] = {.lex_state = 8, .external_lex_state = 3},
  [2185] = {.lex_state = 8, .external_lex_state = 3},
  [2186] = {.lex_state = 8, .external_lex_state = 4},
  [2187] = {.lex_state = 15, .external_lex_state = 5},
  [2188] = {.lex_state = 15, .external_lex_state = 5},
  [2189] = {.lex_state = 8, .external_lex_state = 3},
  [2190] = {.lex_state = 8, .external_lex_state = 4},
  [2191] = {.lex_state = 8, .external_lex_state = 4},
  [2192] = {.lex_state = 8, .external_lex_state = 4},
  [2193] = {.lex_state = 8, .external_lex_state = 4},
  [2194] = {.lex_state = 8, .external_lex_state = 4},
  [2195] = {.lex_state = 8, .external_lex_state = 4},
  [2196] = {.lex_state = 8, .external_lex_state = 4},
  [2197] = {.lex_state = 8, .external_lex_state = 4},
  [2198] = {.lex_state = 8, .external_lex_state = 4},
  [2199] = {.lex_state = 8, .external_lex_state = 4},
  [2200] = {.lex_state = 8, .external_lex_state = 3},
  [2201] = {.lex_state = 8, .external_lex_state = 4},
  [2202] = {.lex_state = 8, .external_lex_state = 4},
  [2203] = {.lex_state = 8, .external_lex_state = 4},
  [2204] = {.lex_state = 8, .external_lex_state = 4},
  [2205] = {.lex_state = 8, .external_lex_state = 4},
  [2206] = {.lex_state = 8, .external_lex_state = 4},
  [2207] = {.lex_state = 8, .external_lex_state = 4},
  [2208] = {.lex_state = 15, .external_lex_state = 2},
  [2209] = {.lex_state = 15, .external_lex_state = 2},
  [2210] = {.lex_state = 8, .external_lex_state = 4},
  [2211] = {.lex_state = 8, .external_lex_state = 4},
  [2212] = {.lex_state = 8, .external_lex_state = 4},
  [2213] = {.lex_state = 8, .external_lex_state = 3},
  [2214] = {.lex_state = 8, .external_lex_state = 4},
  [2215] = {.lex_state = 9, .external_lex_state = 4},
  [2216] = {.lex_state = 8, .external_lex_state = 3},
  [2217] = {.lex_state = 8, .external_lex_state = 4},
  [2218] = {.lex_state = 15, .external_lex_state = 2},
  [2219] = {.lex_state = 8, .external_lex_state = 4},
  [2220] = {.lex_state = 15, .external_lex_state = 2},
  [2221] = {.lex_state = 15, .external_lex_state = 5},
  [2222] = {.lex_state = 15, .external_lex_state = 5},
  [2223] = {.lex_state = 8, .external_lex_state = 4},
  [2224] = {.lex_state = 8, .external_lex_state = 4},
  [2225] = {.lex_state = 15, .external_lex_state = 2},
  [2226] = {.lex_state = 8, .external_lex_state = 4},
  [2227] = {.lex_state = 15, .external_lex_state = 2},
  [2228] = {.lex_state = 8, .external_lex_state = 4},
  [2229] = {.lex_state = 8, .external_lex_state = 4},
  [2230] = {.lex_state = 8, .external_lex_state = 3},
  [2231] = {.lex_state = 8, .external_lex_state = 3},
  [2232] = {.lex_state = 15, .external_lex_state = 5},
  [2233] = {.lex_state = 15, .external_lex_state = 5},
  [2234] = {.lex_state = 15, .external_lex_state = 5},
  [2235] = {.lex_state = 15, .external_lex_state = 5},
  [2236] = {.lex_state = 151, .external_lex_state = 2},
  [2237] = {.lex_state = 15, .external_lex_state = 5},
  [2238] = {.lex_state = 15, .external_lex_state = 5},
  [2239] = {.lex_state = 15, .external_lex_state = 5},
  [2240] = {.lex_state = 15, .external_lex_state = 5},
  [2241] = {.lex_state = 8, .external_lex_state = 4},
  [2242] = {.lex_state = 8, .external_lex_state = 4},
  [2243] = {.lex_state = 15, .external_lex_state = 5},
  [2244] = {.lex_state = 8, .external_lex_state = 4},
  [2245] = {.lex_state = 8, .external_lex_state = 4},
  [2246] = {.lex_state = 15, .external_lex_state = 5},
  [2247] = {.lex_state = 8, .external_lex_state = 4},
  [2248] = {.lex_state = 8, .external_lex_state = 4},
  [2249] = {.lex_state = 15, .external_lex_state = 2},
  [2250] = {.lex_state = 15, .external_lex_state = 2},
  [2251] = {.lex_state = 15, .external_lex_state = 2},
  [2252] = {.lex_state = 15, .external_lex_state = 2},
  [2253] = {.lex_state = 8, .external_lex_state = 4},
  [2254] = {.lex_state = 8, .external_lex_state = 3},
  [2255] = {.lex_state = 8, .external_lex_state = 3},
  [2256] = {.lex_state = 8, .external_lex_state = 4},
  [2257] = {.lex_state = 8, .external_lex_state = 4},
  [2258] = {.lex_state = 8, .external_lex_state = 3},
  [2259] = {.lex_state = 8, .external_lex_state = 4},
  [2260] = {.lex_state = 8, .external_lex_state = 4},
  [2261] = {.lex_state = 8, .external_lex_state = 4},
  [2262] = {.lex_state = 8, .external_lex_state = 4},
  [2263] = {.lex_state = 8, .external_lex_state = 4},
  [2264] = {.lex_state = 8, .external_lex_state = 4},
  [2265] = {.lex_state = 8, .external_lex_state = 3},
  [2266] = {.lex_state = 8, .external_lex_state = 3},
  [2267] = {.lex_state = 8, .external_lex_state = 3},
  [2268] = {.lex_state = 8, .external_lex_state = 3},
  [2269] = {.lex_state = 15, .external_lex_state = 5},
  [2270] = {.lex_state = 8, .external_lex_state = 4},
  [2271] = {.lex_state = 15, .external_lex_state = 5},
  [2272] = {.lex_state = 8, .external_lex_state = 4},
  [2273] = {.lex_state = 15, .external_lex_state = 5},
  [2274] = {.lex_state = 15, .external_lex_state = 5},
  [2275] = {.lex_state = 8, .external_lex_state = 4},
  [2276] = {.lex_state = 8, .external_lex_state = 3},
  [2277] = {.lex_state = 8, .external_lex_state = 3},
  [2278] = {.lex_state = 15, .external_lex_state = 5},
  [2279] = {.lex_state = 8, .external_lex_state = 4},
  [2280] = {.lex_state = 8, .external_lex_state = 4},
  [2281] = {.lex_state = 15, .external_lex_state = 5},
  [2282] = {.lex_state = 8, .external_lex_state = 4},
  [2283] = {.lex_state = 8, .external_lex_state = 4},
  [2284] = {.lex_state = 15, .external_lex_state = 5},
  [2285] = {.lex_state = 8, .external_lex_state = 4},
  [2286] = {.lex_state = 8, .external_lex_state = 4},
  [2287] = {.lex_state = 15, .external_lex_state = 5},
  [2288] = {.lex_state = 15, .external_lex_state = 5},
  [2289] = {.lex_state = 8, .external_lex_state = 3},
  [2290] = {.lex_state = 15, .external_lex_state = 5},
  [2291] = {.lex_state = 15, .external_lex_state = 5},
  [2292] = {.lex_state = 8, .external_lex_state = 4},
  [2293] = {.lex_state = 8, .external_lex_state = 4},
  [2294] = {.lex_state = 8, .external_lex_state = 3},
  [2295] = {.lex_state = 8, .external_lex_state = 4},
  [2296] = {.lex_state = 8, .external_lex_state = 4},
  [2297] = {.lex_state = 8, .external_lex_state = 3},
  [2298] = {.lex_state = 8, .external_lex_state = 4},
  [2299] = {.lex_state = 15, .external_lex_state = 5},
  [2300] = {.lex_state = 15, .external_lex_state = 5},
  [2301] = {.lex_state = 8, .external_lex_state = 4},
  [2302] = {.lex_state = 8, .external_lex_state = 3},
  [2303] = {.lex_state = 8, .external_lex_state = 4},
  [2304] = {.lex_state = 8, .external_lex_state = 4},
  [2305] = {.lex_state = 8, .external_lex_state = 4},
  [2306] = {.lex_state = 8, .external_lex_state = 4},
  [2307] = {.lex_state = 8, .external_lex_state = 4},
  [2308] = {.lex_state = 8, .external_lex_state = 4},
  [2309] = {.lex_state = 8, .external_lex_state = 4},
  [2310] = {.lex_state = 8, .external_lex_state = 4},
  [2311] = {.lex_state = 8, .external_lex_state = 3},
  [2312] = {.lex_state = 8, .external_lex_state = 4},
  [2313] = {.lex_state = 15, .external_lex_state = 5},
  [2314] = {.lex_state = 8, .external_lex_state = 3},
  [2315] = {.lex_state = 8, .external_lex_state = 3},
  [2316] = {.lex_state = 8, .external_lex_state = 3},
  [2317] = {.lex_state = 8, .external_lex_state = 3},
  [2318] = {.lex_state = 8, .external_lex_state = 3},
  [2319] = {.lex_state = 8, .external_lex_state = 3},
  [2320] = {.lex_state = 8, .external_lex_state = 3},
  [2321] = {.lex_state = 8, .external_lex_state = 3},
  [2322] = {.lex_state = 8, .external_lex_state = 3},
  [2323] = {.lex_state = 8, .external_lex_state = 3},
  [2324] = {.lex_state = 8, .external_lex_state = 3},
  [2325] = {.lex_state = 8, .external_lex_state = 3},
  [2326] = {.lex_state = 8, .external_lex_state = 3},
  [2327] = {.lex_state = 8, .external_lex_state = 3},
  [2328] = {.lex_state = 8, .external_lex_state = 3},
  [2329] = {.lex_state = 8, .external_lex_state = 3},
  [2330] = {.lex_state = 8, .external_lex_state = 3},
  [2331] = {.lex_state = 8, .external_lex_state = 3},
  [2332] = {.lex_state = 8, .external_lex_state = 3},
  [2333] = {.lex_state = 8, .external_lex_state = 3},
  [2334] = {.lex_state = 8, .external_lex_state = 3},
  [2335] = {.lex_state = 8, .external_lex_state = 3},
  [2336] = {.lex_state = 8, .external_lex_state = 3},
  [2337] = {.lex_state = 8, .external_lex_state = 3},
  [2338] = {.lex_state = 8, .external_lex_state = 3},
  [2339] = {.lex_state = 8, .external_lex_state = 3},
  [2340] = {.lex_state = 8, .external_lex_state = 3},
  [2341] = {.lex_state = 8, .external_lex_state = 3},
  [2342] = {.lex_state = 8, .external_lex_state = 3},
  [2343] = {.lex_state = 8, .external_lex_state = 3},
  [2344] = {.lex_state = 8, .external_lex_state = 3},
  [2345] = {.lex_state = 8, .external_lex_state = 3},
  [2346] = {.lex_state = 15, .external_lex_state = 5},
  [2347] = {.lex_state = 15, .external_lex_state = 5},
  [2348] = {.lex_state = 8, .external_lex_state = 4},
  [2349] = {.lex_state = 8, .external_lex_state = 3},
  [2350] = {.lex_state = 8, .external_lex_state = 4},
  [2351] = {.lex_state = 15, .external_lex_state = 5},
  [2352] = {.lex_state = 15, .external_lex_state = 5},
  [2353] = {.lex_state = 8, .external_lex_state = 4},
  [2354] = {.lex_state = 8, .external_lex_state = 3},
  [2355] = {.lex_state = 8, .external_lex_state = 4},
  [2356] = {.lex_state = 8, .external_lex_state = 4},
  [2357] = {.lex_state = 8, .external_lex_state = 3},
  [2358] = {.lex_state = 8, .external_lex_state = 3},
  [2359] = {.lex_state = 8, .external_lex_state = 3},
  [2360] = {.lex_state = 8, .external_lex_state = 3},
  [2361] = {.lex_state = 8, .external_lex_state = 3},
  [2362] = {.lex_state = 8, .external_lex_state = 3},
  [2363] = {.lex_state = 8, .external_lex_state = 3},
  [2364] = {.lex_state = 8, .external_lex_state = 3},
  [2365] = {.lex_state = 8, .external_lex_state = 3},
  [2366] = {.lex_state = 8, .external_lex_state = 3},
  [2367] = {.lex_state = 8, .external_lex_state = 3},
  [2368] = {.lex_state = 8, .external_lex_state = 3},
  [2369] = {.lex_state = 8, .external_lex_state = 3},
  [2370] = {.lex_state = 8, .external_lex_state = 3},
  [2371] = {.lex_state = 8, .external_lex_state = 3},
  [2372] = {.lex_state = 8, .external_lex_state = 3},
  [2373] = {.lex_state = 8, .external_lex_state = 3},
  [2374] = {.lex_state = 8, .external_lex_state = 3},
  [2375] = {.lex_state = 8, .external_lex_state = 3},
  [2376] = {.lex_state = 8, .external_lex_state = 3},
  [2377] = {.lex_state = 8, .external_lex_state = 3},
  [2378] = {.lex_state = 8, .external_lex_state = 3},
  [2379] = {.lex_state = 8, .external_lex_state = 3},
  [2380] = {.lex_state = 8, .external_lex_state = 3},
  [2381] = {.lex_state = 8, .external_lex_state = 3},
  [2382] = {.lex_state = 8, .external_lex_state = 3},
  [2383] = {.lex_state = 8, .external_lex_state = 3},
  [2384] = {.lex_state = 8, .external_lex_state = 3},
  [2385] = {.lex_state = 8, .external_lex_state = 3},
  [2386] = {.lex_state = 8, .external_lex_state = 3},
  [2387] = {.lex_state = 8, .external_lex_state = 3},
  [2388] = {.lex_state = 15, .external_lex_state = 5},
  [2389] = {.lex_state = 8, .external_lex_state = 4},
  [2390] = {.lex_state = 8, .external_lex_state = 3},
  [2391] = {.lex_state = 15, .external_lex_state = 5},
  [2392] = {.lex_state = 8, .external_lex_state = 3},
  [2393] = {.lex_state = 151, .external_lex_state = 2},
  [2394] = {.lex_state = 15, .external_lex_state = 5},
  [2395] = {.lex_state = 151, .external_lex_state = 5},
  [2396] = {.lex_state = 151, .external_lex_state = 5},
  [2397] = {.lex_state = 8, .external_lex_state = 3},
  [2398] = {.lex_state = 15, .external_lex_state = 5},
  [2399] = {.lex_state = 15, .external_lex_state = 2},
  [2400] = {.lex_state = 15, .external_lex_state = 2},
  [2401] = {.lex_state = 8, .external_lex_state = 3},
  [2402] = {.lex_state = 15, .external_lex_state = 5},
  [2403] = {.lex_state = 15, .external_lex_state = 2},
  [2404] = {.lex_state = 15, .external_lex_state = 5},
  [2405] = {.lex_state = 15, .external_lex_state = 5},
  [2406] = {.lex_state = 8, .external_lex_state = 3},
  [2407] = {.lex_state = 8, .external_lex_state = 3},
  [2408] = {.lex_state = 8, .external_lex_state = 3},
  [2409] = {.lex_state = 8, .external_lex_state = 3},
  [2410] = {.lex_state = 8, .external_lex_state = 3},
  [2411] = {.lex_state = 8, .external_lex_state = 3},
  [2412] = {.lex_state = 8, .external_lex_state = 3},
  [2413] = {.lex_state = 8, .external_lex_state = 3},
  [2414] = {.lex_state = 8, .external_lex_state = 3},
  [2415] = {.lex_state = 8, .external_lex_state = 3},
  [2416] = {.lex_state = 8, .external_lex_state = 3},
  [2417] = {.lex_state = 8, .external_lex_state = 3},
  [2418] = {.lex_state = 8, .external_lex_state = 3},
  [2419] = {.lex_state = 8, .external_lex_state = 3},
  [2420] = {.lex_state = 8, .external_lex_state = 3},
  [2421] = {.lex_state = 8, .external_lex_state = 3},
  [2422] = {.lex_state = 8, .external_lex_state = 3},
  [2423] = {.lex_state = 8, .external_lex_state = 3},
  [2424] = {.lex_state = 8, .external_lex_state = 3},
  [2425] = {.lex_state = 15, .external_lex_state = 5},
  [2426] = {.lex_state = 8, .external_lex_state = 3},
  [2427] = {.lex_state = 8, .external_lex_state = 3},
  [2428] = {.lex_state = 8, .external_lex_state = 3},
  [2429] = {.lex_state = 8, .external_lex_state = 3},
  [2430] = {.lex_state = 8, .external_lex_state = 3},
  [2431] = {.lex_state = 15, .external_lex_state = 2},
  [2432] = {.lex_state = 15, .external_lex_state = 5},
  [2433] = {.lex_state = 8, .external_lex_state = 3},
  [2434] = {.lex_state = 15, .external_lex_state = 5},
  [2435] = {.lex_state = 15, .external_lex_state = 5},
  [2436] = {.lex_state = 8, .external_lex_state = 3},
  [2437] = {.lex_state = 151, .external_lex_state = 5},
  [2438] = {.lex_state = 151, .external_lex_state = 5},
  [2439] = {.lex_state = 151, .external_lex_state = 5},
  [2440] = {.lex_state = 151, .external_lex_state = 5},
  [2441] = {.lex_state = 15, .external_lex_state = 5},
  [2442] = {.lex_state = 15, .external_lex_state = 5},
  [2443] = {.lex_state = 15, .external_lex_state = 5},
  [2444] = {.lex_state = 8, .external_lex_state = 4},
  [2445] = {.lex_state = 8, .external_lex_state = 4},
  [2446] = {.lex_state = 15, .external_lex_state = 2},
  [2447] = {.lex_state = 8, .external_lex_state = 3},
  [2448] = {.lex_state = 15, .external_lex_state = 5},
  [2449] = {.lex_state = 8, .external_lex_state = 3},
  [2450] = {.lex_state = 8, .external_lex_state = 3},
  [2451] = {.lex_state = 15, .external_lex_state = 2},
  [2452] = {.lex_state = 15, .external_lex_state = 2},
  [2453] = {.lex_state = 9, .external_lex_state = 3},
  [2454] = {.lex_state = 8, .external_lex_state = 4},
  [2455] = {.lex_state = 8, .external_lex_state = 3},
  [2456] = {.lex_state = 8, .external_lex_state = 3},
  [2457] = {.lex_state = 8, .external_lex_state = 3},
  [2458] = {.lex_state = 8, .external_lex_state = 3},
  [2459] = {.lex_state = 15, .external_lex_state = 5},
  [2460] = {.lex_state = 15, .external_lex_state = 5},
  [2461] = {.lex_state = 15, .external_lex_state = 2},
  [2462] = {.lex_state = 151, .external_lex_state = 5},
  [2463] = {.lex_state = 151, .external_lex_state = 5},
  [2464] = {.lex_state = 151, .external_lex_state = 5},
  [2465] = {.lex_state = 151, .external_lex_state = 5},
  [2466] = {.lex_state = 8, .external_lex_state = 4},
  [2467] = {.lex_state = 15, .external_lex_state = 5},
  [2468] = {.lex_state = 8, .external_lex_state = 4},
  [2469] = {.lex_state = 15, .external_lex_state = 5},
  [2470] = {.lex_state = 151, .external_lex_state = 2},
  [2471] = {.lex_state = 15, .external_lex_state = 5},
  [2472] = {.lex_state = 15, .external_lex_state = 5},
  [2473] = {.lex_state = 15, .external_lex_state = 2},
  [2474] = {.lex_state = 15, .external_lex_state = 5},
  [2475] = {.lex_state = 8, .external_lex_state = 3},
  [2476] = {.lex_state = 8, .external_lex_state = 3},
  [2477] = {.lex_state = 8, .external_lex_state = 3},
  [2478] = {.lex_state = 8, .external_lex_state = 3},
  [2479] = {.lex_state = 8, .external_lex_state = 3},
  [2480] = {.lex_state = 8, .external_lex_state = 3},
  [2481] = {.lex_state = 8, .external_lex_state = 4},
  [2482] = {.lex_state = 8, .external_lex_state = 3},
  [2483] = {.lex_state = 8, .external_lex_state = 3},
  [2484] = {.lex_state = 151, .external_lex_state = 5},
  [2485] = {.lex_state = 151, .external_lex_state = 5},
  [2486] = {.lex_state = 151, .external_lex_state = 5},
  [2487] = {.lex_state = 151, .external_lex_state = 5},
  [2488] = {.lex_state = 151, .external_lex_state = 5},
  [2489] = {.lex_state = 151, .external_lex_state = 5},
  [2490] = {.lex_state = 151, .external_lex_state = 5},
  [2491] = {.lex_state = 151, .external_lex_state = 5},
  [2492] = {.lex_state = 151, .external_lex_state = 5},
  [2493] = {.lex_state = 151, .external_lex_state = 2},
  [2494] = {.lex_state = 15, .external_lex_state = 2},
  [2495] = {.lex_state = 151, .external_lex_state = 5},
  [2496] = {.lex_state = 151, .external_lex_state = 5},
  [2497] = {.lex_state = 151, .external_lex_state = 5},
  [2498] = {.lex_state = 8, .external_lex_state = 3},
  [2499] = {.lex_state = 8, .external_lex_state = 3},
  [2500] = {.lex_state = 15, .external_lex_state = 5},
  [2501] = {.lex_state = 8, .external_lex_state = 3},
  [2502] = {.lex_state = 8, .external_lex_state = 3},
  [2503] = {.lex_state = 8, .external_lex_state = 3},
  [2504] = {.lex_state = 8, .external_lex_state = 3},
  [2505] = {.lex_state = 8, .external_lex_state = 3},
  [2506] = {.lex_state = 151, .external_lex_state = 2},
  [2507] = {.lex_state = 8, .external_lex_state = 3},
  [2508] = {.lex_state = 15, .external_lex_state = 2},
  [2509] = {.lex_state = 8, .external_lex_state = 3},
  [2510] = {.lex_state = 8, .external_lex_state = 3},
  [2511] = {.lex_state = 151, .external_lex_state = 5},
  [2512] = {.lex_state = 8, .external_lex_state = 3},
  [2513] = {.lex_state = 8, .external_lex_state = 3},
  [2514] = {.lex_state = 8, .external_lex_state = 3},
  [2515] = {.lex_state = 15, .external_lex_state = 2},
  [2516] = {.lex_state = 8, .external_lex_state = 3},
  [2517] = {.lex_state = 15, .external_lex_state = 5},
  [2518] = {.lex_state = 151, .external_lex_state = 5},
  [2519] = {.lex_state = 8, .external_lex_state = 3},
  [2520] = {.lex_state = 151, .external_lex_state = 5},
  [2521] = {.lex_state = 15, .external_lex_state = 2},
  [2522] = {.lex_state = 151, .external_lex_state = 5},
  [2523] = {.lex_state = 8, .external_lex_state = 3},
  [2524] = {.lex_state = 8, .external_lex_state = 3},
  [2525] = {.lex_state = 8, .external_lex_state = 3},
  [2526] = {.lex_state = 15, .external_lex_state = 2},
  [2527] = {.lex_state = 151, .external_lex_state = 2},
  [2528] = {.lex_state = 15, .external_lex_state = 2},
  [2529] = {.lex_state = 8, .external_lex_state = 3},
  [2530] = {.lex_state = 8, .external_lex_state = 3},
  [2531] = {.lex_state = 15, .external_lex_state = 2},
  [2532] = {.lex_state = 15, .external_lex_state = 2},
  [2533] = {.lex_state = 15, .external_lex_state = 2},
  [2534] = {.lex_state = 15, .external_lex_state = 2},
  [2535] = {.lex_state = 9, .external_lex_state = 3},
  [2536] = {.lex_state = 15, .external_lex_state = 2},
  [2537] = {.lex_state = 8, .external_lex_state = 3},
  [2538] = {.lex_state = 15, .external_lex_state = 2},
  [2539] = {.lex_state = 15, .external_lex_state = 2},
  [2540] = {.lex_state = 15, .external_lex_state = 2},
  [2541] = {.lex_state = 15, .external_lex_state = 2},
  [2542] = {.lex_state = 15, .external_lex_state = 2},
  [2543] = {.lex_state = 15, .external_lex_state = 2},
  [2544] = {.lex_state = 15, .external_lex_state = 2},
  [2545] = {.lex_state = 8, .external_lex_state = 3},
  [2546] = {.lex_state = 8, .external_lex_state = 3},
  [2547] = {.lex_state = 8, .external_lex_state = 3},
  [2548] = {.lex_state = 15, .external_lex_state = 2},
  [2549] = {.lex_state = 15, .external_lex_state = 2},
  [2550] = {.lex_state = 15, .external_lex_state = 2},
  [2551] = {.lex_state = 15, .external_lex_state = 2},
  [2552] = {.lex_state = 15, .external_lex_state = 2},
  [2553] = {.lex_state = 8, .external_lex_state = 3},
  [2554] = {.lex_state = 15, .external_lex_state = 5},
  [2555] = {.lex_state = 15, .external_lex_state = 5},
  [2556] = {.lex_state = 15, .external_lex_state = 5},
  [2557] = {.lex_state = 15, .external_lex_state = 5},
  [2558] = {.lex_state = 15, .external_lex_state = 5},
  [2559] = {.lex_state = 8, .external_lex_state = 3},
  [2560] = {.lex_state = 15, .external_lex_state = 5},
  [2561] = {.lex_state = 15, .external_lex_state = 5},
  [2562] = {.lex_state = 15, .external_lex_state = 5},
  [2563] = {.lex_state = 15, .external_lex_state = 5},
  [2564] = {.lex_state = 15, .external_lex_state = 5},
  [2565] = {.lex_state = 15, .external_lex_state = 5},
  [2566] = {.lex_state = 8, .external_lex_state = 3},
  [2567] = {.lex_state = 15, .external_lex_state = 5},
  [2568] = {.lex_state = 8, .external_lex_state = 3},
  [2569] = {.lex_state = 15, .external_lex_state = 5},
  [2570] = {.lex_state = 15, .external_lex_state = 5},
  [2571] = {.lex_state = 15, .external_lex_state = 5},
  [2572] = {.lex_state = 8, .external_lex_state = 3},
  [2573] = {.lex_state = 15, .external_lex_state = 5},
  [2574] = {.lex_state = 8, .external_lex_state = 3},
  [2575] = {.lex_state = 15, .external_lex_state = 5},
  [2576] = {.lex_state = 15, .external_lex_state = 5},
  [2577] = {.lex_state = 15, .external_lex_state = 5},
  [2578] = {.lex_state = 15, .external_lex_state = 2},
  [2579] = {.lex_state = 15, .external_lex_state = 5},
  [2580] = {.lex_state = 15, .external_lex_state = 5},
  [2581] = {.lex_state = 15, .external_lex_state = 5},
  [2582] = {.lex_state = 15, .external_lex_state = 5},
  [2583] = {.lex_state = 8, .external_lex_state = 3},
  [2584] = {.lex_state = 15, .external_lex_state = 5},
  [2585] = {.lex_state = 15, .external_lex_state = 5},
  [2586] = {.lex_state = 15, .external_lex_state = 5},
  [2587] = {.lex_state = 15, .external_lex_state = 5},
  [2588] = {.lex_state = 15, .external_lex_state = 5},
  [2589] = {.lex_state = 15, .external_lex_state = 2},
  [2590] = {.lex_state = 15, .external_lex_state = 5},
  [2591] = {.lex_state = 15, .external_lex_state = 5},
  [2592] = {.lex_state = 15, .external_lex_state = 5},
  [2593] = {.lex_state = 15, .external_lex_state = 5},
  [2594] = {.lex_state = 15, .external_lex_state = 5},
  [2595] = {.lex_state = 15, .external_lex_state = 5},
  [2596] = {.lex_state = 15, .external_lex_state = 5},
  [2597] = {.lex_state = 15, .external_lex_state = 5},
  [2598] = {.lex_state = 15, .external_lex_state = 5},
  [2599] = {.lex_state = 15, .external_lex_state = 5},
  [2600] = {.lex_state = 15, .external_lex_state = 5},
  [2601] = {.lex_state = 15, .external_lex_state = 5},
  [2602] = {.lex_state = 15, .external_lex_state = 5},
  [2603] = {.lex_state = 15, .external_lex_state = 5},
  [2604] = {.lex_state = 15, .external_lex_state = 5},
  [2605] = {.lex_state = 15, .external_lex_state = 5},
  [2606] = {.lex_state = 15, .external_lex_state = 5},
  [2607] = {.lex_state = 15, .external_lex_state = 5},
  [2608] = {.lex_state = 15, .external_lex_state = 5},
  [2609] = {.lex_state = 15, .external_lex_state = 5},
  [2610] = {.lex_state = 8, .external_lex_state = 3},
  [2611] = {.lex_state = 15, .external_lex_state = 5},
  [2612] = {.lex_state = 15, .external_lex_state = 5},
  [2613] = {.lex_state = 15, .external_lex_state = 5},
  [2614] = {.lex_state = 8, .external_lex_state = 3},
  [2615] = {.lex_state = 15, .external_lex_state = 5},
  [2616] = {.lex_state = 8, .external_lex_state = 3},
  [2617] = {.lex_state = 15, .external_lex_state = 2},
  [2618] = {.lex_state = 15, .external_lex_state = 2},
  [2619] = {.lex_state = 15, .external_lex_state = 2},
  [2620] = {.lex_state = 15, .external_lex_state = 2},
  [2621] = {.lex_state = 15, .external_lex_state = 2},
  [2622] = {.lex_state = 15, .external_lex_state = 2},
  [2623] = {.lex_state = 15, .external_lex_state = 2},
  [2624] = {.lex_state = 15, .external_lex_state = 2},
  [2625] = {.lex_state = 15, .external_lex_state = 2},
  [2626] = {.lex_state = 15, .external_lex_state = 2},
  [2627] = {.lex_state = 15, .external_lex_state = 2},
  [2628] = {.lex_state = 15, .external_lex_state = 2},
  [2629] = {.lex_state = 15, .external_lex_state = 2},
  [2630] = {.lex_state = 15, .external_lex_state = 2},
  [2631] = {.lex_state = 15, .external_lex_state = 2},
  [2632] = {.lex_state = 15, .external_lex_state = 2},
  [2633] = {.lex_state = 15, .external_lex_state = 2},
  [2634] = {.lex_state = 151, .external_lex_state = 2},
  [2635] = {.lex_state = 15, .external_lex_state = 2},
  [2636] = {.lex_state = 15, .external_lex_state = 2},
  [2637] = {.lex_state = 15, .external_lex_state = 2},
  [2638] = {.lex_state = 15, .external_lex_state = 2},
  [2639] = {.lex_state = 15, .external_lex_state = 2},
  [2640] = {.lex_state = 15, .external_lex_state = 2},
  [2641] = {.lex_state = 151, .external_lex_state = 2},
  [2642] = {.lex_state = 15, .external_lex_state = 2},
  [2643] = {.lex_state = 151, .external_lex_state = 2},
  [2644] = {.lex_state = 15, .external_lex_state = 2},
  [2645] = {.lex_state = 15, .external_lex_state = 2},
  [2646] = {.lex_state = 15, .external_lex_state = 2},
  [2647] = {.lex_state = 15, .external_lex_state = 2},
  [2648] = {.lex_state = 15, .external_lex_state = 2},
  [2649] = {.lex_state = 15, .external_lex_state = 2},
  [2650] = {.lex_state = 15, .external_lex_state = 2},
  [2651] = {.lex_state = 15, .external_lex_state = 2},
  [2652] = {.lex_state = 15, .external_lex_state = 2},
  [2653] = {.lex_state = 151, .external_lex_state = 2},
  [2654] = {.lex_state = 15, .external_lex_state = 2},
  [2655] = {.lex_state = 15, .external_lex_state = 2},
  [2656] = {.lex_state = 15, .external_lex_state = 2},
  [2657] = {.lex_state = 151, .external_lex_state = 2},
  [2658] = {.lex_state = 15, .external_lex_state = 2},
  [2659] = {.lex_state = 15, .external_lex_state = 2},
  [2660] = {.lex_state = 15, .external_lex_state = 2},
  [2661] = {.lex_state = 15, .external_lex_state = 2},
  [2662] = {.lex_state = 15, .external_lex_state = 2},
  [2663] = {.lex_state = 15, .external_lex_state = 2},
  [2664] = {.lex_state = 15, .external_lex_state = 2},
  [2665] = {.lex_state = 15, .external_lex_state = 2},
  [2666] = {.lex_state = 151, .external_lex_state = 2},
  [2667] = {.lex_state = 151, .external_lex_state = 2},
  [2668] = {.lex_state = 15, .external_lex_state = 2},
  [2669] = {.lex_state = 15, .external_lex_state = 2},
  [2670] = {.lex_state = 15, .external_lex_state = 2},
  [2671] = {.lex_state = 15, .external_lex_state = 2},
  [2672] = {.lex_state = 15, .external_lex_state = 2},
  [2673] = {.lex_state = 15, .external_lex_state = 2},
  [2674] = {.lex_state = 151, .external_lex_state = 2},
  [2675] = {.lex_state = 151, .external_lex_state = 2},
  [2676] = {.lex_state = 151, .external_lex_state = 2},
  [2677] = {.lex_state = 151, .external_lex_state = 2},
  [2678] = {.lex_state = 151, .external_lex_state = 2},
  [2679] = {.lex_state = 151, .external_lex_state = 2},
  [2680] = {.lex_state = 151, .external_lex_state = 2},
  [2681] = {.lex_state = 151, .external_lex_state = 2},
  [2682] = {.lex_state = 151, .external_lex_state = 2},
  [2683] = {.lex_state = 151, .external_lex_state = 2},
  [2684] = {.lex_state = 151, .external_lex_state = 2},
  [2685] = {.lex_state = 151, .external_lex_state = 2},
  [2686] = {.lex_state = 151, .external_lex_state = 2},
  [2687] = {.lex_state = 151, .external_lex_state = 2},
  [2688] = {.lex_state = 151, .external_lex_state = 2},
  [2689] = {.lex_state = 151, .external_lex_state = 2},
  [2690] = {.lex_state = 151, .external_lex_state = 2},
  [2691] = {.lex_state = 151, .external_lex_state = 2},
  [2692] = {.lex_state = 151, .external_lex_state = 2},
  [2693] = {.lex_state = 151, .external_lex_state = 2},
  [2694] = {.lex_state = 151, .external_lex_state = 2},
  [2695] = {.lex_state = 151, .external_lex_state = 2},
  [2696] = {.lex_state = 151, .external_lex_state = 2},
  [2697] = {.lex_state = 151, .external_lex_state = 2},
  [2698] = {.lex_state = 151, .external_lex_state = 2},
  [2699] = {.lex_state = 151, .external_lex_state = 2},
  [2700] = {.lex_state = 151, .external_lex_state = 2},
  [2701] = {.lex_state = 151, .external_lex_state = 2},
  [2702] = {.lex_state = 151, .external_lex_state = 2},
  [2703] = {.lex_state = 151, .external_lex_state = 2},
  [2704] = {.lex_state = 15, .external_lex_state = 2},
  [2705] = {.lex_state = 151, .external_lex_state = 2},
  [2706] = {.lex_state = 151, .external_lex_state = 2},
  [2707] = {.lex_state = 151, .external_lex_state = 2},
  [2708] = {.lex_state = 151, .external_lex_state = 2},
  [2709] = {.lex_state = 151, .external_lex_state = 2},
  [2710] = {.lex_state = 151, .external_lex_state = 2},
  [2711] = {.lex_state = 151, .external_lex_state = 2},
  [2712] = {.lex_state = 151, .external_lex_state = 2},
  [2713] = {.lex_state = 151, .external_lex_state = 2},
  [2714] = {.lex_state = 151, .external_lex_state = 2},
  [2715] = {.lex_state = 151, .external_lex_state = 2},
  [2716] = {.lex_state = 151, .external_lex_state = 2},
  [2717] = {.lex_state = 151, .external_lex_state = 2},
  [2718] = {.lex_state = 151, .external_lex_state = 2},
  [2719] = {.lex_state = 151, .external_lex_state = 2},
  [2720] = {.lex_state = 151, .external_lex_state = 2},
  [2721] = {.lex_state = 151, .external_lex_state = 2},
  [2722] = {.lex_state = 151, .external_lex_state = 2},
  [2723] = {.lex_state = 151, .external_lex_state = 2},
  [2724] = {.lex_state = 151, .external_lex_state = 2},
  [2725] = {.lex_state = 151, .external_lex_state = 2},
  [2726] = {.lex_state = 151, .external_lex_state = 2},
  [2727] = {.lex_state = 151, .external_lex_state = 2},
  [2728] = {.lex_state = 151, .external_lex_state = 2},
  [2729] = {.lex_state = 151, .external_lex_state = 2},
  [2730] = {.lex_state = 151, .external_lex_state = 2},
  [2731] = {.lex_state = 151, .external_lex_state = 2},
  [2732] = {.lex_state = 151, .external_lex_state = 2},
  [2733] = {.lex_state = 151, .external_lex_state = 2},
  [2734] = {.lex_state = 151, .external_lex_state = 2},
  [2735] = {.lex_state = 151, .external_lex_state = 2},
  [2736] = {.lex_state = 151, .external_lex_state = 2},
  [2737] = {.lex_state = 151, .external_lex_state = 2},
  [2738] = {.lex_state = 151, .external_lex_state = 2},
  [2739] = {.lex_state = 151, .external_lex_state = 2},
  [2740] = {.lex_state = 151, .external_lex_state = 2},
  [2741] = {.lex_state = 151, .external_lex_state = 2},
  [2742] = {.lex_state = 151, .external_lex_state = 2},
  [2743] = {.lex_state = 151, .external_lex_state = 2},
  [2744] = {.lex_state = 151, .external_lex_state = 2},
  [2745] = {.lex_state = 151, .external_lex_state = 2},
  [2746] = {.lex_state = 151, .external_lex_state = 2},
  [2747] = {.lex_state = 151, .external_lex_state = 2},
  [2748] = {.lex_state = 151, .external_lex_state = 2},
  [2749] = {.lex_state = 151, .external_lex_state = 2},
  [2750] = {.lex_state = 151, .external_lex_state = 2},
  [2751] = {.lex_state = 151, .external_lex_state = 2},
  [2752] = {.lex_state = 151, .external_lex_state = 2},
  [2753] = {.lex_state = 151, .external_lex_state = 2},
  [2754] = {.lex_state = 151, .external_lex_state = 2},
  [2755] = {.lex_state = 151, .external_lex_state = 2},
  [2756] = {.lex_state = 151, .external_lex_state = 2},
  [2757] = {.lex_state = 151, .external_lex_state = 2},
  [2758] = {.lex_state = 151, .external_lex_state = 2},
  [2759] = {.lex_state = 151, .external_lex_state = 2},
  [2760] = {.lex_state = 151, .external_lex_state = 2},
  [2761] = {.lex_state = 151, .external_lex_state = 2},
  [2762] = {.lex_state = 151, .external_lex_state = 2},
  [2763] = {.lex_state = 151, .external_lex_state = 2},
  [2764] = {.lex_state = 151, .external_lex_state = 2},
  [2765] = {.lex_state = 151, .external_lex_state = 2},
  [2766] = {.lex_state = 151, .external_lex_state = 2},
  [2767] = {.lex_state = 151, .external_lex_state = 2},
  [2768] = {.lex_state = 151, .external_lex_state = 2},
  [2769] = {.lex_state = 151, .external_lex_state = 2},
  [2770] = {.lex_state = 151, .external_lex_state = 2},
  [2771] = {.lex_state = 151, .external_lex_state = 2},
  [2772] = {.lex_state = 151, .external_lex_state = 2},
  [2773] = {.lex_state = 151, .external_lex_state = 2},
  [2774] = {.lex_state = 151, .external_lex_state = 2},
  [2775] = {.lex_state = 151, .external_lex_state = 2},
  [2776] = {.lex_state = 151, .external_lex_state = 2},
  [2777] = {.lex_state = 151, .external_lex_state = 2},
  [2778] = {.lex_state = 151, .external_lex_state = 2},
  [2779] = {.lex_state = 151, .external_lex_state = 2},
  [2780] = {.lex_state = 151, .external_lex_state = 2},
  [2781] = {.lex_state = 151, .external_lex_state = 2},
  [2782] = {.lex_state = 151, .external_lex_state = 2},
  [2783] = {.lex_state = 151, .external_lex_state = 2},
  [2784] = {.lex_state = 151, .external_lex_state = 2},
  [2785] = {.lex_state = 151, .external_lex_state = 2},
  [2786] = {.lex_state = 151, .external_lex_state = 2},
  [2787] = {.lex_state = 151, .external_lex_state = 2},
  [2788] = {.lex_state = 151, .external_lex_state = 2},
  [2789] = {.lex_state = 151, .external_lex_state = 2},
  [2790] = {.lex_state = 151, .external_lex_state = 2},
  [2791] = {.lex_state = 151, .external_lex_state = 2},
  [2792] = {.lex_state = 151, .external_lex_state = 2},
  [2793] = {.lex_state = 151, .external_lex_state = 2},
  [2794] = {.lex_state = 151, .external_lex_state = 2},
  [2795] = {.lex_state = 151, .external_lex_state = 2},
  [2796] = {.lex_state = 151, .external_lex_state = 2},
  [2797] = {.lex_state = 151, .external_lex_state = 2},
  [2798] = {.lex_state = 151, .external_lex_state = 2},
  [2799] = {.lex_state = 151, .external_lex_state = 2},
  [2800] = {.lex_state = 151, .external_lex_state = 2},
  [2801] = {.lex_state = 151, .external_lex_state = 2},
  [2802] = {.lex_state = 151, .external_lex_state = 2},
  [2803] = {.lex_state = 151, .external_lex_state = 2},
  [2804] = {.lex_state = 151, .external_lex_state = 2},
  [2805] = {.lex_state = 151, .external_lex_state = 2},
  [2806] = {.lex_state = 151, .external_lex_state = 2},
  [2807] = {.lex_state = 151, .external_lex_state = 2},
  [2808] = {.lex_state = 151, .external_lex_state = 2},
  [2809] = {.lex_state = 151, .external_lex_state = 2},
  [2810] = {.lex_state = 151, .external_lex_state = 2},
  [2811] = {.lex_state = 151, .external_lex_state = 2},
  [2812] = {.lex_state = 151, .external_lex_state = 2},
  [2813] = {.lex_state = 151, .external_lex_state = 2},
  [2814] = {.lex_state = 151, .external_lex_state = 2},
  [2815] = {.lex_state = 151, .external_lex_state = 2},
  [2816] = {.lex_state = 151, .external_lex_state = 2},
  [2817] = {.lex_state = 151, .external_lex_state = 2},
  [2818] = {.lex_state = 151, .external_lex_state = 2},
  [2819] = {.lex_state = 151, .external_lex_state = 2},
  [2820] = {.lex_state = 151, .external_lex_state = 2},
  [2821] = {.lex_state = 151, .external_lex_state = 2},
  [2822] = {.lex_state = 151, .external_lex_state = 2},
  [2823] = {.lex_state = 151, .external_lex_state = 2},
  [2824] = {.lex_state = 151, .external_lex_state = 2},
  [2825] = {.lex_state = 151, .external_lex_state = 2},
  [2826] = {.lex_state = 151, .external_lex_state = 2},
  [2827] = {.lex_state = 151, .external_lex_state = 2},
  [2828] = {.lex_state = 151, .external_lex_state = 2},
  [2829] = {.lex_state = 151, .external_lex_state = 2},
  [2830] = {.lex_state = 151, .external_lex_state = 2},
  [2831] = {.lex_state = 151, .external_lex_state = 2},
  [2832] = {.lex_state = 151, .external_lex_state = 2},
  [2833] = {.lex_state = 151, .external_lex_state = 2},
  [2834] = {.lex_state = 151, .external_lex_state = 2},
  [2835] = {.lex_state = 16, .external_lex_state = 2},
  [2836] = {.lex_state = 16, .external_lex_state = 2},
  [2837] = {.lex_state = 16, .external_lex_state = 2},
  [2838] = {.lex_state = 16, .external_lex_state = 2},
  [2839] = {.lex_state = 16, .external_lex_state = 2},
  [2840] = {.lex_state = 16, .external_lex_state = 2},
  [2841] = {.lex_state = 16, .external_lex_state = 2},
  [2842] = {.lex_state = 16, .external_lex_state = 2},
  [2843] = {.lex_state = 16, .external_lex_state = 2},
  [2844] = {.lex_state = 16, .external_lex_state = 2},
  [2845] = {.lex_state = 16, .external_lex_state = 2},
  [2846] = {.lex_state = 16, .external_lex_state = 2},
  [2847] = {.lex_state = 16, .external_lex_state = 2},
  [2848] = {.lex_state = 16, .external_lex_state = 2},
  [2849] = {.lex_state = 16, .external_lex_state = 2},
  [2850] = {.lex_state = 16, .external_lex_state = 2},
  [2851] = {.lex_state = 16, .external_lex_state = 2},
  [2852] = {.lex_state = 16, .external_lex_state = 2},
  [2853] = {.lex_state = 16, .external_lex_state = 2},
  [2854] = {.lex_state = 16, .external_lex_state = 2},
  [2855] = {.lex_state = 16, .external_lex_state = 2},
  [2856] = {.lex_state = 16, .external_lex_state = 2},
  [2857] = {.lex_state = 16, .external_lex_state = 2},
  [2858] = {.lex_state = 16, .external_lex_state = 2},
  [2859] = {.lex_state = 16, .external_lex_state = 2},
  [2860] = {.lex_state = 16, .external_lex_state = 2},
  [2861] = {.lex_state = 16, .external_lex_state = 2},
  [2862] = {.lex_state = 16, .external_lex_state = 2},
  [2863] = {.lex_state = 16, .external_lex_state = 2},
  [2864] = {.lex_state = 16, .external_lex_state = 2},
  [2865] = {.lex_state = 16, .external_lex_state = 2},
  [2866] = {.lex_state = 16, .external_lex_state = 2},
  [2867] = {.lex_state = 16, .external_lex_state = 2},
  [2868] = {.lex_state = 16, .external_lex_state = 2},
  [2869] = {.lex_state = 16, .external_lex_state = 2},
  [2870] = {.lex_state = 16, .external_lex_state = 2},
  [2871] = {.lex_state = 16, .external_lex_state = 2},
  [2872] = {.lex_state = 26, .external_lex_state = 2},
  [2873] = {.lex_state = 16, .external_lex_state = 2},
  [2874] = {.lex_state = 13, .external_lex_state = 2},
  [2875] = {.lex_state = 26, .external_lex_state = 2},
  [2876] = {.lex_state = 14, .external_lex_state = 2},
  [2877] = {.lex_state = 13, .external_lex_state = 2},
  [2878] = {.lex_state = 14, .external_lex_state = 2},
  [2879] = {.lex_state = 151, .external_lex_state = 2},
  [2880] = {.lex_state = 13, .external_lex_state = 2},
  [2881] = {.lex_state = 13, .external_lex_state = 5},
  [2882] = {.lex_state = 14, .external_lex_state = 2},
  [2883] = {.lex_state = 14, .external_lex_state = 2},
  [2884] = {.lex_state = 14, .external_lex_state = 2},
  [2885] = {.lex_state = 151, .external_lex_state = 2},
  [2886] = {.lex_state = 13, .external_lex_state = 2},
  [2887] = {.lex_state = 151, .external_lex_state = 2},
  [2888] = {.lex_state = 151, .external_lex_state = 2},
  [2889] = {.lex_state = 16, .external_lex_state = 5},
  [2890] = {.lex_state = 151, .external_lex_state = 2},
  [2891] = {.lex_state = 151, .external_lex_state = 2},
  [2892] = {.lex_state = 151, .external_lex_state = 2},
  [2893] = {.lex_state = 13, .external_lex_state = 2},
  [2894] = {.lex_state = 151, .external_lex_state = 2},
  [2895] = {.lex_state = 13, .external_lex_state = 5},
  [2896] = {.lex_state = 16, .external_lex_state = 5},
  [2897] = {.lex_state = 151, .external_lex_state = 2},
  [2898] = {.lex_state = 16, .external_lex_state = 5},
  [2899] = {.lex_state = 151, .external_lex_state = 2},
  [2900] = {.lex_state = 151, .external_lex_state = 2},
  [2901] = {.lex_state = 151, .external_lex_state = 2},
  [2902] = {.lex_state = 151, .external_lex_state = 2},
  [2903] = {.lex_state = 151, .external_lex_state = 2},
  [2904] = {.lex_state = 151, .external_lex_state = 2},
  [2905] = {.lex_state = 5, .external_lex_state = 2},
  [2906] = {.lex_state = 16, .external_lex_state = 5},
  [2907] = {.lex_state = 16, .external_lex_state = 6},
  [2908] = {.lex_state = 151, .external_lex_state = 2},
  [2909] = {.lex_state = 13, .external_lex_state = 5},
  [2910] = {.lex_state = 16, .external_lex_state = 6},
  [2911] = {.lex_state = 16, .external_lex_state = 6},
  [2912] = {.lex_state = 16, .external_lex_state = 5},
  [2913] = {.lex_state = 151, .external_lex_state = 2},
  [2914] = {.lex_state = 5, .external_lex_state = 2},
  [2915] = {.lex_state = 16, .external_lex_state = 5},
  [2916] = {.lex_state = 5, .external_lex_state = 2},
  [2917] = {.lex_state = 16, .external_lex_state = 5},
  [2918] = {.lex_state = 151, .external_lex_state = 2},
  [2919] = {.lex_state = 16, .external_lex_state = 5},
  [2920] = {.lex_state = 151, .external_lex_state = 2},
  [2921] = {.lex_state = 16, .external_lex_state = 5},
  [2922] = {.lex_state = 5, .external_lex_state = 2},
  [2923] = {.lex_state = 16, .external_lex_state = 5},
  [2924] = {.lex_state = 151, .external_lex_state = 2},
  [2925] = {.lex_state = 151, .external_lex_state = 2},
  [2926] = {.lex_state = 16, .external_lex_state = 5},
  [2927] = {.lex_state = 16, .external_lex_state = 5},
  [2928] = {.lex_state = 16, .external_lex_state = 5},
  [2929] = {.lex_state = 16, .external_lex_state = 5},
  [2930] = {.lex_state = 16, .external_lex_state = 5},
  [2931] = {.lex_state = 151, .external_lex_state = 2},
  [2932] = {.lex_state = 16, .external_lex_state = 5},
  [2933] = {.lex_state = 5, .external_lex_state = 2},
  [2934] = {.lex_state = 151, .external_lex_state = 2},
  [2935] = {.lex_state = 151, .external_lex_state = 2},
  [2936] = {.lex_state = 16, .external_lex_state = 5},
  [2937] = {.lex_state = 151, .external_lex_state = 2},
  [2938] = {.lex_state = 151, .external_lex_state = 2},
  [2939] = {.lex_state = 151, .external_lex_state = 2},
  [2940] = {.lex_state = 151, .external_lex_state = 2},
  [2941] = {.lex_state = 151, .external_lex_state = 2},
  [2942] = {.lex_state = 151, .external_lex_state = 2},
  [2943] = {.lex_state = 151, .external_lex_state = 2},
  [2944] = {.lex_state = 16, .external_lex_state = 5},
  [2945] = {.lex_state = 151, .external_lex_state = 2},
  [2946] = {.lex_state = 16, .external_lex_state = 5},
  [2947] = {.lex_state = 16, .external_lex_state = 5},
  [2948] = {.lex_state = 151, .external_lex_state = 2},
  [2949] = {.lex_state = 151, .external_lex_state = 2},
  [2950] = {.lex_state = 151, .external_lex_state = 2},
  [2951] = {.lex_state = 16, .external_lex_state = 5},
  [2952] = {.lex_state = 16, .external_lex_state = 5},
  [2953] = {.lex_state = 151, .external_lex_state = 2},
  [2954] = {.lex_state = 151, .external_lex_state = 2},
  [2955] = {.lex_state = 151, .external_lex_state = 2},
  [2956] = {.lex_state = 151, .external_lex_state = 2},
  [2957] = {.lex_state = 16, .external_lex_state = 5},
  [2958] = {.lex_state = 16, .external_lex_state = 5},
  [2959] = {.lex_state = 151, .external_lex_state = 2},
  [2960] = {.lex_state = 16, .external_lex_state = 5},
  [2961] = {.lex_state = 151, .external_lex_state = 2},
  [2962] = {.lex_state = 5, .external_lex_state = 2},
  [2963] = {.lex_state = 16, .external_lex_state = 5},
  [2964] = {.lex_state = 5, .external_lex_state = 2},
  [2965] = {.lex_state = 16, .external_lex_state = 5},
  [2966] = {.lex_state = 151, .external_lex_state = 2},
  [2967] = {.lex_state = 151, .external_lex_state = 2},
  [2968] = {.lex_state = 151, .external_lex_state = 2},
  [2969] = {.lex_state = 151, .external_lex_state = 2},
  [2970] = {.lex_state = 151, .external_lex_state = 2},
  [2971] = {.lex_state = 151, .external_lex_state = 2},
  [2972] = {.lex_state = 16, .external_lex_state = 5},
  [2973] = {.lex_state = 5, .external_lex_state = 2},
  [2974] = {.lex_state = 151, .external_lex_state = 2},
  [2975] = {.lex_state = 16, .external_lex_state = 5},
  [2976] = {.lex_state = 151, .external_lex_state = 2},
  [2977] = {.lex_state = 16, .external_lex_state = 5},
  [2978] = {.lex_state = 151, .external_lex_state = 2},
  [2979] = {.lex_state = 151, .external_lex_state = 2},
  [2980] = {.lex_state = 151, .external_lex_state = 2},
  [2981] = {.lex_state = 151, .external_lex_state = 2},
  [2982] = {.lex_state = 151, .external_lex_state = 2},
  [2983] = {.lex_state = 151, .external_lex_state = 2},
  [2984] = {.lex_state = 16, .external_lex_state = 5},
  [2985] = {.lex_state = 16, .external_lex_state = 5},
  [2986] = {.lex_state = 16, .external_lex_state = 5},
  [2987] = {.lex_state = 16, .external_lex_state = 5},
  [2988] = {.lex_state = 151, .external_lex_state = 2},
  [2989] = {.lex_state = 151, .external_lex_state = 2},
  [2990] = {.lex_state = 151, .external_lex_state = 2},
  [2991] = {.lex_state = 5, .external_lex_state = 2},
  [2992] = {.lex_state = 151, .external_lex_state = 2},
  [2993] = {.lex_state = 151, .external_lex_state = 2},
  [2994] = {.lex_state = 151, .external_lex_state = 2},
  [2995] = {.lex_state = 151, .external_lex_state = 2},
  [2996] = {.lex_state = 151, .external_lex_state = 2},
  [2997] = {.lex_state = 151, .external_lex_state = 2},
  [2998] = {.lex_state = 151, .external_lex_state = 2},
  [2999] = {.lex_state = 151, .external_lex_state = 2},
  [3000] = {.lex_state = 151, .external_lex_state = 2},
  [3001] = {.lex_state = 151, .external_lex_state = 2},
  [3002] = {.lex_state = 16, .external_lex_state = 5},
  [3003] = {.lex_state = 151, .external_lex_state = 2},
  [3004] = {.lex_state = 16, .external_lex_state = 5},
  [3005] = {.lex_state = 16, .external_lex_state = 5},
  [3006] = {.lex_state = 151, .external_lex_state = 2},
  [3007] = {.lex_state = 15, .external_lex_state = 5},
  [3008] = {.lex_state = 15, .external_lex_state = 5},
  [3009] = {.lex_state = 151, .external_lex_state = 2},
  [3010] = {.lex_state = 15, .external_lex_state = 5},
  [3011] = {.lex_state = 151, .external_lex_state = 2},
  [3012] = {.lex_state = 15, .external_lex_state = 5},
  [3013] = {.lex_state = 151, .external_lex_state = 2},
  [3014] = {.lex_state = 15, .external_lex_state = 5},
  [3015] = {.lex_state = 15, .external_lex_state = 5},
  [3016] = {.lex_state = 15, .external_lex_state = 5},
  [3017] = {.lex_state = 15, .external_lex_state = 5},
  [3018] = {.lex_state = 15, .external_lex_state = 5},
  [3019] = {.lex_state = 15, .external_lex_state = 5},
  [3020] = {.lex_state = 15, .external_lex_state = 5},
  [3021] = {.lex_state = 15, .external_lex_state = 5},
  [3022] = {.lex_state = 15, .external_lex_state = 5},
  [3023] = {.lex_state = 15, .external_lex_state = 5},
  [3024] = {.lex_state = 13, .external_lex_state = 5},
  [3025] = {.lex_state = 151, .external_lex_state = 5},
  [3026] = {.lex_state = 15, .external_lex_state = 5},
  [3027] = {.lex_state = 15, .external_lex_state = 5},
  [3028] = {.lex_state = 15, .external_lex_state = 5},
  [3029] = {.lex_state = 151, .external_lex_state = 2},
  [3030] = {.lex_state = 15, .external_lex_state = 5},
  [3031] = {.lex_state = 151, .external_lex_state = 2},
  [3032] = {.lex_state = 15, .external_lex_state = 5},
  [3033] = {.lex_state = 15, .external_lex_state = 5},
  [3034] = {.lex_state = 151, .external_lex_state = 2},
  [3035] = {.lex_state = 15, .external_lex_state = 5},
  [3036] = {.lex_state = 15, .external_lex_state = 5},
  [3037] = {.lex_state = 15, .external_lex_state = 5},
  [3038] = {.lex_state = 151, .external_lex_state = 2},
  [3039] = {.lex_state = 15, .external_lex_state = 5},
  [3040] = {.lex_state = 151, .external_lex_state = 2},
  [3041] = {.lex_state = 15, .external_lex_state = 5},
  [3042] = {.lex_state = 15, .external_lex_state = 5},
  [3043] = {.lex_state = 15, .external_lex_state = 5},
  [3044] = {.lex_state = 26, .external_lex_state = 2},
  [3045] = {.lex_state = 151, .external_lex_state = 2},
  [3046] = {.lex_state = 151, .external_lex_state = 2},
  [3047] = {.lex_state = 151, .external_lex_state = 2},
  [3048] = {.lex_state = 15, .external_lex_state = 5},
  [3049] = {.lex_state = 16, .external_lex_state = 6},
  [3050] = {.lex_state = 16, .external_lex_state = 6},
  [3051] = {.lex_state = 16, .external_lex_state = 6},
  [3052] = {.lex_state = 16, .external_lex_state = 6},
  [3053] = {.lex_state = 16, .external_lex_state = 6},
  [3054] = {.lex_state = 16, .external_lex_state = 6},
  [3055] = {.lex_state = 15, .external_lex_state = 5},
  [3056] = {.lex_state = 15, .external_lex_state = 5},
  [3057] = {.lex_state = 15, .external_lex_state = 5},
  [3058] = {.lex_state = 151, .external_lex_state = 5},
  [3059] = {.lex_state = 15, .external_lex_state = 5},
  [3060] = {.lex_state = 1, .external_lex_state = 2},
  [3061] = {.lex_state = 1, .external_lex_state = 2},
  [3062] = {.lex_state = 26, .external_lex_state = 2},
  [3063] = {.lex_state = 15, .external_lex_state = 5},
  [3064] = {.lex_state = 1, .external_lex_state = 2},
  [3065] = {.lex_state = 1, .external_lex_state = 2},
  [3066] = {.lex_state = 151, .external_lex_state = 2},
  [3067] = {.lex_state = 13, .external_lex_state = 5},
  [3068] = {.lex_state = 1, .external_lex_state = 2},
  [3069] = {.lex_state = 1, .external_lex_state = 2},
  [3070] = {.lex_state = 14, .external_lex_state = 5},
  [3071] = {.lex_state = 14, .external_lex_state = 5},
  [3072] = {.lex_state = 15, .external_lex_state = 5},
  [3073] = {.lex_state = 14, .external_lex_state = 5},
  [3074] = {.lex_state = 14, .external_lex_state = 5},
  [3075] = {.lex_state = 14, .external_lex_state = 5},
  [3076] = {.lex_state = 13, .external_lex_state = 5},
  [3077] = {.lex_state = 151, .external_lex_state = 5},
  [3078] = {.lex_state = 151, .external_lex_state = 5},
  [3079] = {.lex_state = 13, .external_lex_state = 5},
  [3080] = {.lex_state = 151, .external_lex_state = 2},
  [3081] = {.lex_state = 151, .external_lex_state = 5},
  [3082] = {.lex_state = 151, .external_lex_state = 5},
  [3083] = {.lex_state = 151, .external_lex_state = 5},
  [3084] = {.lex_state = 151, .external_lex_state = 5},
  [3085] = {.lex_state = 151, .external_lex_state = 2},
  [3086] = {.lex_state = 16, .external_lex_state = 6},
  [3087] = {.lex_state = 15, .external_lex_state = 5},
  [3088] = {.lex_state = 151, .external_lex_state = 2},
  [3089] = {.lex_state = 151, .external_lex_state = 2},
  [3090] = {.lex_state = 1, .external_lex_state = 2},
  [3091] = {.lex_state = 14, .external_lex_state = 5},
  [3092] = {.lex_state = 16, .external_lex_state = 6},
  [3093] = {.lex_state = 16, .external_lex_state = 6},
  [3094] = {.lex_state = 14, .external_lex_state = 5},
  [3095] = {.lex_state = 151, .external_lex_state = 5},
  [3096] = {.lex_state = 151, .external_lex_state = 2},
  [3097] = {.lex_state = 26, .external_lex_state = 2},
  [3098] = {.lex_state = 151, .external_lex_state = 2},
  [3099] = {.lex_state = 151, .external_lex_state = 2},
  [3100] = {.lex_state = 14, .external_lex_state = 5},
  [3101] = {.lex_state = 151, .external_lex_state = 5},
  [3102] = {.lex_state = 13, .external_lex_state = 6},
  [3103] = {.lex_state = 151, .external_lex_state = 5},
  [3104] = {.lex_state = 15, .external_lex_state = 5},
  [3105] = {.lex_state = 151, .external_lex_state = 2},
  [3106] = {.lex_state = 151, .external_lex_state = 2},
  [3107] = {.lex_state = 15, .external_lex_state = 5},
  [3108] = {.lex_state = 1, .external_lex_state = 2},
  [3109] = {.lex_state = 16, .external_lex_state = 6},
  [3110] = {.lex_state = 16, .external_lex_state = 6},
  [3111] = {.lex_state = 16, .external_lex_state = 6},
  [3112] = {.lex_state = 16, .external_lex_state = 6},
  [3113] = {.lex_state = 16, .external_lex_state = 6},
  [3114] = {.lex_state = 16, .external_lex_state = 6},
  [3115] = {.lex_state = 16, .external_lex_state = 6},
  [3116] = {.lex_state = 16, .external_lex_state = 6},
  [3117] = {.lex_state = 16, .external_lex_state = 6},
  [3118] = {.lex_state = 16, .external_lex_state = 6},
  [3119] = {.lex_state = 16, .external_lex_state = 6},
  [3120] = {.lex_state = 16, .external_lex_state = 6},
  [3121] = {.lex_state = 16, .external_lex_state = 6},
  [3122] = {.lex_state = 16, .external_lex_state = 6},
  [3123] = {.lex_state = 16, .external_lex_state = 6},
  [3124] = {.lex_state = 16, .external_lex_state = 6},
  [3125] = {.lex_state = 16, .external_lex_state = 6},
  [3126] = {.lex_state = 16, .external_lex_state = 6},
  [3127] = {.lex_state = 16, .external_lex_state = 6},
  [3128] = {.lex_state = 16, .external_lex_state = 6},
  [3129] = {.lex_state = 16, .external_lex_state = 6},
  [3130] = {.lex_state = 16, .external_lex_state = 6},
  [3131] = {.lex_state = 16, .external_lex_state = 6},
  [3132] = {.lex_state = 16, .external_lex_state = 6},
  [3133] = {.lex_state = 16, .external_lex_state = 6},
  [3134] = {.lex_state = 15, .external_lex_state = 5},
  [3135] = {.lex_state = 151, .external_lex_state = 5},
  [3136] = {.lex_state = 15, .external_lex_state = 5},
  [3137] = {.lex_state = 15, .external_lex_state = 5},
  [3138] = {.lex_state = 15, .external_lex_state = 5},
  [3139] = {.lex_state = 151, .external_lex_state = 5},
  [3140] = {.lex_state = 15, .external_lex_state = 5},
  [3141] = {.lex_state = 15, .external_lex_state = 2},
  [3142] = {.lex_state = 15, .external_lex_state = 5},
  [3143] = {.lex_state = 15, .external_lex_state = 5},
  [3144] = {.lex_state = 1, .external_lex_state = 2},
  [3145] = {.lex_state = 151, .external_lex_state = 5},
  [3146] = {.lex_state = 15, .external_lex_state = 5},
  [3147] = {.lex_state = 151, .external_lex_state = 5},
  [3148] = {.lex_state = 151, .external_lex_state = 5},
  [3149] = {.lex_state = 15, .external_lex_state = 5},
  [3150] = {.lex_state = 151, .external_lex_state = 2},
  [3151] = {.lex_state = 15, .external_lex_state = 5},
  [3152] = {.lex_state = 15, .external_lex_state = 5},
  [3153] = {.lex_state = 15, .external_lex_state = 5},
  [3154] = {.lex_state = 15, .external_lex_state = 5},
  [3155] = {.lex_state = 15, .external_lex_state = 5},
  [3156] = {.lex_state = 15, .external_lex_state = 5},
  [3157] = {.lex_state = 26, .external_lex_state = 2},
  [3158] = {.lex_state = 15, .external_lex_state = 5},
  [3159] = {.lex_state = 13, .external_lex_state = 6},
  [3160] = {.lex_state = 151, .external_lex_state = 6},
  [3161] = {.lex_state = 15, .external_lex_state = 5},
  [3162] = {.lex_state = 15, .external_lex_state = 2},
  [3163] = {.lex_state = 26, .external_lex_state = 2},
  [3164] = {.lex_state = 15, .external_lex_state = 5},
  [3165] = {.lex_state = 15, .external_lex_state = 5},
  [3166] = {.lex_state = 15, .external_lex_state = 5},
  [3167] = {.lex_state = 15, .external_lex_state = 5},
  [3168] = {.lex_state = 15, .external_lex_state = 5},
  [3169] = {.lex_state = 15, .external_lex_state = 5},
  [3170] = {.lex_state = 26, .external_lex_state = 2},
  [3171] = {.lex_state = 15, .external_lex_state = 2},
  [3172] = {.lex_state = 15, .external_lex_state = 5},
  [3173] = {.lex_state = 15, .external_lex_state = 5},
  [3174] = {.lex_state = 151, .external_lex_state = 5},
  [3175] = {.lex_state = 16, .external_lex_state = 2},
  [3176] = {.lex_state = 16, .external_lex_state = 2},
  [3177] = {.lex_state = 16, .external_lex_state = 2},
  [3178] = {.lex_state = 15, .external_lex_state = 5},
  [3179] = {.lex_state = 15, .external_lex_state = 5},
  [3180] = {.lex_state = 15, .external_lex_state = 5},
  [3181] = {.lex_state = 15, .external_lex_state = 5},
  [3182] = {.lex_state = 15, .external_lex_state = 5},
  [3183] = {.lex_state = 15, .external_lex_state = 5},
  [3184] = {.lex_state = 15, .external_lex_state = 5},
  [3185] = {.lex_state = 15, .external_lex_state = 5},
  [3186] = {.lex_state = 151, .external_lex_state = 5},
  [3187] = {.lex_state = 26, .external_lex_state = 2},
  [3188] = {.lex_state = 15, .external_lex_state = 5},
  [3189] = {.lex_state = 15, .external_lex_state = 5},
  [3190] = {.lex_state = 15, .external_lex_state = 5},
  [3191] = {.lex_state = 15, .external_lex_state = 5},
  [3192] = {.lex_state = 15, .external_lex_state = 5},
  [3193] = {.lex_state = 151, .external_lex_state = 5},
  [3194] = {.lex_state = 15, .external_lex_state = 5},
  [3195] = {.lex_state = 15, .external_lex_state = 5},
  [3196] = {.lex_state = 151, .external_lex_state = 5},
  [3197] = {.lex_state = 14, .external_lex_state = 6},
  [3198] = {.lex_state = 13, .external_lex_state = 6},
  [3199] = {.lex_state = 13, .external_lex_state = 6},
  [3200] = {.lex_state = 151, .external_lex_state = 5},
  [3201] = {.lex_state = 151, .external_lex_state = 5},
  [3202] = {.lex_state = 151, .external_lex_state = 5},
  [3203] = {.lex_state = 15, .external_lex_state = 5},
  [3204] = {.lex_state = 151, .external_lex_state = 5},
  [3205] = {.lex_state = 151, .external_lex_state = 5},
  [3206] = {.lex_state = 151, .external_lex_state = 5},
  [3207] = {.lex_state = 151, .external_lex_state = 5},
  [3208] = {.lex_state = 151, .external_lex_state = 5},
  [3209] = {.lex_state = 151, .external_lex_state = 5},
  [3210] = {.lex_state = 151, .external_lex_state = 5},
  [3211] = {.lex_state = 151, .external_lex_state = 5},
  [3212] = {.lex_state = 151, .external_lex_state = 5},
  [3213] = {.lex_state = 151, .external_lex_state = 5},
  [3214] = {.lex_state = 151, .external_lex_state = 5},
  [3215] = {.lex_state = 151, .external_lex_state = 5},
  [3216] = {.lex_state = 151, .external_lex_state = 5},
  [3217] = {.lex_state = 151, .external_lex_state = 5},
  [3218] = {.lex_state = 151, .external_lex_state = 5},
  [3219] = {.lex_state = 151, .external_lex_state = 5},
  [3220] = {.lex_state = 151, .external_lex_state = 5},
  [3221] = {.lex_state = 151, .external_lex_state = 5},
  [3222] = {.lex_state = 151, .external_lex_state = 5},
  [3223] = {.lex_state = 151, .external_lex_state = 5},
  [3224] = {.lex_state = 151, .external_lex_state = 5},
  [3225] = {.lex_state = 151, .external_lex_state = 5},
  [3226] = {.lex_state = 151, .external_lex_state = 5},
  [3227] = {.lex_state = 151, .external_lex_state = 5},
  [3228] = {.lex_state = 151, .external_lex_state = 5},
  [3229] = {.lex_state = 151, .external_lex_state = 5},
  [3230] = {.lex_state = 151, .external_lex_state = 5},
  [3231] = {.lex_state = 151, .external_lex_state = 5},
  [3232] = {.lex_state = 151, .external_lex_state = 5},
  [3233] = {.lex_state = 151, .external_lex_state = 5},
  [3234] = {.lex_state = 151, .external_lex_state = 5},
  [3235] = {.lex_state = 151, .external_lex_state = 5},
  [3236] = {.lex_state = 151, .external_lex_state = 5},
  [3237] = {.lex_state = 151, .external_lex_state = 5},
  [3238] = {.lex_state = 151, .external_lex_state = 5},
  [3239] = {.lex_state = 151, .external_lex_state = 5},
  [3240] = {.lex_state = 151, .external_lex_state = 5},
  [3241] = {.lex_state = 151, .external_lex_state = 5},
  [3242] = {.lex_state = 151, .external_lex_state = 5},
  [3243] = {.lex_state = 151, .external_lex_state = 5},
  [3244] = {.lex_state = 151, .external_lex_state = 5},
  [3245] = {.lex_state = 15, .external_lex_state = 5},
  [3246] = {.lex_state = 15, .external_lex_state = 5},
  [3247] = {.lex_state = 151, .external_lex_state = 5},
  [3248] = {.lex_state = 151, .external_lex_state = 5},
  [3249] = {.lex_state = 151, .external_lex_state = 5},
  [3250] = {.lex_state = 151, .external_lex_state = 2},
  [3251] = {.lex_state = 13, .external_lex_state = 6},
  [3252] = {.lex_state = 14, .external_lex_state = 6},
  [3253] = {.lex_state = 14, .external_lex_state = 6},
  [3254] = {.lex_state = 15, .external_lex_state = 2},
  [3255] = {.lex_state = 14, .external_lex_state = 6},
  [3256] = {.lex_state = 14, .external_lex_state = 6},
  [3257] = {.lex_state = 14, .external_lex_state = 6},
  [3258] = {.lex_state = 14, .external_lex_state = 6},
  [3259] = {.lex_state = 14, .external_lex_state = 6},
  [3260] = {.lex_state = 151, .external_lex_state = 6},
  [3261] = {.lex_state = 151, .external_lex_state = 6},
  [3262] = {.lex_state = 151, .external_lex_state = 6},
  [3263] = {.lex_state = 151, .external_lex_state = 6},
  [3264] = {.lex_state = 151, .external_lex_state = 6},
  [3265] = {.lex_state = 151, .external_lex_state = 6},
  [3266] = {.lex_state = 151, .external_lex_state = 5},
  [3267] = {.lex_state = 151, .external_lex_state = 6},
  [3268] = {.lex_state = 13, .external_lex_state = 2},
  [3269] = {.lex_state = 151, .external_lex_state = 2},
  [3270] = {.lex_state = 13, .external_lex_state = 2},
  [3271] = {.lex_state = 13, .external_lex_state = 2},
  [3272] = {.lex_state = 15, .external_lex_state = 2},
  [3273] = {.lex_state = 151, .external_lex_state = 2},
  [3274] = {.lex_state = 13, .external_lex_state = 2},
  [3275] = {.lex_state = 13, .external_lex_state = 2},
  [3276] = {.lex_state = 151, .external_lex_state = 5},
  [3277] = {.lex_state = 151, .external_lex_state = 6},
  [3278] = {.lex_state = 151, .external_lex_state = 5},
  [3279] = {.lex_state = 151, .external_lex_state = 6},
  [3280] = {.lex_state = 151, .external_lex_state = 6},
  [3281] = {.lex_state = 151, .external_lex_state = 5},
  [3282] = {.lex_state = 13, .external_lex_state = 2},
  [3283] = {.lex_state = 13, .external_lex_state = 2},
  [3284] = {.lex_state = 151, .external_lex_state = 5},
  [3285] = {.lex_state = 151, .external_lex_state = 5},
  [3286] = {.lex_state = 13, .external_lex_state = 2},
  [3287] = {.lex_state = 13, .external_lex_state = 2},
  [3288] = {.lex_state = 151, .external_lex_state = 6},
  [3289] = {.lex_state = 151, .external_lex_state = 6},
  [3290] = {.lex_state = 151, .external_lex_state = 6},
  [3291] = {.lex_state = 151, .external_lex_state = 2},
  [3292] = {.lex_state = 13, .external_lex_state = 2},
  [3293] = {.lex_state = 151, .external_lex_state = 6},
  [3294] = {.lex_state = 151, .external_lex_state = 2},
  [3295] = {.lex_state = 151, .external_lex_state = 2},
  [3296] = {.lex_state = 26, .external_lex_state = 2},
  [3297] = {.lex_state = 26, .external_lex_state = 2},
  [3298] = {.lex_state = 26, .external_lex_state = 2},
  [3299] = {.lex_state = 13, .external_lex_state = 2},
  [3300] = {.lex_state = 151, .external_lex_state = 2},
  [3301] = {.lex_state = 15, .external_lex_state = 5},
  [3302] = {.lex_state = 26, .external_lex_state = 2},
  [3303] = {.lex_state = 151, .external_lex_state = 5},
  [3304] = {.lex_state = 151, .external_lex_state = 5},
  [3305] = {.lex_state = 151, .external_lex_state = 5},
  [3306] = {.lex_state = 151, .external_lex_state = 5},
  [3307] = {.lex_state = 151, .external_lex_state = 5},
  [3308] = {.lex_state = 15, .external_lex_state = 2},
  [3309] = {.lex_state = 151, .external_lex_state = 5},
  [3310] = {.lex_state = 151, .external_lex_state = 5},
  [3311] = {.lex_state = 151, .external_lex_state = 5},
  [3312] = {.lex_state = 13, .external_lex_state = 2},
  [3313] = {.lex_state = 151, .external_lex_state = 5},
  [3314] = {.lex_state = 13, .external_lex_state = 2},
  [3315] = {.lex_state = 151, .external_lex_state = 6},
  [3316] = {.lex_state = 26, .external_lex_state = 2},
  [3317] = {.lex_state = 26, .external_lex_state = 2},
  [3318] = {.lex_state = 26, .external_lex_state = 2},
  [3319] = {.lex_state = 26, .external_lex_state = 2},
  [3320] = {.lex_state = 26, .external_lex_state = 2},
  [3321] = {.lex_state = 26, .external_lex_state = 2},
  [3322] = {.lex_state = 26, .external_lex_state = 2},
  [3323] = {.lex_state = 26, .external_lex_state = 2},
  [3324] = {.lex_state = 26, .external_lex_state = 2},
  [3325] = {.lex_state = 26, .external_lex_state = 2},
  [3326] = {.lex_state = 26, .external_lex_state = 2},
  [3327] = {.lex_state = 16, .external_lex_state = 2},
  [3328] = {.lex_state = 26, .external_lex_state = 2},
  [3329] = {.lex_state = 13, .external_lex_state = 2},
  [3330] = {.lex_state = 26, .external_lex_state = 2},
  [3331] = {.lex_state = 26, .external_lex_state = 2},
  [3332] = {.lex_state = 26, .external_lex_state = 2},
  [3333] = {.lex_state = 16, .external_lex_state = 2},
  [3334] = {.lex_state = 13, .external_lex_state = 2},
  [3335] = {.lex_state = 151, .external_lex_state = 5},
  [3336] = {.lex_state = 13, .external_lex_state = 2},
  [3337] = {.lex_state = 26, .external_lex_state = 2},
  [3338] = {.lex_state = 151, .external_lex_state = 6},
  [3339] = {.lex_state = 26, .external_lex_state = 2},
  [3340] = {.lex_state = 26, .external_lex_state = 2},
  [3341] = {.lex_state = 26, .external_lex_state = 2},
  [3342] = {.lex_state = 26, .external_lex_state = 2},
  [3343] = {.lex_state = 26, .external_lex_state = 2},
  [3344] = {.lex_state = 26, .external_lex_state = 2},
  [3345] = {.lex_state = 16, .external_lex_state = 2},
  [3346] = {.lex_state = 26, .external_lex_state = 2},
  [3347] = {.lex_state = 26, .external_lex_state = 2},
  [3348] = {.lex_state = 16, .external_lex_state = 2},
  [3349] = {.lex_state = 13, .external_lex_state = 2},
  [3350] = {.lex_state = 151, .external_lex_state = 5},
  [3351] = {.lex_state = 16, .external_lex_state = 2},
  [3352] = {.lex_state = 16, .external_lex_state = 2},
  [3353] = {.lex_state = 15, .external_lex_state = 2},
  [3354] = {.lex_state = 151, .external_lex_state = 5},
  [3355] = {.lex_state = 151, .external_lex_state = 5},
  [3356] = {.lex_state = 151, .external_lex_state = 5},
  [3357] = {.lex_state = 151, .external_lex_state = 5},
  [3358] = {.lex_state = 151, .external_lex_state = 5},
  [3359] = {.lex_state = 151, .external_lex_state = 5},
  [3360] = {.lex_state = 16, .external_lex_state = 2},
  [3361] = {.lex_state = 16, .external_lex_state = 2},
  [3362] = {.lex_state = 151, .external_lex_state = 5},
  [3363] = {.lex_state = 16, .external_lex_state = 2},
  [3364] = {.lex_state = 151, .external_lex_state = 2},
  [3365] = {.lex_state = 151, .external_lex_state = 5},
  [3366] = {.lex_state = 16, .external_lex_state = 2},
  [3367] = {.lex_state = 151, .external_lex_state = 5},
  [3368] = {.lex_state = 151, .external_lex_state = 5},
  [3369] = {.lex_state = 13, .external_lex_state = 2},
  [3370] = {.lex_state = 151, .external_lex_state = 6},
  [3371] = {.lex_state = 151, .external_lex_state = 6},
  [3372] = {.lex_state = 151, .external_lex_state = 6},
  [3373] = {.lex_state = 151, .external_lex_state = 6},
  [3374] = {.lex_state = 151, .external_lex_state = 5},
  [3375] = {.lex_state = 13, .external_lex_state = 2},
  [3376] = {.lex_state = 151, .external_lex_state = 2},
  [3377] = {.lex_state = 13, .external_lex_state = 2},
  [3378] = {.lex_state = 151, .external_lex_state = 5},
  [3379] = {.lex_state = 13, .external_lex_state = 2},
  [3380] = {.lex_state = 151, .external_lex_state = 5},
  [3381] = {.lex_state = 15, .external_lex_state = 2},
  [3382] = {.lex_state = 151, .external_lex_state = 5},
  [3383] = {.lex_state = 151, .external_lex_state = 5},
  [3384] = {.lex_state = 16, .external_lex_state = 2},
  [3385] = {.lex_state = 151, .external_lex_state = 6},
  [3386] = {.lex_state = 151, .external_lex_state = 5},
  [3387] = {.lex_state = 151, .external_lex_state = 5},
  [3388] = {.lex_state = 151, .external_lex_state = 5},
  [3389] = {.lex_state = 151, .external_lex_state = 5},
  [3390] = {.lex_state = 151, .external_lex_state = 5},
  [3391] = {.lex_state = 26, .external_lex_state = 2},
  [3392] = {.lex_state = 151, .external_lex_state = 5},
  [3393] = {.lex_state = 26, .external_lex_state = 2},
  [3394] = {.lex_state = 26, .external_lex_state = 2},
  [3395] = {.lex_state = 26, .external_lex_state = 2},
  [3396] = {.lex_state = 16, .external_lex_state = 2},
  [3397] = {.lex_state = 16, .external_lex_state = 2},
  [3398] = {.lex_state = 151, .external_lex_state = 5},
  [3399] = {.lex_state = 26, .external_lex_state = 2},
  [3400] = {.lex_state = 26, .external_lex_state = 2},
  [3401] = {.lex_state = 26, .external_lex_state = 2},
  [3402] = {.lex_state = 26, .external_lex_state = 2},
  [3403] = {.lex_state = 151, .external_lex_state = 6},
  [3404] = {.lex_state = 151, .external_lex_state = 6},
  [3405] = {.lex_state = 151, .external_lex_state = 5},
  [3406] = {.lex_state = 26, .external_lex_state = 2},
  [3407] = {.lex_state = 13, .external_lex_state = 2},
  [3408] = {.lex_state = 151, .external_lex_state = 5},
  [3409] = {.lex_state = 13, .external_lex_state = 2},
  [3410] = {.lex_state = 151, .external_lex_state = 5},
  [3411] = {.lex_state = 151, .external_lex_state = 5},
  [3412] = {.lex_state = 15, .external_lex_state = 2},
  [3413] = {.lex_state = 151, .external_lex_state = 5},
  [3414] = {.lex_state = 151, .external_lex_state = 2},
  [3415] = {.lex_state = 151, .external_lex_state = 5},
  [3416] = {.lex_state = 151, .external_lex_state = 2},
  [3417] = {.lex_state = 13, .external_lex_state = 2},
  [3418] = {.lex_state = 15, .external_lex_state = 2},
  [3419] = {.lex_state = 151, .external_lex_state = 5},
  [3420] = {.lex_state = 151, .external_lex_state = 5},
  [3421] = {.lex_state = 151, .external_lex_state = 5},
  [3422] = {.lex_state = 151, .external_lex_state = 5},
  [3423] = {.lex_state = 151, .external_lex_state = 5},
  [3424] = {.lex_state = 151, .external_lex_state = 5},
  [3425] = {.lex_state = 151, .external_lex_state = 2},
  [3426] = {.lex_state = 151, .external_lex_state = 5},
  [3427] = {.lex_state = 151, .external_lex_state = 5},
  [3428] = {.lex_state = 151, .external_lex_state = 5},
  [3429] = {.lex_state = 151, .external_lex_state = 5},
  [3430] = {.lex_state = 151, .external_lex_state = 5},
  [3431] = {.lex_state = 151, .external_lex_state = 5},
  [3432] = {.lex_state = 151, .external_lex_state = 5},
  [3433] = {.lex_state = 151, .external_lex_state = 5},
  [3434] = {.lex_state = 151, .external_lex_state = 2},
  [3435] = {.lex_state = 151, .external_lex_state = 5},
  [3436] = {.lex_state = 151, .external_lex_state = 5},
  [3437] = {.lex_state = 16, .external_lex_state = 2},
  [3438] = {.lex_state = 151, .external_lex_state = 5},
  [3439] = {.lex_state = 151, .external_lex_state = 5},
  [3440] = {.lex_state = 151, .external_lex_state = 5},
  [3441] = {.lex_state = 151, .external_lex_state = 5},
  [3442] = {.lex_state = 151, .external_lex_state = 5},
  [3443] = {.lex_state = 151, .external_lex_state = 6},
  [3444] = {.lex_state = 151, .external_lex_state = 6},
  [3445] = {.lex_state = 151, .external_lex_state = 5},
  [3446] = {.lex_state = 151, .external_lex_state = 5},
  [3447] = {.lex_state = 151, .external_lex_state = 5},
  [3448] = {.lex_state = 16, .external_lex_state = 2},
  [3449] = {.lex_state = 151, .external_lex_state = 5},
  [3450] = {.lex_state = 151, .external_lex_state = 2},
  [3451] = {.lex_state = 151, .external_lex_state = 5},
  [3452] = {.lex_state = 151, .external_lex_state = 5},
  [3453] = {.lex_state = 13, .external_lex_state = 2},
  [3454] = {.lex_state = 151, .external_lex_state = 5},
  [3455] = {.lex_state = 151, .external_lex_state = 5},
  [3456] = {.lex_state = 13, .external_lex_state = 2},
  [3457] = {.lex_state = 151, .external_lex_state = 5},
  [3458] = {.lex_state = 151, .external_lex_state = 5},
  [3459] = {.lex_state = 151, .external_lex_state = 5},
  [3460] = {.lex_state = 151, .external_lex_state = 5},
  [3461] = {.lex_state = 16, .external_lex_state = 2},
  [3462] = {.lex_state = 151, .external_lex_state = 2},
  [3463] = {.lex_state = 13, .external_lex_state = 2},
  [3464] = {.lex_state = 13, .external_lex_state = 2},
  [3465] = {.lex_state = 26, .external_lex_state = 2},
  [3466] = {.lex_state = 151, .external_lex_state = 5},
  [3467] = {.lex_state = 26, .external_lex_state = 2},
  [3468] = {.lex_state = 151, .external_lex_state = 5},
  [3469] = {.lex_state = 151, .external_lex_state = 5},
  [3470] = {.lex_state = 151, .external_lex_state = 5},
  [3471] = {.lex_state = 151, .external_lex_state = 5},
  [3472] = {.lex_state = 15, .external_lex_state = 2},
  [3473] = {.lex_state = 151, .external_lex_state = 5},
  [3474] = {.lex_state = 151, .external_lex_state = 5},
  [3475] = {.lex_state = 151, .external_lex_state = 5},
  [3476] = {.lex_state = 26, .external_lex_state = 2},
  [3477] = {.lex_state = 151, .external_lex_state = 6},
  [3478] = {.lex_state = 151, .external_lex_state = 6},
  [3479] = {.lex_state = 151, .external_lex_state = 5},
  [3480] = {.lex_state = 151, .external_lex_state = 5},
  [3481] = {.lex_state = 151, .external_lex_state = 6},
  [3482] = {.lex_state = 151, .external_lex_state = 6},
  [3483] = {.lex_state = 151, .external_lex_state = 5},
  [3484] = {.lex_state = 151, .external_lex_state = 6},
  [3485] = {.lex_state = 151, .external_lex_state = 6},
  [3486] = {.lex_state = 151, .external_lex_state = 6},
  [3487] = {.lex_state = 151, .external_lex_state = 5},
  [3488] = {.lex_state = 151, .external_lex_state = 5},
  [3489] = {.lex_state = 151, .external_lex_state = 6},
  [3490] = {.lex_state = 151, .external_lex_state = 5},
  [3491] = {.lex_state = 151, .external_lex_state = 5},
  [3492] = {.lex_state = 13, .external_lex_state = 2},
  [3493] = {.lex_state = 151, .external_lex_state = 6},
  [3494] = {.lex_state = 151, .external_lex_state = 6},
  [3495] = {.lex_state = 151, .external_lex_state = 6},
  [3496] = {.lex_state = 151, .external_lex_state = 6},
  [3497] = {.lex_state = 151, .external_lex_state = 6},
  [3498] = {.lex_state = 151, .external_lex_state = 6},
  [3499] = {.lex_state = 151, .external_lex_state = 6},
  [3500] = {.lex_state = 151, .external_lex_state = 6},
  [3501] = {.lex_state = 151, .external_lex_state = 6},
  [3502] = {.lex_state = 151, .external_lex_state = 6},
  [3503] = {.lex_state = 151, .external_lex_state = 5},
  [3504] = {.lex_state = 151, .external_lex_state = 6},
  [3505] = {.lex_state = 151, .external_lex_state = 2},
  [3506] = {.lex_state = 151, .external_lex_state = 5},
  [3507] = {.lex_state = 151, .external_lex_state = 5},
  [3508] = {.lex_state = 151, .external_lex_state = 5},
  [3509] = {.lex_state = 151, .external_lex_state = 6},
  [3510] = {.lex_state = 151, .external_lex_state = 6},
  [3511] = {.lex_state = 151, .external_lex_state = 6},
  [3512] = {.lex_state = 151, .external_lex_state = 6},
  [3513] = {.lex_state = 151, .external_lex_state = 6},
  [3514] = {.lex_state = 151, .external_lex_state = 6},
  [3515] = {.lex_state = 151, .external_lex_state = 6},
  [3516] = {.lex_state = 151, .external_lex_state = 5},
  [3517] = {.lex_state = 151, .external_lex_state = 6},
  [3518] = {.lex_state = 151, .external_lex_state = 6},
  [3519] = {.lex_state = 151, .external_lex_state = 6},
  [3520] = {.lex_state = 151, .external_lex_state = 6},
  [3521] = {.lex_state = 151, .external_lex_state = 6},
  [3522] = {.lex_state = 151, .external_lex_state = 6},
  [3523] = {.lex_state = 151, .external_lex_state = 6},
  [3524] = {.lex_state = 13, .external_lex_state = 2},
  [3525] = {.lex_state = 15, .external_lex_state = 2},
  [3526] = {.lex_state = 151, .external_lex_state = 5},
  [3527] = {.lex_state = 151, .external_lex_state = 5},
  [3528] = {.lex_state = 151, .external_lex_state = 5},
  [3529] = {.lex_state = 26, .external_lex_state = 2},
  [3530] = {.lex_state = 151, .external_lex_state = 6},
  [3531] = {.lex_state = 151, .external_lex_state = 6},
  [3532] = {.lex_state = 151, .external_lex_state = 5},
  [3533] = {.lex_state = 151, .external_lex_state = 6},
  [3534] = {.lex_state = 151, .external_lex_state = 6},
  [3535] = {.lex_state = 151, .external_lex_state = 6},
  [3536] = {.lex_state = 151, .external_lex_state = 6},
  [3537] = {.lex_state = 151, .external_lex_state = 6},
  [3538] = {.lex_state = 151, .external_lex_state = 6},
  [3539] = {.lex_state = 151, .external_lex_state = 5},
  [3540] = {.lex_state = 151, .external_lex_state = 5},
  [3541] = {.lex_state = 13, .external_lex_state = 2},
  [3542] = {.lex_state = 151, .external_lex_state = 5},
  [3543] = {.lex_state = 151, .external_lex_state = 2},
  [3544] = {.lex_state = 151, .external_lex_state = 5},
  [3545] = {.lex_state = 151, .external_lex_state = 6},
  [3546] = {.lex_state = 151, .external_lex_state = 6},
  [3547] = {.lex_state = 151, .external_lex_state = 5},
  [3548] = {.lex_state = 151, .external_lex_state = 6},
  [3549] = {.lex_state = 151, .external_lex_state = 6},
  [3550] = {.lex_state = 13, .external_lex_state = 2},
  [3551] = {.lex_state = 151, .external_lex_state = 5},
  [3552] = {.lex_state = 15, .external_lex_state = 2},
  [3553] = {.lex_state = 14, .external_lex_state = 2},
  [3554] = {.lex_state = 24, .external_lex_state = 7},
  [3555] = {.lex_state = 26, .external_lex_state = 2},
  [3556] = {.lex_state = 26, .external_lex_state = 2},
  [3557] = {.lex_state = 24, .external_lex_state = 7},
  [3558] = {.lex_state = 26, .external_lex_state = 2},
  [3559] = {.lex_state = 24, .external_lex_state = 7},
  [3560] = {.lex_state = 24, .external_lex_state = 7},
  [3561] = {.lex_state = 24, .external_lex_state = 7},
  [3562] = {.lex_state = 17, .external_lex_state = 2},
  [3563] = {.lex_state = 24, .external_lex_state = 7},
  [3564] = {.lex_state = 151, .external_lex_state = 2},
  [3565] = {.lex_state = 17, .external_lex_state = 2},
  [3566] = {.lex_state = 151, .external_lex_state = 2},
  [3567] = {.lex_state = 26, .external_lex_state = 2},
  [3568] = {.lex_state = 26, .external_lex_state = 2},
  [3569] = {.lex_state = 151, .external_lex_state = 2},
  [3570] = {.lex_state = 151, .external_lex_state = 5},
  [3571] = {.lex_state = 151, .external_lex_state = 5},
  [3572] = {.lex_state = 26, .external_lex_state = 2},
  [3573] = {.lex_state = 151, .external_lex_state = 2},
  [3574] = {.lex_state = 24, .external_lex_state = 7},
  [3575] = {.lex_state = 14, .external_lex_state = 2},
  [3576] = {.lex_state = 151, .external_lex_state = 2},
  [3577] = {.lex_state = 14, .external_lex_state = 2},
  [3578] = {.lex_state = 24, .external_lex_state = 7},
  [3579] = {.lex_state = 151, .external_lex_state = 2},
  [3580] = {.lex_state = 151, .external_lex_state = 2},
  [3581] = {.lex_state = 151, .external_lex_state = 2},
  [3582] = {.lex_state = 151, .external_lex_state = 2},
  [3583] = {.lex_state = 26, .external_lex_state = 2},
  [3584] = {.lex_state = 26, .external_lex_state = 2},
  [3585] = {.lex_state = 151, .external_lex_state = 5},
  [3586] = {.lex_state = 151, .external_lex_state = 5},
  [3587] = {.lex_state = 151, .external_lex_state = 5},
  [3588] = {.lex_state = 26, .external_lex_state = 2},
  [3589] = {.lex_state = 26, .external_lex_state = 2},
  [3590] = {.lex_state = 26, .external_lex_state = 2},
  [3591] = {.lex_state = 151, .external_lex_state = 6},
  [3592] = {.lex_state = 151, .external_lex_state = 2},
  [3593] = {.lex_state = 151, .external_lex_state = 2},
  [3594] = {.lex_state = 151, .external_lex_state = 2},
  [3595] = {.lex_state = 151, .external_lex_state = 5},
  [3596] = {.lex_state = 151, .external_lex_state = 5},
  [3597] = {.lex_state = 151, .external_lex_state = 5},
  [3598] = {.lex_state = 151, .external_lex_state = 5},
  [3599] = {.lex_state = 151, .external_lex_state = 5},
  [3600] = {.lex_state = 151, .external_lex_state = 5},
  [3601] = {.lex_state = 151, .external_lex_state = 5},
  [3602] = {.lex_state = 151, .external_lex_state = 5},
  [3603] = {.lex_state = 151, .external_lex_state = 5},
  [3604] = {.lex_state = 151, .external_lex_state = 5},
  [3605] = {.lex_state = 151, .external_lex_state = 5},
  [3606] = {.lex_state = 151, .external_lex_state = 5},
  [3607] = {.lex_state = 151, .external_lex_state = 5},
  [3608] = {.lex_state = 151, .external_lex_state = 5},
  [3609] = {.lex_state = 15, .external_lex_state = 2},
  [3610] = {.lex_state = 151, .external_lex_state = 5},
  [3611] = {.lex_state = 151, .external_lex_state = 5},
  [3612] = {.lex_state = 151, .external_lex_state = 5},
  [3613] = {.lex_state = 151, .external_lex_state = 5},
  [3614] = {.lex_state = 151, .external_lex_state = 5},
  [3615] = {.lex_state = 151, .external_lex_state = 5},
  [3616] = {.lex_state = 151, .external_lex_state = 2},
  [3617] = {.lex_state = 151, .external_lex_state = 5},
  [3618] = {.lex_state = 151, .external_lex_state = 5},
  [3619] = {.lex_state = 151, .external_lex_state = 5},
  [3620] = {.lex_state = 151, .external_lex_state = 5},
  [3621] = {.lex_state = 151, .external_lex_state = 5},
  [3622] = {.lex_state = 151, .external_lex_state = 5},
  [3623] = {.lex_state = 151, .external_lex_state = 5},
  [3624] = {.lex_state = 151, .external_lex_state = 5},
  [3625] = {.lex_state = 26, .external_lex_state = 2},
  [3626] = {.lex_state = 151, .external_lex_state = 5},
  [3627] = {.lex_state = 151, .external_lex_state = 2},
  [3628] = {.lex_state = 151, .external_lex_state = 5},
  [3629] = {.lex_state = 15, .external_lex_state = 2},
  [3630] = {.lex_state = 151, .external_lex_state = 2},
  [3631] = {.lex_state = 151, .external_lex_state = 5},
  [3632] = {.lex_state = 151, .external_lex_state = 5},
  [3633] = {.lex_state = 151, .external_lex_state = 5},
  [3634] = {.lex_state = 151, .external_lex_state = 5},
  [3635] = {.lex_state = 151, .external_lex_state = 5},
  [3636] = {.lex_state = 151, .external_lex_state = 5},
  [3637] = {.lex_state = 151, .external_lex_state = 5},
  [3638] = {.lex_state = 15, .external_lex_state = 2},
  [3639] = {.lex_state = 151, .external_lex_state = 5},
  [3640] = {.lex_state = 151, .external_lex_state = 2},
  [3641] = {.lex_state = 151, .external_lex_state = 5},
  [3642] = {.lex_state = 151, .external_lex_state = 5},
  [3643] = {.lex_state = 151, .external_lex_state = 5},
  [3644] = {.lex_state = 151, .external_lex_state = 5},
  [3645] = {.lex_state = 151, .external_lex_state = 5},
  [3646] = {.lex_state = 151, .external_lex_state = 5},
  [3647] = {.lex_state = 151, .external_lex_state = 5},
  [3648] = {.lex_state = 151, .external_lex_state = 5},
  [3649] = {.lex_state = 151, .external_lex_state = 5},
  [3650] = {.lex_state = 151, .external_lex_state = 5},
  [3651] = {.lex_state = 151, .external_lex_state = 5},
  [3652] = {.lex_state = 151, .external_lex_state = 5},
  [3653] = {.lex_state = 151, .external_lex_state = 5},
  [3654] = {.lex_state = 151, .external_lex_state = 5},
  [3655] = {.lex_state = 151, .external_lex_state = 5},
  [3656] = {.lex_state = 151, .external_lex_state = 5},
  [3657] = {.lex_state = 151, .external_lex_state = 5},
  [3658] = {.lex_state = 151, .external_lex_state = 5},
  [3659] = {.lex_state = 151, .external_lex_state = 5},
  [3660] = {.lex_state = 151, .external_lex_state = 5},
  [3661] = {.lex_state = 151, .external_lex_state = 5},
  [3662] = {.lex_state = 151, .external_lex_state = 5},
  [3663] = {.lex_state = 151, .external_lex_state = 5},
  [3664] = {.lex_state = 151, .external_lex_state = 5},
  [3665] = {.lex_state = 151, .external_lex_state = 5},
  [3666] = {.lex_state = 15, .external_lex_state = 2},
  [3667] = {.lex_state = 15, .external_lex_state = 2},
  [3668] = {.lex_state = 151, .external_lex_state = 2},
  [3669] = {.lex_state = 151, .external_lex_state = 5},
  [3670] = {.lex_state = 151, .external_lex_state = 5},
  [3671] = {.lex_state = 151, .external_lex_state = 5},
  [3672] = {.lex_state = 15, .external_lex_state = 2},
  [3673] = {.lex_state = 151, .external_lex_state = 5},
  [3674] = {.lex_state = 151, .external_lex_state = 2},
  [3675] = {.lex_state = 151, .external_lex_state = 5},
  [3676] = {.lex_state = 151, .external_lex_state = 2},
  [3677] = {.lex_state = 151, .external_lex_state = 5},
  [3678] = {.lex_state = 151, .external_lex_state = 5},
  [3679] = {.lex_state = 151, .external_lex_state = 5},
  [3680] = {.lex_state = 151, .external_lex_state = 5},
  [3681] = {.lex_state = 151, .external_lex_state = 2},
  [3682] = {.lex_state = 151, .external_lex_state = 5},
  [3683] = {.lex_state = 151, .external_lex_state = 5},
  [3684] = {.lex_state = 151, .external_lex_state = 5},
  [3685] = {.lex_state = 151, .external_lex_state = 5},
  [3686] = {.lex_state = 151, .external_lex_state = 5},
  [3687] = {.lex_state = 151, .external_lex_state = 5},
  [3688] = {.lex_state = 151, .external_lex_state = 5},
  [3689] = {.lex_state = 151, .external_lex_state = 5},
  [3690] = {.lex_state = 151, .external_lex_state = 5},
  [3691] = {.lex_state = 151, .external_lex_state = 2},
  [3692] = {.lex_state = 151, .external_lex_state = 5},
  [3693] = {.lex_state = 151, .external_lex_state = 5},
  [3694] = {.lex_state = 151, .external_lex_state = 5},
  [3695] = {.lex_state = 151, .external_lex_state = 2},
  [3696] = {.lex_state = 151, .external_lex_state = 5},
  [3697] = {.lex_state = 151, .external_lex_state = 5},
  [3698] = {.lex_state = 151, .external_lex_state = 2},
  [3699] = {.lex_state = 15, .external_lex_state = 2},
  [3700] = {.lex_state = 151, .external_lex_state = 2},
  [3701] = {.lex_state = 151, .external_lex_state = 5},
  [3702] = {.lex_state = 151, .external_lex_state = 5},
  [3703] = {.lex_state = 151, .external_lex_state = 5},
  [3704] = {.lex_state = 151, .external_lex_state = 5},
  [3705] = {.lex_state = 151, .external_lex_state = 5},
  [3706] = {.lex_state = 151, .external_lex_state = 5},
  [3707] = {.lex_state = 151, .external_lex_state = 5},
  [3708] = {.lex_state = 151, .external_lex_state = 5},
  [3709] = {.lex_state = 151, .external_lex_state = 5},
  [3710] = {.lex_state = 151, .external_lex_state = 5},
  [3711] = {.lex_state = 151, .external_lex_state = 5},
  [3712] = {.lex_state = 151, .external_lex_state = 5},
  [3713] = {.lex_state = 151, .external_lex_state = 5},
  [3714] = {.lex_state = 151, .external_lex_state = 5},
  [3715] = {.lex_state = 151, .external_lex_state = 5},
  [3716] = {.lex_state = 151, .external_lex_state = 5},
  [3717] = {.lex_state = 151, .external_lex_state = 2},
  [3718] = {.lex_state = 151, .external_lex_state = 5},
  [3719] = {.lex_state = 151, .external_lex_state = 5},
  [3720] = {.lex_state = 151, .external_lex_state = 5},
  [3721] = {.lex_state = 151, .external_lex_state = 5},
  [3722] = {.lex_state = 151, .external_lex_state = 5},
  [3723] = {.lex_state = 151, .external_lex_state = 5},
  [3724] = {.lex_state = 151, .external_lex_state = 5},
  [3725] = {.lex_state = 151, .external_lex_state = 5},
  [3726] = {.lex_state = 151, .external_lex_state = 5},
  [3727] = {.lex_state = 151, .external_lex_state = 5},
  [3728] = {.lex_state = 151, .external_lex_state = 5},
  [3729] = {.lex_state = 151, .external_lex_state = 5},
  [3730] = {.lex_state = 151, .external_lex_state = 5},
  [3731] = {.lex_state = 151, .external_lex_state = 2},
  [3732] = {.lex_state = 151, .external_lex_state = 5},
  [3733] = {.lex_state = 15, .external_lex_state = 2},
  [3734] = {.lex_state = 151, .external_lex_state = 5},
  [3735] = {.lex_state = 151, .external_lex_state = 5},
  [3736] = {.lex_state = 151, .external_lex_state = 5},
  [3737] = {.lex_state = 151, .external_lex_state = 5},
  [3738] = {.lex_state = 151, .external_lex_state = 5},
  [3739] = {.lex_state = 151, .external_lex_state = 5},
  [3740] = {.lex_state = 151, .external_lex_state = 5},
  [3741] = {.lex_state = 151, .external_lex_state = 5},
  [3742] = {.lex_state = 15, .external_lex_state = 2},
  [3743] = {.lex_state = 151, .external_lex_state = 5},
  [3744] = {.lex_state = 151, .external_lex_state = 5},
  [3745] = {.lex_state = 151, .external_lex_state = 2},
  [3746] = {.lex_state = 151, .external_lex_state = 2},
  [3747] = {.lex_state = 151, .external_lex_state = 5},
  [3748] = {.lex_state = 151, .external_lex_state = 5},
  [3749] = {.lex_state = 151, .external_lex_state = 5},
  [3750] = {.lex_state = 151, .external_lex_state = 5},
  [3751] = {.lex_state = 151, .external_lex_state = 5},
  [3752] = {.lex_state = 151, .external_lex_state = 5},
  [3753] = {.lex_state = 151, .external_lex_state = 5},
  [3754] = {.lex_state = 151, .external_lex_state = 5},
  [3755] = {.lex_state = 151, .external_lex_state = 5},
  [3756] = {.lex_state = 151, .external_lex_state = 5},
  [3757] = {.lex_state = 151, .external_lex_state = 5},
  [3758] = {.lex_state = 151, .external_lex_state = 2},
  [3759] = {.lex_state = 151, .external_lex_state = 5},
  [3760] = {.lex_state = 151, .external_lex_state = 5},
  [3761] = {.lex_state = 15, .external_lex_state = 2},
  [3762] = {.lex_state = 151, .external_lex_state = 5},
  [3763] = {.lex_state = 151, .external_lex_state = 5},
  [3764] = {.lex_state = 151, .external_lex_state = 2},
  [3765] = {.lex_state = 151, .external_lex_state = 5},
  [3766] = {.lex_state = 151, .external_lex_state = 5},
  [3767] = {.lex_state = 151, .external_lex_state = 5},
  [3768] = {.lex_state = 151, .external_lex_state = 5},
  [3769] = {.lex_state = 151, .external_lex_state = 2},
  [3770] = {.lex_state = 151, .external_lex_state = 5},
  [3771] = {.lex_state = 151, .external_lex_state = 5},
  [3772] = {.lex_state = 15, .external_lex_state = 2},
  [3773] = {.lex_state = 151, .external_lex_state = 5},
  [3774] = {.lex_state = 151, .external_lex_state = 5},
  [3775] = {.lex_state = 151, .external_lex_state = 5},
  [3776] = {.lex_state = 151, .external_lex_state = 5},
  [3777] = {.lex_state = 151, .external_lex_state = 5},
  [3778] = {.lex_state = 151, .external_lex_state = 2},
  [3779] = {.lex_state = 151, .external_lex_state = 5},
  [3780] = {.lex_state = 151, .external_lex_state = 5},
  [3781] = {.lex_state = 151, .external_lex_state = 5},
  [3782] = {.lex_state = 151, .external_lex_state = 2},
  [3783] = {.lex_state = 151, .external_lex_state = 5},
  [3784] = {.lex_state = 151, .external_lex_state = 5},
  [3785] = {.lex_state = 151, .external_lex_state = 2},
  [3786] = {.lex_state = 151, .external_lex_state = 5},
  [3787] = {.lex_state = 151, .external_lex_state = 5},
  [3788] = {.lex_state = 151, .external_lex_state = 2},
  [3789] = {.lex_state = 151, .external_lex_state = 5},
  [3790] = {.lex_state = 151, .external_lex_state = 5},
  [3791] = {.lex_state = 151, .external_lex_state = 2},
  [3792] = {.lex_state = 151, .external_lex_state = 5},
  [3793] = {.lex_state = 151, .external_lex_state = 2},
  [3794] = {.lex_state = 151, .external_lex_state = 2},
  [3795] = {.lex_state = 151, .external_lex_state = 5},
  [3796] = {.lex_state = 151, .external_lex_state = 5},
  [3797] = {.lex_state = 151, .external_lex_state = 2},
  [3798] = {.lex_state = 151, .external_lex_state = 2},
  [3799] = {.lex_state = 151, .external_lex_state = 2},
  [3800] = {.lex_state = 151, .external_lex_state = 2},
  [3801] = {.lex_state = 151, .external_lex_state = 5},
  [3802] = {.lex_state = 151, .external_lex_state = 2},
  [3803] = {.lex_state = 151, .external_lex_state = 5},
  [3804] = {.lex_state = 151, .external_lex_state = 5},
  [3805] = {.lex_state = 151, .external_lex_state = 5},
  [3806] = {.lex_state = 151, .external_lex_state = 5},
  [3807] = {.lex_state = 151, .external_lex_state = 5},
  [3808] = {.lex_state = 15, .external_lex_state = 2},
  [3809] = {.lex_state = 151, .external_lex_state = 5},
  [3810] = {.lex_state = 151, .external_lex_state = 5},
  [3811] = {.lex_state = 151, .external_lex_state = 5},
  [3812] = {.lex_state = 151, .external_lex_state = 5},
  [3813] = {.lex_state = 151, .external_lex_state = 5},
  [3814] = {.lex_state = 151, .external_lex_state = 5},
  [3815] = {.lex_state = 151, .external_lex_state = 2},
  [3816] = {.lex_state = 151, .external_lex_state = 2},
  [3817] = {.lex_state = 15, .external_lex_state = 2},
  [3818] = {.lex_state = 26, .external_lex_state = 2},
  [3819] = {.lex_state = 151, .external_lex_state = 5},
  [3820] = {.lex_state = 151, .external_lex_state = 5},
  [3821] = {.lex_state = 151, .external_lex_state = 5},
  [3822] = {.lex_state = 151, .external_lex_state = 2},
  [3823] = {.lex_state = 15, .external_lex_state = 2},
  [3824] = {.lex_state = 151, .external_lex_state = 5},
  [3825] = {.lex_state = 151, .external_lex_state = 2},
  [3826] = {.lex_state = 151, .external_lex_state = 5},
  [3827] = {.lex_state = 151, .external_lex_state = 5},
  [3828] = {.lex_state = 151, .external_lex_state = 5},
  [3829] = {.lex_state = 151, .external_lex_state = 5},
  [3830] = {.lex_state = 151, .external_lex_state = 5},
  [3831] = {.lex_state = 151, .external_lex_state = 5},
  [3832] = {.lex_state = 151, .external_lex_state = 2},
  [3833] = {.lex_state = 151, .external_lex_state = 5},
  [3834] = {.lex_state = 151, .external_lex_state = 2},
  [3835] = {.lex_state = 151, .external_lex_state = 5},
  [3836] = {.lex_state = 151, .external_lex_state = 5},
  [3837] = {.lex_state = 151, .external_lex_state = 2},
  [3838] = {.lex_state = 15, .external_lex_state = 2},
  [3839] = {.lex_state = 151, .external_lex_state = 2},
  [3840] = {.lex_state = 151, .external_lex_state = 2},
  [3841] = {.lex_state = 151, .external_lex_state = 5},
  [3842] = {.lex_state = 151, .external_lex_state = 2},
  [3843] = {.lex_state = 151, .external_lex_state = 2},
  [3844] = {.lex_state = 151, .external_lex_state = 5},
  [3845] = {.lex_state = 151, .external_lex_state = 5},
  [3846] = {.lex_state = 151, .external_lex_state = 5},
  [3847] = {.lex_state = 151, .external_lex_state = 2},
  [3848] = {.lex_state = 151, .external_lex_state = 5},
  [3849] = {.lex_state = 151, .external_lex_state = 2},
  [3850] = {.lex_state = 151, .external_lex_state = 5},
  [3851] = {.lex_state = 151, .external_lex_state = 5},
  [3852] = {.lex_state = 151, .external_lex_state = 2},
  [3853] = {.lex_state = 151, .external_lex_state = 5},
  [3854] = {.lex_state = 151, .external_lex_state = 5},
  [3855] = {.lex_state = 151, .external_lex_state = 5},
  [3856] = {.lex_state = 151, .external_lex_state = 5},
  [3857] = {.lex_state = 151, .external_lex_state = 5},
  [3858] = {.lex_state = 151, .external_lex_state = 5},
  [3859] = {.lex_state = 151, .external_lex_state = 5},
  [3860] = {.lex_state = 151, .external_lex_state = 5},
  [3861] = {.lex_state = 151, .external_lex_state = 5},
  [3862] = {.lex_state = 151, .external_lex_state = 5},
  [3863] = {.lex_state = 151, .external_lex_state = 2},
  [3864] = {.lex_state = 151, .external_lex_state = 5},
  [3865] = {.lex_state = 151, .external_lex_state = 5},
  [3866] = {.lex_state = 151, .external_lex_state = 2},
  [3867] = {.lex_state = 151, .external_lex_state = 5},
  [3868] = {.lex_state = 151, .external_lex_state = 5},
  [3869] = {.lex_state = 151, .external_lex_state = 2},
  [3870] = {.lex_state = 151, .external_lex_state = 2},
  [3871] = {.lex_state = 151, .external_lex_state = 5},
  [3872] = {.lex_state = 151, .external_lex_state = 5},
  [3873] = {.lex_state = 151, .external_lex_state = 2},
  [3874] = {.lex_state = 151, .external_lex_state = 5},
  [3875] = {.lex_state = 151, .external_lex_state = 2},
  [3876] = {.lex_state = 151, .external_lex_state = 5},
  [3877] = {.lex_state = 151, .external_lex_state = 5},
  [3878] = {.lex_state = 151, .external_lex_state = 5},
  [3879] = {.lex_state = 151, .external_lex_state = 5},
  [3880] = {.lex_state = 15, .external_lex_state = 2},
  [3881] = {.lex_state = 151, .external_lex_state = 5},
  [3882] = {.lex_state = 151, .external_lex_state = 5},
  [3883] = {.lex_state = 151, .external_lex_state = 2},
  [3884] = {.lex_state = 151, .external_lex_state = 5},
  [3885] = {.lex_state = 26, .external_lex_state = 2},
  [3886] = {.lex_state = 26, .external_lex_state = 2},
  [3887] = {.lex_state = 151, .external_lex_state = 5},
  [3888] = {.lex_state = 151, .external_lex_state = 2},
  [3889] = {.lex_state = 151, .external_lex_state = 5},
  [3890] = {.lex_state = 151, .external_lex_state = 5},
  [3891] = {.lex_state = 151, .external_lex_state = 5},
  [3892] = {.lex_state = 151, .external_lex_state = 5},
  [3893] = {.lex_state = 15, .external_lex_state = 2},
  [3894] = {.lex_state = 151, .external_lex_state = 2},
  [3895] = {.lex_state = 15, .external_lex_state = 2},
  [3896] = {.lex_state = 15, .external_lex_state = 2},
  [3897] = {.lex_state = 151, .external_lex_state = 5},
  [3898] = {.lex_state = 151, .external_lex_state = 5},
  [3899] = {.lex_state = 151, .external_lex_state = 5},
  [3900] = {.lex_state = 151, .external_lex_state = 5},
  [3901] = {.lex_state = 151, .external_lex_state = 5},
  [3902] = {.lex_state = 151, .external_lex_state = 5},
  [3903] = {.lex_state = 151, .external_lex_state = 5},
  [3904] = {.lex_state = 151, .external_lex_state = 5},
  [3905] = {.lex_state = 15, .external_lex_state = 2},
  [3906] = {.lex_state = 151, .external_lex_state = 5},
  [3907] = {.lex_state = 151, .external_lex_state = 5},
  [3908] = {.lex_state = 151, .external_lex_state = 2},
  [3909] = {.lex_state = 151, .external_lex_state = 5},
  [3910] = {.lex_state = 151, .external_lex_state = 5},
  [3911] = {.lex_state = 151, .external_lex_state = 5},
  [3912] = {.lex_state = 151, .external_lex_state = 5},
  [3913] = {.lex_state = 151, .external_lex_state = 5},
  [3914] = {.lex_state = 151, .external_lex_state = 5},
  [3915] = {.lex_state = 151, .external_lex_state = 5},
  [3916] = {.lex_state = 151, .external_lex_state = 5},
  [3917] = {.lex_state = 151, .external_lex_state = 5},
  [3918] = {.lex_state = 151, .external_lex_state = 5},
  [3919] = {.lex_state = 151, .external_lex_state = 5},
  [3920] = {.lex_state = 151, .external_lex_state = 5},
  [3921] = {.lex_state = 151, .external_lex_state = 5},
  [3922] = {.lex_state = 151, .external_lex_state = 5},
  [3923] = {.lex_state = 151, .external_lex_state = 5},
  [3924] = {.lex_state = 151, .external_lex_state = 5},
  [3925] = {.lex_state = 151, .external_lex_state = 5},
  [3926] = {.lex_state = 151, .external_lex_state = 5},
  [3927] = {.lex_state = 151, .external_lex_state = 5},
  [3928] = {.lex_state = 15, .external_lex_state = 2},
  [3929] = {.lex_state = 151, .external_lex_state = 2},
  [3930] = {.lex_state = 16, .external_lex_state = 2},
  [3931] = {.lex_state = 151, .external_lex_state = 2},
  [3932] = {.lex_state = 1, .external_lex_state = 2},
  [3933] = {.lex_state = 1, .external_lex_state = 2},
  [3934] = {.lex_state = 151, .external_lex_state = 5},
  [3935] = {.lex_state = 151, .external_lex_state = 2},
  [3936] = {.lex_state = 151, .external_lex_state = 2},
  [3937] = {.lex_state = 1, .external_lex_state = 2},
  [3938] = {.lex_state = 1, .external_lex_state = 2},
  [3939] = {.lex_state = 1, .external_lex_state = 2},
  [3940] = {.lex_state = 1, .external_lex_state = 2},
  [3941] = {.lex_state = 151, .external_lex_state = 5},
  [3942] = {.lex_state = 151, .external_lex_state = 5},
  [3943] = {.lex_state = 151, .external_lex_state = 5},
  [3944] = {.lex_state = 1, .external_lex_state = 2},
  [3945] = {.lex_state = 1, .external_lex_state = 2},
  [3946] = {.lex_state = 1, .external_lex_state = 2},
  [3947] = {.lex_state = 1, .external_lex_state = 2},
  [3948] = {.lex_state = 1, .external_lex_state = 2},
  [3949] = {.lex_state = 1, .external_lex_state = 2},
  [3950] = {.lex_state = 151, .external_lex_state = 2},
  [3951] = {.lex_state = 15, .external_lex_state = 2},
  [3952] = {.lex_state = 1, .external_lex_state = 2},
  [3953] = {.lex_state = 1, .external_lex_state = 2},
  [3954] = {.lex_state = 1, .external_lex_state = 2},
  [3955] = {.lex_state = 1, .external_lex_state = 2},
  [3956] = {.lex_state = 15, .external_lex_state = 2},
  [3957] = {.lex_state = 15, .external_lex_state = 2},
  [3958] = {.lex_state = 151, .external_lex_state = 6},
  [3959] = {.lex_state = 151, .external_lex_state = 2},
  [3960] = {.lex_state = 151, .external_lex_state = 5},
  [3961] = {.lex_state = 15, .external_lex_state = 2},
  [3962] = {.lex_state = 151, .external_lex_state = 2},
  [3963] = {.lex_state = 15, .external_lex_state = 2},
  [3964] = {.lex_state = 26, .external_lex_state = 2},
  [3965] = {.lex_state = 1, .external_lex_state = 2},
  [3966] = {.lex_state = 151, .external_lex_state = 6},
  [3967] = {.lex_state = 151, .external_lex_state = 2},
  [3968] = {.lex_state = 1, .external_lex_state = 2},
  [3969] = {.lex_state = 1, .external_lex_state = 2},
  [3970] = {.lex_state = 1, .external_lex_state = 2},
  [3971] = {.lex_state = 151, .external_lex_state = 6},
  [3972] = {.lex_state = 1, .external_lex_state = 2},
  [3973] = {.lex_state = 1, .external_lex_state = 2},
  [3974] = {.lex_state = 15, .external_lex_state = 2},
  [3975] = {.lex_state = 151, .external_lex_state = 2},
  [3976] = {.lex_state = 151, .external_lex_state = 2},
  [3977] = {.lex_state = 151, .external_lex_state = 2},
  [3978] = {.lex_state = 151, .external_lex_state = 2},
  [3979] = {.lex_state = 151, .external_lex_state = 2},
  [3980] = {.lex_state = 151, .external_lex_state = 2},
  [3981] = {.lex_state = 24, .external_lex_state = 7},
  [3982] = {.lex_state = 151, .external_lex_state = 2},
  [3983] = {.lex_state = 151, .external_lex_state = 2},
  [3984] = {.lex_state = 1, .external_lex_state = 2},
  [3985] = {.lex_state = 24, .external_lex_state = 7},
  [3986] = {.lex_state = 17, .external_lex_state = 2},
  [3987] = {.lex_state = 15, .external_lex_state = 2},
  [3988] = {.lex_state = 151, .external_lex_state = 6},
  [3989] = {.lex_state = 151, .external_lex_state = 2},
  [3990] = {.lex_state = 15, .external_lex_state = 2},
  [3991] = {.lex_state = 15, .external_lex_state = 2},
  [3992] = {.lex_state = 151, .external_lex_state = 5},
  [3993] = {.lex_state = 15, .external_lex_state = 2},
  [3994] = {.lex_state = 151, .external_lex_state = 5},
  [3995] = {.lex_state = 151, .external_lex_state = 5},
  [3996] = {.lex_state = 151, .external_lex_state = 2},
  [3997] = {.lex_state = 151, .external_lex_state = 2},
  [3998] = {.lex_state = 15, .external_lex_state = 2},
  [3999] = {.lex_state = 151, .external_lex_state = 2},
  [4000] = {.lex_state = 151, .external_lex_state = 2},
  [4001] = {.lex_state = 15, .external_lex_state = 2},
  [4002] = {.lex_state = 151, .external_lex_state = 5},
  [4003] = {.lex_state = 151, .external_lex_state = 2},
  [4004] = {.lex_state = 151, .external_lex_state = 2},
  [4005] = {.lex_state = 15, .external_lex_state = 2},
  [4006] = {.lex_state = 15, .external_lex_state = 2},
  [4007] = {.lex_state = 15, .external_lex_state = 2},
  [4008] = {.lex_state = 151, .external_lex_state = 2},
  [4009] = {.lex_state = 151, .external_lex_state = 2},
  [4010] = {.lex_state = 151, .external_lex_state = 2},
  [4011] = {.lex_state = 151, .external_lex_state = 5},
  [4012] = {.lex_state = 151, .external_lex_state = 5},
  [4013] = {.lex_state = 151, .external_lex_state = 5},
  [4014] = {.lex_state = 151, .external_lex_state = 5},
  [4015] = {.lex_state = 151, .external_lex_state = 6},
  [4016] = {.lex_state = 15, .external_lex_state = 2},
  [4017] = {.lex_state = 151, .external_lex_state = 6},
  [4018] = {.lex_state = 151, .external_lex_state = 2},
  [4019] = {.lex_state = 151, .external_lex_state = 5},
  [4020] = {.lex_state = 151, .external_lex_state = 5},
  [4021] = {.lex_state = 151, .external_lex_state = 5},
  [4022] = {.lex_state = 151, .external_lex_state = 5},
  [4023] = {.lex_state = 15, .external_lex_state = 2},
  [4024] = {.lex_state = 151, .external_lex_state = 6},
  [4025] = {.lex_state = 151, .external_lex_state = 2},
  [4026] = {.lex_state = 151, .external_lex_state = 5},
  [4027] = {.lex_state = 151, .external_lex_state = 5},
  [4028] = {.lex_state = 16, .external_lex_state = 2},
  [4029] = {.lex_state = 151, .external_lex_state = 5},
  [4030] = {.lex_state = 151, .external_lex_state = 2},
  [4031] = {.lex_state = 151, .external_lex_state = 2},
  [4032] = {.lex_state = 151, .external_lex_state = 5},
  [4033] = {.lex_state = 151, .external_lex_state = 5},
  [4034] = {.lex_state = 151, .external_lex_state = 5},
  [4035] = {.lex_state = 151, .external_lex_state = 5},
  [4036] = {.lex_state = 15, .external_lex_state = 2},
  [4037] = {.lex_state = 151, .external_lex_state = 2},
  [4038] = {.lex_state = 151, .external_lex_state = 6},
  [4039] = {.lex_state = 15, .external_lex_state = 2},
  [4040] = {.lex_state = 151, .external_lex_state = 5},
  [4041] = {.lex_state = 1, .external_lex_state = 2},
  [4042] = {.lex_state = 151, .external_lex_state = 5},
  [4043] = {.lex_state = 151, .external_lex_state = 2},
  [4044] = {.lex_state = 26, .external_lex_state = 2},
  [4045] = {.lex_state = 1, .external_lex_state = 2},
  [4046] = {.lex_state = 15, .external_lex_state = 2},
  [4047] = {.lex_state = 1, .external_lex_state = 2},
  [4048] = {.lex_state = 15, .external_lex_state = 2},
  [4049] = {.lex_state = 24, .external_lex_state = 7},
  [4050] = {.lex_state = 151, .external_lex_state = 2},
  [4051] = {.lex_state = 151, .external_lex_state = 2},
  [4052] = {.lex_state = 151, .external_lex_state = 2},
  [4053] = {.lex_state = 24, .external_lex_state = 7},
  [4054] = {.lex_state = 15, .external_lex_state = 2},
  [4055] = {.lex_state = 15, .external_lex_state = 2},
  [4056] = {.lex_state = 151, .external_lex_state = 2},
  [4057] = {.lex_state = 151, .external_lex_state = 2},
  [4058] = {.lex_state = 151, .external_lex_state = 2},
  [4059] = {.lex_state = 1, .external_lex_state = 2},
  [4060] = {.lex_state = 1, .external_lex_state = 2},
  [4061] = {.lex_state = 24, .external_lex_state = 7},
  [4062] = {.lex_state = 15, .external_lex_state = 2},
  [4063] = {.lex_state = 15, .external_lex_state = 2},
  [4064] = {.lex_state = 151, .external_lex_state = 2},
  [4065] = {.lex_state = 15, .external_lex_state = 2},
  [4066] = {.lex_state = 15, .external_lex_state = 2},
  [4067] = {.lex_state = 151, .external_lex_state = 6},
  [4068] = {.lex_state = 15, .external_lex_state = 2},
  [4069] = {.lex_state = 151, .external_lex_state = 2},
  [4070] = {.lex_state = 151, .external_lex_state = 2},
  [4071] = {.lex_state = 1, .external_lex_state = 2},
  [4072] = {.lex_state = 15, .external_lex_state = 2},
  [4073] = {.lex_state = 151, .external_lex_state = 2},
  [4074] = {.lex_state = 151, .external_lex_state = 6},
  [4075] = {.lex_state = 151, .external_lex_state = 6},
  [4076] = {.lex_state = 151, .external_lex_state = 6},
  [4077] = {.lex_state = 151, .external_lex_state = 2},
  [4078] = {.lex_state = 151, .external_lex_state = 6},
  [4079] = {.lex_state = 15, .external_lex_state = 2},
  [4080] = {.lex_state = 151, .external_lex_state = 6},
  [4081] = {.lex_state = 151, .external_lex_state = 6},
  [4082] = {.lex_state = 15, .external_lex_state = 2},
  [4083] = {.lex_state = 15, .external_lex_state = 2},
  [4084] = {.lex_state = 151, .external_lex_state = 6},
  [4085] = {.lex_state = 151, .external_lex_state = 6},
  [4086] = {.lex_state = 1, .external_lex_state = 2},
  [4087] = {.lex_state = 17, .external_lex_state = 2},
  [4088] = {.lex_state = 15, .external_lex_state = 2},
  [4089] = {.lex_state = 15, .external_lex_state = 2},
  [4090] = {.lex_state = 15, .external_lex_state = 2},
  [4091] = {.lex_state = 151, .external_lex_state = 5},
  [4092] = {.lex_state = 15, .external_lex_state = 2},
  [4093] = {.lex_state = 151, .external_lex_state = 6},
  [4094] = {.lex_state = 15, .external_lex_state = 2},
  [4095] = {.lex_state = 151, .external_lex_state = 5},
  [4096] = {.lex_state = 151, .external_lex_state = 2},
  [4097] = {.lex_state = 151, .external_lex_state = 2},
  [4098] = {.lex_state = 15, .external_lex_state = 2},
  [4099] = {.lex_state = 151, .external_lex_state = 6},
  [4100] = {.lex_state = 15, .external_lex_state = 2},
  [4101] = {.lex_state = 151, .external_lex_state = 6},
  [4102] = {.lex_state = 151, .external_lex_state = 6},
  [4103] = {.lex_state = 15, .external_lex_state = 2},
  [4104] = {.lex_state = 15, .external_lex_state = 2},
  [4105] = {.lex_state = 151, .external_lex_state = 6},
  [4106] = {.lex_state = 15, .external_lex_state = 2},
  [4107] = {.lex_state = 151, .external_lex_state = 6},
  [4108] = {.lex_state = 151, .external_lex_state = 6},
  [4109] = {.lex_state = 15, .external_lex_state = 2},
  [4110] = {.lex_state = 151, .external_lex_state = 2},
  [4111] = {.lex_state = 151, .external_lex_state = 6},
  [4112] = {.lex_state = 151, .external_lex_state = 6},
  [4113] = {.lex_state = 151, .external_lex_state = 2},
  [4114] = {.lex_state = 15, .external_lex_state = 2},
  [4115] = {.lex_state = 15, .external_lex_state = 2},
  [4116] = {.lex_state = 15, .external_lex_state = 2},
  [4117] = {.lex_state = 151, .external_lex_state = 5},
  [4118] = {.lex_state = 24, .external_lex_state = 8},
  [4119] = {.lex_state = 151, .external_lex_state = 5},
  [4120] = {.lex_state = 151, .external_lex_state = 2},
  [4121] = {.lex_state = 151, .external_lex_state = 5},
  [4122] = {.lex_state = 15, .external_lex_state = 2},
  [4123] = {.lex_state = 151, .external_lex_state = 6},
  [4124] = {.lex_state = 151, .external_lex_state = 5},
  [4125] = {.lex_state = 151, .external_lex_state = 5},
  [4126] = {.lex_state = 151, .external_lex_state = 5},
  [4127] = {.lex_state = 151, .external_lex_state = 5},
  [4128] = {.lex_state = 151, .external_lex_state = 5},
  [4129] = {.lex_state = 151, .external_lex_state = 5},
  [4130] = {.lex_state = 151, .external_lex_state = 5},
  [4131] = {.lex_state = 151, .external_lex_state = 5},
  [4132] = {.lex_state = 151, .external_lex_state = 5},
  [4133] = {.lex_state = 151, .external_lex_state = 2},
  [4134] = {.lex_state = 151, .external_lex_state = 5},
  [4135] = {.lex_state = 151, .external_lex_state = 5},
  [4136] = {.lex_state = 151, .external_lex_state = 5},
  [4137] = {.lex_state = 151, .external_lex_state = 5},
  [4138] = {.lex_state = 151, .external_lex_state = 5},
  [4139] = {.lex_state = 151, .external_lex_state = 5},
  [4140] = {.lex_state = 151, .external_lex_state = 5},
  [4141] = {.lex_state = 15, .external_lex_state = 2},
  [4142] = {.lex_state = 151, .external_lex_state = 5},
  [4143] = {.lex_state = 151, .external_lex_state = 5},
  [4144] = {.lex_state = 151, .external_lex_state = 5},
  [4145] = {.lex_state = 151, .external_lex_state = 5},
  [4146] = {.lex_state = 151, .external_lex_state = 5},
  [4147] = {.lex_state = 151, .external_lex_state = 2},
  [4148] = {.lex_state = 151, .external_lex_state = 5},
  [4149] = {.lex_state = 151, .external_lex_state = 5},
  [4150] = {.lex_state = 151, .external_lex_state = 5},
  [4151] = {.lex_state = 151, .external_lex_state = 2},
  [4152] = {.lex_state = 151, .external_lex_state = 5},
  [4153] = {.lex_state = 151, .external_lex_state = 5},
  [4154] = {.lex_state = 151, .external_lex_state = 5},
  [4155] = {.lex_state = 151, .external_lex_state = 5},
  [4156] = {.lex_state = 151, .external_lex_state = 5},
  [4157] = {.lex_state = 151, .external_lex_state = 5},
  [4158] = {.lex_state = 151, .external_lex_state = 5},
  [4159] = {.lex_state = 151, .external_lex_state = 5},
  [4160] = {.lex_state = 151, .external_lex_state = 5},
  [4161] = {.lex_state = 151, .external_lex_state = 5},
  [4162] = {.lex_state = 151, .external_lex_state = 5},
  [4163] = {.lex_state = 151, .external_lex_state = 5},
  [4164] = {.lex_state = 151, .external_lex_state = 5},
  [4165] = {.lex_state = 151, .external_lex_state = 5},
  [4166] = {.lex_state = 151, .external_lex_state = 5},
  [4167] = {.lex_state = 151, .external_lex_state = 5},
  [4168] = {.lex_state = 151, .external_lex_state = 5},
  [4169] = {.lex_state = 151, .external_lex_state = 5},
  [4170] = {.lex_state = 15, .external_lex_state = 2},
  [4171] = {.lex_state = 151, .external_lex_state = 5},
  [4172] = {.lex_state = 15, .external_lex_state = 2},
  [4173] = {.lex_state = 151, .external_lex_state = 5},
  [4174] = {.lex_state = 151, .external_lex_state = 5},
  [4175] = {.lex_state = 151, .external_lex_state = 5},
  [4176] = {.lex_state = 151, .external_lex_state = 5},
  [4177] = {.lex_state = 151, .external_lex_state = 5},
  [4178] = {.lex_state = 151, .external_lex_state = 5},
  [4179] = {.lex_state = 151, .external_lex_state = 2},
  [4180] = {.lex_state = 151, .external_lex_state = 5},
  [4181] = {.lex_state = 151, .external_lex_state = 5},
  [4182] = {.lex_state = 151, .external_lex_state = 5},
  [4183] = {.lex_state = 151, .external_lex_state = 5},
  [4184] = {.lex_state = 151, .external_lex_state = 5},
  [4185] = {.lex_state = 151, .external_lex_state = 5},
  [4186] = {.lex_state = 151, .external_lex_state = 5},
  [4187] = {.lex_state = 151, .external_lex_state = 5},
  [4188] = {.lex_state = 151, .external_lex_state = 5},
  [4189] = {.lex_state = 151, .external_lex_state = 5},
  [4190] = {.lex_state = 151, .external_lex_state = 5},
  [4191] = {.lex_state = 151, .external_lex_state = 5},
  [4192] = {.lex_state = 151, .external_lex_state = 5},
  [4193] = {.lex_state = 151, .external_lex_state = 5},
  [4194] = {.lex_state = 151, .external_lex_state = 5},
  [4195] = {.lex_state = 151, .external_lex_state = 5},
  [4196] = {.lex_state = 151, .external_lex_state = 5},
  [4197] = {.lex_state = 151, .external_lex_state = 2},
  [4198] = {.lex_state = 151, .external_lex_state = 5},
  [4199] = {.lex_state = 151, .external_lex_state = 5},
  [4200] = {.lex_state = 151, .external_lex_state = 5},
  [4201] = {.lex_state = 151, .external_lex_state = 5},
  [4202] = {.lex_state = 151, .external_lex_state = 5},
  [4203] = {.lex_state = 151, .external_lex_state = 5},
  [4204] = {.lex_state = 151, .external_lex_state = 5},
  [4205] = {.lex_state = 151, .external_lex_state = 5},
  [4206] = {.lex_state = 151, .external_lex_state = 5},
  [4207] = {.lex_state = 151, .external_lex_state = 5},
  [4208] = {.lex_state = 151, .external_lex_state = 5},
  [4209] = {.lex_state = 151, .external_lex_state = 5},
  [4210] = {.lex_state = 151, .external_lex_state = 5},
  [4211] = {.lex_state = 151, .external_lex_state = 5},
  [4212] = {.lex_state = 151, .external_lex_state = 5},
  [4213] = {.lex_state = 151, .external_lex_state = 5},
  [4214] = {.lex_state = 151, .external_lex_state = 5},
  [4215] = {.lex_state = 151, .external_lex_state = 5},
  [4216] = {.lex_state = 151, .external_lex_state = 5},
  [4217] = {.lex_state = 151, .external_lex_state = 5},
  [4218] = {.lex_state = 151, .external_lex_state = 5},
  [4219] = {.lex_state = 151, .external_lex_state = 5},
  [4220] = {.lex_state = 151, .external_lex_state = 5},
  [4221] = {.lex_state = 151, .external_lex_state = 5},
  [4222] = {.lex_state = 151, .external_lex_state = 5},
  [4223] = {.lex_state = 151, .external_lex_state = 5},
  [4224] = {.lex_state = 151, .external_lex_state = 5},
  [4225] = {.lex_state = 151, .external_lex_state = 5},
  [4226] = {.lex_state = 151, .external_lex_state = 5},
  [4227] = {.lex_state = 151, .external_lex_state = 5},
  [4228] = {.lex_state = 151, .external_lex_state = 5},
  [4229] = {.lex_state = 151, .external_lex_state = 5},
  [4230] = {.lex_state = 151, .external_lex_state = 5},
  [4231] = {.lex_state = 151, .external_lex_state = 5},
  [4232] = {.lex_state = 151, .external_lex_state = 5},
  [4233] = {.lex_state = 151, .external_lex_state = 2},
  [4234] = {.lex_state = 151, .external_lex_state = 5},
  [4235] = {.lex_state = 151, .external_lex_state = 5},
  [4236] = {.lex_state = 15, .external_lex_state = 2},
  [4237] = {.lex_state = 151, .external_lex_state = 2},
  [4238] = {.lex_state = 151, .external_lex_state = 2},
  [4239] = {.lex_state = 151, .external_lex_state = 5},
  [4240] = {.lex_state = 151, .external_lex_state = 2},
  [4241] = {.lex_state = 151, .external_lex_state = 5},
  [4242] = {.lex_state = 151, .external_lex_state = 5},
  [4243] = {.lex_state = 151, .external_lex_state = 5},
  [4244] = {.lex_state = 151, .external_lex_state = 2},
  [4245] = {.lex_state = 151, .external_lex_state = 5},
  [4246] = {.lex_state = 151, .external_lex_state = 5},
  [4247] = {.lex_state = 151, .external_lex_state = 5},
  [4248] = {.lex_state = 151, .external_lex_state = 5},
  [4249] = {.lex_state = 151, .external_lex_state = 5},
  [4250] = {.lex_state = 151, .external_lex_state = 5},
  [4251] = {.lex_state = 151, .external_lex_state = 5},
  [4252] = {.lex_state = 151, .external_lex_state = 5},
  [4253] = {.lex_state = 151, .external_lex_state = 2},
  [4254] = {.lex_state = 17, .external_lex_state = 2},
  [4255] = {.lex_state = 151, .external_lex_state = 5},
  [4256] = {.lex_state = 151, .external_lex_state = 5},
  [4257] = {.lex_state = 151, .external_lex_state = 5},
  [4258] = {.lex_state = 151, .external_lex_state = 2},
  [4259] = {.lex_state = 151, .external_lex_state = 5},
  [4260] = {.lex_state = 15, .external_lex_state = 2},
  [4261] = {.lex_state = 151, .external_lex_state = 6},
  [4262] = {.lex_state = 151, .external_lex_state = 5},
  [4263] = {.lex_state = 24, .external_lex_state = 8},
  [4264] = {.lex_state = 15, .external_lex_state = 2},
  [4265] = {.lex_state = 151, .external_lex_state = 5},
  [4266] = {.lex_state = 151, .external_lex_state = 5},
  [4267] = {.lex_state = 151, .external_lex_state = 6},
  [4268] = {.lex_state = 151, .external_lex_state = 5},
  [4269] = {.lex_state = 151, .external_lex_state = 5},
  [4270] = {.lex_state = 151, .external_lex_state = 5},
  [4271] = {.lex_state = 151, .external_lex_state = 5},
  [4272] = {.lex_state = 151, .external_lex_state = 2},
  [4273] = {.lex_state = 5, .external_lex_state = 2},
  [4274] = {.lex_state = 151, .external_lex_state = 5},
  [4275] = {.lex_state = 151, .external_lex_state = 5},
  [4276] = {.lex_state = 151, .external_lex_state = 5},
  [4277] = {.lex_state = 15, .external_lex_state = 2},
  [4278] = {.lex_state = 151, .external_lex_state = 2},
  [4279] = {.lex_state = 151, .external_lex_state = 5},
  [4280] = {.lex_state = 151, .external_lex_state = 5},
  [4281] = {.lex_state = 151, .external_lex_state = 6},
  [4282] = {.lex_state = 151, .external_lex_state = 5},
  [4283] = {.lex_state = 151, .external_lex_state = 5},
  [4284] = {.lex_state = 151, .external_lex_state = 5},
  [4285] = {.lex_state = 151, .external_lex_state = 5},
  [4286] = {.lex_state = 151, .external_lex_state = 5},
  [4287] = {.lex_state = 24, .external_lex_state = 8},
  [4288] = {.lex_state = 151, .external_lex_state = 5},
  [4289] = {.lex_state = 151, .external_lex_state = 5},
  [4290] = {.lex_state = 151, .external_lex_state = 6},
  [4291] = {.lex_state = 151, .external_lex_state = 5},
  [4292] = {.lex_state = 151, .external_lex_state = 5},
  [4293] = {.lex_state = 151, .external_lex_state = 2},
  [4294] = {.lex_state = 151, .external_lex_state = 5},
  [4295] = {.lex_state = 151, .external_lex_state = 2},
  [4296] = {.lex_state = 151, .external_lex_state = 2},
  [4297] = {.lex_state = 151, .external_lex_state = 5},
  [4298] = {.lex_state = 15, .external_lex_state = 2},
  [4299] = {.lex_state = 151, .external_lex_state = 6},
  [4300] = {.lex_state = 151, .external_lex_state = 5},
  [4301] = {.lex_state = 151, .external_lex_state = 5},
  [4302] = {.lex_state = 15, .external_lex_state = 2},
  [4303] = {.lex_state = 151, .external_lex_state = 5},
  [4304] = {.lex_state = 151, .external_lex_state = 2},
  [4305] = {.lex_state = 151, .external_lex_state = 5},
  [4306] = {.lex_state = 151, .external_lex_state = 5},
  [4307] = {.lex_state = 151, .external_lex_state = 5},
  [4308] = {.lex_state = 151, .external_lex_state = 2},
  [4309] = {.lex_state = 151, .external_lex_state = 5},
  [4310] = {.lex_state = 151, .external_lex_state = 5},
  [4311] = {.lex_state = 151, .external_lex_state = 2},
  [4312] = {.lex_state = 151, .external_lex_state = 5},
  [4313] = {.lex_state = 151, .external_lex_state = 5},
  [4314] = {.lex_state = 151, .external_lex_state = 5},
  [4315] = {.lex_state = 151, .external_lex_state = 5},
  [4316] = {.lex_state = 15, .external_lex_state = 2},
  [4317] = {.lex_state = 15, .external_lex_state = 2},
  [4318] = {.lex_state = 151, .external_lex_state = 5},
  [4319] = {.lex_state = 151, .external_lex_state = 5},
  [4320] = {.lex_state = 151, .external_lex_state = 2},
  [4321] = {.lex_state = 151, .external_lex_state = 5},
  [4322] = {.lex_state = 151, .external_lex_state = 5},
  [4323] = {.lex_state = 151, .external_lex_state = 5},
  [4324] = {.lex_state = 151, .external_lex_state = 5},
  [4325] = {.lex_state = 15, .external_lex_state = 2},
  [4326] = {.lex_state = 151, .external_lex_state = 5},
  [4327] = {.lex_state = 15, .external_lex_state = 2},
  [4328] = {.lex_state = 151, .external_lex_state = 5},
  [4329] = {.lex_state = 15, .external_lex_state = 2},
  [4330] = {.lex_state = 151, .external_lex_state = 5},
  [4331] = {.lex_state = 15, .external_lex_state = 2},
  [4332] = {.lex_state = 151, .external_lex_state = 5},
  [4333] = {.lex_state = 151, .external_lex_state = 5},
  [4334] = {.lex_state = 151, .external_lex_state = 5},
  [4335] = {.lex_state = 151, .external_lex_state = 5},
  [4336] = {.lex_state = 151, .external_lex_state = 5},
  [4337] = {.lex_state = 151, .external_lex_state = 5},
  [4338] = {.lex_state = 151, .external_lex_state = 5},
  [4339] = {.lex_state = 151, .external_lex_state = 5},
  [4340] = {.lex_state = 151, .external_lex_state = 5},
  [4341] = {.lex_state = 151, .external_lex_state = 5},
  [4342] = {.lex_state = 151, .external_lex_state = 5},
  [4343] = {.lex_state = 151, .external_lex_state = 5},
  [4344] = {.lex_state = 151, .external_lex_state = 5},
  [4345] = {.lex_state = 151, .external_lex_state = 5},
  [4346] = {.lex_state = 151, .external_lex_state = 5},
  [4347] = {.lex_state = 151, .external_lex_state = 2},
  [4348] = {.lex_state = 17, .external_lex_state = 2},
  [4349] = {.lex_state = 151, .external_lex_state = 5},
  [4350] = {.lex_state = 151, .external_lex_state = 5},
  [4351] = {.lex_state = 24, .external_lex_state = 8},
  [4352] = {.lex_state = 151, .external_lex_state = 6},
  [4353] = {.lex_state = 151, .external_lex_state = 5},
  [4354] = {.lex_state = 151, .external_lex_state = 5},
  [4355] = {.lex_state = 151, .external_lex_state = 5},
  [4356] = {.lex_state = 151, .external_lex_state = 2},
  [4357] = {.lex_state = 151, .external_lex_state = 5},
  [4358] = {.lex_state = 151, .external_lex_state = 5},
  [4359] = {.lex_state = 24, .external_lex_state = 8},
  [4360] = {.lex_state = 151, .external_lex_state = 6},
  [4361] = {.lex_state = 151, .external_lex_state = 5},
  [4362] = {.lex_state = 151, .external_lex_state = 2},
  [4363] = {.lex_state = 151, .external_lex_state = 5},
  [4364] = {.lex_state = 151, .external_lex_state = 5},
  [4365] = {.lex_state = 151, .external_lex_state = 2},
  [4366] = {.lex_state = 151, .external_lex_state = 5},
  [4367] = {.lex_state = 15, .external_lex_state = 2},
  [4368] = {.lex_state = 15, .external_lex_state = 2},
  [4369] = {.lex_state = 151, .external_lex_state = 5},
  [4370] = {.lex_state = 151, .external_lex_state = 5},
  [4371] = {.lex_state = 15, .external_lex_state = 2},
  [4372] = {.lex_state = 151, .external_lex_state = 5},
  [4373] = {.lex_state = 151, .external_lex_state = 5},
  [4374] = {.lex_state = 151, .external_lex_state = 5},
  [4375] = {.lex_state = 151, .external_lex_state = 5},
  [4376] = {.lex_state = 17, .external_lex_state = 2},
  [4377] = {.lex_state = 151, .external_lex_state = 5},
  [4378] = {.lex_state = 151, .external_lex_state = 5},
  [4379] = {.lex_state = 151, .external_lex_state = 5},
  [4380] = {.lex_state = 151, .external_lex_state = 5},
  [4381] = {.lex_state = 24, .external_lex_state = 8},
  [4382] = {.lex_state = 151, .external_lex_state = 2},
  [4383] = {.lex_state = 151, .external_lex_state = 5},
  [4384] = {.lex_state = 151, .external_lex_state = 5},
  [4385] = {.lex_state = 151, .external_lex_state = 5},
  [4386] = {.lex_state = 151, .external_lex_state = 5},
  [4387] = {.lex_state = 151, .external_lex_state = 5},
  [4388] = {.lex_state = 151, .external_lex_state = 5},
  [4389] = {.lex_state = 151, .external_lex_state = 5},
  [4390] = {.lex_state = 151, .external_lex_state = 5},
  [4391] = {.lex_state = 24, .external_lex_state = 8},
  [4392] = {.lex_state = 151, .external_lex_state = 5},
  [4393] = {.lex_state = 151, .external_lex_state = 5},
  [4394] = {.lex_state = 151, .external_lex_state = 5},
  [4395] = {.lex_state = 24, .external_lex_state = 8},
  [4396] = {.lex_state = 151, .external_lex_state = 5},
  [4397] = {.lex_state = 151, .external_lex_state = 5},
  [4398] = {.lex_state = 151, .external_lex_state = 5},
  [4399] = {.lex_state = 151, .external_lex_state = 5},
  [4400] = {.lex_state = 151, .external_lex_state = 5},
  [4401] = {.lex_state = 151, .external_lex_state = 5},
  [4402] = {.lex_state = 151, .external_lex_state = 5},
  [4403] = {.lex_state = 151, .external_lex_state = 5},
  [4404] = {.lex_state = 151, .external_lex_state = 5},
  [4405] = {.lex_state = 151, .external_lex_state = 5},
  [4406] = {.lex_state = 151, .external_lex_state = 5},
  [4407] = {.lex_state = 151, .external_lex_state = 5},
  [4408] = {.lex_state = 151, .external_lex_state = 5},
  [4409] = {.lex_state = 151, .external_lex_state = 5},
  [4410] = {.lex_state = 151, .external_lex_state = 5},
  [4411] = {.lex_state = 151, .external_lex_state = 5},
  [4412] = {.lex_state = 151, .external_lex_state = 5},
  [4413] = {.lex_state = 151, .external_lex_state = 5},
  [4414] = {.lex_state = 15, .external_lex_state = 2},
  [4415] = {.lex_state = 151, .external_lex_state = 5},
  [4416] = {.lex_state = 151, .external_lex_state = 5},
  [4417] = {.lex_state = 15, .external_lex_state = 2},
  [4418] = {.lex_state = 151, .external_lex_state = 6},
  [4419] = {.lex_state = 151, .external_lex_state = 5},
  [4420] = {.lex_state = 151, .external_lex_state = 2},
  [4421] = {.lex_state = 15, .external_lex_state = 2},
  [4422] = {.lex_state = 151, .external_lex_state = 5},
  [4423] = {.lex_state = 151, .external_lex_state = 5},
  [4424] = {.lex_state = 151, .external_lex_state = 5},
  [4425] = {.lex_state = 151, .external_lex_state = 5},
  [4426] = {.lex_state = 151, .external_lex_state = 5},
  [4427] = {.lex_state = 151, .external_lex_state = 5},
  [4428] = {.lex_state = 151, .external_lex_state = 5},
  [4429] = {.lex_state = 26, .external_lex_state = 2},
  [4430] = {.lex_state = 151, .external_lex_state = 5},
  [4431] = {.lex_state = 151, .external_lex_state = 5},
  [4432] = {.lex_state = 151, .external_lex_state = 5},
  [4433] = {.lex_state = 151, .external_lex_state = 5},
  [4434] = {.lex_state = 151, .external_lex_state = 5},
  [4435] = {.lex_state = 15, .external_lex_state = 2},
  [4436] = {.lex_state = 151, .external_lex_state = 5},
  [4437] = {.lex_state = 151, .external_lex_state = 5},
  [4438] = {.lex_state = 151, .external_lex_state = 5},
  [4439] = {.lex_state = 151, .external_lex_state = 5},
  [4440] = {.lex_state = 15, .external_lex_state = 2},
  [4441] = {.lex_state = 151, .external_lex_state = 2},
  [4442] = {.lex_state = 151, .external_lex_state = 2},
  [4443] = {.lex_state = 151, .external_lex_state = 2},
  [4444] = {.lex_state = 15, .external_lex_state = 2},
  [4445] = {.lex_state = 151, .external_lex_state = 2},
  [4446] = {.lex_state = 151, .external_lex_state = 5},
  [4447] = {.lex_state = 151, .external_lex_state = 5},
  [4448] = {.lex_state = 151, .external_lex_state = 5},
  [4449] = {.lex_state = 15, .external_lex_state = 2},
  [4450] = {.lex_state = 151, .external_lex_state = 5},
  [4451] = {.lex_state = 24, .external_lex_state = 8},
  [4452] = {.lex_state = 15, .external_lex_state = 2},
  [4453] = {.lex_state = 15, .external_lex_state = 2},
  [4454] = {.lex_state = 151, .external_lex_state = 5},
  [4455] = {.lex_state = 151, .external_lex_state = 5},
  [4456] = {.lex_state = 26, .external_lex_state = 2},
  [4457] = {.lex_state = 151, .external_lex_state = 6},
  [4458] = {.lex_state = 151, .external_lex_state = 5},
  [4459] = {.lex_state = 151, .external_lex_state = 5},
  [4460] = {.lex_state = 151, .external_lex_state = 5},
  [4461] = {.lex_state = 151, .external_lex_state = 5},
  [4462] = {.lex_state = 151, .external_lex_state = 5},
  [4463] = {.lex_state = 26, .external_lex_state = 2},
  [4464] = {.lex_state = 151, .external_lex_state = 5},
  [4465] = {.lex_state = 151, .external_lex_state = 5},
  [4466] = {.lex_state = 15, .external_lex_state = 2},
  [4467] = {.lex_state = 15, .external_lex_state = 2},
  [4468] = {.lex_state = 26, .external_lex_state = 2},
  [4469] = {.lex_state = 151, .external_lex_state = 5},
  [4470] = {.lex_state = 15, .external_lex_state = 2},
  [4471] = {.lex_state = 15, .external_lex_state = 2},
  [4472] = {.lex_state = 5, .external_lex_state = 2},
  [4473] = {.lex_state = 151, .external_lex_state = 5},
  [4474] = {.lex_state = 151, .external_lex_state = 5},
  [4475] = {.lex_state = 151, .external_lex_state = 5},
  [4476] = {.lex_state = 26, .external_lex_state = 2},
  [4477] = {.lex_state = 26, .external_lex_state = 2},
  [4478] = {.lex_state = 151, .external_lex_state = 5},
  [4479] = {.lex_state = 15, .external_lex_state = 2},
  [4480] = {.lex_state = 151, .external_lex_state = 5},
  [4481] = {.lex_state = 151, .external_lex_state = 5},
  [4482] = {.lex_state = 151, .external_lex_state = 2},
  [4483] = {.lex_state = 15, .external_lex_state = 2},
  [4484] = {.lex_state = 151, .external_lex_state = 5},
  [4485] = {.lex_state = 15, .external_lex_state = 2},
  [4486] = {.lex_state = 151, .external_lex_state = 5},
  [4487] = {.lex_state = 151, .external_lex_state = 5},
  [4488] = {.lex_state = 151, .external_lex_state = 5},
  [4489] = {.lex_state = 15, .external_lex_state = 2},
  [4490] = {.lex_state = 151, .external_lex_state = 5},
  [4491] = {.lex_state = 151, .external_lex_state = 2},
  [4492] = {.lex_state = 151, .external_lex_state = 2},
  [4493] = {.lex_state = 151, .external_lex_state = 5},
  [4494] = {.lex_state = 151, .external_lex_state = 5},
  [4495] = {.lex_state = 151, .external_lex_state = 5},
  [4496] = {.lex_state = 15, .external_lex_state = 2},
  [4497] = {.lex_state = 151, .external_lex_state = 5},
  [4498] = {.lex_state = 151, .external_lex_state = 5},
  [4499] = {.lex_state = 15, .external_lex_state = 2},
  [4500] = {.lex_state = 151, .external_lex_state = 5},
  [4501] = {.lex_state = 151, .external_lex_state = 5},
  [4502] = {.lex_state = 15, .external_lex_state = 2},
  [4503] = {.lex_state = 151, .external_lex_state = 5},
  [4504] = {.lex_state = 151, .external_lex_state = 5},
  [4505] = {.lex_state = 151, .external_lex_state = 2},
  [4506] = {.lex_state = 15, .external_lex_state = 2},
  [4507] = {.lex_state = 151, .external_lex_state = 5},
  [4508] = {.lex_state = 151, .external_lex_state = 5},
  [4509] = {.lex_state = 151, .external_lex_state = 2},
  [4510] = {.lex_state = 26, .external_lex_state = 2},
  [4511] = {.lex_state = 24, .external_lex_state = 8},
  [4512] = {.lex_state = 151, .external_lex_state = 5},
  [4513] = {.lex_state = 151, .external_lex_state = 2},
  [4514] = {.lex_state = 151, .external_lex_state = 5},
  [4515] = {.lex_state = 15, .external_lex_state = 2},
  [4516] = {.lex_state = 26, .external_lex_state = 2},
  [4517] = {.lex_state = 151, .external_lex_state = 5},
  [4518] = {.lex_state = 151, .external_lex_state = 2},
  [4519] = {.lex_state = 16, .external_lex_state = 2},
  [4520] = {.lex_state = 151, .external_lex_state = 5},
  [4521] = {.lex_state = 151, .external_lex_state = 5},
  [4522] = {.lex_state = 151, .external_lex_state = 5},
  [4523] = {.lex_state = 151, .external_lex_state = 5},
  [4524] = {.lex_state = 151, .external_lex_state = 5},
  [4525] = {.lex_state = 151, .external_lex_state = 5},
  [4526] = {.lex_state = 151, .external_lex_state = 5},
  [4527] = {.lex_state = 15, .external_lex_state = 2},
  [4528] = {.lex_state = 151, .external_lex_state = 5},
  [4529] = {.lex_state = 151, .external_lex_state = 5},
  [4530] = {.lex_state = 15, .external_lex_state = 2},
  [4531] = {.lex_state = 151, .external_lex_state = 5},
  [4532] = {.lex_state = 151, .external_lex_state = 2},
  [4533] = {.lex_state = 151, .external_lex_state = 5},
  [4534] = {.lex_state = 15, .external_lex_state = 2},
  [4535] = {.lex_state = 15, .external_lex_state = 2},
  [4536] = {.lex_state = 151, .external_lex_state = 5},
  [4537] = {.lex_state = 15, .external_lex_state = 2},
  [4538] = {.lex_state = 151, .external_lex_state = 2},
  [4539] = {.lex_state = 26, .external_lex_state = 2},
  [4540] = {.lex_state = 26, .external_lex_state = 2},
  [4541] = {.lex_state = 151, .external_lex_state = 5},
  [4542] = {.lex_state = 151, .external_lex_state = 2},
  [4543] = {.lex_state = 151, .external_lex_state = 5},
  [4544] = {.lex_state = 15, .external_lex_state = 2},
  [4545] = {.lex_state = 151, .external_lex_state = 5},
  [4546] = {.lex_state = 15, .external_lex_state = 2},
  [4547] = {.lex_state = 151, .external_lex_state = 5},
  [4548] = {.lex_state = 151, .external_lex_state = 5},
  [4549] = {.lex_state = 26, .external_lex_state = 2},
  [4550] = {.lex_state = 151, .external_lex_state = 5},
  [4551] = {.lex_state = 151, .external_lex_state = 5},
  [4552] = {.lex_state = 151, .external_lex_state = 5},
  [4553] = {.lex_state = 151, .external_lex_state = 5},
  [4554] = {.lex_state = 151, .external_lex_state = 5},
  [4555] = {.lex_state = 151, .external_lex_state = 5},
  [4556] = {.lex_state = 151, .external_lex_state = 6},
  [4557] = {.lex_state = 151, .external_lex_state = 6},
  [4558] = {.lex_state = 151, .external_lex_state = 6},
  [4559] = {.lex_state = 15, .external_lex_state = 2},
  [4560] = {.lex_state = 151, .external_lex_state = 5},
  [4561] = {.lex_state = 151, .external_lex_state = 5},
  [4562] = {.lex_state = 151, .external_lex_state = 5},
  [4563] = {.lex_state = 151, .external_lex_state = 5},
  [4564] = {.lex_state = 151, .external_lex_state = 5},
  [4565] = {.lex_state = 151, .external_lex_state = 5},
  [4566] = {.lex_state = 151, .external_lex_state = 5},
  [4567] = {.lex_state = 151, .external_lex_state = 5},
  [4568] = {.lex_state = 151, .external_lex_state = 5},
  [4569] = {.lex_state = 151, .external_lex_state = 5},
  [4570] = {.lex_state = 151, .external_lex_state = 5},
  [4571] = {.lex_state = 151, .external_lex_state = 5},
  [4572] = {.lex_state = 151, .external_lex_state = 5},
  [4573] = {.lex_state = 151, .external_lex_state = 5},
  [4574] = {.lex_state = 151, .external_lex_state = 5},
  [4575] = {.lex_state = 151, .external_lex_state = 2},
  [4576] = {.lex_state = 151, .external_lex_state = 2},
  [4577] = {.lex_state = 151, .external_lex_state = 5},
  [4578] = {.lex_state = 151, .external_lex_state = 5},
  [4579] = {.lex_state = 151, .external_lex_state = 5},
  [4580] = {.lex_state = 151, .external_lex_state = 5},
  [4581] = {.lex_state = 151, .external_lex_state = 5},
  [4582] = {.lex_state = 151, .external_lex_state = 5},
  [4583] = {.lex_state = 151, .external_lex_state = 5},
  [4584] = {.lex_state = 151, .external_lex_state = 5},
  [4585] = {.lex_state = 15, .external_lex_state = 2},
  [4586] = {.lex_state = 15, .external_lex_state = 2},
  [4587] = {.lex_state = 151, .external_lex_state = 6},
  [4588] = {.lex_state = 151, .external_lex_state = 5},
  [4589] = {.lex_state = 151, .external_lex_state = 5},
  [4590] = {.lex_state = 151, .external_lex_state = 5},
  [4591] = {.lex_state = 151, .external_lex_state = 5},
  [4592] = {.lex_state = 151, .external_lex_state = 5},
  [4593] = {.lex_state = 151, .external_lex_state = 5},
  [4594] = {.lex_state = 151, .external_lex_state = 5},
  [4595] = {.lex_state = 151, .external_lex_state = 5},
  [4596] = {.lex_state = 151, .external_lex_state = 5},
  [4597] = {.lex_state = 151, .external_lex_state = 5},
  [4598] = {.lex_state = 151, .external_lex_state = 5},
  [4599] = {.lex_state = 151, .external_lex_state = 5},
  [4600] = {.lex_state = 15, .external_lex_state = 2},
  [4601] = {.lex_state = 151, .external_lex_state = 5},
  [4602] = {.lex_state = 151, .external_lex_state = 5},
  [4603] = {.lex_state = 151, .external_lex_state = 5},
  [4604] = {.lex_state = 151, .external_lex_state = 5},
  [4605] = {.lex_state = 17, .external_lex_state = 2},
  [4606] = {.lex_state = 151, .external_lex_state = 5},
  [4607] = {.lex_state = 151, .external_lex_state = 5},
  [4608] = {.lex_state = 151, .external_lex_state = 5},
  [4609] = {.lex_state = 151, .external_lex_state = 5},
  [4610] = {.lex_state = 151, .external_lex_state = 5},
  [4611] = {.lex_state = 151, .external_lex_state = 5},
  [4612] = {.lex_state = 151, .external_lex_state = 5},
  [4613] = {.lex_state = 151, .external_lex_state = 5},
  [4614] = {.lex_state = 151, .external_lex_state = 5},
  [4615] = {.lex_state = 151, .external_lex_state = 5},
  [4616] = {.lex_state = 151, .external_lex_state = 5},
  [4617] = {.lex_state = 151, .external_lex_state = 5},
  [4618] = {.lex_state = 151, .external_lex_state = 5},
  [4619] = {.lex_state = 151, .external_lex_state = 5},
  [4620] = {.lex_state = 151, .external_lex_state = 5},
  [4621] = {.lex_state = 151, .external_lex_state = 5},
  [4622] = {.lex_state = 15, .external_lex_state = 2},
  [4623] = {.lex_state = 151, .external_lex_state = 5},
  [4624] = {.lex_state = 151, .external_lex_state = 5},
  [4625] = {.lex_state = 151, .external_lex_state = 5},
  [4626] = {.lex_state = 151, .external_lex_state = 5},
  [4627] = {.lex_state = 26, .external_lex_state = 2},
  [4628] = {.lex_state = 15, .external_lex_state = 2},
  [4629] = {.lex_state = 151, .external_lex_state = 5},
  [4630] = {.lex_state = 26, .external_lex_state = 2},
  [4631] = {.lex_state = 151, .external_lex_state = 5},
  [4632] = {.lex_state = 26, .external_lex_state = 2},
  [4633] = {.lex_state = 151, .external_lex_state = 5},
  [4634] = {.lex_state = 151, .external_lex_state = 5},
  [4635] = {.lex_state = 26, .external_lex_state = 2},
  [4636] = {.lex_state = 151, .external_lex_state = 5},
  [4637] = {.lex_state = 151, .external_lex_state = 5},
  [4638] = {.lex_state = 26, .external_lex_state = 2},
  [4639] = {.lex_state = 151, .external_lex_state = 5},
  [4640] = {.lex_state = 151, .external_lex_state = 5},
  [4641] = {.lex_state = 15, .external_lex_state = 2},
  [4642] = {.lex_state = 151, .external_lex_state = 5},
  [4643] = {.lex_state = 151, .external_lex_state = 5},
  [4644] = {.lex_state = 26, .external_lex_state = 2},
  [4645] = {.lex_state = 151, .external_lex_state = 5},
  [4646] = {.lex_state = 151, .external_lex_state = 5},
  [4647] = {.lex_state = 151, .external_lex_state = 5},
  [4648] = {.lex_state = 151, .external_lex_state = 5},
  [4649] = {.lex_state = 151, .external_lex_state = 5},
  [4650] = {.lex_state = 151, .external_lex_state = 5},
  [4651] = {.lex_state = 151, .external_lex_state = 5},
  [4652] = {.lex_state = 151, .external_lex_state = 5},
  [4653] = {.lex_state = 151, .external_lex_state = 5},
  [4654] = {.lex_state = 151, .external_lex_state = 5},
  [4655] = {.lex_state = 26, .external_lex_state = 2},
  [4656] = {.lex_state = 151, .external_lex_state = 5},
  [4657] = {.lex_state = 151, .external_lex_state = 2},
  [4658] = {.lex_state = 15, .external_lex_state = 2},
  [4659] = {.lex_state = 15, .external_lex_state = 2},
  [4660] = {.lex_state = 151, .external_lex_state = 5},
  [4661] = {.lex_state = 151, .external_lex_state = 5},
  [4662] = {.lex_state = 26, .external_lex_state = 2},
  [4663] = {.lex_state = 151, .external_lex_state = 5},
  [4664] = {.lex_state = 151, .external_lex_state = 5},
  [4665] = {.lex_state = 151, .external_lex_state = 5},
  [4666] = {.lex_state = 151, .external_lex_state = 5},
  [4667] = {.lex_state = 15, .external_lex_state = 2},
  [4668] = {.lex_state = 151, .external_lex_state = 5},
  [4669] = {.lex_state = 26, .external_lex_state = 2},
  [4670] = {.lex_state = 151, .external_lex_state = 2},
  [4671] = {.lex_state = 151, .external_lex_state = 5},
  [4672] = {.lex_state = 151, .external_lex_state = 5},
  [4673] = {.lex_state = 15, .external_lex_state = 2},
  [4674] = {.lex_state = 15, .external_lex_state = 2},
  [4675] = {.lex_state = 151, .external_lex_state = 2},
  [4676] = {.lex_state = 151, .external_lex_state = 2},
  [4677] = {.lex_state = 15, .external_lex_state = 2},
  [4678] = {.lex_state = 151, .external_lex_state = 5},
  [4679] = {.lex_state = 151, .external_lex_state = 2},
  [4680] = {.lex_state = 151, .external_lex_state = 5},
  [4681] = {.lex_state = 151, .external_lex_state = 5},
  [4682] = {.lex_state = 151, .external_lex_state = 5},
  [4683] = {.lex_state = 151, .external_lex_state = 5},
  [4684] = {.lex_state = 151, .external_lex_state = 5},
  [4685] = {.lex_state = 151, .external_lex_state = 5},
  [4686] = {.lex_state = 26, .external_lex_state = 2},
  [4687] = {.lex_state = 151, .external_lex_state = 5},
  [4688] = {.lex_state = 151, .external_lex_state = 5},
  [4689] = {.lex_state = 15, .external_lex_state = 2},
  [4690] = {.lex_state = 151, .external_lex_state = 5},
  [4691] = {.lex_state = 151, .external_lex_state = 5},
  [4692] = {.lex_state = 151, .external_lex_state = 5},
  [4693] = {.lex_state = 151, .external_lex_state = 5},
  [4694] = {.lex_state = 151, .external_lex_state = 5},
  [4695] = {.lex_state = 151, .external_lex_state = 5},
  [4696] = {.lex_state = 151, .external_lex_state = 5},
  [4697] = {.lex_state = 151, .external_lex_state = 5},
  [4698] = {.lex_state = 15, .external_lex_state = 2},
  [4699] = {.lex_state = 151, .external_lex_state = 5},
  [4700] = {.lex_state = 151, .external_lex_state = 5},
  [4701] = {.lex_state = 151, .external_lex_state = 5},
  [4702] = {.lex_state = 151, .external_lex_state = 5},
  [4703] = {.lex_state = 151, .external_lex_state = 5},
  [4704] = {.lex_state = 151, .external_lex_state = 5},
  [4705] = {.lex_state = 151, .external_lex_state = 5},
  [4706] = {.lex_state = 151, .external_lex_state = 5},
  [4707] = {.lex_state = 151, .external_lex_state = 5},
  [4708] = {.lex_state = 151, .external_lex_state = 5},
  [4709] = {.lex_state = 151, .external_lex_state = 5},
  [4710] = {.lex_state = 151, .external_lex_state = 5},
  [4711] = {.lex_state = 15, .external_lex_state = 2},
  [4712] = {.lex_state = 24, .external_lex_state = 8},
  [4713] = {.lex_state = 151, .external_lex_state = 5},
  [4714] = {.lex_state = 151, .external_lex_state = 5},
  [4715] = {.lex_state = 151, .external_lex_state = 5},
  [4716] = {.lex_state = 26, .external_lex_state = 2},
  [4717] = {.lex_state = 151, .external_lex_state = 5},
  [4718] = {.lex_state = 151, .external_lex_state = 5},
  [4719] = {.lex_state = 151, .external_lex_state = 5},
  [4720] = {.lex_state = 151, .external_lex_state = 5},
  [4721] = {.lex_state = 151, .external_lex_state = 5},
  [4722] = {.lex_state = 151, .external_lex_state = 5},
  [4723] = {.lex_state = 151, .external_lex_state = 5},
  [4724] = {.lex_state = 151, .external_lex_state = 5},
  [4725] = {.lex_state = 26, .external_lex_state = 2},
  [4726] = {.lex_state = 151, .external_lex_state = 5},
  [4727] = {.lex_state = 151, .external_lex_state = 5},
  [4728] = {.lex_state = 151, .external_lex_state = 5},
  [4729] = {.lex_state = 151, .external_lex_state = 5},
  [4730] = {.lex_state = 151, .external_lex_state = 5},
  [4731] = {.lex_state = 151, .external_lex_state = 5},
  [4732] = {.lex_state = 151, .external_lex_state = 5},
  [4733] = {.lex_state = 151, .external_lex_state = 5},
  [4734] = {.lex_state = 15, .external_lex_state = 2},
  [4735] = {.lex_state = 151, .external_lex_state = 5},
  [4736] = {.lex_state = 151, .external_lex_state = 5},
  [4737] = {.lex_state = 151, .external_lex_state = 5},
  [4738] = {.lex_state = 151, .external_lex_state = 5},
  [4739] = {.lex_state = 151, .external_lex_state = 5},
  [4740] = {.lex_state = 151, .external_lex_state = 5},
  [4741] = {.lex_state = 151, .external_lex_state = 5},
  [4742] = {.lex_state = 151, .external_lex_state = 5},
  [4743] = {.lex_state = 151, .external_lex_state = 5},
  [4744] = {.lex_state = 151, .external_lex_state = 5},
  [4745] = {.lex_state = 151, .external_lex_state = 5},
  [4746] = {.lex_state = 151, .external_lex_state = 5},
  [4747] = {.lex_state = 151, .external_lex_state = 5},
  [4748] = {.lex_state = 151, .external_lex_state = 5},
  [4749] = {.lex_state = 151, .external_lex_state = 5},
  [4750] = {.lex_state = 151, .external_lex_state = 5},
  [4751] = {.lex_state = 151, .external_lex_state = 5},
  [4752] = {.lex_state = 151, .external_lex_state = 5},
  [4753] = {.lex_state = 151, .external_lex_state = 5},
  [4754] = {.lex_state = 15, .external_lex_state = 2},
  [4755] = {.lex_state = 151, .external_lex_state = 5},
  [4756] = {.lex_state = 151, .external_lex_state = 5},
  [4757] = {.lex_state = 151, .external_lex_state = 5},
  [4758] = {.lex_state = 151, .external_lex_state = 5},
  [4759] = {.lex_state = 151, .external_lex_state = 5},
  [4760] = {.lex_state = 151, .external_lex_state = 5},
  [4761] = {.lex_state = 151, .external_lex_state = 5},
  [4762] = {.lex_state = 151, .external_lex_state = 5},
  [4763] = {.lex_state = 151, .external_lex_state = 5},
  [4764] = {.lex_state = 151, .external_lex_state = 5},
  [4765] = {.lex_state = 151, .external_lex_state = 5},
  [4766] = {.lex_state = 30, .external_lex_state = 9},
  [4767] = {.lex_state = 151, .external_lex_state = 2},
  [4768] = {.lex_state = 30, .external_lex_state = 9},
  [4769] = {.lex_state = 15, .external_lex_state = 2},
  [4770] = {.lex_state = 151, .external_lex_state = 2},
  [4771] = {.lex_state = 151, .external_lex_state = 2},
  [4772] = {.lex_state = 151, .external_lex_state = 2},
  [4773] = {.lex_state = 151, .external_lex_state = 2},
  [4774] = {.lex_state = 151, .external_lex_state = 2},
  [4775] = {.lex_state = 20, .external_lex_state = 9},
  [4776] = {.lex_state = 151, .external_lex_state = 2},
  [4777] = {.lex_state = 30, .external_lex_state = 9},
  [4778] = {.lex_state = 151, .external_lex_state = 2},
  [4779] = {.lex_state = 20, .external_lex_state = 9},
  [4780] = {.lex_state = 30, .external_lex_state = 9},
  [4781] = {.lex_state = 151, .external_lex_state = 2},
  [4782] = {.lex_state = 151, .external_lex_state = 2},
  [4783] = {.lex_state = 151, .external_lex_state = 2},
  [4784] = {.lex_state = 151, .external_lex_state = 2},
  [4785] = {.lex_state = 151, .external_lex_state = 2},
  [4786] = {.lex_state = 151, .external_lex_state = 5},
  [4787] = {.lex_state = 15, .external_lex_state = 2},
  [4788] = {.lex_state = 151, .external_lex_state = 2},
  [4789] = {.lex_state = 151, .external_lex_state = 5},
  [4790] = {.lex_state = 18, .external_lex_state = 2},
  [4791] = {.lex_state = 15, .external_lex_state = 2},
  [4792] = {.lex_state = 18, .external_lex_state = 2},
  [4793] = {.lex_state = 151, .external_lex_state = 2},
  [4794] = {.lex_state = 28, .external_lex_state = 2},
  [4795] = {.lex_state = 15, .external_lex_state = 2},
  [4796] = {.lex_state = 151, .external_lex_state = 5},
  [4797] = {.lex_state = 28, .external_lex_state = 2},
  [4798] = {.lex_state = 15, .external_lex_state = 2},
  [4799] = {.lex_state = 151, .external_lex_state = 5},
  [4800] = {.lex_state = 24, .external_lex_state = 7},
  [4801] = {.lex_state = 151, .external_lex_state = 2},
  [4802] = {.lex_state = 15, .external_lex_state = 2},
  [4803] = {.lex_state = 15, .external_lex_state = 2},
  [4804] = {.lex_state = 20, .external_lex_state = 9},
  [4805] = {.lex_state = 30, .external_lex_state = 9},
  [4806] = {.lex_state = 20, .external_lex_state = 9},
  [4807] = {.lex_state = 151, .external_lex_state = 2},
  [4808] = {.lex_state = 30, .external_lex_state = 9},
  [4809] = {.lex_state = 20, .external_lex_state = 9},
  [4810] = {.lex_state = 20, .external_lex_state = 9},
  [4811] = {.lex_state = 151, .external_lex_state = 2},
  [4812] = {.lex_state = 30, .external_lex_state = 9},
  [4813] = {.lex_state = 20, .external_lex_state = 9},
  [4814] = {.lex_state = 30, .external_lex_state = 9},
  [4815] = {.lex_state = 151, .external_lex_state = 2},
  [4816] = {.lex_state = 30, .external_lex_state = 9},
  [4817] = {.lex_state = 20, .external_lex_state = 9},
  [4818] = {.lex_state = 30, .external_lex_state = 9},
  [4819] = {.lex_state = 18, .external_lex_state = 2},
  [4820] = {.lex_state = 28, .external_lex_state = 2},
  [4821] = {.lex_state = 151, .external_lex_state = 5},
  [4822] = {.lex_state = 5, .external_lex_state = 2},
  [4823] = {.lex_state = 5, .external_lex_state = 2},
  [4824] = {.lex_state = 5, .external_lex_state = 2},
  [4825] = {.lex_state = 151, .external_lex_state = 2},
  [4826] = {.lex_state = 5, .external_lex_state = 2},
  [4827] = {.lex_state = 151, .external_lex_state = 5},
  [4828] = {.lex_state = 151, .external_lex_state = 2},
  [4829] = {.lex_state = 15, .external_lex_state = 2},
  [4830] = {.lex_state = 151, .external_lex_state = 2},
  [4831] = {.lex_state = 151, .external_lex_state = 5},
  [4832] = {.lex_state = 15, .external_lex_state = 2},
  [4833] = {.lex_state = 15, .external_lex_state = 2},
  [4834] = {.lex_state = 15, .external_lex_state = 2},
  [4835] = {.lex_state = 151, .external_lex_state = 2},
  [4836] = {.lex_state = 151, .external_lex_state = 2},
  [4837] = {.lex_state = 151, .external_lex_state = 6},
  [4838] = {.lex_state = 151, .external_lex_state = 5},
  [4839] = {.lex_state = 151, .external_lex_state = 2},
  [4840] = {.lex_state = 15, .external_lex_state = 2},
  [4841] = {.lex_state = 20, .external_lex_state = 9},
  [4842] = {.lex_state = 15, .external_lex_state = 2},
  [4843] = {.lex_state = 151, .external_lex_state = 2},
  [4844] = {.lex_state = 151, .external_lex_state = 2},
  [4845] = {.lex_state = 151, .external_lex_state = 2},
  [4846] = {.lex_state = 20, .external_lex_state = 9},
  [4847] = {.lex_state = 24, .external_lex_state = 7},
  [4848] = {.lex_state = 151, .external_lex_state = 2},
  [4849] = {.lex_state = 20, .external_lex_state = 9},
  [4850] = {.lex_state = 30, .external_lex_state = 9},
  [4851] = {.lex_state = 151, .external_lex_state = 5},
  [4852] = {.lex_state = 151, .external_lex_state = 5},
  [4853] = {.lex_state = 15, .external_lex_state = 2},
  [4854] = {.lex_state = 151, .external_lex_state = 2},
  [4855] = {.lex_state = 151, .external_lex_state = 2},
  [4856] = {.lex_state = 151, .external_lex_state = 2},
  [4857] = {.lex_state = 151, .external_lex_state = 2},
  [4858] = {.lex_state = 151, .external_lex_state = 2},
  [4859] = {.lex_state = 151, .external_lex_state = 5},
  [4860] = {.lex_state = 151, .external_lex_state = 5},
  [4861] = {.lex_state = 151, .external_lex_state = 2},
  [4862] = {.lex_state = 151, .external_lex_state = 2},
  [4863] = {.lex_state = 151, .external_lex_state = 2},
  [4864] = {.lex_state = 151, .external_lex_state = 2},
  [4865] = {.lex_state = 151, .external_lex_state = 2},
  [4866] = {.lex_state = 20, .external_lex_state = 9},
  [4867] = {.lex_state = 151, .external_lex_state = 2},
  [4868] = {.lex_state = 151, .external_lex_state = 2},
  [4869] = {.lex_state = 15, .external_lex_state = 2},
  [4870] = {.lex_state = 15, .external_lex_state = 2},
  [4871] = {.lex_state = 151, .external_lex_state = 5},
  [4872] = {.lex_state = 30, .external_lex_state = 9},
  [4873] = {.lex_state = 151, .external_lex_state = 2},
  [4874] = {.lex_state = 151, .external_lex_state = 2},
  [4875] = {.lex_state = 151, .external_lex_state = 2},
  [4876] = {.lex_state = 20, .external_lex_state = 9},
  [4877] = {.lex_state = 30, .external_lex_state = 9},
  [4878] = {.lex_state = 151, .external_lex_state = 5},
  [4879] = {.lex_state = 151, .external_lex_state = 5},
  [4880] = {.lex_state = 15, .external_lex_state = 2},
  [4881] = {.lex_state = 151, .external_lex_state = 2},
  [4882] = {.lex_state = 151, .external_lex_state = 5},
  [4883] = {.lex_state = 151, .external_lex_state = 2},
  [4884] = {.lex_state = 20, .external_lex_state = 9},
  [4885] = {.lex_state = 151, .external_lex_state = 5},
  [4886] = {.lex_state = 5, .external_lex_state = 2},
  [4887] = {.lex_state = 151, .external_lex_state = 5},
  [4888] = {.lex_state = 151, .external_lex_state = 2},
  [4889] = {.lex_state = 151, .external_lex_state = 5},
  [4890] = {.lex_state = 151, .external_lex_state = 2},
  [4891] = {.lex_state = 151, .external_lex_state = 2},
  [4892] = {.lex_state = 151, .external_lex_state = 2},
  [4893] = {.lex_state = 151, .external_lex_state = 5},
  [4894] = {.lex_state = 151, .external_lex_state = 2},
  [4895] = {.lex_state = 151, .external_lex_state = 2},
  [4896] = {.lex_state = 15, .external_lex_state = 2},
  [4897] = {.lex_state = 151, .external_lex_state = 2},
  [4898] = {.lex_state = 15, .external_lex_state = 2},
  [4899] = {.lex_state = 15, .external_lex_state = 2},
  [4900] = {.lex_state = 15, .external_lex_state = 2},
  [4901] = {.lex_state = 151, .external_lex_state = 2},
  [4902] = {.lex_state = 151, .external_lex_state = 2},
  [4903] = {.lex_state = 151, .external_lex_state = 2},
  [4904] = {.lex_state = 15, .external_lex_state = 2},
  [4905] = {.lex_state = 151, .external_lex_state = 2},
  [4906] = {.lex_state = 151, .external_lex_state = 5},
  [4907] = {.lex_state = 30, .external_lex_state = 9},
  [4908] = {.lex_state = 20, .external_lex_state = 9},
  [4909] = {.lex_state = 30, .external_lex_state = 9},
  [4910] = {.lex_state = 151, .external_lex_state = 2},
  [4911] = {.lex_state = 151, .external_lex_state = 2},
  [4912] = {.lex_state = 15, .external_lex_state = 2},
  [4913] = {.lex_state = 151, .external_lex_state = 2},
  [4914] = {.lex_state = 151, .external_lex_state = 2},
  [4915] = {.lex_state = 151, .external_lex_state = 5},
  [4916] = {.lex_state = 151, .external_lex_state = 2},
  [4917] = {.lex_state = 151, .external_lex_state = 5},
  [4918] = {.lex_state = 151, .external_lex_state = 5},
  [4919] = {.lex_state = 151, .external_lex_state = 5},
  [4920] = {.lex_state = 151, .external_lex_state = 5},
  [4921] = {.lex_state = 151, .external_lex_state = 2},
  [4922] = {.lex_state = 151, .external_lex_state = 5},
  [4923] = {.lex_state = 151, .external_lex_state = 2},
  [4924] = {.lex_state = 151, .external_lex_state = 5},
  [4925] = {.lex_state = 151, .external_lex_state = 5},
  [4926] = {.lex_state = 151, .external_lex_state = 5},
  [4927] = {.lex_state = 151, .external_lex_state = 5},
  [4928] = {.lex_state = 151, .external_lex_state = 5},
  [4929] = {.lex_state = 151, .external_lex_state = 5},
  [4930] = {.lex_state = 151, .external_lex_state = 5},
  [4931] = {.lex_state = 151, .external_lex_state = 5},
  [4932] = {.lex_state = 151, .external_lex_state = 5},
  [4933] = {.lex_state = 151, .external_lex_state = 5},
  [4934] = {.lex_state = 151, .external_lex_state = 5},
  [4935] = {.lex_state = 151, .external_lex_state = 5},
  [4936] = {.lex_state = 151, .external_lex_state = 5},
  [4937] = {.lex_state = 5, .external_lex_state = 2},
  [4938] = {.lex_state = 151, .external_lex_state = 2},
  [4939] = {.lex_state = 151, .external_lex_state = 2},
  [4940] = {.lex_state = 151, .external_lex_state = 5},
  [4941] = {.lex_state = 151, .external_lex_state = 2},
  [4942] = {.lex_state = 151, .external_lex_state = 5},
  [4943] = {.lex_state = 151, .external_lex_state = 5},
  [4944] = {.lex_state = 151, .external_lex_state = 5},
  [4945] = {.lex_state = 151, .external_lex_state = 5},
  [4946] = {.lex_state = 151, .external_lex_state = 2},
  [4947] = {.lex_state = 151, .external_lex_state = 5},
  [4948] = {.lex_state = 151, .external_lex_state = 5},
  [4949] = {.lex_state = 151, .external_lex_state = 5},
  [4950] = {.lex_state = 151, .external_lex_state = 5},
  [4951] = {.lex_state = 151, .external_lex_state = 5},
  [4952] = {.lex_state = 151, .external_lex_state = 5},
  [4953] = {.lex_state = 151, .external_lex_state = 2},
  [4954] = {.lex_state = 151, .external_lex_state = 5},
  [4955] = {.lex_state = 151, .external_lex_state = 5},
  [4956] = {.lex_state = 151, .external_lex_state = 2},
  [4957] = {.lex_state = 151, .external_lex_state = 5},
  [4958] = {.lex_state = 151, .external_lex_state = 5},
  [4959] = {.lex_state = 151, .external_lex_state = 5},
  [4960] = {.lex_state = 151, .external_lex_state = 5},
  [4961] = {.lex_state = 151, .external_lex_state = 5},
  [4962] = {.lex_state = 151, .external_lex_state = 5},
  [4963] = {.lex_state = 151, .external_lex_state = 2},
  [4964] = {.lex_state = 151, .external_lex_state = 5},
  [4965] = {.lex_state = 151, .external_lex_state = 2},
  [4966] = {.lex_state = 151, .external_lex_state = 5},
  [4967] = {.lex_state = 151, .external_lex_state = 5},
  [4968] = {.lex_state = 151, .external_lex_state = 5},
  [4969] = {.lex_state = 151, .external_lex_state = 5},
  [4970] = {.lex_state = 151, .external_lex_state = 2},
  [4971] = {.lex_state = 151, .external_lex_state = 5},
  [4972] = {.lex_state = 151, .external_lex_state = 5},
  [4973] = {.lex_state = 151, .external_lex_state = 5},
  [4974] = {.lex_state = 151, .external_lex_state = 5},
  [4975] = {.lex_state = 151, .external_lex_state = 5},
  [4976] = {.lex_state = 151, .external_lex_state = 5},
  [4977] = {.lex_state = 151, .external_lex_state = 2},
  [4978] = {.lex_state = 151, .external_lex_state = 5},
  [4979] = {.lex_state = 151, .external_lex_state = 5},
  [4980] = {.lex_state = 151, .external_lex_state = 5},
  [4981] = {.lex_state = 151, .external_lex_state = 5},
  [4982] = {.lex_state = 151, .external_lex_state = 5},
  [4983] = {.lex_state = 151, .external_lex_state = 5},
  [4984] = {.lex_state = 151, .external_lex_state = 2},
  [4985] = {.lex_state = 151, .external_lex_state = 5},
  [4986] = {.lex_state = 151, .external_lex_state = 5},
  [4987] = {.lex_state = 151, .external_lex_state = 5},
  [4988] = {.lex_state = 151, .external_lex_state = 5},
  [4989] = {.lex_state = 151, .external_lex_state = 5},
  [4990] = {.lex_state = 151, .external_lex_state = 5},
  [4991] = {.lex_state = 151, .external_lex_state = 5},
  [4992] = {.lex_state = 151, .external_lex_state = 5},
  [4993] = {.lex_state = 151, .external_lex_state = 5},
  [4994] = {.lex_state = 151, .external_lex_state = 5},
  [4995] = {.lex_state = 151, .external_lex_state = 5},
  [4996] = {.lex_state = 151, .external_lex_state = 5},
  [4997] = {.lex_state = 151, .external_lex_state = 5},
  [4998] = {.lex_state = 151, .external_lex_state = 5},
  [4999] = {.lex_state = 151, .external_lex_state = 5},
  [5000] = {.lex_state = 151, .external_lex_state = 5},
  [5001] = {.lex_state = 151, .external_lex_state = 5},
  [5002] = {.lex_state = 151, .external_lex_state = 5},
  [5003] = {.lex_state = 151, .external_lex_state = 5},
  [5004] = {.lex_state = 151, .external_lex_state = 5},
  [5005] = {.lex_state = 151, .external_lex_state = 5},
  [5006] = {.lex_state = 151, .external_lex_state = 2},
  [5007] = {.lex_state = 151, .external_lex_state = 2},
  [5008] = {.lex_state = 151, .external_lex_state = 5},
  [5009] = {.lex_state = 151, .external_lex_state = 5},
  [5010] = {.lex_state = 151, .external_lex_state = 5},
  [5011] = {.lex_state = 151, .external_lex_state = 5},
  [5012] = {.lex_state = 151, .external_lex_state = 2},
  [5013] = {.lex_state = 151, .external_lex_state = 5},
  [5014] = {.lex_state = 151, .external_lex_state = 2},
  [5015] = {.lex_state = 151, .external_lex_state = 5},
  [5016] = {.lex_state = 151, .external_lex_state = 5},
  [5017] = {.lex_state = 151, .external_lex_state = 5},
  [5018] = {.lex_state = 151, .external_lex_state = 2},
  [5019] = {.lex_state = 151, .external_lex_state = 5},
  [5020] = {.lex_state = 151, .external_lex_state = 5},
  [5021] = {.lex_state = 151, .external_lex_state = 5},
  [5022] = {.lex_state = 151, .external_lex_state = 5},
  [5023] = {.lex_state = 151, .external_lex_state = 5},
  [5024] = {.lex_state = 151, .external_lex_state = 5},
  [5025] = {.lex_state = 151, .external_lex_state = 5},
  [5026] = {.lex_state = 151, .external_lex_state = 5},
  [5027] = {.lex_state = 151, .external_lex_state = 5},
  [5028] = {.lex_state = 151, .external_lex_state = 5},
  [5029] = {.lex_state = 151, .external_lex_state = 5},
  [5030] = {.lex_state = 151, .external_lex_state = 2},
  [5031] = {.lex_state = 151, .external_lex_state = 2},
  [5032] = {.lex_state = 151, .external_lex_state = 5},
  [5033] = {.lex_state = 151, .external_lex_state = 5},
  [5034] = {.lex_state = 151, .external_lex_state = 5},
  [5035] = {.lex_state = 151, .external_lex_state = 5},
  [5036] = {.lex_state = 151, .external_lex_state = 5},
  [5037] = {.lex_state = 151, .external_lex_state = 5},
  [5038] = {.lex_state = 151, .external_lex_state = 5},
  [5039] = {.lex_state = 151, .external_lex_state = 2},
  [5040] = {.lex_state = 151, .external_lex_state = 2},
  [5041] = {.lex_state = 151, .external_lex_state = 2},
  [5042] = {.lex_state = 151, .external_lex_state = 2},
  [5043] = {.lex_state = 151, .external_lex_state = 2},
  [5044] = {.lex_state = 151, .external_lex_state = 2},
  [5045] = {.lex_state = 151, .external_lex_state = 5},
  [5046] = {.lex_state = 151, .external_lex_state = 5},
  [5047] = {.lex_state = 151, .external_lex_state = 5},
  [5048] = {.lex_state = 151, .external_lex_state = 5},
  [5049] = {.lex_state = 151, .external_lex_state = 5},
  [5050] = {.lex_state = 151, .external_lex_state = 5},
  [5051] = {.lex_state = 151, .external_lex_state = 5},
  [5052] = {.lex_state = 151, .external_lex_state = 5},
  [5053] = {.lex_state = 151, .external_lex_state = 5},
  [5054] = {.lex_state = 151, .external_lex_state = 2},
  [5055] = {.lex_state = 151, .external_lex_state = 2},
  [5056] = {.lex_state = 151, .external_lex_state = 2},
  [5057] = {.lex_state = 151, .external_lex_state = 5},
  [5058] = {.lex_state = 151, .external_lex_state = 5},
  [5059] = {.lex_state = 151, .external_lex_state = 5},
  [5060] = {.lex_state = 151, .external_lex_state = 5},
  [5061] = {.lex_state = 151, .external_lex_state = 5},
  [5062] = {.lex_state = 151, .external_lex_state = 5},
  [5063] = {.lex_state = 151, .external_lex_state = 2},
  [5064] = {.lex_state = 151, .external_lex_state = 5},
  [5065] = {.lex_state = 151, .external_lex_state = 5},
  [5066] = {.lex_state = 151, .external_lex_state = 5},
  [5067] = {.lex_state = 151, .external_lex_state = 5},
  [5068] = {.lex_state = 151, .external_lex_state = 2},
  [5069] = {.lex_state = 151, .external_lex_state = 2},
  [5070] = {.lex_state = 151, .external_lex_state = 5},
  [5071] = {.lex_state = 151, .external_lex_state = 5},
  [5072] = {.lex_state = 151, .external_lex_state = 5},
  [5073] = {.lex_state = 151, .external_lex_state = 5},
  [5074] = {.lex_state = 151, .external_lex_state = 5},
  [5075] = {.lex_state = 151, .external_lex_state = 5},
  [5076] = {.lex_state = 151, .external_lex_state = 2},
  [5077] = {.lex_state = 151, .external_lex_state = 5},
  [5078] = {.lex_state = 151, .external_lex_state = 5},
  [5079] = {.lex_state = 151, .external_lex_state = 5},
  [5080] = {.lex_state = 151, .external_lex_state = 5},
  [5081] = {.lex_state = 151, .external_lex_state = 5},
  [5082] = {.lex_state = 151, .external_lex_state = 2},
  [5083] = {.lex_state = 151, .external_lex_state = 2},
  [5084] = {.lex_state = 151, .external_lex_state = 2},
  [5085] = {.lex_state = 151, .external_lex_state = 5},
  [5086] = {.lex_state = 151, .external_lex_state = 5},
  [5087] = {.lex_state = 151, .external_lex_state = 2},
  [5088] = {.lex_state = 151, .external_lex_state = 5},
  [5089] = {.lex_state = 151, .external_lex_state = 2},
  [5090] = {.lex_state = 151, .external_lex_state = 5},
  [5091] = {.lex_state = 151, .external_lex_state = 5},
  [5092] = {.lex_state = 151, .external_lex_state = 5},
  [5093] = {.lex_state = 151, .external_lex_state = 5},
  [5094] = {.lex_state = 151, .external_lex_state = 5},
  [5095] = {.lex_state = 151, .external_lex_state = 2},
  [5096] = {.lex_state = 151, .external_lex_state = 2},
  [5097] = {.lex_state = 151, .external_lex_state = 2},
  [5098] = {.lex_state = 151, .external_lex_state = 2},
  [5099] = {.lex_state = 151, .external_lex_state = 2},
  [5100] = {.lex_state = 151, .external_lex_state = 2},
  [5101] = {.lex_state = 151, .external_lex_state = 5},
  [5102] = {.lex_state = 151, .external_lex_state = 2},
  [5103] = {.lex_state = 151, .external_lex_state = 5},
  [5104] = {.lex_state = 151, .external_lex_state = 5},
  [5105] = {.lex_state = 151, .external_lex_state = 5},
  [5106] = {.lex_state = 151, .external_lex_state = 5},
  [5107] = {.lex_state = 151, .external_lex_state = 5},
  [5108] = {.lex_state = 151, .external_lex_state = 5},
  [5109] = {.lex_state = 151, .external_lex_state = 5},
  [5110] = {.lex_state = 151, .external_lex_state = 5},
  [5111] = {.lex_state = 151, .external_lex_state = 5},
  [5112] = {.lex_state = 151, .external_lex_state = 5},
  [5113] = {.lex_state = 151, .external_lex_state = 5},
  [5114] = {.lex_state = 151, .external_lex_state = 5},
  [5115] = {.lex_state = 151, .external_lex_state = 5},
  [5116] = {.lex_state = 151, .external_lex_state = 5},
  [5117] = {.lex_state = 151, .external_lex_state = 5},
  [5118] = {.lex_state = 151, .external_lex_state = 5},
  [5119] = {.lex_state = 151, .external_lex_state = 5},
  [5120] = {.lex_state = 151, .external_lex_state = 5},
  [5121] = {.lex_state = 151, .external_lex_state = 5},
  [5122] = {.lex_state = 151, .external_lex_state = 5},
  [5123] = {.lex_state = 151, .external_lex_state = 5},
  [5124] = {.lex_state = 151, .external_lex_state = 5},
  [5125] = {.lex_state = 151, .external_lex_state = 5},
  [5126] = {.lex_state = 151, .external_lex_state = 5},
  [5127] = {.lex_state = 151, .external_lex_state = 5},
  [5128] = {.lex_state = 151, .external_lex_state = 5},
  [5129] = {.lex_state = 151, .external_lex_state = 5},
  [5130] = {.lex_state = 151, .external_lex_state = 5},
  [5131] = {.lex_state = 151, .external_lex_state = 5},
  [5132] = {.lex_state = 151, .external_lex_state = 5},
  [5133] = {.lex_state = 151, .external_lex_state = 5},
  [5134] = {.lex_state = 151, .external_lex_state = 2},
  [5135] = {.lex_state = 151, .external_lex_state = 5},
  [5136] = {.lex_state = 151, .external_lex_state = 5},
  [5137] = {.lex_state = 151, .external_lex_state = 5},
  [5138] = {.lex_state = 151, .external_lex_state = 5},
  [5139] = {.lex_state = 151, .external_lex_state = 5},
  [5140] = {.lex_state = 151, .external_lex_state = 5},
  [5141] = {.lex_state = 151, .external_lex_state = 5},
  [5142] = {.lex_state = 151, .external_lex_state = 2},
  [5143] = {.lex_state = 151, .external_lex_state = 2},
  [5144] = {.lex_state = 151, .external_lex_state = 5},
  [5145] = {.lex_state = 151, .external_lex_state = 5},
  [5146] = {.lex_state = 151, .external_lex_state = 5},
  [5147] = {.lex_state = 151, .external_lex_state = 2},
  [5148] = {.lex_state = 151, .external_lex_state = 5},
  [5149] = {.lex_state = 151, .external_lex_state = 5},
  [5150] = {.lex_state = 151, .external_lex_state = 5},
  [5151] = {.lex_state = 151, .external_lex_state = 5},
  [5152] = {.lex_state = 151, .external_lex_state = 2},
  [5153] = {.lex_state = 151, .external_lex_state = 5},
  [5154] = {.lex_state = 151, .external_lex_state = 2},
  [5155] = {.lex_state = 151, .external_lex_state = 5},
  [5156] = {.lex_state = 151, .external_lex_state = 5},
  [5157] = {.lex_state = 151, .external_lex_state = 5},
  [5158] = {.lex_state = 151, .external_lex_state = 2},
  [5159] = {.lex_state = 151, .external_lex_state = 2},
  [5160] = {.lex_state = 151, .external_lex_state = 5},
  [5161] = {.lex_state = 151, .external_lex_state = 5},
  [5162] = {.lex_state = 151, .external_lex_state = 5},
  [5163] = {.lex_state = 151, .external_lex_state = 5},
  [5164] = {.lex_state = 151, .external_lex_state = 5},
  [5165] = {.lex_state = 151, .external_lex_state = 2},
  [5166] = {.lex_state = 151, .external_lex_state = 5},
  [5167] = {.lex_state = 151, .external_lex_state = 5},
  [5168] = {.lex_state = 151, .external_lex_state = 5},
  [5169] = {.lex_state = 151, .external_lex_state = 5},
  [5170] = {.lex_state = 151, .external_lex_state = 5},
  [5171] = {.lex_state = 151, .external_lex_state = 5},
  [5172] = {.lex_state = 151, .external_lex_state = 5},
  [5173] = {.lex_state = 151, .external_lex_state = 5},
  [5174] = {.lex_state = 151, .external_lex_state = 5},
  [5175] = {.lex_state = 151, .external_lex_state = 5},
  [5176] = {.lex_state = 151, .external_lex_state = 5},
  [5177] = {.lex_state = 151, .external_lex_state = 5},
  [5178] = {.lex_state = 151, .external_lex_state = 5},
  [5179] = {.lex_state = 151, .external_lex_state = 5},
  [5180] = {.lex_state = 151, .external_lex_state = 5},
  [5181] = {.lex_state = 151, .external_lex_state = 5},
  [5182] = {.lex_state = 151, .external_lex_state = 5},
  [5183] = {.lex_state = 151, .external_lex_state = 5},
  [5184] = {.lex_state = 151, .external_lex_state = 5},
  [5185] = {.lex_state = 151, .external_lex_state = 5},
  [5186] = {.lex_state = 151, .external_lex_state = 5},
  [5187] = {.lex_state = 151, .external_lex_state = 5},
  [5188] = {.lex_state = 151, .external_lex_state = 5},
  [5189] = {.lex_state = 151, .external_lex_state = 5},
  [5190] = {.lex_state = 151, .external_lex_state = 2},
  [5191] = {.lex_state = 151, .external_lex_state = 5},
  [5192] = {.lex_state = 151, .external_lex_state = 2},
  [5193] = {.lex_state = 151, .external_lex_state = 2},
  [5194] = {.lex_state = 151, .external_lex_state = 5},
  [5195] = {.lex_state = 151, .external_lex_state = 5},
  [5196] = {.lex_state = 151, .external_lex_state = 5},
  [5197] = {.lex_state = 151, .external_lex_state = 5},
  [5198] = {.lex_state = 151, .external_lex_state = 5},
  [5199] = {.lex_state = 151, .external_lex_state = 5},
  [5200] = {.lex_state = 151, .external_lex_state = 5},
  [5201] = {.lex_state = 151, .external_lex_state = 2},
  [5202] = {.lex_state = 151, .external_lex_state = 2},
  [5203] = {.lex_state = 151, .external_lex_state = 5},
  [5204] = {.lex_state = 151, .external_lex_state = 2},
  [5205] = {.lex_state = 151, .external_lex_state = 5},
  [5206] = {.lex_state = 151, .external_lex_state = 2},
  [5207] = {.lex_state = 151, .external_lex_state = 5},
  [5208] = {.lex_state = 151, .external_lex_state = 2},
  [5209] = {.lex_state = 151, .external_lex_state = 5},
  [5210] = {.lex_state = 151, .external_lex_state = 5},
  [5211] = {.lex_state = 151, .external_lex_state = 5},
  [5212] = {.lex_state = 151, .external_lex_state = 2},
  [5213] = {.lex_state = 151, .external_lex_state = 2},
  [5214] = {.lex_state = 151, .external_lex_state = 2},
  [5215] = {.lex_state = 151, .external_lex_state = 2},
  [5216] = {.lex_state = 151, .external_lex_state = 2},
  [5217] = {.lex_state = 151, .external_lex_state = 5},
  [5218] = {.lex_state = 151, .external_lex_state = 5},
  [5219] = {.lex_state = 151, .external_lex_state = 5},
  [5220] = {.lex_state = 151, .external_lex_state = 5},
  [5221] = {.lex_state = 151, .external_lex_state = 5},
  [5222] = {.lex_state = 151, .external_lex_state = 5},
  [5223] = {.lex_state = 151, .external_lex_state = 5},
  [5224] = {.lex_state = 151, .external_lex_state = 5},
  [5225] = {.lex_state = 151, .external_lex_state = 5},
  [5226] = {.lex_state = 151, .external_lex_state = 5},
  [5227] = {.lex_state = 151, .external_lex_state = 5},
  [5228] = {.lex_state = 151, .external_lex_state = 5},
  [5229] = {.lex_state = 151, .external_lex_state = 5},
  [5230] = {.lex_state = 151, .external_lex_state = 2},
  [5231] = {.lex_state = 151, .external_lex_state = 2},
  [5232] = {.lex_state = 151, .external_lex_state = 5},
  [5233] = {.lex_state = 151, .external_lex_state = 5},
  [5234] = {.lex_state = 151, .external_lex_state = 5},
  [5235] = {.lex_state = 151, .external_lex_state = 5},
  [5236] = {.lex_state = 5, .external_lex_state = 2},
  [5237] = {.lex_state = 151, .external_lex_state = 2},
  [5238] = {.lex_state = 151, .external_lex_state = 2},
  [5239] = {.lex_state = 151, .external_lex_state = 5},
  [5240] = {.lex_state = 151, .external_lex_state = 5},
  [5241] = {.lex_state = 151, .external_lex_state = 5},
  [5242] = {.lex_state = 151, .external_lex_state = 5},
  [5243] = {.lex_state = 151, .external_lex_state = 5},
  [5244] = {.lex_state = 151, .external_lex_state = 5},
  [5245] = {.lex_state = 151, .external_lex_state = 5},
  [5246] = {.lex_state = 151, .external_lex_state = 2},
  [5247] = {.lex_state = 151, .external_lex_state = 5},
  [5248] = {.lex_state = 5, .external_lex_state = 2},
  [5249] = {.lex_state = 151, .external_lex_state = 5},
  [5250] = {.lex_state = 151, .external_lex_state = 5},
  [5251] = {.lex_state = 151, .external_lex_state = 5},
  [5252] = {.lex_state = 151, .external_lex_state = 2},
  [5253] = {.lex_state = 151, .external_lex_state = 2},
  [5254] = {.lex_state = 151, .external_lex_state = 5},
  [5255] = {.lex_state = 151, .external_lex_state = 5},
  [5256] = {.lex_state = 151, .external_lex_state = 5},
  [5257] = {.lex_state = 151, .external_lex_state = 5},
  [5258] = {.lex_state = 151, .external_lex_state = 2},
  [5259] = {.lex_state = 151, .external_lex_state = 5},
  [5260] = {.lex_state = 151, .external_lex_state = 2},
  [5261] = {.lex_state = 151, .external_lex_state = 5},
  [5262] = {.lex_state = 151, .external_lex_state = 2},
  [5263] = {.lex_state = 151, .external_lex_state = 5},
  [5264] = {.lex_state = 151, .external_lex_state = 5},
  [5265] = {.lex_state = 151, .external_lex_state = 5},
  [5266] = {.lex_state = 151, .external_lex_state = 5},
  [5267] = {.lex_state = 151, .external_lex_state = 5},
  [5268] = {.lex_state = 151, .external_lex_state = 5},
  [5269] = {.lex_state = 151, .external_lex_state = 5},
  [5270] = {.lex_state = 151, .external_lex_state = 5},
  [5271] = {.lex_state = 151, .external_lex_state = 5},
  [5272] = {.lex_state = 151, .external_lex_state = 5},
  [5273] = {.lex_state = 151, .external_lex_state = 5},
  [5274] = {.lex_state = 151, .external_lex_state = 2},
  [5275] = {.lex_state = 151, .external_lex_state = 5},
  [5276] = {.lex_state = 151, .external_lex_state = 5},
  [5277] = {.lex_state = 151, .external_lex_state = 5},
  [5278] = {.lex_state = 151, .external_lex_state = 5},
  [5279] = {.lex_state = 151, .external_lex_state = 5},
  [5280] = {.lex_state = 151, .external_lex_state = 5},
  [5281] = {.lex_state = 151, .external_lex_state = 5},
  [5282] = {.lex_state = 151, .external_lex_state = 5},
  [5283] = {.lex_state = 151, .external_lex_state = 5},
  [5284] = {.lex_state = 151, .external_lex_state = 5},
  [5285] = {.lex_state = 151, .external_lex_state = 2},
  [5286] = {.lex_state = 151, .external_lex_state = 2},
  [5287] = {.lex_state = 151, .external_lex_state = 5},
  [5288] = {.lex_state = 5, .external_lex_state = 2},
  [5289] = {.lex_state = 151, .external_lex_state = 5},
  [5290] = {.lex_state = 151, .external_lex_state = 2},
  [5291] = {.lex_state = 151, .external_lex_state = 5},
  [5292] = {.lex_state = 151, .external_lex_state = 2},
  [5293] = {.lex_state = 151, .external_lex_state = 5},
  [5294] = {.lex_state = 151, .external_lex_state = 5},
  [5295] = {.lex_state = 151, .external_lex_state = 2},
  [5296] = {.lex_state = 151, .external_lex_state = 5},
  [5297] = {.lex_state = 151, .external_lex_state = 5},
  [5298] = {.lex_state = 151, .external_lex_state = 5},
  [5299] = {.lex_state = 151, .external_lex_state = 2},
  [5300] = {.lex_state = 151, .external_lex_state = 5},
  [5301] = {.lex_state = 151, .external_lex_state = 5},
  [5302] = {.lex_state = 151, .external_lex_state = 2},
  [5303] = {.lex_state = 151, .external_lex_state = 5},
  [5304] = {.lex_state = 151, .external_lex_state = 5},
  [5305] = {.lex_state = 151, .external_lex_state = 5},
  [5306] = {.lex_state = 151, .external_lex_state = 5},
  [5307] = {.lex_state = 151, .external_lex_state = 5},
  [5308] = {.lex_state = 151, .external_lex_state = 5},
  [5309] = {.lex_state = 151, .external_lex_state = 5},
  [5310] = {.lex_state = 151, .external_lex_state = 5},
  [5311] = {.lex_state = 151, .external_lex_state = 5},
  [5312] = {.lex_state = 151, .external_lex_state = 5},
  [5313] = {.lex_state = 151, .external_lex_state = 2},
  [5314] = {.lex_state = 151, .external_lex_state = 5},
  [5315] = {.lex_state = 151, .external_lex_state = 5},
  [5316] = {.lex_state = 151, .external_lex_state = 2},
  [5317] = {.lex_state = 151, .external_lex_state = 5},
  [5318] = {.lex_state = 151, .external_lex_state = 5},
  [5319] = {.lex_state = 151, .external_lex_state = 2},
  [5320] = {.lex_state = 151, .external_lex_state = 2},
  [5321] = {.lex_state = 151, .external_lex_state = 2},
  [5322] = {.lex_state = 151, .external_lex_state = 5},
  [5323] = {.lex_state = 151, .external_lex_state = 2},
  [5324] = {.lex_state = 151, .external_lex_state = 5},
  [5325] = {.lex_state = 151, .external_lex_state = 5},
  [5326] = {.lex_state = 151, .external_lex_state = 5},
  [5327] = {.lex_state = 151, .external_lex_state = 5},
  [5328] = {.lex_state = 151, .external_lex_state = 5},
  [5329] = {.lex_state = 151, .external_lex_state = 2},
  [5330] = {.lex_state = 151, .external_lex_state = 5},
  [5331] = {.lex_state = 151, .external_lex_state = 5},
  [5332] = {.lex_state = 151, .external_lex_state = 5},
  [5333] = {.lex_state = 151, .external_lex_state = 5},
  [5334] = {.lex_state = 151, .external_lex_state = 5},
  [5335] = {.lex_state = 151, .external_lex_state = 5},
  [5336] = {.lex_state = 151, .external_lex_state = 5},
  [5337] = {.lex_state = 151, .external_lex_state = 5},
  [5338] = {.lex_state = 151, .external_lex_state = 5},
  [5339] = {.lex_state = 15, .external_lex_state = 2},
  [5340] = {.lex_state = 151, .external_lex_state = 5},
  [5341] = {.lex_state = 151, .external_lex_state = 5},
  [5342] = {.lex_state = 151, .external_lex_state = 2},
  [5343] = {.lex_state = 151, .external_lex_state = 5},
  [5344] = {.lex_state = 151, .external_lex_state = 5},
  [5345] = {.lex_state = 151, .external_lex_state = 5},
  [5346] = {.lex_state = 5, .external_lex_state = 2},
  [5347] = {.lex_state = 151, .external_lex_state = 5},
  [5348] = {.lex_state = 151, .external_lex_state = 5},
  [5349] = {.lex_state = 151, .external_lex_state = 5},
  [5350] = {.lex_state = 151, .external_lex_state = 5},
  [5351] = {.lex_state = 151, .external_lex_state = 5},
  [5352] = {.lex_state = 151, .external_lex_state = 5},
  [5353] = {.lex_state = 151, .external_lex_state = 5},
  [5354] = {.lex_state = 151, .external_lex_state = 5},
  [5355] = {.lex_state = 151, .external_lex_state = 5},
  [5356] = {.lex_state = 151, .external_lex_state = 5},
  [5357] = {.lex_state = 151, .external_lex_state = 2},
  [5358] = {.lex_state = 151, .external_lex_state = 5},
  [5359] = {.lex_state = 151, .external_lex_state = 5},
  [5360] = {.lex_state = 151, .external_lex_state = 5},
  [5361] = {.lex_state = 151, .external_lex_state = 5},
  [5362] = {.lex_state = 151, .external_lex_state = 5},
  [5363] = {.lex_state = 151, .external_lex_state = 5},
  [5364] = {.lex_state = 151, .external_lex_state = 5},
  [5365] = {.lex_state = 151, .external_lex_state = 2},
  [5366] = {.lex_state = 151, .external_lex_state = 5},
  [5367] = {.lex_state = 151, .external_lex_state = 5},
  [5368] = {.lex_state = 151, .external_lex_state = 2},
  [5369] = {.lex_state = 151, .external_lex_state = 5},
  [5370] = {.lex_state = 151, .external_lex_state = 5},
  [5371] = {.lex_state = 151, .external_lex_state = 5},
  [5372] = {.lex_state = 151, .external_lex_state = 5},
  [5373] = {.lex_state = 151, .external_lex_state = 5},
  [5374] = {.lex_state = 151, .external_lex_state = 2},
  [5375] = {.lex_state = 151, .external_lex_state = 2},
  [5376] = {.lex_state = 151, .external_lex_state = 5},
  [5377] = {.lex_state = 151, .external_lex_state = 5},
  [5378] = {.lex_state = 151, .external_lex_state = 5},
  [5379] = {.lex_state = 151, .external_lex_state = 5},
  [5380] = {.lex_state = 151, .external_lex_state = 5},
  [5381] = {.lex_state = 151, .external_lex_state = 5},
  [5382] = {.lex_state = 151, .external_lex_state = 5},
  [5383] = {.lex_state = 151, .external_lex_state = 5},
  [5384] = {.lex_state = 151, .external_lex_state = 2},
  [5385] = {.lex_state = 151, .external_lex_state = 5},
  [5386] = {.lex_state = 151, .external_lex_state = 5},
  [5387] = {.lex_state = 151, .external_lex_state = 2},
  [5388] = {.lex_state = 151, .external_lex_state = 5},
  [5389] = {.lex_state = 151, .external_lex_state = 5},
  [5390] = {.lex_state = 151, .external_lex_state = 5},
  [5391] = {.lex_state = 151, .external_lex_state = 5},
  [5392] = {.lex_state = 151, .external_lex_state = 5},
  [5393] = {.lex_state = 151, .external_lex_state = 5},
  [5394] = {.lex_state = 151, .external_lex_state = 5},
  [5395] = {.lex_state = 151, .external_lex_state = 5},
  [5396] = {.lex_state = 151, .external_lex_state = 5},
  [5397] = {.lex_state = 151, .external_lex_state = 5},
  [5398] = {.lex_state = 151, .external_lex_state = 2},
  [5399] = {.lex_state = 151, .external_lex_state = 5},
  [5400] = {.lex_state = 151, .external_lex_state = 5},
  [5401] = {.lex_state = 151, .external_lex_state = 5},
  [5402] = {.lex_state = 151, .external_lex_state = 5},
  [5403] = {.lex_state = 151, .external_lex_state = 5},
  [5404] = {.lex_state = 151, .external_lex_state = 5},
  [5405] = {.lex_state = 151, .external_lex_state = 2},
  [5406] = {.lex_state = 151, .external_lex_state = 5},
  [5407] = {.lex_state = 151, .external_lex_state = 2},
  [5408] = {.lex_state = 151, .external_lex_state = 5},
  [5409] = {.lex_state = 151, .external_lex_state = 5},
  [5410] = {.lex_state = 151, .external_lex_state = 5},
  [5411] = {.lex_state = 151, .external_lex_state = 2},
  [5412] = {.lex_state = 151, .external_lex_state = 5},
  [5413] = {.lex_state = 151, .external_lex_state = 5},
  [5414] = {.lex_state = 151, .external_lex_state = 2},
  [5415] = {.lex_state = 151, .external_lex_state = 2},
  [5416] = {.lex_state = 151, .external_lex_state = 5},
  [5417] = {.lex_state = 151, .external_lex_state = 5},
  [5418] = {.lex_state = 151, .external_lex_state = 5},
  [5419] = {.lex_state = 151, .external_lex_state = 5},
  [5420] = {.lex_state = 151, .external_lex_state = 5},
  [5421] = {.lex_state = 151, .external_lex_state = 5},
  [5422] = {.lex_state = 151, .external_lex_state = 2},
  [5423] = {.lex_state = 151, .external_lex_state = 2},
  [5424] = {.lex_state = 151, .external_lex_state = 5},
  [5425] = {.lex_state = 151, .external_lex_state = 5},
  [5426] = {.lex_state = 151, .external_lex_state = 2},
  [5427] = {.lex_state = 151, .external_lex_state = 5},
  [5428] = {.lex_state = 151, .external_lex_state = 5},
  [5429] = {.lex_state = 151, .external_lex_state = 5},
  [5430] = {.lex_state = 151, .external_lex_state = 2},
  [5431] = {.lex_state = 151, .external_lex_state = 5},
  [5432] = {.lex_state = 151, .external_lex_state = 5},
  [5433] = {.lex_state = 151, .external_lex_state = 5},
  [5434] = {.lex_state = 151, .external_lex_state = 5},
  [5435] = {.lex_state = 151, .external_lex_state = 5},
  [5436] = {.lex_state = 151, .external_lex_state = 2},
  [5437] = {.lex_state = 151, .external_lex_state = 5},
  [5438] = {.lex_state = 151, .external_lex_state = 5},
  [5439] = {.lex_state = 151, .external_lex_state = 2},
  [5440] = {.lex_state = 151, .external_lex_state = 2},
  [5441] = {.lex_state = 151, .external_lex_state = 2},
  [5442] = {.lex_state = 151, .external_lex_state = 2},
  [5443] = {.lex_state = 151, .external_lex_state = 5},
  [5444] = {.lex_state = 151, .external_lex_state = 5},
  [5445] = {.lex_state = 2, .external_lex_state = 2},
  [5446] = {.lex_state = 151, .external_lex_state = 5},
  [5447] = {.lex_state = 151, .external_lex_state = 5},
  [5448] = {.lex_state = 151, .external_lex_state = 5},
  [5449] = {.lex_state = 5, .external_lex_state = 2},
  [5450] = {.lex_state = 151, .external_lex_state = 5},
  [5451] = {.lex_state = 151, .external_lex_state = 5},
  [5452] = {.lex_state = 151, .external_lex_state = 5},
  [5453] = {.lex_state = 151, .external_lex_state = 5},
  [5454] = {.lex_state = 151, .external_lex_state = 5},
  [5455] = {.lex_state = 151, .external_lex_state = 5},
  [5456] = {.lex_state = 151, .external_lex_state = 5},
  [5457] = {.lex_state = 151, .external_lex_state = 5},
  [5458] = {.lex_state = 151, .external_lex_state = 5},
  [5459] = {.lex_state = 151, .external_lex_state = 5},
  [5460] = {.lex_state = 151, .external_lex_state = 5},
  [5461] = {.lex_state = 151, .external_lex_state = 5},
  [5462] = {.lex_state = 151, .external_lex_state = 5},
  [5463] = {.lex_state = 151, .external_lex_state = 5},
  [5464] = {.lex_state = 151, .external_lex_state = 2},
  [5465] = {.lex_state = 151, .external_lex_state = 5},
  [5466] = {.lex_state = 151, .external_lex_state = 5},
  [5467] = {.lex_state = 151, .external_lex_state = 5},
  [5468] = {.lex_state = 151, .external_lex_state = 5},
  [5469] = {.lex_state = 151, .external_lex_state = 5},
  [5470] = {.lex_state = 151, .external_lex_state = 2},
  [5471] = {.lex_state = 151, .external_lex_state = 5},
  [5472] = {.lex_state = 2, .external_lex_state = 2},
  [5473] = {.lex_state = 151, .external_lex_state = 5},
  [5474] = {.lex_state = 151, .external_lex_state = 5},
  [5475] = {.lex_state = 151, .external_lex_state = 5},
  [5476] = {.lex_state = 5, .external_lex_state = 2},
  [5477] = {.lex_state = 151, .external_lex_state = 2},
  [5478] = {.lex_state = 151, .external_lex_state = 5},
  [5479] = {.lex_state = 151, .external_lex_state = 2},
  [5480] = {.lex_state = 151, .external_lex_state = 5},
  [5481] = {.lex_state = 151, .external_lex_state = 5},
  [5482] = {.lex_state = 151, .external_lex_state = 5},
  [5483] = {.lex_state = 151, .external_lex_state = 5},
  [5484] = {.lex_state = 151, .external_lex_state = 2},
  [5485] = {.lex_state = 151, .external_lex_state = 2},
  [5486] = {.lex_state = 5, .external_lex_state = 2},
  [5487] = {.lex_state = 151, .external_lex_state = 5},
  [5488] = {.lex_state = 151, .external_lex_state = 5},
  [5489] = {.lex_state = 151, .external_lex_state = 5},
  [5490] = {.lex_state = 5, .external_lex_state = 2},
  [5491] = {.lex_state = 151, .external_lex_state = 5},
  [5492] = {.lex_state = 151, .external_lex_state = 5},
  [5493] = {.lex_state = 151, .external_lex_state = 5},
  [5494] = {.lex_state = 151, .external_lex_state = 5},
  [5495] = {.lex_state = 151, .external_lex_state = 5},
  [5496] = {.lex_state = 151, .external_lex_state = 5},
  [5497] = {.lex_state = 151, .external_lex_state = 5},
  [5498] = {.lex_state = 151, .external_lex_state = 2},
  [5499] = {.lex_state = 151, .external_lex_state = 5},
  [5500] = {.lex_state = 151, .external_lex_state = 5},
  [5501] = {.lex_state = 151, .external_lex_state = 5},
  [5502] = {.lex_state = 151, .external_lex_state = 5},
  [5503] = {.lex_state = 151, .external_lex_state = 5},
  [5504] = {.lex_state = 151, .external_lex_state = 5},
  [5505] = {.lex_state = 151, .external_lex_state = 5},
  [5506] = {.lex_state = 151, .external_lex_state = 5},
  [5507] = {.lex_state = 151, .external_lex_state = 5},
  [5508] = {.lex_state = 151, .external_lex_state = 5},
  [5509] = {.lex_state = 151, .external_lex_state = 5},
  [5510] = {.lex_state = 151, .external_lex_state = 5},
  [5511] = {.lex_state = 151, .external_lex_state = 5},
  [5512] = {.lex_state = 151, .external_lex_state = 5},
  [5513] = {.lex_state = 151, .external_lex_state = 5},
  [5514] = {.lex_state = 151, .external_lex_state = 5},
  [5515] = {.lex_state = 151, .external_lex_state = 5},
  [5516] = {.lex_state = 151, .external_lex_state = 5},
  [5517] = {.lex_state = 151, .external_lex_state = 5},
  [5518] = {.lex_state = 151, .external_lex_state = 5},
  [5519] = {.lex_state = 151, .external_lex_state = 5},
  [5520] = {.lex_state = 151, .external_lex_state = 5},
  [5521] = {.lex_state = 151, .external_lex_state = 5},
  [5522] = {.lex_state = 151, .external_lex_state = 5},
  [5523] = {.lex_state = 151, .external_lex_state = 2},
  [5524] = {.lex_state = 151, .external_lex_state = 5},
  [5525] = {.lex_state = 151, .external_lex_state = 5},
  [5526] = {.lex_state = 151, .external_lex_state = 5},
  [5527] = {.lex_state = 151, .external_lex_state = 5},
  [5528] = {.lex_state = 151, .external_lex_state = 5},
  [5529] = {.lex_state = 151, .external_lex_state = 5},
  [5530] = {.lex_state = 151, .external_lex_state = 5},
  [5531] = {.lex_state = 151, .external_lex_state = 2},
  [5532] = {.lex_state = 151, .external_lex_state = 5},
  [5533] = {.lex_state = 151, .external_lex_state = 5},
  [5534] = {.lex_state = 151, .external_lex_state = 5},
  [5535] = {.lex_state = 151, .external_lex_state = 5},
  [5536] = {.lex_state = 151, .external_lex_state = 5},
  [5537] = {.lex_state = 2, .external_lex_state = 2},
  [5538] = {.lex_state = 151, .external_lex_state = 5},
  [5539] = {.lex_state = 151, .external_lex_state = 5},
  [5540] = {.lex_state = 151, .external_lex_state = 5},
  [5541] = {.lex_state = 151, .external_lex_state = 5},
  [5542] = {.lex_state = 151, .external_lex_state = 5},
  [5543] = {.lex_state = 151, .external_lex_state = 2},
  [5544] = {.lex_state = 151, .external_lex_state = 2},
  [5545] = {.lex_state = 151, .external_lex_state = 5},
  [5546] = {.lex_state = 151, .external_lex_state = 5},
  [5547] = {.lex_state = 151, .external_lex_state = 5},
  [5548] = {.lex_state = 151, .external_lex_state = 5},
  [5549] = {.lex_state = 151, .external_lex_state = 5},
  [5550] = {.lex_state = 151, .external_lex_state = 5},
  [5551] = {.lex_state = 151, .external_lex_state = 2},
  [5552] = {.lex_state = 151, .external_lex_state = 5},
  [5553] = {.lex_state = 151, .external_lex_state = 5},
  [5554] = {.lex_state = 151, .external_lex_state = 5},
  [5555] = {.lex_state = 151, .external_lex_state = 5},
  [5556] = {.lex_state = 151, .external_lex_state = 2},
  [5557] = {.lex_state = 151, .external_lex_state = 5},
  [5558] = {.lex_state = 151, .external_lex_state = 5},
  [5559] = {.lex_state = 151, .external_lex_state = 5},
  [5560] = {.lex_state = 151, .external_lex_state = 5},
  [5561] = {.lex_state = 151, .external_lex_state = 5},
  [5562] = {.lex_state = 151, .external_lex_state = 5},
  [5563] = {.lex_state = 151, .external_lex_state = 5},
  [5564] = {.lex_state = 151, .external_lex_state = 2},
  [5565] = {.lex_state = 151, .external_lex_state = 5},
  [5566] = {.lex_state = 151, .external_lex_state = 5},
  [5567] = {.lex_state = 151, .external_lex_state = 5},
  [5568] = {.lex_state = 151, .external_lex_state = 5},
  [5569] = {.lex_state = 151, .external_lex_state = 5},
  [5570] = {.lex_state = 151, .external_lex_state = 5},
  [5571] = {.lex_state = 151, .external_lex_state = 5},
  [5572] = {.lex_state = 151, .external_lex_state = 5},
  [5573] = {.lex_state = 151, .external_lex_state = 5},
  [5574] = {.lex_state = 151, .external_lex_state = 5},
  [5575] = {.lex_state = 151, .external_lex_state = 5},
  [5576] = {.lex_state = 151, .external_lex_state = 5},
  [5577] = {.lex_state = 151, .external_lex_state = 5},
  [5578] = {.lex_state = 151, .external_lex_state = 5},
  [5579] = {.lex_state = 151, .external_lex_state = 2},
  [5580] = {.lex_state = 151, .external_lex_state = 5},
  [5581] = {.lex_state = 151, .external_lex_state = 5},
  [5582] = {.lex_state = 151, .external_lex_state = 5},
  [5583] = {.lex_state = 151, .external_lex_state = 5},
  [5584] = {.lex_state = 151, .external_lex_state = 5},
  [5585] = {.lex_state = 151, .external_lex_state = 5},
  [5586] = {.lex_state = 151, .external_lex_state = 5},
  [5587] = {.lex_state = 151, .external_lex_state = 2},
  [5588] = {.lex_state = 151, .external_lex_state = 2},
  [5589] = {.lex_state = 151, .external_lex_state = 5},
  [5590] = {.lex_state = 151, .external_lex_state = 5},
  [5591] = {.lex_state = 151, .external_lex_state = 2},
  [5592] = {.lex_state = 151, .external_lex_state = 2},
  [5593] = {.lex_state = 151, .external_lex_state = 5},
  [5594] = {.lex_state = 151, .external_lex_state = 5},
  [5595] = {.lex_state = 151, .external_lex_state = 5},
  [5596] = {.lex_state = 151, .external_lex_state = 5},
  [5597] = {.lex_state = 151, .external_lex_state = 5},
  [5598] = {.lex_state = 151, .external_lex_state = 5},
  [5599] = {.lex_state = 151, .external_lex_state = 5},
  [5600] = {.lex_state = 151, .external_lex_state = 5},
  [5601] = {.lex_state = 151, .external_lex_state = 5},
  [5602] = {.lex_state = 151, .external_lex_state = 5},
  [5603] = {.lex_state = 151, .external_lex_state = 5},
  [5604] = {.lex_state = 151, .external_lex_state = 5},
  [5605] = {.lex_state = 151, .external_lex_state = 5},
  [5606] = {.lex_state = 151, .external_lex_state = 5},
  [5607] = {.lex_state = 151, .external_lex_state = 5},
  [5608] = {.lex_state = 151, .external_lex_state = 2},
  [5609] = {.lex_state = 151, .external_lex_state = 5},
  [5610] = {.lex_state = 151, .external_lex_state = 5},
  [5611] = {.lex_state = 151, .external_lex_state = 5},
  [5612] = {.lex_state = 151, .external_lex_state = 5},
  [5613] = {.lex_state = 5, .external_lex_state = 2},
  [5614] = {.lex_state = 151, .external_lex_state = 2},
  [5615] = {.lex_state = 151, .external_lex_state = 5},
  [5616] = {.lex_state = 151, .external_lex_state = 2},
  [5617] = {.lex_state = 151, .external_lex_state = 2},
  [5618] = {.lex_state = 151, .external_lex_state = 2},
  [5619] = {.lex_state = 151, .external_lex_state = 5},
  [5620] = {.lex_state = 151, .external_lex_state = 2},
  [5621] = {.lex_state = 151, .external_lex_state = 5},
  [5622] = {.lex_state = 151, .external_lex_state = 2},
  [5623] = {.lex_state = 2, .external_lex_state = 2},
  [5624] = {.lex_state = 151, .external_lex_state = 5},
  [5625] = {.lex_state = 151, .external_lex_state = 5},
  [5626] = {.lex_state = 151, .external_lex_state = 5},
  [5627] = {.lex_state = 151, .external_lex_state = 5},
  [5628] = {.lex_state = 151, .external_lex_state = 5},
  [5629] = {.lex_state = 151, .external_lex_state = 5},
  [5630] = {.lex_state = 151, .external_lex_state = 2},
  [5631] = {.lex_state = 151, .external_lex_state = 5},
  [5632] = {.lex_state = 151, .external_lex_state = 5},
  [5633] = {.lex_state = 151, .external_lex_state = 2},
  [5634] = {.lex_state = 151, .external_lex_state = 5},
  [5635] = {.lex_state = 151, .external_lex_state = 5},
  [5636] = {.lex_state = 151, .external_lex_state = 5},
  [5637] = {.lex_state = 151, .external_lex_state = 5},
  [5638] = {.lex_state = 151, .external_lex_state = 5},
  [5639] = {.lex_state = 151, .external_lex_state = 5},
  [5640] = {.lex_state = 151, .external_lex_state = 5},
  [5641] = {.lex_state = 151, .external_lex_state = 5},
  [5642] = {.lex_state = 151, .external_lex_state = 5},
  [5643] = {.lex_state = 151, .external_lex_state = 5},
  [5644] = {.lex_state = 151, .external_lex_state = 2},
  [5645] = {.lex_state = 151, .external_lex_state = 5},
  [5646] = {.lex_state = 151, .external_lex_state = 5},
  [5647] = {.lex_state = 151, .external_lex_state = 5},
  [5648] = {.lex_state = 151, .external_lex_state = 5},
  [5649] = {.lex_state = 151, .external_lex_state = 5},
  [5650] = {.lex_state = 151, .external_lex_state = 5},
  [5651] = {.lex_state = 151, .external_lex_state = 5},
  [5652] = {.lex_state = 151, .external_lex_state = 5},
  [5653] = {.lex_state = 151, .external_lex_state = 2},
  [5654] = {.lex_state = 151, .external_lex_state = 5},
  [5655] = {.lex_state = 15, .external_lex_state = 2},
  [5656] = {.lex_state = 151, .external_lex_state = 5},
  [5657] = {.lex_state = 151, .external_lex_state = 5},
  [5658] = {.lex_state = 151, .external_lex_state = 5},
  [5659] = {.lex_state = 151, .external_lex_state = 5},
  [5660] = {.lex_state = 151, .external_lex_state = 5},
  [5661] = {.lex_state = 151, .external_lex_state = 5},
  [5662] = {.lex_state = 151, .external_lex_state = 5},
  [5663] = {.lex_state = 151, .external_lex_state = 5},
  [5664] = {.lex_state = 151, .external_lex_state = 5},
  [5665] = {.lex_state = 151, .external_lex_state = 5},
  [5666] = {.lex_state = 151, .external_lex_state = 5},
  [5667] = {.lex_state = 151, .external_lex_state = 5},
  [5668] = {.lex_state = 151, .external_lex_state = 2},
  [5669] = {.lex_state = 151, .external_lex_state = 5},
  [5670] = {.lex_state = 151, .external_lex_state = 5},
  [5671] = {.lex_state = 151, .external_lex_state = 2},
  [5672] = {.lex_state = 151, .external_lex_state = 5},
  [5673] = {.lex_state = 151, .external_lex_state = 5},
  [5674] = {.lex_state = 151, .external_lex_state = 2},
  [5675] = {.lex_state = 151, .external_lex_state = 5},
  [5676] = {.lex_state = 151, .external_lex_state = 5},
  [5677] = {.lex_state = 151, .external_lex_state = 5},
  [5678] = {.lex_state = 151, .external_lex_state = 2},
  [5679] = {.lex_state = 151, .external_lex_state = 2},
  [5680] = {.lex_state = 151, .external_lex_state = 5},
  [5681] = {.lex_state = 151, .external_lex_state = 2},
  [5682] = {.lex_state = 151, .external_lex_state = 2},
  [5683] = {.lex_state = 151, .external_lex_state = 2},
  [5684] = {.lex_state = 151, .external_lex_state = 5},
  [5685] = {.lex_state = 151, .external_lex_state = 5},
  [5686] = {.lex_state = 151, .external_lex_state = 5},
  [5687] = {.lex_state = 151, .external_lex_state = 5},
  [5688] = {.lex_state = 151, .external_lex_state = 5},
  [5689] = {.lex_state = 151, .external_lex_state = 2},
  [5690] = {.lex_state = 2, .external_lex_state = 2},
  [5691] = {.lex_state = 151, .external_lex_state = 5},
  [5692] = {.lex_state = 151, .external_lex_state = 5},
  [5693] = {.lex_state = 24, .external_lex_state = 8},
  [5694] = {.lex_state = 151, .external_lex_state = 5},
  [5695] = {.lex_state = 151, .external_lex_state = 5},
  [5696] = {.lex_state = 151, .external_lex_state = 5},
  [5697] = {.lex_state = 151, .external_lex_state = 5},
  [5698] = {.lex_state = 151, .external_lex_state = 2},
  [5699] = {.lex_state = 151, .external_lex_state = 5},
  [5700] = {.lex_state = 151, .external_lex_state = 2},
  [5701] = {.lex_state = 151, .external_lex_state = 5},
  [5702] = {.lex_state = 151, .external_lex_state = 2},
  [5703] = {.lex_state = 151, .external_lex_state = 2},
  [5704] = {.lex_state = 5, .external_lex_state = 2},
  [5705] = {.lex_state = 151, .external_lex_state = 5},
  [5706] = {.lex_state = 151, .external_lex_state = 5},
  [5707] = {.lex_state = 151, .external_lex_state = 5},
  [5708] = {.lex_state = 151, .external_lex_state = 2},
  [5709] = {.lex_state = 151, .external_lex_state = 5},
  [5710] = {.lex_state = 151, .external_lex_state = 2},
  [5711] = {.lex_state = 151, .external_lex_state = 2},
  [5712] = {.lex_state = 5, .external_lex_state = 2},
  [5713] = {.lex_state = 151, .external_lex_state = 5},
  [5714] = {.lex_state = 151, .external_lex_state = 5},
  [5715] = {.lex_state = 151, .external_lex_state = 5},
  [5716] = {.lex_state = 151, .external_lex_state = 5},
  [5717] = {.lex_state = 151, .external_lex_state = 5},
  [5718] = {.lex_state = 151, .external_lex_state = 2},
  [5719] = {.lex_state = 151, .external_lex_state = 5},
  [5720] = {.lex_state = 151, .external_lex_state = 2},
  [5721] = {.lex_state = 151, .external_lex_state = 5},
  [5722] = {.lex_state = 151, .external_lex_state = 5},
  [5723] = {.lex_state = 151, .external_lex_state = 5},
  [5724] = {.lex_state = 151, .external_lex_state = 2},
  [5725] = {.lex_state = 151, .external_lex_state = 5},
  [5726] = {.lex_state = 151, .external_lex_state = 5},
  [5727] = {.lex_state = 151, .external_lex_state = 5},
  [5728] = {.lex_state = 151, .external_lex_state = 5},
  [5729] = {.lex_state = 151, .external_lex_state = 5},
  [5730] = {.lex_state = 151, .external_lex_state = 5},
  [5731] = {.lex_state = 151, .external_lex_state = 5},
  [5732] = {.lex_state = 151, .external_lex_state = 5},
  [5733] = {.lex_state = 151, .external_lex_state = 5},
  [5734] = {.lex_state = 151, .external_lex_state = 5},
  [5735] = {.lex_state = 151, .external_lex_state = 5},
  [5736] = {.lex_state = 151, .external_lex_state = 2},
  [5737] = {.lex_state = 151, .external_lex_state = 5},
  [5738] = {.lex_state = 151, .external_lex_state = 5},
  [5739] = {.lex_state = 151, .external_lex_state = 5},
  [5740] = {.lex_state = 151, .external_lex_state = 5},
  [5741] = {.lex_state = 151, .external_lex_state = 2},
  [5742] = {.lex_state = 151, .external_lex_state = 5},
  [5743] = {.lex_state = 151, .external_lex_state = 5},
  [5744] = {.lex_state = 151, .external_lex_state = 5},
  [5745] = {.lex_state = 151, .external_lex_state = 5},
  [5746] = {.lex_state = 151, .external_lex_state = 5},
  [5747] = {.lex_state = 151, .external_lex_state = 5},
  [5748] = {.lex_state = 151, .external_lex_state = 5},
  [5749] = {.lex_state = 151, .external_lex_state = 5},
  [5750] = {.lex_state = 151, .external_lex_state = 5},
  [5751] = {.lex_state = 5, .external_lex_state = 2},
  [5752] = {.lex_state = 151, .external_lex_state = 5},
  [5753] = {.lex_state = 151, .external_lex_state = 5},
  [5754] = {.lex_state = 151, .external_lex_state = 5},
  [5755] = {.lex_state = 151, .external_lex_state = 5},
  [5756] = {.lex_state = 151, .external_lex_state = 5},
  [5757] = {.lex_state = 151, .external_lex_state = 5},
  [5758] = {.lex_state = 151, .external_lex_state = 5},
  [5759] = {.lex_state = 151, .external_lex_state = 5},
  [5760] = {.lex_state = 151, .external_lex_state = 5},
  [5761] = {.lex_state = 151, .external_lex_state = 5},
  [5762] = {.lex_state = 151, .external_lex_state = 2},
  [5763] = {.lex_state = 151, .external_lex_state = 5},
  [5764] = {.lex_state = 151, .external_lex_state = 2},
  [5765] = {.lex_state = 151, .external_lex_state = 5},
  [5766] = {.lex_state = 151, .external_lex_state = 5},
  [5767] = {.lex_state = 151, .external_lex_state = 5},
  [5768] = {.lex_state = 151, .external_lex_state = 2},
  [5769] = {.lex_state = 151, .external_lex_state = 5},
  [5770] = {.lex_state = 151, .external_lex_state = 5},
  [5771] = {.lex_state = 151, .external_lex_state = 5},
  [5772] = {.lex_state = 151, .external_lex_state = 5},
  [5773] = {.lex_state = 151, .external_lex_state = 5},
  [5774] = {.lex_state = 151, .external_lex_state = 5},
  [5775] = {.lex_state = 151, .external_lex_state = 5},
  [5776] = {.lex_state = 151, .external_lex_state = 2},
  [5777] = {.lex_state = 151, .external_lex_state = 5},
  [5778] = {.lex_state = 151, .external_lex_state = 5},
  [5779] = {.lex_state = 151, .external_lex_state = 5},
  [5780] = {.lex_state = 151, .external_lex_state = 2},
  [5781] = {.lex_state = 151, .external_lex_state = 5},
  [5782] = {.lex_state = 151, .external_lex_state = 5},
  [5783] = {.lex_state = 151, .external_lex_state = 5},
  [5784] = {.lex_state = 151, .external_lex_state = 5},
  [5785] = {.lex_state = 151, .external_lex_state = 5},
  [5786] = {.lex_state = 151, .external_lex_state = 5},
  [5787] = {.lex_state = 151, .external_lex_state = 5},
  [5788] = {.lex_state = 151, .external_lex_state = 5},
  [5789] = {.lex_state = 151, .external_lex_state = 5},
  [5790] = {.lex_state = 151, .external_lex_state = 5},
  [5791] = {.lex_state = 151, .external_lex_state = 5},
  [5792] = {.lex_state = 151, .external_lex_state = 5},
  [5793] = {.lex_state = 151, .external_lex_state = 5},
  [5794] = {.lex_state = 151, .external_lex_state = 2},
  [5795] = {.lex_state = 151, .external_lex_state = 5},
  [5796] = {.lex_state = 151, .external_lex_state = 5},
  [5797] = {.lex_state = 151, .external_lex_state = 5},
  [5798] = {.lex_state = 151, .external_lex_state = 5},
  [5799] = {.lex_state = 151, .external_lex_state = 5},
  [5800] = {.lex_state = 151, .external_lex_state = 5},
  [5801] = {.lex_state = 151, .external_lex_state = 5},
  [5802] = {.lex_state = 151, .external_lex_state = 5},
  [5803] = {.lex_state = 151, .external_lex_state = 5},
  [5804] = {.lex_state = 151, .external_lex_state = 2},
  [5805] = {.lex_state = 151, .external_lex_state = 5},
  [5806] = {.lex_state = 151, .external_lex_state = 5},
  [5807] = {.lex_state = 151, .external_lex_state = 5},
  [5808] = {.lex_state = 151, .external_lex_state = 5},
  [5809] = {.lex_state = 151, .external_lex_state = 5},
  [5810] = {.lex_state = 151, .external_lex_state = 5},
  [5811] = {.lex_state = 151, .external_lex_state = 5},
  [5812] = {.lex_state = 151, .external_lex_state = 5},
  [5813] = {.lex_state = 151, .external_lex_state = 5},
  [5814] = {.lex_state = 151, .external_lex_state = 5},
  [5815] = {.lex_state = 151, .external_lex_state = 5},
  [5816] = {.lex_state = 151, .external_lex_state = 5},
  [5817] = {.lex_state = 151, .external_lex_state = 5},
  [5818] = {.lex_state = 151, .external_lex_state = 5},
  [5819] = {.lex_state = 151, .external_lex_state = 5},
  [5820] = {.lex_state = 151, .external_lex_state = 5},
  [5821] = {.lex_state = 151, .external_lex_state = 5},
  [5822] = {.lex_state = 151, .external_lex_state = 5},
  [5823] = {.lex_state = 151, .external_lex_state = 5},
  [5824] = {.lex_state = 151, .external_lex_state = 5},
  [5825] = {.lex_state = 151, .external_lex_state = 5},
  [5826] = {.lex_state = 151, .external_lex_state = 5},
  [5827] = {.lex_state = 151, .external_lex_state = 2},
  [5828] = {.lex_state = 151, .external_lex_state = 5},
  [5829] = {.lex_state = 151, .external_lex_state = 5},
  [5830] = {.lex_state = 151, .external_lex_state = 5},
  [5831] = {.lex_state = 151, .external_lex_state = 5},
  [5832] = {.lex_state = 151, .external_lex_state = 5},
  [5833] = {.lex_state = 151, .external_lex_state = 5},
  [5834] = {.lex_state = 151, .external_lex_state = 5},
  [5835] = {.lex_state = 151, .external_lex_state = 5},
  [5836] = {.lex_state = 151, .external_lex_state = 5},
  [5837] = {.lex_state = 151, .external_lex_state = 5},
  [5838] = {.lex_state = 151, .external_lex_state = 5},
  [5839] = {.lex_state = 151, .external_lex_state = 5},
  [5840] = {.lex_state = 151, .external_lex_state = 2},
  [5841] = {.lex_state = 151, .external_lex_state = 2},
  [5842] = {.lex_state = 151, .external_lex_state = 2},
  [5843] = {.lex_state = 151, .external_lex_state = 2},
  [5844] = {.lex_state = 151, .external_lex_state = 2},
  [5845] = {.lex_state = 151, .external_lex_state = 2},
  [5846] = {.lex_state = 151, .external_lex_state = 2},
  [5847] = {.lex_state = 151, .external_lex_state = 2},
  [5848] = {.lex_state = 151, .external_lex_state = 2},
  [5849] = {.lex_state = 151, .external_lex_state = 2},
  [5850] = {.lex_state = 151, .external_lex_state = 2},
  [5851] = {.lex_state = 151, .external_lex_state = 2},
  [5852] = {.lex_state = 151, .external_lex_state = 2},
  [5853] = {.lex_state = 151, .external_lex_state = 2},
  [5854] = {.lex_state = 151, .external_lex_state = 2},
  [5855] = {.lex_state = 151, .external_lex_state = 5},
  [5856] = {.lex_state = 151, .external_lex_state = 2},
  [5857] = {.lex_state = 151, .external_lex_state = 2},
  [5858] = {.lex_state = 151, .external_lex_state = 2},
  [5859] = {.lex_state = 151, .external_lex_state = 2},
  [5860] = {.lex_state = 151, .external_lex_state = 2},
  [5861] = {.lex_state = 151, .external_lex_state = 2},
  [5862] = {.lex_state = 151, .external_lex_state = 2},
  [5863] = {.lex_state = 151, .external_lex_state = 2},
  [5864] = {.lex_state = 151, .external_lex_state = 2},
  [5865] = {.lex_state = 151, .external_lex_state = 2},
  [5866] = {.lex_state = 151, .external_lex_state = 2},
  [5867] = {.lex_state = 151, .external_lex_state = 2},
  [5868] = {.lex_state = 151, .external_lex_state = 2},
  [5869] = {.lex_state = 151, .external_lex_state = 2},
  [5870] = {.lex_state = 151, .external_lex_state = 2},
  [5871] = {.lex_state = 151, .external_lex_state = 2},
  [5872] = {.lex_state = 151, .external_lex_state = 2},
  [5873] = {.lex_state = 151, .external_lex_state = 2},
  [5874] = {.lex_state = 151, .external_lex_state = 2},
  [5875] = {.lex_state = 151, .external_lex_state = 2},
  [5876] = {.lex_state = 151, .external_lex_state = 2},
  [5877] = {.lex_state = 151, .external_lex_state = 2},
  [5878] = {.lex_state = 151, .external_lex_state = 2},
  [5879] = {.lex_state = 151, .external_lex_state = 2},
  [5880] = {.lex_state = 151, .external_lex_state = 2},
  [5881] = {.lex_state = 151, .external_lex_state = 2},
  [5882] = {.lex_state = 151, .external_lex_state = 2},
  [5883] = {.lex_state = 151, .external_lex_state = 2},
  [5884] = {.lex_state = 151, .external_lex_state = 5},
  [5885] = {.lex_state = 151, .external_lex_state = 2},
  [5886] = {.lex_state = 151, .external_lex_state = 2},
  [5887] = {.lex_state = 151, .external_lex_state = 2},
  [5888] = {.lex_state = 151, .external_lex_state = 2},
  [5889] = {.lex_state = 151, .external_lex_state = 2},
  [5890] = {.lex_state = 151, .external_lex_state = 2},
  [5891] = {.lex_state = 151, .external_lex_state = 2},
  [5892] = {.lex_state = 151, .external_lex_state = 2},
  [5893] = {.lex_state = 151, .external_lex_state = 2},
  [5894] = {.lex_state = 151, .external_lex_state = 2},
  [5895] = {.lex_state = 151, .external_lex_state = 2},
  [5896] = {.lex_state = 151, .external_lex_state = 2},
  [5897] = {.lex_state = 151, .external_lex_state = 2},
  [5898] = {.lex_state = 151, .external_lex_state = 2},
  [5899] = {.lex_state = 151, .external_lex_state = 2},
  [5900] = {.lex_state = 151, .external_lex_state = 2},
  [5901] = {.lex_state = 151, .external_lex_state = 2},
  [5902] = {.lex_state = 151, .external_lex_state = 2},
  [5903] = {.lex_state = 151, .external_lex_state = 2},
  [5904] = {.lex_state = 151, .external_lex_state = 2},
  [5905] = {.lex_state = 151, .external_lex_state = 2},
  [5906] = {.lex_state = 151, .external_lex_state = 2},
  [5907] = {.lex_state = 151, .external_lex_state = 2},
  [5908] = {.lex_state = 151, .external_lex_state = 2},
  [5909] = {.lex_state = 151, .external_lex_state = 2},
  [5910] = {.lex_state = 151, .external_lex_state = 2},
  [5911] = {.lex_state = 151, .external_lex_state = 2},
  [5912] = {.lex_state = 151, .external_lex_state = 2},
  [5913] = {.lex_state = 151, .external_lex_state = 2},
  [5914] = {.lex_state = 151, .external_lex_state = 2},
  [5915] = {.lex_state = 151, .external_lex_state = 2},
  [5916] = {.lex_state = 151, .external_lex_state = 2},
  [5917] = {.lex_state = 151, .external_lex_state = 2},
  [5918] = {.lex_state = 151, .external_lex_state = 2},
  [5919] = {.lex_state = 151, .external_lex_state = 2},
  [5920] = {.lex_state = 151, .external_lex_state = 5},
  [5921] = {.lex_state = 151, .external_lex_state = 2},
  [5922] = {.lex_state = 151, .external_lex_state = 2},
  [5923] = {.lex_state = 151, .external_lex_state = 5},
  [5924] = {.lex_state = 151, .external_lex_state = 2},
  [5925] = {.lex_state = 151, .external_lex_state = 5},
  [5926] = {.lex_state = 151, .external_lex_state = 2},
  [5927] = {.lex_state = 151, .external_lex_state = 5},
  [5928] = {.lex_state = 151, .external_lex_state = 2},
  [5929] = {.lex_state = 151, .external_lex_state = 2},
  [5930] = {.lex_state = 151, .external_lex_state = 2},
  [5931] = {.lex_state = 151, .external_lex_state = 2},
  [5932] = {.lex_state = 151, .external_lex_state = 2},
  [5933] = {.lex_state = 151, .external_lex_state = 2},
  [5934] = {.lex_state = 151, .external_lex_state = 2},
  [5935] = {.lex_state = 151, .external_lex_state = 2},
  [5936] = {.lex_state = 151, .external_lex_state = 2},
  [5937] = {.lex_state = 151, .external_lex_state = 2},
  [5938] = {.lex_state = 151, .external_lex_state = 2},
  [5939] = {.lex_state = 151, .external_lex_state = 2},
  [5940] = {.lex_state = 151, .external_lex_state = 2},
  [5941] = {.lex_state = 151, .external_lex_state = 2},
  [5942] = {.lex_state = 151, .external_lex_state = 2},
  [5943] = {.lex_state = 151, .external_lex_state = 2},
  [5944] = {.lex_state = 151, .external_lex_state = 2},
  [5945] = {.lex_state = 151, .external_lex_state = 2},
  [5946] = {.lex_state = 151, .external_lex_state = 2},
  [5947] = {.lex_state = 151, .external_lex_state = 2},
  [5948] = {.lex_state = 151, .external_lex_state = 2},
  [5949] = {.lex_state = 151, .external_lex_state = 2},
  [5950] = {.lex_state = 151, .external_lex_state = 2},
  [5951] = {.lex_state = 151, .external_lex_state = 2},
  [5952] = {.lex_state = 151, .external_lex_state = 2},
  [5953] = {.lex_state = 151, .external_lex_state = 2},
  [5954] = {.lex_state = 151, .external_lex_state = 2},
  [5955] = {.lex_state = 151, .external_lex_state = 2},
  [5956] = {.lex_state = 151, .external_lex_state = 2},
  [5957] = {.lex_state = 151, .external_lex_state = 2},
  [5958] = {.lex_state = 151, .external_lex_state = 2},
  [5959] = {.lex_state = 151, .external_lex_state = 2},
  [5960] = {.lex_state = 151, .external_lex_state = 2},
  [5961] = {.lex_state = 151, .external_lex_state = 2},
  [5962] = {.lex_state = 151, .external_lex_state = 2},
  [5963] = {.lex_state = 151, .external_lex_state = 2},
  [5964] = {.lex_state = 151, .external_lex_state = 2},
  [5965] = {.lex_state = 151, .external_lex_state = 2},
  [5966] = {.lex_state = 151, .external_lex_state = 2},
  [5967] = {.lex_state = 151, .external_lex_state = 2},
  [5968] = {.lex_state = 151, .external_lex_state = 2},
  [5969] = {.lex_state = 151, .external_lex_state = 2},
  [5970] = {.lex_state = 151, .external_lex_state = 2},
  [5971] = {.lex_state = 151, .external_lex_state = 2},
  [5972] = {.lex_state = 151, .external_lex_state = 2},
  [5973] = {.lex_state = 17, .external_lex_state = 2},
  [5974] = {.lex_state = 151, .external_lex_state = 2},
  [5975] = {.lex_state = 151, .external_lex_state = 2},
  [5976] = {.lex_state = 151, .external_lex_state = 2},
  [5977] = {.lex_state = 151, .external_lex_state = 2},
  [5978] = {.lex_state = 151, .external_lex_state = 2},
  [5979] = {.lex_state = 151, .external_lex_state = 2},
  [5980] = {.lex_state = 151, .external_lex_state = 2},
  [5981] = {.lex_state = 151, .external_lex_state = 2},
  [5982] = {.lex_state = 151, .external_lex_state = 2},
  [5983] = {.lex_state = 151, .external_lex_state = 2},
  [5984] = {.lex_state = 151, .external_lex_state = 2},
  [5985] = {.lex_state = 151, .external_lex_state = 5},
  [5986] = {.lex_state = 151, .external_lex_state = 2},
  [5987] = {.lex_state = 151, .external_lex_state = 2},
  [5988] = {.lex_state = 151, .external_lex_state = 2},
  [5989] = {.lex_state = 151, .external_lex_state = 2},
  [5990] = {.lex_state = 151, .external_lex_state = 2},
  [5991] = {.lex_state = 151, .external_lex_state = 2},
  [5992] = {.lex_state = 151, .external_lex_state = 2},
  [5993] = {.lex_state = 151, .external_lex_state = 2},
  [5994] = {.lex_state = 151, .external_lex_state = 2},
  [5995] = {.lex_state = 151, .external_lex_state = 2},
  [5996] = {.lex_state = 151, .external_lex_state = 2},
  [5997] = {.lex_state = 151, .external_lex_state = 2},
  [5998] = {.lex_state = 151, .external_lex_state = 2},
  [5999] = {.lex_state = 151, .external_lex_state = 2},
  [6000] = {.lex_state = 151, .external_lex_state = 2},
  [6001] = {.lex_state = 151, .external_lex_state = 2},
  [6002] = {.lex_state = 151, .external_lex_state = 2},
  [6003] = {.lex_state = 151, .external_lex_state = 2},
  [6004] = {.lex_state = 151, .external_lex_state = 2},
  [6005] = {.lex_state = 151, .external_lex_state = 2},
  [6006] = {.lex_state = 151, .external_lex_state = 2},
  [6007] = {.lex_state = 151, .external_lex_state = 2},
  [6008] = {.lex_state = 151, .external_lex_state = 2},
  [6009] = {.lex_state = 151, .external_lex_state = 2},
  [6010] = {.lex_state = 151, .external_lex_state = 5},
  [6011] = {.lex_state = 151, .external_lex_state = 2},
  [6012] = {.lex_state = 151, .external_lex_state = 2},
  [6013] = {.lex_state = 151, .external_lex_state = 2},
  [6014] = {.lex_state = 151, .external_lex_state = 2},
  [6015] = {.lex_state = 151, .external_lex_state = 2},
  [6016] = {.lex_state = 151, .external_lex_state = 2},
  [6017] = {.lex_state = 151, .external_lex_state = 2},
  [6018] = {.lex_state = 151, .external_lex_state = 2},
  [6019] = {.lex_state = 151, .external_lex_state = 2},
  [6020] = {.lex_state = 151, .external_lex_state = 2},
  [6021] = {.lex_state = 151, .external_lex_state = 2},
  [6022] = {.lex_state = 151, .external_lex_state = 2},
  [6023] = {.lex_state = 151, .external_lex_state = 2},
  [6024] = {.lex_state = 151, .external_lex_state = 2},
  [6025] = {.lex_state = 151, .external_lex_state = 2},
  [6026] = {.lex_state = 151, .external_lex_state = 2},
  [6027] = {.lex_state = 151, .external_lex_state = 2},
  [6028] = {.lex_state = 151, .external_lex_state = 2},
  [6029] = {.lex_state = 151, .external_lex_state = 2},
  [6030] = {.lex_state = 151, .external_lex_state = 2},
  [6031] = {.lex_state = 151, .external_lex_state = 2},
  [6032] = {.lex_state = 151, .external_lex_state = 2},
  [6033] = {.lex_state = 151, .external_lex_state = 2},
  [6034] = {.lex_state = 151, .external_lex_state = 2},
  [6035] = {.lex_state = 151, .external_lex_state = 2},
  [6036] = {.lex_state = 151, .external_lex_state = 2},
  [6037] = {.lex_state = 151, .external_lex_state = 2},
  [6038] = {.lex_state = 151, .external_lex_state = 2},
  [6039] = {.lex_state = 151, .external_lex_state = 2},
  [6040] = {.lex_state = 151, .external_lex_state = 5},
  [6041] = {.lex_state = 151, .external_lex_state = 2},
  [6042] = {.lex_state = 151, .external_lex_state = 2},
  [6043] = {.lex_state = 151, .external_lex_state = 2},
  [6044] = {.lex_state = 151, .external_lex_state = 2},
  [6045] = {.lex_state = 151, .external_lex_state = 2},
  [6046] = {.lex_state = 151, .external_lex_state = 2},
  [6047] = {.lex_state = 151, .external_lex_state = 2},
  [6048] = {.lex_state = 151, .external_lex_state = 2},
  [6049] = {.lex_state = 151, .external_lex_state = 2},
  [6050] = {.lex_state = 151, .external_lex_state = 2},
  [6051] = {.lex_state = 151, .external_lex_state = 5},
  [6052] = {.lex_state = 151, .external_lex_state = 2},
  [6053] = {.lex_state = 151, .external_lex_state = 5},
  [6054] = {.lex_state = 151, .external_lex_state = 2},
  [6055] = {.lex_state = 151, .external_lex_state = 5},
  [6056] = {.lex_state = 151, .external_lex_state = 5},
  [6057] = {.lex_state = 151, .external_lex_state = 5},
  [6058] = {.lex_state = 151, .external_lex_state = 2},
  [6059] = {.lex_state = 151, .external_lex_state = 2},
  [6060] = {.lex_state = 151, .external_lex_state = 2},
  [6061] = {.lex_state = 151, .external_lex_state = 2},
  [6062] = {.lex_state = 151, .external_lex_state = 2},
  [6063] = {.lex_state = 151, .external_lex_state = 2},
  [6064] = {.lex_state = 151, .external_lex_state = 2},
  [6065] = {.lex_state = 151, .external_lex_state = 2},
  [6066] = {.lex_state = 151, .external_lex_state = 5},
  [6067] = {.lex_state = 151, .external_lex_state = 2},
  [6068] = {.lex_state = 151, .external_lex_state = 2},
  [6069] = {.lex_state = 151, .external_lex_state = 2},
  [6070] = {.lex_state = 151, .external_lex_state = 5},
  [6071] = {.lex_state = 151, .external_lex_state = 2},
  [6072] = {.lex_state = 151, .external_lex_state = 2},
  [6073] = {.lex_state = 151, .external_lex_state = 2},
  [6074] = {.lex_state = 151, .external_lex_state = 5},
  [6075] = {.lex_state = 151, .external_lex_state = 2},
  [6076] = {.lex_state = 151, .external_lex_state = 5},
  [6077] = {.lex_state = 151, .external_lex_state = 2},
  [6078] = {.lex_state = 151, .external_lex_state = 2},
  [6079] = {.lex_state = 151, .external_lex_state = 2},
  [6080] = {.lex_state = 151, .external_lex_state = 2},
  [6081] = {.lex_state = 151, .external_lex_state = 2},
  [6082] = {.lex_state = 151, .external_lex_state = 2},
  [6083] = {.lex_state = 151, .external_lex_state = 2},
  [6084] = {.lex_state = 151, .external_lex_state = 2},
  [6085] = {.lex_state = 151, .external_lex_state = 2},
  [6086] = {.lex_state = 151, .external_lex_state = 2},
  [6087] = {.lex_state = 151, .external_lex_state = 2},
  [6088] = {.lex_state = 151, .external_lex_state = 2},
  [6089] = {.lex_state = 151, .external_lex_state = 2},
  [6090] = {.lex_state = 151, .external_lex_state = 2},
  [6091] = {.lex_state = 151, .external_lex_state = 2},
  [6092] = {.lex_state = 151, .external_lex_state = 2},
  [6093] = {.lex_state = 151, .external_lex_state = 2},
  [6094] = {.lex_state = 151, .external_lex_state = 2},
  [6095] = {.lex_state = 151, .external_lex_state = 2},
  [6096] = {.lex_state = 151, .external_lex_state = 2},
  [6097] = {.lex_state = 151, .external_lex_state = 2},
  [6098] = {.lex_state = 151, .external_lex_state = 2},
  [6099] = {.lex_state = 151, .external_lex_state = 2},
  [6100] = {.lex_state = 151, .external_lex_state = 2},
  [6101] = {.lex_state = 151, .external_lex_state = 2},
  [6102] = {.lex_state = 151, .external_lex_state = 2},
  [6103] = {.lex_state = 151, .external_lex_state = 2},
  [6104] = {.lex_state = 151, .external_lex_state = 2},
  [6105] = {.lex_state = 151, .external_lex_state = 2},
  [6106] = {.lex_state = 151, .external_lex_state = 2},
  [6107] = {.lex_state = 151, .external_lex_state = 2},
  [6108] = {.lex_state = 151, .external_lex_state = 2},
  [6109] = {.lex_state = 151, .external_lex_state = 2},
  [6110] = {.lex_state = 151, .external_lex_state = 5},
  [6111] = {.lex_state = 151, .external_lex_state = 5},
  [6112] = {.lex_state = 151, .external_lex_state = 2},
  [6113] = {.lex_state = 151, .external_lex_state = 2},
  [6114] = {.lex_state = 151, .external_lex_state = 2},
  [6115] = {.lex_state = 151, .external_lex_state = 2},
  [6116] = {.lex_state = 151, .external_lex_state = 2},
  [6117] = {.lex_state = 151, .external_lex_state = 2},
  [6118] = {.lex_state = 151, .external_lex_state = 2},
  [6119] = {.lex_state = 151, .external_lex_state = 2},
  [6120] = {.lex_state = 151, .external_lex_state = 2},
  [6121] = {.lex_state = 151, .external_lex_state = 2},
  [6122] = {.lex_state = 151, .external_lex_state = 2},
  [6123] = {.lex_state = 151, .external_lex_state = 2},
  [6124] = {.lex_state = 151, .external_lex_state = 2},
  [6125] = {.lex_state = 151, .external_lex_state = 2},
  [6126] = {.lex_state = 151, .external_lex_state = 2},
  [6127] = {.lex_state = 151, .external_lex_state = 5},
  [6128] = {.lex_state = 151, .external_lex_state = 2},
  [6129] = {.lex_state = 151, .external_lex_state = 2},
  [6130] = {.lex_state = 151, .external_lex_state = 2},
  [6131] = {.lex_state = 151, .external_lex_state = 2},
  [6132] = {.lex_state = 151, .external_lex_state = 2},
  [6133] = {.lex_state = 151, .external_lex_state = 2},
  [6134] = {.lex_state = 151, .external_lex_state = 2},
  [6135] = {.lex_state = 151, .external_lex_state = 2},
  [6136] = {.lex_state = 151, .external_lex_state = 2},
  [6137] = {.lex_state = 151, .external_lex_state = 2},
  [6138] = {.lex_state = 151, .external_lex_state = 2},
  [6139] = {.lex_state = 151, .external_lex_state = 2},
  [6140] = {.lex_state = 151, .external_lex_state = 2},
  [6141] = {.lex_state = 151, .external_lex_state = 2},
  [6142] = {.lex_state = 151, .external_lex_state = 2},
  [6143] = {.lex_state = 151, .external_lex_state = 2},
  [6144] = {.lex_state = 151, .external_lex_state = 2},
  [6145] = {.lex_state = 151, .external_lex_state = 5},
  [6146] = {.lex_state = 151, .external_lex_state = 2},
  [6147] = {.lex_state = 151, .external_lex_state = 2},
  [6148] = {.lex_state = 151, .external_lex_state = 2},
  [6149] = {.lex_state = 151, .external_lex_state = 2},
  [6150] = {.lex_state = 151, .external_lex_state = 2},
  [6151] = {.lex_state = 151, .external_lex_state = 2},
  [6152] = {.lex_state = 151, .external_lex_state = 2},
  [6153] = {.lex_state = 151, .external_lex_state = 2},
  [6154] = {.lex_state = 151, .external_lex_state = 2},
  [6155] = {.lex_state = 151, .external_lex_state = 5},
  [6156] = {.lex_state = 151, .external_lex_state = 5},
  [6157] = {.lex_state = 151, .external_lex_state = 2},
  [6158] = {.lex_state = 151, .external_lex_state = 2},
  [6159] = {.lex_state = 151, .external_lex_state = 2},
  [6160] = {.lex_state = 151, .external_lex_state = 2},
  [6161] = {.lex_state = 151, .external_lex_state = 2},
  [6162] = {.lex_state = 151, .external_lex_state = 2},
  [6163] = {.lex_state = 151, .external_lex_state = 2},
  [6164] = {.lex_state = 151, .external_lex_state = 2},
  [6165] = {.lex_state = 151, .external_lex_state = 2},
  [6166] = {.lex_state = 151, .external_lex_state = 2},
  [6167] = {.lex_state = 151, .external_lex_state = 5},
  [6168] = {.lex_state = 151, .external_lex_state = 2},
  [6169] = {.lex_state = 151, .external_lex_state = 2},
  [6170] = {.lex_state = 151, .external_lex_state = 5},
  [6171] = {.lex_state = 151, .external_lex_state = 2},
  [6172] = {.lex_state = 151, .external_lex_state = 2},
  [6173] = {.lex_state = 151, .external_lex_state = 2},
  [6174] = {.lex_state = 151, .external_lex_state = 5},
  [6175] = {.lex_state = 151, .external_lex_state = 2},
  [6176] = {.lex_state = 151, .external_lex_state = 2},
  [6177] = {.lex_state = 151, .external_lex_state = 2},
  [6178] = {.lex_state = 151, .external_lex_state = 2},
  [6179] = {.lex_state = 151, .external_lex_state = 2},
  [6180] = {.lex_state = 151, .external_lex_state = 2},
  [6181] = {.lex_state = 151, .external_lex_state = 2},
  [6182] = {.lex_state = 151, .external_lex_state = 5},
  [6183] = {.lex_state = 151, .external_lex_state = 2},
  [6184] = {.lex_state = 151, .external_lex_state = 2},
  [6185] = {.lex_state = 151, .external_lex_state = 2},
  [6186] = {.lex_state = 151, .external_lex_state = 2},
  [6187] = {.lex_state = 151, .external_lex_state = 2},
  [6188] = {.lex_state = 151, .external_lex_state = 2},
  [6189] = {.lex_state = 151, .external_lex_state = 2},
  [6190] = {.lex_state = 151, .external_lex_state = 2},
  [6191] = {.lex_state = 151, .external_lex_state = 2},
  [6192] = {.lex_state = 151, .external_lex_state = 2},
  [6193] = {.lex_state = 151, .external_lex_state = 2},
  [6194] = {.lex_state = 151, .external_lex_state = 2},
  [6195] = {.lex_state = 151, .external_lex_state = 2},
  [6196] = {.lex_state = 151, .external_lex_state = 2},
  [6197] = {.lex_state = 151, .external_lex_state = 2},
  [6198] = {.lex_state = 151, .external_lex_state = 2},
  [6199] = {.lex_state = 151, .external_lex_state = 2},
  [6200] = {.lex_state = 40, .external_lex_state = 2},
  [6201] = {.lex_state = 151, .external_lex_state = 2},
  [6202] = {.lex_state = 151, .external_lex_state = 2},
  [6203] = {.lex_state = 151, .external_lex_state = 2},
  [6204] = {.lex_state = 151, .external_lex_state = 2},
  [6205] = {.lex_state = 151, .external_lex_state = 2},
  [6206] = {.lex_state = 151, .external_lex_state = 2},
  [6207] = {.lex_state = 151, .external_lex_state = 2},
  [6208] = {.lex_state = 151, .external_lex_state = 2},
  [6209] = {.lex_state = 151, .external_lex_state = 2},
  [6210] = {.lex_state = 151, .external_lex_state = 2},
  [6211] = {.lex_state = 151, .external_lex_state = 2},
  [6212] = {.lex_state = 151, .external_lex_state = 2},
  [6213] = {.lex_state = 151, .external_lex_state = 2},
  [6214] = {.lex_state = 40, .external_lex_state = 2},
  [6215] = {.lex_state = 151, .external_lex_state = 2},
  [6216] = {.lex_state = 151, .external_lex_state = 2},
  [6217] = {.lex_state = 151, .external_lex_state = 2},
  [6218] = {.lex_state = 151, .external_lex_state = 2},
  [6219] = {.lex_state = 151, .external_lex_state = 2},
  [6220] = {.lex_state = 151, .external_lex_state = 2},
  [6221] = {.lex_state = 151, .external_lex_state = 2},
  [6222] = {.lex_state = 151, .external_lex_state = 2},
  [6223] = {.lex_state = 151, .external_lex_state = 2},
  [6224] = {.lex_state = 151, .external_lex_state = 2},
  [6225] = {.lex_state = 151, .external_lex_state = 2},
  [6226] = {.lex_state = 151, .external_lex_state = 2},
  [6227] = {.lex_state = 151, .external_lex_state = 2},
  [6228] = {.lex_state = 151, .external_lex_state = 2},
  [6229] = {.lex_state = 151, .external_lex_state = 2},
  [6230] = {.lex_state = 151, .external_lex_state = 2},
  [6231] = {.lex_state = 151, .external_lex_state = 2},
  [6232] = {.lex_state = 151, .external_lex_state = 2},
  [6233] = {.lex_state = 151, .external_lex_state = 2},
  [6234] = {.lex_state = 151, .external_lex_state = 2},
  [6235] = {.lex_state = 151, .external_lex_state = 2},
  [6236] = {.lex_state = 151, .external_lex_state = 2},
  [6237] = {.lex_state = 151, .external_lex_state = 2},
  [6238] = {.lex_state = 151, .external_lex_state = 2},
  [6239] = {.lex_state = 151, .external_lex_state = 2},
  [6240] = {.lex_state = 151, .external_lex_state = 2},
  [6241] = {.lex_state = 151, .external_lex_state = 2},
  [6242] = {.lex_state = 151, .external_lex_state = 2},
  [6243] = {.lex_state = 151, .external_lex_state = 2},
  [6244] = {.lex_state = 151, .external_lex_state = 2},
  [6245] = {.lex_state = 151, .external_lex_state = 2},
  [6246] = {.lex_state = 151, .external_lex_state = 2},
  [6247] = {.lex_state = 151, .external_lex_state = 2},
  [6248] = {.lex_state = 151, .external_lex_state = 2},
  [6249] = {.lex_state = 151, .external_lex_state = 2},
  [6250] = {.lex_state = 151, .external_lex_state = 2},
  [6251] = {.lex_state = 151, .external_lex_state = 2},
  [6252] = {.lex_state = 151, .external_lex_state = 2},
  [6253] = {.lex_state = 151, .external_lex_state = 2},
  [6254] = {.lex_state = 151, .external_lex_state = 2},
  [6255] = {.lex_state = 151, .external_lex_state = 2},
  [6256] = {.lex_state = 151, .external_lex_state = 2},
  [6257] = {.lex_state = 151, .external_lex_state = 2},
  [6258] = {.lex_state = 151, .external_lex_state = 2},
  [6259] = {.lex_state = 151, .external_lex_state = 2},
  [6260] = {.lex_state = 151, .external_lex_state = 2},
  [6261] = {.lex_state = 151, .external_lex_state = 2},
  [6262] = {.lex_state = 151, .external_lex_state = 2},
  [6263] = {.lex_state = 151, .external_lex_state = 2},
  [6264] = {.lex_state = 151, .external_lex_state = 2},
  [6265] = {.lex_state = 151, .external_lex_state = 2},
  [6266] = {.lex_state = 151, .external_lex_state = 2},
  [6267] = {.lex_state = 151, .external_lex_state = 2},
  [6268] = {.lex_state = 151, .external_lex_state = 2},
  [6269] = {.lex_state = 151, .external_lex_state = 2},
  [6270] = {.lex_state = 151, .external_lex_state = 2},
  [6271] = {.lex_state = 151, .external_lex_state = 2},
  [6272] = {.lex_state = 151, .external_lex_state = 2},
  [6273] = {.lex_state = 151, .external_lex_state = 2},
  [6274] = {.lex_state = 151, .external_lex_state = 2},
  [6275] = {.lex_state = 151, .external_lex_state = 2},
  [6276] = {.lex_state = 151, .external_lex_state = 2},
  [6277] = {.lex_state = 151, .external_lex_state = 2},
  [6278] = {.lex_state = 151, .external_lex_state = 2},
  [6279] = {.lex_state = 151, .external_lex_state = 2},
  [6280] = {.lex_state = 151, .external_lex_state = 2},
  [6281] = {.lex_state = 151, .external_lex_state = 2},
  [6282] = {.lex_state = 151, .external_lex_state = 2},
  [6283] = {.lex_state = 151, .external_lex_state = 2},
  [6284] = {.lex_state = 3, .external_lex_state = 10},
  [6285] = {.lex_state = 151, .external_lex_state = 2},
  [6286] = {.lex_state = 151, .external_lex_state = 2},
  [6287] = {.lex_state = 151, .external_lex_state = 2},
  [6288] = {.lex_state = 151, .external_lex_state = 2},
  [6289] = {.lex_state = 151, .external_lex_state = 2},
  [6290] = {.lex_state = 151, .external_lex_state = 2},
  [6291] = {.lex_state = 151, .external_lex_state = 2},
  [6292] = {.lex_state = 151, .external_lex_state = 2},
  [6293] = {.lex_state = 151, .external_lex_state = 2},
  [6294] = {.lex_state = 151, .external_lex_state = 2},
  [6295] = {.lex_state = 151, .external_lex_state = 2},
  [6296] = {.lex_state = 151, .external_lex_state = 2},
  [6297] = {.lex_state = 151, .external_lex_state = 2},
  [6298] = {.lex_state = 151, .external_lex_state = 2},
  [6299] = {.lex_state = 151, .external_lex_state = 2},
  [6300] = {.lex_state = 151, .external_lex_state = 2},
  [6301] = {.lex_state = 151, .external_lex_state = 2},
  [6302] = {.lex_state = 151, .external_lex_state = 2},
  [6303] = {.lex_state = 151, .external_lex_state = 2},
  [6304] = {.lex_state = 151, .external_lex_state = 2},
  [6305] = {.lex_state = 151, .external_lex_state = 2},
  [6306] = {.lex_state = 151, .external_lex_state = 2},
  [6307] = {.lex_state = 151, .external_lex_state = 2},
  [6308] = {.lex_state = 151, .external_lex_state = 2},
  [6309] = {.lex_state = 151, .external_lex_state = 2},
  [6310] = {.lex_state = 151, .external_lex_state = 2},
  [6311] = {.lex_state = 151, .external_lex_state = 2},
  [6312] = {.lex_state = 151, .external_lex_state = 2},
  [6313] = {.lex_state = 151, .external_lex_state = 2},
  [6314] = {.lex_state = 151, .external_lex_state = 2},
  [6315] = {.lex_state = 151, .external_lex_state = 2},
  [6316] = {.lex_state = 151, .external_lex_state = 2},
  [6317] = {.lex_state = 151, .external_lex_state = 2},
  [6318] = {.lex_state = 151, .external_lex_state = 2},
  [6319] = {.lex_state = 151, .external_lex_state = 2},
  [6320] = {.lex_state = 151, .external_lex_state = 2},
  [6321] = {.lex_state = 151, .external_lex_state = 2},
  [6322] = {.lex_state = 151, .external_lex_state = 2},
  [6323] = {.lex_state = 151, .external_lex_state = 2},
  [6324] = {.lex_state = 151, .external_lex_state = 2},
  [6325] = {.lex_state = 151, .external_lex_state = 2},
  [6326] = {.lex_state = 151, .external_lex_state = 2},
  [6327] = {.lex_state = 151, .external_lex_state = 2},
  [6328] = {.lex_state = 151, .external_lex_state = 2},
  [6329] = {.lex_state = 151, .external_lex_state = 2},
  [6330] = {.lex_state = 151, .external_lex_state = 2},
  [6331] = {.lex_state = 151, .external_lex_state = 2},
  [6332] = {.lex_state = 151, .external_lex_state = 2},
  [6333] = {.lex_state = 151, .external_lex_state = 2},
  [6334] = {.lex_state = 3, .external_lex_state = 10},
  [6335] = {.lex_state = 151, .external_lex_state = 2},
  [6336] = {.lex_state = 151, .external_lex_state = 2},
  [6337] = {.lex_state = 151, .external_lex_state = 2},
  [6338] = {.lex_state = 151, .external_lex_state = 2},
  [6339] = {.lex_state = 151, .external_lex_state = 2},
  [6340] = {.lex_state = 151, .external_lex_state = 2},
  [6341] = {.lex_state = 151, .external_lex_state = 2},
  [6342] = {.lex_state = 151, .external_lex_state = 2},
  [6343] = {.lex_state = 151, .external_lex_state = 2},
  [6344] = {.lex_state = 151, .external_lex_state = 2},
  [6345] = {.lex_state = 151, .external_lex_state = 2},
  [6346] = {.lex_state = 151, .external_lex_state = 2},
  [6347] = {.lex_state = 151, .external_lex_state = 2},
  [6348] = {.lex_state = 151, .external_lex_state = 2},
  [6349] = {.lex_state = 151, .external_lex_state = 2},
  [6350] = {.lex_state = 151, .external_lex_state = 2},
  [6351] = {.lex_state = 151, .external_lex_state = 2},
  [6352] = {.lex_state = 151, .external_lex_state = 2},
  [6353] = {.lex_state = 151, .external_lex_state = 2},
  [6354] = {.lex_state = 151, .external_lex_state = 2},
  [6355] = {.lex_state = 151, .external_lex_state = 2},
  [6356] = {.lex_state = 151, .external_lex_state = 2},
  [6357] = {.lex_state = 151, .external_lex_state = 2},
  [6358] = {.lex_state = 151, .external_lex_state = 2},
  [6359] = {.lex_state = 3, .external_lex_state = 10},
  [6360] = {.lex_state = 151, .external_lex_state = 2},
  [6361] = {.lex_state = 151, .external_lex_state = 2},
  [6362] = {.lex_state = 151, .external_lex_state = 2},
  [6363] = {.lex_state = 151, .external_lex_state = 2},
  [6364] = {.lex_state = 151, .external_lex_state = 2},
  [6365] = {.lex_state = 151, .external_lex_state = 2},
  [6366] = {.lex_state = 151, .external_lex_state = 2},
  [6367] = {.lex_state = 151, .external_lex_state = 2},
  [6368] = {.lex_state = 151, .external_lex_state = 2},
  [6369] = {.lex_state = 151, .external_lex_state = 2},
  [6370] = {.lex_state = 151, .external_lex_state = 2},
  [6371] = {.lex_state = 151, .external_lex_state = 2},
  [6372] = {.lex_state = 151, .external_lex_state = 2},
  [6373] = {.lex_state = 151, .external_lex_state = 2},
  [6374] = {.lex_state = 151, .external_lex_state = 2},
  [6375] = {.lex_state = 151, .external_lex_state = 2},
  [6376] = {.lex_state = 151, .external_lex_state = 2},
  [6377] = {.lex_state = 151, .external_lex_state = 2},
  [6378] = {.lex_state = 151, .external_lex_state = 2},
  [6379] = {.lex_state = 151, .external_lex_state = 2},
  [6380] = {.lex_state = 151, .external_lex_state = 2},
  [6381] = {.lex_state = 151, .external_lex_state = 2},
  [6382] = {.lex_state = 151, .external_lex_state = 2},
  [6383] = {.lex_state = 151, .external_lex_state = 2},
  [6384] = {.lex_state = 151, .external_lex_state = 2},
  [6385] = {.lex_state = 151, .external_lex_state = 2},
  [6386] = {.lex_state = 151, .external_lex_state = 2},
  [6387] = {.lex_state = 151, .external_lex_state = 2},
  [6388] = {.lex_state = 151, .external_lex_state = 2},
  [6389] = {.lex_state = 151, .external_lex_state = 2},
  [6390] = {.lex_state = 151, .external_lex_state = 2},
  [6391] = {.lex_state = 151, .external_lex_state = 2},
  [6392] = {.lex_state = 151, .external_lex_state = 2},
  [6393] = {.lex_state = 151, .external_lex_state = 2},
  [6394] = {.lex_state = 151, .external_lex_state = 2},
  [6395] = {.lex_state = 151, .external_lex_state = 2},
  [6396] = {.lex_state = 151, .external_lex_state = 2},
  [6397] = {.lex_state = 151, .external_lex_state = 2},
  [6398] = {.lex_state = 151, .external_lex_state = 2},
  [6399] = {.lex_state = 151, .external_lex_state = 2},
  [6400] = {.lex_state = 151, .external_lex_state = 2},
  [6401] = {.lex_state = 151, .external_lex_state = 2},
  [6402] = {.lex_state = 151, .external_lex_state = 2},
  [6403] = {.lex_state = 151, .external_lex_state = 2},
  [6404] = {.lex_state = 151, .external_lex_state = 2},
  [6405] = {.lex_state = 151, .external_lex_state = 2},
  [6406] = {.lex_state = 151, .external_lex_state = 2},
  [6407] = {.lex_state = 151, .external_lex_state = 2},
  [6408] = {.lex_state = 151, .external_lex_state = 2},
  [6409] = {.lex_state = 151, .external_lex_state = 2},
  [6410] = {.lex_state = 151, .external_lex_state = 2},
  [6411] = {.lex_state = 151, .external_lex_state = 2},
  [6412] = {.lex_state = 151, .external_lex_state = 2},
  [6413] = {.lex_state = 151, .external_lex_state = 2},
  [6414] = {.lex_state = 151, .external_lex_state = 2},
  [6415] = {.lex_state = 151, .external_lex_state = 2},
  [6416] = {.lex_state = 151, .external_lex_state = 2},
  [6417] = {.lex_state = 151, .external_lex_state = 2},
  [6418] = {.lex_state = 151, .external_lex_state = 2},
  [6419] = {.lex_state = 151, .external_lex_state = 2},
  [6420] = {.lex_state = 151, .external_lex_state = 2},
  [6421] = {.lex_state = 151, .external_lex_state = 2},
  [6422] = {.lex_state = 151, .external_lex_state = 2},
  [6423] = {.lex_state = 151, .external_lex_state = 2},
  [6424] = {.lex_state = 151, .external_lex_state = 2},
  [6425] = {.lex_state = 151, .external_lex_state = 2},
  [6426] = {.lex_state = 151, .external_lex_state = 2},
  [6427] = {.lex_state = 151, .external_lex_state = 2},
  [6428] = {.lex_state = 151, .external_lex_state = 2},
  [6429] = {.lex_state = 151, .external_lex_state = 2},
  [6430] = {.lex_state = 151, .external_lex_state = 2},
  [6431] = {.lex_state = 151, .external_lex_state = 2},
  [6432] = {.lex_state = 3, .external_lex_state = 10},
  [6433] = {.lex_state = 151, .external_lex_state = 2},
  [6434] = {.lex_state = 151, .external_lex_state = 2},
  [6435] = {.lex_state = 151, .external_lex_state = 2},
  [6436] = {.lex_state = 151, .external_lex_state = 2},
  [6437] = {.lex_state = 151, .external_lex_state = 2},
  [6438] = {.lex_state = 40, .external_lex_state = 2},
  [6439] = {.lex_state = 151, .external_lex_state = 2},
  [6440] = {.lex_state = 151, .external_lex_state = 2},
  [6441] = {.lex_state = 151, .external_lex_state = 2},
  [6442] = {.lex_state = 151, .external_lex_state = 2},
  [6443] = {.lex_state = 151, .external_lex_state = 2},
  [6444] = {.lex_state = 3, .external_lex_state = 10},
  [6445] = {.lex_state = 151, .external_lex_state = 2},
  [6446] = {.lex_state = 151, .external_lex_state = 2},
  [6447] = {.lex_state = 151, .external_lex_state = 2},
  [6448] = {.lex_state = 151, .external_lex_state = 2},
  [6449] = {.lex_state = 151, .external_lex_state = 2},
  [6450] = {.lex_state = 151, .external_lex_state = 2},
  [6451] = {.lex_state = 151, .external_lex_state = 2},
  [6452] = {.lex_state = 151, .external_lex_state = 2},
  [6453] = {.lex_state = 151, .external_lex_state = 2},
  [6454] = {.lex_state = 151, .external_lex_state = 2},
  [6455] = {.lex_state = 151, .external_lex_state = 2},
  [6456] = {.lex_state = 151, .external_lex_state = 2},
  [6457] = {.lex_state = 151, .external_lex_state = 2},
  [6458] = {.lex_state = 151, .external_lex_state = 2},
  [6459] = {.lex_state = 151, .external_lex_state = 2},
  [6460] = {.lex_state = 151, .external_lex_state = 2},
  [6461] = {.lex_state = 151, .external_lex_state = 2},
  [6462] = {.lex_state = 151, .external_lex_state = 2},
  [6463] = {.lex_state = 151, .external_lex_state = 2},
  [6464] = {.lex_state = 151, .external_lex_state = 2},
  [6465] = {.lex_state = 151, .external_lex_state = 2},
  [6466] = {.lex_state = 151, .external_lex_state = 2},
  [6467] = {.lex_state = 151, .external_lex_state = 2},
  [6468] = {.lex_state = 151, .external_lex_state = 2},
  [6469] = {.lex_state = 151, .external_lex_state = 2},
  [6470] = {.lex_state = 151, .external_lex_state = 2},
  [6471] = {.lex_state = 151, .external_lex_state = 2},
  [6472] = {.lex_state = 151, .external_lex_state = 2},
  [6473] = {.lex_state = 151, .external_lex_state = 2},
  [6474] = {.lex_state = 151, .external_lex_state = 2},
  [6475] = {.lex_state = 151, .external_lex_state = 2},
  [6476] = {.lex_state = 151, .external_lex_state = 2},
  [6477] = {.lex_state = 151, .external_lex_state = 2},
  [6478] = {.lex_state = 151, .external_lex_state = 2},
  [6479] = {.lex_state = 151, .external_lex_state = 2},
  [6480] = {.lex_state = 151, .external_lex_state = 2},
  [6481] = {.lex_state = 151, .external_lex_state = 2},
  [6482] = {.lex_state = 151, .external_lex_state = 2},
  [6483] = {.lex_state = 151, .external_lex_state = 2},
  [6484] = {.lex_state = 151, .external_lex_state = 2},
  [6485] = {.lex_state = 151, .external_lex_state = 2},
  [6486] = {.lex_state = 151, .external_lex_state = 2},
  [6487] = {.lex_state = 151, .external_lex_state = 2},
  [6488] = {.lex_state = 151, .external_lex_state = 2},
  [6489] = {.lex_state = 151, .external_lex_state = 2},
  [6490] = {.lex_state = 151, .external_lex_state = 2},
  [6491] = {.lex_state = 151, .external_lex_state = 2},
  [6492] = {.lex_state = 151, .external_lex_state = 2},
  [6493] = {.lex_state = 151, .external_lex_state = 2},
  [6494] = {.lex_state = 151, .external_lex_state = 2},
  [6495] = {.lex_state = 151, .external_lex_state = 2},
  [6496] = {.lex_state = 151, .external_lex_state = 2},
  [6497] = {.lex_state = 151, .external_lex_state = 2},
  [6498] = {.lex_state = 151, .external_lex_state = 2},
  [6499] = {.lex_state = 151, .external_lex_state = 2},
  [6500] = {.lex_state = 151, .external_lex_state = 2},
  [6501] = {.lex_state = 151, .external_lex_state = 2},
  [6502] = {.lex_state = 151, .external_lex_state = 2},
  [6503] = {.lex_state = 40, .external_lex_state = 2},
  [6504] = {.lex_state = 151, .external_lex_state = 2},
  [6505] = {.lex_state = 151, .external_lex_state = 2},
  [6506] = {.lex_state = 151, .external_lex_state = 2},
  [6507] = {.lex_state = 151, .external_lex_state = 2},
  [6508] = {.lex_state = 151, .external_lex_state = 2},
  [6509] = {.lex_state = 151, .external_lex_state = 2},
  [6510] = {.lex_state = 151, .external_lex_state = 2},
  [6511] = {.lex_state = 151, .external_lex_state = 2},
  [6512] = {.lex_state = 151, .external_lex_state = 2},
  [6513] = {.lex_state = 151, .external_lex_state = 2},
  [6514] = {.lex_state = 151, .external_lex_state = 2},
  [6515] = {.lex_state = 151, .external_lex_state = 2},
  [6516] = {.lex_state = 151, .external_lex_state = 2},
  [6517] = {.lex_state = 151, .external_lex_state = 2},
  [6518] = {.lex_state = 151, .external_lex_state = 2},
  [6519] = {.lex_state = 151, .external_lex_state = 2},
  [6520] = {.lex_state = 151, .external_lex_state = 2},
  [6521] = {.lex_state = 151, .external_lex_state = 2},
  [6522] = {.lex_state = 151, .external_lex_state = 2},
  [6523] = {.lex_state = 151, .external_lex_state = 2},
  [6524] = {.lex_state = 151, .external_lex_state = 2},
  [6525] = {.lex_state = 151, .external_lex_state = 2},
  [6526] = {.lex_state = 151, .external_lex_state = 2},
  [6527] = {.lex_state = 151, .external_lex_state = 2},
  [6528] = {.lex_state = 151, .external_lex_state = 2},
  [6529] = {.lex_state = 151, .external_lex_state = 2},
  [6530] = {.lex_state = 151, .external_lex_state = 2},
  [6531] = {.lex_state = 151, .external_lex_state = 2},
  [6532] = {.lex_state = 151, .external_lex_state = 2},
  [6533] = {.lex_state = 151, .external_lex_state = 2},
  [6534] = {.lex_state = 151, .external_lex_state = 2},
  [6535] = {.lex_state = 151, .external_lex_state = 2},
  [6536] = {.lex_state = 151, .external_lex_state = 2},
  [6537] = {.lex_state = 151, .external_lex_state = 2},
  [6538] = {.lex_state = 151, .external_lex_state = 2},
  [6539] = {.lex_state = 151, .external_lex_state = 2},
  [6540] = {.lex_state = 151, .external_lex_state = 2},
  [6541] = {.lex_state = 151, .external_lex_state = 2},
  [6542] = {.lex_state = 151, .external_lex_state = 2},
  [6543] = {.lex_state = 151, .external_lex_state = 2},
  [6544] = {.lex_state = 151, .external_lex_state = 2},
  [6545] = {.lex_state = 151, .external_lex_state = 2},
  [6546] = {.lex_state = 151, .external_lex_state = 2},
  [6547] = {.lex_state = 151, .external_lex_state = 2},
  [6548] = {.lex_state = 151, .external_lex_state = 2},
  [6549] = {.lex_state = 151, .external_lex_state = 2},
  [6550] = {.lex_state = 151, .external_lex_state = 2},
  [6551] = {.lex_state = 151, .external_lex_state = 2},
  [6552] = {.lex_state = 151, .external_lex_state = 2},
  [6553] = {.lex_state = 151, .external_lex_state = 2},
  [6554] = {.lex_state = 151, .external_lex_state = 2},
  [6555] = {.lex_state = 151, .external_lex_state = 2},
  [6556] = {.lex_state = 151, .external_lex_state = 2},
  [6557] = {.lex_state = 151, .external_lex_state = 2},
  [6558] = {.lex_state = 151, .external_lex_state = 2},
  [6559] = {.lex_state = 151, .external_lex_state = 2},
  [6560] = {.lex_state = 151, .external_lex_state = 2},
  [6561] = {.lex_state = 151, .external_lex_state = 2},
  [6562] = {.lex_state = 151, .external_lex_state = 2},
  [6563] = {.lex_state = 151, .external_lex_state = 2},
  [6564] = {.lex_state = 151, .external_lex_state = 2},
  [6565] = {.lex_state = 40, .external_lex_state = 2},
  [6566] = {.lex_state = 151, .external_lex_state = 2},
  [6567] = {.lex_state = 151, .external_lex_state = 2},
  [6568] = {.lex_state = 151, .external_lex_state = 2},
  [6569] = {.lex_state = 151, .external_lex_state = 2},
  [6570] = {.lex_state = 151, .external_lex_state = 2},
  [6571] = {.lex_state = 151, .external_lex_state = 2},
  [6572] = {.lex_state = 151, .external_lex_state = 2},
  [6573] = {.lex_state = 151, .external_lex_state = 2},
  [6574] = {.lex_state = 151, .external_lex_state = 2},
  [6575] = {.lex_state = 151, .external_lex_state = 2},
  [6576] = {.lex_state = 151, .external_lex_state = 2},
  [6577] = {.lex_state = 151, .external_lex_state = 2},
  [6578] = {.lex_state = 151, .external_lex_state = 2},
  [6579] = {.lex_state = 151, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_accessor] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(6274),
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6479),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6479),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6479),
    [sym_spread_element] = STATE(5405),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2353),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5405),
    [sym_pair] = STATE(5405),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3629),
    [sym_computed_property_name] = STATE(3629),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_accessibility_modifier] = STATE(2677),
    [sym_override_modifier] = STATE(2710),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [aux_sym_object_repeat1] = STATE(5441),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6479),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6479),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6479),
    [sym_spread_element] = STATE(5588),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2353),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3629),
    [sym_computed_property_name] = STATE(3629),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_accessibility_modifier] = STATE(2677),
    [sym_override_modifier] = STATE(2710),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(279),
    [anon_sym_namespace] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(285),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(287),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(289),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_readonly] = ACTIONS(293),
    [anon_sym_get] = ACTIONS(295),
    [anon_sym_set] = ACTIONS(295),
    [anon_sym_declare] = ACTIONS(297),
    [anon_sym_public] = ACTIONS(299),
    [anon_sym_private] = ACTIONS(299),
    [anon_sym_protected] = ACTIONS(299),
    [anon_sym_override] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_any] = ACTIONS(305),
    [anon_sym_number] = ACTIONS(305),
    [anon_sym_boolean] = ACTIONS(305),
    [anon_sym_string] = ACTIONS(305),
    [anon_sym_symbol] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(305),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6479),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6479),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6479),
    [sym_spread_element] = STATE(5405),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2353),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5405),
    [sym_pair] = STATE(5405),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3629),
    [sym_computed_property_name] = STATE(3629),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_accessibility_modifier] = STATE(2677),
    [sym_override_modifier] = STATE(2710),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [aux_sym_object_repeat1] = STATE(5441),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6479),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6479),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6479),
    [sym_spread_element] = STATE(5405),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2353),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5405),
    [sym_pair] = STATE(5405),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3629),
    [sym_computed_property_name] = STATE(3629),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_accessibility_modifier] = STATE(2677),
    [sym_override_modifier] = STATE(2710),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [aux_sym_object_repeat1] = STATE(5441),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6479),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6479),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6479),
    [sym_spread_element] = STATE(5588),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2353),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3629),
    [sym_computed_property_name] = STATE(3629),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_accessibility_modifier] = STATE(2677),
    [sym_override_modifier] = STATE(2710),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(311),
    [anon_sym_export] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(315),
    [anon_sym_namespace] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(325),
    [anon_sym_readonly] = ACTIONS(327),
    [anon_sym_get] = ACTIONS(329),
    [anon_sym_set] = ACTIONS(329),
    [anon_sym_declare] = ACTIONS(331),
    [anon_sym_public] = ACTIONS(333),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_protected] = ACTIONS(333),
    [anon_sym_override] = ACTIONS(335),
    [anon_sym_module] = ACTIONS(337),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_object] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [ts_builtin_sym_end] = ACTIONS(341),
    [sym_identifier] = ACTIONS(343),
    [anon_sym_export] = ACTIONS(346),
    [anon_sym_default] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(351),
    [anon_sym_namespace] = ACTIONS(354),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(360),
    [anon_sym_import] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(369),
    [anon_sym_let] = ACTIONS(372),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_LPAREN] = ACTIONS(390),
    [anon_sym_await] = ACTIONS(393),
    [anon_sym_while] = ACTIONS(396),
    [anon_sym_do] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(402),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(408),
    [anon_sym_debugger] = ACTIONS(411),
    [anon_sym_return] = ACTIONS(414),
    [anon_sym_throw] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(420),
    [anon_sym_case] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(426),
    [sym_glimmer_opening_tag] = ACTIONS(429),
    [anon_sym_DQUOTE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_class] = ACTIONS(438),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(447),
    [anon_sym_using] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(360),
    [anon_sym_DASH] = ACTIONS(360),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(378),
    [anon_sym_void] = ACTIONS(360),
    [anon_sym_delete] = ACTIONS(360),
    [anon_sym_PLUS_PLUS] = ACTIONS(459),
    [anon_sym_DASH_DASH] = ACTIONS(459),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(462),
    [sym_number] = ACTIONS(465),
    [sym_private_property_identifier] = ACTIONS(468),
    [sym_this] = ACTIONS(471),
    [sym_super] = ACTIONS(471),
    [sym_true] = ACTIONS(471),
    [sym_false] = ACTIONS(471),
    [sym_null] = ACTIONS(471),
    [sym_undefined] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(477),
    [anon_sym_static] = ACTIONS(480),
    [anon_sym_readonly] = ACTIONS(480),
    [anon_sym_get] = ACTIONS(480),
    [anon_sym_set] = ACTIONS(480),
    [anon_sym_declare] = ACTIONS(483),
    [anon_sym_public] = ACTIONS(480),
    [anon_sym_private] = ACTIONS(480),
    [anon_sym_protected] = ACTIONS(480),
    [anon_sym_override] = ACTIONS(480),
    [anon_sym_module] = ACTIONS(486),
    [anon_sym_any] = ACTIONS(480),
    [anon_sym_number] = ACTIONS(480),
    [anon_sym_boolean] = ACTIONS(480),
    [anon_sym_string] = ACTIONS(480),
    [anon_sym_symbol] = ACTIONS(480),
    [anon_sym_object] = ACTIONS(480),
    [anon_sym_abstract] = ACTIONS(489),
    [anon_sym_interface] = ACTIONS(492),
    [anon_sym_enum] = ACTIONS(495),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(498),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(498),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(502),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(502),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(506),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [ts_builtin_sym_end] = ACTIONS(516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(30),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(27),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(568),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(5776),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(788),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(779),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(824),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(826),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(832),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(730),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(824),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(848),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(832),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(5320),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(848),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(797),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(672),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(788),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(779),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(826),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(797),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(674),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(6209),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4043),
    [sym_identifier] = ACTIONS(644),
    [anon_sym_export] = ACTIONS(646),
    [anon_sym_type] = ACTIONS(648),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(652),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(656),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(660),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(666),
    [anon_sym_readonly] = ACTIONS(666),
    [anon_sym_get] = ACTIONS(666),
    [anon_sym_set] = ACTIONS(666),
    [anon_sym_declare] = ACTIONS(668),
    [anon_sym_public] = ACTIONS(666),
    [anon_sym_private] = ACTIONS(666),
    [anon_sym_protected] = ACTIONS(666),
    [anon_sym_override] = ACTIONS(666),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_any] = ACTIONS(666),
    [anon_sym_number] = ACTIONS(666),
    [anon_sym_boolean] = ACTIONS(666),
    [anon_sym_string] = ACTIONS(666),
    [anon_sym_symbol] = ACTIONS(666),
    [anon_sym_object] = ACTIONS(666),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5436),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5439),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(676),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(678),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(680),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5436),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5439),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(682),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(684),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(686),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(3396),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4670),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(4237),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(5082),
    [sym_optional_tuple_parameter] = STATE(5082),
    [sym_optional_type] = STATE(5082),
    [sym_rest_type] = STATE(5082),
    [sym__tuple_type_member] = STATE(5082),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6172),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_RBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(576),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(596),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(598),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(824),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(832),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(848),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(797),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(788),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(779),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(826),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4113),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(614),
    [anon_sym_namespace] = ACTIONS(616),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(636),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_readonly] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [anon_sym_declare] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(638),
    [anon_sym_private] = ACTIONS(638),
    [anon_sym_protected] = ACTIONS(638),
    [anon_sym_override] = ACTIONS(638),
    [anon_sym_module] = ACTIONS(642),
    [anon_sym_any] = ACTIONS(638),
    [anon_sym_number] = ACTIONS(638),
    [anon_sym_boolean] = ACTIONS(638),
    [anon_sym_string] = ACTIONS(638),
    [anon_sym_symbol] = ACTIONS(638),
    [anon_sym_object] = ACTIONS(638),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(817),
    [sym_declaration] = STATE(817),
    [sym_import] = STATE(3384),
    [sym_import_statement] = STATE(817),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(817),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_statement_block] = STATE(817),
    [sym_if_statement] = STATE(817),
    [sym_switch_statement] = STATE(817),
    [sym_for_statement] = STATE(817),
    [sym_for_in_statement] = STATE(817),
    [sym_while_statement] = STATE(817),
    [sym_do_statement] = STATE(817),
    [sym_try_statement] = STATE(817),
    [sym_with_statement] = STATE(817),
    [sym_break_statement] = STATE(817),
    [sym_continue_statement] = STATE(817),
    [sym_debugger_statement] = STATE(817),
    [sym_return_statement] = STATE(817),
    [sym_throw_statement] = STATE(817),
    [sym_empty_statement] = STATE(817),
    [sym_labeled_statement] = STATE(817),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4073),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_while] = ACTIONS(45),
    [anon_sym_do] = ACTIONS(47),
    [anon_sym_try] = ACTIONS(49),
    [anon_sym_break] = ACTIONS(51),
    [anon_sym_continue] = ACTIONS(53),
    [anon_sym_debugger] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_throw] = ACTIONS(59),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6405),
    [sym_string] = STATE(2213),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4905),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(763),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(773),
    [sym_number] = ACTIONS(775),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_undefined] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(785),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_override] = ACTIONS(791),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(793),
    [anon_sym_number] = ACTIONS(793),
    [anon_sym_boolean] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_symbol] = ACTIONS(793),
    [anon_sym_object] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6405),
    [sym_string] = STATE(2213),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4801),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(763),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(773),
    [sym_number] = ACTIONS(775),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_undefined] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(785),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_override] = ACTIONS(791),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(793),
    [anon_sym_number] = ACTIONS(793),
    [anon_sym_boolean] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_symbol] = ACTIONS(793),
    [anon_sym_object] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4347),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4233),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4538),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(799),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4356),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4365),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(736),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1562),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6328),
    [sym_string] = STATE(2213),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4801),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(763),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(773),
    [sym_number] = ACTIONS(775),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_undefined] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(785),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_override] = ACTIONS(791),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(793),
    [anon_sym_number] = ACTIONS(793),
    [anon_sym_boolean] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_symbol] = ACTIONS(793),
    [anon_sym_object] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(128),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4788),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4801),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4905),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(853),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4843),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(3327),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4901),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(843),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(845),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_export] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(865),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(865),
    [anon_sym_readonly] = ACTIONS(865),
    [anon_sym_get] = ACTIONS(865),
    [anon_sym_set] = ACTIONS(865),
    [anon_sym_declare] = ACTIONS(865),
    [anon_sym_public] = ACTIONS(865),
    [anon_sym_private] = ACTIONS(865),
    [anon_sym_protected] = ACTIONS(865),
    [anon_sym_override] = ACTIONS(865),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_any] = ACTIONS(865),
    [anon_sym_number] = ACTIONS(865),
    [anon_sym_boolean] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_symbol] = ACTIONS(865),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_export] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(865),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(875),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(865),
    [anon_sym_readonly] = ACTIONS(865),
    [anon_sym_get] = ACTIONS(865),
    [anon_sym_set] = ACTIONS(865),
    [anon_sym_declare] = ACTIONS(865),
    [anon_sym_public] = ACTIONS(865),
    [anon_sym_private] = ACTIONS(865),
    [anon_sym_protected] = ACTIONS(865),
    [anon_sym_override] = ACTIONS(865),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_any] = ACTIONS(865),
    [anon_sym_number] = ACTIONS(865),
    [anon_sym_boolean] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_symbol] = ACTIONS(865),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(888),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(888),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(910),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(916),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_readonly] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [anon_sym_declare] = ACTIONS(910),
    [anon_sym_public] = ACTIONS(910),
    [anon_sym_private] = ACTIONS(910),
    [anon_sym_protected] = ACTIONS(910),
    [anon_sym_override] = ACTIONS(910),
    [anon_sym_module] = ACTIONS(910),
    [anon_sym_any] = ACTIONS(910),
    [anon_sym_number] = ACTIONS(910),
    [anon_sym_boolean] = ACTIONS(910),
    [anon_sym_string] = ACTIONS(910),
    [anon_sym_symbol] = ACTIONS(910),
    [anon_sym_object] = ACTIONS(910),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4675),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(6176),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(908),
    [anon_sym_export] = ACTIONS(910),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(910),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(910),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(916),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(910),
    [anon_sym_readonly] = ACTIONS(910),
    [anon_sym_get] = ACTIONS(910),
    [anon_sym_set] = ACTIONS(910),
    [anon_sym_declare] = ACTIONS(910),
    [anon_sym_public] = ACTIONS(910),
    [anon_sym_private] = ACTIONS(910),
    [anon_sym_protected] = ACTIONS(910),
    [anon_sym_override] = ACTIONS(910),
    [anon_sym_module] = ACTIONS(910),
    [anon_sym_any] = ACTIONS(910),
    [anon_sym_number] = ACTIONS(910),
    [anon_sym_boolean] = ACTIONS(910),
    [anon_sym_string] = ACTIONS(910),
    [anon_sym_symbol] = ACTIONS(910),
    [anon_sym_object] = ACTIONS(910),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(930),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_readonly] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [anon_sym_declare] = ACTIONS(930),
    [anon_sym_public] = ACTIONS(930),
    [anon_sym_private] = ACTIONS(930),
    [anon_sym_protected] = ACTIONS(930),
    [anon_sym_override] = ACTIONS(930),
    [anon_sym_module] = ACTIONS(930),
    [anon_sym_any] = ACTIONS(930),
    [anon_sym_number] = ACTIONS(930),
    [anon_sym_boolean] = ACTIONS(930),
    [anon_sym_string] = ACTIONS(930),
    [anon_sym_symbol] = ACTIONS(930),
    [anon_sym_object] = ACTIONS(930),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(942),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(944),
    [anon_sym_export] = ACTIONS(946),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(946),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(952),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_readonly] = ACTIONS(946),
    [anon_sym_get] = ACTIONS(946),
    [anon_sym_set] = ACTIONS(946),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_override] = ACTIONS(946),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(946),
    [anon_sym_number] = ACTIONS(946),
    [anon_sym_boolean] = ACTIONS(946),
    [anon_sym_string] = ACTIONS(946),
    [anon_sym_symbol] = ACTIONS(946),
    [anon_sym_object] = ACTIONS(946),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1255),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1703),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1255),
    [sym_subscript_expression] = STATE(1255),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1255),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(930),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(934),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(936),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_readonly] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [anon_sym_declare] = ACTIONS(930),
    [anon_sym_public] = ACTIONS(930),
    [anon_sym_private] = ACTIONS(930),
    [anon_sym_protected] = ACTIONS(930),
    [anon_sym_override] = ACTIONS(930),
    [anon_sym_module] = ACTIONS(930),
    [anon_sym_any] = ACTIONS(930),
    [anon_sym_number] = ACTIONS(930),
    [anon_sym_boolean] = ACTIONS(930),
    [anon_sym_string] = ACTIONS(930),
    [anon_sym_symbol] = ACTIONS(930),
    [anon_sym_object] = ACTIONS(930),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4295),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(6114),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(823),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_readonly] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(809),
    [anon_sym_set] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_override] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_any] = ACTIONS(809),
    [anon_sym_number] = ACTIONS(809),
    [anon_sym_boolean] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_symbol] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(809),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(944),
    [anon_sym_export] = ACTIONS(946),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(946),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(952),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_readonly] = ACTIONS(946),
    [anon_sym_get] = ACTIONS(946),
    [anon_sym_set] = ACTIONS(946),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_override] = ACTIONS(946),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(946),
    [anon_sym_number] = ACTIONS(946),
    [anon_sym_boolean] = ACTIONS(946),
    [anon_sym_string] = ACTIONS(946),
    [anon_sym_symbol] = ACTIONS(946),
    [anon_sym_object] = ACTIONS(946),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(964),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(968),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(956),
    [anon_sym_export] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(958),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(962),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(958),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(964),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(968),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(958),
    [anon_sym_readonly] = ACTIONS(958),
    [anon_sym_get] = ACTIONS(958),
    [anon_sym_set] = ACTIONS(958),
    [anon_sym_declare] = ACTIONS(958),
    [anon_sym_public] = ACTIONS(958),
    [anon_sym_private] = ACTIONS(958),
    [anon_sym_protected] = ACTIONS(958),
    [anon_sym_override] = ACTIONS(958),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(958),
    [anon_sym_number] = ACTIONS(958),
    [anon_sym_boolean] = ACTIONS(958),
    [anon_sym_string] = ACTIONS(958),
    [anon_sym_symbol] = ACTIONS(958),
    [anon_sym_object] = ACTIONS(958),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(891),
    [anon_sym_export] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(906),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_readonly] = ACTIONS(893),
    [anon_sym_get] = ACTIONS(893),
    [anon_sym_set] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_override] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_object] = ACTIONS(893),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(972),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(976),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4238),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5965),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(978),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(980),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(3363),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1939),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5997),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6262),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2041),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4278),
    [sym_pattern] = STATE(5630),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3278),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(6075),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(984),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(988),
    [anon_sym_typeof] = ACTIONS(990),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(994),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(996),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(998),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(1006),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_number] = ACTIONS(1010),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1014),
    [sym_false] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [sym_undefined] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(1018),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(1022),
    [anon_sym_number] = ACTIONS(1022),
    [anon_sym_boolean] = ACTIONS(1022),
    [anon_sym_string] = ACTIONS(1022),
    [anon_sym_symbol] = ACTIONS(1022),
    [anon_sym_object] = ACTIONS(1022),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(1036),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1433),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6251),
    [sym_string] = STATE(2213),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4970),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(4445),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(4890),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1042),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_typeof] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1054),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(773),
    [sym_number] = ACTIONS(775),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1056),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [sym_null] = ACTIONS(779),
    [sym_undefined] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1060),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1062),
    [anon_sym_number] = ACTIONS(1062),
    [anon_sym_boolean] = ACTIONS(1062),
    [anon_sym_string] = ACTIONS(1062),
    [anon_sym_symbol] = ACTIONS(1062),
    [anon_sym_object] = ACTIONS(1062),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(3437),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1725),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(1914),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3989),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1064),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_typeof] = ACTIONS(1072),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1086),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1092),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [sym_number] = ACTIONS(1100),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(1104),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [sym_null] = ACTIONS(1106),
    [sym_undefined] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1110),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1112),
    [anon_sym_number] = ACTIONS(1112),
    [anon_sym_boolean] = ACTIONS(1112),
    [anon_sym_string] = ACTIONS(1112),
    [anon_sym_symbol] = ACTIONS(1112),
    [anon_sym_object] = ACTIONS(1112),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(3345),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2102),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2024),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1114),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1122),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_number] = ACTIONS(1148),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [sym_undefined] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1657),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_typeof] = ACTIONS(1166),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1054),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [sym_number] = ACTIONS(1174),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1176),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [sym_null] = ACTIONS(1178),
    [sym_undefined] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1060),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1182),
    [anon_sym_number] = ACTIONS(1182),
    [anon_sym_boolean] = ACTIONS(1182),
    [anon_sym_string] = ACTIONS(1182),
    [anon_sym_symbol] = ACTIONS(1182),
    [anon_sym_object] = ACTIONS(1182),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(3351),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2059),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2466),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3989),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1184),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_typeof] = ACTIONS(1192),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1204),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1210),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_number] = ACTIONS(1218),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(1222),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1224),
    [sym_false] = ACTIONS(1224),
    [sym_null] = ACTIONS(1224),
    [sym_undefined] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1228),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1230),
    [anon_sym_number] = ACTIONS(1230),
    [anon_sym_boolean] = ACTIONS(1230),
    [anon_sym_string] = ACTIONS(1230),
    [anon_sym_symbol] = ACTIONS(1230),
    [anon_sym_object] = ACTIONS(1230),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(3345),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2024),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_typeof] = ACTIONS(1236),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1238),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_number] = ACTIONS(1148),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [sym_undefined] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(1244),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(1246),
    [anon_sym_number] = ACTIONS(1246),
    [anon_sym_boolean] = ACTIONS(1246),
    [anon_sym_string] = ACTIONS(1246),
    [anon_sym_symbol] = ACTIONS(1246),
    [anon_sym_object] = ACTIONS(1246),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(3360),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2024),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_typeof] = ACTIONS(1254),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1264),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1270),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_number] = ACTIONS(1148),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [sym_undefined] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1282),
    [anon_sym_number] = ACTIONS(1282),
    [anon_sym_boolean] = ACTIONS(1282),
    [anon_sym_string] = ACTIONS(1282),
    [anon_sym_symbol] = ACTIONS(1282),
    [anon_sym_object] = ACTIONS(1282),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(3345),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3785),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3785),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1348),
    [sym_subscript_expression] = STATE(1348),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3785),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2516),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1348),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4441),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_export] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1286),
    [anon_sym_namespace] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_typeof] = ACTIONS(1292),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1296),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1298),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [sym_number] = ACTIONS(1304),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1306),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [sym_null] = ACTIONS(1308),
    [sym_undefined] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_readonly] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1286),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1286),
    [anon_sym_public] = ACTIONS(1286),
    [anon_sym_private] = ACTIONS(1286),
    [anon_sym_protected] = ACTIONS(1286),
    [anon_sym_override] = ACTIONS(1286),
    [anon_sym_module] = ACTIONS(1286),
    [anon_sym_any] = ACTIONS(1314),
    [anon_sym_number] = ACTIONS(1314),
    [anon_sym_boolean] = ACTIONS(1314),
    [anon_sym_string] = ACTIONS(1314),
    [anon_sym_symbol] = ACTIONS(1314),
    [anon_sym_object] = ACTIONS(1314),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1709),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(4197),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(4197),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1293),
    [sym_subscript_expression] = STATE(1293),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(4197),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2154),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1293),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4441),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1316),
    [anon_sym_export] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_namespace] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_typeof] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1324),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1326),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(594),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_readonly] = ACTIONS(1330),
    [anon_sym_get] = ACTIONS(1318),
    [anon_sym_set] = ACTIONS(1318),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1318),
    [anon_sym_public] = ACTIONS(1318),
    [anon_sym_private] = ACTIONS(1318),
    [anon_sym_protected] = ACTIONS(1318),
    [anon_sym_override] = ACTIONS(1318),
    [anon_sym_module] = ACTIONS(1318),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(3345),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2364),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(2024),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1334),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_typeof] = ACTIONS(1340),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1350),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_number] = ACTIONS(1148),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [sym_undefined] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1366),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1368),
    [anon_sym_number] = ACTIONS(1368),
    [anon_sym_boolean] = ACTIONS(1368),
    [anon_sym_string] = ACTIONS(1368),
    [anon_sym_symbol] = ACTIONS(1368),
    [anon_sym_object] = ACTIONS(1368),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(3366),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1657),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1370),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_typeof] = ACTIONS(1376),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1386),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1392),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [sym_number] = ACTIONS(1174),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(1176),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [sym_null] = ACTIONS(1178),
    [sym_undefined] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1402),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1404),
    [anon_sym_number] = ACTIONS(1404),
    [anon_sym_boolean] = ACTIONS(1404),
    [anon_sym_string] = ACTIONS(1404),
    [anon_sym_symbol] = ACTIONS(1404),
    [anon_sym_object] = ACTIONS(1404),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(3437),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_nested_identifier] = STATE(6255),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(1914),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4518),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3989),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5859),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1406),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_typeof] = ACTIONS(1412),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1416),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(1420),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [sym_number] = ACTIONS(1100),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1104),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [sym_null] = ACTIONS(1106),
    [sym_undefined] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1424),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1426),
    [anon_sym_number] = ACTIONS(1426),
    [anon_sym_boolean] = ACTIONS(1426),
    [anon_sym_string] = ACTIONS(1426),
    [anon_sym_symbol] = ACTIONS(1426),
    [anon_sym_object] = ACTIONS(1426),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1566),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1720),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__automatic_semicolon] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__automatic_semicolon] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1884),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [anon_sym_satisfies] = ACTIONS(1432),
    [anon_sym_implements] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2088),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__automatic_semicolon] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2124),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2342),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2386),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_of] = ACTIONS(1432),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(1432),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(1432),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_DOT] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1434),
    [anon_sym_LT_LT] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(1434),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_QMARK_QMARK] = ACTIONS(1434),
    [anon_sym_instanceof] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_satisfies] = ACTIONS(1432),
    [sym__ternary_qmark] = ACTIONS(1434),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4443),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1504),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2050),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4443),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1504),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1506),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_declaration] = STATE(4460),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(4399),
    [sym_lexical_declaration] = STATE(4399),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2053),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(4399),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(4399),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(4399),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(4399),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(4399),
    [sym_abstract_class_declaration] = STATE(4399),
    [sym_module] = STATE(4399),
    [sym_internal_module] = STATE(2149),
    [sym_import_alias] = STATE(4399),
    [sym_interface_declaration] = STATE(4399),
    [sym_enum_declaration] = STATE(4399),
    [sym_type_alias_declaration] = STATE(4399),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4532),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1508),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1510),
    [anon_sym_var] = ACTIONS(1512),
    [anon_sym_let] = ACTIONS(1514),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1518),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1522),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1524),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(1528),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1532),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4120),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_declaration] = STATE(4636),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(4399),
    [sym_lexical_declaration] = STATE(4399),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2080),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(4399),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(4399),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(4399),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(4399),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(4399),
    [sym_abstract_class_declaration] = STATE(4399),
    [sym_module] = STATE(4399),
    [sym_internal_module] = STATE(2149),
    [sym_import_alias] = STATE(4399),
    [sym_interface_declaration] = STATE(4399),
    [sym_enum_declaration] = STATE(4399),
    [sym_type_alias_declaration] = STATE(4399),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4532),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1508),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1510),
    [anon_sym_var] = ACTIONS(1512),
    [anon_sym_let] = ACTIONS(1514),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1518),
    [anon_sym_async] = ACTIONS(1520),
    [anon_sym_function] = ACTIONS(1522),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1524),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1526),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(1528),
    [anon_sym_interface] = ACTIONS(1530),
    [anon_sym_enum] = ACTIONS(1532),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2050),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4443),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(2166),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4443),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(1502),
    [anon_sym_function] = ACTIONS(634),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_declaration] = STATE(751),
    [sym_import] = STATE(3384),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2050),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_class_declaration] = STATE(862),
    [sym_function_expression] = STATE(2280),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function] = STATE(2280),
    [sym_generator_function_declaration] = STATE(862),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_function_signature] = STATE(862),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(235),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4120),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1496),
    [anon_sym_namespace] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(1498),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3216),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(1574),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1590),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1592),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1606),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(1616),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1560),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6405),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(1626),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_override] = ACTIONS(791),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1562),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6328),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(1626),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_override] = ACTIONS(791),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1628),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1636),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5044),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5044),
    [sym_optional_parameter] = STATE(5044),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1642),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5608),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5608),
    [sym_optional_parameter] = STATE(5608),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1644),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5342),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5342),
    [sym_optional_parameter] = STATE(5342),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_RBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1650),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5436),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5439),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1656),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1871),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5436),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5439),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym__formal_parameter] = STATE(5909),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4244),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(272),
    [sym_override_modifier] = STATE(293),
    [sym_required_parameter] = STATE(5909),
    [sym_optional_parameter] = STATE(5909),
    [sym__parameter_name] = STATE(3630),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(256),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1632),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1634),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1660),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1662),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5436),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5439),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1664),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1666),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1880),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5618),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5620),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(279),
    [sym_variable_declaration] = STATE(279),
    [sym_lexical_declaration] = STATE(279),
    [sym_empty_statement] = STATE(279),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(5414),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(5414),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(5414),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1290),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1670),
    [anon_sym_export] = ACTIONS(1672),
    [anon_sym_type] = ACTIONS(1672),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_let] = ACTIONS(1680),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1686),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1672),
    [anon_sym_readonly] = ACTIONS(1672),
    [anon_sym_get] = ACTIONS(1672),
    [anon_sym_set] = ACTIONS(1672),
    [anon_sym_declare] = ACTIONS(1672),
    [anon_sym_public] = ACTIONS(1672),
    [anon_sym_private] = ACTIONS(1672),
    [anon_sym_protected] = ACTIONS(1672),
    [anon_sym_override] = ACTIONS(1672),
    [anon_sym_module] = ACTIONS(1672),
    [anon_sym_any] = ACTIONS(1672),
    [anon_sym_number] = ACTIONS(1672),
    [anon_sym_boolean] = ACTIONS(1672),
    [anon_sym_string] = ACTIONS(1672),
    [anon_sym_symbol] = ACTIONS(1672),
    [anon_sym_object] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(283),
    [sym_variable_declaration] = STATE(283),
    [sym_lexical_declaration] = STATE(283),
    [sym_empty_statement] = STATE(283),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(5414),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(5414),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(5414),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1290),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1670),
    [anon_sym_export] = ACTIONS(1672),
    [anon_sym_type] = ACTIONS(1672),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_let] = ACTIONS(1680),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1686),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1672),
    [anon_sym_readonly] = ACTIONS(1672),
    [anon_sym_get] = ACTIONS(1672),
    [anon_sym_set] = ACTIONS(1672),
    [anon_sym_declare] = ACTIONS(1672),
    [anon_sym_public] = ACTIONS(1672),
    [anon_sym_private] = ACTIONS(1672),
    [anon_sym_protected] = ACTIONS(1672),
    [anon_sym_override] = ACTIONS(1672),
    [anon_sym_module] = ACTIONS(1672),
    [anon_sym_any] = ACTIONS(1672),
    [anon_sym_number] = ACTIONS(1672),
    [anon_sym_boolean] = ACTIONS(1672),
    [anon_sym_string] = ACTIONS(1672),
    [anon_sym_symbol] = ACTIONS(1672),
    [anon_sym_object] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_statement_block] = STATE(245),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_as] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_in] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1698),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_QMARK_DOT] = ACTIONS(1692),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_AMP_AMP] = ACTIONS(1692),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1694),
    [anon_sym_GT_GT_GT] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1692),
    [anon_sym_STAR_STAR] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(1694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1694),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_QMARK_QMARK] = ACTIONS(1692),
    [anon_sym_instanceof] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_satisfies] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym__automatic_semicolon] = ACTIONS(1692),
    [sym__ternary_qmark] = ACTIONS(1692),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(291),
    [sym_variable_declaration] = STATE(291),
    [sym_lexical_declaration] = STATE(291),
    [sym_empty_statement] = STATE(291),
    [sym_parenthesized_expression] = STATE(1290),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(5414),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(5414),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1290),
    [sym_subscript_expression] = STATE(1290),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(5414),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1290),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1670),
    [anon_sym_export] = ACTIONS(1672),
    [anon_sym_type] = ACTIONS(1672),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1678),
    [anon_sym_let] = ACTIONS(1680),
    [anon_sym_const] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1686),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1688),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1690),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1672),
    [anon_sym_readonly] = ACTIONS(1672),
    [anon_sym_get] = ACTIONS(1672),
    [anon_sym_set] = ACTIONS(1672),
    [anon_sym_declare] = ACTIONS(1672),
    [anon_sym_public] = ACTIONS(1672),
    [anon_sym_private] = ACTIONS(1672),
    [anon_sym_protected] = ACTIONS(1672),
    [anon_sym_override] = ACTIONS(1672),
    [anon_sym_module] = ACTIONS(1672),
    [anon_sym_any] = ACTIONS(1672),
    [anon_sym_number] = ACTIONS(1672),
    [anon_sym_boolean] = ACTIONS(1672),
    [anon_sym_string] = ACTIONS(1672),
    [anon_sym_symbol] = ACTIONS(1672),
    [anon_sym_object] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_statement_block] = STATE(245),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_as] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_in] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1694),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_QMARK_DOT] = ACTIONS(1692),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_AMP_AMP] = ACTIONS(1692),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1694),
    [anon_sym_GT_GT_GT] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1692),
    [anon_sym_STAR_STAR] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(1694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1694),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_QMARK_QMARK] = ACTIONS(1692),
    [anon_sym_instanceof] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_satisfies] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym__automatic_semicolon] = ACTIONS(1692),
    [sym__ternary_qmark] = ACTIONS(1692),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_export] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_type] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1706),
    [anon_sym_as] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1708),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1702),
    [anon_sym_with] = ACTIONS(1702),
    [anon_sym_var] = ACTIONS(1702),
    [anon_sym_let] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_await] = ACTIONS(1702),
    [anon_sym_in] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_try] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_debugger] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_yield] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_glimmer_opening_tag] = ACTIONS(1700),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_class] = ACTIONS(1702),
    [anon_sym_async] = ACTIONS(1702),
    [anon_sym_function] = ACTIONS(1702),
    [anon_sym_QMARK_DOT] = ACTIONS(1708),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_using] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1708),
    [anon_sym_PIPE_PIPE] = ACTIONS(1708),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1708),
    [anon_sym_LT_LT] = ACTIONS(1708),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1708),
    [anon_sym_PIPE] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PERCENT] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1708),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_LT_EQ] = ACTIONS(1708),
    [anon_sym_EQ_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1708),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1708),
    [anon_sym_GT_EQ] = ACTIONS(1708),
    [anon_sym_QMARK_QMARK] = ACTIONS(1708),
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_void] = ACTIONS(1702),
    [anon_sym_delete] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [sym_number] = ACTIONS(1700),
    [sym_private_property_identifier] = ACTIONS(1700),
    [sym_this] = ACTIONS(1702),
    [sym_super] = ACTIONS(1702),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [sym_null] = ACTIONS(1702),
    [sym_undefined] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1700),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1702),
    [anon_sym_set] = ACTIONS(1702),
    [anon_sym_declare] = ACTIONS(1702),
    [anon_sym_public] = ACTIONS(1702),
    [anon_sym_private] = ACTIONS(1702),
    [anon_sym_protected] = ACTIONS(1702),
    [anon_sym_override] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1702),
    [anon_sym_any] = ACTIONS(1702),
    [anon_sym_number] = ACTIONS(1702),
    [anon_sym_boolean] = ACTIONS(1702),
    [anon_sym_string] = ACTIONS(1702),
    [anon_sym_symbol] = ACTIONS(1702),
    [anon_sym_object] = ACTIONS(1702),
    [anon_sym_abstract] = ACTIONS(1702),
    [anon_sym_satisfies] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [sym__automatic_semicolon] = ACTIONS(1710),
    [sym__ternary_qmark] = ACTIONS(1708),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [anon_sym_extends] = ACTIONS(1652),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1650),
    [sym__automatic_semicolon] = ACTIONS(1650),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(5794),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1338),
    [sym_subscript_expression] = STATE(1338),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1338),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_mapped_type_clause] = STATE(6392),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1712),
    [anon_sym_export] = ACTIONS(1714),
    [anon_sym_type] = ACTIONS(1714),
    [anon_sym_namespace] = ACTIONS(1716),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_RBRACK] = ACTIONS(1724),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1726),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1728),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1730),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_readonly] = ACTIONS(1714),
    [anon_sym_get] = ACTIONS(1714),
    [anon_sym_set] = ACTIONS(1714),
    [anon_sym_declare] = ACTIONS(1714),
    [anon_sym_public] = ACTIONS(1714),
    [anon_sym_private] = ACTIONS(1714),
    [anon_sym_protected] = ACTIONS(1714),
    [anon_sym_override] = ACTIONS(1714),
    [anon_sym_module] = ACTIONS(1714),
    [anon_sym_any] = ACTIONS(1714),
    [anon_sym_number] = ACTIONS(1714),
    [anon_sym_boolean] = ACTIONS(1714),
    [anon_sym_string] = ACTIONS(1714),
    [anon_sym_symbol] = ACTIONS(1714),
    [anon_sym_object] = ACTIONS(1714),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_statement_block] = STATE(245),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_as] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_COMMA] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_in] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_GT] = ACTIONS(1694),
    [anon_sym_DOT] = ACTIONS(1732),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_QMARK_DOT] = ACTIONS(1692),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_AMP_AMP] = ACTIONS(1692),
    [anon_sym_PIPE_PIPE] = ACTIONS(1692),
    [anon_sym_GT_GT] = ACTIONS(1694),
    [anon_sym_GT_GT_GT] = ACTIONS(1692),
    [anon_sym_LT_LT] = ACTIONS(1692),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_CARET] = ACTIONS(1692),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_PERCENT] = ACTIONS(1692),
    [anon_sym_STAR_STAR] = ACTIONS(1692),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_LT_EQ] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(1694),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1692),
    [anon_sym_BANG_EQ] = ACTIONS(1694),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1692),
    [anon_sym_GT_EQ] = ACTIONS(1692),
    [anon_sym_QMARK_QMARK] = ACTIONS(1692),
    [anon_sym_instanceof] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_satisfies] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym__automatic_semicolon] = ACTIONS(1692),
    [sym__ternary_qmark] = ACTIONS(1692),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_as] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_in] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_QMARK_DOT] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1734),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_GT_GT_GT] = ACTIONS(1734),
    [anon_sym_LT_LT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_STAR_STAR] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1734),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1734),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1734),
    [anon_sym_QMARK_QMARK] = ACTIONS(1734),
    [anon_sym_instanceof] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_satisfies] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [sym__automatic_semicolon] = ACTIONS(1738),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_default] = ACTIONS(1742),
    [anon_sym_type] = ACTIONS(1742),
    [anon_sym_as] = ACTIONS(1744),
    [anon_sym_namespace] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_typeof] = ACTIONS(1742),
    [anon_sym_import] = ACTIONS(1742),
    [anon_sym_with] = ACTIONS(1742),
    [anon_sym_var] = ACTIONS(1742),
    [anon_sym_let] = ACTIONS(1742),
    [anon_sym_const] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1742),
    [anon_sym_in] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1742),
    [anon_sym_try] = ACTIONS(1742),
    [anon_sym_break] = ACTIONS(1742),
    [anon_sym_continue] = ACTIONS(1742),
    [anon_sym_debugger] = ACTIONS(1742),
    [anon_sym_return] = ACTIONS(1742),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_case] = ACTIONS(1742),
    [anon_sym_yield] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_glimmer_opening_tag] = ACTIONS(1740),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [anon_sym_class] = ACTIONS(1742),
    [anon_sym_async] = ACTIONS(1742),
    [anon_sym_function] = ACTIONS(1742),
    [anon_sym_QMARK_DOT] = ACTIONS(1746),
    [anon_sym_new] = ACTIONS(1742),
    [anon_sym_using] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1746),
    [anon_sym_PIPE_PIPE] = ACTIONS(1746),
    [anon_sym_GT_GT] = ACTIONS(1744),
    [anon_sym_GT_GT_GT] = ACTIONS(1746),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1746),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1746),
    [anon_sym_STAR_STAR] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1746),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1746),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1746),
    [anon_sym_GT_EQ] = ACTIONS(1746),
    [anon_sym_QMARK_QMARK] = ACTIONS(1746),
    [anon_sym_instanceof] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_void] = ACTIONS(1742),
    [anon_sym_delete] = ACTIONS(1742),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_private_property_identifier] = ACTIONS(1740),
    [sym_this] = ACTIONS(1742),
    [sym_super] = ACTIONS(1742),
    [sym_true] = ACTIONS(1742),
    [sym_false] = ACTIONS(1742),
    [sym_null] = ACTIONS(1742),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1742),
    [anon_sym_readonly] = ACTIONS(1742),
    [anon_sym_get] = ACTIONS(1742),
    [anon_sym_set] = ACTIONS(1742),
    [anon_sym_declare] = ACTIONS(1742),
    [anon_sym_public] = ACTIONS(1742),
    [anon_sym_private] = ACTIONS(1742),
    [anon_sym_protected] = ACTIONS(1742),
    [anon_sym_override] = ACTIONS(1742),
    [anon_sym_module] = ACTIONS(1742),
    [anon_sym_any] = ACTIONS(1742),
    [anon_sym_number] = ACTIONS(1742),
    [anon_sym_boolean] = ACTIONS(1742),
    [anon_sym_string] = ACTIONS(1742),
    [anon_sym_symbol] = ACTIONS(1742),
    [anon_sym_object] = ACTIONS(1742),
    [anon_sym_abstract] = ACTIONS(1742),
    [anon_sym_satisfies] = ACTIONS(1744),
    [anon_sym_interface] = ACTIONS(1742),
    [anon_sym_enum] = ACTIONS(1742),
    [sym__automatic_semicolon] = ACTIONS(1748),
    [sym__ternary_qmark] = ACTIONS(1746),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1750),
    [sym_identifier] = ACTIONS(1752),
    [anon_sym_export] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_default] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1752),
    [anon_sym_as] = ACTIONS(1752),
    [anon_sym_namespace] = ACTIONS(1752),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(1752),
    [anon_sym_import] = ACTIONS(1752),
    [anon_sym_with] = ACTIONS(1752),
    [anon_sym_var] = ACTIONS(1752),
    [anon_sym_let] = ACTIONS(1752),
    [anon_sym_const] = ACTIONS(1752),
    [anon_sym_BANG] = ACTIONS(1752),
    [anon_sym_else] = ACTIONS(1752),
    [anon_sym_if] = ACTIONS(1752),
    [anon_sym_switch] = ACTIONS(1752),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_await] = ACTIONS(1752),
    [anon_sym_in] = ACTIONS(1752),
    [anon_sym_while] = ACTIONS(1752),
    [anon_sym_do] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1752),
    [anon_sym_break] = ACTIONS(1752),
    [anon_sym_continue] = ACTIONS(1752),
    [anon_sym_debugger] = ACTIONS(1752),
    [anon_sym_return] = ACTIONS(1752),
    [anon_sym_throw] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_case] = ACTIONS(1752),
    [anon_sym_yield] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1750),
    [sym_glimmer_opening_tag] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1752),
    [anon_sym_DOT] = ACTIONS(1752),
    [anon_sym_DQUOTE] = ACTIONS(1750),
    [anon_sym_SQUOTE] = ACTIONS(1750),
    [anon_sym_class] = ACTIONS(1752),
    [anon_sym_async] = ACTIONS(1752),
    [anon_sym_function] = ACTIONS(1752),
    [anon_sym_QMARK_DOT] = ACTIONS(1750),
    [anon_sym_new] = ACTIONS(1752),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_AMP_AMP] = ACTIONS(1750),
    [anon_sym_PIPE_PIPE] = ACTIONS(1750),
    [anon_sym_GT_GT] = ACTIONS(1752),
    [anon_sym_GT_GT_GT] = ACTIONS(1750),
    [anon_sym_LT_LT] = ACTIONS(1750),
    [anon_sym_AMP] = ACTIONS(1752),
    [anon_sym_CARET] = ACTIONS(1750),
    [anon_sym_PIPE] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1752),
    [anon_sym_PERCENT] = ACTIONS(1750),
    [anon_sym_STAR_STAR] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1750),
    [anon_sym_EQ_EQ] = ACTIONS(1752),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1750),
    [anon_sym_BANG_EQ] = ACTIONS(1752),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1750),
    [anon_sym_GT_EQ] = ACTIONS(1750),
    [anon_sym_QMARK_QMARK] = ACTIONS(1750),
    [anon_sym_instanceof] = ACTIONS(1752),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_void] = ACTIONS(1752),
    [anon_sym_delete] = ACTIONS(1752),
    [anon_sym_PLUS_PLUS] = ACTIONS(1750),
    [anon_sym_DASH_DASH] = ACTIONS(1750),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1750),
    [sym_number] = ACTIONS(1750),
    [sym_private_property_identifier] = ACTIONS(1750),
    [sym_this] = ACTIONS(1752),
    [sym_super] = ACTIONS(1752),
    [sym_true] = ACTIONS(1752),
    [sym_false] = ACTIONS(1752),
    [sym_null] = ACTIONS(1752),
    [sym_undefined] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1750),
    [anon_sym_static] = ACTIONS(1752),
    [anon_sym_readonly] = ACTIONS(1752),
    [anon_sym_get] = ACTIONS(1752),
    [anon_sym_set] = ACTIONS(1752),
    [anon_sym_declare] = ACTIONS(1752),
    [anon_sym_public] = ACTIONS(1752),
    [anon_sym_private] = ACTIONS(1752),
    [anon_sym_protected] = ACTIONS(1752),
    [anon_sym_override] = ACTIONS(1752),
    [anon_sym_module] = ACTIONS(1752),
    [anon_sym_any] = ACTIONS(1752),
    [anon_sym_number] = ACTIONS(1752),
    [anon_sym_boolean] = ACTIONS(1752),
    [anon_sym_string] = ACTIONS(1752),
    [anon_sym_symbol] = ACTIONS(1752),
    [anon_sym_object] = ACTIONS(1752),
    [anon_sym_abstract] = ACTIONS(1752),
    [anon_sym_satisfies] = ACTIONS(1752),
    [anon_sym_interface] = ACTIONS(1752),
    [anon_sym_enum] = ACTIONS(1752),
    [sym__automatic_semicolon] = ACTIONS(1750),
    [sym__ternary_qmark] = ACTIONS(1750),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1754),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1758),
    [anon_sym_default] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_as] = ACTIONS(1758),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_LBRACE] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1760),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [anon_sym_typeof] = ACTIONS(1756),
    [anon_sym_import] = ACTIONS(1756),
    [anon_sym_with] = ACTIONS(1756),
    [anon_sym_var] = ACTIONS(1756),
    [anon_sym_let] = ACTIONS(1756),
    [anon_sym_const] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(1756),
    [anon_sym_else] = ACTIONS(1756),
    [anon_sym_if] = ACTIONS(1756),
    [anon_sym_switch] = ACTIONS(1756),
    [anon_sym_for] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_await] = ACTIONS(1756),
    [anon_sym_in] = ACTIONS(1758),
    [anon_sym_while] = ACTIONS(1756),
    [anon_sym_do] = ACTIONS(1756),
    [anon_sym_try] = ACTIONS(1756),
    [anon_sym_break] = ACTIONS(1756),
    [anon_sym_continue] = ACTIONS(1756),
    [anon_sym_debugger] = ACTIONS(1756),
    [anon_sym_return] = ACTIONS(1756),
    [anon_sym_throw] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym_case] = ACTIONS(1756),
    [anon_sym_yield] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_glimmer_opening_tag] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1758),
    [anon_sym_DOT] = ACTIONS(1758),
    [anon_sym_DQUOTE] = ACTIONS(1754),
    [anon_sym_SQUOTE] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(1756),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(1756),
    [anon_sym_QMARK_DOT] = ACTIONS(1760),
    [anon_sym_new] = ACTIONS(1756),
    [anon_sym_using] = ACTIONS(1756),
    [anon_sym_AMP_AMP] = ACTIONS(1760),
    [anon_sym_PIPE_PIPE] = ACTIONS(1760),
    [anon_sym_GT_GT] = ACTIONS(1758),
    [anon_sym_GT_GT_GT] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_AMP] = ACTIONS(1758),
    [anon_sym_CARET] = ACTIONS(1760),
    [anon_sym_PIPE] = ACTIONS(1758),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1756),
    [anon_sym_PERCENT] = ACTIONS(1760),
    [anon_sym_STAR_STAR] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_EQ_EQ] = ACTIONS(1758),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1760),
    [anon_sym_BANG_EQ] = ACTIONS(1758),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_QMARK_QMARK] = ACTIONS(1760),
    [anon_sym_instanceof] = ACTIONS(1758),
    [anon_sym_TILDE] = ACTIONS(1754),
    [anon_sym_void] = ACTIONS(1756),
    [anon_sym_delete] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1754),
    [anon_sym_DASH_DASH] = ACTIONS(1754),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1754),
    [sym_number] = ACTIONS(1754),
    [sym_private_property_identifier] = ACTIONS(1754),
    [sym_this] = ACTIONS(1756),
    [sym_super] = ACTIONS(1756),
    [sym_true] = ACTIONS(1756),
    [sym_false] = ACTIONS(1756),
    [sym_null] = ACTIONS(1756),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1754),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_object] = ACTIONS(1756),
    [anon_sym_abstract] = ACTIONS(1756),
    [anon_sym_satisfies] = ACTIONS(1758),
    [anon_sym_interface] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(1762),
    [sym__ternary_qmark] = ACTIONS(1760),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1766),
    [anon_sym_type] = ACTIONS(1766),
    [anon_sym_as] = ACTIONS(1768),
    [anon_sym_namespace] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1770),
    [anon_sym_RBRACE] = ACTIONS(1764),
    [anon_sym_typeof] = ACTIONS(1766),
    [anon_sym_import] = ACTIONS(1766),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_var] = ACTIONS(1766),
    [anon_sym_let] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(1766),
    [anon_sym_BANG] = ACTIONS(1766),
    [anon_sym_else] = ACTIONS(1766),
    [anon_sym_if] = ACTIONS(1766),
    [anon_sym_switch] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [anon_sym_await] = ACTIONS(1766),
    [anon_sym_in] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_do] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(1766),
    [anon_sym_continue] = ACTIONS(1766),
    [anon_sym_debugger] = ACTIONS(1766),
    [anon_sym_return] = ACTIONS(1766),
    [anon_sym_throw] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [anon_sym_case] = ACTIONS(1766),
    [anon_sym_yield] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_glimmer_opening_tag] = ACTIONS(1764),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_DQUOTE] = ACTIONS(1764),
    [anon_sym_SQUOTE] = ACTIONS(1764),
    [anon_sym_class] = ACTIONS(1766),
    [anon_sym_async] = ACTIONS(1766),
    [anon_sym_function] = ACTIONS(1766),
    [anon_sym_QMARK_DOT] = ACTIONS(1770),
    [anon_sym_new] = ACTIONS(1766),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(1770),
    [anon_sym_PIPE_PIPE] = ACTIONS(1770),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_GT_GT_GT] = ACTIONS(1770),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1770),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1770),
    [anon_sym_STAR_STAR] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_LT_EQ] = ACTIONS(1770),
    [anon_sym_EQ_EQ] = ACTIONS(1768),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1770),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1770),
    [anon_sym_GT_EQ] = ACTIONS(1770),
    [anon_sym_QMARK_QMARK] = ACTIONS(1770),
    [anon_sym_instanceof] = ACTIONS(1768),
    [anon_sym_TILDE] = ACTIONS(1764),
    [anon_sym_void] = ACTIONS(1766),
    [anon_sym_delete] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1764),
    [sym_number] = ACTIONS(1764),
    [sym_private_property_identifier] = ACTIONS(1764),
    [sym_this] = ACTIONS(1766),
    [sym_super] = ACTIONS(1766),
    [sym_true] = ACTIONS(1766),
    [sym_false] = ACTIONS(1766),
    [sym_null] = ACTIONS(1766),
    [sym_undefined] = ACTIONS(1766),
    [anon_sym_AT] = ACTIONS(1764),
    [anon_sym_static] = ACTIONS(1766),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(1766),
    [anon_sym_set] = ACTIONS(1766),
    [anon_sym_declare] = ACTIONS(1766),
    [anon_sym_public] = ACTIONS(1766),
    [anon_sym_private] = ACTIONS(1766),
    [anon_sym_protected] = ACTIONS(1766),
    [anon_sym_override] = ACTIONS(1766),
    [anon_sym_module] = ACTIONS(1766),
    [anon_sym_any] = ACTIONS(1766),
    [anon_sym_number] = ACTIONS(1766),
    [anon_sym_boolean] = ACTIONS(1766),
    [anon_sym_string] = ACTIONS(1766),
    [anon_sym_symbol] = ACTIONS(1766),
    [anon_sym_object] = ACTIONS(1766),
    [anon_sym_abstract] = ACTIONS(1766),
    [anon_sym_satisfies] = ACTIONS(1768),
    [anon_sym_interface] = ACTIONS(1766),
    [anon_sym_enum] = ACTIONS(1766),
    [sym__automatic_semicolon] = ACTIONS(1772),
    [sym__ternary_qmark] = ACTIONS(1770),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1774),
    [sym_identifier] = ACTIONS(1776),
    [anon_sym_export] = ACTIONS(1776),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_default] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1776),
    [anon_sym_as] = ACTIONS(1778),
    [anon_sym_namespace] = ACTIONS(1776),
    [anon_sym_LBRACE] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_typeof] = ACTIONS(1776),
    [anon_sym_import] = ACTIONS(1776),
    [anon_sym_with] = ACTIONS(1776),
    [anon_sym_var] = ACTIONS(1776),
    [anon_sym_let] = ACTIONS(1776),
    [anon_sym_const] = ACTIONS(1776),
    [anon_sym_BANG] = ACTIONS(1776),
    [anon_sym_else] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(1776),
    [anon_sym_switch] = ACTIONS(1776),
    [anon_sym_for] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_await] = ACTIONS(1776),
    [anon_sym_in] = ACTIONS(1778),
    [anon_sym_while] = ACTIONS(1776),
    [anon_sym_do] = ACTIONS(1776),
    [anon_sym_try] = ACTIONS(1776),
    [anon_sym_break] = ACTIONS(1776),
    [anon_sym_continue] = ACTIONS(1776),
    [anon_sym_debugger] = ACTIONS(1776),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_case] = ACTIONS(1776),
    [anon_sym_yield] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [sym_glimmer_opening_tag] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1778),
    [anon_sym_DQUOTE] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1774),
    [anon_sym_class] = ACTIONS(1776),
    [anon_sym_async] = ACTIONS(1776),
    [anon_sym_function] = ACTIONS(1776),
    [anon_sym_QMARK_DOT] = ACTIONS(1780),
    [anon_sym_new] = ACTIONS(1776),
    [anon_sym_using] = ACTIONS(1776),
    [anon_sym_AMP_AMP] = ACTIONS(1780),
    [anon_sym_PIPE_PIPE] = ACTIONS(1780),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_GT_GT_GT] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1780),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1776),
    [anon_sym_PERCENT] = ACTIONS(1780),
    [anon_sym_STAR_STAR] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_EQ_EQ] = ACTIONS(1778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1780),
    [anon_sym_BANG_EQ] = ACTIONS(1778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_QMARK_QMARK] = ACTIONS(1780),
    [anon_sym_instanceof] = ACTIONS(1778),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_void] = ACTIONS(1776),
    [anon_sym_delete] = ACTIONS(1776),
    [anon_sym_PLUS_PLUS] = ACTIONS(1774),
    [anon_sym_DASH_DASH] = ACTIONS(1774),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1774),
    [sym_number] = ACTIONS(1774),
    [sym_private_property_identifier] = ACTIONS(1774),
    [sym_this] = ACTIONS(1776),
    [sym_super] = ACTIONS(1776),
    [sym_true] = ACTIONS(1776),
    [sym_false] = ACTIONS(1776),
    [sym_null] = ACTIONS(1776),
    [sym_undefined] = ACTIONS(1776),
    [anon_sym_AT] = ACTIONS(1774),
    [anon_sym_static] = ACTIONS(1776),
    [anon_sym_readonly] = ACTIONS(1776),
    [anon_sym_get] = ACTIONS(1776),
    [anon_sym_set] = ACTIONS(1776),
    [anon_sym_declare] = ACTIONS(1776),
    [anon_sym_public] = ACTIONS(1776),
    [anon_sym_private] = ACTIONS(1776),
    [anon_sym_protected] = ACTIONS(1776),
    [anon_sym_override] = ACTIONS(1776),
    [anon_sym_module] = ACTIONS(1776),
    [anon_sym_any] = ACTIONS(1776),
    [anon_sym_number] = ACTIONS(1776),
    [anon_sym_boolean] = ACTIONS(1776),
    [anon_sym_string] = ACTIONS(1776),
    [anon_sym_symbol] = ACTIONS(1776),
    [anon_sym_object] = ACTIONS(1776),
    [anon_sym_abstract] = ACTIONS(1776),
    [anon_sym_satisfies] = ACTIONS(1778),
    [anon_sym_interface] = ACTIONS(1776),
    [anon_sym_enum] = ACTIONS(1776),
    [sym__automatic_semicolon] = ACTIONS(1782),
    [sym__ternary_qmark] = ACTIONS(1780),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym_identifier] = ACTIONS(1786),
    [anon_sym_export] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_type] = ACTIONS(1786),
    [anon_sym_as] = ACTIONS(1786),
    [anon_sym_namespace] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_typeof] = ACTIONS(1786),
    [anon_sym_import] = ACTIONS(1786),
    [anon_sym_with] = ACTIONS(1786),
    [anon_sym_var] = ACTIONS(1786),
    [anon_sym_let] = ACTIONS(1786),
    [anon_sym_const] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1786),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_if] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(1786),
    [anon_sym_for] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_await] = ACTIONS(1786),
    [anon_sym_in] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(1786),
    [anon_sym_do] = ACTIONS(1786),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_break] = ACTIONS(1786),
    [anon_sym_continue] = ACTIONS(1786),
    [anon_sym_debugger] = ACTIONS(1786),
    [anon_sym_return] = ACTIONS(1786),
    [anon_sym_throw] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_yield] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [sym_glimmer_opening_tag] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1786),
    [anon_sym_DOT] = ACTIONS(1786),
    [anon_sym_DQUOTE] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1784),
    [anon_sym_class] = ACTIONS(1786),
    [anon_sym_async] = ACTIONS(1786),
    [anon_sym_function] = ACTIONS(1786),
    [anon_sym_QMARK_DOT] = ACTIONS(1784),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1786),
    [anon_sym_AMP_AMP] = ACTIONS(1784),
    [anon_sym_PIPE_PIPE] = ACTIONS(1784),
    [anon_sym_GT_GT] = ACTIONS(1786),
    [anon_sym_GT_GT_GT] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_AMP] = ACTIONS(1786),
    [anon_sym_CARET] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1786),
    [anon_sym_PLUS] = ACTIONS(1786),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_PERCENT] = ACTIONS(1784),
    [anon_sym_STAR_STAR] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_EQ_EQ] = ACTIONS(1786),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1784),
    [anon_sym_BANG_EQ] = ACTIONS(1786),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_QMARK_QMARK] = ACTIONS(1784),
    [anon_sym_instanceof] = ACTIONS(1786),
    [anon_sym_TILDE] = ACTIONS(1784),
    [anon_sym_void] = ACTIONS(1786),
    [anon_sym_delete] = ACTIONS(1786),
    [anon_sym_PLUS_PLUS] = ACTIONS(1784),
    [anon_sym_DASH_DASH] = ACTIONS(1784),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1784),
    [sym_number] = ACTIONS(1784),
    [sym_private_property_identifier] = ACTIONS(1784),
    [sym_this] = ACTIONS(1786),
    [sym_super] = ACTIONS(1786),
    [sym_true] = ACTIONS(1786),
    [sym_false] = ACTIONS(1786),
    [sym_null] = ACTIONS(1786),
    [sym_undefined] = ACTIONS(1786),
    [anon_sym_AT] = ACTIONS(1784),
    [anon_sym_static] = ACTIONS(1786),
    [anon_sym_readonly] = ACTIONS(1786),
    [anon_sym_get] = ACTIONS(1786),
    [anon_sym_set] = ACTIONS(1786),
    [anon_sym_declare] = ACTIONS(1786),
    [anon_sym_public] = ACTIONS(1786),
    [anon_sym_private] = ACTIONS(1786),
    [anon_sym_protected] = ACTIONS(1786),
    [anon_sym_override] = ACTIONS(1786),
    [anon_sym_module] = ACTIONS(1786),
    [anon_sym_any] = ACTIONS(1786),
    [anon_sym_number] = ACTIONS(1786),
    [anon_sym_boolean] = ACTIONS(1786),
    [anon_sym_string] = ACTIONS(1786),
    [anon_sym_symbol] = ACTIONS(1786),
    [anon_sym_object] = ACTIONS(1786),
    [anon_sym_abstract] = ACTIONS(1786),
    [anon_sym_satisfies] = ACTIONS(1786),
    [anon_sym_interface] = ACTIONS(1786),
    [anon_sym_enum] = ACTIONS(1786),
    [sym__automatic_semicolon] = ACTIONS(1784),
    [sym__ternary_qmark] = ACTIONS(1784),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1790),
    [anon_sym_export] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1792),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1790),
    [anon_sym_as] = ACTIONS(1792),
    [anon_sym_namespace] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1794),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_typeof] = ACTIONS(1790),
    [anon_sym_import] = ACTIONS(1790),
    [anon_sym_with] = ACTIONS(1790),
    [anon_sym_var] = ACTIONS(1790),
    [anon_sym_let] = ACTIONS(1790),
    [anon_sym_const] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1790),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_if] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_for] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_await] = ACTIONS(1790),
    [anon_sym_in] = ACTIONS(1792),
    [anon_sym_while] = ACTIONS(1790),
    [anon_sym_do] = ACTIONS(1790),
    [anon_sym_try] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1790),
    [anon_sym_debugger] = ACTIONS(1790),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_throw] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_yield] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_glimmer_opening_tag] = ACTIONS(1788),
    [anon_sym_GT] = ACTIONS(1792),
    [anon_sym_DOT] = ACTIONS(1792),
    [anon_sym_DQUOTE] = ACTIONS(1788),
    [anon_sym_SQUOTE] = ACTIONS(1788),
    [anon_sym_class] = ACTIONS(1790),
    [anon_sym_async] = ACTIONS(1790),
    [anon_sym_function] = ACTIONS(1790),
    [anon_sym_QMARK_DOT] = ACTIONS(1794),
    [anon_sym_new] = ACTIONS(1790),
    [anon_sym_using] = ACTIONS(1790),
    [anon_sym_AMP_AMP] = ACTIONS(1794),
    [anon_sym_PIPE_PIPE] = ACTIONS(1794),
    [anon_sym_GT_GT] = ACTIONS(1792),
    [anon_sym_GT_GT_GT] = ACTIONS(1794),
    [anon_sym_LT_LT] = ACTIONS(1794),
    [anon_sym_AMP] = ACTIONS(1792),
    [anon_sym_CARET] = ACTIONS(1794),
    [anon_sym_PIPE] = ACTIONS(1792),
    [anon_sym_PLUS] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_PERCENT] = ACTIONS(1794),
    [anon_sym_STAR_STAR] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_LT_EQ] = ACTIONS(1794),
    [anon_sym_EQ_EQ] = ACTIONS(1792),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1794),
    [anon_sym_BANG_EQ] = ACTIONS(1792),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1794),
    [anon_sym_GT_EQ] = ACTIONS(1794),
    [anon_sym_QMARK_QMARK] = ACTIONS(1794),
    [anon_sym_instanceof] = ACTIONS(1792),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_void] = ACTIONS(1790),
    [anon_sym_delete] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1788),
    [anon_sym_DASH_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1788),
    [sym_number] = ACTIONS(1788),
    [sym_private_property_identifier] = ACTIONS(1788),
    [sym_this] = ACTIONS(1790),
    [sym_super] = ACTIONS(1790),
    [sym_true] = ACTIONS(1790),
    [sym_false] = ACTIONS(1790),
    [sym_null] = ACTIONS(1790),
    [sym_undefined] = ACTIONS(1790),
    [anon_sym_AT] = ACTIONS(1788),
    [anon_sym_static] = ACTIONS(1790),
    [anon_sym_readonly] = ACTIONS(1790),
    [anon_sym_get] = ACTIONS(1790),
    [anon_sym_set] = ACTIONS(1790),
    [anon_sym_declare] = ACTIONS(1790),
    [anon_sym_public] = ACTIONS(1790),
    [anon_sym_private] = ACTIONS(1790),
    [anon_sym_protected] = ACTIONS(1790),
    [anon_sym_override] = ACTIONS(1790),
    [anon_sym_module] = ACTIONS(1790),
    [anon_sym_any] = ACTIONS(1790),
    [anon_sym_number] = ACTIONS(1790),
    [anon_sym_boolean] = ACTIONS(1790),
    [anon_sym_string] = ACTIONS(1790),
    [anon_sym_symbol] = ACTIONS(1790),
    [anon_sym_object] = ACTIONS(1790),
    [anon_sym_abstract] = ACTIONS(1790),
    [anon_sym_satisfies] = ACTIONS(1792),
    [anon_sym_interface] = ACTIONS(1790),
    [anon_sym_enum] = ACTIONS(1790),
    [sym__automatic_semicolon] = ACTIONS(1796),
    [sym__ternary_qmark] = ACTIONS(1794),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_export] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_type] = ACTIONS(1702),
    [anon_sym_as] = ACTIONS(1702),
    [anon_sym_namespace] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1702),
    [anon_sym_with] = ACTIONS(1702),
    [anon_sym_var] = ACTIONS(1702),
    [anon_sym_let] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_await] = ACTIONS(1702),
    [anon_sym_in] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_try] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_debugger] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_yield] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_glimmer_opening_tag] = ACTIONS(1700),
    [anon_sym_GT] = ACTIONS(1702),
    [anon_sym_DOT] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_class] = ACTIONS(1702),
    [anon_sym_async] = ACTIONS(1702),
    [anon_sym_function] = ACTIONS(1702),
    [anon_sym_QMARK_DOT] = ACTIONS(1700),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_using] = ACTIONS(1702),
    [anon_sym_AMP_AMP] = ACTIONS(1700),
    [anon_sym_PIPE_PIPE] = ACTIONS(1700),
    [anon_sym_GT_GT] = ACTIONS(1702),
    [anon_sym_GT_GT_GT] = ACTIONS(1700),
    [anon_sym_LT_LT] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_CARET] = ACTIONS(1700),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_PERCENT] = ACTIONS(1700),
    [anon_sym_STAR_STAR] = ACTIONS(1700),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_LT_EQ] = ACTIONS(1700),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1700),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1700),
    [anon_sym_GT_EQ] = ACTIONS(1700),
    [anon_sym_QMARK_QMARK] = ACTIONS(1700),
    [anon_sym_instanceof] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_void] = ACTIONS(1702),
    [anon_sym_delete] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [sym_number] = ACTIONS(1700),
    [sym_private_property_identifier] = ACTIONS(1700),
    [sym_this] = ACTIONS(1702),
    [sym_super] = ACTIONS(1702),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [sym_null] = ACTIONS(1702),
    [sym_undefined] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1700),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1702),
    [anon_sym_set] = ACTIONS(1702),
    [anon_sym_declare] = ACTIONS(1702),
    [anon_sym_public] = ACTIONS(1702),
    [anon_sym_private] = ACTIONS(1702),
    [anon_sym_protected] = ACTIONS(1702),
    [anon_sym_override] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1702),
    [anon_sym_any] = ACTIONS(1702),
    [anon_sym_number] = ACTIONS(1702),
    [anon_sym_boolean] = ACTIONS(1702),
    [anon_sym_string] = ACTIONS(1702),
    [anon_sym_symbol] = ACTIONS(1702),
    [anon_sym_object] = ACTIONS(1702),
    [anon_sym_abstract] = ACTIONS(1702),
    [anon_sym_satisfies] = ACTIONS(1702),
    [anon_sym_interface] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [sym__automatic_semicolon] = ACTIONS(1798),
    [sym__ternary_qmark] = ACTIONS(1700),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_export] = ACTIONS(1802),
    [anon_sym_STAR] = ACTIONS(1802),
    [anon_sym_default] = ACTIONS(1802),
    [anon_sym_type] = ACTIONS(1802),
    [anon_sym_as] = ACTIONS(1802),
    [anon_sym_namespace] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_RBRACE] = ACTIONS(1800),
    [anon_sym_typeof] = ACTIONS(1802),
    [anon_sym_import] = ACTIONS(1802),
    [anon_sym_with] = ACTIONS(1802),
    [anon_sym_var] = ACTIONS(1802),
    [anon_sym_let] = ACTIONS(1802),
    [anon_sym_const] = ACTIONS(1802),
    [anon_sym_BANG] = ACTIONS(1802),
    [anon_sym_else] = ACTIONS(1802),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_switch] = ACTIONS(1802),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [anon_sym_await] = ACTIONS(1802),
    [anon_sym_in] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1802),
    [anon_sym_do] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_break] = ACTIONS(1802),
    [anon_sym_continue] = ACTIONS(1802),
    [anon_sym_debugger] = ACTIONS(1802),
    [anon_sym_return] = ACTIONS(1802),
    [anon_sym_throw] = ACTIONS(1802),
    [anon_sym_SEMI] = ACTIONS(1800),
    [anon_sym_case] = ACTIONS(1802),
    [anon_sym_yield] = ACTIONS(1802),
    [anon_sym_LBRACK] = ACTIONS(1800),
    [sym_glimmer_opening_tag] = ACTIONS(1800),
    [anon_sym_GT] = ACTIONS(1802),
    [anon_sym_DOT] = ACTIONS(1802),
    [anon_sym_DQUOTE] = ACTIONS(1800),
    [anon_sym_SQUOTE] = ACTIONS(1800),
    [anon_sym_class] = ACTIONS(1802),
    [anon_sym_async] = ACTIONS(1802),
    [anon_sym_function] = ACTIONS(1802),
    [anon_sym_QMARK_DOT] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_using] = ACTIONS(1802),
    [anon_sym_AMP_AMP] = ACTIONS(1800),
    [anon_sym_PIPE_PIPE] = ACTIONS(1800),
    [anon_sym_GT_GT] = ACTIONS(1802),
    [anon_sym_GT_GT_GT] = ACTIONS(1800),
    [anon_sym_LT_LT] = ACTIONS(1800),
    [anon_sym_AMP] = ACTIONS(1802),
    [anon_sym_CARET] = ACTIONS(1800),
    [anon_sym_PIPE] = ACTIONS(1802),
    [anon_sym_PLUS] = ACTIONS(1802),
    [anon_sym_DASH] = ACTIONS(1802),
    [anon_sym_SLASH] = ACTIONS(1802),
    [anon_sym_PERCENT] = ACTIONS(1800),
    [anon_sym_STAR_STAR] = ACTIONS(1800),
    [anon_sym_LT] = ACTIONS(1802),
    [anon_sym_LT_EQ] = ACTIONS(1800),
    [anon_sym_EQ_EQ] = ACTIONS(1802),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1800),
    [anon_sym_BANG_EQ] = ACTIONS(1802),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1800),
    [anon_sym_GT_EQ] = ACTIONS(1800),
    [anon_sym_QMARK_QMARK] = ACTIONS(1800),
    [anon_sym_instanceof] = ACTIONS(1802),
    [anon_sym_TILDE] = ACTIONS(1800),
    [anon_sym_void] = ACTIONS(1802),
    [anon_sym_delete] = ACTIONS(1802),
    [anon_sym_PLUS_PLUS] = ACTIONS(1800),
    [anon_sym_DASH_DASH] = ACTIONS(1800),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1800),
    [sym_number] = ACTIONS(1800),
    [sym_private_property_identifier] = ACTIONS(1800),
    [sym_this] = ACTIONS(1802),
    [sym_super] = ACTIONS(1802),
    [sym_true] = ACTIONS(1802),
    [sym_false] = ACTIONS(1802),
    [sym_null] = ACTIONS(1802),
    [sym_undefined] = ACTIONS(1802),
    [anon_sym_AT] = ACTIONS(1800),
    [anon_sym_static] = ACTIONS(1802),
    [anon_sym_readonly] = ACTIONS(1802),
    [anon_sym_get] = ACTIONS(1802),
    [anon_sym_set] = ACTIONS(1802),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1802),
    [anon_sym_private] = ACTIONS(1802),
    [anon_sym_protected] = ACTIONS(1802),
    [anon_sym_override] = ACTIONS(1802),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1802),
    [anon_sym_number] = ACTIONS(1802),
    [anon_sym_boolean] = ACTIONS(1802),
    [anon_sym_string] = ACTIONS(1802),
    [anon_sym_symbol] = ACTIONS(1802),
    [anon_sym_object] = ACTIONS(1802),
    [anon_sym_abstract] = ACTIONS(1802),
    [anon_sym_satisfies] = ACTIONS(1802),
    [anon_sym_interface] = ACTIONS(1802),
    [anon_sym_enum] = ACTIONS(1802),
    [sym__automatic_semicolon] = ACTIONS(1800),
    [sym__ternary_qmark] = ACTIONS(1800),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_RBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_as] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_in] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_QMARK_DOT] = ACTIONS(1734),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1734),
    [anon_sym_PIPE_PIPE] = ACTIONS(1734),
    [anon_sym_GT_GT] = ACTIONS(1736),
    [anon_sym_GT_GT_GT] = ACTIONS(1734),
    [anon_sym_LT_LT] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1734),
    [anon_sym_STAR_STAR] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1734),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1734),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1734),
    [anon_sym_GT_EQ] = ACTIONS(1734),
    [anon_sym_QMARK_QMARK] = ACTIONS(1734),
    [anon_sym_instanceof] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_satisfies] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym__ternary_qmark] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_assignment_pattern] = STATE(5617),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4845),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_pattern_repeat1] = STATE(5622),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_RBRACK] = ACTIONS(1804),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1806),
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_as] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1806),
    [anon_sym_COMMA] = ACTIONS(1806),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1806),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_in] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_SEMI] = ACTIONS(1806),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1806),
    [sym_glimmer_opening_tag] = ACTIONS(1806),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [anon_sym_SQUOTE] = ACTIONS(1806),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_QMARK_DOT] = ACTIONS(1806),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_AMP_AMP] = ACTIONS(1806),
    [anon_sym_PIPE_PIPE] = ACTIONS(1806),
    [anon_sym_GT_GT] = ACTIONS(1808),
    [anon_sym_GT_GT_GT] = ACTIONS(1806),
    [anon_sym_LT_LT] = ACTIONS(1806),
    [anon_sym_AMP] = ACTIONS(1808),
    [anon_sym_CARET] = ACTIONS(1806),
    [anon_sym_PIPE] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_PERCENT] = ACTIONS(1806),
    [anon_sym_STAR_STAR] = ACTIONS(1806),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_LT_EQ] = ACTIONS(1806),
    [anon_sym_EQ_EQ] = ACTIONS(1808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1806),
    [anon_sym_BANG_EQ] = ACTIONS(1808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1806),
    [anon_sym_GT_EQ] = ACTIONS(1806),
    [anon_sym_QMARK_QMARK] = ACTIONS(1806),
    [anon_sym_instanceof] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1806),
    [sym_number] = ACTIONS(1806),
    [sym_private_property_identifier] = ACTIONS(1806),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1806),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_satisfies] = ACTIONS(1808),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym__automatic_semicolon] = ACTIONS(1806),
    [sym__ternary_qmark] = ACTIONS(1806),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_export] = ACTIONS(1812),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_default] = ACTIONS(1812),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_as] = ACTIONS(1812),
    [anon_sym_namespace] = ACTIONS(1812),
    [anon_sym_LBRACE] = ACTIONS(1810),
    [anon_sym_COMMA] = ACTIONS(1810),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_typeof] = ACTIONS(1812),
    [anon_sym_import] = ACTIONS(1812),
    [anon_sym_with] = ACTIONS(1812),
    [anon_sym_var] = ACTIONS(1812),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_else] = ACTIONS(1812),
    [anon_sym_if] = ACTIONS(1812),
    [anon_sym_switch] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(1810),
    [anon_sym_await] = ACTIONS(1812),
    [anon_sym_in] = ACTIONS(1812),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1812),
    [anon_sym_try] = ACTIONS(1812),
    [anon_sym_break] = ACTIONS(1812),
    [anon_sym_continue] = ACTIONS(1812),
    [anon_sym_debugger] = ACTIONS(1812),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1810),
    [anon_sym_case] = ACTIONS(1812),
    [anon_sym_yield] = ACTIONS(1812),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [sym_glimmer_opening_tag] = ACTIONS(1810),
    [anon_sym_GT] = ACTIONS(1812),
    [anon_sym_DOT] = ACTIONS(1812),
    [anon_sym_DQUOTE] = ACTIONS(1810),
    [anon_sym_SQUOTE] = ACTIONS(1810),
    [anon_sym_class] = ACTIONS(1812),
    [anon_sym_async] = ACTIONS(1812),
    [anon_sym_function] = ACTIONS(1812),
    [anon_sym_QMARK_DOT] = ACTIONS(1810),
    [anon_sym_new] = ACTIONS(1812),
    [anon_sym_using] = ACTIONS(1812),
    [anon_sym_AMP_AMP] = ACTIONS(1810),
    [anon_sym_PIPE_PIPE] = ACTIONS(1810),
    [anon_sym_GT_GT] = ACTIONS(1812),
    [anon_sym_GT_GT_GT] = ACTIONS(1810),
    [anon_sym_LT_LT] = ACTIONS(1810),
    [anon_sym_AMP] = ACTIONS(1812),
    [anon_sym_CARET] = ACTIONS(1810),
    [anon_sym_PIPE] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1812),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_PERCENT] = ACTIONS(1810),
    [anon_sym_STAR_STAR] = ACTIONS(1810),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_LT_EQ] = ACTIONS(1810),
    [anon_sym_EQ_EQ] = ACTIONS(1812),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1810),
    [anon_sym_BANG_EQ] = ACTIONS(1812),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1810),
    [anon_sym_GT_EQ] = ACTIONS(1810),
    [anon_sym_QMARK_QMARK] = ACTIONS(1810),
    [anon_sym_instanceof] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1810),
    [anon_sym_void] = ACTIONS(1812),
    [anon_sym_delete] = ACTIONS(1812),
    [anon_sym_PLUS_PLUS] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1810),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1810),
    [sym_number] = ACTIONS(1810),
    [sym_private_property_identifier] = ACTIONS(1810),
    [sym_this] = ACTIONS(1812),
    [sym_super] = ACTIONS(1812),
    [sym_true] = ACTIONS(1812),
    [sym_false] = ACTIONS(1812),
    [sym_null] = ACTIONS(1812),
    [sym_undefined] = ACTIONS(1812),
    [anon_sym_AT] = ACTIONS(1810),
    [anon_sym_static] = ACTIONS(1812),
    [anon_sym_readonly] = ACTIONS(1812),
    [anon_sym_get] = ACTIONS(1812),
    [anon_sym_set] = ACTIONS(1812),
    [anon_sym_declare] = ACTIONS(1812),
    [anon_sym_public] = ACTIONS(1812),
    [anon_sym_private] = ACTIONS(1812),
    [anon_sym_protected] = ACTIONS(1812),
    [anon_sym_override] = ACTIONS(1812),
    [anon_sym_module] = ACTIONS(1812),
    [anon_sym_any] = ACTIONS(1812),
    [anon_sym_number] = ACTIONS(1812),
    [anon_sym_boolean] = ACTIONS(1812),
    [anon_sym_string] = ACTIONS(1812),
    [anon_sym_symbol] = ACTIONS(1812),
    [anon_sym_object] = ACTIONS(1812),
    [anon_sym_abstract] = ACTIONS(1812),
    [anon_sym_satisfies] = ACTIONS(1812),
    [anon_sym_interface] = ACTIONS(1812),
    [anon_sym_enum] = ACTIONS(1812),
    [sym__automatic_semicolon] = ACTIONS(1810),
    [sym__ternary_qmark] = ACTIONS(1810),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1814),
    [sym_identifier] = ACTIONS(1816),
    [anon_sym_export] = ACTIONS(1816),
    [anon_sym_STAR] = ACTIONS(1818),
    [anon_sym_default] = ACTIONS(1816),
    [anon_sym_type] = ACTIONS(1816),
    [anon_sym_as] = ACTIONS(1818),
    [anon_sym_namespace] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_COMMA] = ACTIONS(1820),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1816),
    [anon_sym_import] = ACTIONS(1816),
    [anon_sym_with] = ACTIONS(1816),
    [anon_sym_var] = ACTIONS(1816),
    [anon_sym_let] = ACTIONS(1816),
    [anon_sym_const] = ACTIONS(1816),
    [anon_sym_BANG] = ACTIONS(1816),
    [anon_sym_else] = ACTIONS(1816),
    [anon_sym_if] = ACTIONS(1816),
    [anon_sym_switch] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1816),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1816),
    [anon_sym_in] = ACTIONS(1818),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_break] = ACTIONS(1816),
    [anon_sym_continue] = ACTIONS(1816),
    [anon_sym_debugger] = ACTIONS(1816),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1816),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_case] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [sym_glimmer_opening_tag] = ACTIONS(1814),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym_DOT] = ACTIONS(1818),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [anon_sym_class] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(1816),
    [anon_sym_QMARK_DOT] = ACTIONS(1820),
    [anon_sym_new] = ACTIONS(1816),
    [anon_sym_using] = ACTIONS(1816),
    [anon_sym_AMP_AMP] = ACTIONS(1820),
    [anon_sym_PIPE_PIPE] = ACTIONS(1820),
    [anon_sym_GT_GT] = ACTIONS(1818),
    [anon_sym_GT_GT_GT] = ACTIONS(1820),
    [anon_sym_LT_LT] = ACTIONS(1820),
    [anon_sym_AMP] = ACTIONS(1818),
    [anon_sym_CARET] = ACTIONS(1820),
    [anon_sym_PIPE] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1816),
    [anon_sym_DASH] = ACTIONS(1816),
    [anon_sym_SLASH] = ACTIONS(1816),
    [anon_sym_PERCENT] = ACTIONS(1820),
    [anon_sym_STAR_STAR] = ACTIONS(1820),
    [anon_sym_LT] = ACTIONS(1816),
    [anon_sym_LT_EQ] = ACTIONS(1820),
    [anon_sym_EQ_EQ] = ACTIONS(1818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1820),
    [anon_sym_BANG_EQ] = ACTIONS(1818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1820),
    [anon_sym_GT_EQ] = ACTIONS(1820),
    [anon_sym_QMARK_QMARK] = ACTIONS(1820),
    [anon_sym_instanceof] = ACTIONS(1818),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1816),
    [anon_sym_delete] = ACTIONS(1816),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1816),
    [sym_super] = ACTIONS(1816),
    [sym_true] = ACTIONS(1816),
    [sym_false] = ACTIONS(1816),
    [sym_null] = ACTIONS(1816),
    [sym_undefined] = ACTIONS(1816),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1816),
    [anon_sym_readonly] = ACTIONS(1816),
    [anon_sym_get] = ACTIONS(1816),
    [anon_sym_set] = ACTIONS(1816),
    [anon_sym_declare] = ACTIONS(1816),
    [anon_sym_public] = ACTIONS(1816),
    [anon_sym_private] = ACTIONS(1816),
    [anon_sym_protected] = ACTIONS(1816),
    [anon_sym_override] = ACTIONS(1816),
    [anon_sym_module] = ACTIONS(1816),
    [anon_sym_any] = ACTIONS(1816),
    [anon_sym_number] = ACTIONS(1816),
    [anon_sym_boolean] = ACTIONS(1816),
    [anon_sym_string] = ACTIONS(1816),
    [anon_sym_symbol] = ACTIONS(1816),
    [anon_sym_object] = ACTIONS(1816),
    [anon_sym_abstract] = ACTIONS(1816),
    [anon_sym_satisfies] = ACTIONS(1818),
    [anon_sym_interface] = ACTIONS(1816),
    [anon_sym_enum] = ACTIONS(1816),
    [sym__automatic_semicolon] = ACTIONS(1822),
    [sym__ternary_qmark] = ACTIONS(1820),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(1826),
    [anon_sym_export] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_default] = ACTIONS(1826),
    [anon_sym_type] = ACTIONS(1826),
    [anon_sym_as] = ACTIONS(1826),
    [anon_sym_namespace] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_typeof] = ACTIONS(1826),
    [anon_sym_import] = ACTIONS(1826),
    [anon_sym_with] = ACTIONS(1826),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1826),
    [anon_sym_BANG] = ACTIONS(1826),
    [anon_sym_else] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_switch] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1826),
    [anon_sym_in] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1826),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_break] = ACTIONS(1826),
    [anon_sym_continue] = ACTIONS(1826),
    [anon_sym_debugger] = ACTIONS(1826),
    [anon_sym_return] = ACTIONS(1826),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_case] = ACTIONS(1826),
    [anon_sym_yield] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [sym_glimmer_opening_tag] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1826),
    [anon_sym_DOT] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [anon_sym_SQUOTE] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1826),
    [anon_sym_async] = ACTIONS(1826),
    [anon_sym_function] = ACTIONS(1826),
    [anon_sym_QMARK_DOT] = ACTIONS(1824),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_using] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_GT_GT] = ACTIONS(1826),
    [anon_sym_GT_GT_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_QMARK_QMARK] = ACTIONS(1824),
    [anon_sym_instanceof] = ACTIONS(1826),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1826),
    [anon_sym_delete] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [sym_private_property_identifier] = ACTIONS(1824),
    [sym_this] = ACTIONS(1826),
    [sym_super] = ACTIONS(1826),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [sym_null] = ACTIONS(1826),
    [sym_undefined] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_static] = ACTIONS(1826),
    [anon_sym_readonly] = ACTIONS(1826),
    [anon_sym_get] = ACTIONS(1826),
    [anon_sym_set] = ACTIONS(1826),
    [anon_sym_declare] = ACTIONS(1826),
    [anon_sym_public] = ACTIONS(1826),
    [anon_sym_private] = ACTIONS(1826),
    [anon_sym_protected] = ACTIONS(1826),
    [anon_sym_override] = ACTIONS(1826),
    [anon_sym_module] = ACTIONS(1826),
    [anon_sym_any] = ACTIONS(1826),
    [anon_sym_number] = ACTIONS(1826),
    [anon_sym_boolean] = ACTIONS(1826),
    [anon_sym_string] = ACTIONS(1826),
    [anon_sym_symbol] = ACTIONS(1826),
    [anon_sym_object] = ACTIONS(1826),
    [anon_sym_abstract] = ACTIONS(1826),
    [anon_sym_satisfies] = ACTIONS(1826),
    [anon_sym_interface] = ACTIONS(1826),
    [anon_sym_enum] = ACTIONS(1826),
    [sym__automatic_semicolon] = ACTIONS(1824),
    [sym__ternary_qmark] = ACTIONS(1824),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1828),
    [sym_identifier] = ACTIONS(1830),
    [anon_sym_export] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_default] = ACTIONS(1830),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_as] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_typeof] = ACTIONS(1830),
    [anon_sym_import] = ACTIONS(1830),
    [anon_sym_with] = ACTIONS(1830),
    [anon_sym_var] = ACTIONS(1830),
    [anon_sym_let] = ACTIONS(1830),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1830),
    [anon_sym_else] = ACTIONS(1830),
    [anon_sym_if] = ACTIONS(1830),
    [anon_sym_switch] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1830),
    [anon_sym_in] = ACTIONS(1830),
    [anon_sym_while] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1830),
    [anon_sym_try] = ACTIONS(1830),
    [anon_sym_break] = ACTIONS(1830),
    [anon_sym_continue] = ACTIONS(1830),
    [anon_sym_debugger] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1830),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_case] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [sym_glimmer_opening_tag] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1828),
    [anon_sym_SQUOTE] = ACTIONS(1828),
    [anon_sym_class] = ACTIONS(1830),
    [anon_sym_async] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1830),
    [anon_sym_QMARK_DOT] = ACTIONS(1828),
    [anon_sym_new] = ACTIONS(1830),
    [anon_sym_using] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1828),
    [anon_sym_PIPE_PIPE] = ACTIONS(1828),
    [anon_sym_GT_GT] = ACTIONS(1830),
    [anon_sym_GT_GT_GT] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1828),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1828),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_QMARK_QMARK] = ACTIONS(1828),
    [anon_sym_instanceof] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_void] = ACTIONS(1830),
    [anon_sym_delete] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [sym_private_property_identifier] = ACTIONS(1828),
    [sym_this] = ACTIONS(1830),
    [sym_super] = ACTIONS(1830),
    [sym_true] = ACTIONS(1830),
    [sym_false] = ACTIONS(1830),
    [sym_null] = ACTIONS(1830),
    [sym_undefined] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1830),
    [anon_sym_readonly] = ACTIONS(1830),
    [anon_sym_get] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1830),
    [anon_sym_declare] = ACTIONS(1830),
    [anon_sym_public] = ACTIONS(1830),
    [anon_sym_private] = ACTIONS(1830),
    [anon_sym_protected] = ACTIONS(1830),
    [anon_sym_override] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1830),
    [anon_sym_any] = ACTIONS(1830),
    [anon_sym_number] = ACTIONS(1830),
    [anon_sym_boolean] = ACTIONS(1830),
    [anon_sym_string] = ACTIONS(1830),
    [anon_sym_symbol] = ACTIONS(1830),
    [anon_sym_object] = ACTIONS(1830),
    [anon_sym_abstract] = ACTIONS(1830),
    [anon_sym_satisfies] = ACTIONS(1830),
    [anon_sym_interface] = ACTIONS(1830),
    [anon_sym_enum] = ACTIONS(1830),
    [sym__automatic_semicolon] = ACTIONS(1828),
    [sym__ternary_qmark] = ACTIONS(1828),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1832),
    [sym_identifier] = ACTIONS(1834),
    [anon_sym_export] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_default] = ACTIONS(1834),
    [anon_sym_type] = ACTIONS(1834),
    [anon_sym_as] = ACTIONS(1834),
    [anon_sym_namespace] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_typeof] = ACTIONS(1834),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_with] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(1834),
    [anon_sym_let] = ACTIONS(1834),
    [anon_sym_const] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_else] = ACTIONS(1834),
    [anon_sym_if] = ACTIONS(1834),
    [anon_sym_switch] = ACTIONS(1834),
    [anon_sym_for] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_in] = ACTIONS(1834),
    [anon_sym_while] = ACTIONS(1834),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_try] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_debugger] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_case] = ACTIONS(1834),
    [anon_sym_yield] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [sym_glimmer_opening_tag] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1832),
    [anon_sym_class] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_function] = ACTIONS(1834),
    [anon_sym_QMARK_DOT] = ACTIONS(1832),
    [anon_sym_new] = ACTIONS(1834),
    [anon_sym_using] = ACTIONS(1834),
    [anon_sym_AMP_AMP] = ACTIONS(1832),
    [anon_sym_PIPE_PIPE] = ACTIONS(1832),
    [anon_sym_GT_GT] = ACTIONS(1834),
    [anon_sym_GT_GT_GT] = ACTIONS(1832),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1832),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_PERCENT] = ACTIONS(1832),
    [anon_sym_STAR_STAR] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1832),
    [anon_sym_EQ_EQ] = ACTIONS(1834),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1832),
    [anon_sym_BANG_EQ] = ACTIONS(1834),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1832),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_QMARK_QMARK] = ACTIONS(1832),
    [anon_sym_instanceof] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1832),
    [anon_sym_void] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1832),
    [sym_number] = ACTIONS(1832),
    [sym_private_property_identifier] = ACTIONS(1832),
    [sym_this] = ACTIONS(1834),
    [sym_super] = ACTIONS(1834),
    [sym_true] = ACTIONS(1834),
    [sym_false] = ACTIONS(1834),
    [sym_null] = ACTIONS(1834),
    [sym_undefined] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1832),
    [anon_sym_static] = ACTIONS(1834),
    [anon_sym_readonly] = ACTIONS(1834),
    [anon_sym_get] = ACTIONS(1834),
    [anon_sym_set] = ACTIONS(1834),
    [anon_sym_declare] = ACTIONS(1834),
    [anon_sym_public] = ACTIONS(1834),
    [anon_sym_private] = ACTIONS(1834),
    [anon_sym_protected] = ACTIONS(1834),
    [anon_sym_override] = ACTIONS(1834),
    [anon_sym_module] = ACTIONS(1834),
    [anon_sym_any] = ACTIONS(1834),
    [anon_sym_number] = ACTIONS(1834),
    [anon_sym_boolean] = ACTIONS(1834),
    [anon_sym_string] = ACTIONS(1834),
    [anon_sym_symbol] = ACTIONS(1834),
    [anon_sym_object] = ACTIONS(1834),
    [anon_sym_abstract] = ACTIONS(1834),
    [anon_sym_satisfies] = ACTIONS(1834),
    [anon_sym_interface] = ACTIONS(1834),
    [anon_sym_enum] = ACTIONS(1834),
    [sym__automatic_semicolon] = ACTIONS(1832),
    [sym__ternary_qmark] = ACTIONS(1832),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [sym_identifier] = ACTIONS(1838),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_default] = ACTIONS(1838),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_as] = ACTIONS(1840),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_typeof] = ACTIONS(1838),
    [anon_sym_import] = ACTIONS(1838),
    [anon_sym_with] = ACTIONS(1838),
    [anon_sym_var] = ACTIONS(1838),
    [anon_sym_let] = ACTIONS(1838),
    [anon_sym_const] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_else] = ACTIONS(1838),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_for] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_in] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1838),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_try] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_debugger] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_throw] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_case] = ACTIONS(1838),
    [anon_sym_yield] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [sym_glimmer_opening_tag] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_DQUOTE] = ACTIONS(1836),
    [anon_sym_SQUOTE] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1838),
    [anon_sym_QMARK_DOT] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1838),
    [anon_sym_using] = ACTIONS(1838),
    [anon_sym_AMP_AMP] = ACTIONS(1842),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_GT_GT_GT] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1842),
    [anon_sym_STAR_STAR] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_QMARK_QMARK] = ACTIONS(1842),
    [anon_sym_instanceof] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1836),
    [anon_sym_void] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1836),
    [sym_number] = ACTIONS(1836),
    [sym_private_property_identifier] = ACTIONS(1836),
    [sym_this] = ACTIONS(1838),
    [sym_super] = ACTIONS(1838),
    [sym_true] = ACTIONS(1838),
    [sym_false] = ACTIONS(1838),
    [sym_null] = ACTIONS(1838),
    [sym_undefined] = ACTIONS(1838),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
    [anon_sym_object] = ACTIONS(1838),
    [anon_sym_abstract] = ACTIONS(1838),
    [anon_sym_satisfies] = ACTIONS(1840),
    [anon_sym_interface] = ACTIONS(1838),
    [anon_sym_enum] = ACTIONS(1838),
    [sym__automatic_semicolon] = ACTIONS(1842),
    [sym__ternary_qmark] = ACTIONS(1842),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5893),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5484),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5485),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1844),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_RBRACK] = ACTIONS(1724),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_as] = ACTIONS(1851),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_in] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [sym_glimmer_opening_tag] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_DOT] = ACTIONS(1851),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_QMARK_DOT] = ACTIONS(1853),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1851),
    [anon_sym_GT_GT_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_QMARK_QMARK] = ACTIONS(1853),
    [anon_sym_instanceof] = ACTIONS(1851),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_private_property_identifier] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_satisfies] = ACTIONS(1851),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
    [sym__automatic_semicolon] = ACTIONS(1855),
    [sym__ternary_qmark] = ACTIONS(1853),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym_identifier] = ACTIONS(1859),
    [anon_sym_export] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1859),
    [anon_sym_type] = ACTIONS(1859),
    [anon_sym_as] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_typeof] = ACTIONS(1859),
    [anon_sym_import] = ACTIONS(1859),
    [anon_sym_with] = ACTIONS(1859),
    [anon_sym_var] = ACTIONS(1859),
    [anon_sym_let] = ACTIONS(1859),
    [anon_sym_const] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_switch] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_in] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_debugger] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_case] = ACTIONS(1859),
    [anon_sym_yield] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_glimmer_opening_tag] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_DQUOTE] = ACTIONS(1857),
    [anon_sym_SQUOTE] = ACTIONS(1857),
    [anon_sym_class] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_function] = ACTIONS(1859),
    [anon_sym_QMARK_DOT] = ACTIONS(1863),
    [anon_sym_new] = ACTIONS(1859),
    [anon_sym_using] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1863),
    [anon_sym_PIPE_PIPE] = ACTIONS(1863),
    [anon_sym_GT_GT] = ACTIONS(1861),
    [anon_sym_GT_GT_GT] = ACTIONS(1863),
    [anon_sym_LT_LT] = ACTIONS(1863),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1863),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1863),
    [anon_sym_STAR_STAR] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_LT_EQ] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1863),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_QMARK_QMARK] = ACTIONS(1863),
    [anon_sym_instanceof] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_void] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [sym_private_property_identifier] = ACTIONS(1857),
    [sym_this] = ACTIONS(1859),
    [sym_super] = ACTIONS(1859),
    [sym_true] = ACTIONS(1859),
    [sym_false] = ACTIONS(1859),
    [sym_null] = ACTIONS(1859),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_static] = ACTIONS(1859),
    [anon_sym_readonly] = ACTIONS(1859),
    [anon_sym_get] = ACTIONS(1859),
    [anon_sym_set] = ACTIONS(1859),
    [anon_sym_declare] = ACTIONS(1859),
    [anon_sym_public] = ACTIONS(1859),
    [anon_sym_private] = ACTIONS(1859),
    [anon_sym_protected] = ACTIONS(1859),
    [anon_sym_override] = ACTIONS(1859),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_any] = ACTIONS(1859),
    [anon_sym_number] = ACTIONS(1859),
    [anon_sym_boolean] = ACTIONS(1859),
    [anon_sym_string] = ACTIONS(1859),
    [anon_sym_symbol] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1859),
    [anon_sym_abstract] = ACTIONS(1859),
    [anon_sym_satisfies] = ACTIONS(1861),
    [anon_sym_interface] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1859),
    [sym__automatic_semicolon] = ACTIONS(1865),
    [sym__ternary_qmark] = ACTIONS(1863),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_export] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_default] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_as] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [anon_sym_typeof] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_with] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(1869),
    [anon_sym_else] = ACTIONS(1869),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_in] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_try] = ACTIONS(1869),
    [anon_sym_break] = ACTIONS(1869),
    [anon_sym_continue] = ACTIONS(1869),
    [anon_sym_debugger] = ACTIONS(1869),
    [anon_sym_return] = ACTIONS(1869),
    [anon_sym_throw] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1869),
    [anon_sym_yield] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [sym_glimmer_opening_tag] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [anon_sym_SQUOTE] = ACTIONS(1867),
    [anon_sym_class] = ACTIONS(1869),
    [anon_sym_async] = ACTIONS(1869),
    [anon_sym_function] = ACTIONS(1869),
    [anon_sym_QMARK_DOT] = ACTIONS(1873),
    [anon_sym_new] = ACTIONS(1869),
    [anon_sym_using] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE] = ACTIONS(1873),
    [anon_sym_GT_GT] = ACTIONS(1871),
    [anon_sym_GT_GT_GT] = ACTIONS(1873),
    [anon_sym_LT_LT] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1873),
    [anon_sym_STAR_STAR] = ACTIONS(1873),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1873),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1873),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1873),
    [anon_sym_GT_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK] = ACTIONS(1873),
    [anon_sym_instanceof] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1869),
    [anon_sym_delete] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_DASH_DASH] = ACTIONS(1867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [sym_private_property_identifier] = ACTIONS(1867),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_static] = ACTIONS(1869),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(1869),
    [anon_sym_declare] = ACTIONS(1869),
    [anon_sym_public] = ACTIONS(1869),
    [anon_sym_private] = ACTIONS(1869),
    [anon_sym_protected] = ACTIONS(1869),
    [anon_sym_override] = ACTIONS(1869),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_any] = ACTIONS(1869),
    [anon_sym_number] = ACTIONS(1869),
    [anon_sym_boolean] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_symbol] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1869),
    [anon_sym_abstract] = ACTIONS(1869),
    [anon_sym_satisfies] = ACTIONS(1871),
    [anon_sym_interface] = ACTIONS(1869),
    [anon_sym_enum] = ACTIONS(1869),
    [sym__automatic_semicolon] = ACTIONS(1875),
    [sym__ternary_qmark] = ACTIONS(1873),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5893),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5484),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5485),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1877),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_export] = ACTIONS(1883),
    [anon_sym_STAR] = ACTIONS(1885),
    [anon_sym_default] = ACTIONS(1883),
    [anon_sym_type] = ACTIONS(1883),
    [anon_sym_as] = ACTIONS(1885),
    [anon_sym_namespace] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_COMMA] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1881),
    [anon_sym_typeof] = ACTIONS(1883),
    [anon_sym_import] = ACTIONS(1883),
    [anon_sym_with] = ACTIONS(1883),
    [anon_sym_var] = ACTIONS(1883),
    [anon_sym_let] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(1883),
    [anon_sym_BANG] = ACTIONS(1883),
    [anon_sym_else] = ACTIONS(1883),
    [anon_sym_if] = ACTIONS(1883),
    [anon_sym_switch] = ACTIONS(1883),
    [anon_sym_for] = ACTIONS(1883),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_await] = ACTIONS(1883),
    [anon_sym_in] = ACTIONS(1885),
    [anon_sym_while] = ACTIONS(1883),
    [anon_sym_do] = ACTIONS(1883),
    [anon_sym_try] = ACTIONS(1883),
    [anon_sym_break] = ACTIONS(1883),
    [anon_sym_continue] = ACTIONS(1883),
    [anon_sym_debugger] = ACTIONS(1883),
    [anon_sym_return] = ACTIONS(1883),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_case] = ACTIONS(1883),
    [anon_sym_yield] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [sym_glimmer_opening_tag] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1885),
    [anon_sym_DOT] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1881),
    [anon_sym_SQUOTE] = ACTIONS(1881),
    [anon_sym_class] = ACTIONS(1883),
    [anon_sym_async] = ACTIONS(1883),
    [anon_sym_function] = ACTIONS(1883),
    [anon_sym_QMARK_DOT] = ACTIONS(1887),
    [anon_sym_new] = ACTIONS(1883),
    [anon_sym_using] = ACTIONS(1883),
    [anon_sym_AMP_AMP] = ACTIONS(1887),
    [anon_sym_PIPE_PIPE] = ACTIONS(1887),
    [anon_sym_GT_GT] = ACTIONS(1885),
    [anon_sym_GT_GT_GT] = ACTIONS(1887),
    [anon_sym_LT_LT] = ACTIONS(1887),
    [anon_sym_AMP] = ACTIONS(1885),
    [anon_sym_CARET] = ACTIONS(1887),
    [anon_sym_PIPE] = ACTIONS(1885),
    [anon_sym_PLUS] = ACTIONS(1883),
    [anon_sym_DASH] = ACTIONS(1883),
    [anon_sym_SLASH] = ACTIONS(1883),
    [anon_sym_PERCENT] = ACTIONS(1887),
    [anon_sym_STAR_STAR] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1883),
    [anon_sym_LT_EQ] = ACTIONS(1887),
    [anon_sym_EQ_EQ] = ACTIONS(1885),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1887),
    [anon_sym_BANG_EQ] = ACTIONS(1885),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1887),
    [anon_sym_GT_EQ] = ACTIONS(1887),
    [anon_sym_QMARK_QMARK] = ACTIONS(1887),
    [anon_sym_instanceof] = ACTIONS(1885),
    [anon_sym_TILDE] = ACTIONS(1881),
    [anon_sym_void] = ACTIONS(1883),
    [anon_sym_delete] = ACTIONS(1883),
    [anon_sym_PLUS_PLUS] = ACTIONS(1881),
    [anon_sym_DASH_DASH] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1881),
    [sym_number] = ACTIONS(1881),
    [sym_private_property_identifier] = ACTIONS(1881),
    [sym_this] = ACTIONS(1883),
    [sym_super] = ACTIONS(1883),
    [sym_true] = ACTIONS(1883),
    [sym_false] = ACTIONS(1883),
    [sym_null] = ACTIONS(1883),
    [sym_undefined] = ACTIONS(1883),
    [anon_sym_AT] = ACTIONS(1881),
    [anon_sym_static] = ACTIONS(1883),
    [anon_sym_readonly] = ACTIONS(1883),
    [anon_sym_get] = ACTIONS(1883),
    [anon_sym_set] = ACTIONS(1883),
    [anon_sym_declare] = ACTIONS(1883),
    [anon_sym_public] = ACTIONS(1883),
    [anon_sym_private] = ACTIONS(1883),
    [anon_sym_protected] = ACTIONS(1883),
    [anon_sym_override] = ACTIONS(1883),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_any] = ACTIONS(1883),
    [anon_sym_number] = ACTIONS(1883),
    [anon_sym_boolean] = ACTIONS(1883),
    [anon_sym_string] = ACTIONS(1883),
    [anon_sym_symbol] = ACTIONS(1883),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_satisfies] = ACTIONS(1885),
    [anon_sym_interface] = ACTIONS(1883),
    [anon_sym_enum] = ACTIONS(1883),
    [sym__automatic_semicolon] = ACTIONS(1889),
    [sym__ternary_qmark] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5893),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_spread_element] = STATE(5484),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5485),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [anon_sym_RBRACK] = ACTIONS(1891),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_export] = ACTIONS(1897),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1897),
    [anon_sym_type] = ACTIONS(1897),
    [anon_sym_as] = ACTIONS(1899),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_COMMA] = ACTIONS(1901),
    [anon_sym_RBRACE] = ACTIONS(1895),
    [anon_sym_typeof] = ACTIONS(1897),
    [anon_sym_import] = ACTIONS(1897),
    [anon_sym_with] = ACTIONS(1897),
    [anon_sym_var] = ACTIONS(1897),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_else] = ACTIONS(1897),
    [anon_sym_if] = ACTIONS(1897),
    [anon_sym_switch] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_await] = ACTIONS(1897),
    [anon_sym_in] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1897),
    [anon_sym_do] = ACTIONS(1897),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_break] = ACTIONS(1897),
    [anon_sym_continue] = ACTIONS(1897),
    [anon_sym_debugger] = ACTIONS(1897),
    [anon_sym_return] = ACTIONS(1897),
    [anon_sym_throw] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1897),
    [anon_sym_yield] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [sym_glimmer_opening_tag] = ACTIONS(1895),
    [anon_sym_GT] = ACTIONS(1899),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1895),
    [anon_sym_SQUOTE] = ACTIONS(1895),
    [anon_sym_class] = ACTIONS(1897),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(1897),
    [anon_sym_QMARK_DOT] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1897),
    [anon_sym_using] = ACTIONS(1897),
    [anon_sym_AMP_AMP] = ACTIONS(1901),
    [anon_sym_PIPE_PIPE] = ACTIONS(1901),
    [anon_sym_GT_GT] = ACTIONS(1899),
    [anon_sym_GT_GT_GT] = ACTIONS(1901),
    [anon_sym_LT_LT] = ACTIONS(1901),
    [anon_sym_AMP] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1901),
    [anon_sym_PIPE] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_PERCENT] = ACTIONS(1901),
    [anon_sym_STAR_STAR] = ACTIONS(1901),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_LT_EQ] = ACTIONS(1901),
    [anon_sym_EQ_EQ] = ACTIONS(1899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1901),
    [anon_sym_BANG_EQ] = ACTIONS(1899),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1901),
    [anon_sym_GT_EQ] = ACTIONS(1901),
    [anon_sym_QMARK_QMARK] = ACTIONS(1901),
    [anon_sym_instanceof] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1895),
    [anon_sym_void] = ACTIONS(1897),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1895),
    [sym_number] = ACTIONS(1895),
    [sym_private_property_identifier] = ACTIONS(1895),
    [sym_this] = ACTIONS(1897),
    [sym_super] = ACTIONS(1897),
    [sym_true] = ACTIONS(1897),
    [sym_false] = ACTIONS(1897),
    [sym_null] = ACTIONS(1897),
    [sym_undefined] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(1895),
    [anon_sym_static] = ACTIONS(1897),
    [anon_sym_readonly] = ACTIONS(1897),
    [anon_sym_get] = ACTIONS(1897),
    [anon_sym_set] = ACTIONS(1897),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1897),
    [anon_sym_private] = ACTIONS(1897),
    [anon_sym_protected] = ACTIONS(1897),
    [anon_sym_override] = ACTIONS(1897),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_any] = ACTIONS(1897),
    [anon_sym_number] = ACTIONS(1897),
    [anon_sym_boolean] = ACTIONS(1897),
    [anon_sym_string] = ACTIONS(1897),
    [anon_sym_symbol] = ACTIONS(1897),
    [anon_sym_object] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1897),
    [anon_sym_satisfies] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_enum] = ACTIONS(1897),
    [sym__automatic_semicolon] = ACTIONS(1903),
    [sym__ternary_qmark] = ACTIONS(1901),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [sym_identifier] = ACTIONS(1907),
    [anon_sym_export] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_default] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1907),
    [anon_sym_as] = ACTIONS(1907),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(1905),
    [anon_sym_RBRACE] = ACTIONS(1905),
    [anon_sym_typeof] = ACTIONS(1907),
    [anon_sym_import] = ACTIONS(1907),
    [anon_sym_with] = ACTIONS(1907),
    [anon_sym_var] = ACTIONS(1907),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_else] = ACTIONS(1907),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_switch] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_await] = ACTIONS(1907),
    [anon_sym_in] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1907),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_break] = ACTIONS(1907),
    [anon_sym_continue] = ACTIONS(1907),
    [anon_sym_debugger] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1907),
    [anon_sym_throw] = ACTIONS(1907),
    [anon_sym_SEMI] = ACTIONS(1905),
    [anon_sym_case] = ACTIONS(1907),
    [anon_sym_yield] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1905),
    [sym_glimmer_opening_tag] = ACTIONS(1905),
    [anon_sym_GT] = ACTIONS(1907),
    [anon_sym_DOT] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1905),
    [anon_sym_SQUOTE] = ACTIONS(1905),
    [anon_sym_class] = ACTIONS(1907),
    [anon_sym_async] = ACTIONS(1907),
    [anon_sym_function] = ACTIONS(1907),
    [anon_sym_QMARK_DOT] = ACTIONS(1905),
    [anon_sym_new] = ACTIONS(1907),
    [anon_sym_using] = ACTIONS(1907),
    [anon_sym_AMP_AMP] = ACTIONS(1905),
    [anon_sym_PIPE_PIPE] = ACTIONS(1905),
    [anon_sym_GT_GT] = ACTIONS(1907),
    [anon_sym_GT_GT_GT] = ACTIONS(1905),
    [anon_sym_LT_LT] = ACTIONS(1905),
    [anon_sym_AMP] = ACTIONS(1907),
    [anon_sym_CARET] = ACTIONS(1905),
    [anon_sym_PIPE] = ACTIONS(1907),
    [anon_sym_PLUS] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1907),
    [anon_sym_PERCENT] = ACTIONS(1905),
    [anon_sym_STAR_STAR] = ACTIONS(1905),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_LT_EQ] = ACTIONS(1905),
    [anon_sym_EQ_EQ] = ACTIONS(1907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1905),
    [anon_sym_BANG_EQ] = ACTIONS(1907),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1905),
    [anon_sym_GT_EQ] = ACTIONS(1905),
    [anon_sym_QMARK_QMARK] = ACTIONS(1905),
    [anon_sym_instanceof] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1905),
    [anon_sym_void] = ACTIONS(1907),
    [anon_sym_delete] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1905),
    [anon_sym_DASH_DASH] = ACTIONS(1905),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1905),
    [sym_number] = ACTIONS(1905),
    [sym_private_property_identifier] = ACTIONS(1905),
    [sym_this] = ACTIONS(1907),
    [sym_super] = ACTIONS(1907),
    [sym_true] = ACTIONS(1907),
    [sym_false] = ACTIONS(1907),
    [sym_null] = ACTIONS(1907),
    [sym_undefined] = ACTIONS(1907),
    [anon_sym_AT] = ACTIONS(1905),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_readonly] = ACTIONS(1907),
    [anon_sym_get] = ACTIONS(1907),
    [anon_sym_set] = ACTIONS(1907),
    [anon_sym_declare] = ACTIONS(1907),
    [anon_sym_public] = ACTIONS(1907),
    [anon_sym_private] = ACTIONS(1907),
    [anon_sym_protected] = ACTIONS(1907),
    [anon_sym_override] = ACTIONS(1907),
    [anon_sym_module] = ACTIONS(1907),
    [anon_sym_any] = ACTIONS(1907),
    [anon_sym_number] = ACTIONS(1907),
    [anon_sym_boolean] = ACTIONS(1907),
    [anon_sym_string] = ACTIONS(1907),
    [anon_sym_symbol] = ACTIONS(1907),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_abstract] = ACTIONS(1907),
    [anon_sym_satisfies] = ACTIONS(1907),
    [anon_sym_interface] = ACTIONS(1907),
    [anon_sym_enum] = ACTIONS(1907),
    [sym__automatic_semicolon] = ACTIONS(1905),
    [sym__ternary_qmark] = ACTIONS(1905),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2302),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(5794),
    [sym_assignment_pattern] = STATE(5430),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1338),
    [sym_subscript_expression] = STATE(1338),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4873),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1338),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_pattern_repeat1] = STATE(5440),
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1911),
    [anon_sym_type] = ACTIONS(1911),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_RBRACK] = ACTIONS(1724),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1730),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1911),
    [anon_sym_readonly] = ACTIONS(1911),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
    [anon_sym_declare] = ACTIONS(1911),
    [anon_sym_public] = ACTIONS(1911),
    [anon_sym_private] = ACTIONS(1911),
    [anon_sym_protected] = ACTIONS(1911),
    [anon_sym_override] = ACTIONS(1911),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_any] = ACTIONS(1911),
    [anon_sym_number] = ACTIONS(1911),
    [anon_sym_boolean] = ACTIONS(1911),
    [anon_sym_string] = ACTIONS(1911),
    [anon_sym_symbol] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1911),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_export] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_type] = ACTIONS(1921),
    [anon_sym_as] = ACTIONS(1923),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_typeof] = ACTIONS(1921),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_with] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1921),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_LPAREN] = ACTIONS(1919),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_debugger] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [sym_glimmer_opening_tag] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_async] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_QMARK_DOT] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_AMP_AMP] = ACTIONS(1925),
    [anon_sym_PIPE_PIPE] = ACTIONS(1925),
    [anon_sym_GT_GT] = ACTIONS(1923),
    [anon_sym_GT_GT_GT] = ACTIONS(1925),
    [anon_sym_LT_LT] = ACTIONS(1925),
    [anon_sym_AMP] = ACTIONS(1923),
    [anon_sym_CARET] = ACTIONS(1925),
    [anon_sym_PIPE] = ACTIONS(1923),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_PERCENT] = ACTIONS(1925),
    [anon_sym_STAR_STAR] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_LT_EQ] = ACTIONS(1925),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1925),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1925),
    [anon_sym_GT_EQ] = ACTIONS(1925),
    [anon_sym_QMARK_QMARK] = ACTIONS(1925),
    [anon_sym_instanceof] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_void] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1919),
    [sym_number] = ACTIONS(1919),
    [sym_private_property_identifier] = ACTIONS(1919),
    [sym_this] = ACTIONS(1921),
    [sym_super] = ACTIONS(1921),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [sym_null] = ACTIONS(1921),
    [sym_undefined] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_readonly] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
    [anon_sym_declare] = ACTIONS(1921),
    [anon_sym_public] = ACTIONS(1921),
    [anon_sym_private] = ACTIONS(1921),
    [anon_sym_protected] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_module] = ACTIONS(1921),
    [anon_sym_any] = ACTIONS(1921),
    [anon_sym_number] = ACTIONS(1921),
    [anon_sym_boolean] = ACTIONS(1921),
    [anon_sym_string] = ACTIONS(1921),
    [anon_sym_symbol] = ACTIONS(1921),
    [anon_sym_object] = ACTIONS(1921),
    [anon_sym_abstract] = ACTIONS(1921),
    [anon_sym_satisfies] = ACTIONS(1923),
    [anon_sym_interface] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [sym__automatic_semicolon] = ACTIONS(1927),
    [sym__ternary_qmark] = ACTIONS(1925),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_assignment_pattern] = STATE(5893),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5485),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_COMMA] = ACTIONS(1929),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_RBRACK] = ACTIONS(1929),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1891),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5068),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5069),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1933),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1814),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5142),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5143),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1937),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2086),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1803),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5192),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5193),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4513),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_accessibility_modifier] = STATE(285),
    [sym_override_modifier] = STATE(292),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(1941),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1943),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(783),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1945),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(847),
    [anon_sym_private] = ACTIONS(847),
    [anon_sym_protected] = ACTIONS(847),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2340),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1862),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5230),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5231),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1863),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5252),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5253),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1650),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1650),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1650),
    [anon_sym_PIPE] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [anon_sym_extends] = ACTIONS(1652),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1815),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5762),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5764),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1829),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5375),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [aux_sym_array_repeat1] = STATE(5384),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(5484),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(1955),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1935),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1939),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3681),
    [sym_assignment_pattern] = STATE(5997),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3681),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1234),
    [sym_subscript_expression] = STATE(1234),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3681),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5630),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1234),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_readonly] = ACTIONS(548),
    [anon_sym_get] = ACTIONS(548),
    [anon_sym_set] = ACTIONS(548),
    [anon_sym_declare] = ACTIONS(548),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_override] = ACTIONS(548),
    [anon_sym_module] = ACTIONS(548),
    [anon_sym_any] = ACTIONS(548),
    [anon_sym_number] = ACTIONS(548),
    [anon_sym_boolean] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_symbol] = ACTIONS(548),
    [anon_sym_object] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(3333),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(3333),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1963),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(3397),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(3461),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(3461),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1973),
    [anon_sym_import] = ACTIONS(1973),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [sym_glimmer_opening_tag] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1975),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1973),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_private_property_identifier] = ACTIONS(1975),
    [sym_this] = ACTIONS(1973),
    [sym_super] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_undefined] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1973),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_override_modifier] = STATE(296),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(3333),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1979),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(3348),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2086),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(3352),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2340),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1983),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(3397),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1985),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1987),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(3397),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1963),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(3361),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2896),
    [sym__type_query_subscript_expression] = STATE(2898),
    [sym__type_query_call_expression] = STATE(3071),
    [sym__type_query_instantiation_expression] = STATE(3209),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1991),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(1993),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(300),
    [sym_empty_statement] = STATE(300),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(3333),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1995),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_assignment_pattern] = STATE(5997),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(5630),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1997),
    [anon_sym_import] = ACTIONS(1997),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [sym_glimmer_opening_tag] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(1997),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_void] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(1999),
    [sym_private_property_identifier] = ACTIONS(1999),
    [sym_this] = ACTIONS(1997),
    [sym_super] = ACTIONS(1997),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [sym_null] = ACTIONS(1997),
    [sym_undefined] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1997),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(297),
    [sym_empty_statement] = STATE(297),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(3397),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2001),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(1959),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4272),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_override_modifier] = STATE(295),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(2003),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(6506),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6506),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1997),
    [anon_sym_import] = ACTIONS(1997),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [sym_glimmer_opening_tag] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_using] = ACTIONS(1997),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1999),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(1997),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_void] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(1999),
    [sym_private_property_identifier] = ACTIONS(1999),
    [sym_this] = ACTIONS(1997),
    [sym_super] = ACTIONS(1997),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [sym_null] = ACTIONS(1997),
    [sym_undefined] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1997),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1973),
    [anon_sym_import] = ACTIONS(1973),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1973),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [sym_glimmer_opening_tag] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_using] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1975),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1973),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1973),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_private_property_identifier] = ACTIONS(1975),
    [sym_this] = ACTIONS(1973),
    [sym_super] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_undefined] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1973),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(3333),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym__type_query_member_expression] = STATE(2836),
    [sym__type_query_subscript_expression] = STATE(2837),
    [sym__type_query_call_expression] = STATE(2882),
    [sym__type_query_instantiation_expression] = STATE(2959),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1987),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1817),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_spread_element] = STATE(6307),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6307),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2009),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(3384),
    [sym_expression_statement] = STATE(299),
    [sym_empty_statement] = STATE(299),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1640),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(5855),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4320),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(2015),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4505),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1651),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(6145),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym__automatic_semicolon] = ACTIONS(2019),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4362),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3769),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3769),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1214),
    [sym_subscript_expression] = STATE(1214),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3769),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3825),
    [sym_non_null_expression] = STATE(1214),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(739),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2025),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1864),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6440),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(5411),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(5411),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1363),
    [sym_subscript_expression] = STATE(1363),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(5411),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1363),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_export] = ACTIONS(2031),
    [anon_sym_type] = ACTIONS(2031),
    [anon_sym_namespace] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2035),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(2037),
    [anon_sym_let] = ACTIONS(2039),
    [anon_sym_const] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2047),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2031),
    [anon_sym_readonly] = ACTIONS(2031),
    [anon_sym_get] = ACTIONS(2031),
    [anon_sym_set] = ACTIONS(2031),
    [anon_sym_declare] = ACTIONS(2031),
    [anon_sym_public] = ACTIONS(2031),
    [anon_sym_private] = ACTIONS(2031),
    [anon_sym_protected] = ACTIONS(2031),
    [anon_sym_override] = ACTIONS(2031),
    [anon_sym_module] = ACTIONS(2031),
    [anon_sym_any] = ACTIONS(2031),
    [anon_sym_number] = ACTIONS(2031),
    [anon_sym_boolean] = ACTIONS(2031),
    [anon_sym_string] = ACTIONS(2031),
    [anon_sym_symbol] = ACTIONS(2031),
    [anon_sym_object] = ACTIONS(2031),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1841),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6363),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1838),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6467),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2379),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1852),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6383),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1858),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6385),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2319),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2332),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2334),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2336),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2224),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1724),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2272),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1746),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1496),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6454),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2197),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1691),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2194),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2196),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1760),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2359),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2363),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2378),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1476),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2197),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1849),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6381),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2197),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1506),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1790),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6317),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1865),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6325),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6351),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1508),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2097),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym__extends_clause_single] = STATE(4848),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1605),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1509),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1616),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_sequence_expression] = STATE(6155),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2101),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1855),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1868),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2169),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1625),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2426),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1795),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1796),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1797),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2114),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6251),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2194),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_mapped_type_clause] = STATE(6409),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2063),
    [anon_sym_type] = ACTIONS(2063),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2063),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2067),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2069),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2063),
    [anon_sym_readonly] = ACTIONS(2063),
    [anon_sym_get] = ACTIONS(2063),
    [anon_sym_set] = ACTIONS(2063),
    [anon_sym_declare] = ACTIONS(2063),
    [anon_sym_public] = ACTIONS(2063),
    [anon_sym_private] = ACTIONS(2063),
    [anon_sym_protected] = ACTIONS(2063),
    [anon_sym_override] = ACTIONS(2063),
    [anon_sym_module] = ACTIONS(2063),
    [anon_sym_any] = ACTIONS(2063),
    [anon_sym_number] = ACTIONS(2063),
    [anon_sym_boolean] = ACTIONS(2063),
    [anon_sym_string] = ACTIONS(2063),
    [anon_sym_symbol] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(2063),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1779),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1739),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2116),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2117),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1765),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2118),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym__extends_clause_single] = STATE(5262),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2224),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1653),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2196),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2076),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1896),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6526),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1772),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1758),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2427),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2169),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2054),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2169),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1712),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1505),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6475),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1860),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6379),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2194),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2075),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2272),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1654),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1812),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6401),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6198),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1801),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6230),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2196),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2224),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2058),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1816),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_sequence_expression] = STATE(6465),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_mapped_type_clause] = STATE(6392),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2071),
    [anon_sym_export] = ACTIONS(2073),
    [anon_sym_type] = ACTIONS(2073),
    [anon_sym_namespace] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2079),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2073),
    [anon_sym_readonly] = ACTIONS(2073),
    [anon_sym_get] = ACTIONS(2073),
    [anon_sym_set] = ACTIONS(2073),
    [anon_sym_declare] = ACTIONS(2073),
    [anon_sym_public] = ACTIONS(2073),
    [anon_sym_private] = ACTIONS(2073),
    [anon_sym_protected] = ACTIONS(2073),
    [anon_sym_override] = ACTIONS(2073),
    [anon_sym_module] = ACTIONS(2073),
    [anon_sym_any] = ACTIONS(2073),
    [anon_sym_number] = ACTIONS(2073),
    [anon_sym_boolean] = ACTIONS(2073),
    [anon_sym_string] = ACTIONS(2073),
    [anon_sym_symbol] = ACTIONS(2073),
    [anon_sym_object] = ACTIONS(2073),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(3384),
    [sym_statement_block] = STATE(2272),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2073),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(3448),
    [sym_statement_block] = STATE(1669),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1791),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1387),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6416),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6416),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1387),
    [sym_subscript_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6416),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1387),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2083),
    [anon_sym_type] = ACTIONS(2083),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2087),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2091),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2083),
    [anon_sym_readonly] = ACTIONS(2083),
    [anon_sym_get] = ACTIONS(2083),
    [anon_sym_set] = ACTIONS(2083),
    [anon_sym_declare] = ACTIONS(2083),
    [anon_sym_public] = ACTIONS(2083),
    [anon_sym_private] = ACTIONS(2083),
    [anon_sym_protected] = ACTIONS(2083),
    [anon_sym_override] = ACTIONS(2083),
    [anon_sym_module] = ACTIONS(2083),
    [anon_sym_any] = ACTIONS(2083),
    [anon_sym_number] = ACTIONS(2083),
    [anon_sym_boolean] = ACTIONS(2083),
    [anon_sym_string] = ACTIONS(2083),
    [anon_sym_symbol] = ACTIONS(2083),
    [anon_sym_object] = ACTIONS(2083),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1475),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1478),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1481),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1482),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1483),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1485),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1486),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1488),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1493),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1494),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1497),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1813),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1510),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1511),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1786),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1710),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1711),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1529),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1709),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2095),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1889),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1564),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(2069),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(2070),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1614),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2254),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2184),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1393),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6502),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6502),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1393),
    [sym_subscript_expression] = STATE(1393),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6502),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1393),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2099),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2103),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_object] = ACTIONS(2101),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1688),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1701),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1705),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1706),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1708),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1750),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1754),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2097),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1699),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1650),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1787),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2111),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1658),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2111),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1752),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2113),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1736),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1390),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6199),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6199),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1390),
    [sym_subscript_expression] = STATE(1390),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6199),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1390),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2115),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2119),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2123),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(2117),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1682),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2055),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2056),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2057),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2059),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2255),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2060),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2061),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2062),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2063),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2064),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2065),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2066),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2067),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2068),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2071),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2074),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1939),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2078),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2079),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2277),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2086),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2095),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2081),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2407),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2302),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2408),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1671),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2413),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2415),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2418),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2419),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2420),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2421),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2422),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2424),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2429),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2430),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2130),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6271),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6271),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1175),
    [sym_subscript_expression] = STATE(1175),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6271),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1175),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(831),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(827),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_object] = ACTIONS(831),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1681),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1386),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6382),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6382),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1386),
    [sym_subscript_expression] = STATE(1386),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6382),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1386),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2127),
    [anon_sym_export] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2135),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2129),
    [anon_sym_readonly] = ACTIONS(2129),
    [anon_sym_get] = ACTIONS(2129),
    [anon_sym_set] = ACTIONS(2129),
    [anon_sym_declare] = ACTIONS(2129),
    [anon_sym_public] = ACTIONS(2129),
    [anon_sym_private] = ACTIONS(2129),
    [anon_sym_protected] = ACTIONS(2129),
    [anon_sym_override] = ACTIONS(2129),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(2129),
    [anon_sym_number] = ACTIONS(2129),
    [anon_sym_boolean] = ACTIONS(2129),
    [anon_sym_string] = ACTIONS(2129),
    [anon_sym_symbol] = ACTIONS(2129),
    [anon_sym_object] = ACTIONS(2129),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1686),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1713),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1719),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1723),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1725),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1727),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1728),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1730),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1731),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1732),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1733),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1734),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1735),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1745),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1749),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2276),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1763),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2095),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2098),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2099),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2100),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2102),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2103),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2104),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2105),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2106),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2107),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2108),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2109),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2110),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2112),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2113),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2115),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2119),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2120),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1175),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(3785),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(3785),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1220),
    [sym_subscript_expression] = STATE(1220),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(3785),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1220),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2139),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2147),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_object] = ACTIONS(2141),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2121),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2123),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6215),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6215),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6215),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1391),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2151),
    [anon_sym_export] = ACTIONS(2153),
    [anon_sym_type] = ACTIONS(2153),
    [anon_sym_namespace] = ACTIONS(2155),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2153),
    [anon_sym_readonly] = ACTIONS(2153),
    [anon_sym_get] = ACTIONS(2153),
    [anon_sym_set] = ACTIONS(2153),
    [anon_sym_declare] = ACTIONS(2153),
    [anon_sym_public] = ACTIONS(2153),
    [anon_sym_private] = ACTIONS(2153),
    [anon_sym_protected] = ACTIONS(2153),
    [anon_sym_override] = ACTIONS(2153),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_any] = ACTIONS(2153),
    [anon_sym_number] = ACTIONS(2153),
    [anon_sym_boolean] = ACTIONS(2153),
    [anon_sym_string] = ACTIONS(2153),
    [anon_sym_symbol] = ACTIONS(2153),
    [anon_sym_object] = ACTIONS(2153),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2314),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2316),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2321),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2322),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2324),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2325),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2326),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2327),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2328),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2329),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2330),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2331),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2333),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1822),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2337),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2338),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2340),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2339),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2340),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2341),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1392),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6439),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6439),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1392),
    [sym_subscript_expression] = STATE(1392),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6439),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1392),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2163),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2171),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_object] = ACTIONS(2165),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2364),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2365),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2366),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2371),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2372),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2373),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2375),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2377),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2382),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2383),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1344),
    [sym_expression] = STATE(2385),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6527),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6527),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6560),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1344),
    [sym_subscript_expression] = STATE(1344),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2914),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6527),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1344),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1486),
    [anon_sym_export] = ACTIONS(1336),
    [anon_sym_type] = ACTIONS(1336),
    [anon_sym_namespace] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(1358),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1348),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1490),
    [anon_sym_using] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_SLASH] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_void] = ACTIONS(1358),
    [anon_sym_delete] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1362),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_readonly] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_declare] = ACTIONS(1336),
    [anon_sym_public] = ACTIONS(1336),
    [anon_sym_private] = ACTIONS(1336),
    [anon_sym_protected] = ACTIONS(1336),
    [anon_sym_override] = ACTIONS(1336),
    [anon_sym_module] = ACTIONS(1336),
    [anon_sym_any] = ACTIONS(1336),
    [anon_sym_number] = ACTIONS(1336),
    [anon_sym_boolean] = ACTIONS(1336),
    [anon_sym_string] = ACTIONS(1336),
    [anon_sym_symbol] = ACTIONS(1336),
    [anon_sym_object] = ACTIONS(1336),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1389),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6407),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6407),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1389),
    [sym_subscript_expression] = STATE(1389),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6407),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1389),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2175),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2183),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_object] = ACTIONS(2177),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2345),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1301),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6578),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6578),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6414),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1301),
    [sym_subscript_expression] = STATE(1301),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2933),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6578),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1301),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_export] = ACTIONS(1408),
    [anon_sym_type] = ACTIONS(1408),
    [anon_sym_namespace] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(43),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1444),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1408),
    [anon_sym_readonly] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_declare] = ACTIONS(1408),
    [anon_sym_public] = ACTIONS(1408),
    [anon_sym_private] = ACTIONS(1408),
    [anon_sym_protected] = ACTIONS(1408),
    [anon_sym_override] = ACTIONS(1408),
    [anon_sym_module] = ACTIONS(1408),
    [anon_sym_any] = ACTIONS(1408),
    [anon_sym_number] = ACTIONS(1408),
    [anon_sym_boolean] = ACTIONS(1408),
    [anon_sym_string] = ACTIONS(1408),
    [anon_sym_symbol] = ACTIONS(1408),
    [anon_sym_object] = ACTIONS(1408),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2086),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2087),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1340),
    [sym_expression] = STATE(2089),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6226),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6226),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6224),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1340),
    [sym_subscript_expression] = STATE(1340),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2922),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6226),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1340),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(1186),
    [anon_sym_type] = ACTIONS(1186),
    [anon_sym_namespace] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1212),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1202),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1466),
    [anon_sym_using] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_void] = ACTIONS(1212),
    [anon_sym_delete] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1220),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_readonly] = ACTIONS(1186),
    [anon_sym_get] = ACTIONS(1186),
    [anon_sym_set] = ACTIONS(1186),
    [anon_sym_declare] = ACTIONS(1186),
    [anon_sym_public] = ACTIONS(1186),
    [anon_sym_private] = ACTIONS(1186),
    [anon_sym_protected] = ACTIONS(1186),
    [anon_sym_override] = ACTIONS(1186),
    [anon_sym_module] = ACTIONS(1186),
    [anon_sym_any] = ACTIONS(1186),
    [anon_sym_number] = ACTIONS(1186),
    [anon_sym_boolean] = ACTIONS(1186),
    [anon_sym_string] = ACTIONS(1186),
    [anon_sym_symbol] = ACTIONS(1186),
    [anon_sym_object] = ACTIONS(1186),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1885),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1856),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1857),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1866),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1870),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1872),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1873),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1874),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1876),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1877),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1878),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1879),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1845),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1792),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1798),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1799),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(2093),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1882),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1326),
    [sym_expression] = STATE(1883),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6476),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6476),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6398),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1326),
    [sym_subscript_expression] = STATE(1326),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2962),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6476),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1326),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_namespace] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1394),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1458),
    [anon_sym_using] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1398),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_readonly] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_declare] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1372),
    [anon_sym_private] = ACTIONS(1372),
    [anon_sym_protected] = ACTIONS(1372),
    [anon_sym_override] = ACTIONS(1372),
    [anon_sym_module] = ACTIONS(1372),
    [anon_sym_any] = ACTIONS(1372),
    [anon_sym_number] = ACTIONS(1372),
    [anon_sym_boolean] = ACTIONS(1372),
    [anon_sym_string] = ACTIONS(1372),
    [anon_sym_symbol] = ACTIONS(1372),
    [anon_sym_object] = ACTIONS(1372),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1569),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1606),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6195),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6195),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1248),
    [sym_subscript_expression] = STATE(1248),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6195),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1248),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_export] = ACTIONS(1044),
    [anon_sym_type] = ACTIONS(1044),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1052),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1436),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_readonly] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_declare] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_override] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_any] = ACTIONS(1044),
    [anon_sym_number] = ACTIONS(1044),
    [anon_sym_boolean] = ACTIONS(1044),
    [anon_sym_string] = ACTIONS(1044),
    [anon_sym_symbol] = ACTIONS(1044),
    [anon_sym_object] = ACTIONS(1044),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2358),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1248),
    [sym_expression] = STATE(1709),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(4197),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(4197),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6269),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1293),
    [sym_subscript_expression] = STATE(1293),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2973),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(4197),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1293),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2187),
    [anon_sym_export] = ACTIONS(1318),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_namespace] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(562),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1324),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_using] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(592),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2191),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_readonly] = ACTIONS(1318),
    [anon_sym_get] = ACTIONS(1318),
    [anon_sym_set] = ACTIONS(1318),
    [anon_sym_declare] = ACTIONS(1318),
    [anon_sym_public] = ACTIONS(1318),
    [anon_sym_private] = ACTIONS(1318),
    [anon_sym_protected] = ACTIONS(1318),
    [anon_sym_override] = ACTIONS(1318),
    [anon_sym_module] = ACTIONS(1318),
    [anon_sym_any] = ACTIONS(1318),
    [anon_sym_number] = ACTIONS(1318),
    [anon_sym_boolean] = ACTIONS(1318),
    [anon_sym_string] = ACTIONS(1318),
    [anon_sym_symbol] = ACTIONS(1318),
    [anon_sym_object] = ACTIONS(1318),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2125),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1376),
    [sym_expression] = STATE(2343),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6516),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6516),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6419),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1376),
    [sym_subscript_expression] = STATE(1376),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6516),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1376),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_export] = ACTIONS(1250),
    [anon_sym_type] = ACTIONS(1250),
    [anon_sym_namespace] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1258),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1482),
    [anon_sym_using] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_void] = ACTIONS(1272),
    [anon_sym_delete] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1276),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_readonly] = ACTIONS(1250),
    [anon_sym_get] = ACTIONS(1250),
    [anon_sym_set] = ACTIONS(1250),
    [anon_sym_declare] = ACTIONS(1250),
    [anon_sym_public] = ACTIONS(1250),
    [anon_sym_private] = ACTIONS(1250),
    [anon_sym_protected] = ACTIONS(1250),
    [anon_sym_override] = ACTIONS(1250),
    [anon_sym_module] = ACTIONS(1250),
    [anon_sym_any] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_boolean] = ACTIONS(1250),
    [anon_sym_string] = ACTIONS(1250),
    [anon_sym_symbol] = ACTIONS(1250),
    [anon_sym_object] = ACTIONS(1250),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6252),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6252),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1388),
    [sym_subscript_expression] = STATE(1388),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6252),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1388),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2195),
    [anon_sym_type] = ACTIONS(2195),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2195),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_declare] = ACTIONS(2195),
    [anon_sym_public] = ACTIONS(2195),
    [anon_sym_private] = ACTIONS(2195),
    [anon_sym_protected] = ACTIONS(2195),
    [anon_sym_override] = ACTIONS(2195),
    [anon_sym_module] = ACTIONS(2195),
    [anon_sym_any] = ACTIONS(2195),
    [anon_sym_number] = ACTIONS(2195),
    [anon_sym_boolean] = ACTIONS(2195),
    [anon_sym_string] = ACTIONS(2195),
    [anon_sym_symbol] = ACTIONS(2195),
    [anon_sym_object] = ACTIONS(2195),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1335),
    [sym_expression] = STATE(2349),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6400),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6400),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6193),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1335),
    [sym_subscript_expression] = STATE(1335),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2916),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6400),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1335),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_export] = ACTIONS(1116),
    [anon_sym_type] = ACTIONS(1116),
    [anon_sym_namespace] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_typeof] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(817),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1474),
    [anon_sym_using] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_void] = ACTIONS(1142),
    [anon_sym_delete] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(1150),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_readonly] = ACTIONS(1116),
    [anon_sym_get] = ACTIONS(1116),
    [anon_sym_set] = ACTIONS(1116),
    [anon_sym_declare] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_override] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_any] = ACTIONS(1116),
    [anon_sym_number] = ACTIONS(1116),
    [anon_sym_boolean] = ACTIONS(1116),
    [anon_sym_string] = ACTIONS(1116),
    [anon_sym_symbol] = ACTIONS(1116),
    [anon_sym_object] = ACTIONS(1116),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(3448),
    [sym_parenthesized_expression] = STATE(1394),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1541),
    [sym_yield_expression] = STATE(1659),
    [sym_object] = STATE(1655),
    [sym_object_pattern] = STATE(6501),
    [sym_array] = STATE(1655),
    [sym_array_pattern] = STATE(6501),
    [sym_glimmer_template] = STATE(1659),
    [sym_jsx_element] = STATE(1659),
    [sym_jsx_opening_element] = STATE(3060),
    [sym_jsx_self_closing_element] = STATE(1659),
    [sym_class] = STATE(1655),
    [sym_function_expression] = STATE(1655),
    [sym_generator_function] = STATE(1655),
    [sym_arrow_function] = STATE(1655),
    [sym__call_signature] = STATE(6573),
    [sym_call_expression] = STATE(1655),
    [sym_new_expression] = STATE(1659),
    [sym_await_expression] = STATE(1659),
    [sym_member_expression] = STATE(1394),
    [sym_subscript_expression] = STATE(1394),
    [sym_assignment_expression] = STATE(1659),
    [sym__augmented_assignment_lhs] = STATE(2964),
    [sym_augmented_assignment_expression] = STATE(1659),
    [sym__destructuring_pattern] = STATE(6501),
    [sym_ternary_expression] = STATE(1659),
    [sym_binary_expression] = STATE(1659),
    [sym_unary_expression] = STATE(1659),
    [sym_update_expression] = STATE(1659),
    [sym_string] = STATE(1655),
    [sym_template_string] = STATE(1655),
    [sym_regex] = STATE(1655),
    [sym_meta_property] = STATE(1655),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1394),
    [sym_as_expression] = STATE(1659),
    [sym_satisfies_expression] = STATE(1659),
    [sym_instantiation_expression] = STATE(1659),
    [sym_internal_module] = STATE(1659),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4856),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2207),
    [anon_sym_type] = ACTIONS(2207),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(837),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2211),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(825),
    [sym_number] = ACTIONS(747),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2207),
    [anon_sym_readonly] = ACTIONS(2207),
    [anon_sym_get] = ACTIONS(2207),
    [anon_sym_set] = ACTIONS(2207),
    [anon_sym_declare] = ACTIONS(2207),
    [anon_sym_public] = ACTIONS(2207),
    [anon_sym_private] = ACTIONS(2207),
    [anon_sym_protected] = ACTIONS(2207),
    [anon_sym_override] = ACTIONS(2207),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_any] = ACTIONS(2207),
    [anon_sym_number] = ACTIONS(2207),
    [anon_sym_boolean] = ACTIONS(2207),
    [anon_sym_string] = ACTIONS(2207),
    [anon_sym_symbol] = ACTIONS(2207),
    [anon_sym_object] = ACTIONS(2207),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(3384),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_expression] = STATE(1762),
    [sym_primary_expression] = STATE(1901),
    [sym_yield_expression] = STATE(2214),
    [sym_object] = STATE(2280),
    [sym_object_pattern] = STATE(6486),
    [sym_array] = STATE(2280),
    [sym_array_pattern] = STATE(6486),
    [sym_glimmer_template] = STATE(2214),
    [sym_jsx_element] = STATE(2214),
    [sym_jsx_opening_element] = STATE(3090),
    [sym_jsx_self_closing_element] = STATE(2214),
    [sym_class] = STATE(2280),
    [sym_function_expression] = STATE(2280),
    [sym_generator_function] = STATE(2280),
    [sym_arrow_function] = STATE(2280),
    [sym__call_signature] = STATE(6484),
    [sym_call_expression] = STATE(2280),
    [sym_new_expression] = STATE(2214),
    [sym_await_expression] = STATE(2214),
    [sym_member_expression] = STATE(1296),
    [sym_subscript_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(2214),
    [sym__augmented_assignment_lhs] = STATE(2905),
    [sym_augmented_assignment_expression] = STATE(2214),
    [sym__destructuring_pattern] = STATE(6486),
    [sym_ternary_expression] = STATE(2214),
    [sym_binary_expression] = STATE(2214),
    [sym_unary_expression] = STATE(2214),
    [sym_update_expression] = STATE(2214),
    [sym_string] = STATE(2280),
    [sym_template_string] = STATE(2280),
    [sym_regex] = STATE(2280),
    [sym_meta_property] = STATE(2280),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(4070),
    [sym_non_null_expression] = STATE(1296),
    [sym_as_expression] = STATE(2214),
    [sym_satisfies_expression] = STATE(2214),
    [sym_instantiation_expression] = STATE(2214),
    [sym_internal_module] = STATE(2214),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_export_statement_repeat1] = STATE(4773),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_export] = ACTIONS(1066),
    [anon_sym_type] = ACTIONS(1066),
    [anon_sym_namespace] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(1084),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_new] = ACTIONS(1450),
    [anon_sym_using] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_void] = ACTIONS(1094),
    [anon_sym_delete] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1102),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_readonly] = ACTIONS(1066),
    [anon_sym_get] = ACTIONS(1066),
    [anon_sym_set] = ACTIONS(1066),
    [anon_sym_declare] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_override] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_any] = ACTIONS(1066),
    [anon_sym_number] = ACTIONS(1066),
    [anon_sym_boolean] = ACTIONS(1066),
    [anon_sym_string] = ACTIONS(1066),
    [anon_sym_symbol] = ACTIONS(1066),
    [anon_sym_object] = ACTIONS(1066),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2223),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym__call_signature] = STATE(6402),
    [sym_string] = STATE(3961),
    [sym_formal_parameters] = STATE(4070),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2263),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2263),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_function] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2263),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2263),
    [anon_sym_readonly] = ACTIONS(2263),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2263),
    [anon_sym_public] = ACTIONS(2263),
    [anon_sym_private] = ACTIONS(2263),
    [anon_sym_protected] = ACTIONS(2263),
    [anon_sym_override] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_any] = ACTIONS(2263),
    [anon_sym_number] = ACTIONS(2263),
    [anon_sym_boolean] = ACTIONS(2263),
    [anon_sym_string] = ACTIONS(2263),
    [anon_sym_symbol] = ACTIONS(2263),
    [anon_sym_object] = ACTIONS(2263),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym__call_signature] = STATE(6402),
    [sym_string] = STATE(3961),
    [sym_formal_parameters] = STATE(4070),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2263),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2263),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_function] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2263),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2263),
    [anon_sym_readonly] = ACTIONS(2263),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2263),
    [anon_sym_public] = ACTIONS(2263),
    [anon_sym_private] = ACTIONS(2263),
    [anon_sym_protected] = ACTIONS(2263),
    [anon_sym_override] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_any] = ACTIONS(2263),
    [anon_sym_number] = ACTIONS(2263),
    [anon_sym_boolean] = ACTIONS(2263),
    [anon_sym_string] = ACTIONS(2263),
    [anon_sym_symbol] = ACTIONS(2263),
    [anon_sym_object] = ACTIONS(2263),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym__call_signature] = STATE(6402),
    [sym_string] = STATE(3961),
    [sym_formal_parameters] = STATE(4070),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_type_parameters] = STATE(5879),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2263),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2263),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_function] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2263),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2263),
    [anon_sym_readonly] = ACTIONS(2263),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2263),
    [anon_sym_public] = ACTIONS(2263),
    [anon_sym_private] = ACTIONS(2263),
    [anon_sym_protected] = ACTIONS(2263),
    [anon_sym_override] = ACTIONS(2263),
    [anon_sym_module] = ACTIONS(2263),
    [anon_sym_any] = ACTIONS(2263),
    [anon_sym_number] = ACTIONS(2263),
    [anon_sym_boolean] = ACTIONS(2263),
    [anon_sym_string] = ACTIONS(2263),
    [anon_sym_symbol] = ACTIONS(2263),
    [anon_sym_object] = ACTIONS(2263),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2295),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2295),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2301),
    [anon_sym_module] = ACTIONS(2303),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_namespace_export] = STATE(6139),
    [sym_export_clause] = STATE(4838),
    [sym_declaration] = STATE(851),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2305),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_EQ] = ACTIONS(2295),
    [anon_sym_as] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_override_modifier] = STATE(2709),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2315),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_override_modifier] = STATE(2709),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2315),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [sym_override_modifier] = STATE(2709),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2315),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2307),
    [anon_sym_set] = ACTIONS(2307),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2307),
    [anon_sym_set] = ACTIONS(2307),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym_identifier] = ACTIONS(1786),
    [anon_sym_export] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_type] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1786),
    [anon_sym_namespace] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_typeof] = ACTIONS(1786),
    [anon_sym_import] = ACTIONS(1786),
    [anon_sym_from] = ACTIONS(1786),
    [anon_sym_with] = ACTIONS(1786),
    [anon_sym_var] = ACTIONS(1786),
    [anon_sym_let] = ACTIONS(1786),
    [anon_sym_const] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1784),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_if] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(1786),
    [anon_sym_for] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_RPAREN] = ACTIONS(1784),
    [anon_sym_await] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(1786),
    [anon_sym_do] = ACTIONS(1786),
    [anon_sym_try] = ACTIONS(1786),
    [anon_sym_break] = ACTIONS(1786),
    [anon_sym_continue] = ACTIONS(1786),
    [anon_sym_debugger] = ACTIONS(1786),
    [anon_sym_return] = ACTIONS(1786),
    [anon_sym_throw] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym_COLON] = ACTIONS(1784),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_yield] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_RBRACK] = ACTIONS(1784),
    [sym_glimmer_opening_tag] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1784),
    [anon_sym_DQUOTE] = ACTIONS(1784),
    [anon_sym_SQUOTE] = ACTIONS(1784),
    [anon_sym_class] = ACTIONS(1786),
    [anon_sym_async] = ACTIONS(1786),
    [anon_sym_function] = ACTIONS(1786),
    [anon_sym_EQ_GT] = ACTIONS(1784),
    [anon_sym_new] = ACTIONS(1786),
    [anon_sym_using] = ACTIONS(1786),
    [anon_sym_AMP] = ACTIONS(1784),
    [anon_sym_PIPE] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1786),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_TILDE] = ACTIONS(1784),
    [anon_sym_void] = ACTIONS(1786),
    [anon_sym_delete] = ACTIONS(1786),
    [anon_sym_PLUS_PLUS] = ACTIONS(1784),
    [anon_sym_DASH_DASH] = ACTIONS(1784),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1784),
    [sym_number] = ACTIONS(1784),
    [sym_private_property_identifier] = ACTIONS(1784),
    [sym_this] = ACTIONS(1786),
    [sym_super] = ACTIONS(1786),
    [sym_true] = ACTIONS(1786),
    [sym_false] = ACTIONS(1786),
    [sym_null] = ACTIONS(1786),
    [sym_undefined] = ACTIONS(1786),
    [anon_sym_AT] = ACTIONS(1784),
    [anon_sym_static] = ACTIONS(1786),
    [anon_sym_readonly] = ACTIONS(1786),
    [anon_sym_get] = ACTIONS(1786),
    [anon_sym_set] = ACTIONS(1786),
    [anon_sym_QMARK] = ACTIONS(1784),
    [anon_sym_declare] = ACTIONS(1786),
    [anon_sym_public] = ACTIONS(1786),
    [anon_sym_private] = ACTIONS(1786),
    [anon_sym_protected] = ACTIONS(1786),
    [anon_sym_override] = ACTIONS(1786),
    [anon_sym_module] = ACTIONS(1786),
    [anon_sym_any] = ACTIONS(1786),
    [anon_sym_number] = ACTIONS(1786),
    [anon_sym_boolean] = ACTIONS(1786),
    [anon_sym_string] = ACTIONS(1786),
    [anon_sym_symbol] = ACTIONS(1786),
    [anon_sym_object] = ACTIONS(1786),
    [anon_sym_abstract] = ACTIONS(1786),
    [anon_sym_extends] = ACTIONS(1786),
    [anon_sym_interface] = ACTIONS(1786),
    [anon_sym_enum] = ACTIONS(1786),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2307),
    [anon_sym_set] = ACTIONS(2307),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_string] = STATE(3961),
    [sym__property_name] = STATE(3961),
    [sym_computed_property_name] = STATE(3961),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(2307),
    [anon_sym_export] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2307),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2307),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2307),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2307),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2285),
    [sym_private_property_identifier] = ACTIONS(2285),
    [anon_sym_static] = ACTIONS(2307),
    [anon_sym_readonly] = ACTIONS(2307),
    [anon_sym_get] = ACTIONS(2313),
    [anon_sym_set] = ACTIONS(2313),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(2307),
    [anon_sym_public] = ACTIONS(2307),
    [anon_sym_private] = ACTIONS(2307),
    [anon_sym_protected] = ACTIONS(2307),
    [anon_sym_override] = ACTIONS(2307),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_any] = ACTIONS(2307),
    [anon_sym_number] = ACTIONS(2307),
    [anon_sym_boolean] = ACTIONS(2307),
    [anon_sym_string] = ACTIONS(2307),
    [anon_sym_symbol] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(2307),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(1800),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_export] = ACTIONS(1802),
    [anon_sym_default] = ACTIONS(1802),
    [anon_sym_type] = ACTIONS(1802),
    [anon_sym_EQ] = ACTIONS(1802),
    [anon_sym_namespace] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_COMMA] = ACTIONS(1800),
    [anon_sym_RBRACE] = ACTIONS(1800),
    [anon_sym_typeof] = ACTIONS(1802),
    [anon_sym_import] = ACTIONS(1802),
    [anon_sym_from] = ACTIONS(1802),
    [anon_sym_with] = ACTIONS(1802),
    [anon_sym_var] = ACTIONS(1802),
    [anon_sym_let] = ACTIONS(1802),
    [anon_sym_const] = ACTIONS(1802),
    [anon_sym_BANG] = ACTIONS(1800),
    [anon_sym_else] = ACTIONS(1802),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_switch] = ACTIONS(1802),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_await] = ACTIONS(1802),
    [anon_sym_while] = ACTIONS(1802),
    [anon_sym_do] = ACTIONS(1802),
    [anon_sym_try] = ACTIONS(1802),
    [anon_sym_break] = ACTIONS(1802),
    [anon_sym_continue] = ACTIONS(1802),
    [anon_sym_debugger] = ACTIONS(1802),
    [anon_sym_return] = ACTIONS(1802),
    [anon_sym_throw] = ACTIONS(1802),
    [anon_sym_SEMI] = ACTIONS(1800),
    [anon_sym_COLON] = ACTIONS(1800),
    [anon_sym_case] = ACTIONS(1802),
    [anon_sym_yield] = ACTIONS(1802),
    [anon_sym_LBRACK] = ACTIONS(1800),
    [anon_sym_RBRACK] = ACTIONS(1800),
    [sym_glimmer_opening_tag] = ACTIONS(1800),
    [anon_sym_GT] = ACTIONS(1800),
    [anon_sym_DQUOTE] = ACTIONS(1800),
    [anon_sym_SQUOTE] = ACTIONS(1800),
    [anon_sym_class] = ACTIONS(1802),
    [anon_sym_async] = ACTIONS(1802),
    [anon_sym_function] = ACTIONS(1802),
    [anon_sym_EQ_GT] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_using] = ACTIONS(1802),
    [anon_sym_AMP] = ACTIONS(1800),
    [anon_sym_PIPE] = ACTIONS(1800),
    [anon_sym_PLUS] = ACTIONS(1802),
    [anon_sym_DASH] = ACTIONS(1802),
    [anon_sym_SLASH] = ACTIONS(1802),
    [anon_sym_LT] = ACTIONS(1802),
    [anon_sym_TILDE] = ACTIONS(1800),
    [anon_sym_void] = ACTIONS(1802),
    [anon_sym_delete] = ACTIONS(1802),
    [anon_sym_PLUS_PLUS] = ACTIONS(1800),
    [anon_sym_DASH_DASH] = ACTIONS(1800),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1800),
    [sym_number] = ACTIONS(1800),
    [sym_private_property_identifier] = ACTIONS(1800),
    [sym_this] = ACTIONS(1802),
    [sym_super] = ACTIONS(1802),
    [sym_true] = ACTIONS(1802),
    [sym_false] = ACTIONS(1802),
    [sym_null] = ACTIONS(1802),
    [sym_undefined] = ACTIONS(1802),
    [anon_sym_AT] = ACTIONS(1800),
    [anon_sym_static] = ACTIONS(1802),
    [anon_sym_readonly] = ACTIONS(1802),
    [anon_sym_get] = ACTIONS(1802),
    [anon_sym_set] = ACTIONS(1802),
    [anon_sym_QMARK] = ACTIONS(1800),
    [anon_sym_declare] = ACTIONS(1802),
    [anon_sym_public] = ACTIONS(1802),
    [anon_sym_private] = ACTIONS(1802),
    [anon_sym_protected] = ACTIONS(1802),
    [anon_sym_override] = ACTIONS(1802),
    [anon_sym_module] = ACTIONS(1802),
    [anon_sym_any] = ACTIONS(1802),
    [anon_sym_number] = ACTIONS(1802),
    [anon_sym_boolean] = ACTIONS(1802),
    [anon_sym_string] = ACTIONS(1802),
    [anon_sym_symbol] = ACTIONS(1802),
    [anon_sym_object] = ACTIONS(1802),
    [anon_sym_abstract] = ACTIONS(1802),
    [anon_sym_extends] = ACTIONS(1802),
    [anon_sym_interface] = ACTIONS(1802),
    [anon_sym_enum] = ACTIONS(1802),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2317),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_export] = ACTIONS(2319),
    [anon_sym_default] = ACTIONS(2319),
    [anon_sym_type] = ACTIONS(2319),
    [anon_sym_EQ] = ACTIONS(2319),
    [anon_sym_namespace] = ACTIONS(2319),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_COMMA] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_typeof] = ACTIONS(2319),
    [anon_sym_import] = ACTIONS(2319),
    [anon_sym_with] = ACTIONS(2319),
    [anon_sym_var] = ACTIONS(2319),
    [anon_sym_let] = ACTIONS(2319),
    [anon_sym_const] = ACTIONS(2319),
    [anon_sym_BANG] = ACTIONS(2317),
    [anon_sym_else] = ACTIONS(2319),
    [anon_sym_if] = ACTIONS(2319),
    [anon_sym_switch] = ACTIONS(2319),
    [anon_sym_for] = ACTIONS(2319),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_RPAREN] = ACTIONS(2317),
    [anon_sym_await] = ACTIONS(2319),
    [anon_sym_while] = ACTIONS(2319),
    [anon_sym_do] = ACTIONS(2319),
    [anon_sym_try] = ACTIONS(2319),
    [anon_sym_break] = ACTIONS(2319),
    [anon_sym_continue] = ACTIONS(2319),
    [anon_sym_debugger] = ACTIONS(2319),
    [anon_sym_return] = ACTIONS(2319),
    [anon_sym_throw] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(2317),
    [anon_sym_COLON] = ACTIONS(2317),
    [anon_sym_case] = ACTIONS(2319),
    [anon_sym_yield] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_RBRACK] = ACTIONS(2317),
    [sym_glimmer_opening_tag] = ACTIONS(2317),
    [anon_sym_GT] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2319),
    [anon_sym_async] = ACTIONS(2319),
    [anon_sym_function] = ACTIONS(2319),
    [anon_sym_EQ_GT] = ACTIONS(2317),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_using] = ACTIONS(2319),
    [anon_sym_AMP] = ACTIONS(2317),
    [anon_sym_PIPE] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2319),
    [anon_sym_DASH] = ACTIONS(2319),
    [anon_sym_SLASH] = ACTIONS(2319),
    [anon_sym_LT] = ACTIONS(2319),
    [anon_sym_TILDE] = ACTIONS(2317),
    [anon_sym_void] = ACTIONS(2319),
    [anon_sym_delete] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2317),
    [sym_number] = ACTIONS(2317),
    [sym_private_property_identifier] = ACTIONS(2317),
    [sym_this] = ACTIONS(2319),
    [sym_super] = ACTIONS(2319),
    [sym_true] = ACTIONS(2319),
    [sym_false] = ACTIONS(2319),
    [sym_null] = ACTIONS(2319),
    [sym_undefined] = ACTIONS(2319),
    [anon_sym_AT] = ACTIONS(2317),
    [anon_sym_static] = ACTIONS(2319),
    [anon_sym_readonly] = ACTIONS(2319),
    [anon_sym_get] = ACTIONS(2319),
    [anon_sym_set] = ACTIONS(2319),
    [anon_sym_QMARK] = ACTIONS(2317),
    [anon_sym_declare] = ACTIONS(2319),
    [anon_sym_public] = ACTIONS(2319),
    [anon_sym_private] = ACTIONS(2319),
    [anon_sym_protected] = ACTIONS(2319),
    [anon_sym_override] = ACTIONS(2319),
    [anon_sym_module] = ACTIONS(2319),
    [anon_sym_any] = ACTIONS(2319),
    [anon_sym_number] = ACTIONS(2319),
    [anon_sym_boolean] = ACTIONS(2319),
    [anon_sym_string] = ACTIONS(2319),
    [anon_sym_symbol] = ACTIONS(2319),
    [anon_sym_object] = ACTIONS(2319),
    [anon_sym_abstract] = ACTIONS(2319),
    [anon_sym_extends] = ACTIONS(2319),
    [anon_sym_interface] = ACTIONS(2319),
    [anon_sym_enum] = ACTIONS(2319),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2321),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_default] = ACTIONS(2323),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(2323),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2321),
    [anon_sym_COMMA] = ACTIONS(2321),
    [anon_sym_RBRACE] = ACTIONS(2321),
    [anon_sym_typeof] = ACTIONS(2323),
    [anon_sym_import] = ACTIONS(2323),
    [anon_sym_with] = ACTIONS(2323),
    [anon_sym_var] = ACTIONS(2323),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_const] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_switch] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_RPAREN] = ACTIONS(2321),
    [anon_sym_await] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2323),
    [anon_sym_try] = ACTIONS(2323),
    [anon_sym_break] = ACTIONS(2323),
    [anon_sym_continue] = ACTIONS(2323),
    [anon_sym_debugger] = ACTIONS(2323),
    [anon_sym_return] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym_COLON] = ACTIONS(2321),
    [anon_sym_case] = ACTIONS(2323),
    [anon_sym_yield] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_RBRACK] = ACTIONS(2321),
    [sym_glimmer_opening_tag] = ACTIONS(2321),
    [anon_sym_GT] = ACTIONS(2321),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_SQUOTE] = ACTIONS(2321),
    [anon_sym_class] = ACTIONS(2323),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_function] = ACTIONS(2323),
    [anon_sym_EQ_GT] = ACTIONS(2321),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_using] = ACTIONS(2323),
    [anon_sym_AMP] = ACTIONS(2321),
    [anon_sym_PIPE] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_SLASH] = ACTIONS(2323),
    [anon_sym_LT] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2321),
    [anon_sym_void] = ACTIONS(2323),
    [anon_sym_delete] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2321),
    [sym_number] = ACTIONS(2321),
    [sym_private_property_identifier] = ACTIONS(2321),
    [sym_this] = ACTIONS(2323),
    [sym_super] = ACTIONS(2323),
    [sym_true] = ACTIONS(2323),
    [sym_false] = ACTIONS(2323),
    [sym_null] = ACTIONS(2323),
    [sym_undefined] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2321),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_QMARK] = ACTIONS(2321),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_abstract] = ACTIONS(2323),
    [anon_sym_extends] = ACTIONS(2323),
    [anon_sym_interface] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2323),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2325),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2327),
    [anon_sym_default] = ACTIONS(2327),
    [anon_sym_type] = ACTIONS(2327),
    [anon_sym_EQ] = ACTIONS(2327),
    [anon_sym_namespace] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_COMMA] = ACTIONS(2325),
    [anon_sym_RBRACE] = ACTIONS(2325),
    [anon_sym_typeof] = ACTIONS(2327),
    [anon_sym_import] = ACTIONS(2327),
    [anon_sym_with] = ACTIONS(2327),
    [anon_sym_var] = ACTIONS(2327),
    [anon_sym_let] = ACTIONS(2327),
    [anon_sym_const] = ACTIONS(2327),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_for] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(2327),
    [anon_sym_do] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_break] = ACTIONS(2327),
    [anon_sym_continue] = ACTIONS(2327),
    [anon_sym_debugger] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_COLON] = ACTIONS(2325),
    [anon_sym_case] = ACTIONS(2327),
    [anon_sym_yield] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_RBRACK] = ACTIONS(2325),
    [sym_glimmer_opening_tag] = ACTIONS(2325),
    [anon_sym_GT] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2325),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_class] = ACTIONS(2327),
    [anon_sym_async] = ACTIONS(2327),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_EQ_GT] = ACTIONS(2325),
    [anon_sym_new] = ACTIONS(2327),
    [anon_sym_using] = ACTIONS(2327),
    [anon_sym_AMP] = ACTIONS(2325),
    [anon_sym_PIPE] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_SLASH] = ACTIONS(2327),
    [anon_sym_LT] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_void] = ACTIONS(2327),
    [anon_sym_delete] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [sym_private_property_identifier] = ACTIONS(2325),
    [sym_this] = ACTIONS(2327),
    [sym_super] = ACTIONS(2327),
    [sym_true] = ACTIONS(2327),
    [sym_false] = ACTIONS(2327),
    [sym_null] = ACTIONS(2327),
    [sym_undefined] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_static] = ACTIONS(2327),
    [anon_sym_readonly] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2327),
    [anon_sym_set] = ACTIONS(2327),
    [anon_sym_QMARK] = ACTIONS(2325),
    [anon_sym_declare] = ACTIONS(2327),
    [anon_sym_public] = ACTIONS(2327),
    [anon_sym_private] = ACTIONS(2327),
    [anon_sym_protected] = ACTIONS(2327),
    [anon_sym_override] = ACTIONS(2327),
    [anon_sym_module] = ACTIONS(2327),
    [anon_sym_any] = ACTIONS(2327),
    [anon_sym_number] = ACTIONS(2327),
    [anon_sym_boolean] = ACTIONS(2327),
    [anon_sym_string] = ACTIONS(2327),
    [anon_sym_symbol] = ACTIONS(2327),
    [anon_sym_object] = ACTIONS(2327),
    [anon_sym_abstract] = ACTIONS(2327),
    [anon_sym_extends] = ACTIONS(2327),
    [anon_sym_interface] = ACTIONS(2327),
    [anon_sym_enum] = ACTIONS(2327),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2329),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_export] = ACTIONS(2331),
    [anon_sym_default] = ACTIONS(2331),
    [anon_sym_type] = ACTIONS(2331),
    [anon_sym_EQ] = ACTIONS(2331),
    [anon_sym_namespace] = ACTIONS(2331),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_COMMA] = ACTIONS(2329),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_typeof] = ACTIONS(2331),
    [anon_sym_import] = ACTIONS(2331),
    [anon_sym_with] = ACTIONS(2331),
    [anon_sym_var] = ACTIONS(2331),
    [anon_sym_let] = ACTIONS(2331),
    [anon_sym_const] = ACTIONS(2331),
    [anon_sym_BANG] = ACTIONS(2329),
    [anon_sym_else] = ACTIONS(2331),
    [anon_sym_if] = ACTIONS(2331),
    [anon_sym_switch] = ACTIONS(2331),
    [anon_sym_for] = ACTIONS(2331),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_RPAREN] = ACTIONS(2329),
    [anon_sym_await] = ACTIONS(2331),
    [anon_sym_while] = ACTIONS(2331),
    [anon_sym_do] = ACTIONS(2331),
    [anon_sym_try] = ACTIONS(2331),
    [anon_sym_break] = ACTIONS(2331),
    [anon_sym_continue] = ACTIONS(2331),
    [anon_sym_debugger] = ACTIONS(2331),
    [anon_sym_return] = ACTIONS(2331),
    [anon_sym_throw] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(2329),
    [anon_sym_COLON] = ACTIONS(2329),
    [anon_sym_case] = ACTIONS(2331),
    [anon_sym_yield] = ACTIONS(2331),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_RBRACK] = ACTIONS(2329),
    [sym_glimmer_opening_tag] = ACTIONS(2329),
    [anon_sym_GT] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [anon_sym_class] = ACTIONS(2331),
    [anon_sym_async] = ACTIONS(2331),
    [anon_sym_function] = ACTIONS(2331),
    [anon_sym_EQ_GT] = ACTIONS(2329),
    [anon_sym_new] = ACTIONS(2331),
    [anon_sym_using] = ACTIONS(2331),
    [anon_sym_AMP] = ACTIONS(2329),
    [anon_sym_PIPE] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2331),
    [anon_sym_DASH] = ACTIONS(2331),
    [anon_sym_SLASH] = ACTIONS(2331),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_TILDE] = ACTIONS(2329),
    [anon_sym_void] = ACTIONS(2331),
    [anon_sym_delete] = ACTIONS(2331),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2329),
    [sym_number] = ACTIONS(2329),
    [sym_private_property_identifier] = ACTIONS(2329),
    [sym_this] = ACTIONS(2331),
    [sym_super] = ACTIONS(2331),
    [sym_true] = ACTIONS(2331),
    [sym_false] = ACTIONS(2331),
    [sym_null] = ACTIONS(2331),
    [sym_undefined] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2329),
    [anon_sym_static] = ACTIONS(2331),
    [anon_sym_readonly] = ACTIONS(2331),
    [anon_sym_get] = ACTIONS(2331),
    [anon_sym_set] = ACTIONS(2331),
    [anon_sym_QMARK] = ACTIONS(2329),
    [anon_sym_declare] = ACTIONS(2331),
    [anon_sym_public] = ACTIONS(2331),
    [anon_sym_private] = ACTIONS(2331),
    [anon_sym_protected] = ACTIONS(2331),
    [anon_sym_override] = ACTIONS(2331),
    [anon_sym_module] = ACTIONS(2331),
    [anon_sym_any] = ACTIONS(2331),
    [anon_sym_number] = ACTIONS(2331),
    [anon_sym_boolean] = ACTIONS(2331),
    [anon_sym_string] = ACTIONS(2331),
    [anon_sym_symbol] = ACTIONS(2331),
    [anon_sym_object] = ACTIONS(2331),
    [anon_sym_abstract] = ACTIONS(2331),
    [anon_sym_extends] = ACTIONS(2331),
    [anon_sym_interface] = ACTIONS(2331),
    [anon_sym_enum] = ACTIONS(2331),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2301),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2335),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_export] = ACTIONS(2337),
    [anon_sym_default] = ACTIONS(2337),
    [anon_sym_type] = ACTIONS(2337),
    [anon_sym_EQ] = ACTIONS(2337),
    [anon_sym_namespace] = ACTIONS(2337),
    [anon_sym_LBRACE] = ACTIONS(2335),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_typeof] = ACTIONS(2337),
    [anon_sym_import] = ACTIONS(2337),
    [anon_sym_with] = ACTIONS(2337),
    [anon_sym_var] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2337),
    [anon_sym_BANG] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2337),
    [anon_sym_if] = ACTIONS(2337),
    [anon_sym_switch] = ACTIONS(2337),
    [anon_sym_for] = ACTIONS(2337),
    [anon_sym_LPAREN] = ACTIONS(2335),
    [anon_sym_RPAREN] = ACTIONS(2335),
    [anon_sym_await] = ACTIONS(2337),
    [anon_sym_while] = ACTIONS(2337),
    [anon_sym_do] = ACTIONS(2337),
    [anon_sym_try] = ACTIONS(2337),
    [anon_sym_break] = ACTIONS(2337),
    [anon_sym_continue] = ACTIONS(2337),
    [anon_sym_debugger] = ACTIONS(2337),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_throw] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2335),
    [anon_sym_case] = ACTIONS(2337),
    [anon_sym_yield] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_RBRACK] = ACTIONS(2335),
    [sym_glimmer_opening_tag] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2335),
    [anon_sym_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [anon_sym_class] = ACTIONS(2337),
    [anon_sym_async] = ACTIONS(2337),
    [anon_sym_function] = ACTIONS(2337),
    [anon_sym_EQ_GT] = ACTIONS(2335),
    [anon_sym_new] = ACTIONS(2337),
    [anon_sym_using] = ACTIONS(2337),
    [anon_sym_AMP] = ACTIONS(2335),
    [anon_sym_PIPE] = ACTIONS(2335),
    [anon_sym_PLUS] = ACTIONS(2337),
    [anon_sym_DASH] = ACTIONS(2337),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_LT] = ACTIONS(2337),
    [anon_sym_TILDE] = ACTIONS(2335),
    [anon_sym_void] = ACTIONS(2337),
    [anon_sym_delete] = ACTIONS(2337),
    [anon_sym_PLUS_PLUS] = ACTIONS(2335),
    [anon_sym_DASH_DASH] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2335),
    [sym_number] = ACTIONS(2335),
    [sym_private_property_identifier] = ACTIONS(2335),
    [sym_this] = ACTIONS(2337),
    [sym_super] = ACTIONS(2337),
    [sym_true] = ACTIONS(2337),
    [sym_false] = ACTIONS(2337),
    [sym_null] = ACTIONS(2337),
    [sym_undefined] = ACTIONS(2337),
    [anon_sym_AT] = ACTIONS(2335),
    [anon_sym_static] = ACTIONS(2337),
    [anon_sym_readonly] = ACTIONS(2337),
    [anon_sym_get] = ACTIONS(2337),
    [anon_sym_set] = ACTIONS(2337),
    [anon_sym_QMARK] = ACTIONS(2335),
    [anon_sym_declare] = ACTIONS(2337),
    [anon_sym_public] = ACTIONS(2337),
    [anon_sym_private] = ACTIONS(2337),
    [anon_sym_protected] = ACTIONS(2337),
    [anon_sym_override] = ACTIONS(2337),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_any] = ACTIONS(2337),
    [anon_sym_number] = ACTIONS(2337),
    [anon_sym_boolean] = ACTIONS(2337),
    [anon_sym_string] = ACTIONS(2337),
    [anon_sym_symbol] = ACTIONS(2337),
    [anon_sym_object] = ACTIONS(2337),
    [anon_sym_abstract] = ACTIONS(2337),
    [anon_sym_extends] = ACTIONS(2337),
    [anon_sym_interface] = ACTIONS(2337),
    [anon_sym_enum] = ACTIONS(2337),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2227),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2251),
    [anon_sym_module] = ACTIONS(2291),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1975),
    [sym_private_property_identifier] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1973),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1975),
    [sym_private_property_identifier] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1973),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1999),
    [sym_private_property_identifier] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1997),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1999),
    [sym_private_property_identifier] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1997),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1999),
    [sym_private_property_identifier] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1997),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1975),
    [sym_private_property_identifier] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1973),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_declaration] = STATE(4436),
    [sym_variable_declaration] = STATE(4399),
    [sym_lexical_declaration] = STATE(4399),
    [sym_class_declaration] = STATE(4399),
    [sym_function_declaration] = STATE(4399),
    [sym_generator_function_declaration] = STATE(4399),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(4399),
    [sym_ambient_declaration] = STATE(4399),
    [sym_abstract_class_declaration] = STATE(4399),
    [sym_module] = STATE(4399),
    [sym_internal_module] = STATE(4404),
    [sym_import_alias] = STATE(4399),
    [sym_interface_declaration] = STATE(4399),
    [sym_enum_declaration] = STATE(4399),
    [sym_type_alias_declaration] = STATE(4399),
    [aux_sym_export_statement_repeat1] = STATE(4657),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2341),
    [anon_sym_import] = ACTIONS(2343),
    [anon_sym_var] = ACTIONS(2345),
    [anon_sym_let] = ACTIONS(2347),
    [anon_sym_const] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2351),
    [anon_sym_async] = ACTIONS(2353),
    [anon_sym_function] = ACTIONS(2355),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2357),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2363),
    [anon_sym_interface] = ACTIONS(2365),
    [anon_sym_enum] = ACTIONS(2367),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_declaration] = STATE(810),
    [sym_variable_declaration] = STATE(862),
    [sym_lexical_declaration] = STATE(862),
    [sym_class_declaration] = STATE(862),
    [sym_function_declaration] = STATE(862),
    [sym_generator_function_declaration] = STATE(862),
    [sym_decorator] = STATE(1216),
    [sym_function_signature] = STATE(862),
    [sym_ambient_declaration] = STATE(862),
    [sym_abstract_class_declaration] = STATE(862),
    [sym_module] = STATE(862),
    [sym_internal_module] = STATE(853),
    [sym_import_alias] = STATE(862),
    [sym_interface_declaration] = STATE(862),
    [sym_enum_declaration] = STATE(862),
    [sym_type_alias_declaration] = STATE(862),
    [aux_sym_export_statement_repeat1] = STATE(4420),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2289),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2299),
    [anon_sym_import] = ACTIONS(2231),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(2246),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2301),
    [anon_sym_module] = ACTIONS(2333),
    [anon_sym_abstract] = ACTIONS(2255),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2293),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2259),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym__call_signature] = STATE(6562),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2383),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(2383),
    [anon_sym_public] = ACTIONS(2383),
    [anon_sym_private] = ACTIONS(2383),
    [anon_sym_protected] = ACTIONS(2383),
    [anon_sym_override] = ACTIONS(2383),
    [anon_sym_module] = ACTIONS(2383),
    [anon_sym_any] = ACTIONS(2383),
    [anon_sym_number] = ACTIONS(2383),
    [anon_sym_boolean] = ACTIONS(2383),
    [anon_sym_string] = ACTIONS(2383),
    [anon_sym_symbol] = ACTIONS(2383),
    [anon_sym_object] = ACTIONS(2383),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym__call_signature] = STATE(6562),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2383),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_declare] = ACTIONS(2383),
    [anon_sym_public] = ACTIONS(2383),
    [anon_sym_private] = ACTIONS(2383),
    [anon_sym_protected] = ACTIONS(2383),
    [anon_sym_override] = ACTIONS(2383),
    [anon_sym_module] = ACTIONS(2383),
    [anon_sym_any] = ACTIONS(2383),
    [anon_sym_number] = ACTIONS(2383),
    [anon_sym_boolean] = ACTIONS(2383),
    [anon_sym_string] = ACTIONS(2383),
    [anon_sym_symbol] = ACTIONS(2383),
    [anon_sym_object] = ACTIONS(2383),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym__call_signature] = STATE(6562),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2383),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_declare] = ACTIONS(2383),
    [anon_sym_public] = ACTIONS(2383),
    [anon_sym_private] = ACTIONS(2383),
    [anon_sym_protected] = ACTIONS(2383),
    [anon_sym_override] = ACTIONS(2383),
    [anon_sym_module] = ACTIONS(2383),
    [anon_sym_any] = ACTIONS(2383),
    [anon_sym_number] = ACTIONS(2383),
    [anon_sym_boolean] = ACTIONS(2383),
    [anon_sym_string] = ACTIONS(2383),
    [anon_sym_symbol] = ACTIONS(2383),
    [anon_sym_object] = ACTIONS(2383),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym__call_signature] = STATE(6492),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_export] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_declare] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_module] = ACTIONS(2393),
    [anon_sym_any] = ACTIONS(2393),
    [anon_sym_number] = ACTIONS(2393),
    [anon_sym_boolean] = ACTIONS(2393),
    [anon_sym_string] = ACTIONS(2393),
    [anon_sym_symbol] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym__call_signature] = STATE(6562),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2381),
    [anon_sym_export] = ACTIONS(2383),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2383),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2383),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2383),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2383),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2383),
    [anon_sym_readonly] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2383),
    [anon_sym_declare] = ACTIONS(2383),
    [anon_sym_public] = ACTIONS(2383),
    [anon_sym_private] = ACTIONS(2383),
    [anon_sym_protected] = ACTIONS(2383),
    [anon_sym_override] = ACTIONS(2383),
    [anon_sym_module] = ACTIONS(2383),
    [anon_sym_any] = ACTIONS(2383),
    [anon_sym_number] = ACTIONS(2383),
    [anon_sym_boolean] = ACTIONS(2383),
    [anon_sym_string] = ACTIONS(2383),
    [anon_sym_symbol] = ACTIONS(2383),
    [anon_sym_object] = ACTIONS(2383),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2395),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym__call_signature] = STATE(6492),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2391),
    [anon_sym_export] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2393),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_declare] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_module] = ACTIONS(2393),
    [anon_sym_any] = ACTIONS(2393),
    [anon_sym_number] = ACTIONS(2393),
    [anon_sym_boolean] = ACTIONS(2393),
    [anon_sym_string] = ACTIONS(2393),
    [anon_sym_symbol] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym__call_signature] = STATE(6402),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2395),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_catch_clause] = STATE(709),
    [sym_finally_clause] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(2397),
    [sym_identifier] = ACTIONS(2399),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_default] = ACTIONS(2399),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_LBRACE] = ACTIONS(2397),
    [anon_sym_RBRACE] = ACTIONS(2397),
    [anon_sym_typeof] = ACTIONS(2399),
    [anon_sym_import] = ACTIONS(2399),
    [anon_sym_with] = ACTIONS(2399),
    [anon_sym_var] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_const] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(2397),
    [anon_sym_else] = ACTIONS(2399),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_switch] = ACTIONS(2399),
    [anon_sym_for] = ACTIONS(2399),
    [anon_sym_LPAREN] = ACTIONS(2397),
    [anon_sym_await] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(2399),
    [anon_sym_do] = ACTIONS(2399),
    [anon_sym_try] = ACTIONS(2399),
    [anon_sym_break] = ACTIONS(2399),
    [anon_sym_continue] = ACTIONS(2399),
    [anon_sym_debugger] = ACTIONS(2399),
    [anon_sym_return] = ACTIONS(2399),
    [anon_sym_throw] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(2397),
    [anon_sym_case] = ACTIONS(2399),
    [anon_sym_catch] = ACTIONS(2401),
    [anon_sym_finally] = ACTIONS(2403),
    [anon_sym_yield] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(2397),
    [sym_glimmer_opening_tag] = ACTIONS(2397),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2397),
    [anon_sym_class] = ACTIONS(2399),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2399),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_using] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2399),
    [anon_sym_DASH] = ACTIONS(2399),
    [anon_sym_SLASH] = ACTIONS(2399),
    [anon_sym_LT] = ACTIONS(2399),
    [anon_sym_TILDE] = ACTIONS(2397),
    [anon_sym_void] = ACTIONS(2399),
    [anon_sym_delete] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2397),
    [anon_sym_DASH_DASH] = ACTIONS(2397),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2397),
    [sym_number] = ACTIONS(2397),
    [sym_private_property_identifier] = ACTIONS(2397),
    [sym_this] = ACTIONS(2399),
    [sym_super] = ACTIONS(2399),
    [sym_true] = ACTIONS(2399),
    [sym_false] = ACTIONS(2399),
    [sym_null] = ACTIONS(2399),
    [sym_undefined] = ACTIONS(2399),
    [anon_sym_AT] = ACTIONS(2397),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_abstract] = ACTIONS(2399),
    [anon_sym_interface] = ACTIONS(2399),
    [anon_sym_enum] = ACTIONS(2399),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym__call_signature] = STATE(6408),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2407),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_readonly] = ACTIONS(2407),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_override] = ACTIONS(2407),
    [anon_sym_module] = ACTIONS(2407),
    [anon_sym_any] = ACTIONS(2407),
    [anon_sym_number] = ACTIONS(2407),
    [anon_sym_boolean] = ACTIONS(2407),
    [anon_sym_string] = ACTIONS(2407),
    [anon_sym_symbol] = ACTIONS(2407),
    [anon_sym_object] = ACTIONS(2407),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym__call_signature] = STATE(6408),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2407),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2407),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(918),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_readonly] = ACTIONS(2407),
    [anon_sym_get] = ACTIONS(2407),
    [anon_sym_set] = ACTIONS(2407),
    [anon_sym_declare] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_override] = ACTIONS(2407),
    [anon_sym_module] = ACTIONS(2407),
    [anon_sym_any] = ACTIONS(2407),
    [anon_sym_number] = ACTIONS(2407),
    [anon_sym_boolean] = ACTIONS(2407),
    [anon_sym_string] = ACTIONS(2407),
    [anon_sym_symbol] = ACTIONS(2407),
    [anon_sym_object] = ACTIONS(2407),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_export] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_type] = ACTIONS(1702),
    [anon_sym_namespace] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1702),
    [anon_sym_with] = ACTIONS(1702),
    [anon_sym_var] = ACTIONS(1702),
    [anon_sym_let] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_else] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_await] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_try] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_debugger] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_catch] = ACTIONS(1702),
    [anon_sym_finally] = ACTIONS(1702),
    [anon_sym_yield] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_glimmer_opening_tag] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_class] = ACTIONS(1702),
    [anon_sym_async] = ACTIONS(1702),
    [anon_sym_function] = ACTIONS(1702),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_using] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_void] = ACTIONS(1702),
    [anon_sym_delete] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [sym_number] = ACTIONS(1700),
    [sym_private_property_identifier] = ACTIONS(1700),
    [sym_this] = ACTIONS(1702),
    [sym_super] = ACTIONS(1702),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [sym_null] = ACTIONS(1702),
    [sym_undefined] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1700),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1702),
    [anon_sym_set] = ACTIONS(1702),
    [anon_sym_declare] = ACTIONS(1702),
    [anon_sym_public] = ACTIONS(1702),
    [anon_sym_private] = ACTIONS(1702),
    [anon_sym_protected] = ACTIONS(1702),
    [anon_sym_override] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1702),
    [anon_sym_any] = ACTIONS(1702),
    [anon_sym_number] = ACTIONS(1702),
    [anon_sym_boolean] = ACTIONS(1702),
    [anon_sym_string] = ACTIONS(1702),
    [anon_sym_symbol] = ACTIONS(1702),
    [anon_sym_object] = ACTIONS(1702),
    [anon_sym_abstract] = ACTIONS(1702),
    [anon_sym_interface] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [sym__automatic_semicolon] = ACTIONS(1710),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_catch] = ACTIONS(1736),
    [anon_sym_finally] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [sym__automatic_semicolon] = ACTIONS(2413),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym__call_signature] = STATE(6203),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_export] = ACTIONS(2417),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2417),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2417),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2417),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2417),
    [anon_sym_readonly] = ACTIONS(2417),
    [anon_sym_get] = ACTIONS(2417),
    [anon_sym_set] = ACTIONS(2417),
    [anon_sym_declare] = ACTIONS(2417),
    [anon_sym_public] = ACTIONS(2417),
    [anon_sym_private] = ACTIONS(2417),
    [anon_sym_protected] = ACTIONS(2417),
    [anon_sym_override] = ACTIONS(2417),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_any] = ACTIONS(2417),
    [anon_sym_number] = ACTIONS(2417),
    [anon_sym_boolean] = ACTIONS(2417),
    [anon_sym_string] = ACTIONS(2417),
    [anon_sym_symbol] = ACTIONS(2417),
    [anon_sym_object] = ACTIONS(2417),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym__call_signature] = STATE(6243),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2395),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(1826),
    [anon_sym_export] = ACTIONS(1826),
    [anon_sym_default] = ACTIONS(1826),
    [anon_sym_type] = ACTIONS(1826),
    [anon_sym_namespace] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_typeof] = ACTIONS(1826),
    [anon_sym_import] = ACTIONS(1826),
    [anon_sym_with] = ACTIONS(1826),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1826),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_switch] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1826),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_break] = ACTIONS(1826),
    [anon_sym_continue] = ACTIONS(1826),
    [anon_sym_debugger] = ACTIONS(1826),
    [anon_sym_return] = ACTIONS(1826),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_case] = ACTIONS(1826),
    [anon_sym_yield] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [sym_glimmer_opening_tag] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [anon_sym_SQUOTE] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1826),
    [anon_sym_async] = ACTIONS(1826),
    [anon_sym_function] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_using] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1826),
    [anon_sym_delete] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [sym_private_property_identifier] = ACTIONS(1824),
    [sym_this] = ACTIONS(1826),
    [sym_super] = ACTIONS(1826),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [sym_null] = ACTIONS(1826),
    [sym_undefined] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_static] = ACTIONS(1826),
    [anon_sym_readonly] = ACTIONS(1826),
    [anon_sym_get] = ACTIONS(1826),
    [anon_sym_set] = ACTIONS(1826),
    [anon_sym_declare] = ACTIONS(1826),
    [anon_sym_public] = ACTIONS(1826),
    [anon_sym_private] = ACTIONS(1826),
    [anon_sym_protected] = ACTIONS(1826),
    [anon_sym_override] = ACTIONS(1826),
    [anon_sym_module] = ACTIONS(1826),
    [anon_sym_any] = ACTIONS(1826),
    [anon_sym_number] = ACTIONS(1826),
    [anon_sym_boolean] = ACTIONS(1826),
    [anon_sym_string] = ACTIONS(1826),
    [anon_sym_symbol] = ACTIONS(1826),
    [anon_sym_object] = ACTIONS(1826),
    [anon_sym_abstract] = ACTIONS(1826),
    [anon_sym_interface] = ACTIONS(1826),
    [anon_sym_enum] = ACTIONS(1826),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1824),
    [sym__automatic_semicolon] = ACTIONS(1824),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym__call_signature] = STATE(6203),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_export] = ACTIONS(2417),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2417),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2417),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(924),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2417),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2417),
    [anon_sym_readonly] = ACTIONS(2417),
    [anon_sym_get] = ACTIONS(2417),
    [anon_sym_set] = ACTIONS(2417),
    [anon_sym_declare] = ACTIONS(2417),
    [anon_sym_public] = ACTIONS(2417),
    [anon_sym_private] = ACTIONS(2417),
    [anon_sym_protected] = ACTIONS(2417),
    [anon_sym_override] = ACTIONS(2417),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_any] = ACTIONS(2417),
    [anon_sym_number] = ACTIONS(2417),
    [anon_sym_boolean] = ACTIONS(2417),
    [anon_sym_string] = ACTIONS(2417),
    [anon_sym_symbol] = ACTIONS(2417),
    [anon_sym_object] = ACTIONS(2417),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym__call_signature] = STATE(6243),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_catch] = ACTIONS(1736),
    [anon_sym_finally] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(1824),
    [sym_identifier] = ACTIONS(1826),
    [anon_sym_export] = ACTIONS(1826),
    [anon_sym_default] = ACTIONS(1826),
    [anon_sym_type] = ACTIONS(1826),
    [anon_sym_namespace] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_typeof] = ACTIONS(1826),
    [anon_sym_import] = ACTIONS(1826),
    [anon_sym_with] = ACTIONS(1826),
    [anon_sym_var] = ACTIONS(1826),
    [anon_sym_let] = ACTIONS(1826),
    [anon_sym_const] = ACTIONS(1826),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_else] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_switch] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1826),
    [anon_sym_try] = ACTIONS(1826),
    [anon_sym_break] = ACTIONS(1826),
    [anon_sym_continue] = ACTIONS(1826),
    [anon_sym_debugger] = ACTIONS(1826),
    [anon_sym_return] = ACTIONS(1826),
    [anon_sym_throw] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_case] = ACTIONS(1826),
    [anon_sym_catch] = ACTIONS(1826),
    [anon_sym_finally] = ACTIONS(1826),
    [anon_sym_yield] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [sym_glimmer_opening_tag] = ACTIONS(1824),
    [anon_sym_DQUOTE] = ACTIONS(1824),
    [anon_sym_SQUOTE] = ACTIONS(1824),
    [anon_sym_class] = ACTIONS(1826),
    [anon_sym_async] = ACTIONS(1826),
    [anon_sym_function] = ACTIONS(1826),
    [anon_sym_new] = ACTIONS(1826),
    [anon_sym_using] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_void] = ACTIONS(1826),
    [anon_sym_delete] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [sym_private_property_identifier] = ACTIONS(1824),
    [sym_this] = ACTIONS(1826),
    [sym_super] = ACTIONS(1826),
    [sym_true] = ACTIONS(1826),
    [sym_false] = ACTIONS(1826),
    [sym_null] = ACTIONS(1826),
    [sym_undefined] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_static] = ACTIONS(1826),
    [anon_sym_readonly] = ACTIONS(1826),
    [anon_sym_get] = ACTIONS(1826),
    [anon_sym_set] = ACTIONS(1826),
    [anon_sym_declare] = ACTIONS(1826),
    [anon_sym_public] = ACTIONS(1826),
    [anon_sym_private] = ACTIONS(1826),
    [anon_sym_protected] = ACTIONS(1826),
    [anon_sym_override] = ACTIONS(1826),
    [anon_sym_module] = ACTIONS(1826),
    [anon_sym_any] = ACTIONS(1826),
    [anon_sym_number] = ACTIONS(1826),
    [anon_sym_boolean] = ACTIONS(1826),
    [anon_sym_string] = ACTIONS(1826),
    [anon_sym_symbol] = ACTIONS(1826),
    [anon_sym_object] = ACTIONS(1826),
    [anon_sym_abstract] = ACTIONS(1826),
    [anon_sym_interface] = ACTIONS(1826),
    [anon_sym_enum] = ACTIONS(1826),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1734),
    [sym__automatic_semicolon] = ACTIONS(1734),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(942),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym__call_signature] = STATE(6243),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2423),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym__call_signature] = STATE(6243),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(932),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2279),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(1700),
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_export] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_type] = ACTIONS(1702),
    [anon_sym_namespace] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RBRACE] = ACTIONS(1700),
    [anon_sym_typeof] = ACTIONS(1702),
    [anon_sym_import] = ACTIONS(1702),
    [anon_sym_with] = ACTIONS(1702),
    [anon_sym_var] = ACTIONS(1702),
    [anon_sym_let] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_else] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_await] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_try] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_debugger] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_throw] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_yield] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [sym_glimmer_opening_tag] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_class] = ACTIONS(1702),
    [anon_sym_async] = ACTIONS(1702),
    [anon_sym_function] = ACTIONS(1702),
    [anon_sym_new] = ACTIONS(1702),
    [anon_sym_using] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_SLASH] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_void] = ACTIONS(1702),
    [anon_sym_delete] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1700),
    [sym_number] = ACTIONS(1700),
    [sym_private_property_identifier] = ACTIONS(1700),
    [sym_this] = ACTIONS(1702),
    [sym_super] = ACTIONS(1702),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [sym_null] = ACTIONS(1702),
    [sym_undefined] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1700),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_readonly] = ACTIONS(1702),
    [anon_sym_get] = ACTIONS(1702),
    [anon_sym_set] = ACTIONS(1702),
    [anon_sym_declare] = ACTIONS(1702),
    [anon_sym_public] = ACTIONS(1702),
    [anon_sym_private] = ACTIONS(1702),
    [anon_sym_protected] = ACTIONS(1702),
    [anon_sym_override] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1702),
    [anon_sym_any] = ACTIONS(1702),
    [anon_sym_number] = ACTIONS(1702),
    [anon_sym_boolean] = ACTIONS(1702),
    [anon_sym_string] = ACTIONS(1702),
    [anon_sym_symbol] = ACTIONS(1702),
    [anon_sym_object] = ACTIONS(1702),
    [anon_sym_abstract] = ACTIONS(1702),
    [anon_sym_interface] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1700),
    [sym__automatic_semicolon] = ACTIONS(2425),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym__call_signature] = STATE(6243),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2419),
    [anon_sym_export] = ACTIONS(2421),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2421),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2421),
    [anon_sym_let] = ACTIONS(2421),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_function] = ACTIONS(2389),
    [anon_sym_EQ_GT] = ACTIONS(938),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_readonly] = ACTIONS(2421),
    [anon_sym_get] = ACTIONS(2421),
    [anon_sym_set] = ACTIONS(2421),
    [anon_sym_declare] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_override] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_any] = ACTIONS(2421),
    [anon_sym_number] = ACTIONS(2421),
    [anon_sym_boolean] = ACTIONS(2421),
    [anon_sym_string] = ACTIONS(2421),
    [anon_sym_symbol] = ACTIONS(2421),
    [anon_sym_object] = ACTIONS(2421),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_export] = ACTIONS(1812),
    [anon_sym_default] = ACTIONS(1812),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_namespace] = ACTIONS(1812),
    [anon_sym_LBRACE] = ACTIONS(1810),
    [anon_sym_COMMA] = ACTIONS(1810),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_typeof] = ACTIONS(1812),
    [anon_sym_import] = ACTIONS(1812),
    [anon_sym_with] = ACTIONS(1812),
    [anon_sym_var] = ACTIONS(1812),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1810),
    [anon_sym_else] = ACTIONS(1812),
    [anon_sym_if] = ACTIONS(1812),
    [anon_sym_switch] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(1810),
    [anon_sym_await] = ACTIONS(1812),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1812),
    [anon_sym_try] = ACTIONS(1812),
    [anon_sym_break] = ACTIONS(1812),
    [anon_sym_continue] = ACTIONS(1812),
    [anon_sym_debugger] = ACTIONS(1812),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1810),
    [anon_sym_case] = ACTIONS(1812),
    [anon_sym_yield] = ACTIONS(1812),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [sym_glimmer_opening_tag] = ACTIONS(1810),
    [anon_sym_DQUOTE] = ACTIONS(1810),
    [anon_sym_SQUOTE] = ACTIONS(1810),
    [anon_sym_class] = ACTIONS(1812),
    [anon_sym_async] = ACTIONS(1812),
    [anon_sym_function] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1812),
    [anon_sym_using] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1812),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1810),
    [anon_sym_void] = ACTIONS(1812),
    [anon_sym_delete] = ACTIONS(1812),
    [anon_sym_PLUS_PLUS] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1810),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1810),
    [sym_number] = ACTIONS(1810),
    [sym_private_property_identifier] = ACTIONS(1810),
    [sym_this] = ACTIONS(1812),
    [sym_super] = ACTIONS(1812),
    [sym_true] = ACTIONS(1812),
    [sym_false] = ACTIONS(1812),
    [sym_null] = ACTIONS(1812),
    [sym_undefined] = ACTIONS(1812),
    [anon_sym_AT] = ACTIONS(1810),
    [anon_sym_static] = ACTIONS(1812),
    [anon_sym_readonly] = ACTIONS(1812),
    [anon_sym_get] = ACTIONS(1812),
    [anon_sym_set] = ACTIONS(1812),
    [anon_sym_declare] = ACTIONS(1812),
    [anon_sym_public] = ACTIONS(1812),
    [anon_sym_private] = ACTIONS(1812),
    [anon_sym_protected] = ACTIONS(1812),
    [anon_sym_override] = ACTIONS(1812),
    [anon_sym_module] = ACTIONS(1812),
    [anon_sym_any] = ACTIONS(1812),
    [anon_sym_number] = ACTIONS(1812),
    [anon_sym_boolean] = ACTIONS(1812),
    [anon_sym_string] = ACTIONS(1812),
    [anon_sym_symbol] = ACTIONS(1812),
    [anon_sym_object] = ACTIONS(1812),
    [anon_sym_abstract] = ACTIONS(1812),
    [anon_sym_interface] = ACTIONS(1812),
    [anon_sym_enum] = ACTIONS(1812),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1810),
    [sym__automatic_semicolon] = ACTIONS(1810),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(1828),
    [sym_identifier] = ACTIONS(1830),
    [anon_sym_export] = ACTIONS(1830),
    [anon_sym_default] = ACTIONS(1830),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_typeof] = ACTIONS(1830),
    [anon_sym_import] = ACTIONS(1830),
    [anon_sym_with] = ACTIONS(1830),
    [anon_sym_var] = ACTIONS(1830),
    [anon_sym_let] = ACTIONS(1830),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_else] = ACTIONS(1830),
    [anon_sym_if] = ACTIONS(1830),
    [anon_sym_switch] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1830),
    [anon_sym_while] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1830),
    [anon_sym_try] = ACTIONS(1830),
    [anon_sym_break] = ACTIONS(1830),
    [anon_sym_continue] = ACTIONS(1830),
    [anon_sym_debugger] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1830),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_case] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [sym_glimmer_opening_tag] = ACTIONS(1828),
    [anon_sym_DQUOTE] = ACTIONS(1828),
    [anon_sym_SQUOTE] = ACTIONS(1828),
    [anon_sym_class] = ACTIONS(1830),
    [anon_sym_async] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1830),
    [anon_sym_using] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_void] = ACTIONS(1830),
    [anon_sym_delete] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [sym_private_property_identifier] = ACTIONS(1828),
    [sym_this] = ACTIONS(1830),
    [sym_super] = ACTIONS(1830),
    [sym_true] = ACTIONS(1830),
    [sym_false] = ACTIONS(1830),
    [sym_null] = ACTIONS(1830),
    [sym_undefined] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1830),
    [anon_sym_readonly] = ACTIONS(1830),
    [anon_sym_get] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1830),
    [anon_sym_declare] = ACTIONS(1830),
    [anon_sym_public] = ACTIONS(1830),
    [anon_sym_private] = ACTIONS(1830),
    [anon_sym_protected] = ACTIONS(1830),
    [anon_sym_override] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1830),
    [anon_sym_any] = ACTIONS(1830),
    [anon_sym_number] = ACTIONS(1830),
    [anon_sym_boolean] = ACTIONS(1830),
    [anon_sym_string] = ACTIONS(1830),
    [anon_sym_symbol] = ACTIONS(1830),
    [anon_sym_object] = ACTIONS(1830),
    [anon_sym_abstract] = ACTIONS(1830),
    [anon_sym_interface] = ACTIONS(1830),
    [anon_sym_enum] = ACTIONS(1830),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1828),
    [sym__automatic_semicolon] = ACTIONS(1828),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_export] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_namespace] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_COMMA] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_typeof] = ACTIONS(1736),
    [anon_sym_import] = ACTIONS(1736),
    [anon_sym_with] = ACTIONS(1736),
    [anon_sym_var] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_else] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_switch] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_debugger] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_throw] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_case] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [sym_glimmer_opening_tag] = ACTIONS(1734),
    [anon_sym_DQUOTE] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1734),
    [anon_sym_class] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_function] = ACTIONS(1736),
    [anon_sym_new] = ACTIONS(1736),
    [anon_sym_using] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1734),
    [anon_sym_void] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1734),
    [anon_sym_DASH_DASH] = ACTIONS(1734),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1734),
    [sym_number] = ACTIONS(1734),
    [sym_private_property_identifier] = ACTIONS(1734),
    [sym_this] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_true] = ACTIONS(1736),
    [sym_false] = ACTIONS(1736),
    [sym_null] = ACTIONS(1736),
    [sym_undefined] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1734),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_readonly] = ACTIONS(1736),
    [anon_sym_get] = ACTIONS(1736),
    [anon_sym_set] = ACTIONS(1736),
    [anon_sym_declare] = ACTIONS(1736),
    [anon_sym_public] = ACTIONS(1736),
    [anon_sym_private] = ACTIONS(1736),
    [anon_sym_protected] = ACTIONS(1736),
    [anon_sym_override] = ACTIONS(1736),
    [anon_sym_module] = ACTIONS(1736),
    [anon_sym_any] = ACTIONS(1736),
    [anon_sym_number] = ACTIONS(1736),
    [anon_sym_boolean] = ACTIONS(1736),
    [anon_sym_string] = ACTIONS(1736),
    [anon_sym_symbol] = ACTIONS(1736),
    [anon_sym_object] = ACTIONS(1736),
    [anon_sym_abstract] = ACTIONS(1736),
    [anon_sym_interface] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1734),
    [sym__automatic_semicolon] = ACTIONS(2427),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_statement_block] = STATE(850),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_DOT] = ACTIONS(2431),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_statement_block] = STATE(850),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_DOT] = ACTIONS(2433),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_finally_clause] = STATE(833),
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_identifier] = ACTIONS(2437),
    [anon_sym_export] = ACTIONS(2437),
    [anon_sym_default] = ACTIONS(2437),
    [anon_sym_type] = ACTIONS(2437),
    [anon_sym_namespace] = ACTIONS(2437),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_typeof] = ACTIONS(2437),
    [anon_sym_import] = ACTIONS(2437),
    [anon_sym_with] = ACTIONS(2437),
    [anon_sym_var] = ACTIONS(2437),
    [anon_sym_let] = ACTIONS(2437),
    [anon_sym_const] = ACTIONS(2437),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_else] = ACTIONS(2437),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_for] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_await] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2437),
    [anon_sym_do] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_break] = ACTIONS(2437),
    [anon_sym_continue] = ACTIONS(2437),
    [anon_sym_debugger] = ACTIONS(2437),
    [anon_sym_return] = ACTIONS(2437),
    [anon_sym_throw] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_case] = ACTIONS(2437),
    [anon_sym_finally] = ACTIONS(2403),
    [anon_sym_yield] = ACTIONS(2437),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [sym_glimmer_opening_tag] = ACTIONS(2435),
    [anon_sym_DQUOTE] = ACTIONS(2435),
    [anon_sym_SQUOTE] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2437),
    [anon_sym_async] = ACTIONS(2437),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2437),
    [anon_sym_using] = ACTIONS(2437),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_SLASH] = ACTIONS(2437),
    [anon_sym_LT] = ACTIONS(2437),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_void] = ACTIONS(2437),
    [anon_sym_delete] = ACTIONS(2437),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2435),
    [sym_number] = ACTIONS(2435),
    [sym_private_property_identifier] = ACTIONS(2435),
    [sym_this] = ACTIONS(2437),
    [sym_super] = ACTIONS(2437),
    [sym_true] = ACTIONS(2437),
    [sym_false] = ACTIONS(2437),
    [sym_null] = ACTIONS(2437),
    [sym_undefined] = ACTIONS(2437),
    [anon_sym_AT] = ACTIONS(2435),
    [anon_sym_static] = ACTIONS(2437),
    [anon_sym_readonly] = ACTIONS(2437),
    [anon_sym_get] = ACTIONS(2437),
    [anon_sym_set] = ACTIONS(2437),
    [anon_sym_declare] = ACTIONS(2437),
    [anon_sym_public] = ACTIONS(2437),
    [anon_sym_private] = ACTIONS(2437),
    [anon_sym_protected] = ACTIONS(2437),
    [anon_sym_override] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_any] = ACTIONS(2437),
    [anon_sym_number] = ACTIONS(2437),
    [anon_sym_boolean] = ACTIONS(2437),
    [anon_sym_string] = ACTIONS(2437),
    [anon_sym_symbol] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(2437),
    [anon_sym_abstract] = ACTIONS(2437),
    [anon_sym_interface] = ACTIONS(2437),
    [anon_sym_enum] = ACTIONS(2437),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym__call_signature] = STATE(6427),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(904),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym__call_signature] = STATE(6567),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_readonly] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_any] = ACTIONS(2441),
    [anon_sym_number] = ACTIONS(2441),
    [anon_sym_boolean] = ACTIONS(2441),
    [anon_sym_string] = ACTIONS(2441),
    [anon_sym_symbol] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym__call_signature] = STATE(6567),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(966),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_readonly] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_any] = ACTIONS(2441),
    [anon_sym_number] = ACTIONS(2441),
    [anon_sym_boolean] = ACTIONS(2441),
    [anon_sym_string] = ACTIONS(2441),
    [anon_sym_symbol] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1790),
    [anon_sym_export] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1790),
    [anon_sym_namespace] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_typeof] = ACTIONS(1790),
    [anon_sym_import] = ACTIONS(1790),
    [anon_sym_with] = ACTIONS(1790),
    [anon_sym_var] = ACTIONS(1790),
    [anon_sym_let] = ACTIONS(1790),
    [anon_sym_const] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_if] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_for] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_await] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(1790),
    [anon_sym_do] = ACTIONS(1790),
    [anon_sym_try] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1790),
    [anon_sym_debugger] = ACTIONS(1790),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_throw] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_yield] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [sym_glimmer_opening_tag] = ACTIONS(1788),
    [anon_sym_DQUOTE] = ACTIONS(1788),
    [anon_sym_SQUOTE] = ACTIONS(1788),
    [anon_sym_class] = ACTIONS(1790),
    [anon_sym_async] = ACTIONS(1790),
    [anon_sym_function] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(1790),
    [anon_sym_using] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_void] = ACTIONS(1790),
    [anon_sym_delete] = ACTIONS(1790),
    [anon_sym_PLUS_PLUS] = ACTIONS(1788),
    [anon_sym_DASH_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1788),
    [sym_number] = ACTIONS(1788),
    [sym_private_property_identifier] = ACTIONS(1788),
    [sym_this] = ACTIONS(1790),
    [sym_super] = ACTIONS(1790),
    [sym_true] = ACTIONS(1790),
    [sym_false] = ACTIONS(1790),
    [sym_null] = ACTIONS(1790),
    [sym_undefined] = ACTIONS(1790),
    [anon_sym_AT] = ACTIONS(1788),
    [anon_sym_static] = ACTIONS(1790),
    [anon_sym_readonly] = ACTIONS(1790),
    [anon_sym_get] = ACTIONS(1790),
    [anon_sym_set] = ACTIONS(1790),
    [anon_sym_declare] = ACTIONS(1790),
    [anon_sym_public] = ACTIONS(1790),
    [anon_sym_private] = ACTIONS(1790),
    [anon_sym_protected] = ACTIONS(1790),
    [anon_sym_override] = ACTIONS(1790),
    [anon_sym_module] = ACTIONS(1790),
    [anon_sym_any] = ACTIONS(1790),
    [anon_sym_number] = ACTIONS(1790),
    [anon_sym_boolean] = ACTIONS(1790),
    [anon_sym_string] = ACTIONS(1790),
    [anon_sym_symbol] = ACTIONS(1790),
    [anon_sym_object] = ACTIONS(1790),
    [anon_sym_abstract] = ACTIONS(1790),
    [anon_sym_interface] = ACTIONS(1790),
    [anon_sym_enum] = ACTIONS(1790),
    [sym__automatic_semicolon] = ACTIONS(1796),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1806),
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_export] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_namespace] = ACTIONS(1808),
    [anon_sym_LBRACE] = ACTIONS(1806),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [anon_sym_typeof] = ACTIONS(1808),
    [anon_sym_import] = ACTIONS(1808),
    [anon_sym_with] = ACTIONS(1808),
    [anon_sym_var] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_else] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_switch] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_LPAREN] = ACTIONS(1806),
    [anon_sym_await] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_do] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_debugger] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_throw] = ACTIONS(1808),
    [anon_sym_SEMI] = ACTIONS(1806),
    [anon_sym_case] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_LBRACK] = ACTIONS(1806),
    [sym_glimmer_opening_tag] = ACTIONS(1806),
    [anon_sym_DOT] = ACTIONS(1808),
    [anon_sym_DQUOTE] = ACTIONS(1806),
    [anon_sym_SQUOTE] = ACTIONS(1806),
    [anon_sym_class] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_function] = ACTIONS(1808),
    [anon_sym_new] = ACTIONS(1808),
    [anon_sym_using] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1806),
    [anon_sym_void] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1808),
    [anon_sym_PLUS_PLUS] = ACTIONS(1806),
    [anon_sym_DASH_DASH] = ACTIONS(1806),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1806),
    [sym_number] = ACTIONS(1806),
    [sym_private_property_identifier] = ACTIONS(1806),
    [sym_this] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_true] = ACTIONS(1808),
    [sym_false] = ACTIONS(1808),
    [sym_null] = ACTIONS(1808),
    [sym_undefined] = ACTIONS(1808),
    [anon_sym_AT] = ACTIONS(1806),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_readonly] = ACTIONS(1808),
    [anon_sym_get] = ACTIONS(1808),
    [anon_sym_set] = ACTIONS(1808),
    [anon_sym_declare] = ACTIONS(1808),
    [anon_sym_public] = ACTIONS(1808),
    [anon_sym_private] = ACTIONS(1808),
    [anon_sym_protected] = ACTIONS(1808),
    [anon_sym_override] = ACTIONS(1808),
    [anon_sym_module] = ACTIONS(1808),
    [anon_sym_any] = ACTIONS(1808),
    [anon_sym_number] = ACTIONS(1808),
    [anon_sym_boolean] = ACTIONS(1808),
    [anon_sym_string] = ACTIONS(1808),
    [anon_sym_symbol] = ACTIONS(1808),
    [anon_sym_object] = ACTIONS(1808),
    [anon_sym_abstract] = ACTIONS(1808),
    [anon_sym_interface] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(976),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(978),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1740),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_export] = ACTIONS(1742),
    [anon_sym_default] = ACTIONS(1742),
    [anon_sym_type] = ACTIONS(1742),
    [anon_sym_namespace] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1740),
    [anon_sym_typeof] = ACTIONS(1742),
    [anon_sym_import] = ACTIONS(1742),
    [anon_sym_with] = ACTIONS(1742),
    [anon_sym_var] = ACTIONS(1742),
    [anon_sym_let] = ACTIONS(1742),
    [anon_sym_const] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_else] = ACTIONS(1742),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1742),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1742),
    [anon_sym_try] = ACTIONS(1742),
    [anon_sym_break] = ACTIONS(1742),
    [anon_sym_continue] = ACTIONS(1742),
    [anon_sym_debugger] = ACTIONS(1742),
    [anon_sym_return] = ACTIONS(1742),
    [anon_sym_throw] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym_case] = ACTIONS(1742),
    [anon_sym_yield] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [sym_glimmer_opening_tag] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [anon_sym_class] = ACTIONS(1742),
    [anon_sym_async] = ACTIONS(1742),
    [anon_sym_function] = ACTIONS(1742),
    [anon_sym_new] = ACTIONS(1742),
    [anon_sym_using] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_void] = ACTIONS(1742),
    [anon_sym_delete] = ACTIONS(1742),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [sym_private_property_identifier] = ACTIONS(1740),
    [sym_this] = ACTIONS(1742),
    [sym_super] = ACTIONS(1742),
    [sym_true] = ACTIONS(1742),
    [sym_false] = ACTIONS(1742),
    [sym_null] = ACTIONS(1742),
    [sym_undefined] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1742),
    [anon_sym_readonly] = ACTIONS(1742),
    [anon_sym_get] = ACTIONS(1742),
    [anon_sym_set] = ACTIONS(1742),
    [anon_sym_declare] = ACTIONS(1742),
    [anon_sym_public] = ACTIONS(1742),
    [anon_sym_private] = ACTIONS(1742),
    [anon_sym_protected] = ACTIONS(1742),
    [anon_sym_override] = ACTIONS(1742),
    [anon_sym_module] = ACTIONS(1742),
    [anon_sym_any] = ACTIONS(1742),
    [anon_sym_number] = ACTIONS(1742),
    [anon_sym_boolean] = ACTIONS(1742),
    [anon_sym_string] = ACTIONS(1742),
    [anon_sym_symbol] = ACTIONS(1742),
    [anon_sym_object] = ACTIONS(1742),
    [anon_sym_abstract] = ACTIONS(1742),
    [anon_sym_interface] = ACTIONS(1742),
    [anon_sym_enum] = ACTIONS(1742),
    [sym__automatic_semicolon] = ACTIONS(1748),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_export] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_type] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_typeof] = ACTIONS(1921),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_with] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1921),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_LPAREN] = ACTIONS(1919),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_debugger] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [sym_glimmer_opening_tag] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_async] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_using] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_void] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1919),
    [sym_number] = ACTIONS(1919),
    [sym_private_property_identifier] = ACTIONS(1919),
    [sym_this] = ACTIONS(1921),
    [sym_super] = ACTIONS(1921),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [sym_null] = ACTIONS(1921),
    [sym_undefined] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_readonly] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
    [anon_sym_declare] = ACTIONS(1921),
    [anon_sym_public] = ACTIONS(1921),
    [anon_sym_private] = ACTIONS(1921),
    [anon_sym_protected] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_module] = ACTIONS(1921),
    [anon_sym_any] = ACTIONS(1921),
    [anon_sym_number] = ACTIONS(1921),
    [anon_sym_boolean] = ACTIONS(1921),
    [anon_sym_string] = ACTIONS(1921),
    [anon_sym_symbol] = ACTIONS(1921),
    [anon_sym_object] = ACTIONS(1921),
    [anon_sym_abstract] = ACTIONS(1921),
    [anon_sym_interface] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [sym__automatic_semicolon] = ACTIONS(1927),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2443),
    [sym_identifier] = ACTIONS(2445),
    [anon_sym_export] = ACTIONS(2445),
    [anon_sym_default] = ACTIONS(2445),
    [anon_sym_type] = ACTIONS(2445),
    [anon_sym_namespace] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2443),
    [anon_sym_RBRACE] = ACTIONS(2443),
    [anon_sym_typeof] = ACTIONS(2445),
    [anon_sym_import] = ACTIONS(2445),
    [anon_sym_with] = ACTIONS(2445),
    [anon_sym_var] = ACTIONS(2445),
    [anon_sym_let] = ACTIONS(2445),
    [anon_sym_const] = ACTIONS(2445),
    [anon_sym_BANG] = ACTIONS(2443),
    [anon_sym_else] = ACTIONS(2445),
    [anon_sym_if] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2445),
    [anon_sym_for] = ACTIONS(2445),
    [anon_sym_LPAREN] = ACTIONS(2443),
    [anon_sym_RPAREN] = ACTIONS(2443),
    [anon_sym_await] = ACTIONS(2445),
    [anon_sym_while] = ACTIONS(2445),
    [anon_sym_do] = ACTIONS(2445),
    [anon_sym_try] = ACTIONS(2445),
    [anon_sym_break] = ACTIONS(2445),
    [anon_sym_continue] = ACTIONS(2445),
    [anon_sym_debugger] = ACTIONS(2445),
    [anon_sym_return] = ACTIONS(2445),
    [anon_sym_throw] = ACTIONS(2445),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_case] = ACTIONS(2445),
    [anon_sym_yield] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [sym_glimmer_opening_tag] = ACTIONS(2443),
    [anon_sym_DQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_class] = ACTIONS(2445),
    [anon_sym_async] = ACTIONS(2445),
    [anon_sym_function] = ACTIONS(2445),
    [anon_sym_new] = ACTIONS(2445),
    [anon_sym_using] = ACTIONS(2445),
    [anon_sym_PLUS] = ACTIONS(2445),
    [anon_sym_DASH] = ACTIONS(2445),
    [anon_sym_SLASH] = ACTIONS(2445),
    [anon_sym_LT] = ACTIONS(2445),
    [anon_sym_TILDE] = ACTIONS(2443),
    [anon_sym_void] = ACTIONS(2445),
    [anon_sym_delete] = ACTIONS(2445),
    [anon_sym_PLUS_PLUS] = ACTIONS(2443),
    [anon_sym_DASH_DASH] = ACTIONS(2443),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2443),
    [sym_number] = ACTIONS(2443),
    [sym_private_property_identifier] = ACTIONS(2443),
    [sym_this] = ACTIONS(2445),
    [sym_super] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [sym_null] = ACTIONS(2445),
    [sym_undefined] = ACTIONS(2445),
    [anon_sym_AT] = ACTIONS(2443),
    [anon_sym_static] = ACTIONS(2445),
    [anon_sym_readonly] = ACTIONS(2445),
    [anon_sym_get] = ACTIONS(2445),
    [anon_sym_set] = ACTIONS(2445),
    [anon_sym_declare] = ACTIONS(2445),
    [anon_sym_public] = ACTIONS(2445),
    [anon_sym_private] = ACTIONS(2445),
    [anon_sym_protected] = ACTIONS(2445),
    [anon_sym_override] = ACTIONS(2445),
    [anon_sym_module] = ACTIONS(2445),
    [anon_sym_any] = ACTIONS(2445),
    [anon_sym_number] = ACTIONS(2445),
    [anon_sym_boolean] = ACTIONS(2445),
    [anon_sym_string] = ACTIONS(2445),
    [anon_sym_symbol] = ACTIONS(2445),
    [anon_sym_object] = ACTIONS(2445),
    [anon_sym_abstract] = ACTIONS(2445),
    [anon_sym_interface] = ACTIONS(2445),
    [anon_sym_enum] = ACTIONS(2445),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1832),
    [sym_identifier] = ACTIONS(1834),
    [anon_sym_export] = ACTIONS(1834),
    [anon_sym_default] = ACTIONS(1834),
    [anon_sym_type] = ACTIONS(1834),
    [anon_sym_namespace] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1832),
    [anon_sym_typeof] = ACTIONS(1834),
    [anon_sym_import] = ACTIONS(1834),
    [anon_sym_with] = ACTIONS(1834),
    [anon_sym_var] = ACTIONS(1834),
    [anon_sym_let] = ACTIONS(1834),
    [anon_sym_const] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1832),
    [anon_sym_else] = ACTIONS(1834),
    [anon_sym_if] = ACTIONS(1834),
    [anon_sym_switch] = ACTIONS(1834),
    [anon_sym_for] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_await] = ACTIONS(1834),
    [anon_sym_while] = ACTIONS(1834),
    [anon_sym_do] = ACTIONS(1834),
    [anon_sym_try] = ACTIONS(1834),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1834),
    [anon_sym_debugger] = ACTIONS(1834),
    [anon_sym_return] = ACTIONS(1834),
    [anon_sym_throw] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym_case] = ACTIONS(1834),
    [anon_sym_yield] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [sym_glimmer_opening_tag] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE] = ACTIONS(1832),
    [anon_sym_class] = ACTIONS(1834),
    [anon_sym_async] = ACTIONS(1834),
    [anon_sym_function] = ACTIONS(1834),
    [anon_sym_new] = ACTIONS(1834),
    [anon_sym_using] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_TILDE] = ACTIONS(1832),
    [anon_sym_void] = ACTIONS(1834),
    [anon_sym_delete] = ACTIONS(1834),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1832),
    [sym_number] = ACTIONS(1832),
    [sym_private_property_identifier] = ACTIONS(1832),
    [sym_this] = ACTIONS(1834),
    [sym_super] = ACTIONS(1834),
    [sym_true] = ACTIONS(1834),
    [sym_false] = ACTIONS(1834),
    [sym_null] = ACTIONS(1834),
    [sym_undefined] = ACTIONS(1834),
    [anon_sym_AT] = ACTIONS(1832),
    [anon_sym_static] = ACTIONS(1834),
    [anon_sym_readonly] = ACTIONS(1834),
    [anon_sym_get] = ACTIONS(1834),
    [anon_sym_set] = ACTIONS(1834),
    [anon_sym_declare] = ACTIONS(1834),
    [anon_sym_public] = ACTIONS(1834),
    [anon_sym_private] = ACTIONS(1834),
    [anon_sym_protected] = ACTIONS(1834),
    [anon_sym_override] = ACTIONS(1834),
    [anon_sym_module] = ACTIONS(1834),
    [anon_sym_any] = ACTIONS(1834),
    [anon_sym_number] = ACTIONS(1834),
    [anon_sym_boolean] = ACTIONS(1834),
    [anon_sym_string] = ACTIONS(1834),
    [anon_sym_symbol] = ACTIONS(1834),
    [anon_sym_object] = ACTIONS(1834),
    [anon_sym_abstract] = ACTIONS(1834),
    [anon_sym_interface] = ACTIONS(1834),
    [anon_sym_enum] = ACTIONS(1834),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1774),
    [sym_identifier] = ACTIONS(1776),
    [anon_sym_export] = ACTIONS(1776),
    [anon_sym_default] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1776),
    [anon_sym_namespace] = ACTIONS(1776),
    [anon_sym_LBRACE] = ACTIONS(1774),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_typeof] = ACTIONS(1776),
    [anon_sym_import] = ACTIONS(1776),
    [anon_sym_with] = ACTIONS(1776),
    [anon_sym_var] = ACTIONS(1776),
    [anon_sym_let] = ACTIONS(1776),
    [anon_sym_const] = ACTIONS(1776),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_else] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(1776),
    [anon_sym_switch] = ACTIONS(1776),
    [anon_sym_for] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_await] = ACTIONS(1776),
    [anon_sym_while] = ACTIONS(1776),
    [anon_sym_do] = ACTIONS(1776),
    [anon_sym_try] = ACTIONS(1776),
    [anon_sym_break] = ACTIONS(1776),
    [anon_sym_continue] = ACTIONS(1776),
    [anon_sym_debugger] = ACTIONS(1776),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_throw] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_case] = ACTIONS(1776),
    [anon_sym_yield] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [sym_glimmer_opening_tag] = ACTIONS(1774),
    [anon_sym_DQUOTE] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1774),
    [anon_sym_class] = ACTIONS(1776),
    [anon_sym_async] = ACTIONS(1776),
    [anon_sym_function] = ACTIONS(1776),
    [anon_sym_new] = ACTIONS(1776),
    [anon_sym_using] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1776),
    [anon_sym_TILDE] = ACTIONS(1774),
    [anon_sym_void] = ACTIONS(1776),
    [anon_sym_delete] = ACTIONS(1776),
    [anon_sym_PLUS_PLUS] = ACTIONS(1774),
    [anon_sym_DASH_DASH] = ACTIONS(1774),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1774),
    [sym_number] = ACTIONS(1774),
    [sym_private_property_identifier] = ACTIONS(1774),
    [sym_this] = ACTIONS(1776),
    [sym_super] = ACTIONS(1776),
    [sym_true] = ACTIONS(1776),
    [sym_false] = ACTIONS(1776),
    [sym_null] = ACTIONS(1776),
    [sym_undefined] = ACTIONS(1776),
    [anon_sym_AT] = ACTIONS(1774),
    [anon_sym_static] = ACTIONS(1776),
    [anon_sym_readonly] = ACTIONS(1776),
    [anon_sym_get] = ACTIONS(1776),
    [anon_sym_set] = ACTIONS(1776),
    [anon_sym_declare] = ACTIONS(1776),
    [anon_sym_public] = ACTIONS(1776),
    [anon_sym_private] = ACTIONS(1776),
    [anon_sym_protected] = ACTIONS(1776),
    [anon_sym_override] = ACTIONS(1776),
    [anon_sym_module] = ACTIONS(1776),
    [anon_sym_any] = ACTIONS(1776),
    [anon_sym_number] = ACTIONS(1776),
    [anon_sym_boolean] = ACTIONS(1776),
    [anon_sym_string] = ACTIONS(1776),
    [anon_sym_symbol] = ACTIONS(1776),
    [anon_sym_object] = ACTIONS(1776),
    [anon_sym_abstract] = ACTIONS(1776),
    [anon_sym_interface] = ACTIONS(1776),
    [anon_sym_enum] = ACTIONS(1776),
    [sym__automatic_semicolon] = ACTIONS(1782),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1814),
    [sym_identifier] = ACTIONS(1816),
    [anon_sym_export] = ACTIONS(1816),
    [anon_sym_default] = ACTIONS(1816),
    [anon_sym_type] = ACTIONS(1816),
    [anon_sym_namespace] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_typeof] = ACTIONS(1816),
    [anon_sym_import] = ACTIONS(1816),
    [anon_sym_with] = ACTIONS(1816),
    [anon_sym_var] = ACTIONS(1816),
    [anon_sym_let] = ACTIONS(1816),
    [anon_sym_const] = ACTIONS(1816),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_else] = ACTIONS(1816),
    [anon_sym_if] = ACTIONS(1816),
    [anon_sym_switch] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1816),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_await] = ACTIONS(1816),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_do] = ACTIONS(1816),
    [anon_sym_try] = ACTIONS(1816),
    [anon_sym_break] = ACTIONS(1816),
    [anon_sym_continue] = ACTIONS(1816),
    [anon_sym_debugger] = ACTIONS(1816),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_throw] = ACTIONS(1816),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_case] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [sym_glimmer_opening_tag] = ACTIONS(1814),
    [anon_sym_DQUOTE] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1814),
    [anon_sym_class] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_function] = ACTIONS(1816),
    [anon_sym_new] = ACTIONS(1816),
    [anon_sym_using] = ACTIONS(1816),
    [anon_sym_PLUS] = ACTIONS(1816),
    [anon_sym_DASH] = ACTIONS(1816),
    [anon_sym_SLASH] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1816),
    [anon_sym_TILDE] = ACTIONS(1814),
    [anon_sym_void] = ACTIONS(1816),
    [anon_sym_delete] = ACTIONS(1816),
    [anon_sym_PLUS_PLUS] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1814),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1814),
    [sym_number] = ACTIONS(1814),
    [sym_private_property_identifier] = ACTIONS(1814),
    [sym_this] = ACTIONS(1816),
    [sym_super] = ACTIONS(1816),
    [sym_true] = ACTIONS(1816),
    [sym_false] = ACTIONS(1816),
    [sym_null] = ACTIONS(1816),
    [sym_undefined] = ACTIONS(1816),
    [anon_sym_AT] = ACTIONS(1814),
    [anon_sym_static] = ACTIONS(1816),
    [anon_sym_readonly] = ACTIONS(1816),
    [anon_sym_get] = ACTIONS(1816),
    [anon_sym_set] = ACTIONS(1816),
    [anon_sym_declare] = ACTIONS(1816),
    [anon_sym_public] = ACTIONS(1816),
    [anon_sym_private] = ACTIONS(1816),
    [anon_sym_protected] = ACTIONS(1816),
    [anon_sym_override] = ACTIONS(1816),
    [anon_sym_module] = ACTIONS(1816),
    [anon_sym_any] = ACTIONS(1816),
    [anon_sym_number] = ACTIONS(1816),
    [anon_sym_boolean] = ACTIONS(1816),
    [anon_sym_string] = ACTIONS(1816),
    [anon_sym_symbol] = ACTIONS(1816),
    [anon_sym_object] = ACTIONS(1816),
    [anon_sym_abstract] = ACTIONS(1816),
    [anon_sym_interface] = ACTIONS(1816),
    [anon_sym_enum] = ACTIONS(1816),
    [sym__automatic_semicolon] = ACTIONS(1822),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_export] = ACTIONS(1883),
    [anon_sym_default] = ACTIONS(1883),
    [anon_sym_type] = ACTIONS(1883),
    [anon_sym_namespace] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_RBRACE] = ACTIONS(1881),
    [anon_sym_typeof] = ACTIONS(1883),
    [anon_sym_import] = ACTIONS(1883),
    [anon_sym_with] = ACTIONS(1883),
    [anon_sym_var] = ACTIONS(1883),
    [anon_sym_let] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(1883),
    [anon_sym_BANG] = ACTIONS(1881),
    [anon_sym_else] = ACTIONS(1883),
    [anon_sym_if] = ACTIONS(1883),
    [anon_sym_switch] = ACTIONS(1883),
    [anon_sym_for] = ACTIONS(1883),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_await] = ACTIONS(1883),
    [anon_sym_while] = ACTIONS(1883),
    [anon_sym_do] = ACTIONS(1883),
    [anon_sym_try] = ACTIONS(1883),
    [anon_sym_break] = ACTIONS(1883),
    [anon_sym_continue] = ACTIONS(1883),
    [anon_sym_debugger] = ACTIONS(1883),
    [anon_sym_return] = ACTIONS(1883),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_case] = ACTIONS(1883),
    [anon_sym_yield] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [sym_glimmer_opening_tag] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(1881),
    [anon_sym_SQUOTE] = ACTIONS(1881),
    [anon_sym_class] = ACTIONS(1883),
    [anon_sym_async] = ACTIONS(1883),
    [anon_sym_function] = ACTIONS(1883),
    [anon_sym_new] = ACTIONS(1883),
    [anon_sym_using] = ACTIONS(1883),
    [anon_sym_PLUS] = ACTIONS(1883),
    [anon_sym_DASH] = ACTIONS(1883),
    [anon_sym_SLASH] = ACTIONS(1883),
    [anon_sym_LT] = ACTIONS(1883),
    [anon_sym_TILDE] = ACTIONS(1881),
    [anon_sym_void] = ACTIONS(1883),
    [anon_sym_delete] = ACTIONS(1883),
    [anon_sym_PLUS_PLUS] = ACTIONS(1881),
    [anon_sym_DASH_DASH] = ACTIONS(1881),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1881),
    [sym_number] = ACTIONS(1881),
    [sym_private_property_identifier] = ACTIONS(1881),
    [sym_this] = ACTIONS(1883),
    [sym_super] = ACTIONS(1883),
    [sym_true] = ACTIONS(1883),
    [sym_false] = ACTIONS(1883),
    [sym_null] = ACTIONS(1883),
    [sym_undefined] = ACTIONS(1883),
    [anon_sym_AT] = ACTIONS(1881),
    [anon_sym_static] = ACTIONS(1883),
    [anon_sym_readonly] = ACTIONS(1883),
    [anon_sym_get] = ACTIONS(1883),
    [anon_sym_set] = ACTIONS(1883),
    [anon_sym_declare] = ACTIONS(1883),
    [anon_sym_public] = ACTIONS(1883),
    [anon_sym_private] = ACTIONS(1883),
    [anon_sym_protected] = ACTIONS(1883),
    [anon_sym_override] = ACTIONS(1883),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_any] = ACTIONS(1883),
    [anon_sym_number] = ACTIONS(1883),
    [anon_sym_boolean] = ACTIONS(1883),
    [anon_sym_string] = ACTIONS(1883),
    [anon_sym_symbol] = ACTIONS(1883),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1883),
    [anon_sym_enum] = ACTIONS(1883),
    [sym__automatic_semicolon] = ACTIONS(1889),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [sym_glimmer_opening_tag] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_private_property_identifier] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
    [sym__automatic_semicolon] = ACTIONS(1855),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(1857),
    [sym_identifier] = ACTIONS(1859),
    [anon_sym_export] = ACTIONS(1859),
    [anon_sym_default] = ACTIONS(1859),
    [anon_sym_type] = ACTIONS(1859),
    [anon_sym_namespace] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_typeof] = ACTIONS(1859),
    [anon_sym_import] = ACTIONS(1859),
    [anon_sym_with] = ACTIONS(1859),
    [anon_sym_var] = ACTIONS(1859),
    [anon_sym_let] = ACTIONS(1859),
    [anon_sym_const] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_else] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_switch] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1859),
    [anon_sym_try] = ACTIONS(1859),
    [anon_sym_break] = ACTIONS(1859),
    [anon_sym_continue] = ACTIONS(1859),
    [anon_sym_debugger] = ACTIONS(1859),
    [anon_sym_return] = ACTIONS(1859),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_case] = ACTIONS(1859),
    [anon_sym_yield] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [sym_glimmer_opening_tag] = ACTIONS(1857),
    [anon_sym_DQUOTE] = ACTIONS(1857),
    [anon_sym_SQUOTE] = ACTIONS(1857),
    [anon_sym_class] = ACTIONS(1859),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_function] = ACTIONS(1859),
    [anon_sym_new] = ACTIONS(1859),
    [anon_sym_using] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_void] = ACTIONS(1859),
    [anon_sym_delete] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [sym_private_property_identifier] = ACTIONS(1857),
    [sym_this] = ACTIONS(1859),
    [sym_super] = ACTIONS(1859),
    [sym_true] = ACTIONS(1859),
    [sym_false] = ACTIONS(1859),
    [sym_null] = ACTIONS(1859),
    [sym_undefined] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_static] = ACTIONS(1859),
    [anon_sym_readonly] = ACTIONS(1859),
    [anon_sym_get] = ACTIONS(1859),
    [anon_sym_set] = ACTIONS(1859),
    [anon_sym_declare] = ACTIONS(1859),
    [anon_sym_public] = ACTIONS(1859),
    [anon_sym_private] = ACTIONS(1859),
    [anon_sym_protected] = ACTIONS(1859),
    [anon_sym_override] = ACTIONS(1859),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_any] = ACTIONS(1859),
    [anon_sym_number] = ACTIONS(1859),
    [anon_sym_boolean] = ACTIONS(1859),
    [anon_sym_string] = ACTIONS(1859),
    [anon_sym_symbol] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1859),
    [anon_sym_abstract] = ACTIONS(1859),
    [anon_sym_interface] = ACTIONS(1859),
    [anon_sym_enum] = ACTIONS(1859),
    [sym__automatic_semicolon] = ACTIONS(1865),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_else_clause] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(2449),
    [anon_sym_export] = ACTIONS(2449),
    [anon_sym_default] = ACTIONS(2449),
    [anon_sym_type] = ACTIONS(2449),
    [anon_sym_namespace] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_RBRACE] = ACTIONS(2447),
    [anon_sym_typeof] = ACTIONS(2449),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_with] = ACTIONS(2449),
    [anon_sym_var] = ACTIONS(2449),
    [anon_sym_let] = ACTIONS(2449),
    [anon_sym_const] = ACTIONS(2449),
    [anon_sym_BANG] = ACTIONS(2447),
    [anon_sym_else] = ACTIONS(2451),
    [anon_sym_if] = ACTIONS(2449),
    [anon_sym_switch] = ACTIONS(2449),
    [anon_sym_for] = ACTIONS(2449),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_await] = ACTIONS(2449),
    [anon_sym_while] = ACTIONS(2449),
    [anon_sym_do] = ACTIONS(2449),
    [anon_sym_try] = ACTIONS(2449),
    [anon_sym_break] = ACTIONS(2449),
    [anon_sym_continue] = ACTIONS(2449),
    [anon_sym_debugger] = ACTIONS(2449),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2449),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_yield] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [sym_glimmer_opening_tag] = ACTIONS(2447),
    [anon_sym_DQUOTE] = ACTIONS(2447),
    [anon_sym_SQUOTE] = ACTIONS(2447),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_async] = ACTIONS(2449),
    [anon_sym_function] = ACTIONS(2449),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_using] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_SLASH] = ACTIONS(2449),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_TILDE] = ACTIONS(2447),
    [anon_sym_void] = ACTIONS(2449),
    [anon_sym_delete] = ACTIONS(2449),
    [anon_sym_PLUS_PLUS] = ACTIONS(2447),
    [anon_sym_DASH_DASH] = ACTIONS(2447),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2447),
    [sym_number] = ACTIONS(2447),
    [sym_private_property_identifier] = ACTIONS(2447),
    [sym_this] = ACTIONS(2449),
    [sym_super] = ACTIONS(2449),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [sym_null] = ACTIONS(2449),
    [sym_undefined] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2447),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_readonly] = ACTIONS(2449),
    [anon_sym_get] = ACTIONS(2449),
    [anon_sym_set] = ACTIONS(2449),
    [anon_sym_declare] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_protected] = ACTIONS(2449),
    [anon_sym_override] = ACTIONS(2449),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_any] = ACTIONS(2449),
    [anon_sym_number] = ACTIONS(2449),
    [anon_sym_boolean] = ACTIONS(2449),
    [anon_sym_string] = ACTIONS(2449),
    [anon_sym_symbol] = ACTIONS(2449),
    [anon_sym_object] = ACTIONS(2449),
    [anon_sym_abstract] = ACTIONS(2449),
    [anon_sym_interface] = ACTIONS(2449),
    [anon_sym_enum] = ACTIONS(2449),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2453),
    [sym_identifier] = ACTIONS(2455),
    [anon_sym_export] = ACTIONS(2455),
    [anon_sym_default] = ACTIONS(2455),
    [anon_sym_type] = ACTIONS(2455),
    [anon_sym_namespace] = ACTIONS(2455),
    [anon_sym_LBRACE] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_typeof] = ACTIONS(2455),
    [anon_sym_import] = ACTIONS(2455),
    [anon_sym_with] = ACTIONS(2455),
    [anon_sym_var] = ACTIONS(2455),
    [anon_sym_let] = ACTIONS(2455),
    [anon_sym_const] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2455),
    [anon_sym_if] = ACTIONS(2455),
    [anon_sym_switch] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2455),
    [anon_sym_LPAREN] = ACTIONS(2453),
    [anon_sym_RPAREN] = ACTIONS(2453),
    [anon_sym_await] = ACTIONS(2455),
    [anon_sym_while] = ACTIONS(2455),
    [anon_sym_do] = ACTIONS(2455),
    [anon_sym_try] = ACTIONS(2455),
    [anon_sym_break] = ACTIONS(2455),
    [anon_sym_continue] = ACTIONS(2455),
    [anon_sym_debugger] = ACTIONS(2455),
    [anon_sym_return] = ACTIONS(2455),
    [anon_sym_throw] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2455),
    [anon_sym_yield] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(2453),
    [sym_glimmer_opening_tag] = ACTIONS(2453),
    [anon_sym_DQUOTE] = ACTIONS(2453),
    [anon_sym_SQUOTE] = ACTIONS(2453),
    [anon_sym_class] = ACTIONS(2455),
    [anon_sym_async] = ACTIONS(2455),
    [anon_sym_function] = ACTIONS(2455),
    [anon_sym_new] = ACTIONS(2455),
    [anon_sym_using] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2455),
    [anon_sym_DASH] = ACTIONS(2455),
    [anon_sym_SLASH] = ACTIONS(2455),
    [anon_sym_LT] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2453),
    [anon_sym_void] = ACTIONS(2455),
    [anon_sym_delete] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2453),
    [anon_sym_DASH_DASH] = ACTIONS(2453),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2453),
    [sym_number] = ACTIONS(2453),
    [sym_private_property_identifier] = ACTIONS(2453),
    [sym_this] = ACTIONS(2455),
    [sym_super] = ACTIONS(2455),
    [sym_true] = ACTIONS(2455),
    [sym_false] = ACTIONS(2455),
    [sym_null] = ACTIONS(2455),
    [sym_undefined] = ACTIONS(2455),
    [anon_sym_AT] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2455),
    [anon_sym_readonly] = ACTIONS(2455),
    [anon_sym_get] = ACTIONS(2455),
    [anon_sym_set] = ACTIONS(2455),
    [anon_sym_declare] = ACTIONS(2455),
    [anon_sym_public] = ACTIONS(2455),
    [anon_sym_private] = ACTIONS(2455),
    [anon_sym_protected] = ACTIONS(2455),
    [anon_sym_override] = ACTIONS(2455),
    [anon_sym_module] = ACTIONS(2455),
    [anon_sym_any] = ACTIONS(2455),
    [anon_sym_number] = ACTIONS(2455),
    [anon_sym_boolean] = ACTIONS(2455),
    [anon_sym_string] = ACTIONS(2455),
    [anon_sym_symbol] = ACTIONS(2455),
    [anon_sym_object] = ACTIONS(2455),
    [anon_sym_abstract] = ACTIONS(2455),
    [anon_sym_interface] = ACTIONS(2455),
    [anon_sym_enum] = ACTIONS(2455),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(980),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_export] = ACTIONS(1897),
    [anon_sym_default] = ACTIONS(1897),
    [anon_sym_type] = ACTIONS(1897),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_RBRACE] = ACTIONS(1895),
    [anon_sym_typeof] = ACTIONS(1897),
    [anon_sym_import] = ACTIONS(1897),
    [anon_sym_with] = ACTIONS(1897),
    [anon_sym_var] = ACTIONS(1897),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_else] = ACTIONS(1897),
    [anon_sym_if] = ACTIONS(1897),
    [anon_sym_switch] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_await] = ACTIONS(1897),
    [anon_sym_while] = ACTIONS(1897),
    [anon_sym_do] = ACTIONS(1897),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_break] = ACTIONS(1897),
    [anon_sym_continue] = ACTIONS(1897),
    [anon_sym_debugger] = ACTIONS(1897),
    [anon_sym_return] = ACTIONS(1897),
    [anon_sym_throw] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1897),
    [anon_sym_yield] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [sym_glimmer_opening_tag] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1895),
    [anon_sym_SQUOTE] = ACTIONS(1895),
    [anon_sym_class] = ACTIONS(1897),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1897),
    [anon_sym_using] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1895),
    [anon_sym_void] = ACTIONS(1897),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1895),
    [sym_number] = ACTIONS(1895),
    [sym_private_property_identifier] = ACTIONS(1895),
    [sym_this] = ACTIONS(1897),
    [sym_super] = ACTIONS(1897),
    [sym_true] = ACTIONS(1897),
    [sym_false] = ACTIONS(1897),
    [sym_null] = ACTIONS(1897),
    [sym_undefined] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(1895),
    [anon_sym_static] = ACTIONS(1897),
    [anon_sym_readonly] = ACTIONS(1897),
    [anon_sym_get] = ACTIONS(1897),
    [anon_sym_set] = ACTIONS(1897),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1897),
    [anon_sym_private] = ACTIONS(1897),
    [anon_sym_protected] = ACTIONS(1897),
    [anon_sym_override] = ACTIONS(1897),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_any] = ACTIONS(1897),
    [anon_sym_number] = ACTIONS(1897),
    [anon_sym_boolean] = ACTIONS(1897),
    [anon_sym_string] = ACTIONS(1897),
    [anon_sym_symbol] = ACTIONS(1897),
    [anon_sym_object] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1897),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_enum] = ACTIONS(1897),
    [sym__automatic_semicolon] = ACTIONS(1903),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2457),
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2459),
    [anon_sym_default] = ACTIONS(2459),
    [anon_sym_type] = ACTIONS(2459),
    [anon_sym_namespace] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2457),
    [anon_sym_typeof] = ACTIONS(2459),
    [anon_sym_import] = ACTIONS(2459),
    [anon_sym_with] = ACTIONS(2459),
    [anon_sym_var] = ACTIONS(2459),
    [anon_sym_let] = ACTIONS(2459),
    [anon_sym_const] = ACTIONS(2459),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_switch] = ACTIONS(2459),
    [anon_sym_for] = ACTIONS(2459),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_await] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(2459),
    [anon_sym_do] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_break] = ACTIONS(2459),
    [anon_sym_continue] = ACTIONS(2459),
    [anon_sym_debugger] = ACTIONS(2459),
    [anon_sym_return] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2459),
    [anon_sym_yield] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2457),
    [sym_glimmer_opening_tag] = ACTIONS(2457),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2457),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2459),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(2459),
    [anon_sym_using] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_void] = ACTIONS(2459),
    [anon_sym_delete] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2457),
    [anon_sym_DASH_DASH] = ACTIONS(2457),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2457),
    [sym_number] = ACTIONS(2457),
    [sym_private_property_identifier] = ACTIONS(2457),
    [sym_this] = ACTIONS(2459),
    [sym_super] = ACTIONS(2459),
    [sym_true] = ACTIONS(2459),
    [sym_false] = ACTIONS(2459),
    [sym_null] = ACTIONS(2459),
    [sym_undefined] = ACTIONS(2459),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2459),
    [anon_sym_readonly] = ACTIONS(2459),
    [anon_sym_get] = ACTIONS(2459),
    [anon_sym_set] = ACTIONS(2459),
    [anon_sym_declare] = ACTIONS(2459),
    [anon_sym_public] = ACTIONS(2459),
    [anon_sym_private] = ACTIONS(2459),
    [anon_sym_protected] = ACTIONS(2459),
    [anon_sym_override] = ACTIONS(2459),
    [anon_sym_module] = ACTIONS(2459),
    [anon_sym_any] = ACTIONS(2459),
    [anon_sym_number] = ACTIONS(2459),
    [anon_sym_boolean] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_symbol] = ACTIONS(2459),
    [anon_sym_object] = ACTIONS(2459),
    [anon_sym_abstract] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2459),
    [anon_sym_enum] = ACTIONS(2459),
    [sym__automatic_semicolon] = ACTIONS(2457),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2461),
    [sym_identifier] = ACTIONS(2463),
    [anon_sym_export] = ACTIONS(2463),
    [anon_sym_default] = ACTIONS(2463),
    [anon_sym_type] = ACTIONS(2463),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_RBRACE] = ACTIONS(2461),
    [anon_sym_typeof] = ACTIONS(2463),
    [anon_sym_import] = ACTIONS(2463),
    [anon_sym_with] = ACTIONS(2463),
    [anon_sym_var] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_const] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2463),
    [anon_sym_if] = ACTIONS(2463),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_for] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_await] = ACTIONS(2463),
    [anon_sym_while] = ACTIONS(2463),
    [anon_sym_do] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2463),
    [anon_sym_break] = ACTIONS(2463),
    [anon_sym_continue] = ACTIONS(2463),
    [anon_sym_debugger] = ACTIONS(2463),
    [anon_sym_return] = ACTIONS(2463),
    [anon_sym_throw] = ACTIONS(2463),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_case] = ACTIONS(2463),
    [anon_sym_yield] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [sym_glimmer_opening_tag] = ACTIONS(2461),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2461),
    [anon_sym_class] = ACTIONS(2463),
    [anon_sym_async] = ACTIONS(2463),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_using] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_SLASH] = ACTIONS(2463),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_TILDE] = ACTIONS(2461),
    [anon_sym_void] = ACTIONS(2463),
    [anon_sym_delete] = ACTIONS(2463),
    [anon_sym_PLUS_PLUS] = ACTIONS(2461),
    [anon_sym_DASH_DASH] = ACTIONS(2461),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2461),
    [sym_number] = ACTIONS(2461),
    [sym_private_property_identifier] = ACTIONS(2461),
    [sym_this] = ACTIONS(2463),
    [sym_super] = ACTIONS(2463),
    [sym_true] = ACTIONS(2463),
    [sym_false] = ACTIONS(2463),
    [sym_null] = ACTIONS(2463),
    [sym_undefined] = ACTIONS(2463),
    [anon_sym_AT] = ACTIONS(2461),
    [anon_sym_static] = ACTIONS(2463),
    [anon_sym_readonly] = ACTIONS(2463),
    [anon_sym_get] = ACTIONS(2463),
    [anon_sym_set] = ACTIONS(2463),
    [anon_sym_declare] = ACTIONS(2463),
    [anon_sym_public] = ACTIONS(2463),
    [anon_sym_private] = ACTIONS(2463),
    [anon_sym_protected] = ACTIONS(2463),
    [anon_sym_override] = ACTIONS(2463),
    [anon_sym_module] = ACTIONS(2463),
    [anon_sym_any] = ACTIONS(2463),
    [anon_sym_number] = ACTIONS(2463),
    [anon_sym_boolean] = ACTIONS(2463),
    [anon_sym_string] = ACTIONS(2463),
    [anon_sym_symbol] = ACTIONS(2463),
    [anon_sym_object] = ACTIONS(2463),
    [anon_sym_abstract] = ACTIONS(2463),
    [anon_sym_interface] = ACTIONS(2463),
    [anon_sym_enum] = ACTIONS(2463),
    [sym__automatic_semicolon] = ACTIONS(2461),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(1036),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(1754),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_export] = ACTIONS(1756),
    [anon_sym_default] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_namespace] = ACTIONS(1756),
    [anon_sym_LBRACE] = ACTIONS(1754),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [anon_sym_typeof] = ACTIONS(1756),
    [anon_sym_import] = ACTIONS(1756),
    [anon_sym_with] = ACTIONS(1756),
    [anon_sym_var] = ACTIONS(1756),
    [anon_sym_let] = ACTIONS(1756),
    [anon_sym_const] = ACTIONS(1756),
    [anon_sym_BANG] = ACTIONS(1754),
    [anon_sym_else] = ACTIONS(1756),
    [anon_sym_if] = ACTIONS(1756),
    [anon_sym_switch] = ACTIONS(1756),
    [anon_sym_for] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_await] = ACTIONS(1756),
    [anon_sym_while] = ACTIONS(1756),
    [anon_sym_do] = ACTIONS(1756),
    [anon_sym_try] = ACTIONS(1756),
    [anon_sym_break] = ACTIONS(1756),
    [anon_sym_continue] = ACTIONS(1756),
    [anon_sym_debugger] = ACTIONS(1756),
    [anon_sym_return] = ACTIONS(1756),
    [anon_sym_throw] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym_case] = ACTIONS(1756),
    [anon_sym_yield] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_glimmer_opening_tag] = ACTIONS(1754),
    [anon_sym_DQUOTE] = ACTIONS(1754),
    [anon_sym_SQUOTE] = ACTIONS(1754),
    [anon_sym_class] = ACTIONS(1756),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_function] = ACTIONS(1756),
    [anon_sym_new] = ACTIONS(1756),
    [anon_sym_using] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1756),
    [anon_sym_TILDE] = ACTIONS(1754),
    [anon_sym_void] = ACTIONS(1756),
    [anon_sym_delete] = ACTIONS(1756),
    [anon_sym_PLUS_PLUS] = ACTIONS(1754),
    [anon_sym_DASH_DASH] = ACTIONS(1754),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1754),
    [sym_number] = ACTIONS(1754),
    [sym_private_property_identifier] = ACTIONS(1754),
    [sym_this] = ACTIONS(1756),
    [sym_super] = ACTIONS(1756),
    [sym_true] = ACTIONS(1756),
    [sym_false] = ACTIONS(1756),
    [sym_null] = ACTIONS(1756),
    [sym_undefined] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1754),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_readonly] = ACTIONS(1756),
    [anon_sym_get] = ACTIONS(1756),
    [anon_sym_set] = ACTIONS(1756),
    [anon_sym_declare] = ACTIONS(1756),
    [anon_sym_public] = ACTIONS(1756),
    [anon_sym_private] = ACTIONS(1756),
    [anon_sym_protected] = ACTIONS(1756),
    [anon_sym_override] = ACTIONS(1756),
    [anon_sym_module] = ACTIONS(1756),
    [anon_sym_any] = ACTIONS(1756),
    [anon_sym_number] = ACTIONS(1756),
    [anon_sym_boolean] = ACTIONS(1756),
    [anon_sym_string] = ACTIONS(1756),
    [anon_sym_symbol] = ACTIONS(1756),
    [anon_sym_object] = ACTIONS(1756),
    [anon_sym_abstract] = ACTIONS(1756),
    [anon_sym_interface] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1756),
    [sym__automatic_semicolon] = ACTIONS(1762),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(1764),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_export] = ACTIONS(1766),
    [anon_sym_default] = ACTIONS(1766),
    [anon_sym_type] = ACTIONS(1766),
    [anon_sym_namespace] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1764),
    [anon_sym_RBRACE] = ACTIONS(1764),
    [anon_sym_typeof] = ACTIONS(1766),
    [anon_sym_import] = ACTIONS(1766),
    [anon_sym_with] = ACTIONS(1766),
    [anon_sym_var] = ACTIONS(1766),
    [anon_sym_let] = ACTIONS(1766),
    [anon_sym_const] = ACTIONS(1766),
    [anon_sym_BANG] = ACTIONS(1764),
    [anon_sym_else] = ACTIONS(1766),
    [anon_sym_if] = ACTIONS(1766),
    [anon_sym_switch] = ACTIONS(1766),
    [anon_sym_for] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [anon_sym_await] = ACTIONS(1766),
    [anon_sym_while] = ACTIONS(1766),
    [anon_sym_do] = ACTIONS(1766),
    [anon_sym_try] = ACTIONS(1766),
    [anon_sym_break] = ACTIONS(1766),
    [anon_sym_continue] = ACTIONS(1766),
    [anon_sym_debugger] = ACTIONS(1766),
    [anon_sym_return] = ACTIONS(1766),
    [anon_sym_throw] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1764),
    [anon_sym_case] = ACTIONS(1766),
    [anon_sym_yield] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [sym_glimmer_opening_tag] = ACTIONS(1764),
    [anon_sym_DQUOTE] = ACTIONS(1764),
    [anon_sym_SQUOTE] = ACTIONS(1764),
    [anon_sym_class] = ACTIONS(1766),
    [anon_sym_async] = ACTIONS(1766),
    [anon_sym_function] = ACTIONS(1766),
    [anon_sym_new] = ACTIONS(1766),
    [anon_sym_using] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_TILDE] = ACTIONS(1764),
    [anon_sym_void] = ACTIONS(1766),
    [anon_sym_delete] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1764),
    [anon_sym_DASH_DASH] = ACTIONS(1764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1764),
    [sym_number] = ACTIONS(1764),
    [sym_private_property_identifier] = ACTIONS(1764),
    [sym_this] = ACTIONS(1766),
    [sym_super] = ACTIONS(1766),
    [sym_true] = ACTIONS(1766),
    [sym_false] = ACTIONS(1766),
    [sym_null] = ACTIONS(1766),
    [sym_undefined] = ACTIONS(1766),
    [anon_sym_AT] = ACTIONS(1764),
    [anon_sym_static] = ACTIONS(1766),
    [anon_sym_readonly] = ACTIONS(1766),
    [anon_sym_get] = ACTIONS(1766),
    [anon_sym_set] = ACTIONS(1766),
    [anon_sym_declare] = ACTIONS(1766),
    [anon_sym_public] = ACTIONS(1766),
    [anon_sym_private] = ACTIONS(1766),
    [anon_sym_protected] = ACTIONS(1766),
    [anon_sym_override] = ACTIONS(1766),
    [anon_sym_module] = ACTIONS(1766),
    [anon_sym_any] = ACTIONS(1766),
    [anon_sym_number] = ACTIONS(1766),
    [anon_sym_boolean] = ACTIONS(1766),
    [anon_sym_string] = ACTIONS(1766),
    [anon_sym_symbol] = ACTIONS(1766),
    [anon_sym_object] = ACTIONS(1766),
    [anon_sym_abstract] = ACTIONS(1766),
    [anon_sym_interface] = ACTIONS(1766),
    [anon_sym_enum] = ACTIONS(1766),
    [sym__automatic_semicolon] = ACTIONS(1772),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2465),
    [sym_identifier] = ACTIONS(2467),
    [anon_sym_export] = ACTIONS(2467),
    [anon_sym_default] = ACTIONS(2467),
    [anon_sym_type] = ACTIONS(2467),
    [anon_sym_namespace] = ACTIONS(2467),
    [anon_sym_LBRACE] = ACTIONS(2465),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [anon_sym_typeof] = ACTIONS(2467),
    [anon_sym_import] = ACTIONS(2467),
    [anon_sym_with] = ACTIONS(2467),
    [anon_sym_var] = ACTIONS(2467),
    [anon_sym_let] = ACTIONS(2467),
    [anon_sym_const] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2467),
    [anon_sym_if] = ACTIONS(2467),
    [anon_sym_switch] = ACTIONS(2467),
    [anon_sym_for] = ACTIONS(2467),
    [anon_sym_LPAREN] = ACTIONS(2465),
    [anon_sym_await] = ACTIONS(2467),
    [anon_sym_while] = ACTIONS(2467),
    [anon_sym_do] = ACTIONS(2467),
    [anon_sym_try] = ACTIONS(2467),
    [anon_sym_break] = ACTIONS(2467),
    [anon_sym_continue] = ACTIONS(2467),
    [anon_sym_debugger] = ACTIONS(2467),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_throw] = ACTIONS(2467),
    [anon_sym_SEMI] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2467),
    [anon_sym_yield] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(2465),
    [sym_glimmer_opening_tag] = ACTIONS(2465),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE] = ACTIONS(2465),
    [anon_sym_class] = ACTIONS(2467),
    [anon_sym_async] = ACTIONS(2467),
    [anon_sym_function] = ACTIONS(2467),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_using] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2467),
    [anon_sym_DASH] = ACTIONS(2467),
    [anon_sym_SLASH] = ACTIONS(2467),
    [anon_sym_LT] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2465),
    [anon_sym_void] = ACTIONS(2467),
    [anon_sym_delete] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2465),
    [anon_sym_DASH_DASH] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2465),
    [sym_number] = ACTIONS(2465),
    [sym_private_property_identifier] = ACTIONS(2465),
    [sym_this] = ACTIONS(2467),
    [sym_super] = ACTIONS(2467),
    [sym_true] = ACTIONS(2467),
    [sym_false] = ACTIONS(2467),
    [sym_null] = ACTIONS(2467),
    [sym_undefined] = ACTIONS(2467),
    [anon_sym_AT] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2467),
    [anon_sym_readonly] = ACTIONS(2467),
    [anon_sym_get] = ACTIONS(2467),
    [anon_sym_set] = ACTIONS(2467),
    [anon_sym_declare] = ACTIONS(2467),
    [anon_sym_public] = ACTIONS(2467),
    [anon_sym_private] = ACTIONS(2467),
    [anon_sym_protected] = ACTIONS(2467),
    [anon_sym_override] = ACTIONS(2467),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_any] = ACTIONS(2467),
    [anon_sym_number] = ACTIONS(2467),
    [anon_sym_boolean] = ACTIONS(2467),
    [anon_sym_string] = ACTIONS(2467),
    [anon_sym_symbol] = ACTIONS(2467),
    [anon_sym_object] = ACTIONS(2467),
    [anon_sym_abstract] = ACTIONS(2467),
    [anon_sym_interface] = ACTIONS(2467),
    [anon_sym_enum] = ACTIONS(2467),
    [sym__automatic_semicolon] = ACTIONS(2469),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2473),
    [anon_sym_export] = ACTIONS(2473),
    [anon_sym_default] = ACTIONS(2473),
    [anon_sym_type] = ACTIONS(2473),
    [anon_sym_namespace] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_typeof] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_with] = ACTIONS(2473),
    [anon_sym_var] = ACTIONS(2473),
    [anon_sym_let] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_BANG] = ACTIONS(2471),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2473),
    [anon_sym_for] = ACTIONS(2473),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_await] = ACTIONS(2473),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_do] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_break] = ACTIONS(2473),
    [anon_sym_continue] = ACTIONS(2473),
    [anon_sym_debugger] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2473),
    [anon_sym_finally] = ACTIONS(2473),
    [anon_sym_yield] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [sym_glimmer_opening_tag] = ACTIONS(2471),
    [anon_sym_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2473),
    [anon_sym_async] = ACTIONS(2473),
    [anon_sym_function] = ACTIONS(2473),
    [anon_sym_new] = ACTIONS(2473),
    [anon_sym_using] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_SLASH] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2473),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_void] = ACTIONS(2473),
    [anon_sym_delete] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2471),
    [sym_number] = ACTIONS(2471),
    [sym_private_property_identifier] = ACTIONS(2471),
    [sym_this] = ACTIONS(2473),
    [sym_super] = ACTIONS(2473),
    [sym_true] = ACTIONS(2473),
    [sym_false] = ACTIONS(2473),
    [sym_null] = ACTIONS(2473),
    [sym_undefined] = ACTIONS(2473),
    [anon_sym_AT] = ACTIONS(2471),
    [anon_sym_static] = ACTIONS(2473),
    [anon_sym_readonly] = ACTIONS(2473),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_declare] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_module] = ACTIONS(2473),
    [anon_sym_any] = ACTIONS(2473),
    [anon_sym_number] = ACTIONS(2473),
    [anon_sym_boolean] = ACTIONS(2473),
    [anon_sym_string] = ACTIONS(2473),
    [anon_sym_symbol] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_interface] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2475),
    [sym_identifier] = ACTIONS(2477),
    [anon_sym_export] = ACTIONS(2477),
    [anon_sym_default] = ACTIONS(2477),
    [anon_sym_type] = ACTIONS(2477),
    [anon_sym_namespace] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_typeof] = ACTIONS(2477),
    [anon_sym_import] = ACTIONS(2477),
    [anon_sym_with] = ACTIONS(2477),
    [anon_sym_var] = ACTIONS(2477),
    [anon_sym_let] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_BANG] = ACTIONS(2475),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_switch] = ACTIONS(2477),
    [anon_sym_for] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2475),
    [anon_sym_await] = ACTIONS(2477),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_do] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_break] = ACTIONS(2477),
    [anon_sym_continue] = ACTIONS(2477),
    [anon_sym_debugger] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_case] = ACTIONS(2477),
    [anon_sym_finally] = ACTIONS(2477),
    [anon_sym_yield] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [sym_glimmer_opening_tag] = ACTIONS(2475),
    [anon_sym_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2477),
    [anon_sym_async] = ACTIONS(2477),
    [anon_sym_function] = ACTIONS(2477),
    [anon_sym_new] = ACTIONS(2477),
    [anon_sym_using] = ACTIONS(2477),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_SLASH] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2477),
    [anon_sym_TILDE] = ACTIONS(2475),
    [anon_sym_void] = ACTIONS(2477),
    [anon_sym_delete] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2475),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2475),
    [sym_number] = ACTIONS(2475),
    [sym_private_property_identifier] = ACTIONS(2475),
    [sym_this] = ACTIONS(2477),
    [sym_super] = ACTIONS(2477),
    [sym_true] = ACTIONS(2477),
    [sym_false] = ACTIONS(2477),
    [sym_null] = ACTIONS(2477),
    [sym_undefined] = ACTIONS(2477),
    [anon_sym_AT] = ACTIONS(2475),
    [anon_sym_static] = ACTIONS(2477),
    [anon_sym_readonly] = ACTIONS(2477),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_declare] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_module] = ACTIONS(2477),
    [anon_sym_any] = ACTIONS(2477),
    [anon_sym_number] = ACTIONS(2477),
    [anon_sym_boolean] = ACTIONS(2477),
    [anon_sym_string] = ACTIONS(2477),
    [anon_sym_symbol] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_interface] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(972),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2481),
    [anon_sym_export] = ACTIONS(2481),
    [anon_sym_default] = ACTIONS(2481),
    [anon_sym_type] = ACTIONS(2481),
    [anon_sym_namespace] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(2479),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_typeof] = ACTIONS(2481),
    [anon_sym_import] = ACTIONS(2481),
    [anon_sym_with] = ACTIONS(2481),
    [anon_sym_var] = ACTIONS(2481),
    [anon_sym_let] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_BANG] = ACTIONS(2479),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_switch] = ACTIONS(2481),
    [anon_sym_for] = ACTIONS(2481),
    [anon_sym_LPAREN] = ACTIONS(2479),
    [anon_sym_await] = ACTIONS(2481),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_do] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_break] = ACTIONS(2481),
    [anon_sym_continue] = ACTIONS(2481),
    [anon_sym_debugger] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_case] = ACTIONS(2481),
    [anon_sym_finally] = ACTIONS(2481),
    [anon_sym_yield] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [sym_glimmer_opening_tag] = ACTIONS(2479),
    [anon_sym_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_async] = ACTIONS(2481),
    [anon_sym_function] = ACTIONS(2481),
    [anon_sym_new] = ACTIONS(2481),
    [anon_sym_using] = ACTIONS(2481),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_SLASH] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2481),
    [anon_sym_TILDE] = ACTIONS(2479),
    [anon_sym_void] = ACTIONS(2481),
    [anon_sym_delete] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(2479),
    [anon_sym_DASH_DASH] = ACTIONS(2479),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2479),
    [sym_number] = ACTIONS(2479),
    [sym_private_property_identifier] = ACTIONS(2479),
    [sym_this] = ACTIONS(2481),
    [sym_super] = ACTIONS(2481),
    [sym_true] = ACTIONS(2481),
    [sym_false] = ACTIONS(2481),
    [sym_null] = ACTIONS(2481),
    [sym_undefined] = ACTIONS(2481),
    [anon_sym_AT] = ACTIONS(2479),
    [anon_sym_static] = ACTIONS(2481),
    [anon_sym_readonly] = ACTIONS(2481),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_declare] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_module] = ACTIONS(2481),
    [anon_sym_any] = ACTIONS(2481),
    [anon_sym_number] = ACTIONS(2481),
    [anon_sym_boolean] = ACTIONS(2481),
    [anon_sym_string] = ACTIONS(2481),
    [anon_sym_symbol] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_interface] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym__call_signature] = STATE(6265),
    [sym_formal_parameters] = STATE(4070),
    [sym_type_parameters] = STATE(5879),
    [sym_identifier] = ACTIONS(2369),
    [anon_sym_export] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2371),
    [anon_sym_EQ] = ACTIONS(1038),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2371),
    [anon_sym_let] = ACTIONS(2371),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2373),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2371),
    [anon_sym_function] = ACTIONS(2376),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2371),
    [anon_sym_readonly] = ACTIONS(2371),
    [anon_sym_get] = ACTIONS(2371),
    [anon_sym_set] = ACTIONS(2371),
    [anon_sym_declare] = ACTIONS(2371),
    [anon_sym_public] = ACTIONS(2371),
    [anon_sym_private] = ACTIONS(2371),
    [anon_sym_protected] = ACTIONS(2371),
    [anon_sym_override] = ACTIONS(2371),
    [anon_sym_module] = ACTIONS(2371),
    [anon_sym_any] = ACTIONS(2371),
    [anon_sym_number] = ACTIONS(2371),
    [anon_sym_boolean] = ACTIONS(2371),
    [anon_sym_string] = ACTIONS(2371),
    [anon_sym_symbol] = ACTIONS(2371),
    [anon_sym_object] = ACTIONS(2371),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_statement_block] = STATE(850),
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_identifier] = ACTIONS(1694),
    [anon_sym_export] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1694),
    [anon_sym_type] = ACTIONS(1694),
    [anon_sym_namespace] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(2429),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [anon_sym_typeof] = ACTIONS(1694),
    [anon_sym_import] = ACTIONS(1694),
    [anon_sym_with] = ACTIONS(1694),
    [anon_sym_var] = ACTIONS(1694),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_else] = ACTIONS(1694),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1694),
    [anon_sym_for] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [anon_sym_await] = ACTIONS(1694),
    [anon_sym_while] = ACTIONS(1694),
    [anon_sym_do] = ACTIONS(1694),
    [anon_sym_try] = ACTIONS(1694),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_debugger] = ACTIONS(1694),
    [anon_sym_return] = ACTIONS(1694),
    [anon_sym_throw] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_yield] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [sym_glimmer_opening_tag] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_class] = ACTIONS(1694),
    [anon_sym_async] = ACTIONS(1694),
    [anon_sym_function] = ACTIONS(1694),
    [anon_sym_new] = ACTIONS(1694),
    [anon_sym_using] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_SLASH] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_void] = ACTIONS(1694),
    [anon_sym_delete] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [sym_number] = ACTIONS(1692),
    [sym_private_property_identifier] = ACTIONS(1692),
    [sym_this] = ACTIONS(1694),
    [sym_super] = ACTIONS(1694),
    [sym_true] = ACTIONS(1694),
    [sym_false] = ACTIONS(1694),
    [sym_null] = ACTIONS(1694),
    [sym_undefined] = ACTIONS(1694),
    [anon_sym_AT] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1694),
    [anon_sym_readonly] = ACTIONS(1694),
    [anon_sym_get] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1694),
    [anon_sym_declare] = ACTIONS(1694),
    [anon_sym_public] = ACTIONS(1694),
    [anon_sym_private] = ACTIONS(1694),
    [anon_sym_protected] = ACTIONS(1694),
    [anon_sym_override] = ACTIONS(1694),
    [anon_sym_module] = ACTIONS(1694),
    [anon_sym_any] = ACTIONS(1694),
    [anon_sym_number] = ACTIONS(1694),
    [anon_sym_boolean] = ACTIONS(1694),
    [anon_sym_string] = ACTIONS(1694),
    [anon_sym_symbol] = ACTIONS(1694),
    [anon_sym_object] = ACTIONS(1694),
    [anon_sym_abstract] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1694),
    [anon_sym_enum] = ACTIONS(1694),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(1867),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_export] = ACTIONS(1869),
    [anon_sym_default] = ACTIONS(1869),
    [anon_sym_type] = ACTIONS(1869),
    [anon_sym_namespace] = ACTIONS(1869),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1867),
    [anon_sym_typeof] = ACTIONS(1869),
    [anon_sym_import] = ACTIONS(1869),
    [anon_sym_with] = ACTIONS(1869),
    [anon_sym_var] = ACTIONS(1869),
    [anon_sym_let] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1869),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_else] = ACTIONS(1869),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_switch] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_do] = ACTIONS(1869),
    [anon_sym_try] = ACTIONS(1869),
    [anon_sym_break] = ACTIONS(1869),
    [anon_sym_continue] = ACTIONS(1869),
    [anon_sym_debugger] = ACTIONS(1869),
    [anon_sym_return] = ACTIONS(1869),
    [anon_sym_throw] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1869),
    [anon_sym_yield] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [sym_glimmer_opening_tag] = ACTIONS(1867),
    [anon_sym_DQUOTE] = ACTIONS(1867),
    [anon_sym_SQUOTE] = ACTIONS(1867),
    [anon_sym_class] = ACTIONS(1869),
    [anon_sym_async] = ACTIONS(1869),
    [anon_sym_function] = ACTIONS(1869),
    [anon_sym_new] = ACTIONS(1869),
    [anon_sym_using] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1869),
    [anon_sym_delete] = ACTIONS(1869),
    [anon_sym_PLUS_PLUS] = ACTIONS(1867),
    [anon_sym_DASH_DASH] = ACTIONS(1867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [sym_private_property_identifier] = ACTIONS(1867),
    [sym_this] = ACTIONS(1869),
    [sym_super] = ACTIONS(1869),
    [sym_true] = ACTIONS(1869),
    [sym_false] = ACTIONS(1869),
    [sym_null] = ACTIONS(1869),
    [sym_undefined] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_static] = ACTIONS(1869),
    [anon_sym_readonly] = ACTIONS(1869),
    [anon_sym_get] = ACTIONS(1869),
    [anon_sym_set] = ACTIONS(1869),
    [anon_sym_declare] = ACTIONS(1869),
    [anon_sym_public] = ACTIONS(1869),
    [anon_sym_private] = ACTIONS(1869),
    [anon_sym_protected] = ACTIONS(1869),
    [anon_sym_override] = ACTIONS(1869),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_any] = ACTIONS(1869),
    [anon_sym_number] = ACTIONS(1869),
    [anon_sym_boolean] = ACTIONS(1869),
    [anon_sym_string] = ACTIONS(1869),
    [anon_sym_symbol] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1869),
    [anon_sym_abstract] = ACTIONS(1869),
    [anon_sym_interface] = ACTIONS(1869),
    [anon_sym_enum] = ACTIONS(1869),
    [sym__automatic_semicolon] = ACTIONS(1875),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(2483),
    [sym_identifier] = ACTIONS(2485),
    [anon_sym_export] = ACTIONS(2485),
    [anon_sym_default] = ACTIONS(2485),
    [anon_sym_type] = ACTIONS(2485),
    [anon_sym_namespace] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(2483),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_typeof] = ACTIONS(2485),
    [anon_sym_import] = ACTIONS(2485),
    [anon_sym_with] = ACTIONS(2485),
    [anon_sym_var] = ACTIONS(2485),
    [anon_sym_let] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_BANG] = ACTIONS(2483),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2485),
    [anon_sym_for] = ACTIONS(2485),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_await] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_do] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_break] = ACTIONS(2485),
    [anon_sym_continue] = ACTIONS(2485),
    [anon_sym_debugger] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_case] = ACTIONS(2485),
    [anon_sym_yield] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [sym_glimmer_opening_tag] = ACTIONS(2483),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [anon_sym_class] = ACTIONS(2485),
    [anon_sym_async] = ACTIONS(2485),
    [anon_sym_function] = ACTIONS(2485),
    [anon_sym_new] = ACTIONS(2485),
    [anon_sym_using] = ACTIONS(2485),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_SLASH] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2485),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_void] = ACTIONS(2485),
    [anon_sym_delete] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(2483),
    [anon_sym_DASH_DASH] = ACTIONS(2483),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2483),
    [sym_number] = ACTIONS(2483),
    [sym_private_property_identifier] = ACTIONS(2483),
    [sym_this] = ACTIONS(2485),
    [sym_super] = ACTIONS(2485),
    [sym_true] = ACTIONS(2485),
    [sym_false] = ACTIONS(2485),
    [sym_null] = ACTIONS(2485),
    [sym_undefined] = ACTIONS(2485),
    [anon_sym_AT] = ACTIONS(2483),
    [anon_sym_static] = ACTIONS(2485),
    [anon_sym_readonly] = ACTIONS(2485),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_declare] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_module] = ACTIONS(2485),
    [anon_sym_any] = ACTIONS(2485),
    [anon_sym_number] = ACTIONS(2485),
    [anon_sym_boolean] = ACTIONS(2485),
    [anon_sym_string] = ACTIONS(2485),
    [anon_sym_symbol] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_interface] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2487),
    [sym_identifier] = ACTIONS(2489),
    [anon_sym_export] = ACTIONS(2489),
    [anon_sym_default] = ACTIONS(2489),
    [anon_sym_type] = ACTIONS(2489),
    [anon_sym_namespace] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(2487),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_typeof] = ACTIONS(2489),
    [anon_sym_import] = ACTIONS(2489),
    [anon_sym_with] = ACTIONS(2489),
    [anon_sym_var] = ACTIONS(2489),
    [anon_sym_let] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_BANG] = ACTIONS(2487),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2489),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_await] = ACTIONS(2489),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_do] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_break] = ACTIONS(2489),
    [anon_sym_continue] = ACTIONS(2489),
    [anon_sym_debugger] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_case] = ACTIONS(2489),
    [anon_sym_yield] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [sym_glimmer_opening_tag] = ACTIONS(2487),
    [anon_sym_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2489),
    [anon_sym_async] = ACTIONS(2489),
    [anon_sym_function] = ACTIONS(2489),
    [anon_sym_new] = ACTIONS(2489),
    [anon_sym_using] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2489),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_void] = ACTIONS(2489),
    [anon_sym_delete] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2487),
    [sym_number] = ACTIONS(2487),
    [sym_private_property_identifier] = ACTIONS(2487),
    [sym_this] = ACTIONS(2489),
    [sym_super] = ACTIONS(2489),
    [sym_true] = ACTIONS(2489),
    [sym_false] = ACTIONS(2489),
    [sym_null] = ACTIONS(2489),
    [sym_undefined] = ACTIONS(2489),
    [anon_sym_AT] = ACTIONS(2487),
    [anon_sym_static] = ACTIONS(2489),
    [anon_sym_readonly] = ACTIONS(2489),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_declare] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_any] = ACTIONS(2489),
    [anon_sym_number] = ACTIONS(2489),
    [anon_sym_boolean] = ACTIONS(2489),
    [anon_sym_string] = ACTIONS(2489),
    [anon_sym_symbol] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_interface] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2491),
    [sym_identifier] = ACTIONS(2493),
    [anon_sym_export] = ACTIONS(2493),
    [anon_sym_default] = ACTIONS(2493),
    [anon_sym_type] = ACTIONS(2493),
    [anon_sym_namespace] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_typeof] = ACTIONS(2493),
    [anon_sym_import] = ACTIONS(2493),
    [anon_sym_with] = ACTIONS(2493),
    [anon_sym_var] = ACTIONS(2493),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2493),
    [anon_sym_for] = ACTIONS(2493),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_await] = ACTIONS(2493),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_do] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_break] = ACTIONS(2493),
    [anon_sym_continue] = ACTIONS(2493),
    [anon_sym_debugger] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_case] = ACTIONS(2493),
    [anon_sym_yield] = ACTIONS(2493),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [sym_glimmer_opening_tag] = ACTIONS(2491),
    [anon_sym_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [anon_sym_class] = ACTIONS(2493),
    [anon_sym_async] = ACTIONS(2493),
    [anon_sym_function] = ACTIONS(2493),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_using] = ACTIONS(2493),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_SLASH] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_void] = ACTIONS(2493),
    [anon_sym_delete] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(2491),
    [anon_sym_DASH_DASH] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2491),
    [sym_number] = ACTIONS(2491),
    [sym_private_property_identifier] = ACTIONS(2491),
    [sym_this] = ACTIONS(2493),
    [sym_super] = ACTIONS(2493),
    [sym_true] = ACTIONS(2493),
    [sym_false] = ACTIONS(2493),
    [sym_null] = ACTIONS(2493),
    [sym_undefined] = ACTIONS(2493),
    [anon_sym_AT] = ACTIONS(2491),
    [anon_sym_static] = ACTIONS(2493),
    [anon_sym_readonly] = ACTIONS(2493),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_declare] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_module] = ACTIONS(2493),
    [anon_sym_any] = ACTIONS(2493),
    [anon_sym_number] = ACTIONS(2493),
    [anon_sym_boolean] = ACTIONS(2493),
    [anon_sym_string] = ACTIONS(2493),
    [anon_sym_symbol] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_interface] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_type] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_var] = ACTIONS(2497),
    [anon_sym_let] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_await] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_debugger] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [sym_glimmer_opening_tag] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_async] = ACTIONS(2497),
    [anon_sym_function] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_void] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2495),
    [sym_number] = ACTIONS(2495),
    [sym_private_property_identifier] = ACTIONS(2495),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_null] = ACTIONS(2497),
    [sym_undefined] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2495),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_readonly] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2497),
    [anon_sym_declare] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_override] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_any] = ACTIONS(2497),
    [anon_sym_number] = ACTIONS(2497),
    [anon_sym_boolean] = ACTIONS(2497),
    [anon_sym_string] = ACTIONS(2497),
    [anon_sym_symbol] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [sym_glimmer_opening_tag] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_using] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_number] = ACTIONS(2499),
    [sym_private_property_identifier] = ACTIONS(2499),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_object] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2503),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_export] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(2505),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_var] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_else] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_debugger] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [sym_glimmer_opening_tag] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_async] = ACTIONS(2505),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_SLASH] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_private_property_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2505),
    [sym_super] = ACTIONS(2505),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [sym_null] = ACTIONS(2505),
    [sym_undefined] = ACTIONS(2505),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_readonly] = ACTIONS(2505),
    [anon_sym_get] = ACTIONS(2505),
    [anon_sym_set] = ACTIONS(2505),
    [anon_sym_declare] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_override] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_any] = ACTIONS(2505),
    [anon_sym_number] = ACTIONS(2505),
    [anon_sym_boolean] = ACTIONS(2505),
    [anon_sym_string] = ACTIONS(2505),
    [anon_sym_symbol] = ACTIONS(2505),
    [anon_sym_object] = ACTIONS(2505),
    [anon_sym_abstract] = ACTIONS(2505),
    [anon_sym_interface] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [sym_glimmer_opening_tag] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_using] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_number] = ACTIONS(2507),
    [sym_private_property_identifier] = ACTIONS(2507),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_interface] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_default] = ACTIONS(2513),
    [anon_sym_type] = ACTIONS(2513),
    [anon_sym_namespace] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_typeof] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_let] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_await] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_debugger] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_case] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [sym_glimmer_opening_tag] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_using] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_void] = ACTIONS(2513),
    [anon_sym_delete] = ACTIONS(2513),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2511),
    [sym_number] = ACTIONS(2511),
    [sym_private_property_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_undefined] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_readonly] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_declare] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_any] = ACTIONS(2513),
    [anon_sym_number] = ACTIONS(2513),
    [anon_sym_boolean] = ACTIONS(2513),
    [anon_sym_string] = ACTIONS(2513),
    [anon_sym_symbol] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_default] = ACTIONS(2513),
    [anon_sym_type] = ACTIONS(2513),
    [anon_sym_namespace] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_typeof] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_let] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_await] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_debugger] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_case] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [sym_glimmer_opening_tag] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_using] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_void] = ACTIONS(2513),
    [anon_sym_delete] = ACTIONS(2513),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2511),
    [sym_number] = ACTIONS(2511),
    [sym_private_property_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_undefined] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_readonly] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_declare] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_any] = ACTIONS(2513),
    [anon_sym_number] = ACTIONS(2513),
    [anon_sym_boolean] = ACTIONS(2513),
    [anon_sym_string] = ACTIONS(2513),
    [anon_sym_symbol] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [anon_sym_export] = ACTIONS(2517),
    [anon_sym_default] = ACTIONS(2517),
    [anon_sym_type] = ACTIONS(2517),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_typeof] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2517),
    [anon_sym_with] = ACTIONS(2517),
    [anon_sym_var] = ACTIONS(2517),
    [anon_sym_let] = ACTIONS(2517),
    [anon_sym_const] = ACTIONS(2517),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2517),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_switch] = ACTIONS(2517),
    [anon_sym_for] = ACTIONS(2517),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(2517),
    [anon_sym_do] = ACTIONS(2517),
    [anon_sym_try] = ACTIONS(2517),
    [anon_sym_break] = ACTIONS(2517),
    [anon_sym_continue] = ACTIONS(2517),
    [anon_sym_debugger] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2517),
    [anon_sym_throw] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_case] = ACTIONS(2517),
    [anon_sym_yield] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [sym_glimmer_opening_tag] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2517),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_function] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2517),
    [anon_sym_using] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2517),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2517),
    [anon_sym_delete] = ACTIONS(2517),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_number] = ACTIONS(2515),
    [sym_private_property_identifier] = ACTIONS(2515),
    [sym_this] = ACTIONS(2517),
    [sym_super] = ACTIONS(2517),
    [sym_true] = ACTIONS(2517),
    [sym_false] = ACTIONS(2517),
    [sym_null] = ACTIONS(2517),
    [sym_undefined] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_static] = ACTIONS(2517),
    [anon_sym_readonly] = ACTIONS(2517),
    [anon_sym_get] = ACTIONS(2517),
    [anon_sym_set] = ACTIONS(2517),
    [anon_sym_declare] = ACTIONS(2517),
    [anon_sym_public] = ACTIONS(2517),
    [anon_sym_private] = ACTIONS(2517),
    [anon_sym_protected] = ACTIONS(2517),
    [anon_sym_override] = ACTIONS(2517),
    [anon_sym_module] = ACTIONS(2517),
    [anon_sym_any] = ACTIONS(2517),
    [anon_sym_number] = ACTIONS(2517),
    [anon_sym_boolean] = ACTIONS(2517),
    [anon_sym_string] = ACTIONS(2517),
    [anon_sym_symbol] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2517),
    [anon_sym_abstract] = ACTIONS(2517),
    [anon_sym_interface] = ACTIONS(2517),
    [anon_sym_enum] = ACTIONS(2517),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2519),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_RBRACE] = ACTIONS(2519),
    [anon_sym_typeof] = ACTIONS(2521),
    [anon_sym_import] = ACTIONS(2521),
    [anon_sym_with] = ACTIONS(2521),
    [anon_sym_var] = ACTIONS(2521),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_switch] = ACTIONS(2521),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_await] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2521),
    [anon_sym_debugger] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_yield] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [sym_glimmer_opening_tag] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_async] = ACTIONS(2521),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_new] = ACTIONS(2521),
    [anon_sym_using] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_void] = ACTIONS(2521),
    [anon_sym_delete] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2519),
    [anon_sym_DASH_DASH] = ACTIONS(2519),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_number] = ACTIONS(2519),
    [sym_private_property_identifier] = ACTIONS(2519),
    [sym_this] = ACTIONS(2521),
    [sym_super] = ACTIONS(2521),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_null] = ACTIONS(2521),
    [sym_undefined] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [sym_identifier] = ACTIONS(2525),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_default] = ACTIONS(2525),
    [anon_sym_type] = ACTIONS(2525),
    [anon_sym_namespace] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [anon_sym_typeof] = ACTIONS(2525),
    [anon_sym_import] = ACTIONS(2525),
    [anon_sym_with] = ACTIONS(2525),
    [anon_sym_var] = ACTIONS(2525),
    [anon_sym_let] = ACTIONS(2525),
    [anon_sym_const] = ACTIONS(2525),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_else] = ACTIONS(2525),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_switch] = ACTIONS(2525),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_await] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(2525),
    [anon_sym_do] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2525),
    [anon_sym_break] = ACTIONS(2525),
    [anon_sym_continue] = ACTIONS(2525),
    [anon_sym_debugger] = ACTIONS(2525),
    [anon_sym_return] = ACTIONS(2525),
    [anon_sym_throw] = ACTIONS(2525),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_case] = ACTIONS(2525),
    [anon_sym_yield] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [sym_glimmer_opening_tag] = ACTIONS(2523),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [anon_sym_class] = ACTIONS(2525),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_using] = ACTIONS(2525),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2525),
    [anon_sym_SLASH] = ACTIONS(2525),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_void] = ACTIONS(2525),
    [anon_sym_delete] = ACTIONS(2525),
    [anon_sym_PLUS_PLUS] = ACTIONS(2523),
    [anon_sym_DASH_DASH] = ACTIONS(2523),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_number] = ACTIONS(2523),
    [sym_private_property_identifier] = ACTIONS(2523),
    [sym_this] = ACTIONS(2525),
    [sym_super] = ACTIONS(2525),
    [sym_true] = ACTIONS(2525),
    [sym_false] = ACTIONS(2525),
    [sym_null] = ACTIONS(2525),
    [sym_undefined] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_static] = ACTIONS(2525),
    [anon_sym_readonly] = ACTIONS(2525),
    [anon_sym_get] = ACTIONS(2525),
    [anon_sym_set] = ACTIONS(2525),
    [anon_sym_declare] = ACTIONS(2525),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2525),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_any] = ACTIONS(2525),
    [anon_sym_number] = ACTIONS(2525),
    [anon_sym_boolean] = ACTIONS(2525),
    [anon_sym_string] = ACTIONS(2525),
    [anon_sym_symbol] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2525),
    [anon_sym_interface] = ACTIONS(2525),
    [anon_sym_enum] = ACTIONS(2525),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(2529),
    [anon_sym_export] = ACTIONS(2529),
    [anon_sym_default] = ACTIONS(2529),
    [anon_sym_type] = ACTIONS(2529),
    [anon_sym_namespace] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_typeof] = ACTIONS(2529),
    [anon_sym_import] = ACTIONS(2529),
    [anon_sym_with] = ACTIONS(2529),
    [anon_sym_var] = ACTIONS(2529),
    [anon_sym_let] = ACTIONS(2529),
    [anon_sym_const] = ACTIONS(2529),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_switch] = ACTIONS(2529),
    [anon_sym_for] = ACTIONS(2529),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_await] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2529),
    [anon_sym_do] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2529),
    [anon_sym_break] = ACTIONS(2529),
    [anon_sym_continue] = ACTIONS(2529),
    [anon_sym_debugger] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(2529),
    [anon_sym_throw] = ACTIONS(2529),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_case] = ACTIONS(2529),
    [anon_sym_yield] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [sym_glimmer_opening_tag] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [anon_sym_class] = ACTIONS(2529),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_using] = ACTIONS(2529),
    [anon_sym_PLUS] = ACTIONS(2529),
    [anon_sym_DASH] = ACTIONS(2529),
    [anon_sym_SLASH] = ACTIONS(2529),
    [anon_sym_LT] = ACTIONS(2529),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_void] = ACTIONS(2529),
    [anon_sym_delete] = ACTIONS(2529),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2527),
    [sym_number] = ACTIONS(2527),
    [sym_private_property_identifier] = ACTIONS(2527),
    [sym_this] = ACTIONS(2529),
    [sym_super] = ACTIONS(2529),
    [sym_true] = ACTIONS(2529),
    [sym_false] = ACTIONS(2529),
    [sym_null] = ACTIONS(2529),
    [sym_undefined] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_readonly] = ACTIONS(2529),
    [anon_sym_get] = ACTIONS(2529),
    [anon_sym_set] = ACTIONS(2529),
    [anon_sym_declare] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_override] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_any] = ACTIONS(2529),
    [anon_sym_number] = ACTIONS(2529),
    [anon_sym_boolean] = ACTIONS(2529),
    [anon_sym_string] = ACTIONS(2529),
    [anon_sym_symbol] = ACTIONS(2529),
    [anon_sym_object] = ACTIONS(2529),
    [anon_sym_abstract] = ACTIONS(2529),
    [anon_sym_interface] = ACTIONS(2529),
    [anon_sym_enum] = ACTIONS(2529),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2531),
    [sym_identifier] = ACTIONS(2533),
    [anon_sym_export] = ACTIONS(2533),
    [anon_sym_default] = ACTIONS(2533),
    [anon_sym_type] = ACTIONS(2533),
    [anon_sym_namespace] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_RBRACE] = ACTIONS(2531),
    [anon_sym_typeof] = ACTIONS(2533),
    [anon_sym_import] = ACTIONS(2533),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_var] = ACTIONS(2533),
    [anon_sym_let] = ACTIONS(2533),
    [anon_sym_const] = ACTIONS(2533),
    [anon_sym_BANG] = ACTIONS(2531),
    [anon_sym_else] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_switch] = ACTIONS(2533),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2531),
    [anon_sym_await] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_break] = ACTIONS(2533),
    [anon_sym_continue] = ACTIONS(2533),
    [anon_sym_debugger] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_throw] = ACTIONS(2533),
    [anon_sym_SEMI] = ACTIONS(2531),
    [anon_sym_case] = ACTIONS(2533),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [sym_glimmer_opening_tag] = ACTIONS(2531),
    [anon_sym_DQUOTE] = ACTIONS(2531),
    [anon_sym_SQUOTE] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2533),
    [anon_sym_async] = ACTIONS(2533),
    [anon_sym_function] = ACTIONS(2533),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_using] = ACTIONS(2533),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_SLASH] = ACTIONS(2533),
    [anon_sym_LT] = ACTIONS(2533),
    [anon_sym_TILDE] = ACTIONS(2531),
    [anon_sym_void] = ACTIONS(2533),
    [anon_sym_delete] = ACTIONS(2533),
    [anon_sym_PLUS_PLUS] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2531),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2531),
    [sym_number] = ACTIONS(2531),
    [sym_private_property_identifier] = ACTIONS(2531),
    [sym_this] = ACTIONS(2533),
    [sym_super] = ACTIONS(2533),
    [sym_true] = ACTIONS(2533),
    [sym_false] = ACTIONS(2533),
    [sym_null] = ACTIONS(2533),
    [sym_undefined] = ACTIONS(2533),
    [anon_sym_AT] = ACTIONS(2531),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2533),
    [anon_sym_set] = ACTIONS(2533),
    [anon_sym_declare] = ACTIONS(2533),
    [anon_sym_public] = ACTIONS(2533),
    [anon_sym_private] = ACTIONS(2533),
    [anon_sym_protected] = ACTIONS(2533),
    [anon_sym_override] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_any] = ACTIONS(2533),
    [anon_sym_number] = ACTIONS(2533),
    [anon_sym_boolean] = ACTIONS(2533),
    [anon_sym_string] = ACTIONS(2533),
    [anon_sym_symbol] = ACTIONS(2533),
    [anon_sym_object] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_interface] = ACTIONS(2533),
    [anon_sym_enum] = ACTIONS(2533),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_export] = ACTIONS(2537),
    [anon_sym_default] = ACTIONS(2537),
    [anon_sym_type] = ACTIONS(2537),
    [anon_sym_namespace] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2535),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_typeof] = ACTIONS(2537),
    [anon_sym_import] = ACTIONS(2537),
    [anon_sym_with] = ACTIONS(2537),
    [anon_sym_var] = ACTIONS(2537),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2535),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_switch] = ACTIONS(2537),
    [anon_sym_for] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2535),
    [anon_sym_await] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2537),
    [anon_sym_continue] = ACTIONS(2537),
    [anon_sym_debugger] = ACTIONS(2537),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_SEMI] = ACTIONS(2535),
    [anon_sym_case] = ACTIONS(2537),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [sym_glimmer_opening_tag] = ACTIONS(2535),
    [anon_sym_DQUOTE] = ACTIONS(2535),
    [anon_sym_SQUOTE] = ACTIONS(2535),
    [anon_sym_class] = ACTIONS(2537),
    [anon_sym_async] = ACTIONS(2537),
    [anon_sym_function] = ACTIONS(2537),
    [anon_sym_new] = ACTIONS(2537),
    [anon_sym_using] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_TILDE] = ACTIONS(2535),
    [anon_sym_void] = ACTIONS(2537),
    [anon_sym_delete] = ACTIONS(2537),
    [anon_sym_PLUS_PLUS] = ACTIONS(2535),
    [anon_sym_DASH_DASH] = ACTIONS(2535),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2535),
    [sym_number] = ACTIONS(2535),
    [sym_private_property_identifier] = ACTIONS(2535),
    [sym_this] = ACTIONS(2537),
    [sym_super] = ACTIONS(2537),
    [sym_true] = ACTIONS(2537),
    [sym_false] = ACTIONS(2537),
    [sym_null] = ACTIONS(2537),
    [sym_undefined] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2535),
    [anon_sym_static] = ACTIONS(2537),
    [anon_sym_readonly] = ACTIONS(2537),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_declare] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_module] = ACTIONS(2537),
    [anon_sym_any] = ACTIONS(2537),
    [anon_sym_number] = ACTIONS(2537),
    [anon_sym_boolean] = ACTIONS(2537),
    [anon_sym_string] = ACTIONS(2537),
    [anon_sym_symbol] = ACTIONS(2537),
    [anon_sym_object] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_interface] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4921),
    [sym_optional_tuple_parameter] = STATE(4921),
    [sym_optional_type] = STATE(4921),
    [sym_rest_type] = STATE(4921),
    [sym__tuple_type_member] = STATE(4921),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(2541),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2543),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [anon_sym_export] = ACTIONS(2553),
    [anon_sym_default] = ACTIONS(2553),
    [anon_sym_type] = ACTIONS(2553),
    [anon_sym_namespace] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_typeof] = ACTIONS(2553),
    [anon_sym_import] = ACTIONS(2553),
    [anon_sym_with] = ACTIONS(2553),
    [anon_sym_var] = ACTIONS(2553),
    [anon_sym_let] = ACTIONS(2553),
    [anon_sym_const] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2553),
    [anon_sym_if] = ACTIONS(2553),
    [anon_sym_switch] = ACTIONS(2553),
    [anon_sym_for] = ACTIONS(2553),
    [anon_sym_LPAREN] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2553),
    [anon_sym_while] = ACTIONS(2553),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_try] = ACTIONS(2553),
    [anon_sym_break] = ACTIONS(2553),
    [anon_sym_continue] = ACTIONS(2553),
    [anon_sym_debugger] = ACTIONS(2553),
    [anon_sym_return] = ACTIONS(2553),
    [anon_sym_throw] = ACTIONS(2553),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2553),
    [anon_sym_yield] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [sym_glimmer_opening_tag] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2553),
    [anon_sym_async] = ACTIONS(2553),
    [anon_sym_function] = ACTIONS(2553),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_using] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2553),
    [anon_sym_SLASH] = ACTIONS(2553),
    [anon_sym_LT] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_void] = ACTIONS(2553),
    [anon_sym_delete] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2551),
    [sym_number] = ACTIONS(2551),
    [sym_private_property_identifier] = ACTIONS(2551),
    [sym_this] = ACTIONS(2553),
    [sym_super] = ACTIONS(2553),
    [sym_true] = ACTIONS(2553),
    [sym_false] = ACTIONS(2553),
    [sym_null] = ACTIONS(2553),
    [sym_undefined] = ACTIONS(2553),
    [anon_sym_AT] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2553),
    [anon_sym_readonly] = ACTIONS(2553),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2553),
    [anon_sym_public] = ACTIONS(2553),
    [anon_sym_private] = ACTIONS(2553),
    [anon_sym_protected] = ACTIONS(2553),
    [anon_sym_override] = ACTIONS(2553),
    [anon_sym_module] = ACTIONS(2553),
    [anon_sym_any] = ACTIONS(2553),
    [anon_sym_number] = ACTIONS(2553),
    [anon_sym_boolean] = ACTIONS(2553),
    [anon_sym_string] = ACTIONS(2553),
    [anon_sym_symbol] = ACTIONS(2553),
    [anon_sym_object] = ACTIONS(2553),
    [anon_sym_abstract] = ACTIONS(2553),
    [anon_sym_interface] = ACTIONS(2553),
    [anon_sym_enum] = ACTIONS(2553),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [anon_sym_export] = ACTIONS(2553),
    [anon_sym_default] = ACTIONS(2553),
    [anon_sym_type] = ACTIONS(2553),
    [anon_sym_namespace] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_typeof] = ACTIONS(2553),
    [anon_sym_import] = ACTIONS(2553),
    [anon_sym_with] = ACTIONS(2553),
    [anon_sym_var] = ACTIONS(2553),
    [anon_sym_let] = ACTIONS(2553),
    [anon_sym_const] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2553),
    [anon_sym_if] = ACTIONS(2553),
    [anon_sym_switch] = ACTIONS(2553),
    [anon_sym_for] = ACTIONS(2553),
    [anon_sym_LPAREN] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2553),
    [anon_sym_while] = ACTIONS(2553),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_try] = ACTIONS(2553),
    [anon_sym_break] = ACTIONS(2553),
    [anon_sym_continue] = ACTIONS(2553),
    [anon_sym_debugger] = ACTIONS(2553),
    [anon_sym_return] = ACTIONS(2553),
    [anon_sym_throw] = ACTIONS(2553),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2553),
    [anon_sym_yield] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [sym_glimmer_opening_tag] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2553),
    [anon_sym_async] = ACTIONS(2553),
    [anon_sym_function] = ACTIONS(2553),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_using] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2553),
    [anon_sym_SLASH] = ACTIONS(2553),
    [anon_sym_LT] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_void] = ACTIONS(2553),
    [anon_sym_delete] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2551),
    [sym_number] = ACTIONS(2551),
    [sym_private_property_identifier] = ACTIONS(2551),
    [sym_this] = ACTIONS(2553),
    [sym_super] = ACTIONS(2553),
    [sym_true] = ACTIONS(2553),
    [sym_false] = ACTIONS(2553),
    [sym_null] = ACTIONS(2553),
    [sym_undefined] = ACTIONS(2553),
    [anon_sym_AT] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2553),
    [anon_sym_readonly] = ACTIONS(2553),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2553),
    [anon_sym_public] = ACTIONS(2553),
    [anon_sym_private] = ACTIONS(2553),
    [anon_sym_protected] = ACTIONS(2553),
    [anon_sym_override] = ACTIONS(2553),
    [anon_sym_module] = ACTIONS(2553),
    [anon_sym_any] = ACTIONS(2553),
    [anon_sym_number] = ACTIONS(2553),
    [anon_sym_boolean] = ACTIONS(2553),
    [anon_sym_string] = ACTIONS(2553),
    [anon_sym_symbol] = ACTIONS(2553),
    [anon_sym_object] = ACTIONS(2553),
    [anon_sym_abstract] = ACTIONS(2553),
    [anon_sym_interface] = ACTIONS(2553),
    [anon_sym_enum] = ACTIONS(2553),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2555),
    [sym_identifier] = ACTIONS(2557),
    [anon_sym_export] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [anon_sym_type] = ACTIONS(2557),
    [anon_sym_namespace] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2555),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [anon_sym_typeof] = ACTIONS(2557),
    [anon_sym_import] = ACTIONS(2557),
    [anon_sym_with] = ACTIONS(2557),
    [anon_sym_var] = ACTIONS(2557),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_const] = ACTIONS(2557),
    [anon_sym_BANG] = ACTIONS(2555),
    [anon_sym_else] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2555),
    [anon_sym_await] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_debugger] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_yield] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [sym_glimmer_opening_tag] = ACTIONS(2555),
    [anon_sym_DQUOTE] = ACTIONS(2555),
    [anon_sym_SQUOTE] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_async] = ACTIONS(2557),
    [anon_sym_function] = ACTIONS(2557),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_using] = ACTIONS(2557),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_SLASH] = ACTIONS(2557),
    [anon_sym_LT] = ACTIONS(2557),
    [anon_sym_TILDE] = ACTIONS(2555),
    [anon_sym_void] = ACTIONS(2557),
    [anon_sym_delete] = ACTIONS(2557),
    [anon_sym_PLUS_PLUS] = ACTIONS(2555),
    [anon_sym_DASH_DASH] = ACTIONS(2555),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2555),
    [sym_number] = ACTIONS(2555),
    [sym_private_property_identifier] = ACTIONS(2555),
    [sym_this] = ACTIONS(2557),
    [sym_super] = ACTIONS(2557),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [sym_null] = ACTIONS(2557),
    [sym_undefined] = ACTIONS(2557),
    [anon_sym_AT] = ACTIONS(2555),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_readonly] = ACTIONS(2557),
    [anon_sym_get] = ACTIONS(2557),
    [anon_sym_set] = ACTIONS(2557),
    [anon_sym_declare] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_override] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2557),
    [anon_sym_any] = ACTIONS(2557),
    [anon_sym_number] = ACTIONS(2557),
    [anon_sym_boolean] = ACTIONS(2557),
    [anon_sym_string] = ACTIONS(2557),
    [anon_sym_symbol] = ACTIONS(2557),
    [anon_sym_object] = ACTIONS(2557),
    [anon_sym_abstract] = ACTIONS(2557),
    [anon_sym_interface] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2559),
    [sym_identifier] = ACTIONS(2561),
    [anon_sym_export] = ACTIONS(2561),
    [anon_sym_default] = ACTIONS(2561),
    [anon_sym_type] = ACTIONS(2561),
    [anon_sym_namespace] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_RBRACE] = ACTIONS(2559),
    [anon_sym_typeof] = ACTIONS(2561),
    [anon_sym_import] = ACTIONS(2561),
    [anon_sym_with] = ACTIONS(2561),
    [anon_sym_var] = ACTIONS(2561),
    [anon_sym_let] = ACTIONS(2561),
    [anon_sym_const] = ACTIONS(2561),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_else] = ACTIONS(2561),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_switch] = ACTIONS(2561),
    [anon_sym_for] = ACTIONS(2561),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_await] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2561),
    [anon_sym_do] = ACTIONS(2561),
    [anon_sym_try] = ACTIONS(2561),
    [anon_sym_break] = ACTIONS(2561),
    [anon_sym_continue] = ACTIONS(2561),
    [anon_sym_debugger] = ACTIONS(2561),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_throw] = ACTIONS(2561),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym_case] = ACTIONS(2561),
    [anon_sym_yield] = ACTIONS(2561),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [sym_glimmer_opening_tag] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_class] = ACTIONS(2561),
    [anon_sym_async] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2561),
    [anon_sym_new] = ACTIONS(2561),
    [anon_sym_using] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_SLASH] = ACTIONS(2561),
    [anon_sym_LT] = ACTIONS(2561),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_void] = ACTIONS(2561),
    [anon_sym_delete] = ACTIONS(2561),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2559),
    [sym_number] = ACTIONS(2559),
    [sym_private_property_identifier] = ACTIONS(2559),
    [sym_this] = ACTIONS(2561),
    [sym_super] = ACTIONS(2561),
    [sym_true] = ACTIONS(2561),
    [sym_false] = ACTIONS(2561),
    [sym_null] = ACTIONS(2561),
    [sym_undefined] = ACTIONS(2561),
    [anon_sym_AT] = ACTIONS(2559),
    [anon_sym_static] = ACTIONS(2561),
    [anon_sym_readonly] = ACTIONS(2561),
    [anon_sym_get] = ACTIONS(2561),
    [anon_sym_set] = ACTIONS(2561),
    [anon_sym_declare] = ACTIONS(2561),
    [anon_sym_public] = ACTIONS(2561),
    [anon_sym_private] = ACTIONS(2561),
    [anon_sym_protected] = ACTIONS(2561),
    [anon_sym_override] = ACTIONS(2561),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_any] = ACTIONS(2561),
    [anon_sym_number] = ACTIONS(2561),
    [anon_sym_boolean] = ACTIONS(2561),
    [anon_sym_string] = ACTIONS(2561),
    [anon_sym_symbol] = ACTIONS(2561),
    [anon_sym_object] = ACTIONS(2561),
    [anon_sym_abstract] = ACTIONS(2561),
    [anon_sym_interface] = ACTIONS(2561),
    [anon_sym_enum] = ACTIONS(2561),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2565),
    [anon_sym_default] = ACTIONS(2565),
    [anon_sym_type] = ACTIONS(2565),
    [anon_sym_namespace] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [anon_sym_typeof] = ACTIONS(2565),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_var] = ACTIONS(2565),
    [anon_sym_let] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_switch] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_await] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_do] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_break] = ACTIONS(2565),
    [anon_sym_continue] = ACTIONS(2565),
    [anon_sym_debugger] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [sym_glimmer_opening_tag] = ACTIONS(2563),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [anon_sym_SQUOTE] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_new] = ACTIONS(2565),
    [anon_sym_using] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_void] = ACTIONS(2565),
    [anon_sym_delete] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2563),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_number] = ACTIONS(2563),
    [sym_private_property_identifier] = ACTIONS(2563),
    [sym_this] = ACTIONS(2565),
    [sym_super] = ACTIONS(2565),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_null] = ACTIONS(2565),
    [sym_undefined] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2565),
    [anon_sym_readonly] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_declare] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_any] = ACTIONS(2565),
    [anon_sym_number] = ACTIONS(2565),
    [anon_sym_boolean] = ACTIONS(2565),
    [anon_sym_string] = ACTIONS(2565),
    [anon_sym_symbol] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2565),
    [anon_sym_default] = ACTIONS(2565),
    [anon_sym_type] = ACTIONS(2565),
    [anon_sym_namespace] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [anon_sym_typeof] = ACTIONS(2565),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_var] = ACTIONS(2565),
    [anon_sym_let] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_switch] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_await] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_do] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_break] = ACTIONS(2565),
    [anon_sym_continue] = ACTIONS(2565),
    [anon_sym_debugger] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [sym_glimmer_opening_tag] = ACTIONS(2563),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [anon_sym_SQUOTE] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_new] = ACTIONS(2565),
    [anon_sym_using] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_void] = ACTIONS(2565),
    [anon_sym_delete] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2563),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_number] = ACTIONS(2563),
    [sym_private_property_identifier] = ACTIONS(2563),
    [sym_this] = ACTIONS(2565),
    [sym_super] = ACTIONS(2565),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_null] = ACTIONS(2565),
    [sym_undefined] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2565),
    [anon_sym_readonly] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_declare] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_any] = ACTIONS(2565),
    [anon_sym_number] = ACTIONS(2565),
    [anon_sym_boolean] = ACTIONS(2565),
    [anon_sym_string] = ACTIONS(2565),
    [anon_sym_symbol] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2567),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_export] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_type] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_typeof] = ACTIONS(2569),
    [anon_sym_import] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2569),
    [anon_sym_var] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_BANG] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_await] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_debugger] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [sym_glimmer_opening_tag] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_async] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_SLASH] = ACTIONS(2569),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_TILDE] = ACTIONS(2567),
    [anon_sym_void] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2567),
    [sym_number] = ACTIONS(2567),
    [sym_private_property_identifier] = ACTIONS(2567),
    [sym_this] = ACTIONS(2569),
    [sym_super] = ACTIONS(2569),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [sym_null] = ACTIONS(2569),
    [sym_undefined] = ACTIONS(2569),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_readonly] = ACTIONS(2569),
    [anon_sym_get] = ACTIONS(2569),
    [anon_sym_set] = ACTIONS(2569),
    [anon_sym_declare] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_override] = ACTIONS(2569),
    [anon_sym_module] = ACTIONS(2569),
    [anon_sym_any] = ACTIONS(2569),
    [anon_sym_number] = ACTIONS(2569),
    [anon_sym_boolean] = ACTIONS(2569),
    [anon_sym_string] = ACTIONS(2569),
    [anon_sym_symbol] = ACTIONS(2569),
    [anon_sym_object] = ACTIONS(2569),
    [anon_sym_abstract] = ACTIONS(2569),
    [anon_sym_interface] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [anon_sym_typeof] = ACTIONS(2573),
    [anon_sym_import] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2573),
    [anon_sym_var] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_else] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_await] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_debugger] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [sym_glimmer_opening_tag] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_SLASH] = ACTIONS(2573),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_void] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2571),
    [sym_number] = ACTIONS(2571),
    [sym_private_property_identifier] = ACTIONS(2571),
    [sym_this] = ACTIONS(2573),
    [sym_super] = ACTIONS(2573),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [sym_null] = ACTIONS(2573),
    [sym_undefined] = ACTIONS(2573),
    [anon_sym_AT] = ACTIONS(2571),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_abstract] = ACTIONS(2573),
    [anon_sym_interface] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_export] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [anon_sym_type] = ACTIONS(2577),
    [anon_sym_namespace] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_typeof] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_var] = ACTIONS(2577),
    [anon_sym_let] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_await] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_debugger] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [sym_glimmer_opening_tag] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_async] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_void] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2575),
    [sym_number] = ACTIONS(2575),
    [sym_private_property_identifier] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_undefined] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_readonly] = ACTIONS(2577),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_override] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_any] = ACTIONS(2577),
    [anon_sym_number] = ACTIONS(2577),
    [anon_sym_boolean] = ACTIONS(2577),
    [anon_sym_string] = ACTIONS(2577),
    [anon_sym_symbol] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2579),
    [sym_identifier] = ACTIONS(2581),
    [anon_sym_export] = ACTIONS(2581),
    [anon_sym_default] = ACTIONS(2581),
    [anon_sym_type] = ACTIONS(2581),
    [anon_sym_namespace] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2579),
    [anon_sym_typeof] = ACTIONS(2581),
    [anon_sym_import] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2581),
    [anon_sym_var] = ACTIONS(2581),
    [anon_sym_let] = ACTIONS(2581),
    [anon_sym_const] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2579),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_await] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_break] = ACTIONS(2581),
    [anon_sym_continue] = ACTIONS(2581),
    [anon_sym_debugger] = ACTIONS(2581),
    [anon_sym_return] = ACTIONS(2581),
    [anon_sym_throw] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [sym_glimmer_opening_tag] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2581),
    [anon_sym_async] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_using] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_SLASH] = ACTIONS(2581),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2579),
    [anon_sym_void] = ACTIONS(2581),
    [anon_sym_delete] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2579),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2579),
    [sym_number] = ACTIONS(2579),
    [sym_private_property_identifier] = ACTIONS(2579),
    [sym_this] = ACTIONS(2581),
    [sym_super] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_null] = ACTIONS(2581),
    [sym_undefined] = ACTIONS(2581),
    [anon_sym_AT] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2581),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_get] = ACTIONS(2581),
    [anon_sym_set] = ACTIONS(2581),
    [anon_sym_declare] = ACTIONS(2581),
    [anon_sym_public] = ACTIONS(2581),
    [anon_sym_private] = ACTIONS(2581),
    [anon_sym_protected] = ACTIONS(2581),
    [anon_sym_override] = ACTIONS(2581),
    [anon_sym_module] = ACTIONS(2581),
    [anon_sym_any] = ACTIONS(2581),
    [anon_sym_number] = ACTIONS(2581),
    [anon_sym_boolean] = ACTIONS(2581),
    [anon_sym_string] = ACTIONS(2581),
    [anon_sym_symbol] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_abstract] = ACTIONS(2581),
    [anon_sym_interface] = ACTIONS(2581),
    [anon_sym_enum] = ACTIONS(2581),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [sym_identifier] = ACTIONS(2585),
    [anon_sym_export] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_type] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [anon_sym_RBRACE] = ACTIONS(2583),
    [anon_sym_typeof] = ACTIONS(2585),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_var] = ACTIONS(2585),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_await] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_debugger] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_glimmer_opening_tag] = ACTIONS(2583),
    [anon_sym_DQUOTE] = ACTIONS(2583),
    [anon_sym_SQUOTE] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_function] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_SLASH] = ACTIONS(2585),
    [anon_sym_LT] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_void] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2583),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2583),
    [sym_number] = ACTIONS(2583),
    [sym_private_property_identifier] = ACTIONS(2583),
    [sym_this] = ACTIONS(2585),
    [sym_super] = ACTIONS(2585),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_null] = ACTIONS(2585),
    [sym_undefined] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_readonly] = ACTIONS(2585),
    [anon_sym_get] = ACTIONS(2585),
    [anon_sym_set] = ACTIONS(2585),
    [anon_sym_declare] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_override] = ACTIONS(2585),
    [anon_sym_module] = ACTIONS(2585),
    [anon_sym_any] = ACTIONS(2585),
    [anon_sym_number] = ACTIONS(2585),
    [anon_sym_boolean] = ACTIONS(2585),
    [anon_sym_string] = ACTIONS(2585),
    [anon_sym_symbol] = ACTIONS(2585),
    [anon_sym_object] = ACTIONS(2585),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_interface] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_export] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_type] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_typeof] = ACTIONS(2589),
    [anon_sym_import] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2589),
    [anon_sym_var] = ACTIONS(2589),
    [anon_sym_let] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_await] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_debugger] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [sym_glimmer_opening_tag] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_async] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_void] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2587),
    [sym_number] = ACTIONS(2587),
    [sym_private_property_identifier] = ACTIONS(2587),
    [sym_this] = ACTIONS(2589),
    [sym_super] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_null] = ACTIONS(2589),
    [sym_undefined] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_readonly] = ACTIONS(2589),
    [anon_sym_get] = ACTIONS(2589),
    [anon_sym_set] = ACTIONS(2589),
    [anon_sym_declare] = ACTIONS(2589),
    [anon_sym_public] = ACTIONS(2589),
    [anon_sym_private] = ACTIONS(2589),
    [anon_sym_protected] = ACTIONS(2589),
    [anon_sym_override] = ACTIONS(2589),
    [anon_sym_module] = ACTIONS(2589),
    [anon_sym_any] = ACTIONS(2589),
    [anon_sym_number] = ACTIONS(2589),
    [anon_sym_boolean] = ACTIONS(2589),
    [anon_sym_string] = ACTIONS(2589),
    [anon_sym_symbol] = ACTIONS(2589),
    [anon_sym_object] = ACTIONS(2589),
    [anon_sym_abstract] = ACTIONS(2589),
    [anon_sym_interface] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_export] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_type] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [anon_sym_typeof] = ACTIONS(2593),
    [anon_sym_import] = ACTIONS(2593),
    [anon_sym_with] = ACTIONS(2593),
    [anon_sym_var] = ACTIONS(2593),
    [anon_sym_let] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_await] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_debugger] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_yield] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [sym_glimmer_opening_tag] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_async] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_LT] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_void] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2591),
    [sym_number] = ACTIONS(2591),
    [sym_private_property_identifier] = ACTIONS(2591),
    [sym_this] = ACTIONS(2593),
    [sym_super] = ACTIONS(2593),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [sym_null] = ACTIONS(2593),
    [sym_undefined] = ACTIONS(2593),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_readonly] = ACTIONS(2593),
    [anon_sym_get] = ACTIONS(2593),
    [anon_sym_set] = ACTIONS(2593),
    [anon_sym_declare] = ACTIONS(2593),
    [anon_sym_public] = ACTIONS(2593),
    [anon_sym_private] = ACTIONS(2593),
    [anon_sym_protected] = ACTIONS(2593),
    [anon_sym_override] = ACTIONS(2593),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_any] = ACTIONS(2593),
    [anon_sym_number] = ACTIONS(2593),
    [anon_sym_boolean] = ACTIONS(2593),
    [anon_sym_string] = ACTIONS(2593),
    [anon_sym_symbol] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(2593),
    [anon_sym_abstract] = ACTIONS(2593),
    [anon_sym_interface] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2595),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_export] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_type] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [anon_sym_typeof] = ACTIONS(2597),
    [anon_sym_import] = ACTIONS(2597),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_var] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2595),
    [anon_sym_await] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_debugger] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [sym_glimmer_opening_tag] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_async] = ACTIONS(2597),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_SLASH] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_void] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2595),
    [sym_number] = ACTIONS(2595),
    [sym_private_property_identifier] = ACTIONS(2595),
    [sym_this] = ACTIONS(2597),
    [sym_super] = ACTIONS(2597),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [sym_null] = ACTIONS(2597),
    [sym_undefined] = ACTIONS(2597),
    [anon_sym_AT] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_readonly] = ACTIONS(2597),
    [anon_sym_get] = ACTIONS(2597),
    [anon_sym_set] = ACTIONS(2597),
    [anon_sym_declare] = ACTIONS(2597),
    [anon_sym_public] = ACTIONS(2597),
    [anon_sym_private] = ACTIONS(2597),
    [anon_sym_protected] = ACTIONS(2597),
    [anon_sym_override] = ACTIONS(2597),
    [anon_sym_module] = ACTIONS(2597),
    [anon_sym_any] = ACTIONS(2597),
    [anon_sym_number] = ACTIONS(2597),
    [anon_sym_boolean] = ACTIONS(2597),
    [anon_sym_string] = ACTIONS(2597),
    [anon_sym_symbol] = ACTIONS(2597),
    [anon_sym_object] = ACTIONS(2597),
    [anon_sym_abstract] = ACTIONS(2597),
    [anon_sym_interface] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_export] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_type] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_typeof] = ACTIONS(2601),
    [anon_sym_import] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2601),
    [anon_sym_var] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2599),
    [anon_sym_await] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_debugger] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_yield] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [sym_glimmer_opening_tag] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_async] = ACTIONS(2601),
    [anon_sym_function] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_LT] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_void] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2599),
    [sym_number] = ACTIONS(2599),
    [sym_private_property_identifier] = ACTIONS(2599),
    [sym_this] = ACTIONS(2601),
    [sym_super] = ACTIONS(2601),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [sym_null] = ACTIONS(2601),
    [sym_undefined] = ACTIONS(2601),
    [anon_sym_AT] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_readonly] = ACTIONS(2601),
    [anon_sym_get] = ACTIONS(2601),
    [anon_sym_set] = ACTIONS(2601),
    [anon_sym_declare] = ACTIONS(2601),
    [anon_sym_public] = ACTIONS(2601),
    [anon_sym_private] = ACTIONS(2601),
    [anon_sym_protected] = ACTIONS(2601),
    [anon_sym_override] = ACTIONS(2601),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_any] = ACTIONS(2601),
    [anon_sym_number] = ACTIONS(2601),
    [anon_sym_boolean] = ACTIONS(2601),
    [anon_sym_string] = ACTIONS(2601),
    [anon_sym_symbol] = ACTIONS(2601),
    [anon_sym_object] = ACTIONS(2601),
    [anon_sym_abstract] = ACTIONS(2601),
    [anon_sym_interface] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_export] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_type] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_RBRACE] = ACTIONS(2603),
    [anon_sym_typeof] = ACTIONS(2605),
    [anon_sym_import] = ACTIONS(2605),
    [anon_sym_with] = ACTIONS(2605),
    [anon_sym_var] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_await] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_debugger] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_yield] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [sym_glimmer_opening_tag] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_async] = ACTIONS(2605),
    [anon_sym_function] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_void] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2603),
    [sym_number] = ACTIONS(2603),
    [sym_private_property_identifier] = ACTIONS(2603),
    [sym_this] = ACTIONS(2605),
    [sym_super] = ACTIONS(2605),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [sym_null] = ACTIONS(2605),
    [sym_undefined] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_readonly] = ACTIONS(2605),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_declare] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_module] = ACTIONS(2605),
    [anon_sym_any] = ACTIONS(2605),
    [anon_sym_number] = ACTIONS(2605),
    [anon_sym_boolean] = ACTIONS(2605),
    [anon_sym_string] = ACTIONS(2605),
    [anon_sym_symbol] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_interface] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2607),
    [sym_identifier] = ACTIONS(2609),
    [anon_sym_export] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_type] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_typeof] = ACTIONS(2609),
    [anon_sym_import] = ACTIONS(2609),
    [anon_sym_with] = ACTIONS(2609),
    [anon_sym_var] = ACTIONS(2609),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_await] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_debugger] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_yield] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [sym_glimmer_opening_tag] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_async] = ACTIONS(2609),
    [anon_sym_function] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_SLASH] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_void] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2607),
    [sym_number] = ACTIONS(2607),
    [sym_private_property_identifier] = ACTIONS(2607),
    [sym_this] = ACTIONS(2609),
    [sym_super] = ACTIONS(2609),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [sym_null] = ACTIONS(2609),
    [sym_undefined] = ACTIONS(2609),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_readonly] = ACTIONS(2609),
    [anon_sym_get] = ACTIONS(2609),
    [anon_sym_set] = ACTIONS(2609),
    [anon_sym_declare] = ACTIONS(2609),
    [anon_sym_public] = ACTIONS(2609),
    [anon_sym_private] = ACTIONS(2609),
    [anon_sym_protected] = ACTIONS(2609),
    [anon_sym_override] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2609),
    [anon_sym_any] = ACTIONS(2609),
    [anon_sym_number] = ACTIONS(2609),
    [anon_sym_boolean] = ACTIONS(2609),
    [anon_sym_string] = ACTIONS(2609),
    [anon_sym_symbol] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2609),
    [anon_sym_abstract] = ACTIONS(2609),
    [anon_sym_interface] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_export] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [anon_sym_type] = ACTIONS(2605),
    [anon_sym_namespace] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_RBRACE] = ACTIONS(2603),
    [anon_sym_typeof] = ACTIONS(2605),
    [anon_sym_import] = ACTIONS(2605),
    [anon_sym_with] = ACTIONS(2605),
    [anon_sym_var] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_await] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_debugger] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_yield] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [sym_glimmer_opening_tag] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2603),
    [anon_sym_SQUOTE] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_async] = ACTIONS(2605),
    [anon_sym_function] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_using] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_void] = ACTIONS(2605),
    [anon_sym_delete] = ACTIONS(2605),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2603),
    [sym_number] = ACTIONS(2603),
    [sym_private_property_identifier] = ACTIONS(2603),
    [sym_this] = ACTIONS(2605),
    [sym_super] = ACTIONS(2605),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [sym_null] = ACTIONS(2605),
    [sym_undefined] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2603),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_readonly] = ACTIONS(2605),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_declare] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_module] = ACTIONS(2605),
    [anon_sym_any] = ACTIONS(2605),
    [anon_sym_number] = ACTIONS(2605),
    [anon_sym_boolean] = ACTIONS(2605),
    [anon_sym_string] = ACTIONS(2605),
    [anon_sym_symbol] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_interface] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [sym_identifier] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_type] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [anon_sym_typeof] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2613),
    [anon_sym_var] = ACTIONS(2613),
    [anon_sym_let] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_await] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_debugger] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [sym_glimmer_opening_tag] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_async] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_SLASH] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_void] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2611),
    [sym_number] = ACTIONS(2611),
    [sym_private_property_identifier] = ACTIONS(2611),
    [sym_this] = ACTIONS(2613),
    [sym_super] = ACTIONS(2613),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [sym_null] = ACTIONS(2613),
    [sym_undefined] = ACTIONS(2613),
    [anon_sym_AT] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_readonly] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2613),
    [anon_sym_set] = ACTIONS(2613),
    [anon_sym_declare] = ACTIONS(2613),
    [anon_sym_public] = ACTIONS(2613),
    [anon_sym_private] = ACTIONS(2613),
    [anon_sym_protected] = ACTIONS(2613),
    [anon_sym_override] = ACTIONS(2613),
    [anon_sym_module] = ACTIONS(2613),
    [anon_sym_any] = ACTIONS(2613),
    [anon_sym_number] = ACTIONS(2613),
    [anon_sym_boolean] = ACTIONS(2613),
    [anon_sym_string] = ACTIONS(2613),
    [anon_sym_symbol] = ACTIONS(2613),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_abstract] = ACTIONS(2613),
    [anon_sym_interface] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_export] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_typeof] = ACTIONS(2617),
    [anon_sym_import] = ACTIONS(2617),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_var] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_debugger] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [sym_glimmer_opening_tag] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2615),
    [sym_number] = ACTIONS(2615),
    [sym_private_property_identifier] = ACTIONS(2615),
    [sym_this] = ACTIONS(2617),
    [sym_super] = ACTIONS(2617),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [sym_null] = ACTIONS(2617),
    [sym_undefined] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_readonly] = ACTIONS(2617),
    [anon_sym_get] = ACTIONS(2617),
    [anon_sym_set] = ACTIONS(2617),
    [anon_sym_declare] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_override] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_any] = ACTIONS(2617),
    [anon_sym_number] = ACTIONS(2617),
    [anon_sym_boolean] = ACTIONS(2617),
    [anon_sym_string] = ACTIONS(2617),
    [anon_sym_symbol] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_abstract] = ACTIONS(2617),
    [anon_sym_interface] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2621),
    [anon_sym_export] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_type] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_import] = ACTIONS(2621),
    [anon_sym_with] = ACTIONS(2621),
    [anon_sym_var] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2619),
    [anon_sym_await] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_debugger] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_yield] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [sym_glimmer_opening_tag] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_async] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_void] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2619),
    [sym_number] = ACTIONS(2619),
    [sym_private_property_identifier] = ACTIONS(2619),
    [sym_this] = ACTIONS(2621),
    [sym_super] = ACTIONS(2621),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [sym_null] = ACTIONS(2621),
    [sym_undefined] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_readonly] = ACTIONS(2621),
    [anon_sym_get] = ACTIONS(2621),
    [anon_sym_set] = ACTIONS(2621),
    [anon_sym_declare] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_override] = ACTIONS(2621),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_any] = ACTIONS(2621),
    [anon_sym_number] = ACTIONS(2621),
    [anon_sym_boolean] = ACTIONS(2621),
    [anon_sym_string] = ACTIONS(2621),
    [anon_sym_symbol] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(2621),
    [anon_sym_abstract] = ACTIONS(2621),
    [anon_sym_interface] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2625),
    [anon_sym_export] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_type] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_typeof] = ACTIONS(2625),
    [anon_sym_import] = ACTIONS(2625),
    [anon_sym_with] = ACTIONS(2625),
    [anon_sym_var] = ACTIONS(2625),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_await] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_debugger] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_yield] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [sym_glimmer_opening_tag] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_async] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_void] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2623),
    [sym_number] = ACTIONS(2623),
    [sym_private_property_identifier] = ACTIONS(2623),
    [sym_this] = ACTIONS(2625),
    [sym_super] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_undefined] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_readonly] = ACTIONS(2625),
    [anon_sym_get] = ACTIONS(2625),
    [anon_sym_set] = ACTIONS(2625),
    [anon_sym_declare] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_override] = ACTIONS(2625),
    [anon_sym_module] = ACTIONS(2625),
    [anon_sym_any] = ACTIONS(2625),
    [anon_sym_number] = ACTIONS(2625),
    [anon_sym_boolean] = ACTIONS(2625),
    [anon_sym_string] = ACTIONS(2625),
    [anon_sym_symbol] = ACTIONS(2625),
    [anon_sym_object] = ACTIONS(2625),
    [anon_sym_abstract] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2625),
    [anon_sym_export] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_type] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_typeof] = ACTIONS(2625),
    [anon_sym_import] = ACTIONS(2625),
    [anon_sym_with] = ACTIONS(2625),
    [anon_sym_var] = ACTIONS(2625),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_await] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_debugger] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_yield] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [sym_glimmer_opening_tag] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_async] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_void] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2623),
    [sym_number] = ACTIONS(2623),
    [sym_private_property_identifier] = ACTIONS(2623),
    [sym_this] = ACTIONS(2625),
    [sym_super] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_undefined] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_readonly] = ACTIONS(2625),
    [anon_sym_get] = ACTIONS(2625),
    [anon_sym_set] = ACTIONS(2625),
    [anon_sym_declare] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_override] = ACTIONS(2625),
    [anon_sym_module] = ACTIONS(2625),
    [anon_sym_any] = ACTIONS(2625),
    [anon_sym_number] = ACTIONS(2625),
    [anon_sym_boolean] = ACTIONS(2625),
    [anon_sym_string] = ACTIONS(2625),
    [anon_sym_symbol] = ACTIONS(2625),
    [anon_sym_object] = ACTIONS(2625),
    [anon_sym_abstract] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_export] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_type] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_typeof] = ACTIONS(2629),
    [anon_sym_import] = ACTIONS(2629),
    [anon_sym_with] = ACTIONS(2629),
    [anon_sym_var] = ACTIONS(2629),
    [anon_sym_let] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_await] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_debugger] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_yield] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [sym_glimmer_opening_tag] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_async] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_void] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2627),
    [sym_number] = ACTIONS(2627),
    [sym_private_property_identifier] = ACTIONS(2627),
    [sym_this] = ACTIONS(2629),
    [sym_super] = ACTIONS(2629),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [sym_null] = ACTIONS(2629),
    [sym_undefined] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_readonly] = ACTIONS(2629),
    [anon_sym_get] = ACTIONS(2629),
    [anon_sym_set] = ACTIONS(2629),
    [anon_sym_declare] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_override] = ACTIONS(2629),
    [anon_sym_module] = ACTIONS(2629),
    [anon_sym_any] = ACTIONS(2629),
    [anon_sym_number] = ACTIONS(2629),
    [anon_sym_boolean] = ACTIONS(2629),
    [anon_sym_string] = ACTIONS(2629),
    [anon_sym_symbol] = ACTIONS(2629),
    [anon_sym_object] = ACTIONS(2629),
    [anon_sym_abstract] = ACTIONS(2629),
    [anon_sym_interface] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_export] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_typeof] = ACTIONS(2637),
    [anon_sym_import] = ACTIONS(2637),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_var] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2635),
    [anon_sym_await] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_debugger] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [sym_glimmer_opening_tag] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_async] = ACTIONS(2637),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2635),
    [sym_number] = ACTIONS(2635),
    [sym_private_property_identifier] = ACTIONS(2635),
    [sym_this] = ACTIONS(2637),
    [sym_super] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_undefined] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_readonly] = ACTIONS(2637),
    [anon_sym_get] = ACTIONS(2637),
    [anon_sym_set] = ACTIONS(2637),
    [anon_sym_declare] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_override] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2637),
    [anon_sym_interface] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_export] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_typeof] = ACTIONS(2641),
    [anon_sym_import] = ACTIONS(2641),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_var] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2639),
    [anon_sym_await] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_debugger] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [sym_glimmer_opening_tag] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_async] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_void] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2639),
    [sym_private_property_identifier] = ACTIONS(2639),
    [sym_this] = ACTIONS(2641),
    [sym_super] = ACTIONS(2641),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [sym_null] = ACTIONS(2641),
    [sym_undefined] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_readonly] = ACTIONS(2641),
    [anon_sym_get] = ACTIONS(2641),
    [anon_sym_set] = ACTIONS(2641),
    [anon_sym_declare] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_override] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_any] = ACTIONS(2641),
    [anon_sym_number] = ACTIONS(2641),
    [anon_sym_boolean] = ACTIONS(2641),
    [anon_sym_string] = ACTIONS(2641),
    [anon_sym_symbol] = ACTIONS(2641),
    [anon_sym_object] = ACTIONS(2641),
    [anon_sym_abstract] = ACTIONS(2641),
    [anon_sym_interface] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2643),
    [sym_identifier] = ACTIONS(2645),
    [anon_sym_export] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2645),
    [anon_sym_type] = ACTIONS(2645),
    [anon_sym_namespace] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2643),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_typeof] = ACTIONS(2645),
    [anon_sym_import] = ACTIONS(2645),
    [anon_sym_with] = ACTIONS(2645),
    [anon_sym_var] = ACTIONS(2645),
    [anon_sym_let] = ACTIONS(2645),
    [anon_sym_const] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2643),
    [anon_sym_else] = ACTIONS(2645),
    [anon_sym_if] = ACTIONS(2645),
    [anon_sym_switch] = ACTIONS(2645),
    [anon_sym_for] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2643),
    [anon_sym_await] = ACTIONS(2645),
    [anon_sym_while] = ACTIONS(2645),
    [anon_sym_do] = ACTIONS(2645),
    [anon_sym_try] = ACTIONS(2645),
    [anon_sym_break] = ACTIONS(2645),
    [anon_sym_continue] = ACTIONS(2645),
    [anon_sym_debugger] = ACTIONS(2645),
    [anon_sym_return] = ACTIONS(2645),
    [anon_sym_throw] = ACTIONS(2645),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_case] = ACTIONS(2645),
    [anon_sym_yield] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [sym_glimmer_opening_tag] = ACTIONS(2643),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_class] = ACTIONS(2645),
    [anon_sym_async] = ACTIONS(2645),
    [anon_sym_function] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2645),
    [anon_sym_using] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2645),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_SLASH] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2643),
    [anon_sym_void] = ACTIONS(2645),
    [anon_sym_delete] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2643),
    [sym_number] = ACTIONS(2643),
    [sym_private_property_identifier] = ACTIONS(2643),
    [sym_this] = ACTIONS(2645),
    [sym_super] = ACTIONS(2645),
    [sym_true] = ACTIONS(2645),
    [sym_false] = ACTIONS(2645),
    [sym_null] = ACTIONS(2645),
    [sym_undefined] = ACTIONS(2645),
    [anon_sym_AT] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2645),
    [anon_sym_readonly] = ACTIONS(2645),
    [anon_sym_get] = ACTIONS(2645),
    [anon_sym_set] = ACTIONS(2645),
    [anon_sym_declare] = ACTIONS(2645),
    [anon_sym_public] = ACTIONS(2645),
    [anon_sym_private] = ACTIONS(2645),
    [anon_sym_protected] = ACTIONS(2645),
    [anon_sym_override] = ACTIONS(2645),
    [anon_sym_module] = ACTIONS(2645),
    [anon_sym_any] = ACTIONS(2645),
    [anon_sym_number] = ACTIONS(2645),
    [anon_sym_boolean] = ACTIONS(2645),
    [anon_sym_string] = ACTIONS(2645),
    [anon_sym_symbol] = ACTIONS(2645),
    [anon_sym_object] = ACTIONS(2645),
    [anon_sym_abstract] = ACTIONS(2645),
    [anon_sym_interface] = ACTIONS(2645),
    [anon_sym_enum] = ACTIONS(2645),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_export] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_type] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_typeof] = ACTIONS(2649),
    [anon_sym_import] = ACTIONS(2649),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_var] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2647),
    [anon_sym_await] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_debugger] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [sym_glimmer_opening_tag] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_async] = ACTIONS(2649),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_void] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2647),
    [sym_number] = ACTIONS(2647),
    [sym_private_property_identifier] = ACTIONS(2647),
    [sym_this] = ACTIONS(2649),
    [sym_super] = ACTIONS(2649),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [sym_null] = ACTIONS(2649),
    [sym_undefined] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_readonly] = ACTIONS(2649),
    [anon_sym_get] = ACTIONS(2649),
    [anon_sym_set] = ACTIONS(2649),
    [anon_sym_declare] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_override] = ACTIONS(2649),
    [anon_sym_module] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2649),
    [anon_sym_number] = ACTIONS(2649),
    [anon_sym_boolean] = ACTIONS(2649),
    [anon_sym_string] = ACTIONS(2649),
    [anon_sym_symbol] = ACTIONS(2649),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_abstract] = ACTIONS(2649),
    [anon_sym_interface] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2653),
    [anon_sym_export] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_type] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_typeof] = ACTIONS(2653),
    [anon_sym_import] = ACTIONS(2653),
    [anon_sym_with] = ACTIONS(2653),
    [anon_sym_var] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2651),
    [anon_sym_await] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_debugger] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_yield] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [sym_glimmer_opening_tag] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_async] = ACTIONS(2653),
    [anon_sym_function] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_void] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2651),
    [sym_number] = ACTIONS(2651),
    [sym_private_property_identifier] = ACTIONS(2651),
    [sym_this] = ACTIONS(2653),
    [sym_super] = ACTIONS(2653),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [sym_null] = ACTIONS(2653),
    [sym_undefined] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_readonly] = ACTIONS(2653),
    [anon_sym_get] = ACTIONS(2653),
    [anon_sym_set] = ACTIONS(2653),
    [anon_sym_declare] = ACTIONS(2653),
    [anon_sym_public] = ACTIONS(2653),
    [anon_sym_private] = ACTIONS(2653),
    [anon_sym_protected] = ACTIONS(2653),
    [anon_sym_override] = ACTIONS(2653),
    [anon_sym_module] = ACTIONS(2653),
    [anon_sym_any] = ACTIONS(2653),
    [anon_sym_number] = ACTIONS(2653),
    [anon_sym_boolean] = ACTIONS(2653),
    [anon_sym_string] = ACTIONS(2653),
    [anon_sym_symbol] = ACTIONS(2653),
    [anon_sym_object] = ACTIONS(2653),
    [anon_sym_abstract] = ACTIONS(2653),
    [anon_sym_interface] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(2655),
    [sym_identifier] = ACTIONS(2657),
    [anon_sym_export] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2657),
    [anon_sym_type] = ACTIONS(2657),
    [anon_sym_namespace] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2655),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_typeof] = ACTIONS(2657),
    [anon_sym_import] = ACTIONS(2657),
    [anon_sym_with] = ACTIONS(2657),
    [anon_sym_var] = ACTIONS(2657),
    [anon_sym_let] = ACTIONS(2657),
    [anon_sym_const] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2655),
    [anon_sym_else] = ACTIONS(2657),
    [anon_sym_if] = ACTIONS(2657),
    [anon_sym_switch] = ACTIONS(2657),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [anon_sym_await] = ACTIONS(2657),
    [anon_sym_while] = ACTIONS(2657),
    [anon_sym_do] = ACTIONS(2657),
    [anon_sym_try] = ACTIONS(2657),
    [anon_sym_break] = ACTIONS(2657),
    [anon_sym_continue] = ACTIONS(2657),
    [anon_sym_debugger] = ACTIONS(2657),
    [anon_sym_return] = ACTIONS(2657),
    [anon_sym_throw] = ACTIONS(2657),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym_case] = ACTIONS(2657),
    [anon_sym_yield] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [sym_glimmer_opening_tag] = ACTIONS(2655),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_class] = ACTIONS(2657),
    [anon_sym_async] = ACTIONS(2657),
    [anon_sym_function] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2657),
    [anon_sym_using] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2655),
    [anon_sym_void] = ACTIONS(2657),
    [anon_sym_delete] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2655),
    [sym_number] = ACTIONS(2655),
    [sym_private_property_identifier] = ACTIONS(2655),
    [sym_this] = ACTIONS(2657),
    [sym_super] = ACTIONS(2657),
    [sym_true] = ACTIONS(2657),
    [sym_false] = ACTIONS(2657),
    [sym_null] = ACTIONS(2657),
    [sym_undefined] = ACTIONS(2657),
    [anon_sym_AT] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_readonly] = ACTIONS(2657),
    [anon_sym_get] = ACTIONS(2657),
    [anon_sym_set] = ACTIONS(2657),
    [anon_sym_declare] = ACTIONS(2657),
    [anon_sym_public] = ACTIONS(2657),
    [anon_sym_private] = ACTIONS(2657),
    [anon_sym_protected] = ACTIONS(2657),
    [anon_sym_override] = ACTIONS(2657),
    [anon_sym_module] = ACTIONS(2657),
    [anon_sym_any] = ACTIONS(2657),
    [anon_sym_number] = ACTIONS(2657),
    [anon_sym_boolean] = ACTIONS(2657),
    [anon_sym_string] = ACTIONS(2657),
    [anon_sym_symbol] = ACTIONS(2657),
    [anon_sym_object] = ACTIONS(2657),
    [anon_sym_abstract] = ACTIONS(2657),
    [anon_sym_interface] = ACTIONS(2657),
    [anon_sym_enum] = ACTIONS(2657),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(2661),
    [anon_sym_export] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_type] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_typeof] = ACTIONS(2661),
    [anon_sym_import] = ACTIONS(2661),
    [anon_sym_with] = ACTIONS(2661),
    [anon_sym_var] = ACTIONS(2661),
    [anon_sym_let] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2659),
    [anon_sym_await] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_debugger] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_yield] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [sym_glimmer_opening_tag] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_async] = ACTIONS(2661),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_void] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2659),
    [sym_number] = ACTIONS(2659),
    [sym_private_property_identifier] = ACTIONS(2659),
    [sym_this] = ACTIONS(2661),
    [sym_super] = ACTIONS(2661),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_null] = ACTIONS(2661),
    [sym_undefined] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_readonly] = ACTIONS(2661),
    [anon_sym_get] = ACTIONS(2661),
    [anon_sym_set] = ACTIONS(2661),
    [anon_sym_declare] = ACTIONS(2661),
    [anon_sym_public] = ACTIONS(2661),
    [anon_sym_private] = ACTIONS(2661),
    [anon_sym_protected] = ACTIONS(2661),
    [anon_sym_override] = ACTIONS(2661),
    [anon_sym_module] = ACTIONS(2661),
    [anon_sym_any] = ACTIONS(2661),
    [anon_sym_number] = ACTIONS(2661),
    [anon_sym_boolean] = ACTIONS(2661),
    [anon_sym_string] = ACTIONS(2661),
    [anon_sym_symbol] = ACTIONS(2661),
    [anon_sym_object] = ACTIONS(2661),
    [anon_sym_abstract] = ACTIONS(2661),
    [anon_sym_interface] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [sym_identifier] = ACTIONS(2665),
    [anon_sym_export] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_type] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [anon_sym_typeof] = ACTIONS(2665),
    [anon_sym_import] = ACTIONS(2665),
    [anon_sym_with] = ACTIONS(2665),
    [anon_sym_var] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2663),
    [anon_sym_await] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_debugger] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_yield] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2663),
    [sym_glimmer_opening_tag] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_async] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_SLASH] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2665),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_void] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2663),
    [sym_number] = ACTIONS(2663),
    [sym_private_property_identifier] = ACTIONS(2663),
    [sym_this] = ACTIONS(2665),
    [sym_super] = ACTIONS(2665),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [sym_null] = ACTIONS(2665),
    [sym_undefined] = ACTIONS(2665),
    [anon_sym_AT] = ACTIONS(2663),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_readonly] = ACTIONS(2665),
    [anon_sym_get] = ACTIONS(2665),
    [anon_sym_set] = ACTIONS(2665),
    [anon_sym_declare] = ACTIONS(2665),
    [anon_sym_public] = ACTIONS(2665),
    [anon_sym_private] = ACTIONS(2665),
    [anon_sym_protected] = ACTIONS(2665),
    [anon_sym_override] = ACTIONS(2665),
    [anon_sym_module] = ACTIONS(2665),
    [anon_sym_any] = ACTIONS(2665),
    [anon_sym_number] = ACTIONS(2665),
    [anon_sym_boolean] = ACTIONS(2665),
    [anon_sym_string] = ACTIONS(2665),
    [anon_sym_symbol] = ACTIONS(2665),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_abstract] = ACTIONS(2665),
    [anon_sym_interface] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [sym_identifier] = ACTIONS(2669),
    [anon_sym_export] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_type] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_typeof] = ACTIONS(2669),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_with] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2669),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_await] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_debugger] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [sym_glimmer_opening_tag] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_async] = ACTIONS(2669),
    [anon_sym_function] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_SLASH] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_void] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2667),
    [sym_number] = ACTIONS(2667),
    [sym_private_property_identifier] = ACTIONS(2667),
    [sym_this] = ACTIONS(2669),
    [sym_super] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_null] = ACTIONS(2669),
    [sym_undefined] = ACTIONS(2669),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_readonly] = ACTIONS(2669),
    [anon_sym_get] = ACTIONS(2669),
    [anon_sym_set] = ACTIONS(2669),
    [anon_sym_declare] = ACTIONS(2669),
    [anon_sym_public] = ACTIONS(2669),
    [anon_sym_private] = ACTIONS(2669),
    [anon_sym_protected] = ACTIONS(2669),
    [anon_sym_override] = ACTIONS(2669),
    [anon_sym_module] = ACTIONS(2669),
    [anon_sym_any] = ACTIONS(2669),
    [anon_sym_number] = ACTIONS(2669),
    [anon_sym_boolean] = ACTIONS(2669),
    [anon_sym_string] = ACTIONS(2669),
    [anon_sym_symbol] = ACTIONS(2669),
    [anon_sym_object] = ACTIONS(2669),
    [anon_sym_abstract] = ACTIONS(2669),
    [anon_sym_interface] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [sym_identifier] = ACTIONS(2677),
    [anon_sym_export] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_type] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_typeof] = ACTIONS(2677),
    [anon_sym_import] = ACTIONS(2677),
    [anon_sym_with] = ACTIONS(2677),
    [anon_sym_var] = ACTIONS(2677),
    [anon_sym_let] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_LPAREN] = ACTIONS(2675),
    [anon_sym_await] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_debugger] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_yield] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [sym_glimmer_opening_tag] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_function] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_void] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2675),
    [sym_number] = ACTIONS(2675),
    [sym_private_property_identifier] = ACTIONS(2675),
    [sym_this] = ACTIONS(2677),
    [sym_super] = ACTIONS(2677),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [sym_null] = ACTIONS(2677),
    [sym_undefined] = ACTIONS(2677),
    [anon_sym_AT] = ACTIONS(2675),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_readonly] = ACTIONS(2677),
    [anon_sym_get] = ACTIONS(2677),
    [anon_sym_set] = ACTIONS(2677),
    [anon_sym_declare] = ACTIONS(2677),
    [anon_sym_public] = ACTIONS(2677),
    [anon_sym_private] = ACTIONS(2677),
    [anon_sym_protected] = ACTIONS(2677),
    [anon_sym_override] = ACTIONS(2677),
    [anon_sym_module] = ACTIONS(2677),
    [anon_sym_any] = ACTIONS(2677),
    [anon_sym_number] = ACTIONS(2677),
    [anon_sym_boolean] = ACTIONS(2677),
    [anon_sym_string] = ACTIONS(2677),
    [anon_sym_symbol] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_abstract] = ACTIONS(2677),
    [anon_sym_interface] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [anon_sym_export] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_type] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_typeof] = ACTIONS(2681),
    [anon_sym_import] = ACTIONS(2681),
    [anon_sym_with] = ACTIONS(2681),
    [anon_sym_var] = ACTIONS(2681),
    [anon_sym_let] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_await] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_debugger] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_yield] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [sym_glimmer_opening_tag] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_async] = ACTIONS(2681),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_void] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2679),
    [sym_number] = ACTIONS(2679),
    [sym_private_property_identifier] = ACTIONS(2679),
    [sym_this] = ACTIONS(2681),
    [sym_super] = ACTIONS(2681),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [sym_null] = ACTIONS(2681),
    [sym_undefined] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_readonly] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2681),
    [anon_sym_set] = ACTIONS(2681),
    [anon_sym_declare] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_override] = ACTIONS(2681),
    [anon_sym_module] = ACTIONS(2681),
    [anon_sym_any] = ACTIONS(2681),
    [anon_sym_number] = ACTIONS(2681),
    [anon_sym_boolean] = ACTIONS(2681),
    [anon_sym_string] = ACTIONS(2681),
    [anon_sym_symbol] = ACTIONS(2681),
    [anon_sym_object] = ACTIONS(2681),
    [anon_sym_abstract] = ACTIONS(2681),
    [anon_sym_interface] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_export] = ACTIONS(2685),
    [anon_sym_default] = ACTIONS(2685),
    [anon_sym_type] = ACTIONS(2685),
    [anon_sym_namespace] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [anon_sym_typeof] = ACTIONS(2685),
    [anon_sym_import] = ACTIONS(2685),
    [anon_sym_with] = ACTIONS(2685),
    [anon_sym_var] = ACTIONS(2685),
    [anon_sym_let] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_await] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_do] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_break] = ACTIONS(2685),
    [anon_sym_continue] = ACTIONS(2685),
    [anon_sym_debugger] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym_case] = ACTIONS(2685),
    [anon_sym_yield] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [sym_glimmer_opening_tag] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2685),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2685),
    [anon_sym_new] = ACTIONS(2685),
    [anon_sym_using] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_void] = ACTIONS(2685),
    [anon_sym_delete] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2683),
    [sym_number] = ACTIONS(2683),
    [sym_private_property_identifier] = ACTIONS(2683),
    [sym_this] = ACTIONS(2685),
    [sym_super] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_null] = ACTIONS(2685),
    [sym_undefined] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2685),
    [anon_sym_readonly] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_declare] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_module] = ACTIONS(2685),
    [anon_sym_any] = ACTIONS(2685),
    [anon_sym_number] = ACTIONS(2685),
    [anon_sym_boolean] = ACTIONS(2685),
    [anon_sym_string] = ACTIONS(2685),
    [anon_sym_symbol] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_interface] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_export] = ACTIONS(2689),
    [anon_sym_default] = ACTIONS(2689),
    [anon_sym_type] = ACTIONS(2689),
    [anon_sym_namespace] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_typeof] = ACTIONS(2689),
    [anon_sym_import] = ACTIONS(2689),
    [anon_sym_with] = ACTIONS(2689),
    [anon_sym_var] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_switch] = ACTIONS(2689),
    [anon_sym_for] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_await] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_do] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_break] = ACTIONS(2689),
    [anon_sym_continue] = ACTIONS(2689),
    [anon_sym_debugger] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_case] = ACTIONS(2689),
    [anon_sym_yield] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [sym_glimmer_opening_tag] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2689),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2689),
    [anon_sym_using] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_void] = ACTIONS(2689),
    [anon_sym_delete] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2687),
    [sym_number] = ACTIONS(2687),
    [sym_private_property_identifier] = ACTIONS(2687),
    [sym_this] = ACTIONS(2689),
    [sym_super] = ACTIONS(2689),
    [sym_true] = ACTIONS(2689),
    [sym_false] = ACTIONS(2689),
    [sym_null] = ACTIONS(2689),
    [sym_undefined] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2689),
    [anon_sym_readonly] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_declare] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_module] = ACTIONS(2689),
    [anon_sym_any] = ACTIONS(2689),
    [anon_sym_number] = ACTIONS(2689),
    [anon_sym_boolean] = ACTIONS(2689),
    [anon_sym_string] = ACTIONS(2689),
    [anon_sym_symbol] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_interface] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_export] = ACTIONS(2693),
    [anon_sym_default] = ACTIONS(2693),
    [anon_sym_type] = ACTIONS(2693),
    [anon_sym_namespace] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_typeof] = ACTIONS(2693),
    [anon_sym_import] = ACTIONS(2693),
    [anon_sym_with] = ACTIONS(2693),
    [anon_sym_var] = ACTIONS(2693),
    [anon_sym_let] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_switch] = ACTIONS(2693),
    [anon_sym_for] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_await] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_do] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_break] = ACTIONS(2693),
    [anon_sym_continue] = ACTIONS(2693),
    [anon_sym_debugger] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_case] = ACTIONS(2693),
    [anon_sym_yield] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [sym_glimmer_opening_tag] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2693),
    [anon_sym_function] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_using] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2691),
    [anon_sym_void] = ACTIONS(2693),
    [anon_sym_delete] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2691),
    [sym_number] = ACTIONS(2691),
    [sym_private_property_identifier] = ACTIONS(2691),
    [sym_this] = ACTIONS(2693),
    [sym_super] = ACTIONS(2693),
    [sym_true] = ACTIONS(2693),
    [sym_false] = ACTIONS(2693),
    [sym_null] = ACTIONS(2693),
    [sym_undefined] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2693),
    [anon_sym_readonly] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_declare] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_module] = ACTIONS(2693),
    [anon_sym_any] = ACTIONS(2693),
    [anon_sym_number] = ACTIONS(2693),
    [anon_sym_boolean] = ACTIONS(2693),
    [anon_sym_string] = ACTIONS(2693),
    [anon_sym_symbol] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_interface] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_export] = ACTIONS(1812),
    [anon_sym_default] = ACTIONS(1812),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_namespace] = ACTIONS(1812),
    [anon_sym_LBRACE] = ACTIONS(1810),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_typeof] = ACTIONS(1812),
    [anon_sym_import] = ACTIONS(1812),
    [anon_sym_with] = ACTIONS(1812),
    [anon_sym_var] = ACTIONS(1812),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_BANG] = ACTIONS(1810),
    [anon_sym_else] = ACTIONS(1812),
    [anon_sym_if] = ACTIONS(1812),
    [anon_sym_switch] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(1810),
    [anon_sym_await] = ACTIONS(1812),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_do] = ACTIONS(1812),
    [anon_sym_try] = ACTIONS(1812),
    [anon_sym_break] = ACTIONS(1812),
    [anon_sym_continue] = ACTIONS(1812),
    [anon_sym_debugger] = ACTIONS(1812),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_throw] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1810),
    [anon_sym_case] = ACTIONS(1812),
    [anon_sym_yield] = ACTIONS(1812),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [sym_glimmer_opening_tag] = ACTIONS(1810),
    [anon_sym_DQUOTE] = ACTIONS(1810),
    [anon_sym_SQUOTE] = ACTIONS(1810),
    [anon_sym_class] = ACTIONS(1812),
    [anon_sym_async] = ACTIONS(1812),
    [anon_sym_function] = ACTIONS(1812),
    [anon_sym_new] = ACTIONS(1812),
    [anon_sym_using] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1812),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1810),
    [anon_sym_void] = ACTIONS(1812),
    [anon_sym_delete] = ACTIONS(1812),
    [anon_sym_PLUS_PLUS] = ACTIONS(1810),
    [anon_sym_DASH_DASH] = ACTIONS(1810),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1810),
    [sym_number] = ACTIONS(1810),
    [sym_private_property_identifier] = ACTIONS(1810),
    [sym_this] = ACTIONS(1812),
    [sym_super] = ACTIONS(1812),
    [sym_true] = ACTIONS(1812),
    [sym_false] = ACTIONS(1812),
    [sym_null] = ACTIONS(1812),
    [sym_undefined] = ACTIONS(1812),
    [anon_sym_AT] = ACTIONS(1810),
    [anon_sym_static] = ACTIONS(1812),
    [anon_sym_readonly] = ACTIONS(1812),
    [anon_sym_get] = ACTIONS(1812),
    [anon_sym_set] = ACTIONS(1812),
    [anon_sym_declare] = ACTIONS(1812),
    [anon_sym_public] = ACTIONS(1812),
    [anon_sym_private] = ACTIONS(1812),
    [anon_sym_protected] = ACTIONS(1812),
    [anon_sym_override] = ACTIONS(1812),
    [anon_sym_module] = ACTIONS(1812),
    [anon_sym_any] = ACTIONS(1812),
    [anon_sym_number] = ACTIONS(1812),
    [anon_sym_boolean] = ACTIONS(1812),
    [anon_sym_string] = ACTIONS(1812),
    [anon_sym_symbol] = ACTIONS(1812),
    [anon_sym_object] = ACTIONS(1812),
    [anon_sym_abstract] = ACTIONS(1812),
    [anon_sym_interface] = ACTIONS(1812),
    [anon_sym_enum] = ACTIONS(1812),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(1828),
    [sym_identifier] = ACTIONS(1830),
    [anon_sym_export] = ACTIONS(1830),
    [anon_sym_default] = ACTIONS(1830),
    [anon_sym_type] = ACTIONS(1830),
    [anon_sym_namespace] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1828),
    [anon_sym_typeof] = ACTIONS(1830),
    [anon_sym_import] = ACTIONS(1830),
    [anon_sym_with] = ACTIONS(1830),
    [anon_sym_var] = ACTIONS(1830),
    [anon_sym_let] = ACTIONS(1830),
    [anon_sym_const] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_else] = ACTIONS(1830),
    [anon_sym_if] = ACTIONS(1830),
    [anon_sym_switch] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1830),
    [anon_sym_while] = ACTIONS(1830),
    [anon_sym_do] = ACTIONS(1830),
    [anon_sym_try] = ACTIONS(1830),
    [anon_sym_break] = ACTIONS(1830),
    [anon_sym_continue] = ACTIONS(1830),
    [anon_sym_debugger] = ACTIONS(1830),
    [anon_sym_return] = ACTIONS(1830),
    [anon_sym_throw] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym_case] = ACTIONS(1830),
    [anon_sym_yield] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [sym_glimmer_opening_tag] = ACTIONS(1828),
    [anon_sym_DQUOTE] = ACTIONS(1828),
    [anon_sym_SQUOTE] = ACTIONS(1828),
    [anon_sym_class] = ACTIONS(1830),
    [anon_sym_async] = ACTIONS(1830),
    [anon_sym_function] = ACTIONS(1830),
    [anon_sym_new] = ACTIONS(1830),
    [anon_sym_using] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_void] = ACTIONS(1830),
    [anon_sym_delete] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [sym_private_property_identifier] = ACTIONS(1828),
    [sym_this] = ACTIONS(1830),
    [sym_super] = ACTIONS(1830),
    [sym_true] = ACTIONS(1830),
    [sym_false] = ACTIONS(1830),
    [sym_null] = ACTIONS(1830),
    [sym_undefined] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1830),
    [anon_sym_readonly] = ACTIONS(1830),
    [anon_sym_get] = ACTIONS(1830),
    [anon_sym_set] = ACTIONS(1830),
    [anon_sym_declare] = ACTIONS(1830),
    [anon_sym_public] = ACTIONS(1830),
    [anon_sym_private] = ACTIONS(1830),
    [anon_sym_protected] = ACTIONS(1830),
    [anon_sym_override] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1830),
    [anon_sym_any] = ACTIONS(1830),
    [anon_sym_number] = ACTIONS(1830),
    [anon_sym_boolean] = ACTIONS(1830),
    [anon_sym_string] = ACTIONS(1830),
    [anon_sym_symbol] = ACTIONS(1830),
    [anon_sym_object] = ACTIONS(1830),
    [anon_sym_abstract] = ACTIONS(1830),
    [anon_sym_interface] = ACTIONS(1830),
    [anon_sym_enum] = ACTIONS(1830),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_export] = ACTIONS(2697),
    [anon_sym_default] = ACTIONS(2697),
    [anon_sym_type] = ACTIONS(2697),
    [anon_sym_namespace] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_typeof] = ACTIONS(2697),
    [anon_sym_import] = ACTIONS(2697),
    [anon_sym_with] = ACTIONS(2697),
    [anon_sym_var] = ACTIONS(2697),
    [anon_sym_let] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_switch] = ACTIONS(2697),
    [anon_sym_for] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_do] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_break] = ACTIONS(2697),
    [anon_sym_continue] = ACTIONS(2697),
    [anon_sym_debugger] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_case] = ACTIONS(2697),
    [anon_sym_yield] = ACTIONS(2697),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [sym_glimmer_opening_tag] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2697),
    [anon_sym_async] = ACTIONS(2697),
    [anon_sym_function] = ACTIONS(2697),
    [anon_sym_new] = ACTIONS(2697),
    [anon_sym_using] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2695),
    [anon_sym_void] = ACTIONS(2697),
    [anon_sym_delete] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2695),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [sym_this] = ACTIONS(2697),
    [sym_super] = ACTIONS(2697),
    [sym_true] = ACTIONS(2697),
    [sym_false] = ACTIONS(2697),
    [sym_null] = ACTIONS(2697),
    [sym_undefined] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_declare] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_module] = ACTIONS(2697),
    [anon_sym_any] = ACTIONS(2697),
    [anon_sym_number] = ACTIONS(2697),
    [anon_sym_boolean] = ACTIONS(2697),
    [anon_sym_string] = ACTIONS(2697),
    [anon_sym_symbol] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_interface] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_export] = ACTIONS(2701),
    [anon_sym_default] = ACTIONS(2701),
    [anon_sym_type] = ACTIONS(2701),
    [anon_sym_namespace] = ACTIONS(2701),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_typeof] = ACTIONS(2701),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_with] = ACTIONS(2701),
    [anon_sym_var] = ACTIONS(2701),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_const] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_switch] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_await] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_try] = ACTIONS(2701),
    [anon_sym_break] = ACTIONS(2701),
    [anon_sym_continue] = ACTIONS(2701),
    [anon_sym_debugger] = ACTIONS(2701),
    [anon_sym_return] = ACTIONS(2701),
    [anon_sym_throw] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2699),
    [anon_sym_case] = ACTIONS(2701),
    [anon_sym_yield] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [sym_glimmer_opening_tag] = ACTIONS(2699),
    [anon_sym_DQUOTE] = ACTIONS(2699),
    [anon_sym_SQUOTE] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_async] = ACTIONS(2701),
    [anon_sym_function] = ACTIONS(2701),
    [anon_sym_new] = ACTIONS(2701),
    [anon_sym_using] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_void] = ACTIONS(2701),
    [anon_sym_delete] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2699),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2699),
    [sym_number] = ACTIONS(2699),
    [sym_private_property_identifier] = ACTIONS(2699),
    [sym_this] = ACTIONS(2701),
    [sym_super] = ACTIONS(2701),
    [sym_true] = ACTIONS(2701),
    [sym_false] = ACTIONS(2701),
    [sym_null] = ACTIONS(2701),
    [sym_undefined] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2701),
    [anon_sym_readonly] = ACTIONS(2701),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2701),
    [anon_sym_public] = ACTIONS(2701),
    [anon_sym_private] = ACTIONS(2701),
    [anon_sym_protected] = ACTIONS(2701),
    [anon_sym_override] = ACTIONS(2701),
    [anon_sym_module] = ACTIONS(2701),
    [anon_sym_any] = ACTIONS(2701),
    [anon_sym_number] = ACTIONS(2701),
    [anon_sym_boolean] = ACTIONS(2701),
    [anon_sym_string] = ACTIONS(2701),
    [anon_sym_symbol] = ACTIONS(2701),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_abstract] = ACTIONS(2701),
    [anon_sym_interface] = ACTIONS(2701),
    [anon_sym_enum] = ACTIONS(2701),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [sym_identifier] = ACTIONS(2705),
    [anon_sym_export] = ACTIONS(2705),
    [anon_sym_default] = ACTIONS(2705),
    [anon_sym_type] = ACTIONS(2705),
    [anon_sym_namespace] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(2703),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_typeof] = ACTIONS(2705),
    [anon_sym_import] = ACTIONS(2705),
    [anon_sym_with] = ACTIONS(2705),
    [anon_sym_var] = ACTIONS(2705),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_const] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_switch] = ACTIONS(2705),
    [anon_sym_for] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_await] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(2705),
    [anon_sym_do] = ACTIONS(2705),
    [anon_sym_try] = ACTIONS(2705),
    [anon_sym_break] = ACTIONS(2705),
    [anon_sym_continue] = ACTIONS(2705),
    [anon_sym_debugger] = ACTIONS(2705),
    [anon_sym_return] = ACTIONS(2705),
    [anon_sym_throw] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_case] = ACTIONS(2705),
    [anon_sym_yield] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [sym_glimmer_opening_tag] = ACTIONS(2703),
    [anon_sym_DQUOTE] = ACTIONS(2703),
    [anon_sym_SQUOTE] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2705),
    [anon_sym_async] = ACTIONS(2705),
    [anon_sym_function] = ACTIONS(2705),
    [anon_sym_new] = ACTIONS(2705),
    [anon_sym_using] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_void] = ACTIONS(2705),
    [anon_sym_delete] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2703),
    [sym_number] = ACTIONS(2703),
    [sym_private_property_identifier] = ACTIONS(2703),
    [sym_this] = ACTIONS(2705),
    [sym_super] = ACTIONS(2705),
    [sym_true] = ACTIONS(2705),
    [sym_false] = ACTIONS(2705),
    [sym_null] = ACTIONS(2705),
    [sym_undefined] = ACTIONS(2705),
    [anon_sym_AT] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2705),
    [anon_sym_readonly] = ACTIONS(2705),
    [anon_sym_get] = ACTIONS(2705),
    [anon_sym_set] = ACTIONS(2705),
    [anon_sym_declare] = ACTIONS(2705),
    [anon_sym_public] = ACTIONS(2705),
    [anon_sym_private] = ACTIONS(2705),
    [anon_sym_protected] = ACTIONS(2705),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2705),
    [anon_sym_any] = ACTIONS(2705),
    [anon_sym_number] = ACTIONS(2705),
    [anon_sym_boolean] = ACTIONS(2705),
    [anon_sym_string] = ACTIONS(2705),
    [anon_sym_symbol] = ACTIONS(2705),
    [anon_sym_object] = ACTIONS(2705),
    [anon_sym_abstract] = ACTIONS(2705),
    [anon_sym_interface] = ACTIONS(2705),
    [anon_sym_enum] = ACTIONS(2705),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [sym_identifier] = ACTIONS(2709),
    [anon_sym_export] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_type] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2707),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_typeof] = ACTIONS(2709),
    [anon_sym_import] = ACTIONS(2709),
    [anon_sym_with] = ACTIONS(2709),
    [anon_sym_var] = ACTIONS(2709),
    [anon_sym_let] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_LPAREN] = ACTIONS(2707),
    [anon_sym_await] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_debugger] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_yield] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [sym_glimmer_opening_tag] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_async] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2707),
    [anon_sym_void] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2707),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2707),
    [sym_number] = ACTIONS(2707),
    [sym_private_property_identifier] = ACTIONS(2707),
    [sym_this] = ACTIONS(2709),
    [sym_super] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_null] = ACTIONS(2709),
    [sym_undefined] = ACTIONS(2709),
    [anon_sym_AT] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_readonly] = ACTIONS(2709),
    [anon_sym_get] = ACTIONS(2709),
    [anon_sym_set] = ACTIONS(2709),
    [anon_sym_declare] = ACTIONS(2709),
    [anon_sym_public] = ACTIONS(2709),
    [anon_sym_private] = ACTIONS(2709),
    [anon_sym_protected] = ACTIONS(2709),
    [anon_sym_override] = ACTIONS(2709),
    [anon_sym_module] = ACTIONS(2709),
    [anon_sym_any] = ACTIONS(2709),
    [anon_sym_number] = ACTIONS(2709),
    [anon_sym_boolean] = ACTIONS(2709),
    [anon_sym_string] = ACTIONS(2709),
    [anon_sym_symbol] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2709),
    [anon_sym_abstract] = ACTIONS(2709),
    [anon_sym_interface] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [sym_identifier] = ACTIONS(2713),
    [anon_sym_export] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_type] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [anon_sym_typeof] = ACTIONS(2713),
    [anon_sym_import] = ACTIONS(2713),
    [anon_sym_with] = ACTIONS(2713),
    [anon_sym_var] = ACTIONS(2713),
    [anon_sym_let] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2711),
    [anon_sym_await] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_debugger] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_yield] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [sym_glimmer_opening_tag] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_async] = ACTIONS(2713),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2713),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_void] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2711),
    [sym_number] = ACTIONS(2711),
    [sym_private_property_identifier] = ACTIONS(2711),
    [sym_this] = ACTIONS(2713),
    [sym_super] = ACTIONS(2713),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [sym_null] = ACTIONS(2713),
    [sym_undefined] = ACTIONS(2713),
    [anon_sym_AT] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_readonly] = ACTIONS(2713),
    [anon_sym_get] = ACTIONS(2713),
    [anon_sym_set] = ACTIONS(2713),
    [anon_sym_declare] = ACTIONS(2713),
    [anon_sym_public] = ACTIONS(2713),
    [anon_sym_private] = ACTIONS(2713),
    [anon_sym_protected] = ACTIONS(2713),
    [anon_sym_override] = ACTIONS(2713),
    [anon_sym_module] = ACTIONS(2713),
    [anon_sym_any] = ACTIONS(2713),
    [anon_sym_number] = ACTIONS(2713),
    [anon_sym_boolean] = ACTIONS(2713),
    [anon_sym_string] = ACTIONS(2713),
    [anon_sym_symbol] = ACTIONS(2713),
    [anon_sym_object] = ACTIONS(2713),
    [anon_sym_abstract] = ACTIONS(2713),
    [anon_sym_interface] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [sym_identifier] = ACTIONS(2717),
    [anon_sym_export] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_type] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_RBRACE] = ACTIONS(2715),
    [anon_sym_typeof] = ACTIONS(2717),
    [anon_sym_import] = ACTIONS(2717),
    [anon_sym_with] = ACTIONS(2717),
    [anon_sym_var] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(2715),
    [anon_sym_await] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_debugger] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_yield] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [sym_glimmer_opening_tag] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_async] = ACTIONS(2717),
    [anon_sym_function] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_SLASH] = ACTIONS(2717),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_void] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2715),
    [sym_number] = ACTIONS(2715),
    [sym_private_property_identifier] = ACTIONS(2715),
    [sym_this] = ACTIONS(2717),
    [sym_super] = ACTIONS(2717),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [sym_null] = ACTIONS(2717),
    [sym_undefined] = ACTIONS(2717),
    [anon_sym_AT] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_readonly] = ACTIONS(2717),
    [anon_sym_get] = ACTIONS(2717),
    [anon_sym_set] = ACTIONS(2717),
    [anon_sym_declare] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_override] = ACTIONS(2717),
    [anon_sym_module] = ACTIONS(2717),
    [anon_sym_any] = ACTIONS(2717),
    [anon_sym_number] = ACTIONS(2717),
    [anon_sym_boolean] = ACTIONS(2717),
    [anon_sym_string] = ACTIONS(2717),
    [anon_sym_symbol] = ACTIONS(2717),
    [anon_sym_object] = ACTIONS(2717),
    [anon_sym_abstract] = ACTIONS(2717),
    [anon_sym_interface] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [sym_identifier] = ACTIONS(2721),
    [anon_sym_export] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_type] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_typeof] = ACTIONS(2721),
    [anon_sym_import] = ACTIONS(2721),
    [anon_sym_with] = ACTIONS(2721),
    [anon_sym_var] = ACTIONS(2721),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_await] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_debugger] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_yield] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [sym_glimmer_opening_tag] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_async] = ACTIONS(2721),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_void] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2719),
    [sym_number] = ACTIONS(2719),
    [sym_private_property_identifier] = ACTIONS(2719),
    [sym_this] = ACTIONS(2721),
    [sym_super] = ACTIONS(2721),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [sym_null] = ACTIONS(2721),
    [sym_undefined] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_readonly] = ACTIONS(2721),
    [anon_sym_get] = ACTIONS(2721),
    [anon_sym_set] = ACTIONS(2721),
    [anon_sym_declare] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_override] = ACTIONS(2721),
    [anon_sym_module] = ACTIONS(2721),
    [anon_sym_any] = ACTIONS(2721),
    [anon_sym_number] = ACTIONS(2721),
    [anon_sym_boolean] = ACTIONS(2721),
    [anon_sym_string] = ACTIONS(2721),
    [anon_sym_symbol] = ACTIONS(2721),
    [anon_sym_object] = ACTIONS(2721),
    [anon_sym_abstract] = ACTIONS(2721),
    [anon_sym_interface] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [sym_identifier] = ACTIONS(2725),
    [anon_sym_export] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_type] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_typeof] = ACTIONS(2725),
    [anon_sym_import] = ACTIONS(2725),
    [anon_sym_with] = ACTIONS(2725),
    [anon_sym_var] = ACTIONS(2725),
    [anon_sym_let] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_await] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_debugger] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_glimmer_opening_tag] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_async] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_void] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2723),
    [sym_number] = ACTIONS(2723),
    [sym_private_property_identifier] = ACTIONS(2723),
    [sym_this] = ACTIONS(2725),
    [sym_super] = ACTIONS(2725),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [sym_null] = ACTIONS(2725),
    [sym_undefined] = ACTIONS(2725),
    [anon_sym_AT] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_readonly] = ACTIONS(2725),
    [anon_sym_get] = ACTIONS(2725),
    [anon_sym_set] = ACTIONS(2725),
    [anon_sym_declare] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_override] = ACTIONS(2725),
    [anon_sym_module] = ACTIONS(2725),
    [anon_sym_any] = ACTIONS(2725),
    [anon_sym_number] = ACTIONS(2725),
    [anon_sym_boolean] = ACTIONS(2725),
    [anon_sym_string] = ACTIONS(2725),
    [anon_sym_symbol] = ACTIONS(2725),
    [anon_sym_object] = ACTIONS(2725),
    [anon_sym_abstract] = ACTIONS(2725),
    [anon_sym_interface] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_identifier] = ACTIONS(2729),
    [anon_sym_export] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_type] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_typeof] = ACTIONS(2729),
    [anon_sym_import] = ACTIONS(2729),
    [anon_sym_with] = ACTIONS(2729),
    [anon_sym_var] = ACTIONS(2729),
    [anon_sym_let] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_await] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_debugger] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_yield] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2727),
    [sym_glimmer_opening_tag] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_async] = ACTIONS(2729),
    [anon_sym_function] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_SLASH] = ACTIONS(2729),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_void] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2727),
    [sym_number] = ACTIONS(2727),
    [sym_private_property_identifier] = ACTIONS(2727),
    [sym_this] = ACTIONS(2729),
    [sym_super] = ACTIONS(2729),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [sym_null] = ACTIONS(2729),
    [sym_undefined] = ACTIONS(2729),
    [anon_sym_AT] = ACTIONS(2727),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_readonly] = ACTIONS(2729),
    [anon_sym_get] = ACTIONS(2729),
    [anon_sym_set] = ACTIONS(2729),
    [anon_sym_declare] = ACTIONS(2729),
    [anon_sym_public] = ACTIONS(2729),
    [anon_sym_private] = ACTIONS(2729),
    [anon_sym_protected] = ACTIONS(2729),
    [anon_sym_override] = ACTIONS(2729),
    [anon_sym_module] = ACTIONS(2729),
    [anon_sym_any] = ACTIONS(2729),
    [anon_sym_number] = ACTIONS(2729),
    [anon_sym_boolean] = ACTIONS(2729),
    [anon_sym_string] = ACTIONS(2729),
    [anon_sym_symbol] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_abstract] = ACTIONS(2729),
    [anon_sym_interface] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [sym_identifier] = ACTIONS(2733),
    [anon_sym_export] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_type] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_typeof] = ACTIONS(2733),
    [anon_sym_import] = ACTIONS(2733),
    [anon_sym_with] = ACTIONS(2733),
    [anon_sym_var] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_LPAREN] = ACTIONS(2731),
    [anon_sym_await] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_debugger] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_yield] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2731),
    [sym_glimmer_opening_tag] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_async] = ACTIONS(2733),
    [anon_sym_function] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_void] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2731),
    [sym_number] = ACTIONS(2731),
    [sym_private_property_identifier] = ACTIONS(2731),
    [sym_this] = ACTIONS(2733),
    [sym_super] = ACTIONS(2733),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [sym_null] = ACTIONS(2733),
    [sym_undefined] = ACTIONS(2733),
    [anon_sym_AT] = ACTIONS(2731),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_readonly] = ACTIONS(2733),
    [anon_sym_get] = ACTIONS(2733),
    [anon_sym_set] = ACTIONS(2733),
    [anon_sym_declare] = ACTIONS(2733),
    [anon_sym_public] = ACTIONS(2733),
    [anon_sym_private] = ACTIONS(2733),
    [anon_sym_protected] = ACTIONS(2733),
    [anon_sym_override] = ACTIONS(2733),
    [anon_sym_module] = ACTIONS(2733),
    [anon_sym_any] = ACTIONS(2733),
    [anon_sym_number] = ACTIONS(2733),
    [anon_sym_boolean] = ACTIONS(2733),
    [anon_sym_string] = ACTIONS(2733),
    [anon_sym_symbol] = ACTIONS(2733),
    [anon_sym_object] = ACTIONS(2733),
    [anon_sym_abstract] = ACTIONS(2733),
    [anon_sym_interface] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_export] = ACTIONS(2737),
    [anon_sym_default] = ACTIONS(2737),
    [anon_sym_type] = ACTIONS(2737),
    [anon_sym_namespace] = ACTIONS(2737),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_typeof] = ACTIONS(2737),
    [anon_sym_import] = ACTIONS(2737),
    [anon_sym_with] = ACTIONS(2737),
    [anon_sym_var] = ACTIONS(2737),
    [anon_sym_let] = ACTIONS(2737),
    [anon_sym_const] = ACTIONS(2737),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_else] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_switch] = ACTIONS(2737),
    [anon_sym_for] = ACTIONS(2737),
    [anon_sym_LPAREN] = ACTIONS(2735),
    [anon_sym_await] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(2737),
    [anon_sym_do] = ACTIONS(2737),
    [anon_sym_try] = ACTIONS(2737),
    [anon_sym_break] = ACTIONS(2737),
    [anon_sym_continue] = ACTIONS(2737),
    [anon_sym_debugger] = ACTIONS(2737),
    [anon_sym_return] = ACTIONS(2737),
    [anon_sym_throw] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_case] = ACTIONS(2737),
    [anon_sym_yield] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2735),
    [sym_glimmer_opening_tag] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_class] = ACTIONS(2737),
    [anon_sym_async] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_void] = ACTIONS(2737),
    [anon_sym_delete] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2735),
    [sym_number] = ACTIONS(2735),
    [sym_private_property_identifier] = ACTIONS(2735),
    [sym_this] = ACTIONS(2737),
    [sym_super] = ACTIONS(2737),
    [sym_true] = ACTIONS(2737),
    [sym_false] = ACTIONS(2737),
    [sym_null] = ACTIONS(2737),
    [sym_undefined] = ACTIONS(2737),
    [anon_sym_AT] = ACTIONS(2735),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_get] = ACTIONS(2737),
    [anon_sym_set] = ACTIONS(2737),
    [anon_sym_declare] = ACTIONS(2737),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_override] = ACTIONS(2737),
    [anon_sym_module] = ACTIONS(2737),
    [anon_sym_any] = ACTIONS(2737),
    [anon_sym_number] = ACTIONS(2737),
    [anon_sym_boolean] = ACTIONS(2737),
    [anon_sym_string] = ACTIONS(2737),
    [anon_sym_symbol] = ACTIONS(2737),
    [anon_sym_object] = ACTIONS(2737),
    [anon_sym_abstract] = ACTIONS(2737),
    [anon_sym_interface] = ACTIONS(2737),
    [anon_sym_enum] = ACTIONS(2737),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [sym_identifier] = ACTIONS(2741),
    [anon_sym_export] = ACTIONS(2741),
    [anon_sym_default] = ACTIONS(2741),
    [anon_sym_type] = ACTIONS(2741),
    [anon_sym_namespace] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2739),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_typeof] = ACTIONS(2741),
    [anon_sym_import] = ACTIONS(2741),
    [anon_sym_with] = ACTIONS(2741),
    [anon_sym_var] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_const] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_else] = ACTIONS(2741),
    [anon_sym_if] = ACTIONS(2741),
    [anon_sym_switch] = ACTIONS(2741),
    [anon_sym_for] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2739),
    [anon_sym_await] = ACTIONS(2741),
    [anon_sym_while] = ACTIONS(2741),
    [anon_sym_do] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_break] = ACTIONS(2741),
    [anon_sym_continue] = ACTIONS(2741),
    [anon_sym_debugger] = ACTIONS(2741),
    [anon_sym_return] = ACTIONS(2741),
    [anon_sym_throw] = ACTIONS(2741),
    [anon_sym_SEMI] = ACTIONS(2739),
    [anon_sym_case] = ACTIONS(2741),
    [anon_sym_yield] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [sym_glimmer_opening_tag] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2739),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2741),
    [anon_sym_async] = ACTIONS(2741),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_new] = ACTIONS(2741),
    [anon_sym_using] = ACTIONS(2741),
    [anon_sym_PLUS] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2741),
    [anon_sym_SLASH] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2739),
    [anon_sym_void] = ACTIONS(2741),
    [anon_sym_delete] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2739),
    [sym_number] = ACTIONS(2739),
    [sym_private_property_identifier] = ACTIONS(2739),
    [sym_this] = ACTIONS(2741),
    [sym_super] = ACTIONS(2741),
    [sym_true] = ACTIONS(2741),
    [sym_false] = ACTIONS(2741),
    [sym_null] = ACTIONS(2741),
    [sym_undefined] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2741),
    [anon_sym_readonly] = ACTIONS(2741),
    [anon_sym_get] = ACTIONS(2741),
    [anon_sym_set] = ACTIONS(2741),
    [anon_sym_declare] = ACTIONS(2741),
    [anon_sym_public] = ACTIONS(2741),
    [anon_sym_private] = ACTIONS(2741),
    [anon_sym_protected] = ACTIONS(2741),
    [anon_sym_override] = ACTIONS(2741),
    [anon_sym_module] = ACTIONS(2741),
    [anon_sym_any] = ACTIONS(2741),
    [anon_sym_number] = ACTIONS(2741),
    [anon_sym_boolean] = ACTIONS(2741),
    [anon_sym_string] = ACTIONS(2741),
    [anon_sym_symbol] = ACTIONS(2741),
    [anon_sym_object] = ACTIONS(2741),
    [anon_sym_abstract] = ACTIONS(2741),
    [anon_sym_interface] = ACTIONS(2741),
    [anon_sym_enum] = ACTIONS(2741),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [sym_identifier] = ACTIONS(2745),
    [anon_sym_export] = ACTIONS(2745),
    [anon_sym_default] = ACTIONS(2745),
    [anon_sym_type] = ACTIONS(2745),
    [anon_sym_namespace] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_typeof] = ACTIONS(2745),
    [anon_sym_import] = ACTIONS(2745),
    [anon_sym_with] = ACTIONS(2745),
    [anon_sym_var] = ACTIONS(2745),
    [anon_sym_let] = ACTIONS(2745),
    [anon_sym_const] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2743),
    [anon_sym_else] = ACTIONS(2745),
    [anon_sym_if] = ACTIONS(2745),
    [anon_sym_switch] = ACTIONS(2745),
    [anon_sym_for] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_await] = ACTIONS(2745),
    [anon_sym_while] = ACTIONS(2745),
    [anon_sym_do] = ACTIONS(2745),
    [anon_sym_try] = ACTIONS(2745),
    [anon_sym_break] = ACTIONS(2745),
    [anon_sym_continue] = ACTIONS(2745),
    [anon_sym_debugger] = ACTIONS(2745),
    [anon_sym_return] = ACTIONS(2745),
    [anon_sym_throw] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2745),
    [anon_sym_yield] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [sym_glimmer_opening_tag] = ACTIONS(2743),
    [anon_sym_DQUOTE] = ACTIONS(2743),
    [anon_sym_SQUOTE] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2745),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_using] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_LT] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2743),
    [anon_sym_void] = ACTIONS(2745),
    [anon_sym_delete] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2743),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2743),
    [sym_number] = ACTIONS(2743),
    [sym_private_property_identifier] = ACTIONS(2743),
    [sym_this] = ACTIONS(2745),
    [sym_super] = ACTIONS(2745),
    [sym_true] = ACTIONS(2745),
    [sym_false] = ACTIONS(2745),
    [sym_null] = ACTIONS(2745),
    [sym_undefined] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2745),
    [anon_sym_readonly] = ACTIONS(2745),
    [anon_sym_get] = ACTIONS(2745),
    [anon_sym_set] = ACTIONS(2745),
    [anon_sym_declare] = ACTIONS(2745),
    [anon_sym_public] = ACTIONS(2745),
    [anon_sym_private] = ACTIONS(2745),
    [anon_sym_protected] = ACTIONS(2745),
    [anon_sym_override] = ACTIONS(2745),
    [anon_sym_module] = ACTIONS(2745),
    [anon_sym_any] = ACTIONS(2745),
    [anon_sym_number] = ACTIONS(2745),
    [anon_sym_boolean] = ACTIONS(2745),
    [anon_sym_string] = ACTIONS(2745),
    [anon_sym_symbol] = ACTIONS(2745),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_abstract] = ACTIONS(2745),
    [anon_sym_interface] = ACTIONS(2745),
    [anon_sym_enum] = ACTIONS(2745),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_export] = ACTIONS(2749),
    [anon_sym_default] = ACTIONS(2749),
    [anon_sym_type] = ACTIONS(2749),
    [anon_sym_namespace] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2747),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_typeof] = ACTIONS(2749),
    [anon_sym_import] = ACTIONS(2749),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_var] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_const] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_switch] = ACTIONS(2749),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2747),
    [anon_sym_await] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_break] = ACTIONS(2749),
    [anon_sym_continue] = ACTIONS(2749),
    [anon_sym_debugger] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2747),
    [anon_sym_case] = ACTIONS(2749),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [sym_glimmer_opening_tag] = ACTIONS(2747),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_SQUOTE] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(2749),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_using] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(2749),
    [anon_sym_delete] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2747),
    [sym_number] = ACTIONS(2747),
    [sym_private_property_identifier] = ACTIONS(2747),
    [sym_this] = ACTIONS(2749),
    [sym_super] = ACTIONS(2749),
    [sym_true] = ACTIONS(2749),
    [sym_false] = ACTIONS(2749),
    [sym_null] = ACTIONS(2749),
    [sym_undefined] = ACTIONS(2749),
    [anon_sym_AT] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2749),
    [anon_sym_readonly] = ACTIONS(2749),
    [anon_sym_get] = ACTIONS(2749),
    [anon_sym_set] = ACTIONS(2749),
    [anon_sym_declare] = ACTIONS(2749),
    [anon_sym_public] = ACTIONS(2749),
    [anon_sym_private] = ACTIONS(2749),
    [anon_sym_protected] = ACTIONS(2749),
    [anon_sym_override] = ACTIONS(2749),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_any] = ACTIONS(2749),
    [anon_sym_number] = ACTIONS(2749),
    [anon_sym_boolean] = ACTIONS(2749),
    [anon_sym_string] = ACTIONS(2749),
    [anon_sym_symbol] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2749),
    [anon_sym_abstract] = ACTIONS(2749),
    [anon_sym_interface] = ACTIONS(2749),
    [anon_sym_enum] = ACTIONS(2749),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(5082),
    [sym_optional_tuple_parameter] = STATE(5082),
    [sym_optional_type] = STATE(5082),
    [sym_rest_type] = STATE(5082),
    [sym__tuple_type_member] = STATE(5082),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(2751),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_export] = ACTIONS(2757),
    [anon_sym_default] = ACTIONS(2757),
    [anon_sym_type] = ACTIONS(2757),
    [anon_sym_namespace] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_typeof] = ACTIONS(2757),
    [anon_sym_import] = ACTIONS(2757),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_var] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_switch] = ACTIONS(2757),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_await] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_break] = ACTIONS(2757),
    [anon_sym_continue] = ACTIONS(2757),
    [anon_sym_debugger] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2757),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [sym_glimmer_opening_tag] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2757),
    [anon_sym_async] = ACTIONS(2757),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_using] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_void] = ACTIONS(2757),
    [anon_sym_delete] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2755),
    [sym_number] = ACTIONS(2755),
    [sym_private_property_identifier] = ACTIONS(2755),
    [sym_this] = ACTIONS(2757),
    [sym_super] = ACTIONS(2757),
    [sym_true] = ACTIONS(2757),
    [sym_false] = ACTIONS(2757),
    [sym_null] = ACTIONS(2757),
    [sym_undefined] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_readonly] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_declare] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_any] = ACTIONS(2757),
    [anon_sym_number] = ACTIONS(2757),
    [anon_sym_boolean] = ACTIONS(2757),
    [anon_sym_string] = ACTIONS(2757),
    [anon_sym_symbol] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_interface] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_export] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_type] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_typeof] = ACTIONS(2761),
    [anon_sym_import] = ACTIONS(2761),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_var] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_await] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_debugger] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [sym_glimmer_opening_tag] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_async] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2759),
    [anon_sym_void] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2759),
    [sym_number] = ACTIONS(2759),
    [sym_private_property_identifier] = ACTIONS(2759),
    [sym_this] = ACTIONS(2761),
    [sym_super] = ACTIONS(2761),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [sym_null] = ACTIONS(2761),
    [sym_undefined] = ACTIONS(2761),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_readonly] = ACTIONS(2761),
    [anon_sym_get] = ACTIONS(2761),
    [anon_sym_set] = ACTIONS(2761),
    [anon_sym_declare] = ACTIONS(2761),
    [anon_sym_public] = ACTIONS(2761),
    [anon_sym_private] = ACTIONS(2761),
    [anon_sym_protected] = ACTIONS(2761),
    [anon_sym_override] = ACTIONS(2761),
    [anon_sym_module] = ACTIONS(2761),
    [anon_sym_any] = ACTIONS(2761),
    [anon_sym_number] = ACTIONS(2761),
    [anon_sym_boolean] = ACTIONS(2761),
    [anon_sym_string] = ACTIONS(2761),
    [anon_sym_symbol] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2761),
    [anon_sym_abstract] = ACTIONS(2761),
    [anon_sym_interface] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(2765),
    [anon_sym_export] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_type] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_typeof] = ACTIONS(2765),
    [anon_sym_import] = ACTIONS(2765),
    [anon_sym_with] = ACTIONS(2765),
    [anon_sym_var] = ACTIONS(2765),
    [anon_sym_let] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_else] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_LPAREN] = ACTIONS(2763),
    [anon_sym_await] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_debugger] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_yield] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [sym_glimmer_opening_tag] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_async] = ACTIONS(2765),
    [anon_sym_function] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_void] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2763),
    [sym_number] = ACTIONS(2763),
    [sym_private_property_identifier] = ACTIONS(2763),
    [sym_this] = ACTIONS(2765),
    [sym_super] = ACTIONS(2765),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [sym_null] = ACTIONS(2765),
    [sym_undefined] = ACTIONS(2765),
    [anon_sym_AT] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_readonly] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2765),
    [anon_sym_set] = ACTIONS(2765),
    [anon_sym_declare] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_override] = ACTIONS(2765),
    [anon_sym_module] = ACTIONS(2765),
    [anon_sym_any] = ACTIONS(2765),
    [anon_sym_number] = ACTIONS(2765),
    [anon_sym_boolean] = ACTIONS(2765),
    [anon_sym_string] = ACTIONS(2765),
    [anon_sym_symbol] = ACTIONS(2765),
    [anon_sym_object] = ACTIONS(2765),
    [anon_sym_abstract] = ACTIONS(2765),
    [anon_sym_interface] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_export] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_type] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_typeof] = ACTIONS(2769),
    [anon_sym_import] = ACTIONS(2769),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_var] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2767),
    [anon_sym_await] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_debugger] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [sym_glimmer_opening_tag] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_async] = ACTIONS(2769),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_void] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2767),
    [sym_number] = ACTIONS(2767),
    [sym_private_property_identifier] = ACTIONS(2767),
    [sym_this] = ACTIONS(2769),
    [sym_super] = ACTIONS(2769),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [sym_null] = ACTIONS(2769),
    [sym_undefined] = ACTIONS(2769),
    [anon_sym_AT] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_readonly] = ACTIONS(2769),
    [anon_sym_get] = ACTIONS(2769),
    [anon_sym_set] = ACTIONS(2769),
    [anon_sym_declare] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_override] = ACTIONS(2769),
    [anon_sym_module] = ACTIONS(2769),
    [anon_sym_any] = ACTIONS(2769),
    [anon_sym_number] = ACTIONS(2769),
    [anon_sym_boolean] = ACTIONS(2769),
    [anon_sym_string] = ACTIONS(2769),
    [anon_sym_symbol] = ACTIONS(2769),
    [anon_sym_object] = ACTIONS(2769),
    [anon_sym_abstract] = ACTIONS(2769),
    [anon_sym_interface] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_export] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_type] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_typeof] = ACTIONS(2773),
    [anon_sym_import] = ACTIONS(2773),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_var] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_await] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_debugger] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [sym_glimmer_opening_tag] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_async] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_void] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2771),
    [sym_number] = ACTIONS(2771),
    [sym_private_property_identifier] = ACTIONS(2771),
    [sym_this] = ACTIONS(2773),
    [sym_super] = ACTIONS(2773),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [sym_null] = ACTIONS(2773),
    [sym_undefined] = ACTIONS(2773),
    [anon_sym_AT] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_get] = ACTIONS(2773),
    [anon_sym_set] = ACTIONS(2773),
    [anon_sym_declare] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_override] = ACTIONS(2773),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_any] = ACTIONS(2773),
    [anon_sym_number] = ACTIONS(2773),
    [anon_sym_boolean] = ACTIONS(2773),
    [anon_sym_string] = ACTIONS(2773),
    [anon_sym_symbol] = ACTIONS(2773),
    [anon_sym_object] = ACTIONS(2773),
    [anon_sym_abstract] = ACTIONS(2773),
    [anon_sym_interface] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_export] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_type] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_typeof] = ACTIONS(2777),
    [anon_sym_import] = ACTIONS(2777),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_var] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_await] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_debugger] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [sym_glimmer_opening_tag] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_async] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_void] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2775),
    [sym_number] = ACTIONS(2775),
    [sym_private_property_identifier] = ACTIONS(2775),
    [sym_this] = ACTIONS(2777),
    [sym_super] = ACTIONS(2777),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [sym_null] = ACTIONS(2777),
    [sym_undefined] = ACTIONS(2777),
    [anon_sym_AT] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_readonly] = ACTIONS(2777),
    [anon_sym_get] = ACTIONS(2777),
    [anon_sym_set] = ACTIONS(2777),
    [anon_sym_declare] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_override] = ACTIONS(2777),
    [anon_sym_module] = ACTIONS(2777),
    [anon_sym_any] = ACTIONS(2777),
    [anon_sym_number] = ACTIONS(2777),
    [anon_sym_boolean] = ACTIONS(2777),
    [anon_sym_string] = ACTIONS(2777),
    [anon_sym_symbol] = ACTIONS(2777),
    [anon_sym_object] = ACTIONS(2777),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_interface] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_export] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_type] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_typeof] = ACTIONS(2781),
    [anon_sym_import] = ACTIONS(2781),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_var] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_await] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_debugger] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [sym_glimmer_opening_tag] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_async] = ACTIONS(2781),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_void] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2779),
    [sym_number] = ACTIONS(2779),
    [sym_private_property_identifier] = ACTIONS(2779),
    [sym_this] = ACTIONS(2781),
    [sym_super] = ACTIONS(2781),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [sym_null] = ACTIONS(2781),
    [sym_undefined] = ACTIONS(2781),
    [anon_sym_AT] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_readonly] = ACTIONS(2781),
    [anon_sym_get] = ACTIONS(2781),
    [anon_sym_set] = ACTIONS(2781),
    [anon_sym_declare] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_override] = ACTIONS(2781),
    [anon_sym_module] = ACTIONS(2781),
    [anon_sym_any] = ACTIONS(2781),
    [anon_sym_number] = ACTIONS(2781),
    [anon_sym_boolean] = ACTIONS(2781),
    [anon_sym_string] = ACTIONS(2781),
    [anon_sym_symbol] = ACTIONS(2781),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_abstract] = ACTIONS(2781),
    [anon_sym_interface] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [sym_identifier] = ACTIONS(2745),
    [anon_sym_export] = ACTIONS(2745),
    [anon_sym_default] = ACTIONS(2745),
    [anon_sym_type] = ACTIONS(2745),
    [anon_sym_namespace] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_typeof] = ACTIONS(2745),
    [anon_sym_import] = ACTIONS(2745),
    [anon_sym_with] = ACTIONS(2745),
    [anon_sym_var] = ACTIONS(2745),
    [anon_sym_let] = ACTIONS(2745),
    [anon_sym_const] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2743),
    [anon_sym_else] = ACTIONS(2745),
    [anon_sym_if] = ACTIONS(2745),
    [anon_sym_switch] = ACTIONS(2745),
    [anon_sym_for] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_await] = ACTIONS(2745),
    [anon_sym_while] = ACTIONS(2745),
    [anon_sym_do] = ACTIONS(2745),
    [anon_sym_try] = ACTIONS(2745),
    [anon_sym_break] = ACTIONS(2745),
    [anon_sym_continue] = ACTIONS(2745),
    [anon_sym_debugger] = ACTIONS(2745),
    [anon_sym_return] = ACTIONS(2745),
    [anon_sym_throw] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_case] = ACTIONS(2745),
    [anon_sym_yield] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [sym_glimmer_opening_tag] = ACTIONS(2743),
    [anon_sym_DQUOTE] = ACTIONS(2743),
    [anon_sym_SQUOTE] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2745),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_using] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_LT] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2743),
    [anon_sym_void] = ACTIONS(2745),
    [anon_sym_delete] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2743),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2743),
    [sym_number] = ACTIONS(2743),
    [sym_private_property_identifier] = ACTIONS(2743),
    [sym_this] = ACTIONS(2745),
    [sym_super] = ACTIONS(2745),
    [sym_true] = ACTIONS(2745),
    [sym_false] = ACTIONS(2745),
    [sym_null] = ACTIONS(2745),
    [sym_undefined] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2745),
    [anon_sym_readonly] = ACTIONS(2745),
    [anon_sym_get] = ACTIONS(2745),
    [anon_sym_set] = ACTIONS(2745),
    [anon_sym_declare] = ACTIONS(2745),
    [anon_sym_public] = ACTIONS(2745),
    [anon_sym_private] = ACTIONS(2745),
    [anon_sym_protected] = ACTIONS(2745),
    [anon_sym_override] = ACTIONS(2745),
    [anon_sym_module] = ACTIONS(2745),
    [anon_sym_any] = ACTIONS(2745),
    [anon_sym_number] = ACTIONS(2745),
    [anon_sym_boolean] = ACTIONS(2745),
    [anon_sym_string] = ACTIONS(2745),
    [anon_sym_symbol] = ACTIONS(2745),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_abstract] = ACTIONS(2745),
    [anon_sym_interface] = ACTIONS(2745),
    [anon_sym_enum] = ACTIONS(2745),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_export] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_type] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_typeof] = ACTIONS(2785),
    [anon_sym_import] = ACTIONS(2785),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_var] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2783),
    [anon_sym_await] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_debugger] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [sym_glimmer_opening_tag] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_async] = ACTIONS(2785),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_void] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2783),
    [sym_number] = ACTIONS(2783),
    [sym_private_property_identifier] = ACTIONS(2783),
    [sym_this] = ACTIONS(2785),
    [sym_super] = ACTIONS(2785),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [sym_null] = ACTIONS(2785),
    [sym_undefined] = ACTIONS(2785),
    [anon_sym_AT] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_readonly] = ACTIONS(2785),
    [anon_sym_get] = ACTIONS(2785),
    [anon_sym_set] = ACTIONS(2785),
    [anon_sym_declare] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_override] = ACTIONS(2785),
    [anon_sym_module] = ACTIONS(2785),
    [anon_sym_any] = ACTIONS(2785),
    [anon_sym_number] = ACTIONS(2785),
    [anon_sym_boolean] = ACTIONS(2785),
    [anon_sym_string] = ACTIONS(2785),
    [anon_sym_symbol] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2785),
    [anon_sym_abstract] = ACTIONS(2785),
    [anon_sym_interface] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_export] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_typeof] = ACTIONS(2789),
    [anon_sym_import] = ACTIONS(2789),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_var] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2787),
    [anon_sym_await] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_debugger] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [sym_glimmer_opening_tag] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_async] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_void] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2787),
    [sym_number] = ACTIONS(2787),
    [sym_private_property_identifier] = ACTIONS(2787),
    [sym_this] = ACTIONS(2789),
    [sym_super] = ACTIONS(2789),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [sym_null] = ACTIONS(2789),
    [sym_undefined] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_readonly] = ACTIONS(2789),
    [anon_sym_get] = ACTIONS(2789),
    [anon_sym_set] = ACTIONS(2789),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_override] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_any] = ACTIONS(2789),
    [anon_sym_number] = ACTIONS(2789),
    [anon_sym_boolean] = ACTIONS(2789),
    [anon_sym_string] = ACTIONS(2789),
    [anon_sym_symbol] = ACTIONS(2789),
    [anon_sym_object] = ACTIONS(2789),
    [anon_sym_abstract] = ACTIONS(2789),
    [anon_sym_interface] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_export] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_type] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_typeof] = ACTIONS(2793),
    [anon_sym_import] = ACTIONS(2793),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_var] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2791),
    [anon_sym_await] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_debugger] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [sym_glimmer_opening_tag] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_async] = ACTIONS(2793),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_void] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2791),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [sym_this] = ACTIONS(2793),
    [sym_super] = ACTIONS(2793),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [sym_null] = ACTIONS(2793),
    [sym_undefined] = ACTIONS(2793),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_readonly] = ACTIONS(2793),
    [anon_sym_get] = ACTIONS(2793),
    [anon_sym_set] = ACTIONS(2793),
    [anon_sym_declare] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_override] = ACTIONS(2793),
    [anon_sym_module] = ACTIONS(2793),
    [anon_sym_any] = ACTIONS(2793),
    [anon_sym_number] = ACTIONS(2793),
    [anon_sym_boolean] = ACTIONS(2793),
    [anon_sym_string] = ACTIONS(2793),
    [anon_sym_symbol] = ACTIONS(2793),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_interface] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_export] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_type] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_typeof] = ACTIONS(2797),
    [anon_sym_import] = ACTIONS(2797),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_var] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_debugger] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [sym_glimmer_opening_tag] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_async] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_void] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2795),
    [sym_number] = ACTIONS(2795),
    [sym_private_property_identifier] = ACTIONS(2795),
    [sym_this] = ACTIONS(2797),
    [sym_super] = ACTIONS(2797),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [sym_null] = ACTIONS(2797),
    [sym_undefined] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(2795),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_readonly] = ACTIONS(2797),
    [anon_sym_get] = ACTIONS(2797),
    [anon_sym_set] = ACTIONS(2797),
    [anon_sym_declare] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_override] = ACTIONS(2797),
    [anon_sym_module] = ACTIONS(2797),
    [anon_sym_any] = ACTIONS(2797),
    [anon_sym_number] = ACTIONS(2797),
    [anon_sym_boolean] = ACTIONS(2797),
    [anon_sym_string] = ACTIONS(2797),
    [anon_sym_symbol] = ACTIONS(2797),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_abstract] = ACTIONS(2797),
    [anon_sym_interface] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_export] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_typeof] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2801),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_var] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2799),
    [anon_sym_await] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_debugger] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [sym_glimmer_opening_tag] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_async] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_void] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2799),
    [sym_number] = ACTIONS(2799),
    [sym_private_property_identifier] = ACTIONS(2799),
    [sym_this] = ACTIONS(2801),
    [sym_super] = ACTIONS(2801),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [sym_null] = ACTIONS(2801),
    [sym_undefined] = ACTIONS(2801),
    [anon_sym_AT] = ACTIONS(2799),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_readonly] = ACTIONS(2801),
    [anon_sym_get] = ACTIONS(2801),
    [anon_sym_set] = ACTIONS(2801),
    [anon_sym_declare] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2801),
    [anon_sym_any] = ACTIONS(2801),
    [anon_sym_number] = ACTIONS(2801),
    [anon_sym_boolean] = ACTIONS(2801),
    [anon_sym_string] = ACTIONS(2801),
    [anon_sym_symbol] = ACTIONS(2801),
    [anon_sym_object] = ACTIONS(2801),
    [anon_sym_abstract] = ACTIONS(2801),
    [anon_sym_interface] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_typeof] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2803),
    [anon_sym_await] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_debugger] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [sym_glimmer_opening_tag] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_void] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2803),
    [sym_number] = ACTIONS(2803),
    [sym_private_property_identifier] = ACTIONS(2803),
    [sym_this] = ACTIONS(2805),
    [sym_super] = ACTIONS(2805),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [sym_null] = ACTIONS(2805),
    [sym_undefined] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2805),
    [anon_sym_set] = ACTIONS(2805),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_abstract] = ACTIONS(2805),
    [anon_sym_interface] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(5152),
    [sym_optional_tuple_parameter] = STATE(5152),
    [sym_optional_type] = STATE(5152),
    [sym_rest_type] = STATE(5152),
    [sym__tuple_type_member] = STATE(5152),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2809),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_export] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_type] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_typeof] = ACTIONS(2813),
    [anon_sym_import] = ACTIONS(2813),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_var] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2811),
    [anon_sym_await] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_debugger] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2811),
    [sym_glimmer_opening_tag] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_async] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_void] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2811),
    [sym_number] = ACTIONS(2811),
    [sym_private_property_identifier] = ACTIONS(2811),
    [sym_this] = ACTIONS(2813),
    [sym_super] = ACTIONS(2813),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [sym_null] = ACTIONS(2813),
    [sym_undefined] = ACTIONS(2813),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_readonly] = ACTIONS(2813),
    [anon_sym_get] = ACTIONS(2813),
    [anon_sym_set] = ACTIONS(2813),
    [anon_sym_declare] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_override] = ACTIONS(2813),
    [anon_sym_module] = ACTIONS(2813),
    [anon_sym_any] = ACTIONS(2813),
    [anon_sym_number] = ACTIONS(2813),
    [anon_sym_boolean] = ACTIONS(2813),
    [anon_sym_string] = ACTIONS(2813),
    [anon_sym_symbol] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2813),
    [anon_sym_abstract] = ACTIONS(2813),
    [anon_sym_interface] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_export] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_typeof] = ACTIONS(2817),
    [anon_sym_import] = ACTIONS(2817),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_var] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_await] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_debugger] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [sym_glimmer_opening_tag] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_async] = ACTIONS(2817),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_void] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2815),
    [sym_number] = ACTIONS(2815),
    [sym_private_property_identifier] = ACTIONS(2815),
    [sym_this] = ACTIONS(2817),
    [sym_super] = ACTIONS(2817),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [sym_null] = ACTIONS(2817),
    [sym_undefined] = ACTIONS(2817),
    [anon_sym_AT] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_readonly] = ACTIONS(2817),
    [anon_sym_get] = ACTIONS(2817),
    [anon_sym_set] = ACTIONS(2817),
    [anon_sym_declare] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_override] = ACTIONS(2817),
    [anon_sym_module] = ACTIONS(2817),
    [anon_sym_any] = ACTIONS(2817),
    [anon_sym_number] = ACTIONS(2817),
    [anon_sym_boolean] = ACTIONS(2817),
    [anon_sym_string] = ACTIONS(2817),
    [anon_sym_symbol] = ACTIONS(2817),
    [anon_sym_object] = ACTIONS(2817),
    [anon_sym_abstract] = ACTIONS(2817),
    [anon_sym_interface] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_export] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_type] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_typeof] = ACTIONS(2821),
    [anon_sym_import] = ACTIONS(2821),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_var] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_await] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_debugger] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [sym_glimmer_opening_tag] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_async] = ACTIONS(2821),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_void] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2819),
    [sym_number] = ACTIONS(2819),
    [sym_private_property_identifier] = ACTIONS(2819),
    [sym_this] = ACTIONS(2821),
    [sym_super] = ACTIONS(2821),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [sym_null] = ACTIONS(2821),
    [sym_undefined] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_readonly] = ACTIONS(2821),
    [anon_sym_get] = ACTIONS(2821),
    [anon_sym_set] = ACTIONS(2821),
    [anon_sym_declare] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_override] = ACTIONS(2821),
    [anon_sym_module] = ACTIONS(2821),
    [anon_sym_any] = ACTIONS(2821),
    [anon_sym_number] = ACTIONS(2821),
    [anon_sym_boolean] = ACTIONS(2821),
    [anon_sym_string] = ACTIONS(2821),
    [anon_sym_symbol] = ACTIONS(2821),
    [anon_sym_object] = ACTIONS(2821),
    [anon_sym_abstract] = ACTIONS(2821),
    [anon_sym_interface] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_export] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_type] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_typeof] = ACTIONS(2825),
    [anon_sym_import] = ACTIONS(2825),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_var] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [anon_sym_await] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_debugger] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [sym_glimmer_opening_tag] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_async] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_void] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2823),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [sym_this] = ACTIONS(2825),
    [sym_super] = ACTIONS(2825),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [sym_null] = ACTIONS(2825),
    [sym_undefined] = ACTIONS(2825),
    [anon_sym_AT] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_readonly] = ACTIONS(2825),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_declare] = ACTIONS(2825),
    [anon_sym_public] = ACTIONS(2825),
    [anon_sym_private] = ACTIONS(2825),
    [anon_sym_protected] = ACTIONS(2825),
    [anon_sym_override] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2825),
    [anon_sym_any] = ACTIONS(2825),
    [anon_sym_number] = ACTIONS(2825),
    [anon_sym_boolean] = ACTIONS(2825),
    [anon_sym_string] = ACTIONS(2825),
    [anon_sym_symbol] = ACTIONS(2825),
    [anon_sym_object] = ACTIONS(2825),
    [anon_sym_abstract] = ACTIONS(2825),
    [anon_sym_interface] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_export] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_type] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_typeof] = ACTIONS(2829),
    [anon_sym_import] = ACTIONS(2829),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_var] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2827),
    [anon_sym_await] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_debugger] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [sym_glimmer_opening_tag] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_async] = ACTIONS(2829),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_void] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2827),
    [sym_number] = ACTIONS(2827),
    [sym_private_property_identifier] = ACTIONS(2827),
    [sym_this] = ACTIONS(2829),
    [sym_super] = ACTIONS(2829),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [sym_null] = ACTIONS(2829),
    [sym_undefined] = ACTIONS(2829),
    [anon_sym_AT] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_readonly] = ACTIONS(2829),
    [anon_sym_get] = ACTIONS(2829),
    [anon_sym_set] = ACTIONS(2829),
    [anon_sym_declare] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_override] = ACTIONS(2829),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_any] = ACTIONS(2829),
    [anon_sym_number] = ACTIONS(2829),
    [anon_sym_boolean] = ACTIONS(2829),
    [anon_sym_string] = ACTIONS(2829),
    [anon_sym_symbol] = ACTIONS(2829),
    [anon_sym_object] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2829),
    [anon_sym_interface] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_export] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_type] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_typeof] = ACTIONS(2833),
    [anon_sym_import] = ACTIONS(2833),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_var] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2831),
    [anon_sym_await] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_debugger] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [sym_glimmer_opening_tag] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_async] = ACTIONS(2833),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_SLASH] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_void] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2831),
    [sym_number] = ACTIONS(2831),
    [sym_private_property_identifier] = ACTIONS(2831),
    [sym_this] = ACTIONS(2833),
    [sym_super] = ACTIONS(2833),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [sym_null] = ACTIONS(2833),
    [sym_undefined] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_readonly] = ACTIONS(2833),
    [anon_sym_get] = ACTIONS(2833),
    [anon_sym_set] = ACTIONS(2833),
    [anon_sym_declare] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_override] = ACTIONS(2833),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_any] = ACTIONS(2833),
    [anon_sym_number] = ACTIONS(2833),
    [anon_sym_boolean] = ACTIONS(2833),
    [anon_sym_string] = ACTIONS(2833),
    [anon_sym_symbol] = ACTIONS(2833),
    [anon_sym_object] = ACTIONS(2833),
    [anon_sym_abstract] = ACTIONS(2833),
    [anon_sym_interface] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_export] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_typeof] = ACTIONS(2837),
    [anon_sym_import] = ACTIONS(2837),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_var] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2835),
    [anon_sym_await] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_debugger] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [sym_glimmer_opening_tag] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_async] = ACTIONS(2837),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_void] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2835),
    [sym_number] = ACTIONS(2835),
    [sym_private_property_identifier] = ACTIONS(2835),
    [sym_this] = ACTIONS(2837),
    [sym_super] = ACTIONS(2837),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [sym_null] = ACTIONS(2837),
    [sym_undefined] = ACTIONS(2837),
    [anon_sym_AT] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_readonly] = ACTIONS(2837),
    [anon_sym_get] = ACTIONS(2837),
    [anon_sym_set] = ACTIONS(2837),
    [anon_sym_declare] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_override] = ACTIONS(2837),
    [anon_sym_module] = ACTIONS(2837),
    [anon_sym_any] = ACTIONS(2837),
    [anon_sym_number] = ACTIONS(2837),
    [anon_sym_boolean] = ACTIONS(2837),
    [anon_sym_string] = ACTIONS(2837),
    [anon_sym_symbol] = ACTIONS(2837),
    [anon_sym_object] = ACTIONS(2837),
    [anon_sym_abstract] = ACTIONS(2837),
    [anon_sym_interface] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_export] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_typeof] = ACTIONS(2841),
    [anon_sym_import] = ACTIONS(2841),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_var] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_await] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_debugger] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [sym_glimmer_opening_tag] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_async] = ACTIONS(2841),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_void] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2839),
    [sym_number] = ACTIONS(2839),
    [sym_private_property_identifier] = ACTIONS(2839),
    [sym_this] = ACTIONS(2841),
    [sym_super] = ACTIONS(2841),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [sym_null] = ACTIONS(2841),
    [sym_undefined] = ACTIONS(2841),
    [anon_sym_AT] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_get] = ACTIONS(2841),
    [anon_sym_set] = ACTIONS(2841),
    [anon_sym_declare] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_override] = ACTIONS(2841),
    [anon_sym_module] = ACTIONS(2841),
    [anon_sym_any] = ACTIONS(2841),
    [anon_sym_number] = ACTIONS(2841),
    [anon_sym_boolean] = ACTIONS(2841),
    [anon_sym_string] = ACTIONS(2841),
    [anon_sym_symbol] = ACTIONS(2841),
    [anon_sym_object] = ACTIONS(2841),
    [anon_sym_abstract] = ACTIONS(2841),
    [anon_sym_interface] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_export] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_typeof] = ACTIONS(2845),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_await] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_debugger] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [sym_glimmer_opening_tag] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_async] = ACTIONS(2845),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_void] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2843),
    [sym_number] = ACTIONS(2843),
    [sym_private_property_identifier] = ACTIONS(2843),
    [sym_this] = ACTIONS(2845),
    [sym_super] = ACTIONS(2845),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [sym_null] = ACTIONS(2845),
    [sym_undefined] = ACTIONS(2845),
    [anon_sym_AT] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_readonly] = ACTIONS(2845),
    [anon_sym_get] = ACTIONS(2845),
    [anon_sym_set] = ACTIONS(2845),
    [anon_sym_declare] = ACTIONS(2845),
    [anon_sym_public] = ACTIONS(2845),
    [anon_sym_private] = ACTIONS(2845),
    [anon_sym_protected] = ACTIONS(2845),
    [anon_sym_override] = ACTIONS(2845),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_any] = ACTIONS(2845),
    [anon_sym_number] = ACTIONS(2845),
    [anon_sym_boolean] = ACTIONS(2845),
    [anon_sym_string] = ACTIONS(2845),
    [anon_sym_symbol] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_abstract] = ACTIONS(2845),
    [anon_sym_interface] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [sym_identifier] = ACTIONS(1907),
    [anon_sym_export] = ACTIONS(1907),
    [anon_sym_default] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1907),
    [anon_sym_namespace] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_RBRACE] = ACTIONS(1905),
    [anon_sym_typeof] = ACTIONS(1907),
    [anon_sym_import] = ACTIONS(1907),
    [anon_sym_with] = ACTIONS(1907),
    [anon_sym_var] = ACTIONS(1907),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1905),
    [anon_sym_else] = ACTIONS(1907),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_switch] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1907),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_await] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1907),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_break] = ACTIONS(1907),
    [anon_sym_continue] = ACTIONS(1907),
    [anon_sym_debugger] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1907),
    [anon_sym_throw] = ACTIONS(1907),
    [anon_sym_SEMI] = ACTIONS(1905),
    [anon_sym_case] = ACTIONS(1907),
    [anon_sym_yield] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1905),
    [sym_glimmer_opening_tag] = ACTIONS(1905),
    [anon_sym_DQUOTE] = ACTIONS(1905),
    [anon_sym_SQUOTE] = ACTIONS(1905),
    [anon_sym_class] = ACTIONS(1907),
    [anon_sym_async] = ACTIONS(1907),
    [anon_sym_function] = ACTIONS(1907),
    [anon_sym_new] = ACTIONS(1907),
    [anon_sym_using] = ACTIONS(1907),
    [anon_sym_PLUS] = ACTIONS(1907),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_TILDE] = ACTIONS(1905),
    [anon_sym_void] = ACTIONS(1907),
    [anon_sym_delete] = ACTIONS(1907),
    [anon_sym_PLUS_PLUS] = ACTIONS(1905),
    [anon_sym_DASH_DASH] = ACTIONS(1905),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1905),
    [sym_number] = ACTIONS(1905),
    [sym_private_property_identifier] = ACTIONS(1905),
    [sym_this] = ACTIONS(1907),
    [sym_super] = ACTIONS(1907),
    [sym_true] = ACTIONS(1907),
    [sym_false] = ACTIONS(1907),
    [sym_null] = ACTIONS(1907),
    [sym_undefined] = ACTIONS(1907),
    [anon_sym_AT] = ACTIONS(1905),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_readonly] = ACTIONS(1907),
    [anon_sym_get] = ACTIONS(1907),
    [anon_sym_set] = ACTIONS(1907),
    [anon_sym_declare] = ACTIONS(1907),
    [anon_sym_public] = ACTIONS(1907),
    [anon_sym_private] = ACTIONS(1907),
    [anon_sym_protected] = ACTIONS(1907),
    [anon_sym_override] = ACTIONS(1907),
    [anon_sym_module] = ACTIONS(1907),
    [anon_sym_any] = ACTIONS(1907),
    [anon_sym_number] = ACTIONS(1907),
    [anon_sym_boolean] = ACTIONS(1907),
    [anon_sym_string] = ACTIONS(1907),
    [anon_sym_symbol] = ACTIONS(1907),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_abstract] = ACTIONS(1907),
    [anon_sym_interface] = ACTIONS(1907),
    [anon_sym_enum] = ACTIONS(1907),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_export] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_type] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_typeof] = ACTIONS(2849),
    [anon_sym_import] = ACTIONS(2849),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_var] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2847),
    [anon_sym_await] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_debugger] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [sym_glimmer_opening_tag] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_async] = ACTIONS(2849),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_SLASH] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_void] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2847),
    [sym_number] = ACTIONS(2847),
    [sym_private_property_identifier] = ACTIONS(2847),
    [sym_this] = ACTIONS(2849),
    [sym_super] = ACTIONS(2849),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [sym_null] = ACTIONS(2849),
    [sym_undefined] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_readonly] = ACTIONS(2849),
    [anon_sym_get] = ACTIONS(2849),
    [anon_sym_set] = ACTIONS(2849),
    [anon_sym_declare] = ACTIONS(2849),
    [anon_sym_public] = ACTIONS(2849),
    [anon_sym_private] = ACTIONS(2849),
    [anon_sym_protected] = ACTIONS(2849),
    [anon_sym_override] = ACTIONS(2849),
    [anon_sym_module] = ACTIONS(2849),
    [anon_sym_any] = ACTIONS(2849),
    [anon_sym_number] = ACTIONS(2849),
    [anon_sym_boolean] = ACTIONS(2849),
    [anon_sym_string] = ACTIONS(2849),
    [anon_sym_symbol] = ACTIONS(2849),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_abstract] = ACTIONS(2849),
    [anon_sym_interface] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [sym_identifier] = ACTIONS(1838),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_default] = ACTIONS(1838),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_typeof] = ACTIONS(1838),
    [anon_sym_import] = ACTIONS(1838),
    [anon_sym_with] = ACTIONS(1838),
    [anon_sym_var] = ACTIONS(1838),
    [anon_sym_let] = ACTIONS(1838),
    [anon_sym_const] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1836),
    [anon_sym_else] = ACTIONS(1838),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_for] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1838),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_try] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_debugger] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_throw] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_case] = ACTIONS(1838),
    [anon_sym_yield] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [sym_glimmer_opening_tag] = ACTIONS(1836),
    [anon_sym_DQUOTE] = ACTIONS(1836),
    [anon_sym_SQUOTE] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1838),
    [anon_sym_new] = ACTIONS(1838),
    [anon_sym_using] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1836),
    [anon_sym_void] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1836),
    [sym_number] = ACTIONS(1836),
    [sym_private_property_identifier] = ACTIONS(1836),
    [sym_this] = ACTIONS(1838),
    [sym_super] = ACTIONS(1838),
    [sym_true] = ACTIONS(1838),
    [sym_false] = ACTIONS(1838),
    [sym_null] = ACTIONS(1838),
    [sym_undefined] = ACTIONS(1838),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
    [anon_sym_object] = ACTIONS(1838),
    [anon_sym_abstract] = ACTIONS(1838),
    [anon_sym_interface] = ACTIONS(1838),
    [anon_sym_enum] = ACTIONS(1838),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(4953),
    [sym_optional_tuple_parameter] = STATE(4953),
    [sym_optional_type] = STATE(4953),
    [sym_rest_type] = STATE(4953),
    [sym__tuple_type_member] = STATE(4953),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(2851),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_type] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_var] = ACTIONS(2497),
    [anon_sym_let] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_await] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_debugger] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [sym_glimmer_opening_tag] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_async] = ACTIONS(2497),
    [anon_sym_function] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_void] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2495),
    [sym_number] = ACTIONS(2495),
    [sym_private_property_identifier] = ACTIONS(2495),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_null] = ACTIONS(2497),
    [sym_undefined] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2495),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_readonly] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2497),
    [anon_sym_declare] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_override] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_any] = ACTIONS(2497),
    [anon_sym_number] = ACTIONS(2497),
    [anon_sym_boolean] = ACTIONS(2497),
    [anon_sym_string] = ACTIONS(2497),
    [anon_sym_symbol] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(5202),
    [sym_optional_tuple_parameter] = STATE(5202),
    [sym_optional_type] = STATE(5202),
    [sym_rest_type] = STATE(5202),
    [sym__tuple_type_member] = STATE(5202),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(2855),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(1750),
    [sym_identifier] = ACTIONS(1752),
    [anon_sym_export] = ACTIONS(1752),
    [anon_sym_default] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1752),
    [anon_sym_namespace] = ACTIONS(1752),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [anon_sym_typeof] = ACTIONS(1752),
    [anon_sym_import] = ACTIONS(1752),
    [anon_sym_with] = ACTIONS(1752),
    [anon_sym_var] = ACTIONS(1752),
    [anon_sym_let] = ACTIONS(1752),
    [anon_sym_const] = ACTIONS(1752),
    [anon_sym_BANG] = ACTIONS(1750),
    [anon_sym_else] = ACTIONS(1752),
    [anon_sym_if] = ACTIONS(1752),
    [anon_sym_switch] = ACTIONS(1752),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_await] = ACTIONS(1752),
    [anon_sym_while] = ACTIONS(1752),
    [anon_sym_do] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1752),
    [anon_sym_break] = ACTIONS(1752),
    [anon_sym_continue] = ACTIONS(1752),
    [anon_sym_debugger] = ACTIONS(1752),
    [anon_sym_return] = ACTIONS(1752),
    [anon_sym_throw] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_case] = ACTIONS(1752),
    [anon_sym_yield] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1750),
    [sym_glimmer_opening_tag] = ACTIONS(1750),
    [anon_sym_DQUOTE] = ACTIONS(1750),
    [anon_sym_SQUOTE] = ACTIONS(1750),
    [anon_sym_class] = ACTIONS(1752),
    [anon_sym_async] = ACTIONS(1752),
    [anon_sym_function] = ACTIONS(1752),
    [anon_sym_new] = ACTIONS(1752),
    [anon_sym_using] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_void] = ACTIONS(1752),
    [anon_sym_delete] = ACTIONS(1752),
    [anon_sym_PLUS_PLUS] = ACTIONS(1750),
    [anon_sym_DASH_DASH] = ACTIONS(1750),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1750),
    [sym_number] = ACTIONS(1750),
    [sym_private_property_identifier] = ACTIONS(1750),
    [sym_this] = ACTIONS(1752),
    [sym_super] = ACTIONS(1752),
    [sym_true] = ACTIONS(1752),
    [sym_false] = ACTIONS(1752),
    [sym_null] = ACTIONS(1752),
    [sym_undefined] = ACTIONS(1752),
    [anon_sym_AT] = ACTIONS(1750),
    [anon_sym_static] = ACTIONS(1752),
    [anon_sym_readonly] = ACTIONS(1752),
    [anon_sym_get] = ACTIONS(1752),
    [anon_sym_set] = ACTIONS(1752),
    [anon_sym_declare] = ACTIONS(1752),
    [anon_sym_public] = ACTIONS(1752),
    [anon_sym_private] = ACTIONS(1752),
    [anon_sym_protected] = ACTIONS(1752),
    [anon_sym_override] = ACTIONS(1752),
    [anon_sym_module] = ACTIONS(1752),
    [anon_sym_any] = ACTIONS(1752),
    [anon_sym_number] = ACTIONS(1752),
    [anon_sym_boolean] = ACTIONS(1752),
    [anon_sym_string] = ACTIONS(1752),
    [anon_sym_symbol] = ACTIONS(1752),
    [anon_sym_object] = ACTIONS(1752),
    [anon_sym_abstract] = ACTIONS(1752),
    [anon_sym_interface] = ACTIONS(1752),
    [anon_sym_enum] = ACTIONS(1752),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_export] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_type] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_typeof] = ACTIONS(2861),
    [anon_sym_import] = ACTIONS(2861),
    [anon_sym_with] = ACTIONS(2861),
    [anon_sym_var] = ACTIONS(2861),
    [anon_sym_let] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_await] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_debugger] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_yield] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [sym_glimmer_opening_tag] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_void] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2859),
    [sym_number] = ACTIONS(2859),
    [sym_private_property_identifier] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_super] = ACTIONS(2861),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [sym_null] = ACTIONS(2861),
    [sym_undefined] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_get] = ACTIONS(2861),
    [anon_sym_set] = ACTIONS(2861),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2861),
    [anon_sym_any] = ACTIONS(2861),
    [anon_sym_number] = ACTIONS(2861),
    [anon_sym_boolean] = ACTIONS(2861),
    [anon_sym_string] = ACTIONS(2861),
    [anon_sym_symbol] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2861),
    [anon_sym_abstract] = ACTIONS(2861),
    [anon_sym_interface] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_export] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_type] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_typeof] = ACTIONS(2861),
    [anon_sym_import] = ACTIONS(2861),
    [anon_sym_with] = ACTIONS(2861),
    [anon_sym_var] = ACTIONS(2861),
    [anon_sym_let] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_await] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_debugger] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_yield] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [sym_glimmer_opening_tag] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_void] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2859),
    [sym_number] = ACTIONS(2859),
    [sym_private_property_identifier] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_super] = ACTIONS(2861),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [sym_null] = ACTIONS(2861),
    [sym_undefined] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_get] = ACTIONS(2861),
    [anon_sym_set] = ACTIONS(2861),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2861),
    [anon_sym_any] = ACTIONS(2861),
    [anon_sym_number] = ACTIONS(2861),
    [anon_sym_boolean] = ACTIONS(2861),
    [anon_sym_string] = ACTIONS(2861),
    [anon_sym_symbol] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2861),
    [anon_sym_abstract] = ACTIONS(2861),
    [anon_sym_interface] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_type] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_var] = ACTIONS(2497),
    [anon_sym_let] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_await] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_debugger] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [sym_glimmer_opening_tag] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_async] = ACTIONS(2497),
    [anon_sym_function] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_void] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2495),
    [sym_number] = ACTIONS(2495),
    [sym_private_property_identifier] = ACTIONS(2495),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_null] = ACTIONS(2497),
    [sym_undefined] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2495),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_readonly] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2497),
    [anon_sym_declare] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_override] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_any] = ACTIONS(2497),
    [anon_sym_number] = ACTIONS(2497),
    [anon_sym_boolean] = ACTIONS(2497),
    [anon_sym_string] = ACTIONS(2497),
    [anon_sym_symbol] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_export] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_type] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_typeof] = ACTIONS(2861),
    [anon_sym_import] = ACTIONS(2861),
    [anon_sym_with] = ACTIONS(2861),
    [anon_sym_var] = ACTIONS(2861),
    [anon_sym_let] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_await] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_debugger] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_yield] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [sym_glimmer_opening_tag] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_void] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2859),
    [sym_number] = ACTIONS(2859),
    [sym_private_property_identifier] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_super] = ACTIONS(2861),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [sym_null] = ACTIONS(2861),
    [sym_undefined] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_get] = ACTIONS(2861),
    [anon_sym_set] = ACTIONS(2861),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2861),
    [anon_sym_any] = ACTIONS(2861),
    [anon_sym_number] = ACTIONS(2861),
    [anon_sym_boolean] = ACTIONS(2861),
    [anon_sym_string] = ACTIONS(2861),
    [anon_sym_symbol] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2861),
    [anon_sym_abstract] = ACTIONS(2861),
    [anon_sym_interface] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(1836),
    [sym_identifier] = ACTIONS(1838),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_default] = ACTIONS(1838),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_typeof] = ACTIONS(1838),
    [anon_sym_import] = ACTIONS(1838),
    [anon_sym_with] = ACTIONS(1838),
    [anon_sym_var] = ACTIONS(1838),
    [anon_sym_let] = ACTIONS(1838),
    [anon_sym_const] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1836),
    [anon_sym_else] = ACTIONS(1838),
    [anon_sym_if] = ACTIONS(1838),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_for] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_await] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1838),
    [anon_sym_do] = ACTIONS(1838),
    [anon_sym_try] = ACTIONS(1838),
    [anon_sym_break] = ACTIONS(1838),
    [anon_sym_continue] = ACTIONS(1838),
    [anon_sym_debugger] = ACTIONS(1838),
    [anon_sym_return] = ACTIONS(1838),
    [anon_sym_throw] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_case] = ACTIONS(1838),
    [anon_sym_yield] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [sym_glimmer_opening_tag] = ACTIONS(1836),
    [anon_sym_DQUOTE] = ACTIONS(1836),
    [anon_sym_SQUOTE] = ACTIONS(1836),
    [anon_sym_class] = ACTIONS(1838),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1838),
    [anon_sym_new] = ACTIONS(1838),
    [anon_sym_using] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_TILDE] = ACTIONS(1836),
    [anon_sym_void] = ACTIONS(1838),
    [anon_sym_delete] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1836),
    [sym_number] = ACTIONS(1836),
    [sym_private_property_identifier] = ACTIONS(1836),
    [sym_this] = ACTIONS(1838),
    [sym_super] = ACTIONS(1838),
    [sym_true] = ACTIONS(1838),
    [sym_false] = ACTIONS(1838),
    [sym_null] = ACTIONS(1838),
    [sym_undefined] = ACTIONS(1838),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
    [anon_sym_object] = ACTIONS(1838),
    [anon_sym_abstract] = ACTIONS(1838),
    [anon_sym_interface] = ACTIONS(1838),
    [anon_sym_enum] = ACTIONS(1838),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_export] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_type] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_typeof] = ACTIONS(2865),
    [anon_sym_import] = ACTIONS(2865),
    [anon_sym_with] = ACTIONS(2865),
    [anon_sym_var] = ACTIONS(2865),
    [anon_sym_let] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_await] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_debugger] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_yield] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [sym_glimmer_opening_tag] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_async] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_SLASH] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_void] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2863),
    [sym_number] = ACTIONS(2863),
    [sym_private_property_identifier] = ACTIONS(2863),
    [sym_this] = ACTIONS(2865),
    [sym_super] = ACTIONS(2865),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [sym_null] = ACTIONS(2865),
    [sym_undefined] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_get] = ACTIONS(2865),
    [anon_sym_set] = ACTIONS(2865),
    [anon_sym_declare] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_override] = ACTIONS(2865),
    [anon_sym_module] = ACTIONS(2865),
    [anon_sym_any] = ACTIONS(2865),
    [anon_sym_number] = ACTIONS(2865),
    [anon_sym_boolean] = ACTIONS(2865),
    [anon_sym_string] = ACTIONS(2865),
    [anon_sym_symbol] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2865),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_interface] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_export] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_type] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_typeof] = ACTIONS(2869),
    [anon_sym_import] = ACTIONS(2869),
    [anon_sym_with] = ACTIONS(2869),
    [anon_sym_var] = ACTIONS(2869),
    [anon_sym_let] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_LPAREN] = ACTIONS(2867),
    [anon_sym_await] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_debugger] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_yield] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [sym_glimmer_opening_tag] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_async] = ACTIONS(2869),
    [anon_sym_function] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_SLASH] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_void] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2867),
    [sym_number] = ACTIONS(2867),
    [sym_private_property_identifier] = ACTIONS(2867),
    [sym_this] = ACTIONS(2869),
    [sym_super] = ACTIONS(2869),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [sym_null] = ACTIONS(2869),
    [sym_undefined] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_readonly] = ACTIONS(2869),
    [anon_sym_get] = ACTIONS(2869),
    [anon_sym_set] = ACTIONS(2869),
    [anon_sym_declare] = ACTIONS(2869),
    [anon_sym_public] = ACTIONS(2869),
    [anon_sym_private] = ACTIONS(2869),
    [anon_sym_protected] = ACTIONS(2869),
    [anon_sym_override] = ACTIONS(2869),
    [anon_sym_module] = ACTIONS(2869),
    [anon_sym_any] = ACTIONS(2869),
    [anon_sym_number] = ACTIONS(2869),
    [anon_sym_boolean] = ACTIONS(2869),
    [anon_sym_string] = ACTIONS(2869),
    [anon_sym_symbol] = ACTIONS(2869),
    [anon_sym_object] = ACTIONS(2869),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_interface] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_type] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_typeof] = ACTIONS(2873),
    [anon_sym_import] = ACTIONS(2873),
    [anon_sym_with] = ACTIONS(2873),
    [anon_sym_var] = ACTIONS(2873),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2871),
    [anon_sym_await] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_debugger] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_yield] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [sym_glimmer_opening_tag] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_async] = ACTIONS(2873),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_SLASH] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_void] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2871),
    [sym_number] = ACTIONS(2871),
    [sym_private_property_identifier] = ACTIONS(2871),
    [sym_this] = ACTIONS(2873),
    [sym_super] = ACTIONS(2873),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [sym_null] = ACTIONS(2873),
    [sym_undefined] = ACTIONS(2873),
    [anon_sym_AT] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_readonly] = ACTIONS(2873),
    [anon_sym_get] = ACTIONS(2873),
    [anon_sym_set] = ACTIONS(2873),
    [anon_sym_declare] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_override] = ACTIONS(2873),
    [anon_sym_module] = ACTIONS(2873),
    [anon_sym_any] = ACTIONS(2873),
    [anon_sym_number] = ACTIONS(2873),
    [anon_sym_boolean] = ACTIONS(2873),
    [anon_sym_string] = ACTIONS(2873),
    [anon_sym_symbol] = ACTIONS(2873),
    [anon_sym_object] = ACTIONS(2873),
    [anon_sym_abstract] = ACTIONS(2873),
    [anon_sym_interface] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_export] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_typeof] = ACTIONS(2877),
    [anon_sym_import] = ACTIONS(2877),
    [anon_sym_with] = ACTIONS(2877),
    [anon_sym_var] = ACTIONS(2877),
    [anon_sym_let] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_LPAREN] = ACTIONS(2875),
    [anon_sym_await] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_debugger] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_yield] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [sym_glimmer_opening_tag] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_async] = ACTIONS(2877),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_void] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2875),
    [sym_number] = ACTIONS(2875),
    [sym_private_property_identifier] = ACTIONS(2875),
    [sym_this] = ACTIONS(2877),
    [sym_super] = ACTIONS(2877),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [sym_null] = ACTIONS(2877),
    [sym_undefined] = ACTIONS(2877),
    [anon_sym_AT] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_readonly] = ACTIONS(2877),
    [anon_sym_get] = ACTIONS(2877),
    [anon_sym_set] = ACTIONS(2877),
    [anon_sym_declare] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_override] = ACTIONS(2877),
    [anon_sym_module] = ACTIONS(2877),
    [anon_sym_any] = ACTIONS(2877),
    [anon_sym_number] = ACTIONS(2877),
    [anon_sym_boolean] = ACTIONS(2877),
    [anon_sym_string] = ACTIONS(2877),
    [anon_sym_symbol] = ACTIONS(2877),
    [anon_sym_object] = ACTIONS(2877),
    [anon_sym_abstract] = ACTIONS(2877),
    [anon_sym_interface] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_export] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_type] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_typeof] = ACTIONS(2881),
    [anon_sym_import] = ACTIONS(2881),
    [anon_sym_with] = ACTIONS(2881),
    [anon_sym_var] = ACTIONS(2881),
    [anon_sym_let] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_LPAREN] = ACTIONS(2879),
    [anon_sym_await] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_debugger] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_yield] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [sym_glimmer_opening_tag] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_SLASH] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_void] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2879),
    [sym_number] = ACTIONS(2879),
    [sym_private_property_identifier] = ACTIONS(2879),
    [sym_this] = ACTIONS(2881),
    [sym_super] = ACTIONS(2881),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [sym_null] = ACTIONS(2881),
    [sym_undefined] = ACTIONS(2881),
    [anon_sym_AT] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_readonly] = ACTIONS(2881),
    [anon_sym_get] = ACTIONS(2881),
    [anon_sym_set] = ACTIONS(2881),
    [anon_sym_declare] = ACTIONS(2881),
    [anon_sym_public] = ACTIONS(2881),
    [anon_sym_private] = ACTIONS(2881),
    [anon_sym_protected] = ACTIONS(2881),
    [anon_sym_override] = ACTIONS(2881),
    [anon_sym_module] = ACTIONS(2881),
    [anon_sym_any] = ACTIONS(2881),
    [anon_sym_number] = ACTIONS(2881),
    [anon_sym_boolean] = ACTIONS(2881),
    [anon_sym_string] = ACTIONS(2881),
    [anon_sym_symbol] = ACTIONS(2881),
    [anon_sym_object] = ACTIONS(2881),
    [anon_sym_abstract] = ACTIONS(2881),
    [anon_sym_interface] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_export] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_type] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_typeof] = ACTIONS(2885),
    [anon_sym_import] = ACTIONS(2885),
    [anon_sym_with] = ACTIONS(2885),
    [anon_sym_var] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_await] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_debugger] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_yield] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [sym_glimmer_opening_tag] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_async] = ACTIONS(2885),
    [anon_sym_function] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_void] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2883),
    [sym_number] = ACTIONS(2883),
    [sym_private_property_identifier] = ACTIONS(2883),
    [sym_this] = ACTIONS(2885),
    [sym_super] = ACTIONS(2885),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [sym_null] = ACTIONS(2885),
    [sym_undefined] = ACTIONS(2885),
    [anon_sym_AT] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_readonly] = ACTIONS(2885),
    [anon_sym_get] = ACTIONS(2885),
    [anon_sym_set] = ACTIONS(2885),
    [anon_sym_declare] = ACTIONS(2885),
    [anon_sym_public] = ACTIONS(2885),
    [anon_sym_private] = ACTIONS(2885),
    [anon_sym_protected] = ACTIONS(2885),
    [anon_sym_override] = ACTIONS(2885),
    [anon_sym_module] = ACTIONS(2885),
    [anon_sym_any] = ACTIONS(2885),
    [anon_sym_number] = ACTIONS(2885),
    [anon_sym_boolean] = ACTIONS(2885),
    [anon_sym_string] = ACTIONS(2885),
    [anon_sym_symbol] = ACTIONS(2885),
    [anon_sym_object] = ACTIONS(2885),
    [anon_sym_abstract] = ACTIONS(2885),
    [anon_sym_interface] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_export] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_typeof] = ACTIONS(2889),
    [anon_sym_import] = ACTIONS(2889),
    [anon_sym_with] = ACTIONS(2889),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_await] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_debugger] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_yield] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_glimmer_opening_tag] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_async] = ACTIONS(2889),
    [anon_sym_function] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_void] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2887),
    [sym_number] = ACTIONS(2887),
    [sym_private_property_identifier] = ACTIONS(2887),
    [sym_this] = ACTIONS(2889),
    [sym_super] = ACTIONS(2889),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [sym_null] = ACTIONS(2889),
    [sym_undefined] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_readonly] = ACTIONS(2889),
    [anon_sym_get] = ACTIONS(2889),
    [anon_sym_set] = ACTIONS(2889),
    [anon_sym_declare] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2889),
    [anon_sym_module] = ACTIONS(2889),
    [anon_sym_any] = ACTIONS(2889),
    [anon_sym_number] = ACTIONS(2889),
    [anon_sym_boolean] = ACTIONS(2889),
    [anon_sym_string] = ACTIONS(2889),
    [anon_sym_symbol] = ACTIONS(2889),
    [anon_sym_object] = ACTIONS(2889),
    [anon_sym_abstract] = ACTIONS(2889),
    [anon_sym_interface] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_rest_pattern] = STATE(6041),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3962),
    [sym_tuple_parameter] = STATE(6049),
    [sym_optional_tuple_parameter] = STATE(6049),
    [sym_optional_type] = STATE(6049),
    [sym_rest_type] = STATE(6049),
    [sym__tuple_type_member] = STATE(6049),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2539),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2459),
    [anon_sym_export] = ACTIONS(2459),
    [anon_sym_type] = ACTIONS(2459),
    [anon_sym_namespace] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(2457),
    [anon_sym_typeof] = ACTIONS(2459),
    [anon_sym_import] = ACTIONS(2459),
    [anon_sym_with] = ACTIONS(2459),
    [anon_sym_var] = ACTIONS(2459),
    [anon_sym_let] = ACTIONS(2459),
    [anon_sym_const] = ACTIONS(2459),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_switch] = ACTIONS(2459),
    [anon_sym_for] = ACTIONS(2459),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_await] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(2459),
    [anon_sym_do] = ACTIONS(2459),
    [anon_sym_try] = ACTIONS(2459),
    [anon_sym_break] = ACTIONS(2459),
    [anon_sym_continue] = ACTIONS(2459),
    [anon_sym_debugger] = ACTIONS(2459),
    [anon_sym_return] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_yield] = ACTIONS(2459),
    [anon_sym_LBRACK] = ACTIONS(2457),
    [sym_glimmer_opening_tag] = ACTIONS(2457),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2457),
    [anon_sym_class] = ACTIONS(2459),
    [anon_sym_async] = ACTIONS(2459),
    [anon_sym_function] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(2459),
    [anon_sym_using] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(2459),
    [anon_sym_DASH] = ACTIONS(2459),
    [anon_sym_SLASH] = ACTIONS(2459),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_TILDE] = ACTIONS(2457),
    [anon_sym_void] = ACTIONS(2459),
    [anon_sym_delete] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2457),
    [anon_sym_DASH_DASH] = ACTIONS(2457),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2457),
    [sym_number] = ACTIONS(2457),
    [sym_private_property_identifier] = ACTIONS(2457),
    [sym_this] = ACTIONS(2459),
    [sym_super] = ACTIONS(2459),
    [sym_true] = ACTIONS(2459),
    [sym_false] = ACTIONS(2459),
    [sym_null] = ACTIONS(2459),
    [sym_undefined] = ACTIONS(2459),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2459),
    [anon_sym_readonly] = ACTIONS(2459),
    [anon_sym_get] = ACTIONS(2459),
    [anon_sym_set] = ACTIONS(2459),
    [anon_sym_declare] = ACTIONS(2459),
    [anon_sym_public] = ACTIONS(2459),
    [anon_sym_private] = ACTIONS(2459),
    [anon_sym_protected] = ACTIONS(2459),
    [anon_sym_override] = ACTIONS(2459),
    [anon_sym_module] = ACTIONS(2459),
    [anon_sym_any] = ACTIONS(2459),
    [anon_sym_number] = ACTIONS(2459),
    [anon_sym_boolean] = ACTIONS(2459),
    [anon_sym_string] = ACTIONS(2459),
    [anon_sym_symbol] = ACTIONS(2459),
    [anon_sym_object] = ACTIONS(2459),
    [anon_sym_abstract] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2459),
    [anon_sym_enum] = ACTIONS(2459),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_export] = ACTIONS(2911),
    [anon_sym_type] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_typeof] = ACTIONS(2911),
    [anon_sym_import] = ACTIONS(2911),
    [anon_sym_with] = ACTIONS(2911),
    [anon_sym_var] = ACTIONS(2911),
    [anon_sym_let] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_LPAREN] = ACTIONS(2913),
    [anon_sym_await] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_debugger] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym_yield] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [sym_glimmer_opening_tag] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_async] = ACTIONS(2911),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_void] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2913),
    [sym_number] = ACTIONS(2913),
    [sym_private_property_identifier] = ACTIONS(2913),
    [sym_this] = ACTIONS(2911),
    [sym_super] = ACTIONS(2911),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [sym_null] = ACTIONS(2911),
    [sym_undefined] = ACTIONS(2911),
    [anon_sym_AT] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_readonly] = ACTIONS(2911),
    [anon_sym_get] = ACTIONS(2911),
    [anon_sym_set] = ACTIONS(2911),
    [anon_sym_declare] = ACTIONS(2911),
    [anon_sym_public] = ACTIONS(2911),
    [anon_sym_private] = ACTIONS(2911),
    [anon_sym_protected] = ACTIONS(2911),
    [anon_sym_override] = ACTIONS(2911),
    [anon_sym_module] = ACTIONS(2911),
    [anon_sym_any] = ACTIONS(2911),
    [anon_sym_number] = ACTIONS(2911),
    [anon_sym_boolean] = ACTIONS(2911),
    [anon_sym_string] = ACTIONS(2911),
    [anon_sym_symbol] = ACTIONS(2911),
    [anon_sym_object] = ACTIONS(2911),
    [anon_sym_abstract] = ACTIONS(2911),
    [anon_sym_interface] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_export] = ACTIONS(2915),
    [anon_sym_type] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_typeof] = ACTIONS(2915),
    [anon_sym_import] = ACTIONS(2915),
    [anon_sym_with] = ACTIONS(2915),
    [anon_sym_var] = ACTIONS(2915),
    [anon_sym_let] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_await] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_debugger] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [sym_glimmer_opening_tag] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_async] = ACTIONS(2915),
    [anon_sym_function] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_void] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2917),
    [sym_number] = ACTIONS(2917),
    [sym_private_property_identifier] = ACTIONS(2917),
    [sym_this] = ACTIONS(2915),
    [sym_super] = ACTIONS(2915),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [sym_null] = ACTIONS(2915),
    [sym_undefined] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_readonly] = ACTIONS(2915),
    [anon_sym_get] = ACTIONS(2915),
    [anon_sym_set] = ACTIONS(2915),
    [anon_sym_declare] = ACTIONS(2915),
    [anon_sym_public] = ACTIONS(2915),
    [anon_sym_private] = ACTIONS(2915),
    [anon_sym_protected] = ACTIONS(2915),
    [anon_sym_override] = ACTIONS(2915),
    [anon_sym_module] = ACTIONS(2915),
    [anon_sym_any] = ACTIONS(2915),
    [anon_sym_number] = ACTIONS(2915),
    [anon_sym_boolean] = ACTIONS(2915),
    [anon_sym_string] = ACTIONS(2915),
    [anon_sym_symbol] = ACTIONS(2915),
    [anon_sym_object] = ACTIONS(2915),
    [anon_sym_abstract] = ACTIONS(2915),
    [anon_sym_interface] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym_identifier] = ACTIONS(2463),
    [anon_sym_export] = ACTIONS(2463),
    [anon_sym_type] = ACTIONS(2463),
    [anon_sym_namespace] = ACTIONS(2463),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_typeof] = ACTIONS(2463),
    [anon_sym_import] = ACTIONS(2463),
    [anon_sym_with] = ACTIONS(2463),
    [anon_sym_var] = ACTIONS(2463),
    [anon_sym_let] = ACTIONS(2463),
    [anon_sym_const] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2461),
    [anon_sym_if] = ACTIONS(2463),
    [anon_sym_switch] = ACTIONS(2463),
    [anon_sym_for] = ACTIONS(2463),
    [anon_sym_LPAREN] = ACTIONS(2461),
    [anon_sym_await] = ACTIONS(2463),
    [anon_sym_while] = ACTIONS(2463),
    [anon_sym_do] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2463),
    [anon_sym_break] = ACTIONS(2463),
    [anon_sym_continue] = ACTIONS(2463),
    [anon_sym_debugger] = ACTIONS(2463),
    [anon_sym_return] = ACTIONS(2463),
    [anon_sym_throw] = ACTIONS(2463),
    [anon_sym_SEMI] = ACTIONS(2461),
    [anon_sym_yield] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(2461),
    [sym_glimmer_opening_tag] = ACTIONS(2461),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2461),
    [anon_sym_class] = ACTIONS(2463),
    [anon_sym_async] = ACTIONS(2463),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_new] = ACTIONS(2463),
    [anon_sym_using] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2463),
    [anon_sym_DASH] = ACTIONS(2463),
    [anon_sym_SLASH] = ACTIONS(2463),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_TILDE] = ACTIONS(2461),
    [anon_sym_void] = ACTIONS(2463),
    [anon_sym_delete] = ACTIONS(2463),
    [anon_sym_PLUS_PLUS] = ACTIONS(2461),
    [anon_sym_DASH_DASH] = ACTIONS(2461),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2461),
    [sym_number] = ACTIONS(2461),
    [sym_private_property_identifier] = ACTIONS(2461),
    [sym_this] = ACTIONS(2463),
    [sym_super] = ACTIONS(2463),
    [sym_true] = ACTIONS(2463),
    [sym_false] = ACTIONS(2463),
    [sym_null] = ACTIONS(2463),
    [sym_undefined] = ACTIONS(2463),
    [anon_sym_AT] = ACTIONS(2461),
    [anon_sym_static] = ACTIONS(2463),
    [anon_sym_readonly] = ACTIONS(2463),
    [anon_sym_get] = ACTIONS(2463),
    [anon_sym_set] = ACTIONS(2463),
    [anon_sym_declare] = ACTIONS(2463),
    [anon_sym_public] = ACTIONS(2463),
    [anon_sym_private] = ACTIONS(2463),
    [anon_sym_protected] = ACTIONS(2463),
    [anon_sym_override] = ACTIONS(2463),
    [anon_sym_module] = ACTIONS(2463),
    [anon_sym_any] = ACTIONS(2463),
    [anon_sym_number] = ACTIONS(2463),
    [anon_sym_boolean] = ACTIONS(2463),
    [anon_sym_string] = ACTIONS(2463),
    [anon_sym_symbol] = ACTIONS(2463),
    [anon_sym_object] = ACTIONS(2463),
    [anon_sym_abstract] = ACTIONS(2463),
    [anon_sym_interface] = ACTIONS(2463),
    [anon_sym_enum] = ACTIONS(2463),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_export] = ACTIONS(2919),
    [anon_sym_type] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_typeof] = ACTIONS(2919),
    [anon_sym_import] = ACTIONS(2919),
    [anon_sym_with] = ACTIONS(2919),
    [anon_sym_var] = ACTIONS(2919),
    [anon_sym_let] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_await] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_debugger] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_yield] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [sym_glimmer_opening_tag] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_async] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_SLASH] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_void] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2921),
    [sym_number] = ACTIONS(2921),
    [sym_private_property_identifier] = ACTIONS(2921),
    [sym_this] = ACTIONS(2919),
    [sym_super] = ACTIONS(2919),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [sym_null] = ACTIONS(2919),
    [sym_undefined] = ACTIONS(2919),
    [anon_sym_AT] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_readonly] = ACTIONS(2919),
    [anon_sym_get] = ACTIONS(2919),
    [anon_sym_set] = ACTIONS(2919),
    [anon_sym_declare] = ACTIONS(2919),
    [anon_sym_public] = ACTIONS(2919),
    [anon_sym_private] = ACTIONS(2919),
    [anon_sym_protected] = ACTIONS(2919),
    [anon_sym_override] = ACTIONS(2919),
    [anon_sym_module] = ACTIONS(2919),
    [anon_sym_any] = ACTIONS(2919),
    [anon_sym_number] = ACTIONS(2919),
    [anon_sym_boolean] = ACTIONS(2919),
    [anon_sym_string] = ACTIONS(2919),
    [anon_sym_symbol] = ACTIONS(2919),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_abstract] = ACTIONS(2919),
    [anon_sym_interface] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_export] = ACTIONS(2923),
    [anon_sym_type] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_typeof] = ACTIONS(2923),
    [anon_sym_import] = ACTIONS(2923),
    [anon_sym_with] = ACTIONS(2923),
    [anon_sym_var] = ACTIONS(2923),
    [anon_sym_let] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_await] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_debugger] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_yield] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [sym_glimmer_opening_tag] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_async] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_void] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2925),
    [sym_number] = ACTIONS(2925),
    [sym_private_property_identifier] = ACTIONS(2925),
    [sym_this] = ACTIONS(2923),
    [sym_super] = ACTIONS(2923),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [sym_null] = ACTIONS(2923),
    [sym_undefined] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_readonly] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_declare] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_module] = ACTIONS(2923),
    [anon_sym_any] = ACTIONS(2923),
    [anon_sym_number] = ACTIONS(2923),
    [anon_sym_boolean] = ACTIONS(2923),
    [anon_sym_string] = ACTIONS(2923),
    [anon_sym_symbol] = ACTIONS(2923),
    [anon_sym_object] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_interface] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3236),
    [sym_type] = STATE(3237),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_predicate] = STATE(3236),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3135),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(2931),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_asserts] = ACTIONS(2933),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3832),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3581),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(2937),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_asserts] = ACTIONS(2939),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_asserts] = STATE(3535),
    [sym_type] = STATE(3536),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_predicate] = STATE(3535),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3279),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_asserts] = ACTIONS(2983),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2950),
    [sym_type] = STATE(3875),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2950),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3581),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(2937),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_asserts] = ACTIONS(2939),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_asserts] = STATE(4556),
    [sym_type] = STATE(3591),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_predicate] = STATE(4557),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3279),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_asserts] = ACTIONS(2983),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3228),
    [sym_type] = STATE(3229),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_predicate] = STATE(3228),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3135),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(2931),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_asserts] = ACTIONS(2933),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_asserts] = STATE(3941),
    [sym_type] = STATE(3278),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_predicate] = STATE(3942),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3135),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(2931),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_asserts] = ACTIONS(2933),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_asserts] = STATE(1983),
    [sym_type] = STATE(1984),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_predicate] = STATE(1983),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1839),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3021),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_asserts] = ACTIONS(3031),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3996),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3802),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(3053),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_asserts] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(5895),
    [sym_type] = STATE(3450),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(5897),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3047),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(3071),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(3073),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2989),
    [sym_type] = STATE(3080),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2989),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3047),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(3071),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(3073),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_asserts] = STATE(1954),
    [sym_type] = STATE(1955),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_predicate] = STATE(1954),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1839),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3021),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_asserts] = ACTIONS(3031),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2950),
    [sym_type] = STATE(4004),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2950),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3802),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3041),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(3053),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_asserts] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_asserts] = STATE(1463),
    [sym_type] = STATE(1464),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_predicate] = STATE(1463),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1440),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3103),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_asserts] = ACTIONS(3113),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_asserts] = STATE(3517),
    [sym_type] = STATE(3518),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_predicate] = STATE(3517),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3279),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_asserts] = ACTIONS(2983),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_asserts] = STATE(2950),
    [sym_type] = STATE(3106),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_predicate] = STATE(2950),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(3047),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3069),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(3071),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(3073),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_asserts] = STATE(1528),
    [sym_type] = STATE(1531),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_predicate] = STATE(1528),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1440),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3075),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3103),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_asserts] = ACTIONS(3113),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3123),
    [anon_sym_export] = ACTIONS(3123),
    [anon_sym_type] = ACTIONS(3123),
    [anon_sym_EQ] = ACTIONS(3123),
    [anon_sym_namespace] = ACTIONS(3123),
    [anon_sym_LBRACE] = ACTIONS(3125),
    [anon_sym_COMMA] = ACTIONS(3125),
    [anon_sym_RBRACE] = ACTIONS(3125),
    [anon_sym_typeof] = ACTIONS(3123),
    [anon_sym_import] = ACTIONS(3123),
    [anon_sym_let] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(3125),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_await] = ACTIONS(3123),
    [anon_sym_COLON] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(3125),
    [anon_sym_RBRACK] = ACTIONS(3125),
    [sym_glimmer_opening_tag] = ACTIONS(3125),
    [anon_sym_GT] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(3123),
    [anon_sym_DQUOTE] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_async] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3123),
    [anon_sym_EQ_GT] = ACTIONS(3125),
    [anon_sym_QMARK_DOT] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3123),
    [anon_sym_using] = ACTIONS(3123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3125),
    [anon_sym_AMP] = ACTIONS(3125),
    [anon_sym_PIPE] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3123),
    [anon_sym_DASH] = ACTIONS(3123),
    [anon_sym_SLASH] = ACTIONS(3123),
    [anon_sym_LT] = ACTIONS(3123),
    [anon_sym_TILDE] = ACTIONS(3125),
    [anon_sym_void] = ACTIONS(3123),
    [anon_sym_delete] = ACTIONS(3123),
    [anon_sym_PLUS_PLUS] = ACTIONS(3125),
    [anon_sym_DASH_DASH] = ACTIONS(3125),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3125),
    [sym_number] = ACTIONS(3125),
    [sym_private_property_identifier] = ACTIONS(3125),
    [sym_this] = ACTIONS(3123),
    [sym_super] = ACTIONS(3123),
    [sym_true] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
    [sym_null] = ACTIONS(3123),
    [sym_undefined] = ACTIONS(3123),
    [anon_sym_AT] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3123),
    [anon_sym_readonly] = ACTIONS(3123),
    [anon_sym_get] = ACTIONS(3123),
    [anon_sym_set] = ACTIONS(3123),
    [anon_sym_QMARK] = ACTIONS(3123),
    [anon_sym_declare] = ACTIONS(3123),
    [anon_sym_public] = ACTIONS(3123),
    [anon_sym_private] = ACTIONS(3123),
    [anon_sym_protected] = ACTIONS(3123),
    [anon_sym_override] = ACTIONS(3123),
    [anon_sym_module] = ACTIONS(3123),
    [anon_sym_any] = ACTIONS(3123),
    [anon_sym_number] = ACTIONS(3123),
    [anon_sym_boolean] = ACTIONS(3123),
    [anon_sym_string] = ACTIONS(3123),
    [anon_sym_symbol] = ACTIONS(3123),
    [anon_sym_object] = ACTIONS(3123),
    [anon_sym_abstract] = ACTIONS(3123),
    [anon_sym_extends] = ACTIONS(3123),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3127),
    [anon_sym_export] = ACTIONS(3127),
    [anon_sym_type] = ACTIONS(3127),
    [anon_sym_EQ] = ACTIONS(3127),
    [anon_sym_namespace] = ACTIONS(3127),
    [anon_sym_LBRACE] = ACTIONS(3129),
    [anon_sym_COMMA] = ACTIONS(3129),
    [anon_sym_RBRACE] = ACTIONS(3129),
    [anon_sym_typeof] = ACTIONS(3127),
    [anon_sym_import] = ACTIONS(3127),
    [anon_sym_let] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(3129),
    [anon_sym_LPAREN] = ACTIONS(3129),
    [anon_sym_RPAREN] = ACTIONS(3129),
    [anon_sym_await] = ACTIONS(3127),
    [anon_sym_COLON] = ACTIONS(3129),
    [anon_sym_yield] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(3129),
    [anon_sym_RBRACK] = ACTIONS(3129),
    [sym_glimmer_opening_tag] = ACTIONS(3129),
    [anon_sym_GT] = ACTIONS(3129),
    [anon_sym_DOT] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3127),
    [anon_sym_async] = ACTIONS(3127),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_EQ_GT] = ACTIONS(3129),
    [anon_sym_QMARK_DOT] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3127),
    [anon_sym_using] = ACTIONS(3127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3129),
    [anon_sym_AMP] = ACTIONS(3129),
    [anon_sym_PIPE] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3127),
    [anon_sym_DASH] = ACTIONS(3127),
    [anon_sym_SLASH] = ACTIONS(3127),
    [anon_sym_LT] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_void] = ACTIONS(3127),
    [anon_sym_delete] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3129),
    [anon_sym_DASH_DASH] = ACTIONS(3129),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3129),
    [sym_number] = ACTIONS(3129),
    [sym_private_property_identifier] = ACTIONS(3129),
    [sym_this] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_true] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
    [sym_null] = ACTIONS(3127),
    [sym_undefined] = ACTIONS(3127),
    [anon_sym_AT] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3127),
    [anon_sym_readonly] = ACTIONS(3127),
    [anon_sym_get] = ACTIONS(3127),
    [anon_sym_set] = ACTIONS(3127),
    [anon_sym_QMARK] = ACTIONS(3127),
    [anon_sym_declare] = ACTIONS(3127),
    [anon_sym_public] = ACTIONS(3127),
    [anon_sym_private] = ACTIONS(3127),
    [anon_sym_protected] = ACTIONS(3127),
    [anon_sym_override] = ACTIONS(3127),
    [anon_sym_module] = ACTIONS(3127),
    [anon_sym_any] = ACTIONS(3127),
    [anon_sym_number] = ACTIONS(3127),
    [anon_sym_boolean] = ACTIONS(3127),
    [anon_sym_string] = ACTIONS(3127),
    [anon_sym_symbol] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3127),
    [anon_sym_abstract] = ACTIONS(3127),
    [anon_sym_extends] = ACTIONS(3127),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3131),
    [anon_sym_export] = ACTIONS(3131),
    [anon_sym_type] = ACTIONS(3131),
    [anon_sym_EQ] = ACTIONS(3131),
    [anon_sym_namespace] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(3133),
    [anon_sym_COMMA] = ACTIONS(3133),
    [anon_sym_RBRACE] = ACTIONS(3133),
    [anon_sym_typeof] = ACTIONS(3131),
    [anon_sym_import] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3133),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_await] = ACTIONS(3131),
    [anon_sym_COLON] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(3133),
    [anon_sym_RBRACK] = ACTIONS(3133),
    [sym_glimmer_opening_tag] = ACTIONS(3133),
    [anon_sym_GT] = ACTIONS(3133),
    [anon_sym_DOT] = ACTIONS(3131),
    [anon_sym_DQUOTE] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3131),
    [anon_sym_async] = ACTIONS(3131),
    [anon_sym_function] = ACTIONS(3131),
    [anon_sym_EQ_GT] = ACTIONS(3133),
    [anon_sym_QMARK_DOT] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_using] = ACTIONS(3131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3133),
    [anon_sym_PIPE] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3131),
    [anon_sym_DASH] = ACTIONS(3131),
    [anon_sym_SLASH] = ACTIONS(3131),
    [anon_sym_LT] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3133),
    [anon_sym_void] = ACTIONS(3131),
    [anon_sym_delete] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3133),
    [anon_sym_DASH_DASH] = ACTIONS(3133),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3133),
    [sym_number] = ACTIONS(3133),
    [sym_private_property_identifier] = ACTIONS(3133),
    [sym_this] = ACTIONS(3131),
    [sym_super] = ACTIONS(3131),
    [sym_true] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
    [sym_null] = ACTIONS(3131),
    [sym_undefined] = ACTIONS(3131),
    [anon_sym_AT] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3131),
    [anon_sym_readonly] = ACTIONS(3131),
    [anon_sym_get] = ACTIONS(3131),
    [anon_sym_set] = ACTIONS(3131),
    [anon_sym_QMARK] = ACTIONS(3131),
    [anon_sym_declare] = ACTIONS(3131),
    [anon_sym_public] = ACTIONS(3131),
    [anon_sym_private] = ACTIONS(3131),
    [anon_sym_protected] = ACTIONS(3131),
    [anon_sym_override] = ACTIONS(3131),
    [anon_sym_module] = ACTIONS(3131),
    [anon_sym_any] = ACTIONS(3131),
    [anon_sym_number] = ACTIONS(3131),
    [anon_sym_boolean] = ACTIONS(3131),
    [anon_sym_string] = ACTIONS(3131),
    [anon_sym_symbol] = ACTIONS(3131),
    [anon_sym_object] = ACTIONS(3131),
    [anon_sym_abstract] = ACTIONS(3131),
    [anon_sym_extends] = ACTIONS(3131),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4858),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4910),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(3143),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3147),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3967),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [sym_jsx_identifier] = ACTIONS(3151),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3155),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3159),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4784),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3163),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4782),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4774),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_GT] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3533),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1469),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1470),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1524),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1526),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1546),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1547),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1561),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1565),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3495),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3496),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3499),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5204),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(3500),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5204),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(3502),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4911),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3519),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3520),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3531),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3546),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3548),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3403),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3371),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2945),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3105),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4687),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1480),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1495),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3450),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2967),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4056),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4057),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5365),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2981),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5365),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2997),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4265),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4064),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3278),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2994),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3997),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3999),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4000),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2945),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4003),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1905),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2948),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2961),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3001),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4008),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3248),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3249),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3585),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3586),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3587),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4865),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4867),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2948),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2961),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4894),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1918),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1602),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1603),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4883),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4892),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4903),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3001),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3066),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4970),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(4445),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(4890),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4051),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2994),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3085),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4771),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3989),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4282),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4902),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3096),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3098),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4970),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2981),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4970),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2997),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4301),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2994),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3834),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3840),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3843),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2945),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3869),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4322),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2948),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2961),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4881),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3001),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3883),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4030),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1926),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1927),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1931),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4923),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(1932),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4923),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(1934),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3088),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3089),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4133),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4010),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4793),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3967),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(4597),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1960),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1961),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4018),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4861),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3443),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_import] = STATE(5190),
    [sym_nested_identifier] = STATE(6196),
    [sym_string] = STATE(3481),
    [sym_formal_parameters] = STATE(6522),
    [sym_nested_type_identifier] = STATE(3251),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3160),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3267),
    [sym_type] = STATE(3444),
    [sym_constructor_type] = STATE(3484),
    [sym_primary_type] = STATE(3485),
    [sym_template_literal_type] = STATE(3478),
    [sym_infer_type] = STATE(3484),
    [sym_conditional_type] = STATE(3478),
    [sym_generic_type] = STATE(3478),
    [sym_type_query] = STATE(3478),
    [sym_index_type_query] = STATE(3478),
    [sym_lookup_type] = STATE(3478),
    [sym_literal_type] = STATE(3478),
    [sym__number] = STATE(3486),
    [sym_existential_type] = STATE(3478),
    [sym_flow_maybe_type] = STATE(3478),
    [sym_parenthesized_type] = STATE(3478),
    [sym_predefined_type] = STATE(3478),
    [sym_object_type] = STATE(3478),
    [sym_type_parameters] = STATE(5977),
    [sym_array_type] = STATE(3478),
    [sym_tuple_type] = STATE(3478),
    [sym_readonly_type] = STATE(3484),
    [sym_union_type] = STATE(3478),
    [sym_intersection_type] = STATE(3478),
    [sym_function_type] = STATE(3484),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_typeof] = ACTIONS(2947),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_LPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(2967),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2971),
    [sym_this] = ACTIONS(3179),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [sym_null] = ACTIONS(2975),
    [sym_undefined] = ACTIONS(2975),
    [anon_sym_readonly] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2979),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_infer] = ACTIONS(2985),
    [anon_sym_keyof] = ACTIONS(2987),
    [anon_sym_unique] = ACTIONS(2989),
    [anon_sym_unknown] = ACTIONS(2967),
    [anon_sym_never] = ACTIONS(2967),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2991),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4025),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4767),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1980),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1981),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1998),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(1999),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(2011),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(2012),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4031),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4037),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3211),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2967),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3798),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5678),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2981),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5678),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2997),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3212),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4844),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3216),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5083),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(3217),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5083),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(3219),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4776),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3230),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3231),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_import] = STATE(5479),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6268),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3416),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4542),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6050),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3045),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [anon_sym_SQUOTE] = ACTIONS(2277),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_PIPE] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(3057),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3059),
    [anon_sym_infer] = ACTIONS(3063),
    [anon_sym_keyof] = ACTIONS(3065),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3067),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4778),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(2020),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_import] = STATE(5724),
    [sym_nested_identifier] = STATE(6267),
    [sym_string] = STATE(1908),
    [sym_formal_parameters] = STATE(6378),
    [sym_nested_type_identifier] = STATE(1851),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1886),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1910),
    [sym_type] = STATE(2021),
    [sym_constructor_type] = STATE(1911),
    [sym_primary_type] = STATE(1912),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1911),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1913),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(6046),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1911),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1911),
    [sym_identifier] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_typeof] = ACTIONS(2999),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_PIPE] = ACTIONS(3011),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3015),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3017),
    [sym_number] = ACTIONS(3019),
    [sym_this] = ACTIONS(3191),
    [sym_true] = ACTIONS(3023),
    [sym_false] = ACTIONS(3023),
    [sym_null] = ACTIONS(3023),
    [sym_undefined] = ACTIONS(3023),
    [anon_sym_readonly] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3027),
    [anon_sym_any] = ACTIONS(3015),
    [anon_sym_number] = ACTIONS(3015),
    [anon_sym_boolean] = ACTIONS(3015),
    [anon_sym_string] = ACTIONS(3015),
    [anon_sym_symbol] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(3015),
    [anon_sym_abstract] = ACTIONS(3029),
    [anon_sym_infer] = ACTIONS(3033),
    [anon_sym_keyof] = ACTIONS(3035),
    [anon_sym_unique] = ACTIONS(3037),
    [anon_sym_unknown] = ACTIONS(3015),
    [anon_sym_never] = ACTIONS(3015),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3039),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3234),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3235),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3240),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3241),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3243),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_import] = STATE(5063),
    [sym_nested_identifier] = STATE(6262),
    [sym_string] = STATE(3202),
    [sym_formal_parameters] = STATE(6576),
    [sym_nested_type_identifier] = STATE(3067),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3025),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3186),
    [sym_type] = STATE(3244),
    [sym_constructor_type] = STATE(3205),
    [sym_primary_type] = STATE(3206),
    [sym_template_literal_type] = STATE(3201),
    [sym_infer_type] = STATE(3205),
    [sym_conditional_type] = STATE(3201),
    [sym_generic_type] = STATE(3201),
    [sym_type_query] = STATE(3201),
    [sym_index_type_query] = STATE(3201),
    [sym_lookup_type] = STATE(3201),
    [sym_literal_type] = STATE(3201),
    [sym__number] = STATE(3207),
    [sym_existential_type] = STATE(3201),
    [sym_flow_maybe_type] = STATE(3201),
    [sym_parenthesized_type] = STATE(3201),
    [sym_predefined_type] = STATE(3201),
    [sym_object_type] = STATE(3201),
    [sym_type_parameters] = STATE(5892),
    [sym_array_type] = STATE(3201),
    [sym_tuple_type] = STATE(3201),
    [sym_readonly_type] = STATE(3205),
    [sym_union_type] = STATE(3201),
    [sym_intersection_type] = STATE(3201),
    [sym_function_type] = STATE(3205),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_typeof] = ACTIONS(1578),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_new] = ACTIONS(1588),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(1032),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [sym_number] = ACTIONS(1598),
    [sym_this] = ACTIONS(1600),
    [sym_true] = ACTIONS(1602),
    [sym_false] = ACTIONS(1602),
    [sym_null] = ACTIONS(1602),
    [sym_undefined] = ACTIONS(1602),
    [anon_sym_readonly] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_any] = ACTIONS(1032),
    [anon_sym_number] = ACTIONS(1032),
    [anon_sym_boolean] = ACTIONS(1032),
    [anon_sym_string] = ACTIONS(1032),
    [anon_sym_symbol] = ACTIONS(1032),
    [anon_sym_object] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_infer] = ACTIONS(1026),
    [anon_sym_keyof] = ACTIONS(1028),
    [anon_sym_unique] = ACTIONS(1030),
    [anon_sym_unknown] = ACTIONS(1032),
    [anon_sym_never] = ACTIONS(1032),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1034),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1548),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1563),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_import] = STATE(5134),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6303),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1448),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1608),
    [sym_type] = STATE(1573),
    [sym_constructor_type] = STATE(1609),
    [sym_primary_type] = STATE(1492),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(1609),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5946),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(1609),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(1609),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(3111),
    [anon_sym_infer] = ACTIONS(3115),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5154),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(1575),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6291),
    [sym_string] = STATE(1593),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(1447),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(5154),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(1577),
    [sym_template_literal_type] = STATE(1592),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(1592),
    [sym_generic_type] = STATE(1592),
    [sym_type_query] = STATE(1592),
    [sym_index_type_query] = STATE(1592),
    [sym_lookup_type] = STATE(1592),
    [sym_literal_type] = STATE(1592),
    [sym__number] = STATE(1552),
    [sym_existential_type] = STATE(1592),
    [sym_flow_maybe_type] = STATE(1592),
    [sym_parenthesized_type] = STATE(1592),
    [sym_predefined_type] = STATE(1592),
    [sym_object_type] = STATE(1592),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(1592),
    [sym_tuple_type] = STATE(1592),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(1592),
    [sym_intersection_type] = STATE(1592),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_typeof] = ACTIONS(3081),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(3083),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(3091),
    [anon_sym_PIPE] = ACTIONS(3093),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(3097),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3099),
    [sym_number] = ACTIONS(3101),
    [sym_this] = ACTIONS(3183),
    [sym_true] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
    [sym_null] = ACTIONS(3105),
    [sym_undefined] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(3109),
    [anon_sym_any] = ACTIONS(3097),
    [anon_sym_number] = ACTIONS(3097),
    [anon_sym_boolean] = ACTIONS(3097),
    [anon_sym_string] = ACTIONS(3097),
    [anon_sym_symbol] = ACTIONS(3097),
    [anon_sym_object] = ACTIONS(3097),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3117),
    [anon_sym_unique] = ACTIONS(3119),
    [anon_sym_unknown] = ACTIONS(3097),
    [anon_sym_never] = ACTIONS(3097),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3121),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4807),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4811),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4888),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4891),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_import] = STATE(5323),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6281),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3295),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(4895),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(6171),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1608),
    [anon_sym_AMP] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(604),
    [anon_sym_infer] = ACTIONS(606),
    [anon_sym_keyof] = ACTIONS(608),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_import] = STATE(5668),
    [sym_nested_identifier] = STATE(6255),
    [sym_string] = STATE(2934),
    [sym_formal_parameters] = STATE(6285),
    [sym_nested_type_identifier] = STATE(2877),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2900),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2899),
    [sym_type] = STATE(2967),
    [sym_constructor_type] = STATE(2913),
    [sym_primary_type] = STATE(2918),
    [sym_template_literal_type] = STATE(2943),
    [sym_infer_type] = STATE(2913),
    [sym_conditional_type] = STATE(2943),
    [sym_generic_type] = STATE(2943),
    [sym_type_query] = STATE(2943),
    [sym_index_type_query] = STATE(2943),
    [sym_lookup_type] = STATE(2943),
    [sym_literal_type] = STATE(2943),
    [sym__number] = STATE(2940),
    [sym_existential_type] = STATE(2943),
    [sym_flow_maybe_type] = STATE(2943),
    [sym_parenthesized_type] = STATE(2943),
    [sym_predefined_type] = STATE(2943),
    [sym_object_type] = STATE(2943),
    [sym_type_parameters] = STATE(5919),
    [sym_array_type] = STATE(2943),
    [sym_tuple_type] = STATE(2943),
    [sym_readonly_type] = STATE(2913),
    [sym_union_type] = STATE(2943),
    [sym_intersection_type] = STATE(2943),
    [sym_function_type] = STATE(2913),
    [sym_identifier] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_typeof] = ACTIONS(1546),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_new] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(2547),
    [anon_sym_DASH] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [sym_number] = ACTIONS(1564),
    [sym_this] = ACTIONS(1566),
    [sym_true] = ACTIONS(1568),
    [sym_false] = ACTIONS(1568),
    [sym_null] = ACTIONS(1568),
    [sym_undefined] = ACTIONS(1568),
    [anon_sym_readonly] = ACTIONS(1570),
    [anon_sym_QMARK] = ACTIONS(787),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5405),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5405),
    [sym_pair] = STATE(5405),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5441),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5405),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5405),
    [sym_pair] = STATE(5405),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5441),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_export] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3219),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_get] = ACTIONS(3223),
    [anon_sym_set] = ACTIONS(3223),
    [anon_sym_declare] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3227),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_any] = ACTIONS(3193),
    [anon_sym_number] = ACTIONS(3193),
    [anon_sym_boolean] = ACTIONS(3193),
    [anon_sym_string] = ACTIONS(3193),
    [anon_sym_symbol] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_export_statement] = STATE(4011),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(4011),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(4011),
    [sym_property_signature] = STATE(4011),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(4011),
    [sym_index_signature] = STATE(4011),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3305),
    [anon_sym_export] = ACTIONS(3307),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3235),
    [anon_sym_export] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3235),
    [anon_sym_namespace] = ACTIONS(3235),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_get] = ACTIONS(3249),
    [anon_sym_set] = ACTIONS(3249),
    [anon_sym_declare] = ACTIONS(3235),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3253),
    [anon_sym_module] = ACTIONS(3235),
    [anon_sym_any] = ACTIONS(3235),
    [anon_sym_number] = ACTIONS(3235),
    [anon_sym_boolean] = ACTIONS(3235),
    [anon_sym_string] = ACTIONS(3235),
    [anon_sym_symbol] = ACTIONS(3235),
    [anon_sym_object] = ACTIONS(3235),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_export] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_get] = ACTIONS(3271),
    [anon_sym_set] = ACTIONS(3271),
    [anon_sym_declare] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3275),
    [anon_sym_module] = ACTIONS(3257),
    [anon_sym_any] = ACTIONS(3257),
    [anon_sym_number] = ACTIONS(3257),
    [anon_sym_boolean] = ACTIONS(3257),
    [anon_sym_string] = ACTIONS(3257),
    [anon_sym_symbol] = ACTIONS(3257),
    [anon_sym_object] = ACTIONS(3257),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_export_statement] = STATE(3960),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(5387),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(5588),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5387),
    [sym_method_definition] = STATE(5588),
    [sym_pair] = STATE(5588),
    [sym_pair_pattern] = STATE(5387),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(3960),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(3960),
    [sym_property_signature] = STATE(3960),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(3960),
    [sym_index_signature] = STATE(3960),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [aux_sym_object_repeat1] = STATE(5591),
    [aux_sym_object_pattern_repeat1] = STATE(5442),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3231),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_nested_identifier] = STATE(209),
    [sym_string] = STATE(211),
    [sym__module] = STATE(218),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_nested_identifier] = STATE(209),
    [sym_string] = STATE(211),
    [sym__module] = STATE(218),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_nested_identifier] = STATE(707),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_nested_identifier] = STATE(209),
    [sym_string] = STATE(211),
    [sym__module] = STATE(218),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_nested_identifier] = STATE(707),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [aux_sym_object_repeat1] = STATE(5679),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_nested_identifier] = STATE(707),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [aux_sym_object_repeat1] = STATE(5674),
    [aux_sym_object_pattern_repeat1] = STATE(5689),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(704),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(723),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(753),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_export_statement] = STATE(4012),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(6015),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(6067),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(6015),
    [sym_method_definition] = STATE(6067),
    [sym_pair] = STATE(6067),
    [sym_pair_pattern] = STATE(6015),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(4012),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(4012),
    [sym_property_signature] = STATE(4012),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(4012),
    [sym_index_signature] = STATE(4012),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3360),
    [anon_sym_set] = ACTIONS(3360),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3362),
    [anon_sym_private] = ACTIONS(3362),
    [anon_sym_protected] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_export_statement] = STATE(4040),
    [sym_object_pattern] = STATE(6253),
    [sym_object_assignment_pattern] = STATE(6015),
    [sym_array_pattern] = STATE(6253),
    [sym__call_signature] = STATE(4580),
    [sym__destructuring_pattern] = STATE(6253),
    [sym_spread_element] = STATE(6067),
    [sym_string] = STATE(3059),
    [sym_decorator] = STATE(1216),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(6015),
    [sym_method_definition] = STATE(6067),
    [sym_pair] = STATE(6067),
    [sym_pair_pattern] = STATE(6015),
    [sym__property_name] = STATE(3059),
    [sym_computed_property_name] = STATE(3059),
    [sym_method_signature] = STATE(4040),
    [sym_accessibility_modifier] = STATE(2676),
    [sym_override_modifier] = STATE(2732),
    [sym_call_signature] = STATE(4040),
    [sym_property_signature] = STATE(4040),
    [sym_type_parameters] = STATE(6063),
    [sym_construct_signature] = STATE(4040),
    [sym_index_signature] = STATE(4040),
    [aux_sym_export_statement_repeat1] = STATE(4862),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3197),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_COMMA] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1586),
    [anon_sym_async] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3215),
    [anon_sym_LT] = ACTIONS(2549),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3217),
    [sym_private_property_identifier] = ACTIONS(3217),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3356),
    [anon_sym_readonly] = ACTIONS(3358),
    [anon_sym_get] = ACTIONS(3360),
    [anon_sym_set] = ACTIONS(3360),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3362),
    [anon_sym_private] = ACTIONS(3362),
    [anon_sym_protected] = ACTIONS(3362),
    [anon_sym_override] = ACTIONS(3364),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3229),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_nested_identifier] = STATE(707),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_nested_identifier] = STATE(4855),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [sym_identifier] = ACTIONS(3366),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_nested_identifier] = STATE(1439),
    [sym_string] = STATE(1446),
    [sym__module] = STATE(1656),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_nested_identifier] = STATE(209),
    [sym_string] = STATE(211),
    [sym__module] = STATE(218),
    [sym_identifier] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_nested_identifier] = STATE(1439),
    [sym_string] = STATE(1446),
    [sym__module] = STATE(1656),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(851),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_nested_identifier] = STATE(1439),
    [sym_string] = STATE(1446),
    [sym__module] = STATE(1656),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(873),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3307),
    [sym_array_pattern] = STATE(3307),
    [sym__destructuring_pattern] = STATE(3307),
    [sym_identifier] = ACTIONS(3370),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_of] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_nested_identifier] = STATE(707),
    [sym_string] = STATE(747),
    [sym__module] = STATE(814),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_nested_identifier] = STATE(1439),
    [sym_string] = STATE(1446),
    [sym__module] = STATE(1656),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_nested_identifier] = STATE(1585),
    [sym_string] = STATE(1586),
    [sym__module] = STATE(1740),
    [sym_identifier] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(888),
    [anon_sym_RBRACE] = ACTIONS(888),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(888),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_nested_identifier] = STATE(1439),
    [sym_string] = STATE(1446),
    [sym__module] = STATE(1656),
    [sym_identifier] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_variable_declarator] = STATE(4831),
    [sym_object_pattern] = STATE(3707),
    [sym_array_pattern] = STATE(3707),
    [sym__destructuring_pattern] = STATE(3707),
    [sym_identifier] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_COLON] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(3333),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [89] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    ACTIONS(3372), 1,
      sym_identifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [182] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    ACTIONS(3372), 1,
      sym_identifier,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [275] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [364] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    ACTIONS(3372), 1,
      sym_identifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [457] = 15,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(895), 1,
      anon_sym_EQ,
    ACTIONS(900), 1,
      anon_sym_COLON,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [552] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(900), 1,
      anon_sym_COLON,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3374), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3376), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [712] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3378), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3380), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [782] = 14,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3392), 1,
      anon_sym_DOT,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3396), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3402), 1,
      anon_sym_LT,
    STATE(3073), 1,
      sym_arguments,
    STATE(3222), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3386), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [874] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3404), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3406), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [944] = 11,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3329), 1,
      sym_identifier,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    STATE(4831), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1030] = 4,
    ACTIONS(3412), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3408), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3410), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3416), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1172] = 13,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(3418), 1,
      anon_sym_EQ,
    ACTIONS(3420), 1,
      anon_sym_LPAREN,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3425), 1,
      anon_sym_LT,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1262] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1352] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1442] = 12,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3335), 1,
      sym_identifier,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3339), 1,
      anon_sym_SQUOTE,
    STATE(209), 1,
      sym_nested_identifier,
    STATE(211), 1,
      sym_string,
    STATE(218), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1530] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2239), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_LT,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1620] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3428), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3430), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1690] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(942), 1,
      anon_sym_COLON,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1780] = 13,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(3418), 1,
      anon_sym_EQ,
    ACTIONS(3420), 1,
      anon_sym_LPAREN,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3425), 1,
      anon_sym_LT,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1870] = 4,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3416), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1942] = 14,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(895), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3434), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3436), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2104] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(924), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2192] = 14,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2284] = 12,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3341), 1,
      sym_identifier,
    STATE(707), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2372] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(924), 1,
      anon_sym_EQ_GT,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2460] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2548] = 11,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3329), 1,
      sym_identifier,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    STATE(4882), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2634] = 12,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_SQUOTE,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3368), 1,
      sym_identifier,
    STATE(1439), 1,
      sym_nested_identifier,
    STATE(1446), 1,
      sym_string,
    STATE(1656), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3408), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3410), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2792] = 12,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3366), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    STATE(4855), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2880] = 13,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(704), 1,
      anon_sym_COLON,
    ACTIONS(723), 1,
      anon_sym_QMARK,
    ACTIONS(3418), 1,
      anon_sym_EQ,
    ACTIONS(3420), 1,
      anon_sym_LPAREN,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3425), 1,
      anon_sym_LT,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2970] = 12,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3446), 1,
      sym_identifier,
    STATE(3571), 1,
      sym_nested_identifier,
    STATE(3739), 1,
      sym_string,
    STATE(4437), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3058] = 16,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3469), 1,
      anon_sym_QMARK,
    ACTIONS(3472), 1,
      anon_sym_extends,
    STATE(2980), 1,
      sym_type_arguments,
    STATE(5840), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3153] = 14,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3244] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(966), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3331] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2459), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3400] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3487] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_COLON,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3576] = 12,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3386), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3663] = 5,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3736] = 14,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3827] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_in,
    ACTIONS(884), 1,
      anon_sym_of,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3918] = 8,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3482), 1,
      anon_sym_DOT,
    ACTIONS(3484), 1,
      anon_sym_LT,
    STATE(1217), 1,
      sym_arguments,
    STATE(6064), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3480), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3478), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [3997] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2463), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4066] = 13,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3486), 1,
      anon_sym_DOT,
    ACTIONS(3489), 1,
      anon_sym_LT,
    STATE(3215), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3472), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4155] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3494), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4246] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4333] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(960), 1,
      anon_sym_EQ,
    ACTIONS(966), 1,
      anon_sym_EQ_GT,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4420] = 8,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(753), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(226), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4498] = 8,
    ACTIONS(3496), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4576] = 12,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3494), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4662] = 14,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3388), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3386), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4752] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4842] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(976), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4928] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(855), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(853), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5006] = 8,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3511), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3509), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5084] = 6,
    ACTIONS(3517), 1,
      anon_sym_AT,
    STATE(1192), 1,
      aux_sym_export_statement_repeat1,
    STATE(1216), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3513), 42,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5158] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(974), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5244] = 12,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_in,
    ACTIONS(884), 1,
      anon_sym_of,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3520), 1,
      sym_identifier,
    ACTIONS(3522), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6101), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5330] = 7,
    ACTIONS(3517), 1,
      anon_sym_AT,
    ACTIONS(3525), 1,
      anon_sym_class,
    STATE(1192), 1,
      aux_sym_export_statement_repeat1,
    STATE(1216), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3513), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5406] = 9,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(857), 1,
      anon_sym_EQ,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5486] = 15,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3451), 1,
      anon_sym_RPAREN,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3534), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5578] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(3539), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5668] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5754] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(978), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5840] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1038), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5926] = 8,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3534), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6004] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(980), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6090] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1036), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6176] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6262] = 15,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3496), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(3541), 1,
      anon_sym_RPAREN,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6354] = 9,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1650), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6434] = 12,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6520] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(3546), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6610] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(972), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6696] = 8,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(753), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6774] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(3343), 1,
      sym_identifier,
    STATE(1585), 1,
      sym_nested_identifier,
    STATE(1586), 1,
      sym_string,
    STATE(1740), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6860] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3550), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3548), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [6927] = 7,
    ACTIONS(3496), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7002] = 4,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7071] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3554), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3552), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [7138] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3556), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [7205] = 11,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(753), 1,
      anon_sym_QMARK,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(226), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1650), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7288] = 9,
    ACTIONS(867), 1,
      anon_sym_EQ,
    ACTIONS(873), 1,
      anon_sym_EQ_GT,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7367] = 7,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3509), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7442] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3562), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3560), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7509] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7578] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7647] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7736] = 8,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_COLON,
    ACTIONS(3372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7813] = 14,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3568), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7902] = 13,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3472), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7989] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(3574), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8078] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3480), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3478), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8145] = 6,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(857), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8218] = 6,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8291] = 11,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(753), 1,
      anon_sym_QMARK,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1650), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8374] = 6,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8447] = 7,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3534), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8522] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3386), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8611] = 8,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(861), 1,
      anon_sym_COLON,
    ACTIONS(3372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [8688] = 12,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(3546), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8773] = 9,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8852] = 12,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(3539), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8937] = 6,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9010] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9079] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9148] = 8,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(3372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9225] = 4,
    ACTIONS(3412), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9294] = 12,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9379] = 12,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3472), 1,
      anon_sym_extends,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3457), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3463), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3378), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3380), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9529] = 5,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3404), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3406), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9665] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3494), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9737] = 7,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9811] = 11,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_COLON,
    ACTIONS(857), 1,
      anon_sym_EQ,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3576), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9893] = 10,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(1652), 1,
      anon_sym_QMARK,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1650), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9973] = 6,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10045] = 5,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10115] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3386), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10203] = 7,
    ACTIONS(886), 1,
      anon_sym_COLON,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10277] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10343] = 8,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_COLON,
    ACTIONS(857), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(888), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10419] = 9,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_EQ_GT,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10497] = 6,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10569] = 6,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10641] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(873), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10713] = 9,
    ACTIONS(924), 1,
      anon_sym_EQ_GT,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10791] = 6,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10863] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2459), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10929] = 10,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_COLON,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1650), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11009] = 7,
    ACTIONS(861), 1,
      anon_sym_COLON,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11083] = 7,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(861), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11157] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3434), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3436), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11223] = 6,
    ACTIONS(867), 1,
      anon_sym_EQ,
    ACTIONS(873), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11295] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11361] = 8,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_in,
    ACTIONS(3580), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11437] = 7,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11511] = 7,
    ACTIONS(715), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11585] = 6,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3494), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11657] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3374), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3376), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11723] = 12,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11807] = 12,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(3574), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11891] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3428), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3430), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2463), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2461), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12023] = 14,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3444), 1,
      anon_sym_LT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12111] = 9,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12189] = 8,
    ACTIONS(3423), 1,
      anon_sym_EQ_GT,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12265] = 9,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(895), 1,
      anon_sym_EQ,
    ACTIONS(900), 1,
      anon_sym_COLON,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12342] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12409] = 12,
    ACTIONS(3457), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3466), 1,
      anon_sym_LT,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3463), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3386), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12492] = 9,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(857), 1,
      anon_sym_EQ,
    ACTIONS(1650), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3528), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3531), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12569] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12636] = 7,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12709] = 6,
    ACTIONS(912), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12780] = 7,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [12853] = 7,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12926] = 7,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(3590), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [12999] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(918), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13070] = 5,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13139] = 5,
    ACTIONS(3412), 1,
      anon_sym_extends,
    ACTIONS(3592), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13208] = 5,
    ACTIONS(3432), 1,
      anon_sym_extends,
    ACTIONS(3594), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13277] = 9,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13354] = 9,
    ACTIONS(960), 1,
      anon_sym_EQ,
    ACTIONS(966), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13431] = 5,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13500] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3546), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13571] = 6,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(3546), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13642] = 7,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3394), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13715] = 10,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(3596), 1,
      anon_sym_EQ,
    ACTIONS(3599), 1,
      anon_sym_in,
    ACTIONS(3601), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13794] = 6,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13864] = 9,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3531), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13940] = 8,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(3596), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14014] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3609), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3611), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3992), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14134] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3631), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3633), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4032), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14254] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3635), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3637), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4026), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14374] = 6,
    ACTIONS(932), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14444] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14514] = 7,
    ACTIONS(900), 1,
      anon_sym_COLON,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14586] = 8,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(3599), 1,
      anon_sym_in,
    ACTIONS(3601), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14660] = 6,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(3539), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14730] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3408), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3410), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14796] = 6,
    ACTIONS(924), 1,
      anon_sym_EQ_GT,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14866] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(924), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14936] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3639), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3641), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4019), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15056] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3539), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15126] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3301), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3303), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4011), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15246] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15316] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15382] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3207), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3231), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3960), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15502] = 5,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15570] = 7,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(942), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15642] = 8,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(895), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15716] = 8,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(3599), 1,
      anon_sym_in,
    ACTIONS(3643), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15790] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3574), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15859] = 7,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15930] = 6,
    ACTIONS(960), 1,
      anon_sym_EQ,
    ACTIONS(966), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15999] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16068] = 6,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(3574), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16137] = 5,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16204] = 6,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16273] = 8,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16346] = 7,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
    ACTIONS(3596), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16417] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(966), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16486] = 5,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16553] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_in,
    ACTIONS(3580), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16626] = 6,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(904), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16695] = 6,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(3566), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16764] = 5,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16830] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3645), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16946] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3647), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17014] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3649), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17082] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17150] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3651), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17266] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3653), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17382] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3655), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17498] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(974), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17566] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3657), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17634] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3659), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17750] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(980), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17818] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3661), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17886] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3663), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18002] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3665), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18118] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(976), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18186] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3667), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18302] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3669), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18418] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18534] = 7,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18604] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3673), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18720] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3675), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18836] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3677), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18952] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(972), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19020] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3679), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19088] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1036), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19156] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19224] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3681), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19292] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3683), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19408] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3685), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19476] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19544] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3687), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19612] = 5,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3386), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19678] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3689), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19794] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ_GT,
    ACTIONS(3691), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19862] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3693), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19978] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3695), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20094] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(851), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20162] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1038), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20230] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3697), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20346] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(978), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20414] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20482] = 5,
    ACTIONS(3657), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20547] = 5,
    ACTIONS(3679), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20612] = 5,
    ACTIONS(3647), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20677] = 5,
    ACTIONS(3685), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20742] = 5,
    ACTIONS(3687), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20807] = 5,
    ACTIONS(3649), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20872] = 5,
    ACTIONS(3661), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20937] = 5,
    ACTIONS(3691), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21002] = 5,
    ACTIONS(3681), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3386), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3398), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3382), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21067] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4040), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21179] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4643), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21291] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4020), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21403] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4027), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21515] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4012), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21627] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4033), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21739] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_abstract,
    ACTIONS(3605), 1,
      anon_sym_export,
    ACTIONS(3607), 1,
      anon_sym_STAR,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_async,
    ACTIONS(3617), 1,
      anon_sym_new,
    ACTIONS(3621), 1,
      anon_sym_static,
    ACTIONS(3623), 1,
      anon_sym_readonly,
    ACTIONS(3629), 1,
      anon_sym_override,
    STATE(1216), 1,
      sym_decorator,
    STATE(2697), 1,
      sym_accessibility_modifier,
    STATE(2716), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4580), 1,
      sym__call_signature,
    STATE(4862), 1,
      aux_sym_export_statement_repeat1,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3625), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3994), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3603), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21851] = 29,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3705), 1,
      anon_sym_RBRACE,
    ACTIONS(3707), 1,
      anon_sym_SEMI,
    ACTIONS(3710), 1,
      anon_sym_LBRACK,
    ACTIONS(3713), 1,
      anon_sym_DQUOTE,
    ACTIONS(3716), 1,
      anon_sym_SQUOTE,
    ACTIONS(3719), 1,
      anon_sym_async,
    ACTIONS(3728), 1,
      anon_sym_AT,
    ACTIONS(3731), 1,
      anon_sym_static,
    ACTIONS(3734), 1,
      anon_sym_readonly,
    ACTIONS(3740), 1,
      anon_sym_declare,
    ACTIONS(3746), 1,
      anon_sym_override,
    ACTIONS(3749), 1,
      anon_sym_abstract,
    ACTIONS(3752), 1,
      anon_sym_accessor,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3722), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3725), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3737), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3743), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3699), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21962] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3757), 1,
      anon_sym_RBRACE,
    ACTIONS(3759), 1,
      anon_sym_SEMI,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1409), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22073] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(3797), 1,
      anon_sym_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22192] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22311] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    ACTIONS(3804), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1415), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22422] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3806), 1,
      anon_sym_RBRACE,
    ACTIONS(3808), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22533] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22652] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3808), 1,
      anon_sym_SEMI,
    ACTIONS(3813), 1,
      anon_sym_RBRACE,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22763] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3815), 1,
      anon_sym_RBRACE,
    ACTIONS(3817), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1414), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22874] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22993] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3808), 1,
      anon_sym_SEMI,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23104] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3824), 1,
      anon_sym_RBRACE,
    ACTIONS(3826), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1412), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23215] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3808), 1,
      anon_sym_SEMI,
    ACTIONS(3828), 1,
      anon_sym_RBRACE,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23326] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3808), 1,
      anon_sym_SEMI,
    ACTIONS(3830), 1,
      anon_sym_RBRACE,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1402), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23437] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23556] = 29,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3755), 1,
      anon_sym_STAR,
    ACTIONS(3761), 1,
      anon_sym_async,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(3767), 1,
      anon_sym_static,
    ACTIONS(3769), 1,
      anon_sym_readonly,
    ACTIONS(3773), 1,
      anon_sym_declare,
    ACTIONS(3775), 1,
      anon_sym_abstract,
    ACTIONS(3777), 1,
      anon_sym_accessor,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    ACTIONS(3837), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      aux_sym_export_statement_repeat1,
    STATE(2579), 1,
      sym_method_definition,
    STATE(2641), 1,
      sym_accessibility_modifier,
    STATE(2679), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    STATE(4837), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3763), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3771), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1407), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5716), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23667] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3841), 1,
      anon_sym_RBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3845), 1,
      anon_sym_async,
    ACTIONS(3849), 1,
      anon_sym_static,
    ACTIONS(3851), 1,
      anon_sym_readonly,
    ACTIONS(3857), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5591), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3853), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3855), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5588), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3839), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23769] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(3863), 1,
      anon_sym_async,
    ACTIONS(3865), 1,
      anon_sym_static,
    ACTIONS(3867), 1,
      anon_sym_readonly,
    ACTIONS(3873), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5441), 1,
      aux_sym_object_repeat1,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3869), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3871), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5405), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3859), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23871] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(3879), 1,
      anon_sym_async,
    ACTIONS(3881), 1,
      anon_sym_static,
    ACTIONS(3883), 1,
      anon_sym_readonly,
    ACTIONS(3889), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5591), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3885), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3887), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5588), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3875), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23973] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3893), 1,
      anon_sym_RBRACE,
    ACTIONS(3895), 1,
      anon_sym_async,
    ACTIONS(3897), 1,
      anon_sym_static,
    ACTIONS(3899), 1,
      anon_sym_readonly,
    ACTIONS(3905), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5591), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3901), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3903), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5588), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3891), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24075] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(3911), 1,
      anon_sym_async,
    ACTIONS(3913), 1,
      anon_sym_static,
    ACTIONS(3915), 1,
      anon_sym_readonly,
    ACTIONS(3921), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5441), 1,
      aux_sym_object_repeat1,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5405), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3907), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24177] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3925), 1,
      anon_sym_RBRACE,
    ACTIONS(3927), 1,
      anon_sym_async,
    ACTIONS(3929), 1,
      anon_sym_static,
    ACTIONS(3931), 1,
      anon_sym_readonly,
    ACTIONS(3937), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5591), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3933), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3935), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5588), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3923), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24279] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
    ACTIONS(3943), 1,
      anon_sym_async,
    ACTIONS(3945), 1,
      anon_sym_static,
    ACTIONS(3947), 1,
      anon_sym_readonly,
    ACTIONS(3953), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5591), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3949), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3951), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5588), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3939), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24381] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3797), 1,
      anon_sym_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [24492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1802), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1800), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [24549] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3779), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_default,
    ACTIONS(3783), 1,
      anon_sym_type,
    ACTIONS(3787), 1,
      anon_sym_as,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(3959), 1,
      anon_sym_EQ,
    STATE(1216), 1,
      sym_decorator,
    STATE(4403), 1,
      sym_declaration,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    STATE(4789), 1,
      sym_export_clause,
    STATE(5982), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [24658] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1786), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1784), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [24715] = 8,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3967), 1,
      anon_sym_DOT,
    ACTIONS(3969), 1,
      anon_sym_LT,
    STATE(1607), 1,
      sym_arguments,
    STATE(1610), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3961), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3963), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24781] = 8,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3969), 1,
      anon_sym_LT,
    ACTIONS(3971), 1,
      anon_sym_DOT,
    STATE(1598), 1,
      sym_arguments,
    STATE(1599), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24847] = 22,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(3975), 1,
      anon_sym_async,
    ACTIONS(3977), 1,
      anon_sym_static,
    ACTIONS(3979), 1,
      anon_sym_readonly,
    ACTIONS(3985), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3847), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3981), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3983), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3629), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(6015), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6067), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3973), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24941] = 8,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3969), 1,
      anon_sym_LT,
    ACTIONS(3991), 1,
      anon_sym_DOT,
    STATE(1600), 1,
      sym_arguments,
    STATE(1601), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3987), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3989), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25007] = 11,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3969), 1,
      anon_sym_LT,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4001), 1,
      anon_sym_QMARK_DOT,
    STATE(1473), 1,
      sym_type_arguments,
    STATE(1729), 1,
      sym_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3993), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3995), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [25079] = 7,
    ACTIONS(3969), 1,
      anon_sym_LT,
    ACTIONS(4005), 1,
      anon_sym_DOT,
    ACTIONS(4007), 1,
      anon_sym_is,
    STATE(1571), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4011), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [25198] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(4015), 1,
      anon_sym_DOT,
    STATE(1673), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [25259] = 6,
    ACTIONS(3969), 1,
      anon_sym_LT,
    ACTIONS(4005), 1,
      anon_sym_DOT,
    STATE(1571), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25320] = 4,
    ACTIONS(4007), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4019), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25377] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(4021), 1,
      anon_sym_DOT,
    STATE(1673), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [25438] = 4,
    ACTIONS(4027), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25495] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3123), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3125), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25550] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1786), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1784), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25605] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3131), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3133), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25660] = 4,
    ACTIONS(4007), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25717] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1650), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [25772] = 5,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(1673), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [25831] = 5,
    ACTIONS(3969), 1,
      anon_sym_LT,
    STATE(1583), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25890] = 6,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4037), 1,
      anon_sym_DOT,
    STATE(1587), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4035), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25951] = 5,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4039), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26010] = 6,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1617), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4043), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26071] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1802), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1800), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26126] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3127), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3129), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26181] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1806), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [26289] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4051), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26343] = 4,
    ACTIONS(4057), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4055), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26399] = 36,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    STATE(6521), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26519] = 4,
    ACTIONS(4114), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4110), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4112), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26575] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3412), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26629] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3432), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26683] = 4,
    ACTIONS(4116), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4055), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26739] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4119), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [26851] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26905] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26965] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27073] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4141), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4145), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27181] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27235] = 4,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4153), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27291] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4155), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4157), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27345] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4161), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27399] = 5,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    STATE(1770), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27457] = 19,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27543] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4181), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [27655] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4183), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [27767] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [27853] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4189), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [27929] = 4,
    ACTIONS(4025), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4194), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27985] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4192), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4194), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28045] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4196), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [28157] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [28257] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [28359] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4189), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [28441] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4185), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [28535] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [28631] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [28729] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4189), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [28809] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4189), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [28891] = 36,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    STATE(6249), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29065] = 4,
    ACTIONS(4204), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4202), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29121] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [29211] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [29315] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4206), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4208), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29375] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4210), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [29487] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4212), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [29599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4216), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29653] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29761] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29815] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29977] = 36,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4234), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    STATE(6330), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30097] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4236), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30263] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4238), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30375] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4240), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30487] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4242), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30599] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4244), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [30711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30765] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4248), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30819] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4252), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30873] = 7,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4254), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4257), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1704), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30935] = 19,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [31021] = 7,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31083] = 7,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4266), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4269), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31145] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4248), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31257] = 5,
    ACTIONS(4282), 1,
      anon_sym_QMARK,
    ACTIONS(4284), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4252), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31369] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4288), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31423] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31477] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4272), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31531] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31591] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4302), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31645] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31699] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4308), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [31811] = 5,
    ACTIONS(4310), 1,
      anon_sym_QMARK,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31869] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31929] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2325), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4316), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32145] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32253] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32307] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32415] = 7,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4001), 1,
      anon_sym_QMARK_DOT,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32477] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32531] = 18,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    ACTIONS(4334), 1,
      anon_sym_async,
    ACTIONS(4338), 1,
      anon_sym_readonly,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(4344), 1,
      sym__automatic_semicolon,
    STATE(2619), 1,
      sym_statement_block,
    STATE(2700), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4336), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4340), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3037), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [32615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32669] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4349), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4353), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32777] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4361), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2335), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32939] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4365), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33047] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4371), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4373), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33263] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4383), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [33337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33445] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33499] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4392), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33607] = 36,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4394), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    STATE(6542), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33727] = 4,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4396), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4398), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33783] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4404), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33863] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4409), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33923] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4411), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34035] = 4,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4274), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34145] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4417), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [34217] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4422), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34271] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4424), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4426), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34325] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4430), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34379] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4432), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4434), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34439] = 19,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [34525] = 6,
    ACTIONS(4202), 1,
      anon_sym_extends,
    ACTIONS(4204), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4436), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34585] = 4,
    ACTIONS(4444), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4442), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34641] = 4,
    ACTIONS(4204), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4448), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34697] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4284), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34805] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4452), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34859] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4456), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34913] = 4,
    ACTIONS(4458), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34969] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4462), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35023] = 6,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4466), 1,
      anon_sym_DOT,
    STATE(1747), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35083] = 6,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOT,
    STATE(1747), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35143] = 5,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1747), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1692), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35201] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4470), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4472), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35255] = 4,
    ACTIONS(4039), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35311] = 19,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [35397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1832), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [35451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4474), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4476), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35505] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4478), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4480), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35613] = 4,
    ACTIONS(3971), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35669] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2329), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4019), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35777] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4031), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4482), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4484), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35939] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4488), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [35993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4492), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36047] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4496), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36107] = 6,
    ACTIONS(4125), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4500), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36167] = 19,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [36253] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4502), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36365] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4504), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36477] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4506), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4508), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36531] = 4,
    ACTIONS(4514), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4510), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4512), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4202), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36641] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4518), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36695] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4522), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36749] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4524), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4526), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36803] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [36857] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4538), 1,
      anon_sym_in,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4543), 1,
      anon_sym_GT,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4532), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [36970] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37049] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(4851), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37164] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4627), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37217] = 6,
    ACTIONS(4422), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4633), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4636), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4629), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37276] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4641), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37329] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4649), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37435] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4651), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4653), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37488] = 4,
    ACTIONS(4655), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37543] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4659), 1,
      anon_sym_static,
    ACTIONS(4661), 1,
      anon_sym_readonly,
    ACTIONS(4663), 1,
      anon_sym_abstract,
    ACTIONS(4665), 1,
      anon_sym_accessor,
    STATE(2643), 1,
      sym_accessibility_modifier,
    STATE(2706), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4657), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3354), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [37622] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4502), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [37733] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1828), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37786] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4667), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4669), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4671), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4673), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37892] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37945] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37998] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38051] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1901), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38104] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4675), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [38177] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4682), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4684), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4688), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4692), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38449] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4696), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38502] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4698), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4700), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38555] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(4851), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38670] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4706), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1746), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38776] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1925), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38829] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1780), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38882] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1820), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38935] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38988] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1810), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39041] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1760), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39094] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1768), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1770), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39147] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [39236] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(4851), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [39351] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4181), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [39462] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4183), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [39573] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4210), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [39684] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1750), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39790] = 6,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39849] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4212), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [39960] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40013] = 6,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4719), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40072] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40157] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4722), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4724), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4726), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4728), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40263] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(4732), 1,
      anon_sym_static,
    ACTIONS(4734), 1,
      anon_sym_readonly,
    ACTIONS(4736), 1,
      anon_sym_abstract,
    STATE(2653), 1,
      sym_accessibility_modifier,
    STATE(2708), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4730), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [40342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4738), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4740), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40395] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4742), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [40470] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4745), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4747), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40523] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4749), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4751), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40576] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4210), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40629] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(4755), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40744] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(4755), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [40859] = 4,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40914] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1907), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [40967] = 4,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41022] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4766), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [41095] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4769), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41174] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4411), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [41285] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4772), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4774), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4776), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4778), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41391] = 4,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41446] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
    ACTIONS(4780), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41561] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4783), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [41632] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4786), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4788), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41685] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1824), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41738] = 4,
    ACTIONS(4790), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41793] = 34,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    ACTIONS(4792), 1,
      anon_sym_COMMA,
    ACTIONS(4795), 1,
      anon_sym_RBRACE,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41908] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1794), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [41961] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [42060] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4236), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42171] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4238), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42282] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4240), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42393] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1830), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1828), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42499] = 8,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4801), 1,
      anon_sym_DOT,
    ACTIONS(4803), 1,
      anon_sym_LT,
    STATE(1941), 1,
      sym_arguments,
    STATE(1942), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [42562] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4805), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [42619] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42672] = 8,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4803), 1,
      anon_sym_LT,
    ACTIONS(4812), 1,
      anon_sym_DOT,
    STATE(1943), 1,
      sym_arguments,
    STATE(1944), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3987), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3989), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [42735] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4814), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4816), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [42788] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4742), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [42869] = 8,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4803), 1,
      anon_sym_LT,
    ACTIONS(4818), 1,
      anon_sym_DOT,
    STATE(1945), 1,
      sym_arguments,
    STATE(1946), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3961), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3963), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [42932] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4822), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43086] = 11,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4803), 1,
      anon_sym_LT,
    ACTIONS(4824), 1,
      anon_sym_QMARK_DOT,
    STATE(1902), 1,
      sym_type_arguments,
    STATE(2192), 1,
      sym_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3993), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3995), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43155] = 7,
    ACTIONS(4803), 1,
      anon_sym_LT,
    ACTIONS(4826), 1,
      anon_sym_DOT,
    ACTIONS(4828), 1,
      anon_sym_is,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43216] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4742), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [43297] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43390] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4629), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [43443] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [43538] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4830), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [43649] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4242), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43760] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4244), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43871] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4502), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [43982] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4504), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1810), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44146] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44223] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44300] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [44379] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44432] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4119), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44543] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4411), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44654] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4838), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4840), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [44760] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4181), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44871] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4183), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [44982] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45067] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4846), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45142] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45241] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4851), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [45395] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4846), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45476] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45569] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45664] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [45761] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4846), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [45840] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4846), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [45921] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4308), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46032] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4853), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4856), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4858), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46142] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4236), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46195] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1750), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46248] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1806), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46380] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1832), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46433] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46522] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [46625] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4210), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1907), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1905), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46789] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [46842] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4212), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [46953] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [47050] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47127] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4504), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47238] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4862), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4864), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47291] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4742), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [47370] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47449] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4868), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47502] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4870), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4872), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47555] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4874), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [47608] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4236), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47719] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4238), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47830] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4240), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [47941] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4242), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48052] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4244), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48163] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4878), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48216] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4880), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4240), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48269] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1826), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1824), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48322] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4882), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4884), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48375] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4890), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4892), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48481] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4894), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4896), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48534] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48611] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4183), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48664] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4549), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4551), 1,
      anon_sym_GT_GT,
    ACTIONS(4555), 1,
      anon_sym_AMP,
    ACTIONS(4557), 1,
      anon_sym_CARET,
    ACTIONS(4559), 1,
      anon_sym_PIPE,
    ACTIONS(4563), 1,
      anon_sym_PERCENT,
    ACTIONS(4565), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4567), 1,
      anon_sym_LT,
    ACTIONS(4575), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4581), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4543), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4553), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4561), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4571), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4569), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4308), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [48775] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4900), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4902), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48828] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4908), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4910), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48934] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48987] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4912), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4914), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49040] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4916), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4502), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4918), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4920), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49199] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4922), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49278] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [49357] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4762), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4925), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1734), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [49467] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4119), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [49578] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [49681] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [49758] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4928), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [49829] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4931), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49943] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4210), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50053] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4212), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50163] = 4,
    ACTIONS(4828), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50217] = 15,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4969), 1,
      anon_sym_STAR,
    ACTIONS(4971), 1,
      anon_sym_async,
    ACTIONS(4975), 1,
      anon_sym_readonly,
    ACTIONS(4979), 1,
      anon_sym_accessor,
    STATE(2696), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4973), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4977), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3042), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50293] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4236), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50403] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50513] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4240), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50623] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4242), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50733] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4244), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50843] = 7,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50903] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4981), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51017] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4308), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51127] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5206), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51241] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    ACTIONS(4334), 1,
      anon_sym_async,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4336), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4340), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3037), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [51313] = 6,
    ACTIONS(4803), 1,
      anon_sym_LT,
    ACTIONS(4826), 1,
      anon_sym_DOT,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3125), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [51423] = 6,
    ACTIONS(3496), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51481] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4987), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [51591] = 8,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2317), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51653] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5498), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51767] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51821] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4995), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51935] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4532), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [52045] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5158), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52159] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4939), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52273] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5001), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52387] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5003), 1,
      anon_sym_RBRACE,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52501] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3133), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [52553] = 8,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4272), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52615] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(5017), 1,
      anon_sym_abstract,
    ACTIONS(5019), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3026), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52687] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4969), 1,
      anon_sym_STAR,
    ACTIONS(4971), 1,
      anon_sym_async,
    ACTIONS(5023), 1,
      anon_sym_abstract,
    ACTIONS(5025), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5021), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3010), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52759] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4532), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52869] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52941] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2185), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5027), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [53051] = 7,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4480), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53111] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5029), 1,
      anon_sym_RBRACE,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53225] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_STAR,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5039), 1,
      anon_sym_abstract,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53297] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53411] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5045), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5321), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53525] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5047), 1,
      anon_sym_RBRACE,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53639] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5049), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53695] = 15,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_STAR,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5051), 1,
      anon_sym_readonly,
    STATE(2694), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [53771] = 7,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4254), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4257), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1704), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53831] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53941] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5055), 1,
      anon_sym_static,
    ACTIONS(5057), 1,
      anon_sym_readonly,
    ACTIONS(5059), 1,
      anon_sym_abstract,
    ACTIONS(5061), 1,
      anon_sym_accessor,
    STATE(2723), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5053), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3466), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54015] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4762), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5063), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54071] = 4,
    ACTIONS(4828), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4019), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54125] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54239] = 4,
    ACTIONS(5067), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54293] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5069), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54349] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5071), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54463] = 7,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4266), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4269), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54523] = 15,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(5075), 1,
      anon_sym_readonly,
    ACTIONS(5077), 1,
      anon_sym_accessor,
    STATE(2681), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3043), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54599] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3509), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54657] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [54745] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [54847] = 6,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2253), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4043), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [54905] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54977] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55091] = 16,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    STATE(2719), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55169] = 5,
    ACTIONS(4803), 1,
      anon_sym_LT,
    STATE(1936), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55225] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55339] = 6,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3534), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55397] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5083), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [55507] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4502), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55617] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4504), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55727] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4119), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55837] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55951] = 7,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4257), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1704), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56011] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5087), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56125] = 7,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4269), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56185] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5237), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56299] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5258), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56413] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5093), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56527] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5095), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56641] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4181), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1650), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [56803] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4183), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56913] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [56997] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5097), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [57071] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5100), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5498), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57185] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57283] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57383] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5097), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [57463] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57555] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57649] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [57745] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5097), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [57823] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5097), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [57903] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5102), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    STATE(5702), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58017] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58089] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5104), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [58161] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5107), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [58239] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4937), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4941), 1,
      anon_sym_GT_GT,
    ACTIONS(4945), 1,
      anon_sym_AMP,
    ACTIONS(4947), 1,
      anon_sym_CARET,
    ACTIONS(4949), 1,
      anon_sym_PIPE,
    ACTIONS(4953), 1,
      anon_sym_PERCENT,
    ACTIONS(4955), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4957), 1,
      anon_sym_LT,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4933), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4935), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4943), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4951), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4411), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58349] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5110), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [58419] = 6,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5113), 1,
      anon_sym_DOT,
    STATE(1937), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4033), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4035), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58477] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5115), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58591] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58645] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4504), 1,
      anon_sym_COMMA,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(4593), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4597), 1,
      anon_sym_GT_GT,
    ACTIONS(4601), 1,
      anon_sym_AMP,
    ACTIONS(4603), 1,
      anon_sym_CARET,
    ACTIONS(4605), 1,
      anon_sym_PIPE,
    ACTIONS(4609), 1,
      anon_sym_PERCENT,
    ACTIONS(4611), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4613), 1,
      anon_sym_LT,
    ACTIONS(4621), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4623), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4589), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4607), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4617), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4615), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58757] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5119), 1,
      anon_sym_static,
    ACTIONS(5121), 1,
      anon_sym_readonly,
    ACTIONS(5123), 1,
      anon_sym_abstract,
    STATE(2701), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58831] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5125), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5087), 1,
      aux_sym_array_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58945] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59017] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4011), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [59141] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3129), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [59193] = 34,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    ACTIONS(5127), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(4050), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59307] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59390] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5131), 1,
      anon_sym_STAR,
    ACTIONS(5133), 1,
      anon_sym_async,
    ACTIONS(5139), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5135), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5137), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3020), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59459] = 4,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59512] = 6,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1710), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1700), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59569] = 7,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4824), 1,
      anon_sym_QMARK_DOT,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59628] = 5,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    STATE(2199), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59683] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59766] = 4,
    ACTIONS(4025), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4192), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4194), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59819] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4192), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4194), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4474), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4476), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4478), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4480), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4019), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60080] = 4,
    ACTIONS(5147), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4510), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4512), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60133] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4202), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60184] = 4,
    ACTIONS(5149), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4202), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60237] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4371), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4373), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60288] = 6,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60345] = 6,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4719), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60402] = 7,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60461] = 4,
    ACTIONS(5155), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5151), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5153), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60514] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4206), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4208), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60571] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2319), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60622] = 4,
    ACTIONS(4801), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3388), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60675] = 4,
    ACTIONS(5157), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4110), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4112), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4161), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60779] = 9,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5159), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5161), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60842] = 9,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3534), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4480), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60905] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4272), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60956] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4361), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61007] = 4,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4396), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4398), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61060] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4274), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61111] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4422), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61162] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4424), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4426), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61213] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4432), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4434), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61270] = 6,
    ACTIONS(4202), 1,
      anon_sym_extends,
    ACTIONS(5149), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4200), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4436), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4438), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61327] = 4,
    ACTIONS(5168), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4440), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4442), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61380] = 4,
    ACTIONS(5149), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4446), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4448), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61433] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4282), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4284), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61484] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4462), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61535] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4470), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4472), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61586] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4430), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61637] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5170), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61746] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2329), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61797] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4312), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61848] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4482), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4484), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61899] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4488), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61950] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4490), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4492), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62001] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4506), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4508), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62052] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4516), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4518), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62103] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4520), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4522), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62154] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4524), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4526), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4049), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4051), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62256] = 4,
    ACTIONS(4057), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4055), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62309] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3592), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3412), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62360] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3432), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62411] = 4,
    ACTIONS(4116), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4053), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4055), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62464] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62515] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62572] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62623] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62674] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4141), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62725] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4143), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4145), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62776] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4149), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62827] = 4,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4153), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62880] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4155), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4157), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4450), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4452), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63084] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4216), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63135] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63186] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63237] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63288] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63339] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63390] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63441] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63543] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4248), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63594] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4252), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63645] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4248), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63696] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4252), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63747] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4288), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4292), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63849] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63906] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4302), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64008] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4454), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4456), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2325), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64167] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4316), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64269] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64320] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4320), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64422] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64473] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4324), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64524] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64575] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64626] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4328), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64677] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4349), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4353), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4357), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2335), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4365), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64932] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4369), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65085] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65136] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65187] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4377), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65238] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65289] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65340] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4388), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4392), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65442] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4409), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65499] = 5,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4790), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1700), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65554] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(5176), 1,
      anon_sym_RBRACE,
    STATE(5592), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5587), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5172), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65627] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65736] = 6,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4719), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65793] = 9,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5069), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65856] = 9,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(5221), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5049), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4031), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [65970] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4494), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4496), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66027] = 6,
    ACTIONS(5141), 1,
      anon_sym_AMP,
    ACTIONS(5143), 1,
      anon_sym_PIPE,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4498), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4500), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66084] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_STAR,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66153] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66236] = 6,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66293] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [66346] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_STAR,
    ACTIONS(5228), 1,
      anon_sym_async,
    ACTIONS(5232), 1,
      anon_sym_readonly,
    STATE(2728), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5230), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5234), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66419] = 9,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5159), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5236), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66482] = 7,
    ACTIONS(3392), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66541] = 9,
    ACTIONS(3496), 1,
      anon_sym_EQ,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4480), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66604] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4274), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66659] = 6,
    ACTIONS(4633), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4636), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4629), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66716] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66799] = 9,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4853), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66862] = 9,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(5005), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4805), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66925] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66978] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67031] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67114] = 10,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(2319), 1,
      anon_sym_QMARK,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5069), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67179] = 10,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(4294), 1,
      anon_sym_QMARK,
    ACTIONS(5049), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5005), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67244] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67327] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4710), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4480), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67384] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4636), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4633), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4422), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4629), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67441] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4716), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4019), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67498] = 4,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67551] = 7,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3400), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67610] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67665] = 6,
    ACTIONS(4422), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4633), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4636), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4629), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67722] = 4,
    ACTIONS(4284), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67775] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(5249), 1,
      anon_sym_RBRACE,
    STATE(5442), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5387), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5247), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67848] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    ACTIONS(5251), 1,
      anon_sym_SEMI,
    ACTIONS(5253), 1,
      sym__automatic_semicolon,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67959] = 4,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68012] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68095] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68204] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68313] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68422] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68531] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68640] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68749] = 19,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [68832] = 14,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5257), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [68905] = 26,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69002] = 27,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69101] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5257), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69180] = 23,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69271] = 24,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69364] = 25,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69459] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5257), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [69536] = 17,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5257), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [69615] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69724] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4076), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4078), 1,
      anon_sym_GT_GT,
    ACTIONS(4082), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      anon_sym_CARET,
    ACTIONS(4086), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_PERCENT,
    ACTIONS(4092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4094), 1,
      anon_sym_LT,
    ACTIONS(4102), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4108), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4070), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4080), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4088), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4098), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4100), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4795), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4096), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69833] = 21,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69920] = 28,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [70021] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4210), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70130] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70239] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70348] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70457] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4240), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70566] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4242), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70675] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70784] = 33,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    ACTIONS(5260), 1,
      anon_sym_SEMI,
    ACTIONS(5262), 1,
      sym__automatic_semicolon,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70895] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71004] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5264), 1,
      anon_sym_STAR,
    ACTIONS(5266), 1,
      anon_sym_async,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5268), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5270), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71073] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(5276), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5274), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3008), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71142] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(5280), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5278), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3030), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71211] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 1,
      anon_sym_STAR,
    ACTIONS(5284), 1,
      anon_sym_async,
    ACTIONS(5288), 1,
      anon_sym_readonly,
    STATE(2702), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5286), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5290), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71284] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5292), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [71355] = 16,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5295), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [71432] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71541] = 12,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5298), 1,
      anon_sym_LT,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [71610] = 9,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5305), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5301), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5303), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71673] = 7,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71732] = 12,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71801] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71872] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_STAR,
    ACTIONS(5310), 1,
      anon_sym_async,
    ACTIONS(5314), 1,
      anon_sym_readonly,
    STATE(2722), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5316), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71945] = 4,
    ACTIONS(4312), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71998] = 4,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72051] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4502), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72160] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4504), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72269] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4119), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72378] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4181), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72487] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4183), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72596] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72679] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5354), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [72752] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72849] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [72948] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5354), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73027] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73118] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73211] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73306] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5354), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73383] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5354), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73462] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73549] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73650] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73759] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4212), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73868] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4236), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73977] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4238), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74086] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4240), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74195] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4242), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74304] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4244), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74413] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4308), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74522] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5357), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74593] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5360), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74670] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4411), 2,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74779] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5363), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [74848] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5366), 1,
      anon_sym_STAR,
    ACTIONS(5368), 1,
      anon_sym_async,
    ACTIONS(5374), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5370), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5372), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3032), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74917] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    ACTIONS(5384), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5380), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3041), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74986] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    ACTIONS(5388), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5386), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3012), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75055] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    ACTIONS(5392), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5390), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75124] = 32,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4530), 1,
      anon_sym_as,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_satisfies,
    ACTIONS(5186), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5188), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5190), 1,
      anon_sym_GT_GT,
    ACTIONS(5194), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_CARET,
    ACTIONS(5198), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_PERCENT,
    ACTIONS(5204), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_LT,
    ACTIONS(5214), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5216), 1,
      sym__ternary_qmark,
    STATE(1847), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5182), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5192), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5200), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5210), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5212), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5208), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75233] = 4,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75286] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4667), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4669), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75336] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4786), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4788), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1794), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75436] = 5,
    ACTIONS(1903), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1901), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75490] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5131), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5394), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5396), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75554] = 5,
    ACTIONS(1748), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1740), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1746), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75608] = 9,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5398), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75670] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5402), 1,
      anon_sym_STAR,
    ACTIONS(5404), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5406), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5408), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3057), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75736] = 5,
    ACTIONS(1927), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1919), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1925), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75790] = 5,
    ACTIONS(1782), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1774), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1780), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75844] = 5,
    ACTIONS(1822), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1820), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75898] = 5,
    ACTIONS(1889), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75952] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5410), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5412), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5414), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4065), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76016] = 21,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5420), 1,
      anon_sym_RBRACE,
    ACTIONS(5422), 1,
      anon_sym_async,
    ACTIONS(5426), 1,
      anon_sym_static,
    ACTIONS(5428), 1,
      anon_sym_readonly,
    ACTIONS(5434), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    STATE(5042), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5424), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5430), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5432), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5041), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5416), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76102] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5436), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5438), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5440), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76166] = 5,
    ACTIONS(1762), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1754), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1760), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76220] = 5,
    ACTIONS(1772), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1764), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1768), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1770), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76274] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76326] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76400] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76476] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1788), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1794), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76528] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5442), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5444), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76582] = 7,
    ACTIONS(4478), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4710), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76640] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76694] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76748] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1847), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76800] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1857), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76852] = 8,
    ACTIONS(3448), 1,
      anon_sym_EQ,
    ACTIONS(4478), 1,
      anon_sym_QMARK,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4480), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76912] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5446), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5448), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76966] = 5,
    ACTIONS(5450), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77020] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4799), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77070] = 7,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3388), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77128] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4274), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77182] = 7,
    ACTIONS(4420), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4636), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4633), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4629), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77240] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1836), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77292] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1901), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77344] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1740), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1746), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4916), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4502), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77446] = 5,
    ACTIONS(5452), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1919), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1925), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77500] = 5,
    ACTIONS(5454), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1774), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1780), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77554] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5456), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5458), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77618] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1820), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77670] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77722] = 5,
    ACTIONS(5460), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1754), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1760), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77776] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1764), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1768), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1770), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77828] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77890] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77964] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4722), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4724), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78014] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78090] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(4969), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5462), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5464), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4046), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78154] = 4,
    ACTIONS(5466), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5151), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5153), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78206] = 7,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78264] = 33,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4532), 1,
      anon_sym_of,
    ACTIONS(5470), 1,
      anon_sym_in,
    ACTIONS(5473), 1,
      anon_sym_GT,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78374] = 7,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1617), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5507), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4043), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [78432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4726), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4728), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78482] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5511), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78546] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_STAR,
    ACTIONS(5228), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5230), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5234), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78612] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4838), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4840), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78716] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4842), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4844), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78766] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4851), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4856), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4858), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78866] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4860), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4236), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4862), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4864), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78966] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4874), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4880), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4240), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79066] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4886), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4888), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4894), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4896), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79166] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5161), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79220] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4900), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4902), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79270] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79320] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4908), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4910), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79420] = 6,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(5049), 1,
      anon_sym_of,
    ACTIONS(5513), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79476] = 6,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(5063), 1,
      anon_sym_of,
    ACTIONS(5516), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79532] = 6,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(5069), 1,
      anon_sym_of,
    ACTIONS(5519), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79588] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79662] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79738] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4912), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4914), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79788] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4918), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4920), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4904), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4906), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79888] = 6,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4710), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79944] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79994] = 4,
    ACTIONS(5466), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5151), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5153), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80046] = 6,
    ACTIONS(4422), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4636), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4633), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4629), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4870), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4872), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80152] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80226] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4876), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4878), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80276] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80352] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80414] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80476] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4882), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4884), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80526] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4898), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4183), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80576] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80650] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4822), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80700] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80776] = 7,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4257), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1704), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80834] = 7,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4269), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80892] = 8,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4254), 1,
      anon_sym_LBRACK,
    ACTIONS(5069), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2317), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80952] = 8,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4266), 1,
      anon_sym_LBRACK,
    ACTIONS(5049), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4272), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81012] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81074] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81136] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81198] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81260] = 12,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(3843), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5524), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6015), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6253), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(6257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5522), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81328] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81390] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81452] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81514] = 9,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81576] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4641), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81626] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4629), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81676] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5528), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81740] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4649), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81840] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_accessor,
  [81892] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4651), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4653), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4671), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4673), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81992] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82066] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82140] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82216] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82292] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4627), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82342] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5530), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82450] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5532), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82558] = 5,
    ACTIONS(1796), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1788), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1792), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1794), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82612] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82662] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5538), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82770] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82820] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82870] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4738), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4740), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82920] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82970] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1901), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83020] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4745), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4747), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83070] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5572), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5574), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83124] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5576), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83178] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5576), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83232] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5576), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83286] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5264), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5582), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83350] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4749), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4751), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83400] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83462] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4753), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4210), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83512] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5586), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5588), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4092), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83576] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 1,
      anon_sym_STAR,
    ACTIONS(5284), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5286), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5290), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4772), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4774), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83692] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5590), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83800] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4830), 1,
      anon_sym_RBRACE,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83908] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5592), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5594), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4062), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83972] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4686), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4688), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84022] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84072] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5596), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5598), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3993), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84136] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4690), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4692), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84186] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4694), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4696), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84236] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5600), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5602), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5604), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4001), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84300] = 4,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84352] = 6,
    ACTIONS(3476), 1,
      anon_sym_EQ,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84408] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5402), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5606), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5608), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84472] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5610), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5612), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5614), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4006), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84536] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5301), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5303), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84590] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84654] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_STAR,
    ACTIONS(5310), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5316), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84720] = 5,
    ACTIONS(1855), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1847), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1851), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84774] = 5,
    ACTIONS(1865), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1857), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1861), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1863), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84828] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5616), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5618), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84882] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4706), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84932] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4808), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4810), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84982] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5620), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85090] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4868), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85140] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5622), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5624), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5626), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85204] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5622), 1,
      anon_sym_STAR,
    ACTIONS(5628), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5630), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5632), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3055), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85270] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4776), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4778), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85320] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85428] = 5,
    ACTIONS(1875), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85482] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4890), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4892), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85532] = 7,
    ACTIONS(5636), 1,
      anon_sym_LPAREN,
    ACTIONS(5639), 1,
      anon_sym_COLON,
    ACTIONS(5641), 1,
      anon_sym_LT,
    ACTIONS(5644), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4682), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4684), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1744), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1746), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85640] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1923), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85690] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1778), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1780), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85740] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1818), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1820), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1887), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85840] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5646), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5648), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85894] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4682), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4684), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85944] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5366), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5650), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5652), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86008] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5654), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86116] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4502), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86224] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4504), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86332] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4119), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86440] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4181), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86548] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4183), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86656] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [86738] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5656), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [86810] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [86906] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87004] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5656), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [87082] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87172] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87264] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87358] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5656), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [87434] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5656), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87512] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87598] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [87698] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4210), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87806] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4212), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87914] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4236), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88022] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88130] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88238] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4242), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88346] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4244), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88454] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4308), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88562] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5659), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [88632] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5662), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [88708] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4411), 1,
      anon_sym_RBRACK,
    ACTIONS(5540), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5544), 1,
      anon_sym_GT_GT,
    ACTIONS(5548), 1,
      anon_sym_AMP,
    ACTIONS(5550), 1,
      anon_sym_CARET,
    ACTIONS(5552), 1,
      anon_sym_PIPE,
    ACTIONS(5556), 1,
      anon_sym_PERCENT,
    ACTIONS(5558), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 1,
      anon_sym_LT,
    ACTIONS(5568), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5570), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5534), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5536), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5546), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5564), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5566), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5562), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88816] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5665), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [88884] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5668), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88992] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5670), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89100] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5676), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3957), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89164] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 1,
      anon_sym_STAR,
    ACTIONS(5678), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5682), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3056), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89230] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4698), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4700), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89280] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89388] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4814), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4816), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89438] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5686), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5688), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89502] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5600), 1,
      anon_sym_STAR,
    ACTIONS(5690), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5692), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5694), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89568] = 7,
    ACTIONS(5696), 1,
      anon_sym_LPAREN,
    ACTIONS(5699), 1,
      anon_sym_COLON,
    ACTIONS(5701), 1,
      anon_sym_LT,
    ACTIONS(5704), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89626] = 7,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [89684] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1758), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1760), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89734] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1768), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1770), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89784] = 7,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89842] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5322), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5324), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5326), 1,
      anon_sym_GT_GT,
    ACTIONS(5330), 1,
      anon_sym_AMP,
    ACTIONS(5332), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      anon_sym_PIPE,
    ACTIONS(5338), 1,
      anon_sym_PERCENT,
    ACTIONS(5340), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5342), 1,
      anon_sym_LT,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5706), 1,
      anon_sym_COLON,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5318), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5320), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5328), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5336), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89950] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4502), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90058] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4504), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90166] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4119), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90274] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4181), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90382] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4183), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90490] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [90572] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [90644] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90740] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [90838] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [90916] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [91006] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [91098] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [91192] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [91268] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5708), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [91346] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [91432] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [91532] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4210), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91640] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4212), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91748] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4236), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91856] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4238), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91964] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4240), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92072] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4242), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92180] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4244), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92288] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4308), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92396] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5711), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [92466] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5714), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [92542] = 32,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4411), 1,
      anon_sym_of,
    ACTIONS(5475), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5477), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5479), 1,
      anon_sym_GT_GT,
    ACTIONS(5483), 1,
      anon_sym_AMP,
    ACTIONS(5485), 1,
      anon_sym_CARET,
    ACTIONS(5487), 1,
      anon_sym_PIPE,
    ACTIONS(5491), 1,
      anon_sym_PERCENT,
    ACTIONS(5493), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5495), 1,
      anon_sym_LT,
    ACTIONS(5503), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5505), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5473), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5481), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5489), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5499), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5501), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5497), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92650] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5717), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [92718] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5720), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5722), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5724), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4083), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92782] = 4,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92834] = 8,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4480), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92894] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5394), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92953] = 4,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [93004] = 19,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(1935), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5730), 1,
      anon_sym_async,
    ACTIONS(5732), 1,
      anon_sym_static,
    ACTIONS(5734), 1,
      anon_sym_readonly,
    ACTIONS(5740), 1,
      anon_sym_override,
    STATE(2677), 1,
      sym_accessibility_modifier,
    STATE(2710), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5424), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5736), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5738), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3672), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(6067), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5726), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93085] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93144] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5742), 1,
      anon_sym_readonly,
    STATE(2701), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93211] = 10,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5039), 1,
      anon_sym_abstract,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93274] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93379] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5780), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93438] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93507] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93576] = 31,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(4534), 1,
      anon_sym_BANG,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(2530), 1,
      sym_type_arguments,
    STATE(5579), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93681] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5722), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4083), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93740] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93809] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5624), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93868] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5462), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4046), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93927] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94032] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94137] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94242] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94347] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94452] = 19,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94533] = 14,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5782), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94604] = 26,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94699] = 27,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94796] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5782), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [94873] = 23,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [94962] = 24,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95053] = 25,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4187), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95146] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5782), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95221] = 17,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5782), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4187), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [95298] = 21,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4187), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95383] = 28,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4187), 1,
      anon_sym_BANG,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4185), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [95482] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95587] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95692] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5596), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3993), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95751] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95856] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95961] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96066] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96171] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96276] = 17,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(2709), 1,
      sym_override_modifier,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96353] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5602), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4001), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96412] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96517] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5606), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96576] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5612), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4006), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96635] = 7,
    ACTIONS(4017), 1,
      anon_sym_QMARK,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4716), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96692] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5787), 1,
      anon_sym_readonly,
    STATE(2715), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96759] = 10,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5789), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96822] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5793), 1,
      anon_sym_readonly,
    ACTIONS(5795), 1,
      anon_sym_accessor,
    STATE(2733), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5791), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3447), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96889] = 10,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5799), 1,
      anon_sym_abstract,
    ACTIONS(5801), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5797), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3449), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96952] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5592), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4062), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97011] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5438), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97070] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97129] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97180] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97231] = 16,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(2709), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97306] = 16,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5806), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4400), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4402), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [97381] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5456), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97440] = 31,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4062), 1,
      anon_sym_as,
    ACTIONS(4066), 1,
      anon_sym_BANG,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4106), 1,
      anon_sym_satisfies,
    ACTIONS(5748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5750), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5752), 1,
      anon_sym_GT_GT,
    ACTIONS(5756), 1,
      anon_sym_AMP,
    ACTIONS(5758), 1,
      anon_sym_CARET,
    ACTIONS(5760), 1,
      anon_sym_PIPE,
    ACTIONS(5764), 1,
      anon_sym_PERCENT,
    ACTIONS(5766), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    ACTIONS(5776), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5778), 1,
      sym__ternary_qmark,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5754), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5762), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5772), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5774), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5770), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97545] = 12,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5809), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4413), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [97612] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97681] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97750] = 4,
    ACTIONS(5155), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5151), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(5153), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [97801] = 6,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4719), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97856] = 7,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(4480), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97913] = 7,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3388), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97970] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4274), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98023] = 5,
    ACTIONS(3384), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3587), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98076] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98135] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5812), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98194] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98263] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5816), 1,
      anon_sym_readonly,
    ACTIONS(5818), 1,
      anon_sym_accessor,
    STATE(2707), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5814), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3427), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98330] = 10,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5822), 1,
      anon_sym_abstract,
    ACTIONS(5824), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5820), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3309), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98393] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5828), 1,
      anon_sym_readonly,
    ACTIONS(5830), 1,
      anon_sym_accessor,
    STATE(2712), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5826), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3313), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98460] = 10,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5834), 1,
      anon_sym_abstract,
    ACTIONS(5836), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5832), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3383), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98523] = 6,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98578] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5412), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4065), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98637] = 6,
    ACTIONS(4633), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4636), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4629), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98692] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98751] = 23,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(3765), 1,
      anon_sym_AT,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5838), 1,
      anon_sym_STAR,
    ACTIONS(5840), 1,
      anon_sym_async,
    ACTIONS(5844), 1,
      anon_sym_static,
    ACTIONS(5846), 1,
      anon_sym_readonly,
    ACTIONS(5850), 1,
      anon_sym_declare,
    ACTIONS(5852), 1,
      anon_sym_abstract,
    ACTIONS(5854), 1,
      anon_sym_accessor,
    STATE(2555), 1,
      sym_method_definition,
    STATE(2634), 1,
      sym_accessibility_modifier,
    STATE(2667), 1,
      aux_sym_export_statement_repeat1,
    STATE(2685), 1,
      sym_override_modifier,
    STATE(2735), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5842), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5848), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3627), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3021), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98840] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5586), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4092), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98899] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5650), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98958] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99027] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3957), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99086] = 6,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(5063), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4925), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99141] = 7,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4254), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1704), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99198] = 7,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4272), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4266), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4269), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4260), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99255] = 7,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99312] = 7,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99369] = 13,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      anon_sym_LBRACK,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5856), 1,
      anon_sym_LT,
    STATE(1450), 1,
      sym_type_arguments,
    STATE(5653), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4104), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4379), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4381), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99438] = 4,
    ACTIONS(3505), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99488] = 6,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(4925), 1,
      anon_sym_RBRACK,
    ACTIONS(5063), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99542] = 6,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(4853), 1,
      anon_sym_RBRACK,
    ACTIONS(5069), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99596] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5861), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5859), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99656] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5865), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5863), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3527), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99716] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5869), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3438), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99776] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5873), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5871), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3435), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99836] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5875), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3551), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99896] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5879), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99956] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5883), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100016] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5889), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5887), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3459), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100076] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5893), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5891), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3474), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100136] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3129), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3127), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [100184] = 15,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    STATE(2709), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100256] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5899), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5897), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3507), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100316] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5903), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5901), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3378), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100376] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5907), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5905), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3428), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100436] = 6,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
    ACTIONS(3596), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100490] = 6,
    ACTIONS(4716), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4019), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100544] = 6,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100598] = 6,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4805), 1,
      anon_sym_RBRACK,
    ACTIONS(5049), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100652] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1820), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5909), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5912), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100702] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1887), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5915), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5918), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100752] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5924), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100802] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100852] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3133), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3131), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [100900] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100950] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101018] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1770), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5927), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5930), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101068] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1901), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5936), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101118] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5374), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101178] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4669), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5944), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101228] = 6,
    ACTIONS(4019), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4719), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101282] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5947), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5950), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101332] = 12,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101398] = 6,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4480), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3382), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101452] = 6,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101506] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5955), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3415), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101566] = 6,
    ACTIONS(4633), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4636), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4422), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4629), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4631), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101620] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5957), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101680] = 14,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101750] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5961), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101810] = 4,
    ACTIONS(3537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101860] = 7,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(4710), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4713), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3382), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101916] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101966] = 13,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3125), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3123), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [102082] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102141] = 4,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102190] = 6,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2253), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4041), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4043), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [102243] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102302] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102361] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102420] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102479] = 4,
    ACTIONS(5155), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5151), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(5153), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [102528] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102587] = 6,
    ACTIONS(3474), 1,
      anon_sym_EQ,
    ACTIONS(3582), 1,
      anon_sym_in,
    ACTIONS(3585), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102640] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102699] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102762] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102821] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102884] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102943] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103004] = 12,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103069] = 6,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(5049), 1,
      anon_sym_of,
    ACTIONS(5513), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103122] = 6,
    ACTIONS(4762), 1,
      anon_sym_EQ,
    ACTIONS(5063), 1,
      anon_sym_of,
    ACTIONS(5516), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4760), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4764), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103175] = 6,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(5069), 1,
      anon_sym_of,
    ACTIONS(5519), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103228] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103287] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103346] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103405] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103464] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103523] = 4,
    ACTIONS(3564), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103572] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5971), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103618] = 5,
    ACTIONS(5979), 1,
      anon_sym_SEMI,
    ACTIONS(5982), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5977), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5975), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103668] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5971), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103714] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103760] = 4,
    ACTIONS(5988), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1734), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1736), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103808] = 4,
    ACTIONS(3649), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103902] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5994), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [103994] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5998), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104040] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104086] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104132] = 4,
    ACTIONS(3687), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104180] = 4,
    ACTIONS(6002), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1702), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104228] = 4,
    ACTIONS(3661), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104276] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6006), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6004), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104322] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5994), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104414] = 4,
    ACTIONS(3685), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104462] = 4,
    ACTIONS(6012), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1734), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1736), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104510] = 4,
    ACTIONS(3647), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104604] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104650] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104696] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104754] = 5,
    ACTIONS(6018), 1,
      anon_sym_SEMI,
    ACTIONS(6021), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6016), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6014), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104850] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104896] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104942] = 4,
    ACTIONS(3679), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104990] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105082] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1734), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1736), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105128] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105174] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6023), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105220] = 8,
    ACTIONS(6031), 1,
      anon_sym_LPAREN,
    ACTIONS(6033), 1,
      anon_sym_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(2729), 1,
      sym_arguments,
    STATE(6113), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3480), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3478), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105276] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5994), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105322] = 4,
    ACTIONS(6037), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1702), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6041), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6039), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105416] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1824), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1826), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105462] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5994), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105508] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105554] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5998), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105600] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105646] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105692] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6045), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6043), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105738] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6049), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6047), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6053), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6051), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5998), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105922] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105968] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5998), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106014] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106060] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6027), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106106] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6008), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106152] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5998), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106198] = 4,
    ACTIONS(3681), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106246] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6057), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6055), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106292] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5990), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106384] = 4,
    ACTIONS(3691), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5994), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106478] = 4,
    ACTIONS(3657), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3386), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106526] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6059), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106571] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6065), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6063), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6069), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6067), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6073), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6071), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106706] = 7,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106759] = 7,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106812] = 6,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106863] = 6,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106914] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6059), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106959] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3562), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LT,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3560), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107004] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1734), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1736), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107049] = 14,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_STAR,
    ACTIONS(6077), 1,
      anon_sym_async,
    ACTIONS(6081), 1,
      anon_sym_readonly,
    STATE(2726), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6083), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1824), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1826), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107161] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6089), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6091), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107221] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_STAR,
    ACTIONS(6077), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6083), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107281] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6097), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107339] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1999), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1997), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107387] = 17,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4969), 1,
      anon_sym_STAR,
    ACTIONS(4971), 1,
      anon_sym_async,
    ACTIONS(6101), 1,
      anon_sym_static,
    ACTIONS(6103), 1,
      anon_sym_readonly,
    ACTIONS(6105), 1,
      anon_sym_declare,
    ACTIONS(6107), 1,
      anon_sym_abstract,
    ACTIONS(6109), 1,
      anon_sym_accessor,
    STATE(2693), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6099), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107459] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6111), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6113), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6115), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107517] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(6117), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6097), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107577] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6083), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107635] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107683] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6089), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6091), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107741] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6119), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107797] = 17,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    ACTIONS(4334), 1,
      anon_sym_async,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(6121), 1,
      anon_sym_static,
    ACTIONS(6123), 1,
      anon_sym_readonly,
    ACTIONS(6125), 1,
      anon_sym_declare,
    ACTIONS(6127), 1,
      anon_sym_abstract,
    STATE(2700), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4336), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4340), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3037), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107869] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5456), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107922] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6131), 1,
      anon_sym_static,
    ACTIONS(6133), 1,
      anon_sym_readonly,
    ACTIONS(6135), 1,
      anon_sym_abstract,
    ACTIONS(6137), 1,
      anon_sym_accessor,
    STATE(2730), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6129), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3455), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107985] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6113), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108038] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5586), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4092), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108091] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3957), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108144] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6139), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108197] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108250] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5592), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4062), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108303] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5394), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108356] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5412), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4065), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108409] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108462] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5119), 1,
      anon_sym_static,
    ACTIONS(5121), 1,
      anon_sym_readonly,
    ACTIONS(5123), 1,
      anon_sym_abstract,
    STATE(2701), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108525] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6089), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108578] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108631] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5596), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3993), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108684] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(6143), 1,
      anon_sym_STAR,
    ACTIONS(6147), 1,
      anon_sym_readonly,
    STATE(2705), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6145), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6149), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3014), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108747] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5650), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108800] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6151), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4068), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108853] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108906] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5602), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4001), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108959] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6153), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4114), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109012] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5606), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109065] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5612), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4006), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109118] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6155), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4007), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109171] = 13,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5742), 1,
      anon_sym_readonly,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    STATE(2727), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6159), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6161), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3018), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109234] = 6,
    ACTIONS(6163), 1,
      anon_sym_AT,
    STATE(2667), 1,
      aux_sym_export_statement_repeat1,
    STATE(2735), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3513), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109283] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109336] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5722), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4083), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109389] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5812), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109442] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6166), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3987), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109495] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5438), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109548] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5624), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(4090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109601] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6168), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109655] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6172), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109709] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    ACTIONS(6174), 1,
      anon_sym_static,
    STATE(2719), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109773] = 14,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(2315), 1,
      anon_sym_override,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(6176), 1,
      anon_sym_static,
    STATE(2709), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109837] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_RBRACE,
    STATE(5319), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4179), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109891] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    ACTIONS(4334), 1,
      anon_sym_async,
    ACTIONS(4338), 1,
      anon_sym_readonly,
    ACTIONS(4342), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4336), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4340), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3037), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109951] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2227), 1,
      anon_sym_namespace,
    ACTIONS(2231), 1,
      anon_sym_import,
    ACTIONS(2233), 1,
      anon_sym_var,
    ACTIONS(2235), 1,
      anon_sym_let,
    ACTIONS(2237), 1,
      anon_sym_const,
    ACTIONS(2242), 1,
      anon_sym_class,
    ACTIONS(2244), 1,
      anon_sym_async,
    ACTIONS(2246), 1,
      anon_sym_function,
    ACTIONS(2251), 1,
      anon_sym_declare,
    ACTIONS(2253), 1,
      anon_sym_module,
    ACTIONS(2255), 1,
      anon_sym_abstract,
    ACTIONS(2257), 1,
      anon_sym_interface,
    ACTIONS(2259), 1,
      anon_sym_enum,
    ACTIONS(2289), 1,
      anon_sym_type,
    ACTIONS(6182), 1,
      anon_sym_default,
    STATE(830), 1,
      sym_declaration,
    STATE(853), 1,
      sym_internal_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4420), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(862), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110031] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    ACTIONS(6186), 1,
      anon_sym_readonly,
    ACTIONS(6188), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3019), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110091] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2231), 1,
      anon_sym_import,
    ACTIONS(2233), 1,
      anon_sym_var,
    ACTIONS(2235), 1,
      anon_sym_let,
    ACTIONS(2237), 1,
      anon_sym_const,
    ACTIONS(2242), 1,
      anon_sym_class,
    ACTIONS(2244), 1,
      anon_sym_async,
    ACTIONS(2246), 1,
      anon_sym_function,
    ACTIONS(2255), 1,
      anon_sym_abstract,
    ACTIONS(2257), 1,
      anon_sym_interface,
    ACTIONS(2259), 1,
      anon_sym_enum,
    ACTIONS(2289), 1,
      anon_sym_type,
    ACTIONS(2293), 1,
      anon_sym_global,
    ACTIONS(2299), 1,
      anon_sym_namespace,
    ACTIONS(2301), 1,
      anon_sym_declare,
    ACTIONS(2333), 1,
      anon_sym_module,
    STATE(810), 1,
      sym_declaration,
    STATE(853), 1,
      sym_internal_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4420), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(862), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110171] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_type,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    ACTIONS(3797), 1,
      anon_sym_module,
    ACTIONS(6190), 1,
      anon_sym_default,
    STATE(1216), 1,
      sym_decorator,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4561), 1,
      sym_declaration,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110251] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110305] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4969), 1,
      anon_sym_STAR,
    ACTIONS(4971), 1,
      anon_sym_async,
    ACTIONS(6196), 1,
      anon_sym_readonly,
    ACTIONS(6198), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3033), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110365] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6200), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110419] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2227), 1,
      anon_sym_namespace,
    ACTIONS(2231), 1,
      anon_sym_import,
    ACTIONS(2233), 1,
      anon_sym_var,
    ACTIONS(2235), 1,
      anon_sym_let,
    ACTIONS(2237), 1,
      anon_sym_const,
    ACTIONS(2242), 1,
      anon_sym_class,
    ACTIONS(2244), 1,
      anon_sym_async,
    ACTIONS(2246), 1,
      anon_sym_function,
    ACTIONS(2251), 1,
      anon_sym_declare,
    ACTIONS(2253), 1,
      anon_sym_module,
    ACTIONS(2255), 1,
      anon_sym_abstract,
    ACTIONS(2257), 1,
      anon_sym_interface,
    ACTIONS(2259), 1,
      anon_sym_enum,
    ACTIONS(2289), 1,
      anon_sym_type,
    ACTIONS(6202), 1,
      anon_sym_default,
    STATE(830), 1,
      sym_declaration,
    STATE(853), 1,
      sym_internal_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4420), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(862), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110499] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_type,
    ACTIONS(2341), 1,
      anon_sym_namespace,
    ACTIONS(2343), 1,
      anon_sym_import,
    ACTIONS(2345), 1,
      anon_sym_var,
    ACTIONS(2347), 1,
      anon_sym_let,
    ACTIONS(2349), 1,
      anon_sym_const,
    ACTIONS(2351), 1,
      anon_sym_class,
    ACTIONS(2353), 1,
      anon_sym_async,
    ACTIONS(2355), 1,
      anon_sym_function,
    ACTIONS(2357), 1,
      anon_sym_declare,
    ACTIONS(2359), 1,
      anon_sym_module,
    ACTIONS(2361), 1,
      anon_sym_abstract,
    ACTIONS(2363), 1,
      anon_sym_global,
    ACTIONS(2365), 1,
      anon_sym_interface,
    ACTIONS(2367), 1,
      anon_sym_enum,
    STATE(1216), 1,
      sym_decorator,
    STATE(4404), 1,
      sym_internal_module,
    STATE(4436), 1,
      sym_declaration,
    STATE(4657), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4399), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110579] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6204), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110633] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2227), 1,
      anon_sym_namespace,
    ACTIONS(2231), 1,
      anon_sym_import,
    ACTIONS(2233), 1,
      anon_sym_var,
    ACTIONS(2235), 1,
      anon_sym_let,
    ACTIONS(2237), 1,
      anon_sym_const,
    ACTIONS(2242), 1,
      anon_sym_class,
    ACTIONS(2244), 1,
      anon_sym_async,
    ACTIONS(2246), 1,
      anon_sym_function,
    ACTIONS(2251), 1,
      anon_sym_declare,
    ACTIONS(2255), 1,
      anon_sym_abstract,
    ACTIONS(2257), 1,
      anon_sym_interface,
    ACTIONS(2259), 1,
      anon_sym_enum,
    ACTIONS(2289), 1,
      anon_sym_type,
    ACTIONS(2291), 1,
      anon_sym_module,
    ACTIONS(2293), 1,
      anon_sym_global,
    STATE(810), 1,
      sym_declaration,
    STATE(853), 1,
      sym_internal_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4420), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(862), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110713] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110767] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_RBRACE,
    STATE(4938), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6210), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4293), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110821] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(6214), 1,
      anon_sym_readonly,
    ACTIONS(6216), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6212), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3015), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110881] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5264), 1,
      anon_sym_STAR,
    ACTIONS(5266), 1,
      anon_sym_async,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(6218), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5268), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5270), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110941] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6220), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110995] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 1,
      anon_sym_STAR,
    ACTIONS(5011), 1,
      anon_sym_async,
    ACTIONS(6224), 1,
      anon_sym_readonly,
    ACTIONS(6226), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6222), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3048), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111055] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_override,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_STAR,
    ACTIONS(5228), 1,
      anon_sym_async,
    ACTIONS(5232), 1,
      anon_sym_readonly,
    ACTIONS(6228), 1,
      anon_sym_static,
    STATE(2728), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5230), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5234), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111119] = 9,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111173] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2231), 1,
      anon_sym_import,
    ACTIONS(2233), 1,
      anon_sym_var,
    ACTIONS(2235), 1,
      anon_sym_let,
    ACTIONS(2237), 1,
      anon_sym_const,
    ACTIONS(2242), 1,
      anon_sym_class,
    ACTIONS(2244), 1,
      anon_sym_async,
    ACTIONS(2246), 1,
      anon_sym_function,
    ACTIONS(2255), 1,
      anon_sym_abstract,
    ACTIONS(2257), 1,
      anon_sym_interface,
    ACTIONS(2259), 1,
      anon_sym_enum,
    ACTIONS(2289), 1,
      anon_sym_type,
    ACTIONS(2299), 1,
      anon_sym_namespace,
    ACTIONS(2301), 1,
      anon_sym_declare,
    ACTIONS(2303), 1,
      anon_sym_module,
    ACTIONS(6232), 1,
      anon_sym_default,
    STATE(830), 1,
      sym_declaration,
    STATE(853), 1,
      sym_internal_module,
    STATE(1216), 1,
      sym_decorator,
    STATE(4420), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(862), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111253] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_STAR,
    ACTIONS(5033), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5051), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111313] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5787), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111366] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5672), 1,
      anon_sym_STAR,
    ACTIONS(5678), 1,
      anon_sym_async,
    ACTIONS(6234), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5680), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5682), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3056), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111423] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6238), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6236), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111474] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1975), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1973), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111517] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5780), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6240), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111570] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_readonly,
    ACTIONS(6246), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6242), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111623] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_readonly,
    ACTIONS(6252), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6248), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111676] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5742), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111729] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6075), 1,
      anon_sym_STAR,
    ACTIONS(6077), 1,
      anon_sym_async,
    ACTIONS(6081), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6083), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111786] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(2309), 1,
      anon_sym_async,
    ACTIONS(2311), 1,
      anon_sym_readonly,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2313), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111843] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      anon_sym_readonly,
    ACTIONS(6258), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6254), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3468), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111896] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6262), 1,
      anon_sym_readonly,
    ACTIONS(6264), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6260), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111949] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_readonly,
    ACTIONS(6270), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6266), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3357), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112002] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6274), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6272), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3490), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112053] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5374), 1,
      anon_sym_accessor,
    ACTIONS(6276), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112106] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5226), 1,
      anon_sym_STAR,
    ACTIONS(5228), 1,
      anon_sym_async,
    ACTIONS(5232), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5230), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5234), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112163] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112214] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112265] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_STAR,
    ACTIONS(5310), 1,
      anon_sym_async,
    ACTIONS(5314), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5312), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5316), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112322] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5374), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112373] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_readonly,
    ACTIONS(6282), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6278), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112426] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5600), 1,
      anon_sym_STAR,
    ACTIONS(5690), 1,
      anon_sym_async,
    ACTIONS(6284), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5692), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5694), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112483] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6288), 1,
      anon_sym_readonly,
    ACTIONS(6290), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6286), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112536] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3550), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3548), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112577] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    STATE(6080), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112628] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_async,
    ACTIONS(6292), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6089), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6091), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112685] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(6294), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5812), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6296), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112738] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 1,
      anon_sym_STAR,
    ACTIONS(5284), 1,
      anon_sym_async,
    ACTIONS(5288), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5286), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5290), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112795] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3556), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112836] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 1,
      anon_sym_readonly,
    ACTIONS(6302), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6298), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3426), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112889] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6304), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3445), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112940] = 11,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4167), 1,
      anon_sym_STAR,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 1,
      anon_sym_async,
    ACTIONS(4177), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4179), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3087), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112997] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6310), 1,
      anon_sym_readonly,
    ACTIONS(6312), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6308), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3539), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113050] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6316), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6314), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3554), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3552), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [113142] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6320), 1,
      anon_sym_readonly,
    ACTIONS(6322), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6318), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3451), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113195] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6324), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3432), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113246] = 9,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_readonly,
    ACTIONS(6332), 1,
      anon_sym_accessor,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6328), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3362), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113299] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3480), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3478), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [113340] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6334), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113388] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6336), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3503), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113436] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5606), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113484] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6338), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3413), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113532] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5456), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113580] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6166), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3987), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113628] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3961), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113676] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5612), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4006), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113724] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6340), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3458), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113772] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6155), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4007), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113820] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6342), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113868] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4088), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113916] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6344), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113964] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6346), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3508), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114012] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3392), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114060] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6350), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3411), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114108] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6352), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3439), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114156] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6354), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3311), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114204] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6356), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114252] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5624), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4090), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114300] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6358), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114348] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3335), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114396] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6360), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3470), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114444] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6362), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3473), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114492] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6089), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3990), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114540] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6113), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4106), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114588] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5438), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3963), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114636] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6095), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114684] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3483), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114732] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6366), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3491), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114780] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5650), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114828] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114876] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6153), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4114), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114924] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6368), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3540), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114972] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5780), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115020] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6370), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3423), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115068] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6372), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3528), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115116] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6139), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4104), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115164] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6374), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3424), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115212] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3544), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115260] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6378), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3547), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115308] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6380), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3304), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115356] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6382), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3382), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115404] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6384), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3310), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115452] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6386), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3358), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115500] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6388), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3365), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115548] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6390), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115596] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6392), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115644] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6394), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115692] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6396), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3374), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115740] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6398), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115788] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6400), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115836] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115884] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6402), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3431), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115932] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6404), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3487), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115980] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6406), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116028] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116076] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3957), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116124] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5509), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116172] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6408), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3410), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116220] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5462), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4046), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116268] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6410), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3398), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116316] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116364] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6412), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3306), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116412] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5812), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4082), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116460] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6414), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3350), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116508] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5592), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4062), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116556] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5394), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116604] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5412), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4065), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116652] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6141), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116700] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3951), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116748] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6416), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3440), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116796] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6418), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116844] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4730), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116892] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6420), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3452), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116940] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6151), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4068), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116988] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6422), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3359), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117036] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6424), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117084] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6426), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117132] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6428), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117180] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6430), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3469), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117228] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6432), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3471), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117276] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5586), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4092), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117324] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6434), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3429), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117372] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4834), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3991), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117420] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5722), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4083), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117468] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5961), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3386), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117516] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6436), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3480), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117564] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6438), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3368), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117612] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5596), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3993), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117660] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6440), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3390), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117708] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6442), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3442), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117756] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6444), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3303), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3603), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117804] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(4832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5602), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4001), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2307), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117852] = 4,
    ACTIONS(6446), 1,
      sym_identifier,
    STATE(6455), 1,
      sym_mapped_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6448), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117887] = 9,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3388), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117928] = 9,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    ACTIONS(6454), 1,
      anon_sym_QMARK_DOT,
    STATE(2878), 1,
      sym_arguments,
    STATE(2974), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3987), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3989), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117969] = 9,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6456), 1,
      anon_sym_DOT,
    ACTIONS(6458), 1,
      anon_sym_QMARK_DOT,
    STATE(2884), 1,
      sym_arguments,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3961), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3963), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118010] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4369), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118038] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4220), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118066] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4224), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118094] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4228), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118122] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4232), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118150] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4314), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4316), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4228), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118206] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4232), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118234] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4248), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118262] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4252), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4248), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118318] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4324), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4252), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118374] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4369), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118402] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4377), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118430] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4320), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4224), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118486] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4320), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118514] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4216), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118542] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4377), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4220), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118598] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4388), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118626] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4365), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118654] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4388), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118682] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4386), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4388), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118710] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4047), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118738] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4328), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118766] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4324), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118794] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4328), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118822] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4318), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4320), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118850] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4324), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118878] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4369), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118906] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4326), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4328), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118934] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4377), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118962] = 18,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_COMMA,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_GT,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6477), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6479), 1,
      anon_sym_extends,
    STATE(3395), 1,
      sym_type_arguments,
    STATE(3399), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    STATE(4857), 1,
      sym_constraint,
    STATE(5989), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [119019] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(6481), 1,
      sym_identifier,
    ACTIONS(6483), 1,
      anon_sym_STAR,
    ACTIONS(6485), 1,
      anon_sym_type,
    ACTIONS(6487), 1,
      anon_sym_LBRACE,
    ACTIONS(6489), 1,
      anon_sym_typeof,
    STATE(4852), 1,
      sym_string,
    STATE(4893), 1,
      sym_import_require_clause,
    STATE(5959), 1,
      sym_import_clause,
    STATE(5990), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6375), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6491), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [119068] = 6,
    ACTIONS(4003), 1,
      anon_sym_EQ,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119101] = 18,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6466), 1,
      anon_sym_COMMA,
    ACTIONS(6468), 1,
      anon_sym_COLON,
    ACTIONS(6470), 1,
      anon_sym_GT,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6479), 1,
      anon_sym_extends,
    ACTIONS(6495), 1,
      anon_sym_SLASH_GT,
    STATE(3318), 1,
      sym_type_arguments,
    STATE(3319), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    STATE(4857), 1,
      sym_constraint,
    STATE(5989), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [119158] = 5,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3388), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119188] = 5,
    ACTIONS(4023), 1,
      anon_sym_EQ,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4486), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4488), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119244] = 3,
    ACTIONS(4450), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119270] = 7,
    ACTIONS(4003), 1,
      anon_sym_EQ,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    ACTIONS(6497), 1,
      anon_sym_is,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119304] = 3,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1784), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119330] = 5,
    ACTIONS(6499), 1,
      anon_sym_DOT,
    ACTIONS(6501), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4110), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4112), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119360] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4312), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4506), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4508), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119412] = 3,
    ACTIONS(4428), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4430), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119438] = 4,
    ACTIONS(1806), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [119466] = 3,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119492] = 3,
    ACTIONS(3594), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119518] = 9,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3392), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3400), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(3073), 1,
      sym_arguments,
    STATE(3222), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119556] = 3,
    ACTIONS(4131), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119582] = 3,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119608] = 3,
    ACTIONS(4139), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119634] = 4,
    ACTIONS(1832), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [119662] = 3,
    ACTIONS(4143), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119688] = 3,
    ACTIONS(1802), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1800), 16,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119714] = 9,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3987), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6505), 1,
      anon_sym_DOT,
    ACTIONS(6507), 1,
      anon_sym_QMARK_DOT,
    STATE(3074), 1,
      sym_arguments,
    STATE(3223), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3989), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119752] = 3,
    ACTIONS(4454), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119778] = 9,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6509), 1,
      anon_sym_DOT,
    ACTIONS(6511), 1,
      anon_sym_QMARK_DOT,
    STATE(3075), 1,
      sym_arguments,
    STATE(3224), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3963), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119816] = 4,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119843] = 6,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_EQ,
    ACTIONS(6515), 1,
      anon_sym_DOT,
    STATE(2904), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119874] = 3,
    ACTIONS(4009), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4011), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [119899] = 3,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [119924] = 3,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119949] = 3,
    ACTIONS(4470), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119974] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6517), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [119996] = 3,
    ACTIONS(4326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120020] = 8,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(6521), 1,
      anon_sym_DOT,
    ACTIONS(6523), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6525), 1,
      anon_sym_LT,
    STATE(3257), 1,
      sym_arguments,
    STATE(3510), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120054] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6529), 1,
      sym_number,
    ACTIONS(6531), 1,
      anon_sym_unique,
    STATE(6570), 1,
      sym_string,
    STATE(6577), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120088] = 7,
    ACTIONS(4003), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6533), 1,
      anon_sym_DOT,
    ACTIONS(6535), 1,
      anon_sym_is,
    STATE(3215), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120120] = 8,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(6525), 1,
      anon_sym_LT,
    ACTIONS(6537), 1,
      anon_sym_DOT,
    ACTIONS(6539), 1,
      anon_sym_QMARK_DOT,
    STATE(3258), 1,
      sym_arguments,
    STATE(3511), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3989), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120154] = 8,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(6525), 1,
      anon_sym_LT,
    ACTIONS(6541), 1,
      anon_sym_DOT,
    ACTIONS(6543), 1,
      anon_sym_QMARK_DOT,
    STATE(3259), 1,
      sym_arguments,
    STATE(3512), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3963), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120188] = 3,
    ACTIONS(4326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120212] = 3,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6545), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120258] = 3,
    ACTIONS(4363), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120282] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6547), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120304] = 3,
    ACTIONS(4250), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4252), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120328] = 4,
    ACTIONS(4200), 1,
      anon_sym_EQ,
    ACTIONS(6549), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120354] = 3,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120378] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6551), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6201), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120410] = 3,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120434] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6553), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120456] = 3,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120480] = 3,
    ACTIONS(4029), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120504] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6555), 1,
      sym_number,
    STATE(6498), 1,
      sym_string,
    STATE(6529), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120538] = 3,
    ACTIONS(4375), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120562] = 3,
    ACTIONS(4375), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120586] = 3,
    ACTIONS(4375), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120610] = 3,
    ACTIONS(4386), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120634] = 3,
    ACTIONS(4386), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120658] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6557), 1,
      sym_number,
    STATE(6536), 1,
      sym_string,
    STATE(6537), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120692] = 3,
    ACTIONS(4386), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6559), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120738] = 3,
    ACTIONS(4478), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120762] = 3,
    ACTIONS(4474), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4476), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120786] = 3,
    ACTIONS(4045), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120810] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6561), 1,
      sym_number,
    STATE(6350), 1,
      sym_string,
    STATE(6525), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120844] = 3,
    ACTIONS(4017), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120868] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6563), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6557), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120900] = 3,
    ACTIONS(4371), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120924] = 3,
    ACTIONS(4286), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120948] = 3,
    ACTIONS(4347), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120972] = 3,
    ACTIONS(4023), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120996] = 3,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4216), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121020] = 3,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4292), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121044] = 3,
    ACTIONS(4218), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121068] = 3,
    ACTIONS(4222), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121092] = 3,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121116] = 3,
    ACTIONS(4300), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4302), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121140] = 3,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121164] = 3,
    ACTIONS(4218), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121188] = 3,
    ACTIONS(4222), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121212] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6565), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6482), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121244] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6567), 1,
      sym_number,
    STATE(6485), 1,
      sym_string,
    STATE(6487), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121278] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6569), 1,
      sym_number,
    STATE(6490), 1,
      sym_string,
    STATE(6493), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121312] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6571), 1,
      sym_number,
    STATE(6495), 1,
      sym_string,
    STATE(6496), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121346] = 3,
    ACTIONS(4326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121370] = 3,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4232), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121394] = 3,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4161), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121418] = 3,
    ACTIONS(4226), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121442] = 3,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121466] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6573), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [121488] = 3,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4232), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6575), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [121534] = 3,
    ACTIONS(4246), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121558] = 3,
    ACTIONS(4294), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121582] = 3,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121606] = 3,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121630] = 3,
    ACTIONS(4420), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121654] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6577), 1,
      sym_number,
    STATE(6206), 1,
      sym_predefined_type,
    STATE(6566), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121688] = 3,
    ACTIONS(4482), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4484), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121712] = 3,
    ACTIONS(4250), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4252), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6579), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [121758] = 3,
    ACTIONS(4490), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4492), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121782] = 3,
    ACTIONS(4314), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4316), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121806] = 3,
    ACTIONS(4516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121830] = 3,
    ACTIONS(4318), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121854] = 3,
    ACTIONS(4520), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121878] = 3,
    ACTIONS(4524), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4526), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121902] = 3,
    ACTIONS(4424), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121926] = 5,
    ACTIONS(4436), 1,
      anon_sym_EQ,
    ACTIONS(6549), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4438), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [121954] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6581), 1,
      sym_number,
    STATE(6275), 1,
      sym_string,
    STATE(6333), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121988] = 3,
    ACTIONS(4049), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4051), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122012] = 3,
    ACTIONS(4318), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122036] = 3,
    ACTIONS(4318), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122060] = 3,
    ACTIONS(4246), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122084] = 3,
    ACTIONS(4322), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122108] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6583), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6424), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122140] = 3,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122164] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6585), 1,
      sym_number,
    STATE(6433), 1,
      sym_string,
    STATE(6434), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6587), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122220] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6589), 1,
      sym_number,
    STATE(6436), 1,
      sym_string,
    STATE(6437), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122254] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6591), 1,
      sym_number,
    STATE(6448), 1,
      sym_string,
    STATE(6451), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122288] = 3,
    ACTIONS(4147), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122312] = 3,
    ACTIONS(4155), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122336] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6593), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6384), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122368] = 4,
    ACTIONS(4446), 1,
      anon_sym_EQ,
    ACTIONS(6549), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4448), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122394] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6595), 1,
      sym_number,
    STATE(6391), 1,
      sym_string,
    STATE(6399), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122428] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6597), 1,
      sym_number,
    STATE(6458), 1,
      sym_string,
    STATE(6462), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122462] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(6531), 1,
      anon_sym_unique,
    ACTIONS(6599), 1,
      sym_number,
    STATE(6480), 1,
      sym_string,
    STATE(6500), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6527), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122496] = 3,
    ACTIONS(4390), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4392), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122520] = 3,
    ACTIONS(4322), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122544] = 3,
    ACTIONS(4460), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4462), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122568] = 3,
    ACTIONS(4322), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122592] = 3,
    ACTIONS(4226), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122616] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2924), 1,
      sym_type_predicate,
    STATE(6431), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6601), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122645] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [122684] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6607), 1,
      anon_sym_BANG,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6613), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4743), 1,
      sym_type_annotation,
    STATE(5800), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6142), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122727] = 14,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(6483), 1,
      anon_sym_STAR,
    ACTIONS(6487), 1,
      anon_sym_LBRACE,
    ACTIONS(6615), 1,
      sym_identifier,
    ACTIONS(6617), 1,
      anon_sym_type,
    ACTIONS(6619), 1,
      anon_sym_COMMA,
    ACTIONS(6621), 1,
      anon_sym_from,
    STATE(4821), 1,
      sym_string,
    STATE(4827), 1,
      sym_import_require_clause,
    STATE(5990), 1,
      sym__import_identifier,
    STATE(6004), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6375), 2,
      sym_namespace_import,
      sym_named_imports,
  [122772] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6625), 1,
      anon_sym_BANG,
    ACTIONS(6627), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4590), 1,
      sym_type_annotation,
    STATE(5573), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5963), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122815] = 5,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1617), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4484), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122842] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6631), 1,
      anon_sym_BANG,
    ACTIONS(6633), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4454), 1,
      sym_type_annotation,
    STATE(5328), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6054), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122885] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2924), 1,
      sym_type_predicate,
    STATE(6304), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6635), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122914] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6639), 1,
      anon_sym_BANG,
    ACTIONS(6641), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5175), 1,
      sym__call_signature,
    STATE(5176), 1,
      sym__initializer,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6637), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122957] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6643), 1,
      anon_sym_BANG,
    ACTIONS(6645), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4700), 1,
      sym_type_annotation,
    STATE(5662), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6033), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123000] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6649), 1,
      anon_sym_BANG,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(6653), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(3958), 1,
      sym__call_signature,
    STATE(4493), 1,
      sym_type_annotation,
    STATE(5526), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6647), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123043] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(6657), 1,
      anon_sym_BANG,
    ACTIONS(6659), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4080), 1,
      sym__call_signature,
    STATE(4551), 1,
      sym_type_annotation,
    STATE(5510), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6655), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123086] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6657), 1,
      anon_sym_BANG,
    ACTIONS(6661), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4551), 1,
      sym_type_annotation,
    STATE(5534), 1,
      sym__call_signature,
    STATE(5535), 1,
      sym__initializer,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6655), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123129] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6663), 1,
      anon_sym_BANG,
    ACTIONS(6665), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4486), 1,
      sym_type_annotation,
    STATE(5385), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6125), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123172] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6669), 1,
      anon_sym_BANG,
    ACTIONS(6671), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4394), 1,
      sym_type_annotation,
    STATE(5199), 1,
      sym__initializer,
    STATE(5844), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123215] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6675), 1,
      anon_sym_BANG,
    ACTIONS(6677), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4411), 1,
      sym_type_annotation,
    STATE(5242), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6062), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6673), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123258] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(6681), 1,
      anon_sym_BANG,
    ACTIONS(6683), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4112), 1,
      sym__call_signature,
    STATE(4714), 1,
      sym_type_annotation,
    STATE(5773), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123301] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6685), 1,
      anon_sym_BANG,
    ACTIONS(6687), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4591), 1,
      sym_type_annotation,
    STATE(5572), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5961), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123344] = 6,
    ACTIONS(4003), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    ACTIONS(6533), 1,
      anon_sym_DOT,
    STATE(3215), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123373] = 6,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_PIPE,
    ACTIONS(6689), 1,
      anon_sym_DOT,
    STATE(3148), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123402] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6691), 1,
      anon_sym_BANG,
    ACTIONS(6693), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4475), 1,
      sym_type_annotation,
    STATE(5326), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5906), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123445] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6695), 1,
      anon_sym_BANG,
    ACTIONS(6697), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4621), 1,
      sym_type_annotation,
    STATE(5628), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5993), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123488] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123527] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(3247), 1,
      sym_type_predicate,
    STATE(6418), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6699), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123556] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6701), 1,
      anon_sym_BANG,
    ACTIONS(6703), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4313), 1,
      sym_type_annotation,
    STATE(5450), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6165), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123599] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(1597), 1,
      sym_type_predicate,
    STATE(6543), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6705), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123628] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(6709), 1,
      anon_sym_BANG,
    ACTIONS(6711), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4093), 1,
      sym__call_signature,
    STATE(4588), 1,
      sym_type_annotation,
    STATE(5652), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6707), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123671] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6713), 1,
      anon_sym_BANG,
    ACTIONS(6715), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4626), 1,
      sym_type_annotation,
    STATE(5631), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6000), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123714] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(3315), 1,
      sym_type_predicate,
    STATE(6520), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6717), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123743] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123782] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123821] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6639), 1,
      anon_sym_BANG,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(6719), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4017), 1,
      sym__call_signature,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5127), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6637), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123864] = 4,
    ACTIONS(4029), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [123889] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123928] = 4,
    ACTIONS(4017), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [123953] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6721), 1,
      anon_sym_BANG,
    ACTIONS(6723), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4736), 1,
      sym_type_annotation,
    STATE(5787), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6124), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123996] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6725), 1,
      anon_sym_BANG,
    ACTIONS(6727), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4584), 1,
      sym_type_annotation,
    STATE(5562), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5947), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124039] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6729), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4599), 1,
      sym_type_annotation,
    STATE(5589), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5966), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124082] = 9,
    ACTIONS(4003), 1,
      anon_sym_extends,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    ACTIONS(6733), 1,
      sym_identifier,
    ACTIONS(6737), 1,
      anon_sym_GT,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6735), 3,
      anon_sym_LBRACE,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
    ACTIONS(3472), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [124117] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2019), 1,
      sym_type_predicate,
    STATE(6235), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6740), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [124146] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2924), 1,
      sym_type_predicate,
    STATE(6497), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6742), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [124175] = 4,
    ACTIONS(4023), 1,
      anon_sym_EQ,
    ACTIONS(6744), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124200] = 13,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6746), 1,
      anon_sym_BANG,
    ACTIONS(6748), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4752), 1,
      sym_type_annotation,
    STATE(5818), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6161), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4316), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124303] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124343] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4388), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124363] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6752), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4125), 1,
      sym__call_signature,
    STATE(4126), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124399] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6756), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4637), 1,
      sym__call_signature,
    STATE(4653), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124435] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6758), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3682), 1,
      sym__call_signature,
    STATE(4126), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124471] = 6,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4482), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1617), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4484), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124499] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6762), 1,
      anon_sym_COLON,
    ACTIONS(6764), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3730), 1,
      sym__call_signature,
    STATE(4433), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6760), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124535] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      sym_html_character_reference,
    ACTIONS(6772), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6774), 1,
      anon_sym_LT,
    STATE(1769), 1,
      sym_jsx_closing_element,
    STATE(3064), 1,
      sym_jsx_opening_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3061), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6772), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6776), 1,
      sym_html_character_reference,
    STATE(1668), 1,
      sym_jsx_closing_element,
    STATE(3064), 1,
      sym_jsx_opening_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3144), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124607] = 13,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6782), 1,
      anon_sym_SLASH_GT,
    STATE(3340), 1,
      sym_type_arguments,
    STATE(3341), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [124649] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6784), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3872), 1,
      sym__call_signature,
    STATE(4653), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124685] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6786), 1,
      sym_html_character_reference,
    ACTIONS(6788), 1,
      anon_sym_LT_SLASH,
    STATE(3064), 1,
      sym_jsx_opening_element,
    STATE(3933), 1,
      sym_jsx_closing_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3065), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6776), 1,
      sym_html_character_reference,
    ACTIONS(6788), 1,
      anon_sym_LT_SLASH,
    STATE(3064), 1,
      sym_jsx_opening_element,
    STATE(3940), 1,
      sym_jsx_closing_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3144), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124757] = 6,
    ACTIONS(4407), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [124785] = 5,
    ACTIONS(4023), 1,
      anon_sym_PIPE,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(3220), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6796), 1,
      sym_html_character_reference,
    ACTIONS(6798), 1,
      anon_sym_LT_SLASH,
    STATE(3064), 1,
      sym_jsx_opening_element,
    STATE(4468), 1,
      sym_jsx_closing_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3069), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124847] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6776), 1,
      sym_html_character_reference,
    ACTIONS(6798), 1,
      anon_sym_LT_SLASH,
    STATE(3064), 1,
      sym_jsx_opening_element,
    STATE(4540), 1,
      sym_jsx_closing_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3144), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [124883] = 5,
    ACTIONS(3392), 1,
      anon_sym_DOT,
    ACTIONS(3396), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3400), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124909] = 5,
    ACTIONS(4110), 1,
      anon_sym_PIPE,
    ACTIONS(6800), 1,
      anon_sym_DOT,
    ACTIONS(6802), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4112), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124935] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6806), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4639), 1,
      sym__call_signature,
    STATE(4640), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6804), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124971] = 3,
    ACTIONS(4310), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124993] = 3,
    ACTIONS(4486), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4488), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125015] = 3,
    ACTIONS(4506), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4508), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125037] = 4,
    ACTIONS(1806), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125061] = 3,
    ACTIONS(3592), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125083] = 3,
    ACTIONS(3594), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125105] = 4,
    ACTIONS(1832), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125129] = 6,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125157] = 3,
    ACTIONS(4131), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125179] = 3,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125201] = 3,
    ACTIONS(4139), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125223] = 3,
    ACTIONS(4143), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125245] = 4,
    ACTIONS(4151), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [125269] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125289] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3624), 1,
      sym__call_signature,
    STATE(4640), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6804), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125325] = 6,
    ACTIONS(4494), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125353] = 6,
    ACTIONS(4498), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6810), 1,
      sym_html_character_reference,
    ACTIONS(6812), 1,
      anon_sym_LT_SLASH,
    STATE(2304), 1,
      sym_jsx_closing_element,
    STATE(3064), 1,
      sym_jsx_opening_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3108), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [125417] = 3,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3129), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125439] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125459] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125479] = 3,
    ACTIONS(3123), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3125), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125501] = 3,
    ACTIONS(4428), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4430), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125523] = 4,
    ACTIONS(4396), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4398), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [125547] = 13,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6814), 1,
      anon_sym_SLASH_GT,
    STATE(3321), 1,
      sym_type_arguments,
    STATE(3322), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [125589] = 6,
    ACTIONS(4432), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4434), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125617] = 4,
    ACTIONS(4440), 1,
      anon_sym_EQ,
    ACTIONS(6816), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [125641] = 3,
    ACTIONS(3131), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3133), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125663] = 3,
    ACTIONS(4450), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125685] = 6,
    ACTIONS(6525), 1,
      anon_sym_LT,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    ACTIONS(6820), 1,
      anon_sym_is,
    STATE(3370), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125713] = 3,
    ACTIONS(4454), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125735] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6824), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4127), 1,
      sym_type_annotation,
    STATE(4525), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125771] = 6,
    ACTIONS(4296), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125799] = 6,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125827] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6826), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3773), 1,
      sym__call_signature,
    STATE(4127), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6822), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6766), 1,
      anon_sym_LBRACE,
    ACTIONS(6774), 1,
      anon_sym_LT,
    ACTIONS(6776), 1,
      sym_html_character_reference,
    ACTIONS(6812), 1,
      anon_sym_LT_SLASH,
    STATE(2270), 1,
      sym_jsx_closing_element,
    STATE(3064), 1,
      sym_jsx_opening_element,
    ACTIONS(6768), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3144), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [125899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125919] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4216), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4232), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4232), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4252), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4252), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126219] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4320), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126279] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4324), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126299] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126339] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4328), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126359] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126399] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6828), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4430), 1,
      sym__call_signature,
    STATE(4433), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6760), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126435] = 4,
    ACTIONS(4023), 1,
      anon_sym_PIPE,
    ACTIONS(6830), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126458] = 7,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3819), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [126487] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4552), 1,
      sym_type_annotation,
    STATE(5529), 1,
      sym__call_signature,
    STATE(5530), 1,
      sym__initializer,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6832), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126524] = 7,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [126553] = 4,
    ACTIONS(4029), 1,
      anon_sym_PIPE,
    ACTIONS(6535), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126576] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4749), 1,
      sym_type_annotation,
    STATE(5806), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6151), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126613] = 8,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    ACTIONS(6836), 1,
      anon_sym_QMARK,
    STATE(2980), 1,
      sym_type_arguments,
    STATE(5840), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126644] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4610), 1,
      sym_type_annotation,
    STATE(5607), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5980), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126681] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4612), 1,
      sym_type_annotation,
    STATE(5610), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6187), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6843), 1,
      anon_sym_LBRACE,
    ACTIONS(6849), 1,
      sym_html_character_reference,
    ACTIONS(6852), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6854), 1,
      anon_sym_LT,
    STATE(3064), 1,
      sym_jsx_opening_element,
    ACTIONS(6846), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(3144), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126751] = 3,
    ACTIONS(4009), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4011), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [126772] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4759), 1,
      sym_type_annotation,
    STATE(5830), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6181), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126809] = 3,
    ACTIONS(4282), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126830] = 3,
    ACTIONS(4470), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126851] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4697), 1,
      sym_type_annotation,
    STATE(4950), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5991), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126888] = 12,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(6483), 1,
      anon_sym_STAR,
    ACTIONS(6487), 1,
      anon_sym_LBRACE,
    ACTIONS(6615), 1,
      sym_identifier,
    ACTIONS(6617), 1,
      anon_sym_type,
    STATE(4821), 1,
      sym_string,
    STATE(4827), 1,
      sym_import_require_clause,
    STATE(5990), 1,
      sym__import_identifier,
    STATE(6004), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6375), 2,
      sym_namespace_import,
      sym_named_imports,
  [126927] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4645), 1,
      sym__call_signature,
    STATE(4646), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126960] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4121), 1,
      sym__call_signature,
    STATE(4124), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6861), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126993] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4380), 1,
      sym_type_annotation,
    STATE(5088), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5915), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127030] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4592), 1,
      sym_type_annotation,
    STATE(5545), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5914), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127067] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4396), 1,
      sym_type_annotation,
    STATE(5184), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6180), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127104] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4401), 1,
      sym_type_annotation,
    STATE(5257), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5940), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127141] = 12,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6863), 1,
      anon_sym_GT,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(6867), 1,
      anon_sym_SLASH_GT,
    STATE(3326), 1,
      sym_type_arguments,
    STATE(3328), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [127180] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4128), 1,
      sym__call_signature,
    STATE(4138), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6869), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127213] = 5,
    ACTIONS(6525), 1,
      anon_sym_LT,
    ACTIONS(6818), 1,
      anon_sym_DOT,
    STATE(3370), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127238] = 5,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(6871), 1,
      anon_sym_DOT,
    STATE(3290), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127263] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4595), 1,
      sym_type_annotation,
    STATE(5580), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5968), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1784), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [127319] = 12,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6863), 1,
      anon_sym_GT,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(6873), 1,
      anon_sym_SLASH_GT,
    STATE(3342), 1,
      sym_type_arguments,
    STATE(3343), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [127358] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4625), 1,
      sym__call_signature,
    STATE(4631), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6875), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127391] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3786), 1,
      sym__call_signature,
    STATE(4138), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6869), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127424] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4504), 1,
      sym_type_annotation,
    STATE(5418), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6148), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127461] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3846), 1,
      sym__call_signature,
    STATE(4631), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6875), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127494] = 7,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127523] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3658), 1,
      sym__call_signature,
    STATE(4124), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6861), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127556] = 12,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6863), 1,
      anon_sym_GT,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(6877), 1,
      anon_sym_SLASH_GT,
    STATE(3323), 1,
      sym_type_arguments,
    STATE(3324), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [127595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1800), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [127614] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4269), 1,
      sym__call_signature,
    STATE(4270), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6879), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127647] = 7,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127676] = 3,
    ACTIONS(1652), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [127697] = 8,
    ACTIONS(3440), 1,
      anon_sym_DOT,
    ACTIONS(3442), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127728] = 8,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    ACTIONS(6454), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    STATE(2878), 1,
      sym_arguments,
    STATE(2974), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3989), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127759] = 8,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6456), 1,
      anon_sym_DOT,
    ACTIONS(6458), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    STATE(2884), 1,
      sym_arguments,
    STATE(2976), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3963), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127790] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4105), 1,
      sym__call_signature,
    STATE(4678), 1,
      sym_type_annotation,
    STATE(5715), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6883), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127827] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127858] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4720), 1,
      sym_type_annotation,
    STATE(5752), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6116), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127895] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4085), 1,
      sym__call_signature,
    STATE(4554), 1,
      sym_type_annotation,
    STATE(5571), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127932] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3811), 1,
      sym__call_signature,
    STATE(4270), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6879), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127965] = 9,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3634), 1,
      sym__call_signature,
    STATE(4646), 1,
      sym_type_annotation,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127998] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4665), 1,
      sym_type_annotation,
    STATE(5666), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6037), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128035] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4465), 1,
      sym_type_annotation,
    STATE(5347), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6081), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128072] = 4,
    ACTIONS(4510), 1,
      anon_sym_PIPE,
    ACTIONS(6887), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128095] = 12,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6863), 1,
      anon_sym_GT,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(6889), 1,
      anon_sym_SLASH_GT,
    STATE(3400), 1,
      sym_type_arguments,
    STATE(3401), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [128134] = 7,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128163] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4024), 1,
      sym__call_signature,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5186), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6891), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128200] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4111), 1,
      sym__call_signature,
    STATE(4715), 1,
      sym_type_annotation,
    STATE(5743), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128237] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4081), 1,
      sym__call_signature,
    STATE(4552), 1,
      sym_type_annotation,
    STATE(5516), 1,
      sym__initializer,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6832), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128274] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4545), 1,
      sym_type_annotation,
    STATE(5595), 1,
      sym__initializer,
    STATE(5871), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128311] = 4,
    ACTIONS(4017), 1,
      anon_sym_PIPE,
    ACTIONS(6535), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128334] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4715), 1,
      sym_type_annotation,
    STATE(5788), 1,
      sym__call_signature,
    STATE(5791), 1,
      sym__initializer,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128371] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(4205), 1,
      sym_type_annotation,
    STATE(5427), 1,
      sym__initializer,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6189), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128408] = 3,
    ACTIONS(4155), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128428] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3133), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128446] = 3,
    ACTIONS(1806), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128466] = 3,
    ACTIONS(1832), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128486] = 3,
    ACTIONS(4474), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4476), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128506] = 3,
    ACTIONS(4023), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128526] = 3,
    ACTIONS(4478), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5639), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128564] = 3,
    ACTIONS(4017), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128584] = 3,
    ACTIONS(4200), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128604] = 4,
    ACTIONS(4200), 1,
      anon_sym_PIPE,
    ACTIONS(6897), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128626] = 3,
    ACTIONS(4371), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128646] = 3,
    ACTIONS(2319), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128666] = 3,
    ACTIONS(4159), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4161), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128686] = 3,
    ACTIONS(4294), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128706] = 3,
    ACTIONS(4359), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128726] = 4,
    ACTIONS(4396), 1,
      anon_sym_PIPE,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4398), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128748] = 3,
    ACTIONS(4276), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128768] = 3,
    ACTIONS(4420), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128788] = 3,
    ACTIONS(4424), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128808] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4434), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [128832] = 5,
    ACTIONS(4200), 1,
      anon_sym_PIPE,
    ACTIONS(6897), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4438), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128856] = 4,
    ACTIONS(4440), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [128878] = 4,
    ACTIONS(4446), 1,
      anon_sym_PIPE,
    ACTIONS(6897), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4448), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128900] = 3,
    ACTIONS(4460), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4462), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128920] = 3,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128940] = 3,
    ACTIONS(4482), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4484), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128960] = 3,
    ACTIONS(4490), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4492), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128980] = 3,
    ACTIONS(4516), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129000] = 3,
    ACTIONS(4520), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129020] = 3,
    ACTIONS(4524), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4526), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129040] = 3,
    ACTIONS(4049), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4051), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129060] = 3,
    ACTIONS(4121), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129080] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129104] = 3,
    ACTIONS(4147), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129124] = 4,
    ACTIONS(4151), 1,
      anon_sym_PIPE,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129146] = 3,
    ACTIONS(2323), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2321), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129166] = 3,
    ACTIONS(4286), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129186] = 3,
    ACTIONS(4290), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4292), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129206] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129230] = 3,
    ACTIONS(4304), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129250] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129274] = 3,
    ACTIONS(2327), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129294] = 3,
    ACTIONS(4347), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129314] = 3,
    ACTIONS(4351), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129334] = 3,
    ACTIONS(4355), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129354] = 3,
    ACTIONS(2337), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2335), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129374] = 3,
    ACTIONS(4390), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4392), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129394] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [129436] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3671), 1,
      sym_formal_parameters,
    STATE(5970), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [129462] = 3,
    ACTIONS(4029), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129482] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129506] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129530] = 11,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6909), 1,
      anon_sym_type,
    ACTIONS(6911), 1,
      anon_sym_COMMA,
    ACTIONS(6913), 1,
      anon_sym_RBRACE,
    ACTIONS(6915), 1,
      anon_sym_typeof,
    STATE(5040), 1,
      sym_import_specifier,
    STATE(6106), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6354), 2,
      sym__module_export_name,
      sym_string,
  [129566] = 4,
    ACTIONS(6525), 1,
      anon_sym_LT,
    STATE(3372), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129588] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3129), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129606] = 4,
    ACTIONS(6521), 1,
      anon_sym_DOT,
    ACTIONS(6523), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3388), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129628] = 6,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    ACTIONS(6917), 1,
      anon_sym_is,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [129654] = 4,
    ACTIONS(6919), 1,
      anon_sym_DOT,
    ACTIONS(6921), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4112), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3125), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4312), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129712] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4488), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4508), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129748] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3412), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129784] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129802] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129820] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4141), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129856] = 3,
    ACTIONS(4300), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4302), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129876] = 3,
    ACTIONS(6923), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4512), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129895] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6925), 1,
      sym_identifier,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    STATE(2275), 1,
      sym_class_body,
    STATE(3700), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5903), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129930] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6933), 1,
      sym_identifier,
    ACTIONS(6937), 1,
      anon_sym_COMMA,
    ACTIONS(6939), 1,
      anon_sym_RBRACE,
    STATE(5827), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6935), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4916), 2,
      sym__module_export_name,
      sym_string,
  [129961] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6941), 1,
      sym_identifier,
    STATE(2350), 1,
      sym_class_body,
    STATE(3816), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6002), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129996] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6943), 1,
      sym_identifier,
    STATE(2350), 1,
      sym_class_body,
    STATE(3816), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6002), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130031] = 6,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6493), 1,
      anon_sym_DOT,
    ACTIONS(6945), 1,
      anon_sym_is,
    STATE(2980), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3472), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130056] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6909), 1,
      anon_sym_type,
    ACTIONS(6915), 1,
      anon_sym_typeof,
    ACTIONS(6947), 1,
      anon_sym_RBRACE,
    STATE(5921), 1,
      sym_import_specifier,
    STATE(6106), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6354), 2,
      sym__module_export_name,
      sym_string,
  [130089] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6949), 1,
      sym_identifier,
    STATE(2350), 1,
      sym_class_body,
    STATE(3816), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6002), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130124] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6951), 1,
      sym_identifier,
    STATE(2275), 1,
      sym_class_body,
    STATE(3700), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5903), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130159] = 4,
    ACTIONS(6955), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3934), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6953), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130180] = 3,
    ACTIONS(6820), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130199] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6957), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130222] = 3,
    ACTIONS(6959), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130241] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1650), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [130258] = 8,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6961), 1,
      anon_sym_EQ,
    ACTIONS(6965), 1,
      anon_sym_BANG,
    STATE(4344), 1,
      sym__initializer,
    STATE(4427), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130287] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6969), 1,
      sym_identifier,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1678), 1,
      sym_class_body,
    STATE(3746), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6168), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130322] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6973), 1,
      sym_identifier,
    STATE(2350), 1,
      sym_class_body,
    STATE(3816), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6002), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130357] = 4,
    ACTIONS(6955), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3943), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6975), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130378] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6965), 1,
      anon_sym_BANG,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5279), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130407] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6977), 1,
      sym_identifier,
    STATE(2275), 1,
      sym_class_body,
    STATE(3700), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5903), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130442] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(6979), 1,
      sym_identifier,
    STATE(1698), 1,
      sym_class_body,
    STATE(3870), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5995), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130477] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4011), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [130494] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4472), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130528] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2253), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4484), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130551] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(6981), 1,
      sym_identifier,
    STATE(2525), 1,
      sym_class_body,
    STATE(3888), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6126), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130586] = 3,
    ACTIONS(6820), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130605] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6983), 1,
      anon_sym_type,
    ACTIONS(6985), 1,
      anon_sym_as,
    STATE(6086), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6357), 2,
      sym__module_export_name,
      sym_string,
  [130636] = 5,
    ACTIONS(6031), 1,
      anon_sym_LPAREN,
    ACTIONS(6515), 1,
      anon_sym_DOT,
    STATE(2904), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [130659] = 10,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6814), 1,
      anon_sym_SLASH_GT,
    STATE(3320), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130692] = 10,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6477), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    STATE(3394), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130725] = 10,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6782), 1,
      anon_sym_SLASH_GT,
    STATE(3339), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130758] = 11,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(6929), 1,
      anon_sym_extends,
    ACTIONS(6931), 1,
      anon_sym_implements,
    ACTIONS(6987), 1,
      sym_identifier,
    STATE(2275), 1,
      sym_class_body,
    STATE(3700), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5903), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130793] = 10,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6909), 1,
      anon_sym_type,
    ACTIONS(6915), 1,
      anon_sym_typeof,
    ACTIONS(6989), 1,
      anon_sym_RBRACE,
    STATE(5921), 1,
      sym_import_specifier,
    STATE(6106), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6354), 2,
      sym__module_export_name,
      sym_string,
  [130826] = 4,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [130847] = 10,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6495), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(6780), 1,
      anon_sym_GT,
    STATE(3317), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130880] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6991), 1,
      anon_sym_BANG,
    ACTIONS(6993), 1,
      anon_sym_QMARK,
    STATE(4742), 1,
      sym_type_annotation,
    STATE(5797), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130908] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6995), 1,
      anon_sym_BANG,
    ACTIONS(6997), 1,
      anon_sym_QMARK,
    STATE(4369), 1,
      sym_type_annotation,
    STATE(4928), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130936] = 7,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6961), 1,
      anon_sym_EQ,
    STATE(4345), 1,
      sym__initializer,
    STATE(4427), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130962] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7001), 1,
      anon_sym_BANG,
    ACTIONS(7003), 1,
      anon_sym_QMARK,
    STATE(4192), 1,
      sym_type_annotation,
    STATE(5364), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130990] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5308), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131016] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(725), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [131042] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7005), 1,
      anon_sym_BANG,
    ACTIONS(7007), 1,
      anon_sym_QMARK,
    STATE(4186), 1,
      sym_type_annotation,
    STATE(5338), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131070] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7009), 1,
      anon_sym_BANG,
    ACTIONS(7011), 1,
      anon_sym_QMARK,
    STATE(4528), 1,
      sym_type_annotation,
    STATE(5619), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131098] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7013), 1,
      anon_sym_BANG,
    ACTIONS(7015), 1,
      anon_sym_QMARK,
    STATE(4672), 1,
      sym_type_annotation,
    STATE(4933), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131126] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2134), 1,
      sym_class_body,
    STATE(3794), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6007), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131158] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7021), 1,
      anon_sym_BANG,
    ACTIONS(7023), 1,
      anon_sym_QMARK,
    STATE(4508), 1,
      sym_type_annotation,
    STATE(5424), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131186] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2152), 1,
      sym_class_body,
    STATE(3837), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6166), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131218] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131234] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6814), 1,
      anon_sym_SLASH_GT,
    STATE(3325), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131264] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7025), 1,
      anon_sym_GT,
    ACTIONS(7027), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131294] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7029), 1,
      anon_sym_GT,
    ACTIONS(7031), 1,
      anon_sym_SLASH_GT,
    STATE(3391), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131324] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7033), 1,
      anon_sym_GT,
    ACTIONS(7035), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131354] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7025), 1,
      anon_sym_GT,
    ACTIONS(7037), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131384] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7029), 1,
      anon_sym_GT,
    ACTIONS(7039), 1,
      anon_sym_SLASH_GT,
    STATE(3331), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131414] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7033), 1,
      anon_sym_GT,
    ACTIONS(7041), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131444] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7043), 1,
      anon_sym_GT,
    ACTIONS(7045), 1,
      anon_sym_SLASH_GT,
    STATE(3332), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131474] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7047), 1,
      anon_sym_GT,
    ACTIONS(7049), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131504] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131534] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7043), 1,
      anon_sym_GT,
    ACTIONS(7055), 1,
      anon_sym_SLASH_GT,
    STATE(3393), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131564] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_template_string,
    STATE(1888), 1,
      sym_arguments,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131596] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7047), 1,
      anon_sym_GT,
    ACTIONS(7059), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131626] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2167), 1,
      sym_class_body,
    STATE(3717), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5931), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131658] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7061), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131688] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7063), 1,
      anon_sym_GT,
    ACTIONS(7065), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131718] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7067), 1,
      anon_sym_GT,
    ACTIONS(7069), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131748] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(1718), 1,
      sym_template_string,
    STATE(1811), 1,
      sym_arguments,
    STATE(3011), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131780] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_type_parameters,
    STATE(4613), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6009), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131812] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4551), 1,
      sym_type_annotation,
    STATE(5512), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6657), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6655), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131838] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2263), 1,
      sym_class_body,
    STATE(3640), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5934), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131870] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6780), 1,
      anon_sym_GT,
    ACTIONS(6782), 1,
      anon_sym_SLASH_GT,
    STATE(3344), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1784), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131916] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7025), 1,
      anon_sym_GT,
    ACTIONS(7073), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131946] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7029), 1,
      anon_sym_GT,
    ACTIONS(7075), 1,
      anon_sym_SLASH_GT,
    STATE(3346), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131976] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7033), 1,
      anon_sym_GT,
    ACTIONS(7077), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132006] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7043), 1,
      anon_sym_GT,
    ACTIONS(7079), 1,
      anon_sym_SLASH_GT,
    STATE(3347), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132036] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7047), 1,
      anon_sym_GT,
    ACTIONS(7081), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132066] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7083), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132096] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7085), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_template_string,
    STATE(1888), 1,
      sym_arguments,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132128] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7063), 1,
      anon_sym_GT,
    ACTIONS(7087), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132158] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7067), 1,
      anon_sym_GT,
    ACTIONS(7089), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132188] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(2257), 1,
      sym_template_string,
    STATE(2445), 1,
      sym_arguments,
    STATE(3291), 1,
      sym_type_arguments,
    STATE(6018), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132220] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2510), 1,
      sym_class_body,
    STATE(3866), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6157), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132252] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7093), 1,
      anon_sym_BANG,
    ACTIONS(7095), 1,
      anon_sym_QMARK,
    STATE(4284), 1,
      sym_type_annotation,
    STATE(5838), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7091), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132280] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7097), 1,
      anon_sym_DOT,
    STATE(2257), 1,
      sym_template_string,
    STATE(2444), 1,
      sym_arguments,
    STATE(4875), 1,
      sym_type_arguments,
    STATE(6018), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132312] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(1718), 1,
      sym_template_string,
    STATE(2507), 1,
      sym_arguments,
    STATE(3011), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132344] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5243), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [132370] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7099), 1,
      anon_sym_BANG,
    ACTIONS(7101), 1,
      anon_sym_QMARK,
    STATE(4596), 1,
      sym_type_annotation,
    STATE(5582), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132398] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7103), 1,
      anon_sym_BANG,
    ACTIONS(7105), 1,
      anon_sym_QMARK,
    STATE(4480), 1,
      sym_type_annotation,
    STATE(5497), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132426] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7107), 1,
      anon_sym_BANG,
    ACTIONS(7109), 1,
      anon_sym_QMARK,
    STATE(4490), 1,
      sym_type_annotation,
    STATE(5392), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132454] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7111), 1,
      anon_sym_BANG,
    ACTIONS(7113), 1,
      anon_sym_QMARK,
    STATE(4606), 1,
      sym_type_annotation,
    STATE(5597), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132482] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7115), 1,
      anon_sym_BANG,
    ACTIONS(7117), 1,
      anon_sym_QMARK,
    STATE(4609), 1,
      sym_type_annotation,
    STATE(5603), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132510] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7119), 1,
      anon_sym_BANG,
    ACTIONS(7121), 1,
      anon_sym_QMARK,
    STATE(4202), 1,
      sym_type_annotation,
    STATE(5421), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132538] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7123), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_template_string,
    STATE(2505), 1,
      sym_arguments,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132570] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(1718), 1,
      sym_template_string,
    STATE(2036), 1,
      sym_arguments,
    STATE(3058), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132602] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7125), 1,
      anon_sym_BANG,
    ACTIONS(7127), 1,
      anon_sym_QMARK,
    STATE(4212), 1,
      sym_type_annotation,
    STATE(5452), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132630] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7129), 1,
      anon_sym_DOT,
    STATE(1718), 1,
      sym_template_string,
    STATE(2035), 1,
      sym_arguments,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7131), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [132678] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7133), 1,
      anon_sym_BANG,
    ACTIONS(7135), 1,
      anon_sym_QMARK,
    STATE(4219), 1,
      sym_type_annotation,
    STATE(5494), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132706] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7057), 1,
      anon_sym_DOT,
    STATE(1521), 1,
      sym_arguments,
    STATE(1718), 1,
      sym_template_string,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132738] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7137), 1,
      anon_sym_BANG,
    ACTIONS(7139), 1,
      anon_sym_QMARK,
    STATE(4419), 1,
      sym_type_annotation,
    STATE(5261), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132766] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7141), 1,
      anon_sym_BANG,
    ACTIONS(7143), 1,
      anon_sym_QMARK,
    STATE(4339), 1,
      sym_type_annotation,
    STATE(5024), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7091), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132794] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym_class_body,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5941), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132842] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [132864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4462), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132880] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1800), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132896] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7151), 1,
      anon_sym_BANG,
    ACTIONS(7153), 1,
      anon_sym_QMARK,
    STATE(4498), 1,
      sym_type_annotation,
    STATE(5401), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132924] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2135), 1,
      sym_class_body,
    STATE(3793), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5992), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7155), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [132972] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(3847), 1,
      sym_type_parameters,
    STATE(4651), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6104), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133004] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7157), 1,
      anon_sym_BANG,
    ACTIONS(7159), 1,
      anon_sym_QMARK,
    STATE(4541), 1,
      sym_type_annotation,
    STATE(5638), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133032] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1632), 1,
      sym_class_body,
    STATE(3849), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5860), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133064] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7161), 1,
      anon_sym_BANG,
    ACTIONS(7163), 1,
      anon_sym_QMARK,
    STATE(4214), 1,
      sym_type_annotation,
    STATE(5466), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133092] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5245), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133118] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_BANG,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    STATE(4447), 1,
      sym_type_annotation,
    STATE(5386), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133146] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7169), 1,
      anon_sym_BANG,
    ACTIONS(7171), 1,
      anon_sym_QMARK,
    STATE(4517), 1,
      sym_type_annotation,
    STATE(5444), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133174] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(4875), 1,
      sym_type_arguments,
    STATE(6018), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2257), 2,
      sym_template_string,
      sym_arguments,
  [133204] = 4,
    ACTIONS(7173), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4457), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6953), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133224] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4682), 1,
      sym_type_annotation,
    STATE(5692), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7177), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7175), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133250] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7179), 1,
      anon_sym_BANG,
    ACTIONS(7181), 1,
      anon_sym_QMARK,
    STATE(4526), 1,
      sym_type_annotation,
    STATE(5461), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133278] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_BANG,
    ACTIONS(7185), 1,
      anon_sym_QMARK,
    STATE(4531), 1,
      sym_type_annotation,
    STATE(5468), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133306] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7187), 1,
      anon_sym_BANG,
    ACTIONS(7189), 1,
      anon_sym_QMARK,
    STATE(4459), 1,
      sym_type_annotation,
    STATE(5332), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133334] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7191), 1,
      anon_sym_BANG,
    ACTIONS(7193), 1,
      anon_sym_QMARK,
    STATE(4718), 1,
      sym_type_annotation,
    STATE(5748), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133362] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7063), 1,
      anon_sym_GT,
    ACTIONS(7195), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133392] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_BANG,
    ACTIONS(7199), 1,
      anon_sym_QMARK,
    STATE(4548), 1,
      sym_type_annotation,
    STATE(5656), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133420] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7067), 1,
      anon_sym_GT,
    ACTIONS(7201), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133450] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7025), 1,
      anon_sym_GT,
    ACTIONS(7203), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133480] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7029), 1,
      anon_sym_GT,
    ACTIONS(7205), 1,
      anon_sym_SLASH_GT,
    STATE(3467), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133510] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7207), 1,
      anon_sym_DOT,
    STATE(1521), 1,
      sym_arguments,
    STATE(1718), 1,
      sym_template_string,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133542] = 10,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(1530), 1,
      sym_arguments,
    STATE(1718), 1,
      sym_template_string,
    STATE(3011), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133574] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7209), 1,
      anon_sym_BANG,
    ACTIONS(7211), 1,
      anon_sym_QMARK,
    STATE(4187), 1,
      sym_type_annotation,
    STATE(5341), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133602] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7033), 1,
      anon_sym_GT,
    ACTIONS(7213), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133632] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7043), 1,
      anon_sym_GT,
    ACTIONS(7215), 1,
      anon_sym_SLASH_GT,
    STATE(3476), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133662] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7047), 1,
      anon_sym_GT,
    ACTIONS(7217), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133692] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7219), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133722] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4392), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133738] = 4,
    ACTIONS(7173), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4558), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6975), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133758] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7221), 1,
      anon_sym_BANG,
    ACTIONS(7223), 1,
      anon_sym_QMARK,
    STATE(4755), 1,
      sym_type_annotation,
    STATE(5823), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133786] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6477), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6780), 1,
      anon_sym_GT,
    STATE(3402), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133816] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(753), 1,
      sym_class_body,
    STATE(3815), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5904), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133848] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5168), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6639), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6637), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133874] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(3695), 1,
      sym_type_parameters,
    STATE(4704), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6001), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133906] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7227), 1,
      anon_sym_BANG,
    ACTIONS(7229), 1,
      anon_sym_QMARK,
    STATE(4760), 1,
      sym_type_annotation,
    STATE(5834), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133934] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7231), 1,
      anon_sym_BANG,
    ACTIONS(7233), 1,
      anon_sym_QMARK,
    STATE(4589), 1,
      sym_type_annotation,
    STATE(5714), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133962] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5224), 1,
      anon_sym_RBRACE,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133988] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7235), 1,
      anon_sym_BANG,
    ACTIONS(7237), 1,
      anon_sym_QMARK,
    STATE(4312), 1,
      sym_type_annotation,
    STATE(5635), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134016] = 9,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6909), 1,
      anon_sym_type,
    ACTIONS(6915), 1,
      anon_sym_typeof,
    STATE(5921), 1,
      sym_import_specifier,
    STATE(6106), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6354), 2,
      sym__module_export_name,
      sym_string,
  [134046] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7239), 1,
      anon_sym_BANG,
    ACTIONS(7241), 1,
      anon_sym_QMARK,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(5496), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134074] = 5,
    ACTIONS(6515), 1,
      anon_sym_DOT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    STATE(2904), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134096] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(223), 1,
      sym_class_body,
    STATE(3842), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6097), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134128] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5679), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [134154] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7245), 1,
      anon_sym_BANG,
    ACTIONS(7247), 1,
      anon_sym_QMARK,
    STATE(4142), 1,
      sym_type_annotation,
    STATE(5695), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134182] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7249), 1,
      anon_sym_BANG,
    ACTIONS(7251), 1,
      anon_sym_QMARK,
    STATE(4555), 1,
      sym_type_annotation,
    STATE(5519), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134210] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7253), 1,
      anon_sym_BANG,
    ACTIONS(7255), 1,
      anon_sym_QMARK,
    STATE(4330), 1,
      sym_type_annotation,
    STATE(5517), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134238] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4714), 1,
      sym_type_annotation,
    STATE(5738), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6681), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6679), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134264] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4139), 1,
      sym_type_annotation,
    STATE(5104), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7259), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7257), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134290] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7261), 1,
      anon_sym_BANG,
    ACTIONS(7263), 1,
      anon_sym_QMARK,
    STATE(4343), 1,
      sym_type_annotation,
    STATE(5658), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7265), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [134334] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7267), 1,
      anon_sym_BANG,
    ACTIONS(7269), 1,
      anon_sym_QMARK,
    STATE(4337), 1,
      sym_type_annotation,
    STATE(5837), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134362] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7271), 1,
      anon_sym_BANG,
    ACTIONS(7273), 1,
      anon_sym_QMARK,
    STATE(4163), 1,
      sym_type_annotation,
    STATE(5182), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134390] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7275), 1,
      anon_sym_BANG,
    ACTIONS(7277), 1,
      anon_sym_QMARK,
    STATE(4571), 1,
      sym_type_annotation,
    STATE(5541), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134418] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7279), 1,
      anon_sym_BANG,
    ACTIONS(7281), 1,
      anon_sym_QMARK,
    STATE(4222), 1,
      sym_type_annotation,
    STATE(5501), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134446] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7283), 1,
      anon_sym_BANG,
    ACTIONS(7285), 1,
      anon_sym_QMARK,
    STATE(4690), 1,
      sym_type_annotation,
    STATE(4969), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134474] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7287), 1,
      anon_sym_BANG,
    ACTIONS(7289), 1,
      anon_sym_QMARK,
    STATE(4573), 1,
      sym_type_annotation,
    STATE(5546), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134502] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_QMARK,
    STATE(4132), 1,
      sym_type_annotation,
    STATE(5080), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134530] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7295), 1,
      anon_sym_BANG,
    ACTIONS(7297), 1,
      anon_sym_QMARK,
    STATE(4135), 1,
      sym_type_annotation,
    STATE(5115), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134558] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7299), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [134574] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7301), 1,
      anon_sym_BANG,
    ACTIONS(7303), 1,
      anon_sym_QMARK,
    STATE(4231), 1,
      sym_type_annotation,
    STATE(5390), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134602] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7305), 1,
      anon_sym_BANG,
    ACTIONS(7307), 1,
      anon_sym_QMARK,
    STATE(4235), 1,
      sym_type_annotation,
    STATE(5457), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134630] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7309), 1,
      anon_sym_DOT,
    STATE(2048), 1,
      sym_arguments,
    STATE(2257), 1,
      sym_template_string,
    STATE(4875), 1,
      sym_type_arguments,
    STATE(6018), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134662] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7311), 1,
      anon_sym_BANG,
    ACTIONS(7313), 1,
      anon_sym_QMARK,
    STATE(4283), 1,
      sym_type_annotation,
    STATE(5632), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134690] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7315), 1,
      anon_sym_BANG,
    ACTIONS(7317), 1,
      anon_sym_QMARK,
    STATE(4303), 1,
      sym_type_annotation,
    STATE(5651), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134718] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7319), 1,
      anon_sym_BANG,
    ACTIONS(7321), 1,
      anon_sym_QMARK,
    STATE(4747), 1,
      sym_type_annotation,
    STATE(5803), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134746] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7323), 1,
      anon_sym_BANG,
    ACTIONS(7325), 1,
      anon_sym_QMARK,
    STATE(4326), 1,
      sym_type_annotation,
    STATE(4931), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134774] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7327), 1,
      anon_sym_BANG,
    ACTIONS(7329), 1,
      anon_sym_QMARK,
    STATE(4226), 1,
      sym_type_annotation,
    STATE(5515), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134802] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [134824] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [134846] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7331), 1,
      anon_sym_BANG,
    ACTIONS(7333), 1,
      anon_sym_QMARK,
    STATE(4753), 1,
      sym_type_annotation,
    STATE(5822), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134874] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7335), 1,
      anon_sym_BANG,
    ACTIONS(7337), 1,
      anon_sym_QMARK,
    STATE(4757), 1,
      sym_type_annotation,
    STATE(5826), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134902] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7339), 1,
      anon_sym_BANG,
    ACTIONS(7341), 1,
      anon_sym_QMARK,
    STATE(4763), 1,
      sym_type_annotation,
    STATE(5836), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134930] = 9,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_DOT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(4830), 1,
      sym_type_arguments,
    STATE(6024), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1718), 2,
      sym_template_string,
      sym_arguments,
  [134960] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7343), 1,
      anon_sym_BANG,
    ACTIONS(7345), 1,
      anon_sym_QMARK,
    STATE(4439), 1,
      sym_type_annotation,
    STATE(5381), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134988] = 6,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7347), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6957), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [135012] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7349), 1,
      anon_sym_BANG,
    ACTIONS(7351), 1,
      anon_sym_QMARK,
    STATE(4209), 1,
      sym_type_annotation,
    STATE(5641), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135040] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7353), 1,
      anon_sym_BANG,
    ACTIONS(7355), 1,
      anon_sym_QMARK,
    STATE(4488), 1,
      sym_type_annotation,
    STATE(5382), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135068] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(244), 1,
      sym_class_body,
    STATE(3873), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6005), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135100] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7357), 1,
      anon_sym_BANG,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4373), 1,
      sym_type_annotation,
    STATE(5079), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135128] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7361), 1,
      anon_sym_BANG,
    ACTIONS(7363), 1,
      anon_sym_QMARK,
    STATE(4152), 1,
      sym_type_annotation,
    STATE(5116), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135156] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1687), 1,
      sym_class_body,
    STATE(3782), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6188), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135188] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7365), 1,
      anon_sym_BANG,
    ACTIONS(7367), 1,
      anon_sym_QMARK,
    STATE(4717), 1,
      sym_type_annotation,
    STATE(5747), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135216] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7369), 1,
      anon_sym_BANG,
    ACTIONS(7371), 1,
      anon_sym_QMARK,
    STATE(4153), 1,
      sym_type_annotation,
    STATE(5183), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135244] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7373), 1,
      anon_sym_BANG,
    ACTIONS(7375), 1,
      anon_sym_QMARK,
    STATE(4481), 1,
      sym_type_annotation,
    STATE(5495), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135272] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7377), 1,
      anon_sym_BANG,
    ACTIONS(7379), 1,
      anon_sym_QMARK,
    STATE(4171), 1,
      sym_type_annotation,
    STATE(5293), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135300] = 10,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(2095), 1,
      sym_arguments,
    STATE(2257), 1,
      sym_template_string,
    STATE(3291), 1,
      sym_type_arguments,
    STATE(6018), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135332] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6933), 1,
      sym_identifier,
    ACTIONS(7381), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6935), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4916), 2,
      sym__module_export_name,
      sym_string,
  [135360] = 7,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(7383), 1,
      anon_sym_DQUOTE,
    ACTIONS(7385), 1,
      anon_sym_SQUOTE,
    ACTIONS(7387), 1,
      anon_sym_LT,
    STATE(3068), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4476), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [135386] = 7,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(7383), 1,
      anon_sym_DQUOTE,
    ACTIONS(7385), 1,
      anon_sym_SQUOTE,
    ACTIONS(7387), 1,
      anon_sym_LT,
    STATE(3068), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4477), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [135412] = 8,
    ACTIONS(7389), 1,
      sym_identifier,
    ACTIONS(7392), 1,
      anon_sym_LBRACE,
    ACTIONS(7397), 1,
      sym_jsx_identifier,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7395), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135440] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7400), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_QMARK,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(5493), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135468] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7063), 1,
      anon_sym_GT,
    ACTIONS(7404), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135498] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7406), 1,
      anon_sym_BANG,
    ACTIONS(7408), 1,
      anon_sym_QMARK,
    STATE(4487), 1,
      sym_type_annotation,
    STATE(5388), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135526] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7410), 1,
      anon_sym_BANG,
    ACTIONS(7412), 1,
      anon_sym_QMARK,
    STATE(4512), 1,
      sym_type_annotation,
    STATE(5429), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135554] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7414), 1,
      anon_sym_BANG,
    ACTIONS(7416), 1,
      anon_sym_QMARK,
    STATE(4397), 1,
      sym_type_annotation,
    STATE(5220), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135582] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7418), 1,
      anon_sym_BANG,
    ACTIONS(7420), 1,
      anon_sym_QMARK,
    STATE(4274), 1,
      sym_type_annotation,
    STATE(5455), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135610] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5241), 1,
      anon_sym_RBRACE,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [135636] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7422), 1,
      anon_sym_BANG,
    ACTIONS(7424), 1,
      anon_sym_QMARK,
    STATE(4407), 1,
      sym_type_annotation,
    STATE(5276), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135664] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7426), 1,
      anon_sym_BANG,
    ACTIONS(7428), 1,
      anon_sym_QMARK,
    STATE(4400), 1,
      sym_type_annotation,
    STATE(5218), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135692] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7430), 1,
      anon_sym_BANG,
    ACTIONS(7432), 1,
      anon_sym_QMARK,
    STATE(4402), 1,
      sym_type_annotation,
    STATE(5224), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135720] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(7067), 1,
      anon_sym_GT,
    ACTIONS(7434), 1,
      anon_sym_SLASH_GT,
    STATE(3465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [135750] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4476), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135782] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7436), 1,
      anon_sym_BANG,
    ACTIONS(7438), 1,
      anon_sym_QMARK,
    STATE(4422), 1,
      sym_type_annotation,
    STATE(5334), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135810] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7440), 1,
      anon_sym_BANG,
    ACTIONS(7442), 1,
      anon_sym_QMARK,
    STATE(4232), 1,
      sym_type_annotation,
    STATE(5552), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4480), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135854] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135870] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7444), 1,
      anon_sym_BANG,
    ACTIONS(7446), 1,
      anon_sym_QMARK,
    STATE(4428), 1,
      sym_type_annotation,
    STATE(5350), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135914] = 3,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135948] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7450), 1,
      anon_sym_BANG,
    ACTIONS(7452), 1,
      anon_sym_QMARK,
    STATE(4593), 1,
      sym_type_annotation,
    STATE(5576), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135976] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7454), 1,
      anon_sym_BANG,
    ACTIONS(7456), 1,
      anon_sym_QMARK,
    STATE(4448), 1,
      sym_type_annotation,
    STATE(5408), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136020] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7458), 1,
      anon_sym_BANG,
    ACTIONS(7460), 1,
      anon_sym_QMARK,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5437), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136048] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7462), 1,
      anon_sym_BANG,
    ACTIONS(7464), 1,
      anon_sym_QMARK,
    STATE(4469), 1,
      sym_type_annotation,
    STATE(5451), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136076] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_class_body,
    STATE(3676), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6084), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4161), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136124] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136156] = 3,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4398), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [136174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136190] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4422), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136206] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4434), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136228] = 4,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4438), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136248] = 3,
    ACTIONS(7466), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [136266] = 3,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4448), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136284] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7468), 1,
      anon_sym_BANG,
    ACTIONS(7470), 1,
      anon_sym_QMARK,
    STATE(4245), 1,
      sym_type_annotation,
    STATE(5629), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4430), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136328] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7472), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [136344] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7474), 1,
      anon_sym_BANG,
    ACTIONS(7476), 1,
      anon_sym_QMARK,
    STATE(4604), 1,
      sym_type_annotation,
    STATE(5590), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136372] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7478), 1,
      anon_sym_BANG,
    ACTIONS(7480), 1,
      anon_sym_QMARK,
    STATE(4765), 1,
      sym_type_annotation,
    STATE(5500), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136400] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7482), 1,
      anon_sym_BANG,
    ACTIONS(7484), 1,
      anon_sym_QMARK,
    STATE(4484), 1,
      sym_type_annotation,
    STATE(5514), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6667), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136428] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136444] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4484), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136460] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4492), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136476] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4518), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4522), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4526), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136524] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4051), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136540] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7486), 1,
      anon_sym_BANG,
    ACTIONS(7488), 1,
      anon_sym_QMARK,
    STATE(4165), 1,
      sym_type_annotation,
    STATE(5265), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136568] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136584] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136622] = 3,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [136640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2321), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136688] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2256), 1,
      sym_class_body,
    STATE(3852), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6078), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136720] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    STATE(5674), 1,
      aux_sym_object_repeat1,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [136746] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7490), 1,
      anon_sym_BANG,
    ACTIONS(7492), 1,
      anon_sym_QMARK,
    STATE(4425), 1,
      sym_type_annotation,
    STATE(5343), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136774] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7494), 1,
      anon_sym_BANG,
    ACTIONS(7496), 1,
      anon_sym_QMARK,
    STATE(4173), 1,
      sym_type_annotation,
    STATE(5301), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136802] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7498), 1,
      anon_sym_BANG,
    ACTIONS(7500), 1,
      anon_sym_QMARK,
    STATE(4175), 1,
      sym_type_annotation,
    STATE(5307), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136830] = 9,
    ACTIONS(6460), 1,
      sym_identifier,
    ACTIONS(6464), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      sym_jsx_identifier,
    ACTIONS(6495), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6780), 1,
      anon_sym_GT,
    STATE(3330), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(4044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4429), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [136860] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4292), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136892] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4588), 1,
      sym_type_annotation,
    STATE(5566), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6709), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6707), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136918] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136940] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4302), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136972] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [136994] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137026] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_BANG,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    STATE(4415), 1,
      sym_type_annotation,
    STATE(5271), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137054] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7506), 1,
      anon_sym_BANG,
    ACTIONS(7508), 1,
      anon_sym_QMARK,
    STATE(4663), 1,
      sym_type_annotation,
    STATE(5663), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137082] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_class_body,
    STATE(3908), 1,
      sym_type_parameters,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5843), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137114] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7510), 1,
      anon_sym_BANG,
    ACTIONS(7512), 1,
      anon_sym_QMARK,
    STATE(4181), 1,
      sym_type_annotation,
    STATE(5322), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6999), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137142] = 8,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6933), 1,
      sym_identifier,
    ACTIONS(7514), 1,
      anon_sym_RBRACE,
    STATE(6036), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6935), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4916), 2,
      sym__module_export_name,
      sym_string,
  [137170] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7516), 1,
      anon_sym_BANG,
    ACTIONS(7518), 1,
      anon_sym_QMARK,
    STATE(4756), 1,
      sym_type_annotation,
    STATE(5821), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137198] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137230] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7520), 1,
      anon_sym_BANG,
    ACTIONS(7522), 1,
      anon_sym_QMARK,
    STATE(4462), 1,
      sym_type_annotation,
    STATE(5645), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137274] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2335), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137290] = 10,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(3758), 1,
      sym_type_parameters,
    STATE(4566), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6175), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137322] = 8,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7524), 1,
      anon_sym_BANG,
    ACTIONS(7526), 1,
      anon_sym_QMARK,
    STATE(4285), 1,
      sym_type_annotation,
    STATE(5626), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6629), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137350] = 7,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    ACTIONS(7528), 1,
      anon_sym_DOT,
    STATE(1217), 1,
      sym_arguments,
    STATE(6064), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3480), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [137376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3129), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137391] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7532), 1,
      anon_sym_BQUOTE,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137416] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4131), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [137439] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4543), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [137462] = 7,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7544), 1,
      sym_escape_sequence,
    ACTIONS(7546), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4061), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137487] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4727), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [137510] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7548), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137535] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7550), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137560] = 7,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7544), 1,
      sym_escape_sequence,
    ACTIONS(7552), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4061), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137585] = 9,
    ACTIONS(7554), 1,
      sym_identifier,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(7558), 1,
      anon_sym_GT,
    ACTIONS(7560), 1,
      sym_jsx_identifier,
    ACTIONS(7562), 1,
      anon_sym_SLASH_GT,
    STATE(3187), 1,
      sym_nested_identifier,
    STATE(3406), 1,
      sym_jsx_namespace_name,
    STATE(5357), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137614] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7564), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4359), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137639] = 7,
    ACTIONS(3329), 1,
      sym_identifier,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7566), 1,
      anon_sym_enum,
    STATE(4882), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137664] = 9,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(7558), 1,
      anon_sym_GT,
    ACTIONS(7568), 1,
      sym_identifier,
    ACTIONS(7570), 1,
      sym_jsx_identifier,
    ACTIONS(7572), 1,
      anon_sym_SLASH_GT,
    STATE(3157), 1,
      sym_nested_identifier,
    STATE(3529), 1,
      sym_jsx_namespace_name,
    STATE(5357), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137693] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7574), 1,
      sym_identifier,
    ACTIONS(7576), 1,
      sym_this,
    STATE(1697), 1,
      sym__type_query_member_expression,
    STATE(1700), 1,
      sym__type_query_subscript_expression,
    STATE(1921), 1,
      sym__type_query_call_expression,
    STATE(1922), 1,
      sym__type_query_instantiation_expression,
    STATE(4787), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 2,
      anon_sym_while,
      sym_identifier,
    ACTIONS(1806), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
  [137739] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1834), 2,
      anon_sym_while,
      sym_identifier,
    ACTIONS(1832), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
  [137756] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7578), 1,
      sym_identifier,
    ACTIONS(7580), 1,
      sym_this,
    STATE(1429), 1,
      sym__type_query_subscript_expression,
    STATE(1432), 1,
      sym__type_query_member_expression,
    STATE(1458), 1,
      sym__type_query_call_expression,
    STATE(1472), 1,
      sym__type_query_instantiation_expression,
    STATE(4842), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137785] = 5,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7584), 1,
      anon_sym_DOT,
    STATE(4143), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1692), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137806] = 5,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(7586), 1,
      anon_sym_DOT,
    STATE(4143), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1692), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137827] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4130), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [137850] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6933), 1,
      sym_identifier,
    STATE(6036), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6935), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4916), 2,
      sym__module_export_name,
      sym_string,
  [137875] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7588), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3125), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137915] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7590), 1,
      sym_identifier,
    ACTIONS(7592), 1,
      sym_this,
    STATE(2836), 1,
      sym__type_query_member_expression,
    STATE(2837), 1,
      sym__type_query_subscript_expression,
    STATE(2882), 1,
      sym__type_query_call_expression,
    STATE(2959), 1,
      sym__type_query_instantiation_expression,
    STATE(4880), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3133), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137959] = 7,
    ACTIONS(7530), 1,
      sym_escape_sequence,
    ACTIONS(7534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7536), 1,
      sym__template_chars,
    ACTIONS(7594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [137984] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7592), 1,
      sym_this,
    ACTIONS(7596), 1,
      sym_identifier,
    STATE(2882), 1,
      sym__type_query_call_expression,
    STATE(2959), 1,
      sym__type_query_instantiation_expression,
    STATE(3176), 1,
      sym__type_query_member_expression,
    STATE(3177), 1,
      sym__type_query_subscript_expression,
    STATE(4795), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138013] = 3,
    ACTIONS(6917), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138030] = 3,
    ACTIONS(7598), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138047] = 3,
    ACTIONS(6917), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138064] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4520), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138087] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4521), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138110] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7600), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138131] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7602), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138152] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7604), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138173] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4529), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138196] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4680), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138219] = 6,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(7538), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7540), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7542), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4681), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [138242] = 5,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6957), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138263] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7606), 1,
      sym_identifier,
    ACTIONS(7608), 1,
      sym_this,
    STATE(2896), 1,
      sym__type_query_member_expression,
    STATE(2898), 1,
      sym__type_query_subscript_expression,
    STATE(3071), 1,
      sym__type_query_call_expression,
    STATE(3209), 1,
      sym__type_query_instantiation_expression,
    STATE(4904), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138292] = 7,
    ACTIONS(3329), 1,
      sym_identifier,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7610), 1,
      anon_sym_enum,
    STATE(4831), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [138317] = 9,
    ACTIONS(132), 1,
      anon_sym_import,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7614), 1,
      sym_this,
    STATE(2910), 1,
      sym__type_query_member_expression,
    STATE(2911), 1,
      sym__type_query_subscript_expression,
    STATE(3255), 1,
      sym__type_query_call_expression,
    STATE(3493), 1,
      sym__type_query_instantiation_expression,
    STATE(4898), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138346] = 7,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    ACTIONS(6965), 1,
      anon_sym_BANG,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5279), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138371] = 4,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4164), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7616), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138389] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4319), 1,
      sym_type_annotation,
    STATE(5001), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138411] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4201), 1,
      sym_type_annotation,
    STATE(5404), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138433] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4710), 1,
      sym_type_annotation,
    STATE(4959), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138455] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4271), 1,
      sym_type_annotation,
    STATE(5734), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7618), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138477] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4713), 1,
      sym_type_annotation,
    STATE(4968), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138499] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4321), 1,
      sym_type_annotation,
    STATE(5281), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7299), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [138535] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4388), 1,
      sym_type_annotation,
    STATE(5377), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138557] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4194), 1,
      sym_type_annotation,
    STATE(5370), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138579] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4195), 1,
      sym_type_annotation,
    STATE(5372), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138601] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5181), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6891), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138623] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4136), 1,
      sym_type_annotation,
    STATE(5094), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7620), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138645] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7622), 1,
      sym_identifier,
    ACTIONS(7624), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6061), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138671] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4144), 1,
      sym_type_annotation,
    STATE(5728), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138693] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4162), 1,
      sym_type_annotation,
    STATE(5807), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138715] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4180), 1,
      sym_type_annotation,
    STATE(4962), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138737] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4204), 1,
      sym_type_annotation,
    STATE(5070), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138759] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4203), 1,
      sym_type_annotation,
    STATE(5425), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138781] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4188), 1,
      sym_type_annotation,
    STATE(5344), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138803] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4693), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5964), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7626), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [138843] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4715), 1,
      sym_type_annotation,
    STATE(5740), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138865] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4611), 1,
      sym_type_annotation,
    STATE(5605), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138887] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4547), 1,
      sym_type_annotation,
    STATE(5643), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138909] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4386), 1,
      sym_type_annotation,
    STATE(5719), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138931] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4416), 1,
      sym_type_annotation,
    STATE(5735), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138953] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4598), 1,
      sym_type_annotation,
    STATE(5727), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138975] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6115), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138993] = 5,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(7630), 1,
      sym_identifier,
    ACTIONS(7632), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7634), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [139013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139027] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7636), 1,
      sym_identifier,
    ACTIONS(7638), 1,
      anon_sym_DOT,
    STATE(707), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139053] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7265), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139067] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7640), 1,
      anon_sym_COLON,
    ACTIONS(7642), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5967), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139093] = 7,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(7648), 1,
      anon_sym_QMARK,
    STATE(4864), 1,
      sym_type_annotation,
    STATE(5861), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [139117] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4145), 1,
      sym_type_annotation,
    STATE(5124), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139139] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4146), 1,
      sym_type_annotation,
    STATE(5126), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139161] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym_type_annotation,
    STATE(5621), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139183] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6039), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139201] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4560), 1,
      sym_type_annotation,
    STATE(5697), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139223] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4406), 1,
      sym_type_annotation,
    STATE(5233), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139245] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4323), 1,
      sym_type_annotation,
    STATE(4981), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139267] = 8,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1544), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_LT,
    ACTIONS(7656), 1,
      anon_sym_extends,
    STATE(836), 1,
      sym_object_type,
    STATE(4472), 1,
      sym_type_parameters,
    STATE(5346), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139293] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4332), 1,
      sym_type_annotation,
    STATE(4989), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139315] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2310), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5878), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139341] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4137), 1,
      sym_type_annotation,
    STATE(5200), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139363] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4150), 1,
      sym_type_annotation,
    STATE(5263), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139385] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4574), 1,
      sym_type_annotation,
    STATE(5549), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139407] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4617), 1,
      sym_type_annotation,
    STATE(5615), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139429] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4289), 1,
      sym_type_annotation,
    STATE(4926), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139451] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4275), 1,
      sym_type_annotation,
    STATE(5777), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139473] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4243), 1,
      sym_type_annotation,
    STATE(5467), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139495] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4250), 1,
      sym_type_annotation,
    STATE(5488), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139517] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4291), 1,
      sym_type_annotation,
    STATE(4930), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139539] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4255), 1,
      sym_type_annotation,
    STATE(5506), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139561] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4268), 1,
      sym_type_annotation,
    STATE(5522), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139583] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4581), 1,
      sym_type_annotation,
    STATE(5554), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139605] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4503), 1,
      sym_type_annotation,
    STATE(5569), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139627] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4455), 1,
      sym_type_annotation,
    STATE(5428), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139649] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5049), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [139663] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4292), 1,
      sym_type_annotation,
    STATE(4932), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139685] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4223), 1,
      sym_type_annotation,
    STATE(5503), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139707] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6102), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139725] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4305), 1,
      sym_type_annotation,
    STATE(5686), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139747] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4307), 1,
      sym_type_annotation,
    STATE(5699), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139769] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4148), 1,
      sym_type_annotation,
    STATE(5153), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139791] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4224), 1,
      sym_type_annotation,
    STATE(5505), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139813] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4333), 1,
      sym_type_annotation,
    STATE(5000), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139835] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4748), 1,
      sym_type_annotation,
    STATE(5805), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139857] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4608), 1,
      sym_type_annotation,
    STATE(5729), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139879] = 4,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [139897] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7660), 1,
      sym_identifier,
    ACTIONS(7662), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6061), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139923] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(4831), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [139945] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4624), 1,
      sym_type_annotation,
    STATE(5753), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139967] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4334), 1,
      sym_type_annotation,
    STATE(5002), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139989] = 4,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4633), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7666), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140007] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7642), 1,
      anon_sym_QMARK,
    ACTIONS(7668), 1,
      anon_sym_COLON,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5967), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140033] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4328), 1,
      sym_type_annotation,
    STATE(4944), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140055] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(4878), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [140077] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4355), 1,
      sym_type_annotation,
    STATE(4954), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140099] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5848), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140125] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4358), 1,
      sym_type_annotation,
    STATE(4980), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140147] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4198), 1,
      sym_type_annotation,
    STATE(5383), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140169] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4552), 1,
      sym_type_annotation,
    STATE(5513), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6832), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140191] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4758), 1,
      sym_type_annotation,
    STATE(5829), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140213] = 3,
    ACTIONS(7670), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [140229] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6108), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [140247] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_type_annotation,
    STATE(4986), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140269] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4726), 1,
      sym_type_annotation,
    STATE(4979), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140291] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4149), 1,
      sym_type_annotation,
    STATE(5161), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140313] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4408), 1,
      sym_type_annotation,
    STATE(5235), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140335] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4364), 1,
      sym_type_annotation,
    STATE(5027), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140357] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4335), 1,
      sym_type_annotation,
    STATE(5015), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140379] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4196), 1,
      sym_type_annotation,
    STATE(5376), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140401] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4227), 1,
      sym_type_annotation,
    STATE(5520), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140423] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(4882), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [140445] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4336), 1,
      sym_type_annotation,
    STATE(5017), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140467] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4619), 1,
      sym_type_annotation,
    STATE(5400), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140489] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4634), 1,
      sym_type_annotation,
    STATE(5637), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140511] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4738), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6140), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140537] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4366), 1,
      sym_type_annotation,
    STATE(5033), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140559] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4724), 1,
      sym_type_annotation,
    STATE(5763), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140581] = 7,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6907), 1,
      sym_identifier,
    ACTIONS(6983), 1,
      anon_sym_type,
    STATE(6086), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6357), 2,
      sym__module_export_name,
      sym_string,
  [140605] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7675), 1,
      sym_identifier,
    ACTIONS(7677), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6003), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140631] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2248), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6011), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140657] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4379), 1,
      sym_type_annotation,
    STATE(5081), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140679] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(5026), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140701] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(5028), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7679), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [140737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1806), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [140751] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4342), 1,
      sym_type_annotation,
    STATE(5032), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140773] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5308), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6963), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140795] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4174), 1,
      sym_type_annotation,
    STATE(5297), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140817] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4178), 1,
      sym_type_annotation,
    STATE(5315), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140839] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4228), 1,
      sym_type_annotation,
    STATE(5525), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140861] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4229), 1,
      sym_type_annotation,
    STATE(5533), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140883] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4213), 1,
      sym_type_annotation,
    STATE(5420), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140905] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4338), 1,
      sym_type_annotation,
    STATE(5831), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140927] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4230), 1,
      sym_type_annotation,
    STATE(5536), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140949] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4218), 1,
      sym_type_annotation,
    STATE(5483), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140971] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4154), 1,
      sym_type_annotation,
    STATE(5185), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140993] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2174), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5958), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7472), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141033] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4276), 1,
      sym_type_annotation,
    STATE(5779), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141055] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4384), 1,
      sym_type_annotation,
    STATE(5105), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7155), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141091] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4390), 1,
      sym_type_annotation,
    STATE(5113), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141113] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4206), 1,
      sym_type_annotation,
    STATE(5435), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141135] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4423), 1,
      sym_type_annotation,
    STATE(5268), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141157] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4744), 1,
      sym_type_annotation,
    STATE(5799), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7131), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141193] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4257), 1,
      sym_type_annotation,
    STATE(5676), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141215] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym_type_annotation,
    STATE(5557), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141237] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4207), 1,
      sym_type_annotation,
    STATE(5438), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141259] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7681), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141277] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(5227), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [141299] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_type_annotation,
    STATE(5560), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141321] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5639), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [141335] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4210), 1,
      sym_type_annotation,
    STATE(5454), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141357] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4514), 1,
      sym_type_annotation,
    STATE(5433), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141379] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4155), 1,
      sym_type_annotation,
    STATE(5198), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141401] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4294), 1,
      sym_type_annotation,
    STATE(4942), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141423] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4739), 1,
      sym_type_annotation,
    STATE(4982), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141445] = 4,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(4143), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1692), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141463] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4741), 1,
      sym_type_annotation,
    STATE(4974), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141485] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4256), 1,
      sym_type_annotation,
    STATE(5673), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141507] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      sym_identifier,
    ACTIONS(7685), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6098), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141533] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4286), 1,
      sym_type_annotation,
    STATE(5602), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141555] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4156), 1,
      sym_type_annotation,
    STATE(5217), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141577] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6068), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141603] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1628), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6008), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141629] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4398), 1,
      sym_type_annotation,
    STATE(5229), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141651] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4157), 1,
      sym_type_annotation,
    STATE(5219), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141673] = 4,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4446), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7687), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141691] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4297), 1,
      sym_type_annotation,
    STATE(4945), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141713] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4409), 1,
      sym_type_annotation,
    STATE(5283), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141735] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4410), 1,
      sym_type_annotation,
    STATE(5296), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141757] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5851), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141775] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5854), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141793] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4412), 1,
      sym_type_annotation,
    STATE(5306), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141815] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4746), 1,
      sym_type_annotation,
    STATE(5802), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141837] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4413), 1,
      sym_type_annotation,
    STATE(5311), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141859] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4650), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6034), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141885] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4346), 1,
      sym_type_annotation,
    STATE(5036), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141907] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4607), 1,
      sym_type_annotation,
    STATE(5600), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141929] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7693), 1,
      sym_identifier,
    ACTIONS(7695), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6061), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141955] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4507), 1,
      sym_type_annotation,
    STATE(5574), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141977] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4424), 1,
      sym_type_annotation,
    STATE(5270), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141999] = 3,
    ACTIONS(6945), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4031), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142015] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4750), 1,
      sym_type_annotation,
    STATE(5810), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142037] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4211), 1,
      sym_type_annotation,
    STATE(5456), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142059] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4158), 1,
      sym_type_annotation,
    STATE(5226), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142081] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4191), 1,
      sym_type_annotation,
    STATE(5354), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142103] = 3,
    ACTIONS(7697), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [142119] = 4,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4654), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7700), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142137] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4234), 1,
      sym_type_annotation,
    STATE(5558), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142159] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7702), 1,
      sym_identifier,
    ACTIONS(7704), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5942), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142185] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6149), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142203] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4189), 1,
      sym_type_annotation,
    STATE(5349), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142225] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4751), 1,
      sym_type_annotation,
    STATE(5812), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142247] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4699), 1,
      sym_type_annotation,
    STATE(4927), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142269] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4426), 1,
      sym_type_annotation,
    STATE(5273), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142291] = 8,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7638), 1,
      anon_sym_DOT,
    ACTIONS(7706), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    STATE(4855), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142317] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4431), 1,
      sym_type_annotation,
    STATE(5355), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142339] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4553), 1,
      sym_type_annotation,
    STATE(5694), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142361] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4432), 1,
      sym_type_annotation,
    STATE(5369), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142383] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1630), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6133), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142409] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4594), 1,
      sym_type_annotation,
    STATE(5578), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142431] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4193), 1,
      sym_type_annotation,
    STATE(5367), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142453] = 3,
    ACTIONS(7708), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3509), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [142469] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6152), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142487] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4501), 1,
      sym_type_annotation,
    STATE(5406), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142509] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4863), 1,
      sym_constraint,
    STATE(5856), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7710), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(7712), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [142531] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4349), 1,
      sym_type_annotation,
    STATE(5049), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142553] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4239), 1,
      sym_type_annotation,
    STATE(5563), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142575] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7714), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3305), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [142597] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4241), 1,
      sym_type_annotation,
    STATE(5583), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142619] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2143), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5996), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142645] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2260), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5975), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142671] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4306), 1,
      sym_type_annotation,
    STATE(4955), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142693] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6043), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142711] = 3,
    ACTIONS(6945), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4019), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142727] = 3,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4398), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [142743] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4434), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [142763] = 3,
    ACTIONS(7724), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [142779] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4350), 1,
      sym_type_annotation,
    STATE(5053), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142801] = 3,
    ACTIONS(7726), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4025), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142817] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4353), 1,
      sym_type_annotation,
    STATE(5065), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142839] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_type_annotation,
    STATE(5066), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142861] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym_type_annotation,
    STATE(5077), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142883] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4434), 1,
      sym_type_annotation,
    STATE(5277), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142905] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4279), 1,
      sym_type_annotation,
    STATE(5801), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142927] = 5,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(5785), 1,
      anon_sym_RBRACE,
    STATE(5054), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [142947] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6045), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7728), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142965] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4361), 1,
      sym_type_annotation,
    STATE(5078), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142987] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6158), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143005] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4159), 1,
      sym_type_annotation,
    STATE(5228), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143027] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4242), 1,
      sym_type_annotation,
    STATE(5593), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143049] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4688), 1,
      sym_type_annotation,
    STATE(4943), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143071] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(865), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6112), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143097] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2186), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5930), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143123] = 8,
    ACTIONS(7730), 1,
      anon_sym_LBRACE,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(7734), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_LT,
    ACTIONS(7738), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4822), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5236), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143149] = 3,
    ACTIONS(4454), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      anon_sym_BQUOTE,
  [143165] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4246), 1,
      sym_type_annotation,
    STATE(5634), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143187] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4160), 1,
      sym_type_annotation,
    STATE(5243), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143209] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4161), 1,
      sym_type_annotation,
    STATE(5247), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143231] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7740), 1,
      sym_identifier,
    STATE(4831), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3307), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [143253] = 6,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(2261), 1,
      sym_arguments,
    STATE(5866), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7742), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [143275] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4473), 1,
      sym_type_annotation,
    STATE(5465), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143297] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [143311] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4474), 1,
      sym_type_annotation,
    STATE(5471), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143333] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5121), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143355] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4375), 1,
      sym_type_annotation,
    STATE(5125), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143377] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4215), 1,
      sym_type_annotation,
    STATE(5469), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143399] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4385), 1,
      sym_type_annotation,
    STATE(5162), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143421] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5847), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143439] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [143459] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5887), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143477] = 3,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [143493] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(5636), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143515] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4387), 1,
      sym_type_annotation,
    STATE(5167), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7744), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143537] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2158), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5890), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143563] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7750), 1,
      sym_identifier,
    ACTIONS(7752), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5942), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143589] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4857), 1,
      sym_constraint,
    STATE(5989), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6466), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(7712), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [143611] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [143631] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6088), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143649] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6025), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143675] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [143695] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4309), 1,
      sym_type_annotation,
    STATE(4961), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143717] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6090), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143735] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6123), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143753] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4707), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6014), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143779] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4221), 1,
      sym_type_annotation,
    STATE(5499), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143801] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1646), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6030), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143827] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4554), 1,
      sym_type_annotation,
    STATE(5508), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143849] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6105), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7758), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143867] = 8,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2293), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5952), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143893] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4678), 1,
      sym_type_annotation,
    STATE(5680), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6883), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143915] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4225), 1,
      sym_type_annotation,
    STATE(5511), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143937] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4248), 1,
      sym_type_annotation,
    STATE(5640), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143959] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4249), 1,
      sym_type_annotation,
    STATE(5642), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143981] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4251), 1,
      sym_type_annotation,
    STATE(5649), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144003] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7760), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [144017] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4199), 1,
      sym_type_annotation,
    STATE(5389), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144039] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4280), 1,
      sym_type_annotation,
    STATE(5811), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144061] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4478), 1,
      sym_type_annotation,
    STATE(5835), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144083] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4497), 1,
      sym_type_annotation,
    STATE(5538), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144105] = 6,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(3333), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(4906), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3707), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [144127] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4208), 1,
      sym_type_annotation,
    STATE(5092), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144149] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4500), 1,
      sym_type_annotation,
    STATE(5553), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144171] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2503), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5896), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144197] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4166), 1,
      sym_type_annotation,
    STATE(5267), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144219] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4167), 1,
      sym_type_annotation,
    STATE(5275), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144241] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144261] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(1663), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6094), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144287] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4168), 1,
      sym_type_annotation,
    STATE(5280), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144309] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6035), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144327] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(242), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5842), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144353] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4169), 1,
      sym_type_annotation,
    STATE(5282), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144375] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144395] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4533), 1,
      sym_type_annotation,
    STATE(5475), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144417] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4252), 1,
      sym_type_annotation,
    STATE(5650), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144439] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4450), 1,
      sym_type_annotation,
    STATE(5403), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1832), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [144475] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7762), 1,
      sym_identifier,
    ACTIONS(7764), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5942), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [144515] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4703), 1,
      sym_type_annotation,
    STATE(5722), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144537] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144557] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4176), 1,
      sym_type_annotation,
    STATE(5310), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144579] = 3,
    ACTIONS(4428), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4430), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      anon_sym_BQUOTE,
  [144595] = 3,
    ACTIONS(4450), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
      anon_sym_BQUOTE,
  [144611] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4709), 1,
      sym_type_annotation,
    STATE(5725), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144633] = 8,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    STATE(2514), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(5857), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144659] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4216), 1,
      sym_type_annotation,
    STATE(5473), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144681] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4217), 1,
      sym_type_annotation,
    STATE(5480), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144703] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6160), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144721] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6164), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144739] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7766), 1,
      sym_identifier,
    ACTIONS(7768), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6061), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144765] = 8,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(7770), 1,
      sym_identifier,
    ACTIONS(7772), 1,
      anon_sym_DOT,
    STATE(3571), 1,
      sym_nested_identifier,
    STATE(3739), 1,
      sym_string,
    STATE(4437), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144791] = 8,
    ACTIONS(1034), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_LT,
    ACTIONS(7656), 1,
      anon_sym_extends,
    STATE(4273), 1,
      sym_type_parameters,
    STATE(4523), 1,
      sym_object_type,
    STATE(5751), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144817] = 8,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7774), 1,
      sym_identifier,
    ACTIONS(7776), 1,
      anon_sym_STAR,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5942), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144843] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6138), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144861] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4664), 1,
      sym_type_annotation,
    STATE(5665), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144883] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4719), 1,
      sym_type_annotation,
    STATE(5750), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144905] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4177), 1,
      sym_type_annotation,
    STATE(5312), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144927] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4666), 1,
      sym_type_annotation,
    STATE(5669), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144949] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4671), 1,
      sym_type_annotation,
    STATE(5675), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144971] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4464), 1,
      sym_type_annotation,
    STATE(5340), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144993] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4182), 1,
      sym_type_annotation,
    STATE(5325), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145015] = 6,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(6035), 1,
      anon_sym_LT,
    STATE(1665), 1,
      sym_arguments,
    STATE(6144), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7742), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [145037] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4656), 1,
      sym_type_annotation,
    STATE(5778), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145059] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4183), 1,
      sym_type_annotation,
    STATE(5327), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145081] = 8,
    ACTIONS(7017), 1,
      anon_sym_extends,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(869), 1,
      sym_class_body,
    STATE(5698), 1,
      sym_extends_clause,
    STATE(6087), 1,
      sym_class_heritage,
    STATE(6336), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145107] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4288), 1,
      sym_type_annotation,
    STATE(4924), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [145143] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(5832), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145165] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4721), 1,
      sym_type_annotation,
    STATE(5755), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145187] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4184), 1,
      sym_type_annotation,
    STATE(5331), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145209] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4550), 1,
      sym_type_annotation,
    STATE(5659), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145231] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4572), 1,
      sym_type_annotation,
    STATE(4935), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145253] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4661), 1,
      sym_type_annotation,
    STATE(4960), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145275] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4129), 1,
      sym_type_annotation,
    STATE(5050), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145297] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4134), 1,
      sym_type_annotation,
    STATE(5112), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145319] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_type_annotation,
    STATE(5757), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145341] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4536), 1,
      sym_type_annotation,
    STATE(5481), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145363] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4200), 1,
      sym_type_annotation,
    STATE(5402), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145385] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4723), 1,
      sym_type_annotation,
    STATE(5761), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145407] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4318), 1,
      sym_type_annotation,
    STATE(5792), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145429] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4383), 1,
      sym_type_annotation,
    STATE(5073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145451] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4392), 1,
      sym_type_annotation,
    STATE(5163), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145473] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4185), 1,
      sym_type_annotation,
    STATE(5333), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145495] = 6,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(4190), 1,
      sym_type_annotation,
    STATE(5352), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145517] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [145530] = 5,
    ACTIONS(7780), 1,
      anon_sym_AT,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [145549] = 3,
    ACTIONS(7783), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6491), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [145564] = 5,
    ACTIONS(7785), 1,
      anon_sym_default,
    ACTIONS(7787), 1,
      anon_sym_RBRACE,
    ACTIONS(7789), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4009), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [145583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4820), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4890), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145613] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7791), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145626] = 5,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(7793), 1,
      sym_identifier,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4839), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145645] = 5,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7797), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6101), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4870), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4876), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4745), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4749), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145724] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7799), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7801), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145750] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4904), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4908), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4904), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4912), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4918), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4904), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145853] = 5,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    ACTIONS(7795), 1,
      anon_sym_LBRACK,
    ACTIONS(7805), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5102), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [145872] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(7807), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4015), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4647), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4651), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4690), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4694), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [145955] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7809), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5954), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145978] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4623), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146001] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2569), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7681), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146018] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7636), 1,
      sym_identifier,
    STATE(707), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(857), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146041] = 4,
    STATE(4042), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7817), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146058] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7819), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5976), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146081] = 6,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(7823), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7821), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [146102] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7825), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4266), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146125] = 3,
    ACTIONS(6733), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6735), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [146140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7827), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146155] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7746), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146172] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7829), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [146191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7831), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7827), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7833), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146236] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7748), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7835), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7827), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146283] = 7,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(7736), 1,
      anon_sym_LT,
    ACTIONS(7837), 1,
      anon_sym_LBRACE,
    ACTIONS(7839), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4823), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5248), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146306] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7636), 1,
      sym_identifier,
    STATE(707), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146329] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146342] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2321), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146368] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146381] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2335), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146394] = 5,
    ACTIONS(7841), 1,
      anon_sym_BQUOTE,
    ACTIONS(7843), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7530), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3985), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [146413] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(7770), 1,
      sym_identifier,
    STATE(3571), 1,
      sym_nested_identifier,
    STATE(3739), 1,
      sym_string,
    STATE(4140), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146436] = 7,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    ACTIONS(7770), 1,
      sym_identifier,
    STATE(3571), 1,
      sym_nested_identifier,
    STATE(3739), 1,
      sym_string,
    STATE(4437), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7845), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [146474] = 5,
    ACTIONS(7843), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7849), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7847), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4049), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [146493] = 7,
    ACTIONS(7558), 1,
      anon_sym_GT,
    ACTIONS(7851), 1,
      sym_identifier,
    ACTIONS(7853), 1,
      sym_jsx_identifier,
    ACTIONS(7855), 1,
      anon_sym_SLASH_GT,
    STATE(3163), 1,
      sym_nested_identifier,
    STATE(3337), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146516] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7857), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4372), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146539] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7758), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146556] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7859), 1,
      anon_sym_COMMA,
    ACTIONS(7861), 1,
      anon_sym_GT,
    STATE(4941), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146579] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5870), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146602] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3897), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146625] = 4,
    STATE(3995), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7869), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7867), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146642] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7871), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3754), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146665] = 4,
    STATE(4002), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3671), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7873), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146682] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3671), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7873), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146699] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146718] = 3,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [146733] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7881), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5954), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146756] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4496), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146775] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4500), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146794] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3845), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146817] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146834] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146853] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146872] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7887), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3892), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146895] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7889), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3809), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146918] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7891), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3833), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146941] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [146960] = 5,
    ACTIONS(7893), 1,
      anon_sym_default,
    ACTIONS(7896), 1,
      anon_sym_RBRACE,
    ACTIONS(7898), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4009), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [146979] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7901), 1,
      anon_sym_COMMA,
    ACTIONS(7903), 1,
      anon_sym_GT,
    STATE(5089), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147002] = 4,
    STATE(4013), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7907), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147019] = 4,
    STATE(4014), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3669), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147036] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3669), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7909), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147053] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3675), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147070] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147087] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(7913), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4078), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147110] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2571), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147127] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7915), 1,
      anon_sym_COMMA,
    ACTIONS(7917), 1,
      anon_sym_GT,
    STATE(5159), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147150] = 4,
    STATE(4021), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7921), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7919), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147167] = 4,
    STATE(4022), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3659), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147184] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3659), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147201] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3663), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7925), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147218] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7927), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5528), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147241] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2611), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7650), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147258] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7929), 1,
      anon_sym_COMMA,
    ACTIONS(7931), 1,
      anon_sym_GT,
    STATE(5208), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147281] = 4,
    STATE(4117), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7935), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147298] = 4,
    STATE(4029), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3689), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7937), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147315] = 3,
    ACTIONS(7939), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6491), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [147330] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3693), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147347] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7943), 1,
      anon_sym_LBRACE,
    ACTIONS(7945), 1,
      anon_sym_COMMA,
    STATE(5018), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147370] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7947), 1,
      anon_sym_COMMA,
    ACTIONS(7949), 1,
      anon_sym_GT,
    STATE(5238), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147393] = 4,
    STATE(4034), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7953), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7951), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147410] = 4,
    STATE(4035), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3651), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147427] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3651), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147444] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3653), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7957), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147461] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7959), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147484] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(7961), 1,
      anon_sym_COMMA,
    ACTIONS(7963), 1,
      anon_sym_GT,
    STATE(5260), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147507] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7760), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [147520] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(7965), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4629), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147543] = 4,
    STATE(4091), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3683), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7967), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7969), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [147575] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3683), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7967), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147592] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7971), 1,
      anon_sym_export,
    ACTIONS(7973), 1,
      anon_sym_class,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147615] = 4,
    ACTIONS(7977), 1,
      sym_identifier,
    ACTIONS(7979), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7981), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [147632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7983), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [147647] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6186), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7987), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [147685] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(7989), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6100), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147708] = 5,
    ACTIONS(7994), 1,
      anon_sym_BQUOTE,
    ACTIONS(7996), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7991), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4049), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [147727] = 4,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    STATE(4077), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7999), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [147744] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8001), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [147763] = 5,
    ACTIONS(7785), 1,
      anon_sym_default,
    ACTIONS(7789), 1,
      anon_sym_case,
    ACTIONS(8003), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3931), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [147782] = 5,
    ACTIONS(7843), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8005), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7544), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4061), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [147801] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8007), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6131), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147824] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8009), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5918), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147847] = 3,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4398), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [147862] = 5,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4434), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [147881] = 3,
    ACTIONS(8011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [147896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8013), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [147911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8015), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [147926] = 5,
    ACTIONS(7843), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8017), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7847), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(4049), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [147945] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8019), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6027), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147968] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8021), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6154), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147991] = 7,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8023), 1,
      anon_sym_COMMA,
    ACTIONS(8025), 1,
      anon_sym_GT,
    STATE(5368), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148014] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8027), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5862), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148037] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8029), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5885), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148060] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7626), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148073] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8031), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6052), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148096] = 6,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    STATE(4783), 1,
      sym_type_annotation,
    STATE(6028), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8033), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [148117] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6953), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [148134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8037), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [148149] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8039), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6091), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148172] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    ACTIONS(8041), 1,
      anon_sym_export,
    ACTIONS(8043), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148195] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2587), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148212] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148229] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2556), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148246] = 4,
    ACTIONS(8045), 1,
      anon_sym_COMMA,
    STATE(4077), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4196), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [148263] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2575), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148280] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(8048), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4108), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148303] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2585), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148320] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148337] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(8050), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5785), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148360] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(8052), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148396] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2582), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8054), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
      anon_sym_LT,
  [148428] = 7,
    ACTIONS(7558), 1,
      anon_sym_GT,
    ACTIONS(8056), 1,
      sym_identifier,
    ACTIONS(8058), 1,
      sym_jsx_identifier,
    ACTIONS(8060), 1,
      anon_sym_SLASH_GT,
    STATE(3170), 1,
      sym_nested_identifier,
    STATE(3316), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148451] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6146), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148474] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5895), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3795), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148489] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(8064), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4119), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148512] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3645), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148529] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4438), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148552] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148569] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8070), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148592] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8075), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148609] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7706), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(857), 1,
      sym__module,
    STATE(4855), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148632] = 7,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(7706), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(814), 1,
      sym__module,
    STATE(4855), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148655] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5954), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148678] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7679), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [148691] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8079), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148714] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148731] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2592), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7728), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148748] = 6,
    ACTIONS(7734), 1,
      anon_sym_DOT,
    ACTIONS(7736), 1,
      anon_sym_LT,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    STATE(5236), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8083), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [148769] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(8085), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(3971), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148792] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2580), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148809] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8087), 1,
      anon_sym_QMARK,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6178), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148832] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148849] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148866] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    ACTIONS(8089), 1,
      anon_sym_QMARK,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4076), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148889] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6975), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [148906] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148923] = 4,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148940] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7973), 1,
      anon_sym_class,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    ACTIONS(8091), 1,
      anon_sym_export,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148963] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    ACTIONS(8093), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5657), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148986] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8095), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5954), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149009] = 7,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    ACTIONS(8097), 1,
      sym_identifier,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6042), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149032] = 4,
    STATE(4095), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3689), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7937), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149049] = 5,
    ACTIONS(8099), 1,
      anon_sym_BQUOTE,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8103), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4381), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149079] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    ACTIONS(8043), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149111] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6071), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149131] = 6,
    ACTIONS(1696), 1,
      anon_sym_LBRACE,
    ACTIONS(8105), 1,
      anon_sym_SEMI,
    ACTIONS(8107), 1,
      sym__automatic_semicolon,
    ACTIONS(8109), 1,
      sym__function_signature_automatic_semicolon,
    STATE(247), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149151] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8111), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149163] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7673), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149175] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8113), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149187] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149211] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5770), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8119), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8121), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149251] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5330), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149267] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8125), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [149285] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5771), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149301] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5335), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149317] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5733), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8127), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149333] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5336), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149349] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149361] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5739), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8133), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149377] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149389] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(3988), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149409] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5249), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149425] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149437] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5250), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149453] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5749), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149469] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5756), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5444), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149497] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5774), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149513] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5775), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149529] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5337), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8137), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [149557] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5550), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149573] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5781), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149589] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5782), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149605] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5784), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149621] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5786), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149637] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5789), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149653] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5790), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149669] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5793), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149685] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5795), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149701] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5798), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149717] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5254), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149733] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5772), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149749] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8145), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149761] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5815), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149777] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5819), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149793] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5824), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149809] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5825), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149825] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5828), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149841] = 4,
    ACTIONS(1806), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [149857] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5291), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149873] = 4,
    ACTIONS(1832), 1,
      anon_sym_DOT,
    ACTIONS(4053), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4055), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [149889] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4929), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149905] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5294), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149921] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4934), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149937] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4936), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149953] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4940), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149969] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5300), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149985] = 6,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(8149), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_RBRACE,
    STATE(5398), 1,
      aux_sym_enum_body_repeat1,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150005] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5255), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150021] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4947), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150037] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4948), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150053] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4949), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150069] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4951), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150085] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4952), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150101] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5298), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150117] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4964), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150133] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4966), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150149] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4967), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150165] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4971), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150181] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4976), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150197] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4991), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150213] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150229] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150245] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4994), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150261] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4995), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150277] = 3,
    ACTIONS(8153), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3509), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [150291] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150307] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4997), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150323] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4998), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150339] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4999), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150355] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150371] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5005), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150387] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5256), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150403] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5008), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150419] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5009), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150435] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5010), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150451] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5225), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150467] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4925), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150483] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5011), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150499] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150515] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5504), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150531] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5303), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150547] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5019), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150563] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5020), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150579] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5021), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150595] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5022), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150611] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5023), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150627] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5570), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150643] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5029), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150659] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5575), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150675] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5046), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150691] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5047), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150707] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5048), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150723] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5594), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150739] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5058), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150755] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5059), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150771] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5060), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150787] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5061), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150803] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5064), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150819] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5351), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150835] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5067), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150851] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [150863] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5071), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150879] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5356), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150895] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5998), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150915] = 4,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    STATE(5840), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [150931] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8155), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150947] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5072), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150963] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8158), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150979] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150995] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5075), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151011] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5358), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151027] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5236), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [151039] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5086), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8141), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151055] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5090), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151071] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5091), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151087] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5093), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151103] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5106), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151119] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5359), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151135] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5107), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151151] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5108), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151167] = 5,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(8161), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5845), 2,
      sym__module_export_name,
      sym_string,
  [151185] = 6,
    ACTIONS(8163), 1,
      sym_identifier,
    ACTIONS(8165), 1,
      anon_sym_GT,
    ACTIONS(8167), 1,
      sym_jsx_identifier,
    STATE(6150), 1,
      sym_nested_identifier,
    STATE(6518), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151205] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5361), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151221] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5110), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151237] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8135), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151253] = 6,
    ACTIONS(3795), 1,
      anon_sym_COLON,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(8169), 1,
      anon_sym_RBRACE,
    STATE(5689), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151273] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5487), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151289] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5846), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151309] = 6,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(8105), 1,
      anon_sym_SEMI,
    ACTIONS(8107), 1,
      sym__automatic_semicolon,
    ACTIONS(8109), 1,
      sym__function_signature_automatic_semicolon,
    STATE(722), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151329] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151341] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8171), 1,
      anon_sym_BQUOTE,
    ACTIONS(8173), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4287), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [151359] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4370), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151379] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151397] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7728), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151409] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(8179), 1,
      anon_sym_SEMI,
    ACTIONS(8181), 1,
      sym__automatic_semicolon,
    ACTIONS(8183), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2303), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151429] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5362), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7716), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151457] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151469] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8187), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [151497] = 6,
    ACTIONS(1034), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_extends,
    STATE(4615), 1,
      sym_object_type,
    STATE(4937), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151517] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5624), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151533] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5117), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151549] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5118), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151565] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5852), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151585] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8191), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [151601] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5119), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151617] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5120), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151633] = 6,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_SEMI,
    ACTIONS(8196), 1,
      sym__automatic_semicolon,
    ACTIONS(8198), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4300), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151653] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8200), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151671] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5371), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151687] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5128), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8202), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151703] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5809), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151719] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5625), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151735] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8204), 1,
      anon_sym_BQUOTE,
    ACTIONS(8206), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [151753] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151769] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5131), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151785] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(8105), 1,
      anon_sym_SEMI,
    ACTIONS(8107), 1,
      sym__automatic_semicolon,
    ACTIONS(8109), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2140), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151805] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151821] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151837] = 6,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    ACTIONS(8210), 1,
      anon_sym_RBRACE,
    STATE(4963), 1,
      aux_sym_enum_body_repeat1,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151857] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151873] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8212), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [151889] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8215), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [151905] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151921] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5875), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151941] = 6,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(8218), 1,
      anon_sym_SEMI,
    ACTIONS(8220), 1,
      sym__automatic_semicolon,
    ACTIONS(8222), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4314), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151961] = 3,
    ACTIONS(5450), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1867), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151975] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8224), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151993] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3753), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152013] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5378), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152029] = 5,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      anon_sym_SQUOTE,
    ACTIONS(8226), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5543), 2,
      sym__module_export_name,
      sym_string,
  [152047] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5379), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152063] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5139), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152079] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5380), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152095] = 5,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(8228), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6461), 2,
      sym__module_export_name,
      sym_string,
  [152113] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152129] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5759), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152145] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8230), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [152161] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5232), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152177] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5612), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152193] = 3,
    ACTIONS(5452), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1919), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152207] = 3,
    ACTIONS(5454), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1774), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152221] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6032), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152241] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3841), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152261] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152277] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5239), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152305] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5240), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152321] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152339] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5145), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152355] = 3,
    ACTIONS(5460), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1754), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [152369] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3891), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152389] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5391), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152405] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3796), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152425] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5393), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152441] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3831), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152461] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5278), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152477] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3851), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152497] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5146), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152513] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5148), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152529] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5156), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152545] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5157), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152561] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5160), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152577] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5813), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152593] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5304), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152609] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5171), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8202), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152625] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5174), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152641] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5179), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152657] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152673] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5284), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152689] = 4,
    ACTIONS(8237), 1,
      anon_sym_in,
    ACTIONS(8239), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152705] = 4,
    ACTIONS(8241), 1,
      anon_sym_in,
    ACTIONS(8243), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152721] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5188), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5574), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152749] = 6,
    ACTIONS(8245), 1,
      sym_identifier,
    ACTIONS(8247), 1,
      anon_sym_GT,
    ACTIONS(8249), 1,
      sym_jsx_identifier,
    STATE(5877), 1,
      sym_nested_identifier,
    STATE(6554), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152769] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5189), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152785] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152801] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8251), 1,
      anon_sym_BQUOTE,
    ACTIONS(8253), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4359), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152819] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_SEMI,
    ACTIONS(8196), 1,
      sym__automatic_semicolon,
    ACTIONS(8198), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2161), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152839] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5194), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152855] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5195), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152871] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5394), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152899] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5196), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152915] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5395), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152931] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8206), 1,
      sym__template_chars,
    ACTIONS(8255), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [152949] = 6,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    ACTIONS(8218), 1,
      anon_sym_SEMI,
    ACTIONS(8220), 1,
      sym__automatic_semicolon,
    ACTIONS(8222), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2170), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152969] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5197), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8189), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152985] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [152997] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5396), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153013] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5397), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153029] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5578), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [153041] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5399), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153057] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4075), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153077] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4587), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153097] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5814), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153113] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153125] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4393), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153145] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153157] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153173] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5205), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8257), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153189] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5207), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8257), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153205] = 6,
    ACTIONS(8259), 1,
      sym_identifier,
    ACTIONS(8261), 1,
      anon_sym_GT,
    ACTIONS(8263), 1,
      sym_jsx_identifier,
    STATE(6082), 1,
      sym_nested_identifier,
    STATE(6347), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153225] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5518), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8265), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153241] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2823), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153253] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5410), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153269] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5412), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153285] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8206), 1,
      sym__template_chars,
    ACTIONS(8267), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [153303] = 6,
    ACTIONS(3795), 1,
      anon_sym_COLON,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(8269), 1,
      anon_sym_RBRACE,
    STATE(5681), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153323] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5816), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153339] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5413), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153355] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8257), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153371] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5287), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153387] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5211), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8257), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153403] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5241), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153419] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5532), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8271), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153435] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5416), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153451] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8273), 1,
      anon_sym_BQUOTE,
    ACTIONS(8275), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4395), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [153469] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5817), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7758), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153497] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5432), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153513] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8206), 1,
      sym__template_chars,
    ACTIONS(8277), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [153531] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5627), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153547] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5446), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153563] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5448), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153579] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153591] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4975), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153607] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5453), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153623] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2847), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153651] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [153675] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5016), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153691] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5458), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153707] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5025), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153723] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5459), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153739] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5460), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153755] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5611), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153771] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5462), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153787] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5463), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153803] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4123), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153823] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5717), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153839] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5289), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153855] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6107), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153875] = 6,
    ACTIONS(1696), 1,
      anon_sym_LBRACE,
    ACTIONS(8179), 1,
      anon_sym_SEMI,
    ACTIONS(8181), 1,
      sym__automatic_semicolon,
    ACTIONS(8183), 1,
      sym__function_signature_automatic_semicolon,
    STATE(240), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153895] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5045), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153911] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    ACTIONS(8281), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153931] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4620), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153951] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5478), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153967] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5051), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153983] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153999] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5269), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154015] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5057), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154031] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5203), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8283), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154047] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5489), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154063] = 3,
    ACTIONS(8285), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8287), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7681), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154089] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5491), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154105] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5492), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154121] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8289), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154133] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154149] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4267), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2719), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154205] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5447), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154221] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4418), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154241] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [154259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8293), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [154271] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7973), 1,
      anon_sym_class,
    ACTIONS(7975), 1,
      anon_sym_abstract,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154291] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4281), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154311] = 4,
    ACTIONS(6549), 1,
      anon_sym_LBRACK,
    ACTIONS(8295), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [154327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8297), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154339] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5502), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154355] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5509), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154371] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5841), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154391] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5540), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154407] = 5,
    ACTIONS(8299), 1,
      anon_sym_BQUOTE,
    ACTIONS(8301), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8304), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [154425] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4290), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154445] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5951), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154465] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154481] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5559), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154497] = 3,
    ACTIONS(8307), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8309), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7791), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154523] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5527), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154539] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5151), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154567] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2831), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [154579] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5766), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154595] = 3,
    ACTIONS(4820), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4822), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154609] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5155), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154625] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5166), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154641] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4299), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154661] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6130), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154681] = 3,
    ACTIONS(4890), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4892), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154695] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5539), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154711] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6134), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154731] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6162), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154751] = 6,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1544), 1,
      anon_sym_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_extends,
    STATE(758), 1,
      sym_object_type,
    STATE(5288), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154771] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5542), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154787] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5547), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154803] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5419), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154819] = 3,
    ACTIONS(8311), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8313), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154833] = 3,
    ACTIONS(8315), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8317), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [154847] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5222), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154863] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5962), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154883] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4957), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154899] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5272), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154915] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8319), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [154927] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6021), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154947] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154963] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6029), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154983] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5266), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154999] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5555), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155015] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5035), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155031] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6153), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155051] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5305), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5069), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [155079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5049), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [155091] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5187), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155107] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2571), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155131] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6190), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155151] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5598), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155167] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5317), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155183] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5874), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155203] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5599), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155219] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5318), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155235] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5907), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155255] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5604), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155271] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5324), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155287] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5303), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [155299] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6044), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155319] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5606), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155335] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155351] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8323), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [155367] = 3,
    ACTIONS(4870), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4872), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [155381] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8326), 1,
      anon_sym_BQUOTE,
    ACTIONS(8328), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4712), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [155399] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5561), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155415] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5618), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [155427] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5565), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155443] = 3,
    ACTIONS(4615), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5699), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [155457] = 3,
    ACTIONS(4876), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4878), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [155471] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5482), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155487] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8330), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [155503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6491), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [155515] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8333), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8335), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2791), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2803), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155587] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5567), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155603] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6089), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155623] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8337), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155651] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4352), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155671] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5584), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155687] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8339), 1,
      anon_sym_class,
    ACTIONS(8341), 1,
      anon_sym_abstract,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155707] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5585), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155723] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4360), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155743] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5916), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155763] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5601), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155779] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5956), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155799] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5648), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [155811] = 3,
    ACTIONS(4745), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4747), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [155825] = 3,
    ACTIONS(4749), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [155839] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5639), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155855] = 6,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(8343), 1,
      anon_sym_as,
    ACTIONS(8345), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155875] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8347), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [155887] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4101), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155907] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5760), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155923] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4107), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155943] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5244), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155959] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5646), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155975] = 3,
    ACTIONS(8037), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8349), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [155989] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5647), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156005] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5745), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156021] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5765), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156037] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5648), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156053] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5677), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156069] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5696), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7799), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7801), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156121] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5783), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156141] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5348), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156157] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2779), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2843), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156205] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156217] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1788), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156229] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156241] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156277] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5742), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156293] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5767), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156309] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4917), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156325] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4918), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156341] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5063), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [156353] = 5,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    ACTIONS(8357), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6048), 2,
      sym__module_export_name,
      sym_string,
  [156371] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2583), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2587), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156419] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4919), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156435] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4920), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156451] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5839), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156467] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5808), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156483] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4261), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156503] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6077), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156523] = 6,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    ACTIONS(8179), 1,
      anon_sym_SEMI,
    ACTIONS(8181), 1,
      sym__automatic_semicolon,
    ACTIONS(8183), 1,
      sym__function_signature_automatic_semicolon,
    STATE(748), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156543] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5684), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8363), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156559] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5654), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156575] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5833), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156591] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4958), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156607] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5568), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156623] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4972), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156639] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4973), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156655] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4978), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156671] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5820), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156687] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [156705] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5660), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156721] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5360), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156737] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6122), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156781] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156793] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4983), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156809] = 6,
    ACTIONS(8367), 1,
      sym_identifier,
    ACTIONS(8369), 1,
      anon_sym_GT,
    ACTIONS(8371), 1,
      sym_jsx_identifier,
    STATE(5873), 1,
      sym_nested_identifier,
    STATE(6509), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156829] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5363), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156845] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4985), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156861] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5664), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156877] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5223), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156893] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156909] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5251), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156925] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5259), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8373), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156941] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156953] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2503), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156965] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2515), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156977] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [156989] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4988), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157005] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(4990), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157021] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5037), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157049] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5581), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157065] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4745), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157097] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5670), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157113] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7754), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157125] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5264), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8361), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157141] = 3,
    ACTIONS(7845), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8375), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157155] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4405), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157175] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157187] = 3,
    ACTIONS(4904), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4906), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157201] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8377), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157213] = 3,
    ACTIONS(4908), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4910), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8379), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157239] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5038), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157255] = 3,
    ACTIONS(4904), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4906), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157269] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157281] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157293] = 3,
    ACTIONS(4912), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4914), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157307] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8381), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157331] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5867), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157351] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2511), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157363] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8075), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157375] = 3,
    ACTIONS(4918), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4920), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8383), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2511), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157425] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2523), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157437] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1847), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1857), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8385), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157497] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157509] = 3,
    ACTIONS(4904), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4906), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157523] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5672), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157539] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8341), 1,
      anon_sym_abstract,
    ACTIONS(8389), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157559] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5721), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157579] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(5917), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157611] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5769), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157627] = 3,
    ACTIONS(4647), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4649), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157641] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5730), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157657] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5731), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157673] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5732), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157689] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5744), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157705] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5853), 1,
      sym__call_signature,
    STATE(5879), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2815), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157737] = 3,
    ACTIONS(4651), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4653), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [157751] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8391), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157767] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5746), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157783] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5687), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157799] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6118), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157819] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(3966), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157839] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8394), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6069), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157855] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8397), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157871] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6136), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157891] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5085), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8400), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157907] = 4,
    ACTIONS(8035), 1,
      anon_sym_COLON,
    ACTIONS(8402), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5901), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [157923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8405), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157935] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157947] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5103), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8409), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157963] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157987] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [157999] = 3,
    ACTIONS(8411), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8413), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [158013] = 5,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [158031] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5688), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158047] = 5,
    ACTIONS(7736), 1,
      anon_sym_LT,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    STATE(5248), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8419), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [158065] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5314), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158081] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2863), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158093] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2867), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2871), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158117] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2879), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2883), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158153] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5701), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158169] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4070), 1,
      sym_formal_parameters,
    STATE(5879), 1,
      sym_type_parameters,
    STATE(6163), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158189] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5366), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158205] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5586), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158245] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158261] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2487), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158273] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1740), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158297] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158309] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2555), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158321] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158337] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5706), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158353] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3385), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym__call_signature,
    STATE(5938), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158373] = 5,
    ACTIONS(8101), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8206), 1,
      sym__template_chars,
    ACTIONS(8421), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4451), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [158391] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5707), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158407] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5521), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8423), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158423] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5524), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158439] = 3,
    ACTIONS(4690), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4692), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [158453] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5245), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158469] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158485] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5132), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158501] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5133), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158517] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5141), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158533] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5144), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158549] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5149), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158565] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5150), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158581] = 3,
    ACTIONS(4694), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4696), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [158595] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5709), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158611] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8427), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158623] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2659), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158635] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158659] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2675), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158671] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2679), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158695] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5609), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158715] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2695), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158727] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5754), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2715), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158767] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5713), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1764), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158795] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5431), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8117), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158811] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5164), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158827] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5667), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158843] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5169), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158859] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7658), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [158871] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5172), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158887] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5685), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158903] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5691), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158919] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5705), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158935] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5173), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158951] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5177), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8129), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158967] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158983] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5034), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158999] = 6,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4262), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159019] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5210), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159035] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5758), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8143), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159051] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159067] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5353), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159083] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5443), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8147), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159099] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5221), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2795), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159127] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2799), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159139] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5178), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8139), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2811), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [159167] = 4,
    ACTIONS(6603), 1,
      anon_sym_EQ,
    STATE(5577), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8123), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159200] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8433), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8435), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159234] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5900), 1,
      sym_type_parameters,
    STATE(6326), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159251] = 5,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8439), 1,
      anon_sym_GT,
    STATE(5850), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159268] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8441), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159285] = 4,
    ACTIONS(8443), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8001), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [159300] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8446), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159317] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8448), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8450), 1,
      anon_sym_DQUOTE,
    STATE(4779), 1,
      aux_sym_string_repeat1,
    ACTIONS(8452), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159351] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8454), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8450), 1,
      anon_sym_SQUOTE,
    STATE(4780), 1,
      aux_sym_string_repeat2,
    ACTIONS(8456), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159385] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8458), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8460), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159436] = 5,
    ACTIONS(8464), 1,
      sym_identifier,
    STATE(3974), 1,
      sym_nested_type_identifier,
    STATE(4886), 1,
      sym_generic_type,
    STATE(6452), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159453] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8466), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159470] = 4,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    STATE(6141), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [159485] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8470), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159502] = 4,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    STATE(4828), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8472), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [159517] = 5,
    ACTIONS(8476), 1,
      anon_sym_with,
    ACTIONS(8478), 1,
      anon_sym_SEMI,
    ACTIONS(8480), 1,
      sym__automatic_semicolon,
    STATE(6110), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159534] = 5,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(8482), 1,
      anon_sym_LT,
    STATE(1941), 1,
      sym_arguments,
    STATE(1942), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159551] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8484), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159568] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(6056), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8490), 1,
      sym_html_character_reference,
    ACTIONS(8492), 1,
      anon_sym_DQUOTE,
    ACTIONS(8494), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4819), 1,
      aux_sym__jsx_string_repeat1,
  [159602] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6059), 1,
      sym_type_parameters,
    STATE(6393), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8496), 1,
      sym_html_character_reference,
    ACTIONS(8499), 1,
      anon_sym_DQUOTE,
    ACTIONS(8501), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4792), 1,
      aux_sym__jsx_string_repeat1,
  [159638] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8504), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8506), 1,
      sym_html_character_reference,
    ACTIONS(8508), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4820), 1,
      aux_sym__jsx_string_repeat2,
  [159674] = 5,
    ACTIONS(6450), 1,
      anon_sym_LT,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159691] = 5,
    ACTIONS(8476), 1,
      anon_sym_with,
    ACTIONS(8510), 1,
      anon_sym_SEMI,
    ACTIONS(8512), 1,
      sym__automatic_semicolon,
    STATE(6053), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8514), 1,
      sym_html_character_reference,
    ACTIONS(8517), 1,
      anon_sym_SQUOTE,
    ACTIONS(8519), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4797), 1,
      aux_sym__jsx_string_repeat2,
  [159727] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5913), 1,
      sym_type_parameters,
    STATE(6297), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159744] = 4,
    ACTIONS(8522), 1,
      anon_sym_COMMA,
    STATE(4799), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159759] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8527), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [159770] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159787] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6065), 1,
      sym_type_parameters,
    STATE(6449), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159804] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6128), 1,
      sym_type_parameters,
    STATE(6283), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8531), 1,
      anon_sym_DQUOTE,
    STATE(4841), 1,
      aux_sym_string_repeat1,
    ACTIONS(8533), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8531), 1,
      anon_sym_SQUOTE,
    STATE(4766), 1,
      aux_sym_string_repeat2,
    ACTIONS(8535), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8537), 1,
      anon_sym_DQUOTE,
    STATE(4810), 1,
      aux_sym_string_repeat1,
    ACTIONS(8539), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159872] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8541), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8537), 1,
      anon_sym_SQUOTE,
    STATE(4812), 1,
      aux_sym_string_repeat2,
    ACTIONS(8543), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8545), 1,
      anon_sym_DQUOTE,
    STATE(4817), 1,
      aux_sym_string_repeat1,
    ACTIONS(8547), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8549), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159940] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8551), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8549), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [159974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8553), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8555), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [159991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8545), 1,
      anon_sym_SQUOTE,
    STATE(4818), 1,
      aux_sym_string_repeat2,
    ACTIONS(8558), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160008] = 5,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(4689), 1,
      sym_nested_type_identifier,
    STATE(5704), 1,
      sym_generic_type,
    STATE(6452), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8562), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8564), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8567), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8567), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8569), 1,
      sym_html_character_reference,
    ACTIONS(8571), 1,
      anon_sym_DQUOTE,
    ACTIONS(8573), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4792), 1,
      aux_sym__jsx_string_repeat1,
  [160095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8571), 1,
      anon_sym_SQUOTE,
    ACTIONS(8575), 1,
      sym_html_character_reference,
    ACTIONS(8577), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4797), 1,
      aux_sym__jsx_string_repeat2,
  [160114] = 4,
    ACTIONS(8476), 1,
      anon_sym_with,
    STATE(6057), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160129] = 5,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(8581), 1,
      anon_sym_LBRACE,
    ACTIONS(8583), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4824), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160146] = 5,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    ACTIONS(8587), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4824), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160163] = 5,
    ACTIONS(8589), 1,
      anon_sym_LBRACE,
    ACTIONS(8591), 1,
      anon_sym_COMMA,
    ACTIONS(8594), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4824), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160180] = 4,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    STATE(6135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8596), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160195] = 5,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    ACTIONS(8587), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4824), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160212] = 4,
    ACTIONS(8476), 1,
      anon_sym_with,
    STATE(6070), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160227] = 4,
    ACTIONS(8602), 1,
      anon_sym_COMMA,
    STATE(4828), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8600), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [160242] = 3,
    ACTIONS(6119), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [160255] = 4,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1617), 2,
      sym_template_string,
      sym_arguments,
  [160270] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4879), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160285] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5948), 1,
      sym_type_parameters,
    STATE(6371), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160302] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5950), 1,
      sym_type_parameters,
    STATE(6445), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160319] = 3,
    ACTIONS(8609), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [160332] = 4,
    ACTIONS(6483), 1,
      anon_sym_STAR,
    ACTIONS(6487), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(6499), 2,
      sym_namespace_import,
      sym_named_imports,
  [160347] = 5,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8611), 1,
      anon_sym_GT,
    STATE(5850), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160364] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6021), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160375] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(5927), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8613), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160390] = 4,
    ACTIONS(8615), 1,
      anon_sym_EQ,
    STATE(5894), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
  [160405] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3596), 1,
      sym_formal_parameters,
    STATE(6017), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8429), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160439] = 5,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(8617), 1,
      anon_sym_LT,
    STATE(1598), 1,
      sym_arguments,
    STATE(1599), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160456] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160473] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8621), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160490] = 5,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_EQ,
    ACTIONS(8625), 1,
      anon_sym_RBRACK,
    STATE(5703), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8435), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160524] = 3,
    ACTIONS(8627), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8629), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [160537] = 4,
    ACTIONS(8474), 1,
      anon_sym_COMMA,
    STATE(4785), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8632), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [160552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8634), 1,
      anon_sym_DQUOTE,
    STATE(4846), 1,
      aux_sym_string_repeat1,
    ACTIONS(8636), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8634), 1,
      anon_sym_SQUOTE,
    STATE(4768), 1,
      aux_sym_string_repeat2,
    ACTIONS(8638), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160586] = 4,
    ACTIONS(4587), 1,
      anon_sym_COMMA,
    STATE(4885), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160601] = 4,
    ACTIONS(8476), 1,
      anon_sym_with,
    STATE(5985), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160616] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6058), 1,
      sym_type_parameters,
    STATE(6287), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160633] = 5,
    ACTIONS(1692), 1,
      anon_sym_while,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    STATE(850), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160650] = 5,
    ACTIONS(1692), 1,
      anon_sym_while,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    STATE(850), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160667] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8642), 1,
      anon_sym_class,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160684] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5955), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8644), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160699] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8646), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160716] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(5920), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160731] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(6170), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160746] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8648), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160763] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8650), 1,
      anon_sym_export,
    STATE(1216), 1,
      sym_decorator,
    STATE(3929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160780] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(6085), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8652), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160795] = 4,
    ACTIONS(7644), 1,
      anon_sym_EQ,
    STATE(6073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160810] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8658), 1,
      anon_sym_DQUOTE,
    STATE(4876), 1,
      aux_sym_string_repeat1,
    ACTIONS(8660), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [160844] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8662), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160861] = 5,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      anon_sym_GT,
    STATE(5850), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160878] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5978), 1,
      sym_type_parameters,
    STATE(6229), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160895] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5979), 1,
      sym_type_parameters,
    STATE(6273), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160912] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4799), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8666), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8658), 1,
      anon_sym_SQUOTE,
    STATE(4877), 1,
      aux_sym_string_repeat2,
    ACTIONS(8668), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [160944] = 5,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_EQ,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5523), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160961] = 4,
    ACTIONS(3795), 1,
      anon_sym_COLON,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160976] = 4,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2253), 2,
      sym_template_string,
      sym_arguments,
  [160991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8674), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [161008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8674), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161025] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4887), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161040] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4799), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161055] = 5,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(6450), 1,
      anon_sym_LT,
    STATE(2883), 1,
      sym_arguments,
    STATE(2971), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161072] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8680), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161089] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4889), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8682), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161104] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8684), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8686), 1,
      anon_sym_DQUOTE,
    STATE(4908), 1,
      aux_sym_string_repeat1,
    ACTIONS(8688), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [161138] = 4,
    ACTIONS(8690), 1,
      anon_sym_COMMA,
    STATE(4885), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161153] = 5,
    ACTIONS(7732), 1,
      anon_sym_COMMA,
    ACTIONS(7837), 1,
      anon_sym_LBRACE,
    ACTIONS(7839), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4826), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161170] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4799), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161185] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8695), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161202] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4799), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161217] = 3,
    ACTIONS(8295), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4202), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [161230] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8699), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161247] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8701), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161264] = 4,
    ACTIONS(8476), 1,
      anon_sym_with,
    STATE(6074), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8703), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161279] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8705), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161296] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8707), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161313] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6103), 1,
      sym_type_parameters,
    STATE(6523), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161330] = 4,
    ACTIONS(8709), 1,
      anon_sym_COMMA,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4987), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [161345] = 5,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(6525), 1,
      anon_sym_LT,
    STATE(3257), 1,
      sym_arguments,
    STATE(3510), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161362] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6173), 1,
      sym_type_parameters,
    STATE(6293), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161379] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6177), 1,
      sym_type_parameters,
    STATE(6310), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161396] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8712), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161413] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8714), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161430] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161447] = 5,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(6503), 1,
      anon_sym_LT,
    STATE(3073), 1,
      sym_arguments,
    STATE(3222), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161464] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8718), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161481] = 4,
    ACTIONS(8605), 1,
      anon_sym_COMMA,
    STATE(4871), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8686), 1,
      anon_sym_SQUOTE,
    STATE(4909), 1,
      aux_sym_string_repeat2,
    ACTIONS(8722), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8724), 1,
      anon_sym_DQUOTE,
    STATE(4813), 1,
      aux_sym_string_repeat1,
    ACTIONS(8462), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [161530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8724), 1,
      anon_sym_SQUOTE,
    STATE(4816), 1,
      aux_sym_string_repeat2,
    ACTIONS(8431), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [161547] = 5,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161564] = 5,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(8728), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161581] = 5,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(5898), 1,
      sym_type_parameters,
    STATE(6519), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161598] = 5,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8730), 1,
      anon_sym_GT,
    STATE(5850), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161615] = 4,
    ACTIONS(8732), 1,
      anon_sym_COMMA,
    ACTIONS(8735), 1,
      anon_sym_RBRACK,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161629] = 3,
    ACTIONS(7586), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161641] = 3,
    ACTIONS(8739), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161653] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161673] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161693] = 4,
    ACTIONS(8747), 1,
      anon_sym_COMMA,
    ACTIONS(8749), 1,
      anon_sym_RBRACK,
    STATE(4956), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161707] = 3,
    ACTIONS(7584), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8737), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161719] = 4,
    ACTIONS(5145), 1,
      anon_sym_extends,
    ACTIONS(8751), 1,
      anon_sym_AMP,
    ACTIONS(8753), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161753] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161773] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161803] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161863] = 4,
    ACTIONS(1034), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
    STATE(4694), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161877] = 4,
    ACTIONS(8769), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      anon_sym_RBRACE,
    STATE(4965), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161891] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8773), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161905] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161915] = 4,
    ACTIONS(3137), 1,
      anon_sym_GT,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161929] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161949] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161969] = 4,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(8779), 1,
      sym_identifier,
    STATE(4859), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161983] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161993] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162003] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162023] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162033] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162043] = 4,
    ACTIONS(8781), 1,
      anon_sym_COMMA,
    ACTIONS(8783), 1,
      anon_sym_RBRACK,
    STATE(5313), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162077] = 4,
    ACTIONS(2901), 1,
      anon_sym_RBRACK,
    ACTIONS(8785), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162091] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162111] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162121] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162131] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162151] = 4,
    ACTIONS(8787), 1,
      anon_sym_COMMA,
    ACTIONS(8789), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162175] = 4,
    ACTIONS(8791), 1,
      anon_sym_COMMA,
    ACTIONS(8793), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162209] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162219] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162229] = 4,
    ACTIONS(6790), 1,
      anon_sym_AMP,
    ACTIONS(6792), 1,
      anon_sym_PIPE,
    ACTIONS(6794), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162273] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162303] = 4,
    ACTIONS(6617), 1,
      anon_sym_type,
    ACTIONS(8795), 1,
      sym_identifier,
    STATE(5881), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162317] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162347] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162357] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162377] = 4,
    ACTIONS(6617), 1,
      anon_sym_type,
    ACTIONS(8797), 1,
      sym_identifier,
    STATE(5882), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162441] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162541] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162561] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162571] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162581] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162591] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162601] = 4,
    ACTIONS(8799), 1,
      anon_sym_COMMA,
    ACTIONS(8802), 1,
      anon_sym_RBRACE,
    STATE(5006), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6619), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [162625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162635] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162655] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162665] = 4,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1554), 1,
      anon_sym_SQUOTE,
    STATE(6205), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162689] = 3,
    ACTIONS(8804), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8806), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [162701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162721] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162731] = 4,
    ACTIONS(7945), 1,
      anon_sym_COMMA,
    ACTIONS(8808), 1,
      anon_sym_LBRACE,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162745] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162765] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162775] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162785] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162795] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8810), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162805] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162815] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162825] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162835] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162845] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [162865] = 4,
    ACTIONS(8812), 1,
      sym_identifier,
    STATE(2589), 1,
      sym_decorator_member_expression,
    STATE(2739), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162879] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162889] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162919] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162929] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162949] = 3,
    ACTIONS(8816), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162961] = 4,
    ACTIONS(8818), 1,
      anon_sym_COMMA,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    STATE(5720), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162975] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(8822), 1,
      anon_sym_RBRACE,
    STATE(5055), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162989] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(8822), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163003] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7679), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [163013] = 4,
    ACTIONS(8824), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    STATE(5056), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163027] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163047] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163097] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163107] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163117] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(8828), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163131] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(8830), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163145] = 4,
    ACTIONS(1638), 1,
      anon_sym_RPAREN,
    ACTIONS(8832), 1,
      anon_sym_COMMA,
    STATE(5099), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163209] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163219] = 4,
    ACTIONS(3390), 1,
      anon_sym_LPAREN,
    ACTIONS(8834), 1,
      anon_sym_DOT,
    STATE(3147), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163273] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5125), 1,
      anon_sym_RPAREN,
    STATE(5087), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163287] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5125), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163301] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163311] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163321] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163341] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163351] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163361] = 4,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(8836), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163375] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163385] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163415] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163425] = 4,
    ACTIONS(8838), 1,
      anon_sym_COMMA,
    ACTIONS(8840), 1,
      anon_sym_RBRACK,
    STATE(5100), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163439] = 4,
    ACTIONS(6899), 1,
      anon_sym_AMP,
    ACTIONS(6903), 1,
      anon_sym_extends,
    ACTIONS(8177), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163453] = 4,
    ACTIONS(8842), 1,
      sym_identifier,
    ACTIONS(8844), 1,
      anon_sym_require,
    STATE(5737), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163467] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8846), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163477] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163487] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163511] = 4,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(8850), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163535] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8852), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163575] = 4,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      anon_sym_LBRACK,
    ACTIONS(8858), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163589] = 4,
    ACTIONS(8860), 1,
      sym_identifier,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(8864), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163603] = 4,
    ACTIONS(8866), 1,
      sym_identifier,
    ACTIONS(8868), 1,
      anon_sym_LBRACK,
    ACTIONS(8870), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163617] = 4,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8874), 1,
      anon_sym_LBRACK,
    ACTIONS(8876), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163631] = 4,
    ACTIONS(8878), 1,
      anon_sym_COMMA,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    STATE(5099), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163645] = 4,
    ACTIONS(2909), 1,
      anon_sym_RBRACK,
    ACTIONS(8883), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163659] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163669] = 4,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(8885), 1,
      anon_sym_RPAREN,
    STATE(6341), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8887), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8889), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163703] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163753] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163773] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8891), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163803] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163873] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163883] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163893] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163903] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163913] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163933] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163943] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163953] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163963] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163973] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163983] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [163993] = 4,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    ACTIONS(8909), 1,
      anon_sym_DOT,
    STATE(1579), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164007] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164027] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164047] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164077] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    STATE(5158), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164091] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164125] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164135] = 4,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(8911), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164189] = 4,
    ACTIONS(8913), 1,
      anon_sym_COMMA,
    ACTIONS(8915), 1,
      anon_sym_RBRACK,
    STATE(5165), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164203] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164213] = 4,
    ACTIONS(4129), 1,
      anon_sym_extends,
    ACTIONS(8917), 1,
      anon_sym_AMP,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164237] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164257] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8921), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164271] = 4,
    ACTIONS(3169), 1,
      anon_sym_GT,
    ACTIONS(8923), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164335] = 4,
    ACTIONS(2891), 1,
      anon_sym_RBRACK,
    ACTIONS(8925), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164349] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164359] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8897), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164369] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8927), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164399] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8905), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164429] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164439] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8929), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8903), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164459] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164469] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164479] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8931), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164509] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164529] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164549] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8931), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164559] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8937), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164579] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164589] = 4,
    ACTIONS(6519), 1,
      anon_sym_LPAREN,
    ACTIONS(8939), 1,
      anon_sym_DOT,
    STATE(3289), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164613] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    STATE(5206), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164627] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4983), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164641] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164651] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164661] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164671] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164681] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164691] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164711] = 4,
    ACTIONS(8941), 1,
      anon_sym_COMMA,
    ACTIONS(8944), 1,
      anon_sym_GT,
    STATE(5201), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164725] = 4,
    ACTIONS(8946), 1,
      anon_sym_COMMA,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164739] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8950), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164749] = 4,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7147), 1,
      anon_sym_PIPE,
    ACTIONS(7149), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8952), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164773] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8952), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164797] = 4,
    ACTIONS(3155), 1,
      anon_sym_GT,
    ACTIONS(8956), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164811] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8952), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164821] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164831] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8952), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164841] = 4,
    ACTIONS(8958), 1,
      sym_identifier,
    ACTIONS(8960), 1,
      anon_sym_LBRACK,
    ACTIONS(8962), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164855] = 4,
    ACTIONS(8964), 1,
      sym_identifier,
    ACTIONS(8966), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164869] = 4,
    ACTIONS(8970), 1,
      sym_identifier,
    ACTIONS(8972), 1,
      anon_sym_LBRACK,
    ACTIONS(8974), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164883] = 4,
    ACTIONS(8976), 1,
      sym_identifier,
    ACTIONS(8978), 1,
      anon_sym_LBRACK,
    ACTIONS(8980), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164897] = 4,
    ACTIONS(2905), 1,
      anon_sym_RBRACK,
    ACTIONS(8982), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164921] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164931] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164941] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [164991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165001] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8525), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165021] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165041] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(5237), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165055] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165109] = 3,
    ACTIONS(4424), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4426), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [165121] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165135] = 4,
    ACTIONS(3145), 1,
      anon_sym_GT,
    ACTIONS(8988), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8990), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165209] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165219] = 4,
    ACTIONS(8992), 1,
      anon_sym_LPAREN,
    ACTIONS(8994), 1,
      anon_sym_await,
    STATE(40), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165243] = 3,
    ACTIONS(4460), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4462), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [165255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165275] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165285] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(5258), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165299] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165313] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165333] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165343] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165353] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165377] = 4,
    ACTIONS(3153), 1,
      anon_sym_GT,
    ACTIONS(9000), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9002), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [165411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165441] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165521] = 4,
    ACTIONS(9004), 1,
      anon_sym_LPAREN,
    ACTIONS(9006), 1,
      anon_sym_await,
    STATE(43), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165535] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165635] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    ACTIONS(9008), 1,
      anon_sym_as,
    STATE(6040), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165649] = 4,
    ACTIONS(2229), 1,
      anon_sym_LBRACE,
    ACTIONS(9010), 1,
      sym_identifier,
    STATE(4860), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165673] = 4,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1544), 1,
      anon_sym_LBRACE,
    STATE(867), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165697] = 4,
    ACTIONS(9012), 1,
      sym_identifier,
    ACTIONS(9014), 1,
      anon_sym_LBRACK,
    ACTIONS(9016), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165721] = 4,
    ACTIONS(9018), 1,
      sym_identifier,
    ACTIONS(9020), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165735] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165745] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165755] = 4,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    STATE(5644), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165779] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165799] = 4,
    ACTIONS(9024), 1,
      sym_identifier,
    ACTIONS(9026), 1,
      anon_sym_LBRACK,
    ACTIONS(9028), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165833] = 4,
    ACTIONS(9030), 1,
      sym_identifier,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165877] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165897] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165907] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165917] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165927] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165937] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165947] = 4,
    ACTIONS(2897), 1,
      anon_sym_RBRACK,
    ACTIONS(9036), 1,
      anon_sym_COMMA,
    STATE(4914), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [165981] = 4,
    ACTIONS(8664), 1,
      anon_sym_GT,
    ACTIONS(9038), 1,
      anon_sym_COMMA,
    STATE(5201), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165995] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166005] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166015] = 4,
    ACTIONS(9040), 1,
      anon_sym_COMMA,
    ACTIONS(9042), 1,
      anon_sym_RBRACE,
    STATE(5407), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166029] = 4,
    ACTIONS(2447), 1,
      anon_sym_while,
    ACTIONS(9044), 1,
      anon_sym_else,
    STATE(791), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166043] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(9046), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166057] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166067] = 4,
    ACTIONS(6031), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_DOT,
    STATE(2903), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166081] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166091] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166111] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166121] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166131] = 4,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
    ACTIONS(1586), 1,
      anon_sym_SQUOTE,
    STATE(5507), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166145] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166175] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166185] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166195] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166205] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166215] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166225] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166235] = 4,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(9050), 1,
      anon_sym_EQ,
    STATE(6450), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166249] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166269] = 4,
    ACTIONS(9052), 1,
      anon_sym_COMMA,
    ACTIONS(9054), 1,
      anon_sym_RPAREN,
    STATE(5423), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166303] = 3,
    ACTIONS(9056), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [166315] = 4,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1544), 1,
      anon_sym_LBRACE,
    STATE(754), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166329] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166339] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166349] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166359] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166369] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166399] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166429] = 4,
    ACTIONS(9060), 1,
      anon_sym_COMMA,
    ACTIONS(9062), 1,
      anon_sym_GT,
    STATE(5316), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166443] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166453] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166483] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166493] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166513] = 4,
    ACTIONS(7875), 1,
      anon_sym_AMP,
    ACTIONS(7877), 1,
      anon_sym_PIPE,
    ACTIONS(7879), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166537] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166547] = 4,
    ACTIONS(3139), 1,
      anon_sym_GT,
    ACTIONS(9064), 1,
      anon_sym_COMMA,
    STATE(4772), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166561] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166571] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166581] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166591] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166601] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166611] = 4,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    STATE(5850), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166625] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5045), 1,
      anon_sym_RPAREN,
    STATE(5321), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166649] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166659] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166689] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166719] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5045), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166753] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RBRACE,
    STATE(5531), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166767] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166777] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166797] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166807] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166817] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166827] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166867] = 4,
    ACTIONS(9068), 1,
      anon_sym_COMMA,
    ACTIONS(9070), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166881] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166891] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166901] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166921] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166931] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166941] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9072), 1,
      anon_sym_RBRACE,
    STATE(5564), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166955] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166965] = 4,
    ACTIONS(9074), 1,
      anon_sym_COMMA,
    ACTIONS(9076), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166989] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [166999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167009] = 3,
    ACTIONS(7708), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3585), 2,
      anon_sym_in,
      anon_sym_of,
  [167021] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167041] = 3,
    ACTIONS(9078), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3585), 2,
      anon_sym_in,
      anon_sym_of,
  [167053] = 4,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(1229), 1,
      sym_decorator_call_expression,
    STATE(3552), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167077] = 3,
    ACTIONS(9082), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9084), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [167089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7626), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [167139] = 4,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    STATE(5099), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167163] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7742), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [167183] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167203] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167213] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5523), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167237] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167257] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9088), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [167267] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167277] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    STATE(5498), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167291] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167301] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167311] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167325] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8670), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167339] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9072), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167353] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9066), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167377] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9090), 1,
      sym__glimmer_template_content,
    ACTIONS(9092), 1,
      sym_glimmer_closing_tag,
    STATE(5472), 1,
      aux_sym_glimmer_template_repeat1,
  [167403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167423] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167433] = 3,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8293), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [167445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167455] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167465] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167475] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167495] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167505] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167515] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167535] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167585] = 4,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(9096), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167619] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167629] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167649] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    ACTIONS(9098), 1,
      anon_sym_LPAREN,
    STATE(741), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9100), 1,
      sym__glimmer_template_content,
    ACTIONS(9102), 1,
      sym_glimmer_closing_tag,
    STATE(5690), 1,
      aux_sym_glimmer_template_repeat1,
  [167689] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167719] = 3,
    ACTIONS(4428), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4430), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [167731] = 4,
    ACTIONS(7556), 1,
      anon_sym_const,
    ACTIONS(8437), 1,
      sym_identifier,
    STATE(5357), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167745] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167755] = 4,
    ACTIONS(6881), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_DOT,
    STATE(2903), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167779] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167799] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167809] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4987), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [167819] = 3,
    ACTIONS(8623), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [167831] = 3,
    ACTIONS(4450), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4452), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [167843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167873] = 3,
    ACTIONS(4454), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4456), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [167885] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167895] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167905] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167915] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167925] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167935] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167945] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167955] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(9106), 1,
      anon_sym_RBRACK,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167969] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167989] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [167999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168009] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168029] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9108), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [168059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9110), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9118), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168209] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(9120), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168223] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9122), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9124), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9126), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168273] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9128), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168293] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9130), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168307] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9132), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168317] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9126), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168347] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9134), 1,
      sym__glimmer_template_content,
    ACTIONS(9136), 1,
      sym_glimmer_closing_tag,
    STATE(5623), 1,
      aux_sym_glimmer_template_repeat1,
  [168373] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168393] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168423] = 3,
    ACTIONS(9138), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [168435] = 4,
    ACTIONS(9142), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_decorator_member_expression,
    STATE(1229), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168459] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168469] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168479] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9144), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [168489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168509] = 4,
    ACTIONS(7381), 1,
      anon_sym_RBRACE,
    ACTIONS(9146), 1,
      anon_sym_COMMA,
    STATE(5671), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168523] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168533] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168543] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168553] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168563] = 3,
    ACTIONS(9148), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8806), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [168575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168635] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168645] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9152), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168659] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9154), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168689] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168719] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9110), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168739] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168749] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168759] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168779] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168799] = 4,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9158), 1,
      anon_sym_LBRACK,
    ACTIONS(9160), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168873] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168883] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACE,
    STATE(5682), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168897] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RBRACE,
    STATE(5683), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168921] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168931] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9164), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168945] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9162), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [168959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168969] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168989] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [168999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169009] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169029] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9166), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169109] = 4,
    ACTIONS(9168), 1,
      anon_sym_COMMA,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    STATE(5700), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169123] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9172), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169133] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9166), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169143] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9174), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169163] = 3,
    ACTIONS(9176), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8137), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [169175] = 4,
    ACTIONS(9178), 1,
      anon_sym_COMMA,
    ACTIONS(9181), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169199] = 4,
    ACTIONS(9183), 1,
      anon_sym_COMMA,
    ACTIONS(9186), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169213] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8625), 1,
      anon_sym_RBRACK,
    STATE(5703), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169227] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5102), 1,
      anon_sym_RBRACK,
    STATE(5702), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169241] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169251] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(5102), 1,
      anon_sym_RBRACK,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169275] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(8625), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9100), 1,
      sym__glimmer_template_content,
    ACTIONS(9188), 1,
      sym_glimmer_closing_tag,
    STATE(5690), 1,
      aux_sym_glimmer_template_repeat1,
  [169305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169335] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169345] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8933), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169365] = 3,
    ACTIONS(8623), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9190), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [169377] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169387] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169397] = 4,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(9192), 1,
      anon_sym_COMMA,
    STATE(5633), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169441] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169511] = 4,
    ACTIONS(9195), 1,
      anon_sym_COMMA,
    ACTIONS(9197), 1,
      anon_sym_GT,
    STATE(5736), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169535] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9154), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169605] = 4,
    ACTIONS(9199), 1,
      sym_identifier,
    ACTIONS(9201), 1,
      anon_sym_LBRACK,
    ACTIONS(9203), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169619] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169629] = 4,
    ACTIONS(2549), 1,
      anon_sym_LT,
    ACTIONS(9205), 1,
      anon_sym_EQ,
    STATE(6263), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169643] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169653] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9207), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169673] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9209), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [169703] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169753] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169763] = 4,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    ACTIONS(9048), 1,
      anon_sym_DOT,
    STATE(2903), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169777] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169797] = 4,
    ACTIONS(9211), 1,
      anon_sym_COMMA,
    ACTIONS(9214), 1,
      anon_sym_RBRACE,
    STATE(5671), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169811] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169821] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169831] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9216), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169845] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8901), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169865] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9218), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169875] = 4,
    ACTIONS(7718), 1,
      anon_sym_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE,
    ACTIONS(7722), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169889] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9220), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169903] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9222), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169913] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9224), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169927] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9226), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169941] = 4,
    ACTIONS(5418), 1,
      anon_sym_COMMA,
    ACTIONS(9228), 1,
      anon_sym_RBRACE,
    STATE(5614), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [169955] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9230), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169965] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8757), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169985] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8907), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [169995] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170005] = 4,
    ACTIONS(5174), 1,
      anon_sym_COMMA,
    ACTIONS(9232), 1,
      anon_sym_RBRACE,
    STATE(5616), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9234), 1,
      sym__glimmer_template_content,
    ACTIONS(9237), 1,
      sym_glimmer_closing_tag,
    STATE(5690), 1,
      aux_sym_glimmer_template_repeat1,
  [170035] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9239), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9241), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [170065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170075] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170105] = 4,
    ACTIONS(7019), 1,
      anon_sym_implements,
    ACTIONS(9243), 1,
      anon_sym_LBRACE,
    STATE(6218), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170129] = 4,
    ACTIONS(1636), 1,
      anon_sym_RPAREN,
    ACTIONS(9245), 1,
      anon_sym_COMMA,
    STATE(5099), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170143] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170153] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(9247), 1,
      anon_sym_RBRACK,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170167] = 4,
    ACTIONS(1720), 1,
      anon_sym_COMMA,
    ACTIONS(9249), 1,
      anon_sym_RBRACK,
    STATE(5633), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170181] = 3,
    ACTIONS(8417), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8419), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [170193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170203] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170213] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170223] = 4,
    ACTIONS(9251), 1,
      anon_sym_COMMA,
    ACTIONS(9254), 1,
      anon_sym_RBRACE,
    STATE(5708), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170237] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170247] = 3,
    ACTIONS(9256), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [170259] = 4,
    ACTIONS(6617), 1,
      anon_sym_type,
    ACTIONS(9258), 1,
      sym_identifier,
    STATE(6169), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170273] = 3,
    ACTIONS(9260), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8319), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [170285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9222), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6021), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170335] = 4,
    ACTIONS(6617), 1,
      anon_sym_type,
    ACTIONS(9262), 1,
      sym_identifier,
    STATE(5869), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170349] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170359] = 4,
    ACTIONS(6947), 1,
      anon_sym_RBRACE,
    ACTIONS(9264), 1,
      anon_sym_COMMA,
    STATE(5006), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170373] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9266), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170393] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9268), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [170403] = 4,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    ACTIONS(9270), 1,
      anon_sym_DOT,
    STATE(1935), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170417] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170427] = 3,
    ACTIONS(7584), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [170439] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170459] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170469] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170479] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9274), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170509] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9276), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170529] = 4,
    ACTIONS(8730), 1,
      anon_sym_GT,
    ACTIONS(9278), 1,
      anon_sym_COMMA,
    STATE(5201), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170543] = 3,
    ACTIONS(7586), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [170555] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9280), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9282), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170585] = 4,
    ACTIONS(8486), 1,
      anon_sym_from,
    ACTIONS(9008), 1,
      anon_sym_as,
    STATE(6066), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170619] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170629] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9286), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170649] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170659] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170689] = 4,
    ACTIONS(1034), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1576), 1,
      anon_sym_LBRACE,
    STATE(4614), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170703] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170753] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170773] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170803] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    STATE(4939), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170817] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170827] = 4,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    STATE(4897), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170841] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9288), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170851] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170861] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170871] = 4,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_await,
    STATE(62), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170885] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170895] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170905] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170915] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170925] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9280), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170935] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170945] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170955] = 4,
    ACTIONS(2447), 1,
      anon_sym_while,
    ACTIONS(9294), 1,
      anon_sym_else,
    STATE(791), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [170969] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170989] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [170999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7760), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [171009] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171019] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171029] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9298), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9296), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171139] = 3,
    ACTIONS(9300), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [171151] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171161] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9303), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [171171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171191] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171201] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171211] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171231] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171241] = 4,
    ACTIONS(6475), 1,
      anon_sym_DOT,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171275] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8755), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171335] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171345] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8743), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171365] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171375] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171385] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171415] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171425] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171435] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171455] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171465] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171475] = 4,
    ACTIONS(9307), 1,
      anon_sym_COMMA,
    ACTIONS(9309), 1,
      anon_sym_RBRACE,
    STATE(5551), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171509] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8935), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171529] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8759), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171549] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171559] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171579] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8761), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171589] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8810), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [171609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9311), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [171618] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1631), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171629] = 3,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(220), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171640] = 3,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171651] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9313), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171671] = 3,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6045), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171691] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171702] = 3,
    ACTIONS(9315), 1,
      anon_sym_LPAREN,
    STATE(740), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171713] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8944), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [171722] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171731] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6088), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171742] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6105), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171753] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [171771] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9317), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [171780] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(2504), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171791] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(6185), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171802] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4240), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171813] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171824] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [171833] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2592), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171844] = 3,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171855] = 3,
    ACTIONS(9327), 1,
      sym_identifier,
    ACTIONS(9329), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171866] = 3,
    ACTIONS(9331), 1,
      sym_identifier,
    ACTIONS(9333), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171877] = 3,
    ACTIONS(4536), 1,
      anon_sym_LPAREN,
    STATE(2244), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171888] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2307), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171899] = 3,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(9096), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171910] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [171919] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6090), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171930] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171941] = 3,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(8836), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171952] = 3,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(9337), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171963] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171974] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2355), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171985] = 3,
    ACTIONS(9339), 1,
      sym_identifier,
    ACTIONS(9341), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [171996] = 3,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(9343), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172007] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172018] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4110), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172029] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172040] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9347), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172058] = 3,
    ACTIONS(8958), 1,
      sym_identifier,
    ACTIONS(8962), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4764), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172078] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2601), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172089] = 3,
    ACTIONS(9349), 1,
      sym_identifier,
    ACTIONS(9351), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6049), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172109] = 3,
    ACTIONS(9353), 1,
      sym_identifier,
    ACTIONS(9355), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172120] = 3,
    ACTIONS(9357), 1,
      sym_identifier,
    ACTIONS(9359), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172131] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172142] = 3,
    ACTIONS(9361), 1,
      sym_identifier,
    ACTIONS(9363), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172153] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6568), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172164] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [172173] = 3,
    ACTIONS(8237), 1,
      anon_sym_in,
    ACTIONS(8239), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7799), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [172193] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(2509), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7801), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [172213] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6320), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172224] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(743), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172235] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6410), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172246] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [172255] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172266] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2132), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172277] = 3,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(864), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172288] = 3,
    ACTIONS(9365), 1,
      anon_sym_in,
    ACTIONS(9367), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172299] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2600), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172310] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172321] = 3,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [172341] = 3,
    ACTIONS(9373), 1,
      sym_identifier,
    ACTIONS(9375), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172352] = 3,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172363] = 3,
    ACTIONS(9381), 1,
      sym_identifier,
    ACTIONS(9383), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172374] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6233), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172385] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2603), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172396] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2581), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172407] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2171), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172418] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2308), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172429] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1636), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172440] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6204), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172451] = 3,
    ACTIONS(9385), 1,
      anon_sym_SEMI,
    ACTIONS(9387), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [172471] = 3,
    ACTIONS(9389), 1,
      sym_identifier,
    ACTIONS(9391), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [172491] = 3,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172502] = 3,
    ACTIONS(9399), 1,
      anon_sym_SEMI,
    ACTIONS(9401), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172513] = 3,
    ACTIONS(9403), 1,
      sym_identifier,
    ACTIONS(9405), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172524] = 3,
    ACTIONS(9407), 1,
      anon_sym_SEMI,
    ACTIONS(9409), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172535] = 3,
    ACTIONS(9411), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172546] = 3,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172557] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172568] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172579] = 3,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172590] = 3,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172601] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2309), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172612] = 3,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8858), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172623] = 3,
    ACTIONS(9427), 1,
      sym_identifier,
    ACTIONS(9429), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172634] = 3,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9433), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172645] = 3,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(3404), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172656] = 3,
    ACTIONS(9435), 1,
      sym_identifier,
    STATE(5737), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172667] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2598), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172678] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172689] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172700] = 3,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172711] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172722] = 3,
    ACTIONS(9441), 1,
      anon_sym_LPAREN,
    STATE(68), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172733] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172744] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2571), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172755] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6443), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172766] = 3,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9445), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172777] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6477), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172788] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172799] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172810] = 3,
    ACTIONS(9447), 1,
      sym_identifier,
    ACTIONS(9449), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172821] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2198), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9451), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [172841] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2175), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172852] = 3,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9455), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172863] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2176), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172874] = 3,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(4786), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172885] = 3,
    ACTIONS(6611), 1,
      anon_sym_COLON,
    STATE(5170), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172896] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172907] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172918] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2615), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172929] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4730), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172940] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4509), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172951] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2595), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172962] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5999), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172973] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2576), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172984] = 3,
    ACTIONS(9457), 1,
      sym_identifier,
    ACTIONS(9459), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [172995] = 3,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3749), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173006] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173017] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173028] = 3,
    ACTIONS(3151), 1,
      sym_jsx_identifier,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173039] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173050] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2306), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173061] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6138), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173072] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6302), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173083] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6272), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173094] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6372), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173105] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173116] = 3,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9465), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173127] = 3,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(6055), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173138] = 3,
    ACTIONS(9467), 1,
      anon_sym_LBRACE,
    STATE(6127), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173149] = 3,
    ACTIONS(9012), 1,
      sym_identifier,
    ACTIONS(9016), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173169] = 3,
    ACTIONS(9471), 1,
      sym_identifier,
    ACTIONS(9473), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173180] = 3,
    ACTIONS(9475), 1,
      sym_identifier,
    ACTIONS(9477), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173191] = 3,
    ACTIONS(9441), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173202] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9479), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [173211] = 3,
    ACTIONS(9481), 1,
      anon_sym_COMMA,
    ACTIONS(9483), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173222] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2607), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173233] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2142), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173244] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173255] = 3,
    ACTIONS(9485), 1,
      sym_identifier,
    ACTIONS(9487), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173266] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1662), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173277] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9190), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173297] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6039), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6006), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173317] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2594), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173328] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4737), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173339] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2179), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173350] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173361] = 3,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(4796), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173372] = 3,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(231), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173383] = 3,
    ACTIONS(9489), 1,
      sym_identifier,
    ACTIONS(9491), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173394] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2259), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173405] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1641), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173416] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4692), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173436] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2295), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173447] = 3,
    ACTIONS(9493), 1,
      sym_identifier,
    ACTIONS(9495), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173458] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173469] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4740), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9186), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173489] = 3,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    STATE(6047), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173500] = 3,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3770), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173511] = 3,
    ACTIONS(9156), 1,
      sym_identifier,
    ACTIONS(9160), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9497), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [173531] = 3,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(4522), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173542] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2584), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173553] = 3,
    ACTIONS(9499), 1,
      anon_sym_LBRACE,
    STATE(4524), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173564] = 3,
    ACTIONS(9501), 1,
      sym_identifier,
    ACTIONS(9503), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173575] = 3,
    ACTIONS(9199), 1,
      sym_identifier,
    ACTIONS(9203), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173586] = 3,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173597] = 3,
    ACTIONS(9505), 1,
      sym_identifier,
    ACTIONS(9507), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173608] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173619] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9509), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [173628] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1648), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173639] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1649), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173650] = 3,
    ACTIONS(4332), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173661] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2262), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173672] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2604), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173683] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4705), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173703] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9214), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173712] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173723] = 3,
    ACTIONS(9511), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6057), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173743] = 3,
    ACTIONS(9515), 1,
      anon_sym_SEMI,
    ACTIONS(9517), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173754] = 3,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    STATE(5840), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173765] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2279), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173785] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5847), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6041), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173805] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6421), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [173825] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [173834] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [173843] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6412), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173854] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173863] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5887), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173874] = 3,
    ACTIONS(9523), 1,
      anon_sym_SEMI,
    ACTIONS(9525), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173885] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2557), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173896] = 3,
    ACTIONS(9527), 1,
      anon_sym_SEMI,
    ACTIONS(9529), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173907] = 3,
    ACTIONS(9531), 1,
      anon_sym_SEMI,
    ACTIONS(9533), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173918] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9535), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [173927] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6323), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173938] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6447), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173949] = 3,
    ACTIONS(9537), 1,
      anon_sym_LBRACE,
    STATE(781), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173960] = 3,
    ACTIONS(4013), 1,
      anon_sym_LBRACE,
    STATE(2190), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173971] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2569), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173982] = 3,
    ACTIONS(3205), 1,
      anon_sym_LPAREN,
    STATE(3284), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [173993] = 3,
    ACTIONS(3438), 1,
      anon_sym_LPAREN,
    STATE(1213), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174004] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6478), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174015] = 3,
    ACTIONS(9539), 1,
      anon_sym_SEMI,
    ACTIONS(9541), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9181), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174035] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7791), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [174055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174064] = 3,
    ACTIONS(1696), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174075] = 3,
    ACTIONS(9499), 1,
      anon_sym_LBRACE,
    STATE(4579), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174086] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9545), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [174095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174104] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4296), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9547), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174124] = 3,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(725), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174135] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2292), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174146] = 3,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(8911), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174157] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174166] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174177] = 3,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(9551), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174188] = 3,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(4915), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174199] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(726), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174210] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9555), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [174219] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174228] = 3,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174248] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6160), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5986), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174268] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6164), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174279] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174290] = 3,
    ACTIONS(9559), 1,
      sym_identifier,
    ACTIONS(9561), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174301] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174312] = 3,
    ACTIONS(9563), 1,
      sym_identifier,
    ACTIONS(9565), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174323] = 3,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9569), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174334] = 3,
    ACTIONS(7243), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174345] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174356] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174367] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6967), 2,
      anon_sym_in,
      anon_sym_of,
  [174387] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174396] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6264), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174407] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4706), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174418] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9571), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174436] = 3,
    ACTIONS(1696), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174447] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174456] = 3,
    ACTIONS(9573), 1,
      sym_identifier,
    ACTIONS(9575), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174467] = 3,
    ACTIONS(9577), 1,
      anon_sym_SEMI,
    ACTIONS(9579), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174487] = 3,
    ACTIONS(7225), 1,
      anon_sym_LBRACE,
    STATE(799), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174498] = 3,
    ACTIONS(6031), 1,
      anon_sym_LPAREN,
    STATE(2724), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174509] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4311), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174520] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174529] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2582), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174540] = 3,
    ACTIONS(9583), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174551] = 3,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(4315), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174562] = 3,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9589), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174573] = 3,
    ACTIONS(9591), 1,
      sym_identifier,
    ACTIONS(9593), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174584] = 3,
    ACTIONS(9595), 1,
      sym_identifier,
    ACTIONS(9597), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174595] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5851), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174615] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174626] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2561), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174637] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(2512), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9599), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174657] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6423), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174668] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174679] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174690] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2575), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174701] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174712] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1642), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174723] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1643), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9601), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174743] = 3,
    ACTIONS(7582), 1,
      anon_sym_LBRACE,
    STATE(4324), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174754] = 3,
    ACTIONS(9441), 1,
      anon_sym_LPAREN,
    STATE(64), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174765] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5996), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174774] = 3,
    ACTIONS(8486), 1,
      anon_sym_from,
    STATE(5925), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174785] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4378), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9603), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [174805] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2585), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174816] = 3,
    ACTIONS(9605), 1,
      sym_identifier,
    ACTIONS(9607), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174827] = 3,
    ACTIONS(3965), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174847] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(5854), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174858] = 3,
    ACTIONS(6778), 1,
      anon_sym_COLON,
    ACTIONS(9305), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174869] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2564), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174880] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6010), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174889] = 3,
    ACTIONS(6865), 1,
      anon_sym_DOT,
    ACTIONS(9609), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174900] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6000), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174920] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2587), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174931] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2556), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [174960] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(2502), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [174980] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [174991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [175000] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175011] = 3,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(1644), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175022] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6043), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175033] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [175042] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2608), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175053] = 3,
    ACTIONS(6927), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9611), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175073] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1627), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9613), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [175093] = 3,
    ACTIONS(9615), 1,
      anon_sym_SEMI,
    ACTIONS(9617), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175104] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6300), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175115] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4676), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175126] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6309), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175137] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9619), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175146] = 3,
    ACTIONS(7071), 1,
      anon_sym_LBRACE,
    STATE(4649), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175157] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(4679), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175168] = 3,
    ACTIONS(6609), 1,
      anon_sym_LPAREN,
    STATE(6316), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175179] = 3,
    ACTIONS(2429), 1,
      anon_sym_LBRACE,
    STATE(6045), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175190] = 3,
    ACTIONS(9537), 1,
      anon_sym_LBRACE,
    STATE(839), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175201] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2609), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175212] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2596), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175223] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [175232] = 3,
    ACTIONS(9621), 1,
      sym_identifier,
    ACTIONS(9623), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175243] = 3,
    ACTIONS(9319), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175254] = 3,
    ACTIONS(9625), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175265] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2562), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175276] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2611), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175287] = 3,
    ACTIONS(6971), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175298] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2580), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175309] = 3,
    ACTIONS(7813), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175320] = 2,
    ACTIONS(9627), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175328] = 2,
    ACTIONS(5344), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175336] = 2,
    ACTIONS(9629), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175344] = 2,
    ACTIONS(9631), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175352] = 2,
    ACTIONS(8153), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175360] = 2,
    ACTIONS(9633), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175368] = 2,
    ACTIONS(9635), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175376] = 2,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175384] = 2,
    ACTIONS(9637), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9639), 1,
      anon_sym_SLASH2,
  [175402] = 2,
    ACTIONS(9641), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175410] = 2,
    ACTIONS(9643), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175418] = 2,
    ACTIONS(9645), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175426] = 2,
    ACTIONS(9647), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175434] = 2,
    ACTIONS(9649), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175442] = 2,
    ACTIONS(9651), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175450] = 2,
    ACTIONS(9653), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175458] = 2,
    ACTIONS(9655), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175466] = 2,
    ACTIONS(9657), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175474] = 2,
    ACTIONS(9659), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175482] = 2,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175490] = 2,
    ACTIONS(9661), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175498] = 2,
    ACTIONS(9663), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9665), 1,
      anon_sym_SLASH2,
  [175516] = 2,
    ACTIONS(9667), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175524] = 2,
    ACTIONS(9669), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175532] = 2,
    ACTIONS(9671), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175540] = 2,
    ACTIONS(9673), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175548] = 2,
    ACTIONS(9675), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175556] = 2,
    ACTIONS(5208), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175564] = 2,
    ACTIONS(9677), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175572] = 2,
    ACTIONS(9679), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175580] = 2,
    ACTIONS(7783), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175588] = 2,
    ACTIONS(9681), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175596] = 2,
    ACTIONS(9683), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175604] = 2,
    ACTIONS(9685), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175612] = 2,
    ACTIONS(9687), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175620] = 2,
    ACTIONS(9689), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175628] = 2,
    ACTIONS(9691), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175636] = 2,
    ACTIONS(4981), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175644] = 2,
    ACTIONS(9693), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175652] = 2,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175660] = 2,
    ACTIONS(9697), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175668] = 2,
    ACTIONS(4096), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175676] = 2,
    ACTIONS(5067), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175684] = 2,
    ACTIONS(9699), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175692] = 2,
    ACTIONS(9701), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175700] = 2,
    ACTIONS(9703), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175708] = 2,
    ACTIONS(9705), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175716] = 2,
    ACTIONS(9707), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175724] = 2,
    ACTIONS(8749), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175732] = 2,
    ACTIONS(9709), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175740] = 2,
    ACTIONS(9711), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175748] = 2,
    ACTIONS(9713), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175756] = 2,
    ACTIONS(9715), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175764] = 2,
    ACTIONS(9717), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175772] = 2,
    ACTIONS(9719), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175780] = 2,
    ACTIONS(9721), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175788] = 2,
    ACTIONS(9723), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175796] = 2,
    ACTIONS(9725), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175804] = 2,
    ACTIONS(5047), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175812] = 2,
    ACTIONS(9727), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175820] = 2,
    ACTIONS(9729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175828] = 2,
    ACTIONS(9010), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175836] = 2,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175844] = 2,
    ACTIONS(9733), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175852] = 2,
    ACTIONS(9735), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175860] = 2,
    ACTIONS(9737), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175868] = 2,
    ACTIONS(9739), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175876] = 2,
    ACTIONS(9741), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175884] = 2,
    ACTIONS(9743), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175892] = 2,
    ACTIONS(9745), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175900] = 2,
    ACTIONS(9747), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175908] = 2,
    ACTIONS(9749), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175916] = 2,
    ACTIONS(9751), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175924] = 2,
    ACTIONS(9753), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175932] = 2,
    ACTIONS(9755), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175940] = 2,
    ACTIONS(9757), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175948] = 2,
    ACTIONS(9759), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175956] = 2,
    ACTIONS(9761), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175964] = 2,
    ACTIONS(7708), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175972] = 2,
    ACTIONS(9763), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175980] = 2,
    ACTIONS(9765), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175988] = 2,
    ACTIONS(9767), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [175996] = 2,
    ACTIONS(9769), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176004] = 2,
    ACTIONS(9771), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176012] = 2,
    ACTIONS(9773), 1,
      anon_sym_require,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176020] = 2,
    ACTIONS(9775), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176028] = 2,
    ACTIONS(9777), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176036] = 2,
    ACTIONS(9779), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176044] = 2,
    ACTIONS(9781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176052] = 2,
    ACTIONS(9783), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176060] = 2,
    ACTIONS(9785), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9787), 1,
      sym_regex_pattern,
  [176078] = 2,
    ACTIONS(9789), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176086] = 2,
    ACTIONS(9791), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176094] = 2,
    ACTIONS(9793), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176102] = 2,
    ACTIONS(9795), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176110] = 2,
    ACTIONS(9797), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176118] = 2,
    ACTIONS(9799), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176126] = 2,
    ACTIONS(9801), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176134] = 2,
    ACTIONS(9803), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176142] = 2,
    ACTIONS(9805), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176150] = 2,
    ACTIONS(9807), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176158] = 2,
    ACTIONS(9809), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176166] = 2,
    ACTIONS(9811), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176174] = 2,
    ACTIONS(9813), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176182] = 2,
    ACTIONS(9815), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176190] = 2,
    ACTIONS(9817), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176198] = 2,
    ACTIONS(9819), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176206] = 2,
    ACTIONS(9821), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176214] = 2,
    ACTIONS(9823), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176222] = 2,
    ACTIONS(9825), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176230] = 2,
    ACTIONS(7598), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176238] = 2,
    ACTIONS(9827), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176246] = 2,
    ACTIONS(9829), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176254] = 2,
    ACTIONS(5003), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176262] = 2,
    ACTIONS(9831), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176270] = 2,
    ACTIONS(9833), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176278] = 2,
    ACTIONS(9835), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176286] = 2,
    ACTIONS(9837), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176294] = 2,
    ACTIONS(9839), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176302] = 2,
    ACTIONS(9841), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176310] = 2,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176318] = 2,
    ACTIONS(9845), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176326] = 2,
    ACTIONS(9847), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176334] = 2,
    ACTIONS(4931), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176342] = 2,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176350] = 2,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176358] = 2,
    ACTIONS(9851), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176366] = 2,
    ACTIONS(9853), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176374] = 2,
    ACTIONS(9855), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176382] = 2,
    ACTIONS(9857), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176390] = 2,
    ACTIONS(9859), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176398] = 2,
    ACTIONS(5095), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176406] = 2,
    ACTIONS(9861), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176414] = 2,
    ACTIONS(9863), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176422] = 2,
    ACTIONS(4394), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176430] = 2,
    ACTIONS(9865), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176438] = 2,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176446] = 2,
    ACTIONS(9869), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176454] = 2,
    ACTIONS(8783), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176462] = 2,
    ACTIONS(9871), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9873), 1,
      sym_regex_pattern,
  [176480] = 2,
    ACTIONS(9875), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176488] = 2,
    ACTIONS(9243), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176496] = 2,
    ACTIONS(9877), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176504] = 2,
    ACTIONS(9879), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176512] = 2,
    ACTIONS(9881), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176520] = 2,
    ACTIONS(9883), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176528] = 2,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176536] = 2,
    ACTIONS(9887), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176544] = 2,
    ACTIONS(9889), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176552] = 2,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176560] = 2,
    ACTIONS(9893), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176568] = 2,
    ACTIONS(9895), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176576] = 2,
    ACTIONS(8911), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176584] = 2,
    ACTIONS(9897), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176592] = 2,
    ACTIONS(6119), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176600] = 2,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176608] = 2,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176616] = 2,
    ACTIONS(9901), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176624] = 2,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176632] = 2,
    ACTIONS(9905), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176640] = 2,
    ACTIONS(9907), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176648] = 2,
    ACTIONS(9909), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176656] = 2,
    ACTIONS(9911), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176664] = 2,
    ACTIONS(9309), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9913), 1,
      sym_regex_pattern,
  [176682] = 2,
    ACTIONS(9915), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176690] = 2,
    ACTIONS(9917), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176698] = 2,
    ACTIONS(9919), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176706] = 2,
    ACTIONS(5071), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176714] = 2,
    ACTIONS(9921), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176722] = 2,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176730] = 2,
    ACTIONS(9925), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176738] = 2,
    ACTIONS(8915), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176746] = 2,
    ACTIONS(9927), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176754] = 2,
    ACTIONS(9929), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176762] = 2,
    ACTIONS(9931), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176770] = 2,
    ACTIONS(9933), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176778] = 2,
    ACTIONS(9935), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176786] = 2,
    ACTIONS(9937), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176794] = 2,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176802] = 2,
    ACTIONS(9483), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176810] = 2,
    ACTIONS(9941), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176818] = 2,
    ACTIONS(9943), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176826] = 2,
    ACTIONS(9945), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176834] = 2,
    ACTIONS(9947), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176842] = 2,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176850] = 2,
    ACTIONS(9951), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176858] = 2,
    ACTIONS(9953), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176866] = 2,
    ACTIONS(9955), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176874] = 2,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176882] = 2,
    ACTIONS(9959), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176890] = 2,
    ACTIONS(9961), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176898] = 2,
    ACTIONS(9963), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176906] = 2,
    ACTIONS(8609), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176914] = 2,
    ACTIONS(9965), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176922] = 2,
    ACTIONS(9967), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176930] = 2,
    ACTIONS(9969), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176938] = 2,
    ACTIONS(9971), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176946] = 2,
    ACTIONS(9973), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176954] = 2,
    ACTIONS(9975), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176962] = 2,
    ACTIONS(9977), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176970] = 2,
    ACTIONS(9979), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176978] = 2,
    ACTIONS(4959), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176986] = 2,
    ACTIONS(9981), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [176994] = 2,
    ACTIONS(9983), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177002] = 2,
    ACTIONS(9985), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177010] = 2,
    ACTIONS(4995), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177018] = 2,
    ACTIONS(9987), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177026] = 2,
    ACTIONS(9989), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177034] = 2,
    ACTIONS(9991), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177042] = 2,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177050] = 2,
    ACTIONS(9993), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177058] = 2,
    ACTIONS(9995), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177066] = 2,
    ACTIONS(9997), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177074] = 2,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177082] = 2,
    ACTIONS(10001), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177090] = 2,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177098] = 2,
    ACTIONS(10005), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177106] = 2,
    ACTIONS(10007), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177114] = 2,
    ACTIONS(10009), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177122] = 2,
    ACTIONS(10011), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177130] = 2,
    ACTIONS(10013), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177138] = 2,
    ACTIONS(5562), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177146] = 2,
    ACTIONS(6830), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177154] = 2,
    ACTIONS(10015), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177162] = 2,
    ACTIONS(10017), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177170] = 2,
    ACTIONS(10019), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177178] = 2,
    ACTIONS(10021), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177186] = 2,
    ACTIONS(10023), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177194] = 2,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177202] = 2,
    ACTIONS(10027), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177210] = 2,
    ACTIONS(10029), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177218] = 2,
    ACTIONS(10031), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177226] = 2,
    ACTIONS(10033), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177234] = 2,
    ACTIONS(4615), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177242] = 2,
    ACTIONS(10035), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177250] = 2,
    ACTIONS(7726), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10037), 1,
      sym_regex_pattern,
  [177268] = 2,
    ACTIONS(10039), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177276] = 2,
    ACTIONS(10041), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177284] = 2,
    ACTIONS(10043), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177292] = 2,
    ACTIONS(10045), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177300] = 2,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10049), 1,
      anon_sym_SLASH2,
  [177318] = 2,
    ACTIONS(10051), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177326] = 2,
    ACTIONS(5093), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177334] = 2,
    ACTIONS(10053), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177342] = 2,
    ACTIONS(10055), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177350] = 2,
    ACTIONS(10057), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10059), 1,
      sym_regex_pattern,
  [177368] = 2,
    ACTIONS(10061), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177376] = 2,
    ACTIONS(10063), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177384] = 2,
    ACTIONS(10065), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177392] = 2,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177400] = 2,
    ACTIONS(10069), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177408] = 2,
    ACTIONS(10071), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177416] = 2,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177424] = 2,
    ACTIONS(10075), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177432] = 2,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177440] = 2,
    ACTIONS(5115), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177448] = 2,
    ACTIONS(10079), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177456] = 2,
    ACTIONS(10081), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177464] = 2,
    ACTIONS(10083), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177472] = 2,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177480] = 2,
    ACTIONS(10087), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177488] = 2,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177496] = 2,
    ACTIONS(10091), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177504] = 2,
    ACTIONS(10093), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177512] = 2,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177520] = 2,
    ACTIONS(10097), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177528] = 2,
    ACTIONS(5001), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177536] = 2,
    ACTIONS(10099), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177544] = 2,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177552] = 2,
    ACTIONS(10101), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177560] = 2,
    ACTIONS(10103), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177568] = 2,
    ACTIONS(10105), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177576] = 2,
    ACTIONS(10107), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177584] = 2,
    ACTIONS(10109), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177592] = 2,
    ACTIONS(10111), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177600] = 2,
    ACTIONS(10113), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177608] = 2,
    ACTIONS(4234), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177616] = 2,
    ACTIONS(10115), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177624] = 2,
    ACTIONS(10117), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177632] = 2,
    ACTIONS(10119), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177640] = 2,
    ACTIONS(10121), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177648] = 2,
    ACTIONS(10123), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177656] = 2,
    ACTIONS(4569), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177664] = 2,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177672] = 2,
    ACTIONS(10127), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177680] = 2,
    ACTIONS(10129), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177688] = 2,
    ACTIONS(10131), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177696] = 2,
    ACTIONS(10133), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177704] = 2,
    ACTIONS(10135), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177712] = 2,
    ACTIONS(10137), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177720] = 2,
    ACTIONS(10139), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177728] = 2,
    ACTIONS(10141), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177736] = 2,
    ACTIONS(10143), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177744] = 2,
    ACTIONS(10145), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177752] = 2,
    ACTIONS(10147), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177760] = 2,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177768] = 2,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177776] = 2,
    ACTIONS(10153), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177784] = 2,
    ACTIONS(6744), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177792] = 2,
    ACTIONS(10155), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177800] = 2,
    ACTIONS(10157), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177808] = 2,
    ACTIONS(10159), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177816] = 2,
    ACTIONS(10161), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177824] = 2,
    ACTIONS(10163), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10165), 1,
      anon_sym_SLASH2,
  [177842] = 2,
    ACTIONS(10167), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177850] = 2,
    ACTIONS(10169), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177858] = 2,
    ACTIONS(5029), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177866] = 2,
    ACTIONS(10171), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177874] = 2,
    ACTIONS(10173), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177882] = 2,
    ACTIONS(9096), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177890] = 2,
    ACTIONS(10175), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177898] = 2,
    ACTIONS(10177), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177906] = 2,
    ACTIONS(10179), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177914] = 2,
    ACTIONS(10181), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177922] = 2,
    ACTIONS(8840), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177930] = 2,
    ACTIONS(10183), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177938] = 2,
    ACTIONS(10185), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177946] = 2,
    ACTIONS(10187), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177954] = 2,
    ACTIONS(9305), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177962] = 2,
    ACTIONS(10189), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177970] = 2,
    ACTIONS(6959), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177978] = 2,
    ACTIONS(10191), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177986] = 2,
    ACTIONS(10193), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [177994] = 2,
    ACTIONS(10195), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178002] = 2,
    ACTIONS(8779), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178010] = 2,
    ACTIONS(10197), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178018] = 2,
    ACTIONS(5127), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178026] = 2,
    ACTIONS(10199), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178034] = 2,
    ACTIONS(10201), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178042] = 2,
    ACTIONS(10203), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178050] = 2,
    ACTIONS(10205), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178058] = 2,
    ACTIONS(10207), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178066] = 2,
    ACTIONS(10209), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178074] = 2,
    ACTIONS(10211), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178082] = 2,
    ACTIONS(10213), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178090] = 2,
    ACTIONS(10215), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178098] = 2,
    ACTIONS(10217), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178106] = 2,
    ACTIONS(10219), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178114] = 2,
    ACTIONS(10221), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178122] = 2,
    ACTIONS(7939), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178130] = 2,
    ACTIONS(10223), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178138] = 2,
    ACTIONS(10225), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178146] = 2,
    ACTIONS(10227), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178154] = 2,
    ACTIONS(4027), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178162] = 2,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178170] = 2,
    ACTIONS(10231), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178178] = 2,
    ACTIONS(10233), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178186] = 2,
    ACTIONS(10235), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178194] = 2,
    ACTIONS(10237), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178202] = 2,
    ACTIONS(10239), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178210] = 2,
    ACTIONS(10241), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178218] = 2,
    ACTIONS(10243), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178226] = 2,
    ACTIONS(10245), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178234] = 2,
    ACTIONS(10247), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178242] = 2,
    ACTIONS(8836), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178250] = 2,
    ACTIONS(10249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178258] = 2,
    ACTIONS(5770), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178266] = 2,
    ACTIONS(10251), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178274] = 2,
    ACTIONS(10253), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178282] = 2,
    ACTIONS(5497), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178290] = 2,
    ACTIONS(10255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178298] = 2,
    ACTIONS(10257), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178306] = 2,
    ACTIONS(10259), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178314] = 2,
    ACTIONS(10261), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178322] = 2,
    ACTIONS(10263), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10265), 1,
      anon_sym_SLASH2,
  [178340] = 2,
    ACTIONS(10267), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178348] = 2,
    ACTIONS(10269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178356] = 2,
    ACTIONS(10271), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178364] = 2,
    ACTIONS(10273), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178372] = 2,
    ACTIONS(10275), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178380] = 2,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178388] = 2,
    ACTIONS(10279), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178396] = 2,
    ACTIONS(10281), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178404] = 2,
    ACTIONS(10283), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178412] = 2,
    ACTIONS(10285), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178420] = 2,
    ACTIONS(10287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178428] = 2,
    ACTIONS(10289), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178436] = 2,
    ACTIONS(9078), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [178444] = 2,
    ACTIONS(10291), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1132)] = 0,
  [SMALL_STATE(1133)] = 89,
  [SMALL_STATE(1134)] = 182,
  [SMALL_STATE(1135)] = 275,
  [SMALL_STATE(1136)] = 364,
  [SMALL_STATE(1137)] = 457,
  [SMALL_STATE(1138)] = 552,
  [SMALL_STATE(1139)] = 642,
  [SMALL_STATE(1140)] = 712,
  [SMALL_STATE(1141)] = 782,
  [SMALL_STATE(1142)] = 874,
  [SMALL_STATE(1143)] = 944,
  [SMALL_STATE(1144)] = 1030,
  [SMALL_STATE(1145)] = 1102,
  [SMALL_STATE(1146)] = 1172,
  [SMALL_STATE(1147)] = 1262,
  [SMALL_STATE(1148)] = 1352,
  [SMALL_STATE(1149)] = 1442,
  [SMALL_STATE(1150)] = 1530,
  [SMALL_STATE(1151)] = 1620,
  [SMALL_STATE(1152)] = 1690,
  [SMALL_STATE(1153)] = 1780,
  [SMALL_STATE(1154)] = 1870,
  [SMALL_STATE(1155)] = 1942,
  [SMALL_STATE(1156)] = 2034,
  [SMALL_STATE(1157)] = 2104,
  [SMALL_STATE(1158)] = 2192,
  [SMALL_STATE(1159)] = 2284,
  [SMALL_STATE(1160)] = 2372,
  [SMALL_STATE(1161)] = 2460,
  [SMALL_STATE(1162)] = 2548,
  [SMALL_STATE(1163)] = 2634,
  [SMALL_STATE(1164)] = 2722,
  [SMALL_STATE(1165)] = 2792,
  [SMALL_STATE(1166)] = 2880,
  [SMALL_STATE(1167)] = 2970,
  [SMALL_STATE(1168)] = 3058,
  [SMALL_STATE(1169)] = 3153,
  [SMALL_STATE(1170)] = 3244,
  [SMALL_STATE(1171)] = 3331,
  [SMALL_STATE(1172)] = 3400,
  [SMALL_STATE(1173)] = 3487,
  [SMALL_STATE(1174)] = 3576,
  [SMALL_STATE(1175)] = 3663,
  [SMALL_STATE(1176)] = 3736,
  [SMALL_STATE(1177)] = 3827,
  [SMALL_STATE(1178)] = 3918,
  [SMALL_STATE(1179)] = 3997,
  [SMALL_STATE(1180)] = 4066,
  [SMALL_STATE(1181)] = 4155,
  [SMALL_STATE(1182)] = 4246,
  [SMALL_STATE(1183)] = 4333,
  [SMALL_STATE(1184)] = 4420,
  [SMALL_STATE(1185)] = 4498,
  [SMALL_STATE(1186)] = 4576,
  [SMALL_STATE(1187)] = 4662,
  [SMALL_STATE(1188)] = 4752,
  [SMALL_STATE(1189)] = 4842,
  [SMALL_STATE(1190)] = 4928,
  [SMALL_STATE(1191)] = 5006,
  [SMALL_STATE(1192)] = 5084,
  [SMALL_STATE(1193)] = 5158,
  [SMALL_STATE(1194)] = 5244,
  [SMALL_STATE(1195)] = 5330,
  [SMALL_STATE(1196)] = 5406,
  [SMALL_STATE(1197)] = 5486,
  [SMALL_STATE(1198)] = 5578,
  [SMALL_STATE(1199)] = 5668,
  [SMALL_STATE(1200)] = 5754,
  [SMALL_STATE(1201)] = 5840,
  [SMALL_STATE(1202)] = 5926,
  [SMALL_STATE(1203)] = 6004,
  [SMALL_STATE(1204)] = 6090,
  [SMALL_STATE(1205)] = 6176,
  [SMALL_STATE(1206)] = 6262,
  [SMALL_STATE(1207)] = 6354,
  [SMALL_STATE(1208)] = 6434,
  [SMALL_STATE(1209)] = 6520,
  [SMALL_STATE(1210)] = 6610,
  [SMALL_STATE(1211)] = 6696,
  [SMALL_STATE(1212)] = 6774,
  [SMALL_STATE(1213)] = 6860,
  [SMALL_STATE(1214)] = 6927,
  [SMALL_STATE(1215)] = 7002,
  [SMALL_STATE(1216)] = 7071,
  [SMALL_STATE(1217)] = 7138,
  [SMALL_STATE(1218)] = 7205,
  [SMALL_STATE(1219)] = 7288,
  [SMALL_STATE(1220)] = 7367,
  [SMALL_STATE(1221)] = 7442,
  [SMALL_STATE(1222)] = 7509,
  [SMALL_STATE(1223)] = 7578,
  [SMALL_STATE(1224)] = 7647,
  [SMALL_STATE(1225)] = 7736,
  [SMALL_STATE(1226)] = 7813,
  [SMALL_STATE(1227)] = 7902,
  [SMALL_STATE(1228)] = 7989,
  [SMALL_STATE(1229)] = 8078,
  [SMALL_STATE(1230)] = 8145,
  [SMALL_STATE(1231)] = 8218,
  [SMALL_STATE(1232)] = 8291,
  [SMALL_STATE(1233)] = 8374,
  [SMALL_STATE(1234)] = 8447,
  [SMALL_STATE(1235)] = 8522,
  [SMALL_STATE(1236)] = 8611,
  [SMALL_STATE(1237)] = 8688,
  [SMALL_STATE(1238)] = 8773,
  [SMALL_STATE(1239)] = 8852,
  [SMALL_STATE(1240)] = 8937,
  [SMALL_STATE(1241)] = 9010,
  [SMALL_STATE(1242)] = 9079,
  [SMALL_STATE(1243)] = 9148,
  [SMALL_STATE(1244)] = 9225,
  [SMALL_STATE(1245)] = 9294,
  [SMALL_STATE(1246)] = 9379,
  [SMALL_STATE(1247)] = 9463,
  [SMALL_STATE(1248)] = 9529,
  [SMALL_STATE(1249)] = 9599,
  [SMALL_STATE(1250)] = 9665,
  [SMALL_STATE(1251)] = 9737,
  [SMALL_STATE(1252)] = 9811,
  [SMALL_STATE(1253)] = 9893,
  [SMALL_STATE(1254)] = 9973,
  [SMALL_STATE(1255)] = 10045,
  [SMALL_STATE(1256)] = 10115,
  [SMALL_STATE(1257)] = 10203,
  [SMALL_STATE(1258)] = 10277,
  [SMALL_STATE(1259)] = 10343,
  [SMALL_STATE(1260)] = 10419,
  [SMALL_STATE(1261)] = 10497,
  [SMALL_STATE(1262)] = 10569,
  [SMALL_STATE(1263)] = 10641,
  [SMALL_STATE(1264)] = 10713,
  [SMALL_STATE(1265)] = 10791,
  [SMALL_STATE(1266)] = 10863,
  [SMALL_STATE(1267)] = 10929,
  [SMALL_STATE(1268)] = 11009,
  [SMALL_STATE(1269)] = 11083,
  [SMALL_STATE(1270)] = 11157,
  [SMALL_STATE(1271)] = 11223,
  [SMALL_STATE(1272)] = 11295,
  [SMALL_STATE(1273)] = 11361,
  [SMALL_STATE(1274)] = 11437,
  [SMALL_STATE(1275)] = 11511,
  [SMALL_STATE(1276)] = 11585,
  [SMALL_STATE(1277)] = 11657,
  [SMALL_STATE(1278)] = 11723,
  [SMALL_STATE(1279)] = 11807,
  [SMALL_STATE(1280)] = 11891,
  [SMALL_STATE(1281)] = 11957,
  [SMALL_STATE(1282)] = 12023,
  [SMALL_STATE(1283)] = 12111,
  [SMALL_STATE(1284)] = 12189,
  [SMALL_STATE(1285)] = 12265,
  [SMALL_STATE(1286)] = 12342,
  [SMALL_STATE(1287)] = 12409,
  [SMALL_STATE(1288)] = 12492,
  [SMALL_STATE(1289)] = 12569,
  [SMALL_STATE(1290)] = 12636,
  [SMALL_STATE(1291)] = 12709,
  [SMALL_STATE(1292)] = 12780,
  [SMALL_STATE(1293)] = 12853,
  [SMALL_STATE(1294)] = 12926,
  [SMALL_STATE(1295)] = 12999,
  [SMALL_STATE(1296)] = 13070,
  [SMALL_STATE(1297)] = 13139,
  [SMALL_STATE(1298)] = 13208,
  [SMALL_STATE(1299)] = 13277,
  [SMALL_STATE(1300)] = 13354,
  [SMALL_STATE(1301)] = 13431,
  [SMALL_STATE(1302)] = 13500,
  [SMALL_STATE(1303)] = 13571,
  [SMALL_STATE(1304)] = 13642,
  [SMALL_STATE(1305)] = 13715,
  [SMALL_STATE(1306)] = 13794,
  [SMALL_STATE(1307)] = 13864,
  [SMALL_STATE(1308)] = 13940,
  [SMALL_STATE(1309)] = 14014,
  [SMALL_STATE(1310)] = 14134,
  [SMALL_STATE(1311)] = 14254,
  [SMALL_STATE(1312)] = 14374,
  [SMALL_STATE(1313)] = 14444,
  [SMALL_STATE(1314)] = 14514,
  [SMALL_STATE(1315)] = 14586,
  [SMALL_STATE(1316)] = 14660,
  [SMALL_STATE(1317)] = 14730,
  [SMALL_STATE(1318)] = 14796,
  [SMALL_STATE(1319)] = 14866,
  [SMALL_STATE(1320)] = 14936,
  [SMALL_STATE(1321)] = 15056,
  [SMALL_STATE(1322)] = 15126,
  [SMALL_STATE(1323)] = 15246,
  [SMALL_STATE(1324)] = 15316,
  [SMALL_STATE(1325)] = 15382,
  [SMALL_STATE(1326)] = 15502,
  [SMALL_STATE(1327)] = 15570,
  [SMALL_STATE(1328)] = 15642,
  [SMALL_STATE(1329)] = 15716,
  [SMALL_STATE(1330)] = 15790,
  [SMALL_STATE(1331)] = 15859,
  [SMALL_STATE(1332)] = 15930,
  [SMALL_STATE(1333)] = 15999,
  [SMALL_STATE(1334)] = 16068,
  [SMALL_STATE(1335)] = 16137,
  [SMALL_STATE(1336)] = 16204,
  [SMALL_STATE(1337)] = 16273,
  [SMALL_STATE(1338)] = 16346,
  [SMALL_STATE(1339)] = 16417,
  [SMALL_STATE(1340)] = 16486,
  [SMALL_STATE(1341)] = 16553,
  [SMALL_STATE(1342)] = 16626,
  [SMALL_STATE(1343)] = 16695,
  [SMALL_STATE(1344)] = 16764,
  [SMALL_STATE(1345)] = 16830,
  [SMALL_STATE(1346)] = 16946,
  [SMALL_STATE(1347)] = 17014,
  [SMALL_STATE(1348)] = 17082,
  [SMALL_STATE(1349)] = 17150,
  [SMALL_STATE(1350)] = 17266,
  [SMALL_STATE(1351)] = 17382,
  [SMALL_STATE(1352)] = 17498,
  [SMALL_STATE(1353)] = 17566,
  [SMALL_STATE(1354)] = 17634,
  [SMALL_STATE(1355)] = 17750,
  [SMALL_STATE(1356)] = 17818,
  [SMALL_STATE(1357)] = 17886,
  [SMALL_STATE(1358)] = 18002,
  [SMALL_STATE(1359)] = 18118,
  [SMALL_STATE(1360)] = 18186,
  [SMALL_STATE(1361)] = 18302,
  [SMALL_STATE(1362)] = 18418,
  [SMALL_STATE(1363)] = 18534,
  [SMALL_STATE(1364)] = 18604,
  [SMALL_STATE(1365)] = 18720,
  [SMALL_STATE(1366)] = 18836,
  [SMALL_STATE(1367)] = 18952,
  [SMALL_STATE(1368)] = 19020,
  [SMALL_STATE(1369)] = 19088,
  [SMALL_STATE(1370)] = 19156,
  [SMALL_STATE(1371)] = 19224,
  [SMALL_STATE(1372)] = 19292,
  [SMALL_STATE(1373)] = 19408,
  [SMALL_STATE(1374)] = 19476,
  [SMALL_STATE(1375)] = 19544,
  [SMALL_STATE(1376)] = 19612,
  [SMALL_STATE(1377)] = 19678,
  [SMALL_STATE(1378)] = 19794,
  [SMALL_STATE(1379)] = 19862,
  [SMALL_STATE(1380)] = 19978,
  [SMALL_STATE(1381)] = 20094,
  [SMALL_STATE(1382)] = 20162,
  [SMALL_STATE(1383)] = 20230,
  [SMALL_STATE(1384)] = 20346,
  [SMALL_STATE(1385)] = 20414,
  [SMALL_STATE(1386)] = 20482,
  [SMALL_STATE(1387)] = 20547,
  [SMALL_STATE(1388)] = 20612,
  [SMALL_STATE(1389)] = 20677,
  [SMALL_STATE(1390)] = 20742,
  [SMALL_STATE(1391)] = 20807,
  [SMALL_STATE(1392)] = 20872,
  [SMALL_STATE(1393)] = 20937,
  [SMALL_STATE(1394)] = 21002,
  [SMALL_STATE(1395)] = 21067,
  [SMALL_STATE(1396)] = 21179,
  [SMALL_STATE(1397)] = 21291,
  [SMALL_STATE(1398)] = 21403,
  [SMALL_STATE(1399)] = 21515,
  [SMALL_STATE(1400)] = 21627,
  [SMALL_STATE(1401)] = 21739,
  [SMALL_STATE(1402)] = 21851,
  [SMALL_STATE(1403)] = 21962,
  [SMALL_STATE(1404)] = 22073,
  [SMALL_STATE(1405)] = 22192,
  [SMALL_STATE(1406)] = 22311,
  [SMALL_STATE(1407)] = 22422,
  [SMALL_STATE(1408)] = 22533,
  [SMALL_STATE(1409)] = 22652,
  [SMALL_STATE(1410)] = 22763,
  [SMALL_STATE(1411)] = 22874,
  [SMALL_STATE(1412)] = 22993,
  [SMALL_STATE(1413)] = 23104,
  [SMALL_STATE(1414)] = 23215,
  [SMALL_STATE(1415)] = 23326,
  [SMALL_STATE(1416)] = 23437,
  [SMALL_STATE(1417)] = 23556,
  [SMALL_STATE(1418)] = 23667,
  [SMALL_STATE(1419)] = 23769,
  [SMALL_STATE(1420)] = 23871,
  [SMALL_STATE(1421)] = 23973,
  [SMALL_STATE(1422)] = 24075,
  [SMALL_STATE(1423)] = 24177,
  [SMALL_STATE(1424)] = 24279,
  [SMALL_STATE(1425)] = 24381,
  [SMALL_STATE(1426)] = 24492,
  [SMALL_STATE(1427)] = 24549,
  [SMALL_STATE(1428)] = 24658,
  [SMALL_STATE(1429)] = 24715,
  [SMALL_STATE(1430)] = 24781,
  [SMALL_STATE(1431)] = 24847,
  [SMALL_STATE(1432)] = 24941,
  [SMALL_STATE(1433)] = 25007,
  [SMALL_STATE(1434)] = 25079,
  [SMALL_STATE(1435)] = 25143,
  [SMALL_STATE(1436)] = 25198,
  [SMALL_STATE(1437)] = 25259,
  [SMALL_STATE(1438)] = 25320,
  [SMALL_STATE(1439)] = 25377,
  [SMALL_STATE(1440)] = 25438,
  [SMALL_STATE(1441)] = 25495,
  [SMALL_STATE(1442)] = 25550,
  [SMALL_STATE(1443)] = 25605,
  [SMALL_STATE(1444)] = 25660,
  [SMALL_STATE(1445)] = 25717,
  [SMALL_STATE(1446)] = 25772,
  [SMALL_STATE(1447)] = 25831,
  [SMALL_STATE(1448)] = 25890,
  [SMALL_STATE(1449)] = 25951,
  [SMALL_STATE(1450)] = 26010,
  [SMALL_STATE(1451)] = 26071,
  [SMALL_STATE(1452)] = 26126,
  [SMALL_STATE(1453)] = 26181,
  [SMALL_STATE(1454)] = 26235,
  [SMALL_STATE(1455)] = 26289,
  [SMALL_STATE(1456)] = 26343,
  [SMALL_STATE(1457)] = 26399,
  [SMALL_STATE(1458)] = 26519,
  [SMALL_STATE(1459)] = 26575,
  [SMALL_STATE(1460)] = 26629,
  [SMALL_STATE(1461)] = 26683,
  [SMALL_STATE(1462)] = 26739,
  [SMALL_STATE(1463)] = 26851,
  [SMALL_STATE(1464)] = 26905,
  [SMALL_STATE(1465)] = 26965,
  [SMALL_STATE(1466)] = 27019,
  [SMALL_STATE(1467)] = 27073,
  [SMALL_STATE(1468)] = 27127,
  [SMALL_STATE(1469)] = 27181,
  [SMALL_STATE(1470)] = 27235,
  [SMALL_STATE(1471)] = 27291,
  [SMALL_STATE(1472)] = 27345,
  [SMALL_STATE(1473)] = 27399,
  [SMALL_STATE(1474)] = 27457,
  [SMALL_STATE(1475)] = 27543,
  [SMALL_STATE(1476)] = 27655,
  [SMALL_STATE(1477)] = 27767,
  [SMALL_STATE(1478)] = 27853,
  [SMALL_STATE(1479)] = 27929,
  [SMALL_STATE(1480)] = 27985,
  [SMALL_STATE(1481)] = 28045,
  [SMALL_STATE(1482)] = 28157,
  [SMALL_STATE(1483)] = 28257,
  [SMALL_STATE(1484)] = 28359,
  [SMALL_STATE(1485)] = 28441,
  [SMALL_STATE(1486)] = 28535,
  [SMALL_STATE(1487)] = 28631,
  [SMALL_STATE(1488)] = 28729,
  [SMALL_STATE(1489)] = 28809,
  [SMALL_STATE(1490)] = 28891,
  [SMALL_STATE(1491)] = 29011,
  [SMALL_STATE(1492)] = 29065,
  [SMALL_STATE(1493)] = 29121,
  [SMALL_STATE(1494)] = 29211,
  [SMALL_STATE(1495)] = 29315,
  [SMALL_STATE(1496)] = 29375,
  [SMALL_STATE(1497)] = 29487,
  [SMALL_STATE(1498)] = 29599,
  [SMALL_STATE(1499)] = 29653,
  [SMALL_STATE(1500)] = 29707,
  [SMALL_STATE(1501)] = 29761,
  [SMALL_STATE(1502)] = 29815,
  [SMALL_STATE(1503)] = 29869,
  [SMALL_STATE(1504)] = 29923,
  [SMALL_STATE(1505)] = 29977,
  [SMALL_STATE(1506)] = 30097,
  [SMALL_STATE(1507)] = 30209,
  [SMALL_STATE(1508)] = 30263,
  [SMALL_STATE(1509)] = 30375,
  [SMALL_STATE(1510)] = 30487,
  [SMALL_STATE(1511)] = 30599,
  [SMALL_STATE(1512)] = 30711,
  [SMALL_STATE(1513)] = 30765,
  [SMALL_STATE(1514)] = 30819,
  [SMALL_STATE(1515)] = 30873,
  [SMALL_STATE(1516)] = 30935,
  [SMALL_STATE(1517)] = 31021,
  [SMALL_STATE(1518)] = 31083,
  [SMALL_STATE(1519)] = 31145,
  [SMALL_STATE(1520)] = 31203,
  [SMALL_STATE(1521)] = 31257,
  [SMALL_STATE(1522)] = 31315,
  [SMALL_STATE(1523)] = 31369,
  [SMALL_STATE(1524)] = 31423,
  [SMALL_STATE(1525)] = 31477,
  [SMALL_STATE(1526)] = 31531,
  [SMALL_STATE(1527)] = 31591,
  [SMALL_STATE(1528)] = 31645,
  [SMALL_STATE(1529)] = 31699,
  [SMALL_STATE(1530)] = 31811,
  [SMALL_STATE(1531)] = 31869,
  [SMALL_STATE(1532)] = 31929,
  [SMALL_STATE(1533)] = 31983,
  [SMALL_STATE(1534)] = 32037,
  [SMALL_STATE(1535)] = 32091,
  [SMALL_STATE(1536)] = 32145,
  [SMALL_STATE(1537)] = 32199,
  [SMALL_STATE(1538)] = 32253,
  [SMALL_STATE(1539)] = 32307,
  [SMALL_STATE(1540)] = 32361,
  [SMALL_STATE(1541)] = 32415,
  [SMALL_STATE(1542)] = 32477,
  [SMALL_STATE(1543)] = 32531,
  [SMALL_STATE(1544)] = 32615,
  [SMALL_STATE(1545)] = 32669,
  [SMALL_STATE(1546)] = 32723,
  [SMALL_STATE(1547)] = 32777,
  [SMALL_STATE(1548)] = 32831,
  [SMALL_STATE(1549)] = 32885,
  [SMALL_STATE(1550)] = 32939,
  [SMALL_STATE(1551)] = 32993,
  [SMALL_STATE(1552)] = 33047,
  [SMALL_STATE(1553)] = 33101,
  [SMALL_STATE(1554)] = 33155,
  [SMALL_STATE(1555)] = 33209,
  [SMALL_STATE(1556)] = 33263,
  [SMALL_STATE(1557)] = 33337,
  [SMALL_STATE(1558)] = 33391,
  [SMALL_STATE(1559)] = 33445,
  [SMALL_STATE(1560)] = 33499,
  [SMALL_STATE(1561)] = 33553,
  [SMALL_STATE(1562)] = 33607,
  [SMALL_STATE(1563)] = 33727,
  [SMALL_STATE(1564)] = 33783,
  [SMALL_STATE(1565)] = 33863,
  [SMALL_STATE(1566)] = 33923,
  [SMALL_STATE(1567)] = 34035,
  [SMALL_STATE(1568)] = 34091,
  [SMALL_STATE(1569)] = 34145,
  [SMALL_STATE(1570)] = 34217,
  [SMALL_STATE(1571)] = 34271,
  [SMALL_STATE(1572)] = 34325,
  [SMALL_STATE(1573)] = 34379,
  [SMALL_STATE(1574)] = 34439,
  [SMALL_STATE(1575)] = 34525,
  [SMALL_STATE(1576)] = 34585,
  [SMALL_STATE(1577)] = 34641,
  [SMALL_STATE(1578)] = 34697,
  [SMALL_STATE(1579)] = 34751,
  [SMALL_STATE(1580)] = 34805,
  [SMALL_STATE(1581)] = 34859,
  [SMALL_STATE(1582)] = 34913,
  [SMALL_STATE(1583)] = 34969,
  [SMALL_STATE(1584)] = 35023,
  [SMALL_STATE(1585)] = 35083,
  [SMALL_STATE(1586)] = 35143,
  [SMALL_STATE(1587)] = 35201,
  [SMALL_STATE(1588)] = 35255,
  [SMALL_STATE(1589)] = 35311,
  [SMALL_STATE(1590)] = 35397,
  [SMALL_STATE(1591)] = 35451,
  [SMALL_STATE(1592)] = 35505,
  [SMALL_STATE(1593)] = 35559,
  [SMALL_STATE(1594)] = 35613,
  [SMALL_STATE(1595)] = 35669,
  [SMALL_STATE(1596)] = 35723,
  [SMALL_STATE(1597)] = 35777,
  [SMALL_STATE(1598)] = 35831,
  [SMALL_STATE(1599)] = 35885,
  [SMALL_STATE(1600)] = 35939,
  [SMALL_STATE(1601)] = 35993,
  [SMALL_STATE(1602)] = 36047,
  [SMALL_STATE(1603)] = 36107,
  [SMALL_STATE(1604)] = 36167,
  [SMALL_STATE(1605)] = 36253,
  [SMALL_STATE(1606)] = 36365,
  [SMALL_STATE(1607)] = 36477,
  [SMALL_STATE(1608)] = 36531,
  [SMALL_STATE(1609)] = 36587,
  [SMALL_STATE(1610)] = 36641,
  [SMALL_STATE(1611)] = 36695,
  [SMALL_STATE(1612)] = 36749,
  [SMALL_STATE(1613)] = 36803,
  [SMALL_STATE(1614)] = 36857,
  [SMALL_STATE(1615)] = 36970,
  [SMALL_STATE(1616)] = 37049,
  [SMALL_STATE(1617)] = 37164,
  [SMALL_STATE(1618)] = 37217,
  [SMALL_STATE(1619)] = 37276,
  [SMALL_STATE(1620)] = 37329,
  [SMALL_STATE(1621)] = 37382,
  [SMALL_STATE(1622)] = 37435,
  [SMALL_STATE(1623)] = 37488,
  [SMALL_STATE(1624)] = 37543,
  [SMALL_STATE(1625)] = 37622,
  [SMALL_STATE(1626)] = 37733,
  [SMALL_STATE(1627)] = 37786,
  [SMALL_STATE(1628)] = 37839,
  [SMALL_STATE(1629)] = 37892,
  [SMALL_STATE(1630)] = 37945,
  [SMALL_STATE(1631)] = 37998,
  [SMALL_STATE(1632)] = 38051,
  [SMALL_STATE(1633)] = 38104,
  [SMALL_STATE(1634)] = 38177,
  [SMALL_STATE(1635)] = 38290,
  [SMALL_STATE(1636)] = 38343,
  [SMALL_STATE(1637)] = 38396,
  [SMALL_STATE(1638)] = 38449,
  [SMALL_STATE(1639)] = 38502,
  [SMALL_STATE(1640)] = 38555,
  [SMALL_STATE(1641)] = 38670,
  [SMALL_STATE(1642)] = 38723,
  [SMALL_STATE(1643)] = 38776,
  [SMALL_STATE(1644)] = 38829,
  [SMALL_STATE(1645)] = 38882,
  [SMALL_STATE(1646)] = 38935,
  [SMALL_STATE(1647)] = 38988,
  [SMALL_STATE(1648)] = 39041,
  [SMALL_STATE(1649)] = 39094,
  [SMALL_STATE(1650)] = 39147,
  [SMALL_STATE(1651)] = 39236,
  [SMALL_STATE(1652)] = 39351,
  [SMALL_STATE(1653)] = 39462,
  [SMALL_STATE(1654)] = 39573,
  [SMALL_STATE(1655)] = 39684,
  [SMALL_STATE(1656)] = 39737,
  [SMALL_STATE(1657)] = 39790,
  [SMALL_STATE(1658)] = 39849,
  [SMALL_STATE(1659)] = 39960,
  [SMALL_STATE(1660)] = 40013,
  [SMALL_STATE(1661)] = 40072,
  [SMALL_STATE(1662)] = 40157,
  [SMALL_STATE(1663)] = 40210,
  [SMALL_STATE(1664)] = 40263,
  [SMALL_STATE(1665)] = 40342,
  [SMALL_STATE(1666)] = 40395,
  [SMALL_STATE(1667)] = 40470,
  [SMALL_STATE(1668)] = 40523,
  [SMALL_STATE(1669)] = 40576,
  [SMALL_STATE(1670)] = 40629,
  [SMALL_STATE(1671)] = 40744,
  [SMALL_STATE(1672)] = 40859,
  [SMALL_STATE(1673)] = 40914,
  [SMALL_STATE(1674)] = 40967,
  [SMALL_STATE(1675)] = 41022,
  [SMALL_STATE(1676)] = 41095,
  [SMALL_STATE(1677)] = 41174,
  [SMALL_STATE(1678)] = 41285,
  [SMALL_STATE(1679)] = 41338,
  [SMALL_STATE(1680)] = 41391,
  [SMALL_STATE(1681)] = 41446,
  [SMALL_STATE(1682)] = 41561,
  [SMALL_STATE(1683)] = 41632,
  [SMALL_STATE(1684)] = 41685,
  [SMALL_STATE(1685)] = 41738,
  [SMALL_STATE(1686)] = 41793,
  [SMALL_STATE(1687)] = 41908,
  [SMALL_STATE(1688)] = 41961,
  [SMALL_STATE(1689)] = 42060,
  [SMALL_STATE(1690)] = 42171,
  [SMALL_STATE(1691)] = 42282,
  [SMALL_STATE(1692)] = 42393,
  [SMALL_STATE(1693)] = 42446,
  [SMALL_STATE(1694)] = 42499,
  [SMALL_STATE(1695)] = 42562,
  [SMALL_STATE(1696)] = 42619,
  [SMALL_STATE(1697)] = 42672,
  [SMALL_STATE(1698)] = 42735,
  [SMALL_STATE(1699)] = 42788,
  [SMALL_STATE(1700)] = 42869,
  [SMALL_STATE(1701)] = 42932,
  [SMALL_STATE(1702)] = 43033,
  [SMALL_STATE(1703)] = 43086,
  [SMALL_STATE(1704)] = 43155,
  [SMALL_STATE(1705)] = 43216,
  [SMALL_STATE(1706)] = 43297,
  [SMALL_STATE(1707)] = 43390,
  [SMALL_STATE(1708)] = 43443,
  [SMALL_STATE(1709)] = 43538,
  [SMALL_STATE(1710)] = 43649,
  [SMALL_STATE(1711)] = 43760,
  [SMALL_STATE(1712)] = 43871,
  [SMALL_STATE(1713)] = 43982,
  [SMALL_STATE(1714)] = 44093,
  [SMALL_STATE(1715)] = 44146,
  [SMALL_STATE(1716)] = 44223,
  [SMALL_STATE(1717)] = 44300,
  [SMALL_STATE(1718)] = 44379,
  [SMALL_STATE(1719)] = 44432,
  [SMALL_STATE(1720)] = 44543,
  [SMALL_STATE(1721)] = 44654,
  [SMALL_STATE(1722)] = 44707,
  [SMALL_STATE(1723)] = 44760,
  [SMALL_STATE(1724)] = 44871,
  [SMALL_STATE(1725)] = 44982,
  [SMALL_STATE(1726)] = 45067,
  [SMALL_STATE(1727)] = 45142,
  [SMALL_STATE(1728)] = 45241,
  [SMALL_STATE(1729)] = 45342,
  [SMALL_STATE(1730)] = 45395,
  [SMALL_STATE(1731)] = 45476,
  [SMALL_STATE(1732)] = 45569,
  [SMALL_STATE(1733)] = 45664,
  [SMALL_STATE(1734)] = 45761,
  [SMALL_STATE(1735)] = 45840,
  [SMALL_STATE(1736)] = 45921,
  [SMALL_STATE(1737)] = 46032,
  [SMALL_STATE(1738)] = 46089,
  [SMALL_STATE(1739)] = 46142,
  [SMALL_STATE(1740)] = 46195,
  [SMALL_STATE(1741)] = 46248,
  [SMALL_STATE(1742)] = 46327,
  [SMALL_STATE(1743)] = 46380,
  [SMALL_STATE(1744)] = 46433,
  [SMALL_STATE(1745)] = 46522,
  [SMALL_STATE(1746)] = 46625,
  [SMALL_STATE(1747)] = 46736,
  [SMALL_STATE(1748)] = 46789,
  [SMALL_STATE(1749)] = 46842,
  [SMALL_STATE(1750)] = 46953,
  [SMALL_STATE(1751)] = 47050,
  [SMALL_STATE(1752)] = 47127,
  [SMALL_STATE(1753)] = 47238,
  [SMALL_STATE(1754)] = 47291,
  [SMALL_STATE(1755)] = 47370,
  [SMALL_STATE(1756)] = 47449,
  [SMALL_STATE(1757)] = 47502,
  [SMALL_STATE(1758)] = 47555,
  [SMALL_STATE(1759)] = 47608,
  [SMALL_STATE(1760)] = 47719,
  [SMALL_STATE(1761)] = 47830,
  [SMALL_STATE(1762)] = 47941,
  [SMALL_STATE(1763)] = 48052,
  [SMALL_STATE(1764)] = 48163,
  [SMALL_STATE(1765)] = 48216,
  [SMALL_STATE(1766)] = 48269,
  [SMALL_STATE(1767)] = 48322,
  [SMALL_STATE(1768)] = 48375,
  [SMALL_STATE(1769)] = 48428,
  [SMALL_STATE(1770)] = 48481,
  [SMALL_STATE(1771)] = 48534,
  [SMALL_STATE(1772)] = 48611,
  [SMALL_STATE(1773)] = 48664,
  [SMALL_STATE(1774)] = 48775,
  [SMALL_STATE(1775)] = 48828,
  [SMALL_STATE(1776)] = 48881,
  [SMALL_STATE(1777)] = 48934,
  [SMALL_STATE(1778)] = 48987,
  [SMALL_STATE(1779)] = 49040,
  [SMALL_STATE(1780)] = 49093,
  [SMALL_STATE(1781)] = 49146,
  [SMALL_STATE(1782)] = 49199,
  [SMALL_STATE(1783)] = 49278,
  [SMALL_STATE(1784)] = 49357,
  [SMALL_STATE(1785)] = 49414,
  [SMALL_STATE(1786)] = 49467,
  [SMALL_STATE(1787)] = 49578,
  [SMALL_STATE(1788)] = 49681,
  [SMALL_STATE(1789)] = 49758,
  [SMALL_STATE(1790)] = 49829,
  [SMALL_STATE(1791)] = 49943,
  [SMALL_STATE(1792)] = 50053,
  [SMALL_STATE(1793)] = 50163,
  [SMALL_STATE(1794)] = 50217,
  [SMALL_STATE(1795)] = 50293,
  [SMALL_STATE(1796)] = 50403,
  [SMALL_STATE(1797)] = 50513,
  [SMALL_STATE(1798)] = 50623,
  [SMALL_STATE(1799)] = 50733,
  [SMALL_STATE(1800)] = 50843,
  [SMALL_STATE(1801)] = 50903,
  [SMALL_STATE(1802)] = 51017,
  [SMALL_STATE(1803)] = 51127,
  [SMALL_STATE(1804)] = 51241,
  [SMALL_STATE(1805)] = 51313,
  [SMALL_STATE(1806)] = 51371,
  [SMALL_STATE(1807)] = 51423,
  [SMALL_STATE(1808)] = 51481,
  [SMALL_STATE(1809)] = 51591,
  [SMALL_STATE(1810)] = 51653,
  [SMALL_STATE(1811)] = 51767,
  [SMALL_STATE(1812)] = 51821,
  [SMALL_STATE(1813)] = 51935,
  [SMALL_STATE(1814)] = 52045,
  [SMALL_STATE(1815)] = 52159,
  [SMALL_STATE(1816)] = 52273,
  [SMALL_STATE(1817)] = 52387,
  [SMALL_STATE(1818)] = 52501,
  [SMALL_STATE(1819)] = 52553,
  [SMALL_STATE(1820)] = 52615,
  [SMALL_STATE(1821)] = 52687,
  [SMALL_STATE(1822)] = 52759,
  [SMALL_STATE(1823)] = 52869,
  [SMALL_STATE(1824)] = 52941,
  [SMALL_STATE(1825)] = 53051,
  [SMALL_STATE(1826)] = 53111,
  [SMALL_STATE(1827)] = 53225,
  [SMALL_STATE(1828)] = 53297,
  [SMALL_STATE(1829)] = 53411,
  [SMALL_STATE(1830)] = 53525,
  [SMALL_STATE(1831)] = 53639,
  [SMALL_STATE(1832)] = 53695,
  [SMALL_STATE(1833)] = 53771,
  [SMALL_STATE(1834)] = 53831,
  [SMALL_STATE(1835)] = 53941,
  [SMALL_STATE(1836)] = 54015,
  [SMALL_STATE(1837)] = 54071,
  [SMALL_STATE(1838)] = 54125,
  [SMALL_STATE(1839)] = 54239,
  [SMALL_STATE(1840)] = 54293,
  [SMALL_STATE(1841)] = 54349,
  [SMALL_STATE(1842)] = 54463,
  [SMALL_STATE(1843)] = 54523,
  [SMALL_STATE(1844)] = 54599,
  [SMALL_STATE(1845)] = 54657,
  [SMALL_STATE(1846)] = 54745,
  [SMALL_STATE(1847)] = 54847,
  [SMALL_STATE(1848)] = 54905,
  [SMALL_STATE(1849)] = 54977,
  [SMALL_STATE(1850)] = 55091,
  [SMALL_STATE(1851)] = 55169,
  [SMALL_STATE(1852)] = 55225,
  [SMALL_STATE(1853)] = 55339,
  [SMALL_STATE(1854)] = 55397,
  [SMALL_STATE(1855)] = 55507,
  [SMALL_STATE(1856)] = 55617,
  [SMALL_STATE(1857)] = 55727,
  [SMALL_STATE(1858)] = 55837,
  [SMALL_STATE(1859)] = 55951,
  [SMALL_STATE(1860)] = 56011,
  [SMALL_STATE(1861)] = 56125,
  [SMALL_STATE(1862)] = 56185,
  [SMALL_STATE(1863)] = 56299,
  [SMALL_STATE(1864)] = 56413,
  [SMALL_STATE(1865)] = 56527,
  [SMALL_STATE(1866)] = 56641,
  [SMALL_STATE(1867)] = 56751,
  [SMALL_STATE(1868)] = 56803,
  [SMALL_STATE(1869)] = 56913,
  [SMALL_STATE(1870)] = 56997,
  [SMALL_STATE(1871)] = 57071,
  [SMALL_STATE(1872)] = 57185,
  [SMALL_STATE(1873)] = 57283,
  [SMALL_STATE(1874)] = 57383,
  [SMALL_STATE(1875)] = 57463,
  [SMALL_STATE(1876)] = 57555,
  [SMALL_STATE(1877)] = 57649,
  [SMALL_STATE(1878)] = 57745,
  [SMALL_STATE(1879)] = 57823,
  [SMALL_STATE(1880)] = 57903,
  [SMALL_STATE(1881)] = 58017,
  [SMALL_STATE(1882)] = 58089,
  [SMALL_STATE(1883)] = 58161,
  [SMALL_STATE(1884)] = 58239,
  [SMALL_STATE(1885)] = 58349,
  [SMALL_STATE(1886)] = 58419,
  [SMALL_STATE(1887)] = 58477,
  [SMALL_STATE(1888)] = 58591,
  [SMALL_STATE(1889)] = 58645,
  [SMALL_STATE(1890)] = 58757,
  [SMALL_STATE(1891)] = 58831,
  [SMALL_STATE(1892)] = 58945,
  [SMALL_STATE(1893)] = 59017,
  [SMALL_STATE(1894)] = 59089,
  [SMALL_STATE(1895)] = 59141,
  [SMALL_STATE(1896)] = 59193,
  [SMALL_STATE(1897)] = 59307,
  [SMALL_STATE(1898)] = 59390,
  [SMALL_STATE(1899)] = 59459,
  [SMALL_STATE(1900)] = 59512,
  [SMALL_STATE(1901)] = 59569,
  [SMALL_STATE(1902)] = 59628,
  [SMALL_STATE(1903)] = 59683,
  [SMALL_STATE(1904)] = 59766,
  [SMALL_STATE(1905)] = 59819,
  [SMALL_STATE(1906)] = 59876,
  [SMALL_STATE(1907)] = 59927,
  [SMALL_STATE(1908)] = 59978,
  [SMALL_STATE(1909)] = 60029,
  [SMALL_STATE(1910)] = 60080,
  [SMALL_STATE(1911)] = 60133,
  [SMALL_STATE(1912)] = 60184,
  [SMALL_STATE(1913)] = 60237,
  [SMALL_STATE(1914)] = 60288,
  [SMALL_STATE(1915)] = 60345,
  [SMALL_STATE(1916)] = 60402,
  [SMALL_STATE(1917)] = 60461,
  [SMALL_STATE(1918)] = 60514,
  [SMALL_STATE(1919)] = 60571,
  [SMALL_STATE(1920)] = 60622,
  [SMALL_STATE(1921)] = 60675,
  [SMALL_STATE(1922)] = 60728,
  [SMALL_STATE(1923)] = 60779,
  [SMALL_STATE(1924)] = 60842,
  [SMALL_STATE(1925)] = 60905,
  [SMALL_STATE(1926)] = 60956,
  [SMALL_STATE(1927)] = 61007,
  [SMALL_STATE(1928)] = 61060,
  [SMALL_STATE(1929)] = 61111,
  [SMALL_STATE(1930)] = 61162,
  [SMALL_STATE(1931)] = 61213,
  [SMALL_STATE(1932)] = 61270,
  [SMALL_STATE(1933)] = 61327,
  [SMALL_STATE(1934)] = 61380,
  [SMALL_STATE(1935)] = 61433,
  [SMALL_STATE(1936)] = 61484,
  [SMALL_STATE(1937)] = 61535,
  [SMALL_STATE(1938)] = 61586,
  [SMALL_STATE(1939)] = 61637,
  [SMALL_STATE(1940)] = 61746,
  [SMALL_STATE(1941)] = 61797,
  [SMALL_STATE(1942)] = 61848,
  [SMALL_STATE(1943)] = 61899,
  [SMALL_STATE(1944)] = 61950,
  [SMALL_STATE(1945)] = 62001,
  [SMALL_STATE(1946)] = 62052,
  [SMALL_STATE(1947)] = 62103,
  [SMALL_STATE(1948)] = 62154,
  [SMALL_STATE(1949)] = 62205,
  [SMALL_STATE(1950)] = 62256,
  [SMALL_STATE(1951)] = 62309,
  [SMALL_STATE(1952)] = 62360,
  [SMALL_STATE(1953)] = 62411,
  [SMALL_STATE(1954)] = 62464,
  [SMALL_STATE(1955)] = 62515,
  [SMALL_STATE(1956)] = 62572,
  [SMALL_STATE(1957)] = 62623,
  [SMALL_STATE(1958)] = 62674,
  [SMALL_STATE(1959)] = 62725,
  [SMALL_STATE(1960)] = 62776,
  [SMALL_STATE(1961)] = 62827,
  [SMALL_STATE(1962)] = 62880,
  [SMALL_STATE(1963)] = 62931,
  [SMALL_STATE(1964)] = 62982,
  [SMALL_STATE(1965)] = 63033,
  [SMALL_STATE(1966)] = 63084,
  [SMALL_STATE(1967)] = 63135,
  [SMALL_STATE(1968)] = 63186,
  [SMALL_STATE(1969)] = 63237,
  [SMALL_STATE(1970)] = 63288,
  [SMALL_STATE(1971)] = 63339,
  [SMALL_STATE(1972)] = 63390,
  [SMALL_STATE(1973)] = 63441,
  [SMALL_STATE(1974)] = 63492,
  [SMALL_STATE(1975)] = 63543,
  [SMALL_STATE(1976)] = 63594,
  [SMALL_STATE(1977)] = 63645,
  [SMALL_STATE(1978)] = 63696,
  [SMALL_STATE(1979)] = 63747,
  [SMALL_STATE(1980)] = 63798,
  [SMALL_STATE(1981)] = 63849,
  [SMALL_STATE(1982)] = 63906,
  [SMALL_STATE(1983)] = 63957,
  [SMALL_STATE(1984)] = 64008,
  [SMALL_STATE(1985)] = 64065,
  [SMALL_STATE(1986)] = 64116,
  [SMALL_STATE(1987)] = 64167,
  [SMALL_STATE(1988)] = 64218,
  [SMALL_STATE(1989)] = 64269,
  [SMALL_STATE(1990)] = 64320,
  [SMALL_STATE(1991)] = 64371,
  [SMALL_STATE(1992)] = 64422,
  [SMALL_STATE(1993)] = 64473,
  [SMALL_STATE(1994)] = 64524,
  [SMALL_STATE(1995)] = 64575,
  [SMALL_STATE(1996)] = 64626,
  [SMALL_STATE(1997)] = 64677,
  [SMALL_STATE(1998)] = 64728,
  [SMALL_STATE(1999)] = 64779,
  [SMALL_STATE(2000)] = 64830,
  [SMALL_STATE(2001)] = 64881,
  [SMALL_STATE(2002)] = 64932,
  [SMALL_STATE(2003)] = 64983,
  [SMALL_STATE(2004)] = 65034,
  [SMALL_STATE(2005)] = 65085,
  [SMALL_STATE(2006)] = 65136,
  [SMALL_STATE(2007)] = 65187,
  [SMALL_STATE(2008)] = 65238,
  [SMALL_STATE(2009)] = 65289,
  [SMALL_STATE(2010)] = 65340,
  [SMALL_STATE(2011)] = 65391,
  [SMALL_STATE(2012)] = 65442,
  [SMALL_STATE(2013)] = 65499,
  [SMALL_STATE(2014)] = 65554,
  [SMALL_STATE(2015)] = 65627,
  [SMALL_STATE(2016)] = 65736,
  [SMALL_STATE(2017)] = 65793,
  [SMALL_STATE(2018)] = 65856,
  [SMALL_STATE(2019)] = 65919,
  [SMALL_STATE(2020)] = 65970,
  [SMALL_STATE(2021)] = 66027,
  [SMALL_STATE(2022)] = 66084,
  [SMALL_STATE(2023)] = 66153,
  [SMALL_STATE(2024)] = 66236,
  [SMALL_STATE(2025)] = 66293,
  [SMALL_STATE(2026)] = 66346,
  [SMALL_STATE(2027)] = 66419,
  [SMALL_STATE(2028)] = 66482,
  [SMALL_STATE(2029)] = 66541,
  [SMALL_STATE(2030)] = 66604,
  [SMALL_STATE(2031)] = 66659,
  [SMALL_STATE(2032)] = 66716,
  [SMALL_STATE(2033)] = 66799,
  [SMALL_STATE(2034)] = 66862,
  [SMALL_STATE(2035)] = 66925,
  [SMALL_STATE(2036)] = 66978,
  [SMALL_STATE(2037)] = 67031,
  [SMALL_STATE(2038)] = 67114,
  [SMALL_STATE(2039)] = 67179,
  [SMALL_STATE(2040)] = 67244,
  [SMALL_STATE(2041)] = 67327,
  [SMALL_STATE(2042)] = 67384,
  [SMALL_STATE(2043)] = 67441,
  [SMALL_STATE(2044)] = 67498,
  [SMALL_STATE(2045)] = 67551,
  [SMALL_STATE(2046)] = 67610,
  [SMALL_STATE(2047)] = 67665,
  [SMALL_STATE(2048)] = 67722,
  [SMALL_STATE(2049)] = 67775,
  [SMALL_STATE(2050)] = 67848,
  [SMALL_STATE(2051)] = 67959,
  [SMALL_STATE(2052)] = 68012,
  [SMALL_STATE(2053)] = 68095,
  [SMALL_STATE(2054)] = 68204,
  [SMALL_STATE(2055)] = 68313,
  [SMALL_STATE(2056)] = 68422,
  [SMALL_STATE(2057)] = 68531,
  [SMALL_STATE(2058)] = 68640,
  [SMALL_STATE(2059)] = 68749,
  [SMALL_STATE(2060)] = 68832,
  [SMALL_STATE(2061)] = 68905,
  [SMALL_STATE(2062)] = 69002,
  [SMALL_STATE(2063)] = 69101,
  [SMALL_STATE(2064)] = 69180,
  [SMALL_STATE(2065)] = 69271,
  [SMALL_STATE(2066)] = 69364,
  [SMALL_STATE(2067)] = 69459,
  [SMALL_STATE(2068)] = 69536,
  [SMALL_STATE(2069)] = 69615,
  [SMALL_STATE(2070)] = 69724,
  [SMALL_STATE(2071)] = 69833,
  [SMALL_STATE(2072)] = 69920,
  [SMALL_STATE(2073)] = 70021,
  [SMALL_STATE(2074)] = 70130,
  [SMALL_STATE(2075)] = 70239,
  [SMALL_STATE(2076)] = 70348,
  [SMALL_STATE(2077)] = 70457,
  [SMALL_STATE(2078)] = 70566,
  [SMALL_STATE(2079)] = 70675,
  [SMALL_STATE(2080)] = 70784,
  [SMALL_STATE(2081)] = 70895,
  [SMALL_STATE(2082)] = 71004,
  [SMALL_STATE(2083)] = 71073,
  [SMALL_STATE(2084)] = 71142,
  [SMALL_STATE(2085)] = 71211,
  [SMALL_STATE(2086)] = 71284,
  [SMALL_STATE(2087)] = 71355,
  [SMALL_STATE(2088)] = 71432,
  [SMALL_STATE(2089)] = 71541,
  [SMALL_STATE(2090)] = 71610,
  [SMALL_STATE(2091)] = 71673,
  [SMALL_STATE(2092)] = 71732,
  [SMALL_STATE(2093)] = 71801,
  [SMALL_STATE(2094)] = 71872,
  [SMALL_STATE(2095)] = 71945,
  [SMALL_STATE(2096)] = 71998,
  [SMALL_STATE(2097)] = 72051,
  [SMALL_STATE(2098)] = 72160,
  [SMALL_STATE(2099)] = 72269,
  [SMALL_STATE(2100)] = 72378,
  [SMALL_STATE(2101)] = 72487,
  [SMALL_STATE(2102)] = 72596,
  [SMALL_STATE(2103)] = 72679,
  [SMALL_STATE(2104)] = 72752,
  [SMALL_STATE(2105)] = 72849,
  [SMALL_STATE(2106)] = 72948,
  [SMALL_STATE(2107)] = 73027,
  [SMALL_STATE(2108)] = 73118,
  [SMALL_STATE(2109)] = 73211,
  [SMALL_STATE(2110)] = 73306,
  [SMALL_STATE(2111)] = 73383,
  [SMALL_STATE(2112)] = 73462,
  [SMALL_STATE(2113)] = 73549,
  [SMALL_STATE(2114)] = 73650,
  [SMALL_STATE(2115)] = 73759,
  [SMALL_STATE(2116)] = 73868,
  [SMALL_STATE(2117)] = 73977,
  [SMALL_STATE(2118)] = 74086,
  [SMALL_STATE(2119)] = 74195,
  [SMALL_STATE(2120)] = 74304,
  [SMALL_STATE(2121)] = 74413,
  [SMALL_STATE(2122)] = 74522,
  [SMALL_STATE(2123)] = 74593,
  [SMALL_STATE(2124)] = 74670,
  [SMALL_STATE(2125)] = 74779,
  [SMALL_STATE(2126)] = 74848,
  [SMALL_STATE(2127)] = 74917,
  [SMALL_STATE(2128)] = 74986,
  [SMALL_STATE(2129)] = 75055,
  [SMALL_STATE(2130)] = 75124,
  [SMALL_STATE(2131)] = 75233,
  [SMALL_STATE(2132)] = 75286,
  [SMALL_STATE(2133)] = 75336,
  [SMALL_STATE(2134)] = 75386,
  [SMALL_STATE(2135)] = 75436,
  [SMALL_STATE(2136)] = 75490,
  [SMALL_STATE(2137)] = 75554,
  [SMALL_STATE(2138)] = 75608,
  [SMALL_STATE(2139)] = 75670,
  [SMALL_STATE(2140)] = 75736,
  [SMALL_STATE(2141)] = 75790,
  [SMALL_STATE(2142)] = 75844,
  [SMALL_STATE(2143)] = 75898,
  [SMALL_STATE(2144)] = 75952,
  [SMALL_STATE(2145)] = 76016,
  [SMALL_STATE(2146)] = 76102,
  [SMALL_STATE(2147)] = 76166,
  [SMALL_STATE(2148)] = 76220,
  [SMALL_STATE(2149)] = 76274,
  [SMALL_STATE(2150)] = 76326,
  [SMALL_STATE(2151)] = 76400,
  [SMALL_STATE(2152)] = 76476,
  [SMALL_STATE(2153)] = 76528,
  [SMALL_STATE(2154)] = 76582,
  [SMALL_STATE(2155)] = 76640,
  [SMALL_STATE(2156)] = 76694,
  [SMALL_STATE(2157)] = 76748,
  [SMALL_STATE(2158)] = 76800,
  [SMALL_STATE(2159)] = 76852,
  [SMALL_STATE(2160)] = 76912,
  [SMALL_STATE(2161)] = 76966,
  [SMALL_STATE(2162)] = 77020,
  [SMALL_STATE(2163)] = 77070,
  [SMALL_STATE(2164)] = 77128,
  [SMALL_STATE(2165)] = 77182,
  [SMALL_STATE(2166)] = 77240,
  [SMALL_STATE(2167)] = 77292,
  [SMALL_STATE(2168)] = 77344,
  [SMALL_STATE(2169)] = 77396,
  [SMALL_STATE(2170)] = 77446,
  [SMALL_STATE(2171)] = 77500,
  [SMALL_STATE(2172)] = 77554,
  [SMALL_STATE(2173)] = 77618,
  [SMALL_STATE(2174)] = 77670,
  [SMALL_STATE(2175)] = 77722,
  [SMALL_STATE(2176)] = 77776,
  [SMALL_STATE(2177)] = 77828,
  [SMALL_STATE(2178)] = 77890,
  [SMALL_STATE(2179)] = 77964,
  [SMALL_STATE(2180)] = 78014,
  [SMALL_STATE(2181)] = 78090,
  [SMALL_STATE(2182)] = 78154,
  [SMALL_STATE(2183)] = 78206,
  [SMALL_STATE(2184)] = 78264,
  [SMALL_STATE(2185)] = 78374,
  [SMALL_STATE(2186)] = 78432,
  [SMALL_STATE(2187)] = 78482,
  [SMALL_STATE(2188)] = 78546,
  [SMALL_STATE(2189)] = 78612,
  [SMALL_STATE(2190)] = 78666,
  [SMALL_STATE(2191)] = 78716,
  [SMALL_STATE(2192)] = 78766,
  [SMALL_STATE(2193)] = 78816,
  [SMALL_STATE(2194)] = 78866,
  [SMALL_STATE(2195)] = 78916,
  [SMALL_STATE(2196)] = 78966,
  [SMALL_STATE(2197)] = 79016,
  [SMALL_STATE(2198)] = 79066,
  [SMALL_STATE(2199)] = 79116,
  [SMALL_STATE(2200)] = 79166,
  [SMALL_STATE(2201)] = 79220,
  [SMALL_STATE(2202)] = 79270,
  [SMALL_STATE(2203)] = 79320,
  [SMALL_STATE(2204)] = 79370,
  [SMALL_STATE(2205)] = 79420,
  [SMALL_STATE(2206)] = 79476,
  [SMALL_STATE(2207)] = 79532,
  [SMALL_STATE(2208)] = 79588,
  [SMALL_STATE(2209)] = 79662,
  [SMALL_STATE(2210)] = 79738,
  [SMALL_STATE(2211)] = 79788,
  [SMALL_STATE(2212)] = 79838,
  [SMALL_STATE(2213)] = 79888,
  [SMALL_STATE(2214)] = 79944,
  [SMALL_STATE(2215)] = 79994,
  [SMALL_STATE(2216)] = 80046,
  [SMALL_STATE(2217)] = 80102,
  [SMALL_STATE(2218)] = 80152,
  [SMALL_STATE(2219)] = 80226,
  [SMALL_STATE(2220)] = 80276,
  [SMALL_STATE(2221)] = 80352,
  [SMALL_STATE(2222)] = 80414,
  [SMALL_STATE(2223)] = 80476,
  [SMALL_STATE(2224)] = 80526,
  [SMALL_STATE(2225)] = 80576,
  [SMALL_STATE(2226)] = 80650,
  [SMALL_STATE(2227)] = 80700,
  [SMALL_STATE(2228)] = 80776,
  [SMALL_STATE(2229)] = 80834,
  [SMALL_STATE(2230)] = 80892,
  [SMALL_STATE(2231)] = 80952,
  [SMALL_STATE(2232)] = 81012,
  [SMALL_STATE(2233)] = 81074,
  [SMALL_STATE(2234)] = 81136,
  [SMALL_STATE(2235)] = 81198,
  [SMALL_STATE(2236)] = 81260,
  [SMALL_STATE(2237)] = 81328,
  [SMALL_STATE(2238)] = 81390,
  [SMALL_STATE(2239)] = 81452,
  [SMALL_STATE(2240)] = 81514,
  [SMALL_STATE(2241)] = 81576,
  [SMALL_STATE(2242)] = 81626,
  [SMALL_STATE(2243)] = 81676,
  [SMALL_STATE(2244)] = 81740,
  [SMALL_STATE(2245)] = 81790,
  [SMALL_STATE(2246)] = 81840,
  [SMALL_STATE(2247)] = 81892,
  [SMALL_STATE(2248)] = 81942,
  [SMALL_STATE(2249)] = 81992,
  [SMALL_STATE(2250)] = 82066,
  [SMALL_STATE(2251)] = 82140,
  [SMALL_STATE(2252)] = 82216,
  [SMALL_STATE(2253)] = 82292,
  [SMALL_STATE(2254)] = 82342,
  [SMALL_STATE(2255)] = 82450,
  [SMALL_STATE(2256)] = 82558,
  [SMALL_STATE(2257)] = 82612,
  [SMALL_STATE(2258)] = 82662,
  [SMALL_STATE(2259)] = 82770,
  [SMALL_STATE(2260)] = 82820,
  [SMALL_STATE(2261)] = 82870,
  [SMALL_STATE(2262)] = 82920,
  [SMALL_STATE(2263)] = 82970,
  [SMALL_STATE(2264)] = 83020,
  [SMALL_STATE(2265)] = 83070,
  [SMALL_STATE(2266)] = 83124,
  [SMALL_STATE(2267)] = 83178,
  [SMALL_STATE(2268)] = 83232,
  [SMALL_STATE(2269)] = 83286,
  [SMALL_STATE(2270)] = 83350,
  [SMALL_STATE(2271)] = 83400,
  [SMALL_STATE(2272)] = 83462,
  [SMALL_STATE(2273)] = 83512,
  [SMALL_STATE(2274)] = 83576,
  [SMALL_STATE(2275)] = 83642,
  [SMALL_STATE(2276)] = 83692,
  [SMALL_STATE(2277)] = 83800,
  [SMALL_STATE(2278)] = 83908,
  [SMALL_STATE(2279)] = 83972,
  [SMALL_STATE(2280)] = 84022,
  [SMALL_STATE(2281)] = 84072,
  [SMALL_STATE(2282)] = 84136,
  [SMALL_STATE(2283)] = 84186,
  [SMALL_STATE(2284)] = 84236,
  [SMALL_STATE(2285)] = 84300,
  [SMALL_STATE(2286)] = 84352,
  [SMALL_STATE(2287)] = 84408,
  [SMALL_STATE(2288)] = 84472,
  [SMALL_STATE(2289)] = 84536,
  [SMALL_STATE(2290)] = 84590,
  [SMALL_STATE(2291)] = 84654,
  [SMALL_STATE(2292)] = 84720,
  [SMALL_STATE(2293)] = 84774,
  [SMALL_STATE(2294)] = 84828,
  [SMALL_STATE(2295)] = 84882,
  [SMALL_STATE(2296)] = 84932,
  [SMALL_STATE(2297)] = 84982,
  [SMALL_STATE(2298)] = 85090,
  [SMALL_STATE(2299)] = 85140,
  [SMALL_STATE(2300)] = 85204,
  [SMALL_STATE(2301)] = 85270,
  [SMALL_STATE(2302)] = 85320,
  [SMALL_STATE(2303)] = 85428,
  [SMALL_STATE(2304)] = 85482,
  [SMALL_STATE(2305)] = 85532,
  [SMALL_STATE(2306)] = 85590,
  [SMALL_STATE(2307)] = 85640,
  [SMALL_STATE(2308)] = 85690,
  [SMALL_STATE(2309)] = 85740,
  [SMALL_STATE(2310)] = 85790,
  [SMALL_STATE(2311)] = 85840,
  [SMALL_STATE(2312)] = 85894,
  [SMALL_STATE(2313)] = 85944,
  [SMALL_STATE(2314)] = 86008,
  [SMALL_STATE(2315)] = 86116,
  [SMALL_STATE(2316)] = 86224,
  [SMALL_STATE(2317)] = 86332,
  [SMALL_STATE(2318)] = 86440,
  [SMALL_STATE(2319)] = 86548,
  [SMALL_STATE(2320)] = 86656,
  [SMALL_STATE(2321)] = 86738,
  [SMALL_STATE(2322)] = 86810,
  [SMALL_STATE(2323)] = 86906,
  [SMALL_STATE(2324)] = 87004,
  [SMALL_STATE(2325)] = 87082,
  [SMALL_STATE(2326)] = 87172,
  [SMALL_STATE(2327)] = 87264,
  [SMALL_STATE(2328)] = 87358,
  [SMALL_STATE(2329)] = 87434,
  [SMALL_STATE(2330)] = 87512,
  [SMALL_STATE(2331)] = 87598,
  [SMALL_STATE(2332)] = 87698,
  [SMALL_STATE(2333)] = 87806,
  [SMALL_STATE(2334)] = 87914,
  [SMALL_STATE(2335)] = 88022,
  [SMALL_STATE(2336)] = 88130,
  [SMALL_STATE(2337)] = 88238,
  [SMALL_STATE(2338)] = 88346,
  [SMALL_STATE(2339)] = 88454,
  [SMALL_STATE(2340)] = 88562,
  [SMALL_STATE(2341)] = 88632,
  [SMALL_STATE(2342)] = 88708,
  [SMALL_STATE(2343)] = 88816,
  [SMALL_STATE(2344)] = 88884,
  [SMALL_STATE(2345)] = 88992,
  [SMALL_STATE(2346)] = 89100,
  [SMALL_STATE(2347)] = 89164,
  [SMALL_STATE(2348)] = 89230,
  [SMALL_STATE(2349)] = 89280,
  [SMALL_STATE(2350)] = 89388,
  [SMALL_STATE(2351)] = 89438,
  [SMALL_STATE(2352)] = 89502,
  [SMALL_STATE(2353)] = 89568,
  [SMALL_STATE(2354)] = 89626,
  [SMALL_STATE(2355)] = 89684,
  [SMALL_STATE(2356)] = 89734,
  [SMALL_STATE(2357)] = 89784,
  [SMALL_STATE(2358)] = 89842,
  [SMALL_STATE(2359)] = 89950,
  [SMALL_STATE(2360)] = 90058,
  [SMALL_STATE(2361)] = 90166,
  [SMALL_STATE(2362)] = 90274,
  [SMALL_STATE(2363)] = 90382,
  [SMALL_STATE(2364)] = 90490,
  [SMALL_STATE(2365)] = 90572,
  [SMALL_STATE(2366)] = 90644,
  [SMALL_STATE(2367)] = 90740,
  [SMALL_STATE(2368)] = 90838,
  [SMALL_STATE(2369)] = 90916,
  [SMALL_STATE(2370)] = 91006,
  [SMALL_STATE(2371)] = 91098,
  [SMALL_STATE(2372)] = 91192,
  [SMALL_STATE(2373)] = 91268,
  [SMALL_STATE(2374)] = 91346,
  [SMALL_STATE(2375)] = 91432,
  [SMALL_STATE(2376)] = 91532,
  [SMALL_STATE(2377)] = 91640,
  [SMALL_STATE(2378)] = 91748,
  [SMALL_STATE(2379)] = 91856,
  [SMALL_STATE(2380)] = 91964,
  [SMALL_STATE(2381)] = 92072,
  [SMALL_STATE(2382)] = 92180,
  [SMALL_STATE(2383)] = 92288,
  [SMALL_STATE(2384)] = 92396,
  [SMALL_STATE(2385)] = 92466,
  [SMALL_STATE(2386)] = 92542,
  [SMALL_STATE(2387)] = 92650,
  [SMALL_STATE(2388)] = 92718,
  [SMALL_STATE(2389)] = 92782,
  [SMALL_STATE(2390)] = 92834,
  [SMALL_STATE(2391)] = 92894,
  [SMALL_STATE(2392)] = 92953,
  [SMALL_STATE(2393)] = 93004,
  [SMALL_STATE(2394)] = 93085,
  [SMALL_STATE(2395)] = 93144,
  [SMALL_STATE(2396)] = 93211,
  [SMALL_STATE(2397)] = 93274,
  [SMALL_STATE(2398)] = 93379,
  [SMALL_STATE(2399)] = 93438,
  [SMALL_STATE(2400)] = 93507,
  [SMALL_STATE(2401)] = 93576,
  [SMALL_STATE(2402)] = 93681,
  [SMALL_STATE(2403)] = 93740,
  [SMALL_STATE(2404)] = 93809,
  [SMALL_STATE(2405)] = 93868,
  [SMALL_STATE(2406)] = 93927,
  [SMALL_STATE(2407)] = 94032,
  [SMALL_STATE(2408)] = 94137,
  [SMALL_STATE(2409)] = 94242,
  [SMALL_STATE(2410)] = 94347,
  [SMALL_STATE(2411)] = 94452,
  [SMALL_STATE(2412)] = 94533,
  [SMALL_STATE(2413)] = 94604,
  [SMALL_STATE(2414)] = 94699,
  [SMALL_STATE(2415)] = 94796,
  [SMALL_STATE(2416)] = 94873,
  [SMALL_STATE(2417)] = 94962,
  [SMALL_STATE(2418)] = 95053,
  [SMALL_STATE(2419)] = 95146,
  [SMALL_STATE(2420)] = 95221,
  [SMALL_STATE(2421)] = 95298,
  [SMALL_STATE(2422)] = 95383,
  [SMALL_STATE(2423)] = 95482,
  [SMALL_STATE(2424)] = 95587,
  [SMALL_STATE(2425)] = 95692,
  [SMALL_STATE(2426)] = 95751,
  [SMALL_STATE(2427)] = 95856,
  [SMALL_STATE(2428)] = 95961,
  [SMALL_STATE(2429)] = 96066,
  [SMALL_STATE(2430)] = 96171,
  [SMALL_STATE(2431)] = 96276,
  [SMALL_STATE(2432)] = 96353,
  [SMALL_STATE(2433)] = 96412,
  [SMALL_STATE(2434)] = 96517,
  [SMALL_STATE(2435)] = 96576,
  [SMALL_STATE(2436)] = 96635,
  [SMALL_STATE(2437)] = 96692,
  [SMALL_STATE(2438)] = 96759,
  [SMALL_STATE(2439)] = 96822,
  [SMALL_STATE(2440)] = 96889,
  [SMALL_STATE(2441)] = 96952,
  [SMALL_STATE(2442)] = 97011,
  [SMALL_STATE(2443)] = 97070,
  [SMALL_STATE(2444)] = 97129,
  [SMALL_STATE(2445)] = 97180,
  [SMALL_STATE(2446)] = 97231,
  [SMALL_STATE(2447)] = 97306,
  [SMALL_STATE(2448)] = 97381,
  [SMALL_STATE(2449)] = 97440,
  [SMALL_STATE(2450)] = 97545,
  [SMALL_STATE(2451)] = 97612,
  [SMALL_STATE(2452)] = 97681,
  [SMALL_STATE(2453)] = 97750,
  [SMALL_STATE(2454)] = 97801,
  [SMALL_STATE(2455)] = 97856,
  [SMALL_STATE(2456)] = 97913,
  [SMALL_STATE(2457)] = 97970,
  [SMALL_STATE(2458)] = 98023,
  [SMALL_STATE(2459)] = 98076,
  [SMALL_STATE(2460)] = 98135,
  [SMALL_STATE(2461)] = 98194,
  [SMALL_STATE(2462)] = 98263,
  [SMALL_STATE(2463)] = 98330,
  [SMALL_STATE(2464)] = 98393,
  [SMALL_STATE(2465)] = 98460,
  [SMALL_STATE(2466)] = 98523,
  [SMALL_STATE(2467)] = 98578,
  [SMALL_STATE(2468)] = 98637,
  [SMALL_STATE(2469)] = 98692,
  [SMALL_STATE(2470)] = 98751,
  [SMALL_STATE(2471)] = 98840,
  [SMALL_STATE(2472)] = 98899,
  [SMALL_STATE(2473)] = 98958,
  [SMALL_STATE(2474)] = 99027,
  [SMALL_STATE(2475)] = 99086,
  [SMALL_STATE(2476)] = 99141,
  [SMALL_STATE(2477)] = 99198,
  [SMALL_STATE(2478)] = 99255,
  [SMALL_STATE(2479)] = 99312,
  [SMALL_STATE(2480)] = 99369,
  [SMALL_STATE(2481)] = 99438,
  [SMALL_STATE(2482)] = 99488,
  [SMALL_STATE(2483)] = 99542,
  [SMALL_STATE(2484)] = 99596,
  [SMALL_STATE(2485)] = 99656,
  [SMALL_STATE(2486)] = 99716,
  [SMALL_STATE(2487)] = 99776,
  [SMALL_STATE(2488)] = 99836,
  [SMALL_STATE(2489)] = 99896,
  [SMALL_STATE(2490)] = 99956,
  [SMALL_STATE(2491)] = 100016,
  [SMALL_STATE(2492)] = 100076,
  [SMALL_STATE(2493)] = 100136,
  [SMALL_STATE(2494)] = 100184,
  [SMALL_STATE(2495)] = 100256,
  [SMALL_STATE(2496)] = 100316,
  [SMALL_STATE(2497)] = 100376,
  [SMALL_STATE(2498)] = 100436,
  [SMALL_STATE(2499)] = 100490,
  [SMALL_STATE(2500)] = 100544,
  [SMALL_STATE(2501)] = 100598,
  [SMALL_STATE(2502)] = 100652,
  [SMALL_STATE(2503)] = 100702,
  [SMALL_STATE(2504)] = 100752,
  [SMALL_STATE(2505)] = 100802,
  [SMALL_STATE(2506)] = 100852,
  [SMALL_STATE(2507)] = 100900,
  [SMALL_STATE(2508)] = 100950,
  [SMALL_STATE(2509)] = 101018,
  [SMALL_STATE(2510)] = 101068,
  [SMALL_STATE(2511)] = 101118,
  [SMALL_STATE(2512)] = 101178,
  [SMALL_STATE(2513)] = 101228,
  [SMALL_STATE(2514)] = 101282,
  [SMALL_STATE(2515)] = 101332,
  [SMALL_STATE(2516)] = 101398,
  [SMALL_STATE(2517)] = 101452,
  [SMALL_STATE(2518)] = 101506,
  [SMALL_STATE(2519)] = 101566,
  [SMALL_STATE(2520)] = 101620,
  [SMALL_STATE(2521)] = 101680,
  [SMALL_STATE(2522)] = 101750,
  [SMALL_STATE(2523)] = 101810,
  [SMALL_STATE(2524)] = 101860,
  [SMALL_STATE(2525)] = 101916,
  [SMALL_STATE(2526)] = 101966,
  [SMALL_STATE(2527)] = 102034,
  [SMALL_STATE(2528)] = 102082,
  [SMALL_STATE(2529)] = 102141,
  [SMALL_STATE(2530)] = 102190,
  [SMALL_STATE(2531)] = 102243,
  [SMALL_STATE(2532)] = 102302,
  [SMALL_STATE(2533)] = 102361,
  [SMALL_STATE(2534)] = 102420,
  [SMALL_STATE(2535)] = 102479,
  [SMALL_STATE(2536)] = 102528,
  [SMALL_STATE(2537)] = 102587,
  [SMALL_STATE(2538)] = 102640,
  [SMALL_STATE(2539)] = 102699,
  [SMALL_STATE(2540)] = 102762,
  [SMALL_STATE(2541)] = 102821,
  [SMALL_STATE(2542)] = 102884,
  [SMALL_STATE(2543)] = 102943,
  [SMALL_STATE(2544)] = 103004,
  [SMALL_STATE(2545)] = 103069,
  [SMALL_STATE(2546)] = 103122,
  [SMALL_STATE(2547)] = 103175,
  [SMALL_STATE(2548)] = 103228,
  [SMALL_STATE(2549)] = 103287,
  [SMALL_STATE(2550)] = 103346,
  [SMALL_STATE(2551)] = 103405,
  [SMALL_STATE(2552)] = 103464,
  [SMALL_STATE(2553)] = 103523,
  [SMALL_STATE(2554)] = 103572,
  [SMALL_STATE(2555)] = 103618,
  [SMALL_STATE(2556)] = 103668,
  [SMALL_STATE(2557)] = 103714,
  [SMALL_STATE(2558)] = 103760,
  [SMALL_STATE(2559)] = 103808,
  [SMALL_STATE(2560)] = 103856,
  [SMALL_STATE(2561)] = 103902,
  [SMALL_STATE(2562)] = 103948,
  [SMALL_STATE(2563)] = 103994,
  [SMALL_STATE(2564)] = 104040,
  [SMALL_STATE(2565)] = 104086,
  [SMALL_STATE(2566)] = 104132,
  [SMALL_STATE(2567)] = 104180,
  [SMALL_STATE(2568)] = 104228,
  [SMALL_STATE(2569)] = 104276,
  [SMALL_STATE(2570)] = 104322,
  [SMALL_STATE(2571)] = 104368,
  [SMALL_STATE(2572)] = 104414,
  [SMALL_STATE(2573)] = 104462,
  [SMALL_STATE(2574)] = 104510,
  [SMALL_STATE(2575)] = 104558,
  [SMALL_STATE(2576)] = 104604,
  [SMALL_STATE(2577)] = 104650,
  [SMALL_STATE(2578)] = 104696,
  [SMALL_STATE(2579)] = 104754,
  [SMALL_STATE(2580)] = 104804,
  [SMALL_STATE(2581)] = 104850,
  [SMALL_STATE(2582)] = 104896,
  [SMALL_STATE(2583)] = 104942,
  [SMALL_STATE(2584)] = 104990,
  [SMALL_STATE(2585)] = 105036,
  [SMALL_STATE(2586)] = 105082,
  [SMALL_STATE(2587)] = 105128,
  [SMALL_STATE(2588)] = 105174,
  [SMALL_STATE(2589)] = 105220,
  [SMALL_STATE(2590)] = 105276,
  [SMALL_STATE(2591)] = 105322,
  [SMALL_STATE(2592)] = 105370,
  [SMALL_STATE(2593)] = 105416,
  [SMALL_STATE(2594)] = 105462,
  [SMALL_STATE(2595)] = 105508,
  [SMALL_STATE(2596)] = 105554,
  [SMALL_STATE(2597)] = 105600,
  [SMALL_STATE(2598)] = 105646,
  [SMALL_STATE(2599)] = 105692,
  [SMALL_STATE(2600)] = 105738,
  [SMALL_STATE(2601)] = 105784,
  [SMALL_STATE(2602)] = 105830,
  [SMALL_STATE(2603)] = 105876,
  [SMALL_STATE(2604)] = 105922,
  [SMALL_STATE(2605)] = 105968,
  [SMALL_STATE(2606)] = 106014,
  [SMALL_STATE(2607)] = 106060,
  [SMALL_STATE(2608)] = 106106,
  [SMALL_STATE(2609)] = 106152,
  [SMALL_STATE(2610)] = 106198,
  [SMALL_STATE(2611)] = 106246,
  [SMALL_STATE(2612)] = 106292,
  [SMALL_STATE(2613)] = 106338,
  [SMALL_STATE(2614)] = 106384,
  [SMALL_STATE(2615)] = 106432,
  [SMALL_STATE(2616)] = 106478,
  [SMALL_STATE(2617)] = 106526,
  [SMALL_STATE(2618)] = 106571,
  [SMALL_STATE(2619)] = 106616,
  [SMALL_STATE(2620)] = 106661,
  [SMALL_STATE(2621)] = 106706,
  [SMALL_STATE(2622)] = 106759,
  [SMALL_STATE(2623)] = 106812,
  [SMALL_STATE(2624)] = 106863,
  [SMALL_STATE(2625)] = 106914,
  [SMALL_STATE(2626)] = 106959,
  [SMALL_STATE(2627)] = 107004,
  [SMALL_STATE(2628)] = 107049,
  [SMALL_STATE(2629)] = 107116,
  [SMALL_STATE(2630)] = 107161,
  [SMALL_STATE(2631)] = 107221,
  [SMALL_STATE(2632)] = 107281,
  [SMALL_STATE(2633)] = 107339,
  [SMALL_STATE(2634)] = 107387,
  [SMALL_STATE(2635)] = 107459,
  [SMALL_STATE(2636)] = 107517,
  [SMALL_STATE(2637)] = 107577,
  [SMALL_STATE(2638)] = 107635,
  [SMALL_STATE(2639)] = 107683,
  [SMALL_STATE(2640)] = 107741,
  [SMALL_STATE(2641)] = 107797,
  [SMALL_STATE(2642)] = 107869,
  [SMALL_STATE(2643)] = 107922,
  [SMALL_STATE(2644)] = 107985,
  [SMALL_STATE(2645)] = 108038,
  [SMALL_STATE(2646)] = 108091,
  [SMALL_STATE(2647)] = 108144,
  [SMALL_STATE(2648)] = 108197,
  [SMALL_STATE(2649)] = 108250,
  [SMALL_STATE(2650)] = 108303,
  [SMALL_STATE(2651)] = 108356,
  [SMALL_STATE(2652)] = 108409,
  [SMALL_STATE(2653)] = 108462,
  [SMALL_STATE(2654)] = 108525,
  [SMALL_STATE(2655)] = 108578,
  [SMALL_STATE(2656)] = 108631,
  [SMALL_STATE(2657)] = 108684,
  [SMALL_STATE(2658)] = 108747,
  [SMALL_STATE(2659)] = 108800,
  [SMALL_STATE(2660)] = 108853,
  [SMALL_STATE(2661)] = 108906,
  [SMALL_STATE(2662)] = 108959,
  [SMALL_STATE(2663)] = 109012,
  [SMALL_STATE(2664)] = 109065,
  [SMALL_STATE(2665)] = 109118,
  [SMALL_STATE(2666)] = 109171,
  [SMALL_STATE(2667)] = 109234,
  [SMALL_STATE(2668)] = 109283,
  [SMALL_STATE(2669)] = 109336,
  [SMALL_STATE(2670)] = 109389,
  [SMALL_STATE(2671)] = 109442,
  [SMALL_STATE(2672)] = 109495,
  [SMALL_STATE(2673)] = 109548,
  [SMALL_STATE(2674)] = 109601,
  [SMALL_STATE(2675)] = 109655,
  [SMALL_STATE(2676)] = 109709,
  [SMALL_STATE(2677)] = 109773,
  [SMALL_STATE(2678)] = 109837,
  [SMALL_STATE(2679)] = 109891,
  [SMALL_STATE(2680)] = 109951,
  [SMALL_STATE(2681)] = 110031,
  [SMALL_STATE(2682)] = 110091,
  [SMALL_STATE(2683)] = 110171,
  [SMALL_STATE(2684)] = 110251,
  [SMALL_STATE(2685)] = 110305,
  [SMALL_STATE(2686)] = 110365,
  [SMALL_STATE(2687)] = 110419,
  [SMALL_STATE(2688)] = 110499,
  [SMALL_STATE(2689)] = 110579,
  [SMALL_STATE(2690)] = 110633,
  [SMALL_STATE(2691)] = 110713,
  [SMALL_STATE(2692)] = 110767,
  [SMALL_STATE(2693)] = 110821,
  [SMALL_STATE(2694)] = 110881,
  [SMALL_STATE(2695)] = 110941,
  [SMALL_STATE(2696)] = 110995,
  [SMALL_STATE(2697)] = 111055,
  [SMALL_STATE(2698)] = 111119,
  [SMALL_STATE(2699)] = 111173,
  [SMALL_STATE(2700)] = 111253,
  [SMALL_STATE(2701)] = 111313,
  [SMALL_STATE(2702)] = 111366,
  [SMALL_STATE(2703)] = 111423,
  [SMALL_STATE(2704)] = 111474,
  [SMALL_STATE(2705)] = 111517,
  [SMALL_STATE(2706)] = 111570,
  [SMALL_STATE(2707)] = 111623,
  [SMALL_STATE(2708)] = 111676,
  [SMALL_STATE(2709)] = 111729,
  [SMALL_STATE(2710)] = 111786,
  [SMALL_STATE(2711)] = 111843,
  [SMALL_STATE(2712)] = 111896,
  [SMALL_STATE(2713)] = 111949,
  [SMALL_STATE(2714)] = 112002,
  [SMALL_STATE(2715)] = 112053,
  [SMALL_STATE(2716)] = 112106,
  [SMALL_STATE(2717)] = 112163,
  [SMALL_STATE(2718)] = 112214,
  [SMALL_STATE(2719)] = 112265,
  [SMALL_STATE(2720)] = 112322,
  [SMALL_STATE(2721)] = 112373,
  [SMALL_STATE(2722)] = 112426,
  [SMALL_STATE(2723)] = 112483,
  [SMALL_STATE(2724)] = 112536,
  [SMALL_STATE(2725)] = 112577,
  [SMALL_STATE(2726)] = 112628,
  [SMALL_STATE(2727)] = 112685,
  [SMALL_STATE(2728)] = 112738,
  [SMALL_STATE(2729)] = 112795,
  [SMALL_STATE(2730)] = 112836,
  [SMALL_STATE(2731)] = 112889,
  [SMALL_STATE(2732)] = 112940,
  [SMALL_STATE(2733)] = 112997,
  [SMALL_STATE(2734)] = 113050,
  [SMALL_STATE(2735)] = 113101,
  [SMALL_STATE(2736)] = 113142,
  [SMALL_STATE(2737)] = 113195,
  [SMALL_STATE(2738)] = 113246,
  [SMALL_STATE(2739)] = 113299,
  [SMALL_STATE(2740)] = 113340,
  [SMALL_STATE(2741)] = 113388,
  [SMALL_STATE(2742)] = 113436,
  [SMALL_STATE(2743)] = 113484,
  [SMALL_STATE(2744)] = 113532,
  [SMALL_STATE(2745)] = 113580,
  [SMALL_STATE(2746)] = 113628,
  [SMALL_STATE(2747)] = 113676,
  [SMALL_STATE(2748)] = 113724,
  [SMALL_STATE(2749)] = 113772,
  [SMALL_STATE(2750)] = 113820,
  [SMALL_STATE(2751)] = 113868,
  [SMALL_STATE(2752)] = 113916,
  [SMALL_STATE(2753)] = 113964,
  [SMALL_STATE(2754)] = 114012,
  [SMALL_STATE(2755)] = 114060,
  [SMALL_STATE(2756)] = 114108,
  [SMALL_STATE(2757)] = 114156,
  [SMALL_STATE(2758)] = 114204,
  [SMALL_STATE(2759)] = 114252,
  [SMALL_STATE(2760)] = 114300,
  [SMALL_STATE(2761)] = 114348,
  [SMALL_STATE(2762)] = 114396,
  [SMALL_STATE(2763)] = 114444,
  [SMALL_STATE(2764)] = 114492,
  [SMALL_STATE(2765)] = 114540,
  [SMALL_STATE(2766)] = 114588,
  [SMALL_STATE(2767)] = 114636,
  [SMALL_STATE(2768)] = 114684,
  [SMALL_STATE(2769)] = 114732,
  [SMALL_STATE(2770)] = 114780,
  [SMALL_STATE(2771)] = 114828,
  [SMALL_STATE(2772)] = 114876,
  [SMALL_STATE(2773)] = 114924,
  [SMALL_STATE(2774)] = 114972,
  [SMALL_STATE(2775)] = 115020,
  [SMALL_STATE(2776)] = 115068,
  [SMALL_STATE(2777)] = 115116,
  [SMALL_STATE(2778)] = 115164,
  [SMALL_STATE(2779)] = 115212,
  [SMALL_STATE(2780)] = 115260,
  [SMALL_STATE(2781)] = 115308,
  [SMALL_STATE(2782)] = 115356,
  [SMALL_STATE(2783)] = 115404,
  [SMALL_STATE(2784)] = 115452,
  [SMALL_STATE(2785)] = 115500,
  [SMALL_STATE(2786)] = 115548,
  [SMALL_STATE(2787)] = 115596,
  [SMALL_STATE(2788)] = 115644,
  [SMALL_STATE(2789)] = 115692,
  [SMALL_STATE(2790)] = 115740,
  [SMALL_STATE(2791)] = 115788,
  [SMALL_STATE(2792)] = 115836,
  [SMALL_STATE(2793)] = 115884,
  [SMALL_STATE(2794)] = 115932,
  [SMALL_STATE(2795)] = 115980,
  [SMALL_STATE(2796)] = 116028,
  [SMALL_STATE(2797)] = 116076,
  [SMALL_STATE(2798)] = 116124,
  [SMALL_STATE(2799)] = 116172,
  [SMALL_STATE(2800)] = 116220,
  [SMALL_STATE(2801)] = 116268,
  [SMALL_STATE(2802)] = 116316,
  [SMALL_STATE(2803)] = 116364,
  [SMALL_STATE(2804)] = 116412,
  [SMALL_STATE(2805)] = 116460,
  [SMALL_STATE(2806)] = 116508,
  [SMALL_STATE(2807)] = 116556,
  [SMALL_STATE(2808)] = 116604,
  [SMALL_STATE(2809)] = 116652,
  [SMALL_STATE(2810)] = 116700,
  [SMALL_STATE(2811)] = 116748,
  [SMALL_STATE(2812)] = 116796,
  [SMALL_STATE(2813)] = 116844,
  [SMALL_STATE(2814)] = 116892,
  [SMALL_STATE(2815)] = 116940,
  [SMALL_STATE(2816)] = 116988,
  [SMALL_STATE(2817)] = 117036,
  [SMALL_STATE(2818)] = 117084,
  [SMALL_STATE(2819)] = 117132,
  [SMALL_STATE(2820)] = 117180,
  [SMALL_STATE(2821)] = 117228,
  [SMALL_STATE(2822)] = 117276,
  [SMALL_STATE(2823)] = 117324,
  [SMALL_STATE(2824)] = 117372,
  [SMALL_STATE(2825)] = 117420,
  [SMALL_STATE(2826)] = 117468,
  [SMALL_STATE(2827)] = 117516,
  [SMALL_STATE(2828)] = 117564,
  [SMALL_STATE(2829)] = 117612,
  [SMALL_STATE(2830)] = 117660,
  [SMALL_STATE(2831)] = 117708,
  [SMALL_STATE(2832)] = 117756,
  [SMALL_STATE(2833)] = 117804,
  [SMALL_STATE(2834)] = 117852,
  [SMALL_STATE(2835)] = 117887,
  [SMALL_STATE(2836)] = 117928,
  [SMALL_STATE(2837)] = 117969,
  [SMALL_STATE(2838)] = 118010,
  [SMALL_STATE(2839)] = 118038,
  [SMALL_STATE(2840)] = 118066,
  [SMALL_STATE(2841)] = 118094,
  [SMALL_STATE(2842)] = 118122,
  [SMALL_STATE(2843)] = 118150,
  [SMALL_STATE(2844)] = 118178,
  [SMALL_STATE(2845)] = 118206,
  [SMALL_STATE(2846)] = 118234,
  [SMALL_STATE(2847)] = 118262,
  [SMALL_STATE(2848)] = 118290,
  [SMALL_STATE(2849)] = 118318,
  [SMALL_STATE(2850)] = 118346,
  [SMALL_STATE(2851)] = 118374,
  [SMALL_STATE(2852)] = 118402,
  [SMALL_STATE(2853)] = 118430,
  [SMALL_STATE(2854)] = 118458,
  [SMALL_STATE(2855)] = 118486,
  [SMALL_STATE(2856)] = 118514,
  [SMALL_STATE(2857)] = 118542,
  [SMALL_STATE(2858)] = 118570,
  [SMALL_STATE(2859)] = 118598,
  [SMALL_STATE(2860)] = 118626,
  [SMALL_STATE(2861)] = 118654,
  [SMALL_STATE(2862)] = 118682,
  [SMALL_STATE(2863)] = 118710,
  [SMALL_STATE(2864)] = 118738,
  [SMALL_STATE(2865)] = 118766,
  [SMALL_STATE(2866)] = 118794,
  [SMALL_STATE(2867)] = 118822,
  [SMALL_STATE(2868)] = 118850,
  [SMALL_STATE(2869)] = 118878,
  [SMALL_STATE(2870)] = 118906,
  [SMALL_STATE(2871)] = 118934,
  [SMALL_STATE(2872)] = 118962,
  [SMALL_STATE(2873)] = 119019,
  [SMALL_STATE(2874)] = 119068,
  [SMALL_STATE(2875)] = 119101,
  [SMALL_STATE(2876)] = 119158,
  [SMALL_STATE(2877)] = 119188,
  [SMALL_STATE(2878)] = 119218,
  [SMALL_STATE(2879)] = 119244,
  [SMALL_STATE(2880)] = 119270,
  [SMALL_STATE(2881)] = 119304,
  [SMALL_STATE(2882)] = 119330,
  [SMALL_STATE(2883)] = 119360,
  [SMALL_STATE(2884)] = 119386,
  [SMALL_STATE(2885)] = 119412,
  [SMALL_STATE(2886)] = 119438,
  [SMALL_STATE(2887)] = 119466,
  [SMALL_STATE(2888)] = 119492,
  [SMALL_STATE(2889)] = 119518,
  [SMALL_STATE(2890)] = 119556,
  [SMALL_STATE(2891)] = 119582,
  [SMALL_STATE(2892)] = 119608,
  [SMALL_STATE(2893)] = 119634,
  [SMALL_STATE(2894)] = 119662,
  [SMALL_STATE(2895)] = 119688,
  [SMALL_STATE(2896)] = 119714,
  [SMALL_STATE(2897)] = 119752,
  [SMALL_STATE(2898)] = 119778,
  [SMALL_STATE(2899)] = 119816,
  [SMALL_STATE(2900)] = 119843,
  [SMALL_STATE(2901)] = 119874,
  [SMALL_STATE(2902)] = 119899,
  [SMALL_STATE(2903)] = 119924,
  [SMALL_STATE(2904)] = 119949,
  [SMALL_STATE(2905)] = 119974,
  [SMALL_STATE(2906)] = 119996,
  [SMALL_STATE(2907)] = 120020,
  [SMALL_STATE(2908)] = 120054,
  [SMALL_STATE(2909)] = 120088,
  [SMALL_STATE(2910)] = 120120,
  [SMALL_STATE(2911)] = 120154,
  [SMALL_STATE(2912)] = 120188,
  [SMALL_STATE(2913)] = 120212,
  [SMALL_STATE(2914)] = 120236,
  [SMALL_STATE(2915)] = 120258,
  [SMALL_STATE(2916)] = 120282,
  [SMALL_STATE(2917)] = 120304,
  [SMALL_STATE(2918)] = 120328,
  [SMALL_STATE(2919)] = 120354,
  [SMALL_STATE(2920)] = 120378,
  [SMALL_STATE(2921)] = 120410,
  [SMALL_STATE(2922)] = 120434,
  [SMALL_STATE(2923)] = 120456,
  [SMALL_STATE(2924)] = 120480,
  [SMALL_STATE(2925)] = 120504,
  [SMALL_STATE(2926)] = 120538,
  [SMALL_STATE(2927)] = 120562,
  [SMALL_STATE(2928)] = 120586,
  [SMALL_STATE(2929)] = 120610,
  [SMALL_STATE(2930)] = 120634,
  [SMALL_STATE(2931)] = 120658,
  [SMALL_STATE(2932)] = 120692,
  [SMALL_STATE(2933)] = 120716,
  [SMALL_STATE(2934)] = 120738,
  [SMALL_STATE(2935)] = 120762,
  [SMALL_STATE(2936)] = 120786,
  [SMALL_STATE(2937)] = 120810,
  [SMALL_STATE(2938)] = 120844,
  [SMALL_STATE(2939)] = 120868,
  [SMALL_STATE(2940)] = 120900,
  [SMALL_STATE(2941)] = 120924,
  [SMALL_STATE(2942)] = 120948,
  [SMALL_STATE(2943)] = 120972,
  [SMALL_STATE(2944)] = 120996,
  [SMALL_STATE(2945)] = 121020,
  [SMALL_STATE(2946)] = 121044,
  [SMALL_STATE(2947)] = 121068,
  [SMALL_STATE(2948)] = 121092,
  [SMALL_STATE(2949)] = 121116,
  [SMALL_STATE(2950)] = 121140,
  [SMALL_STATE(2951)] = 121164,
  [SMALL_STATE(2952)] = 121188,
  [SMALL_STATE(2953)] = 121212,
  [SMALL_STATE(2954)] = 121244,
  [SMALL_STATE(2955)] = 121278,
  [SMALL_STATE(2956)] = 121312,
  [SMALL_STATE(2957)] = 121346,
  [SMALL_STATE(2958)] = 121370,
  [SMALL_STATE(2959)] = 121394,
  [SMALL_STATE(2960)] = 121418,
  [SMALL_STATE(2961)] = 121442,
  [SMALL_STATE(2962)] = 121466,
  [SMALL_STATE(2963)] = 121488,
  [SMALL_STATE(2964)] = 121512,
  [SMALL_STATE(2965)] = 121534,
  [SMALL_STATE(2966)] = 121558,
  [SMALL_STATE(2967)] = 121582,
  [SMALL_STATE(2968)] = 121606,
  [SMALL_STATE(2969)] = 121630,
  [SMALL_STATE(2970)] = 121654,
  [SMALL_STATE(2971)] = 121688,
  [SMALL_STATE(2972)] = 121712,
  [SMALL_STATE(2973)] = 121736,
  [SMALL_STATE(2974)] = 121758,
  [SMALL_STATE(2975)] = 121782,
  [SMALL_STATE(2976)] = 121806,
  [SMALL_STATE(2977)] = 121830,
  [SMALL_STATE(2978)] = 121854,
  [SMALL_STATE(2979)] = 121878,
  [SMALL_STATE(2980)] = 121902,
  [SMALL_STATE(2981)] = 121926,
  [SMALL_STATE(2982)] = 121954,
  [SMALL_STATE(2983)] = 121988,
  [SMALL_STATE(2984)] = 122012,
  [SMALL_STATE(2985)] = 122036,
  [SMALL_STATE(2986)] = 122060,
  [SMALL_STATE(2987)] = 122084,
  [SMALL_STATE(2988)] = 122108,
  [SMALL_STATE(2989)] = 122140,
  [SMALL_STATE(2990)] = 122164,
  [SMALL_STATE(2991)] = 122198,
  [SMALL_STATE(2992)] = 122220,
  [SMALL_STATE(2993)] = 122254,
  [SMALL_STATE(2994)] = 122288,
  [SMALL_STATE(2995)] = 122312,
  [SMALL_STATE(2996)] = 122336,
  [SMALL_STATE(2997)] = 122368,
  [SMALL_STATE(2998)] = 122394,
  [SMALL_STATE(2999)] = 122428,
  [SMALL_STATE(3000)] = 122462,
  [SMALL_STATE(3001)] = 122496,
  [SMALL_STATE(3002)] = 122520,
  [SMALL_STATE(3003)] = 122544,
  [SMALL_STATE(3004)] = 122568,
  [SMALL_STATE(3005)] = 122592,
  [SMALL_STATE(3006)] = 122616,
  [SMALL_STATE(3007)] = 122645,
  [SMALL_STATE(3008)] = 122684,
  [SMALL_STATE(3009)] = 122727,
  [SMALL_STATE(3010)] = 122772,
  [SMALL_STATE(3011)] = 122815,
  [SMALL_STATE(3012)] = 122842,
  [SMALL_STATE(3013)] = 122885,
  [SMALL_STATE(3014)] = 122914,
  [SMALL_STATE(3015)] = 122957,
  [SMALL_STATE(3016)] = 123000,
  [SMALL_STATE(3017)] = 123043,
  [SMALL_STATE(3018)] = 123086,
  [SMALL_STATE(3019)] = 123129,
  [SMALL_STATE(3020)] = 123172,
  [SMALL_STATE(3021)] = 123215,
  [SMALL_STATE(3022)] = 123258,
  [SMALL_STATE(3023)] = 123301,
  [SMALL_STATE(3024)] = 123344,
  [SMALL_STATE(3025)] = 123373,
  [SMALL_STATE(3026)] = 123402,
  [SMALL_STATE(3027)] = 123445,
  [SMALL_STATE(3028)] = 123488,
  [SMALL_STATE(3029)] = 123527,
  [SMALL_STATE(3030)] = 123556,
  [SMALL_STATE(3031)] = 123599,
  [SMALL_STATE(3032)] = 123628,
  [SMALL_STATE(3033)] = 123671,
  [SMALL_STATE(3034)] = 123714,
  [SMALL_STATE(3035)] = 123743,
  [SMALL_STATE(3036)] = 123782,
  [SMALL_STATE(3037)] = 123821,
  [SMALL_STATE(3038)] = 123864,
  [SMALL_STATE(3039)] = 123889,
  [SMALL_STATE(3040)] = 123928,
  [SMALL_STATE(3041)] = 123953,
  [SMALL_STATE(3042)] = 123996,
  [SMALL_STATE(3043)] = 124039,
  [SMALL_STATE(3044)] = 124082,
  [SMALL_STATE(3045)] = 124117,
  [SMALL_STATE(3046)] = 124146,
  [SMALL_STATE(3047)] = 124175,
  [SMALL_STATE(3048)] = 124200,
  [SMALL_STATE(3049)] = 124243,
  [SMALL_STATE(3050)] = 124263,
  [SMALL_STATE(3051)] = 124283,
  [SMALL_STATE(3052)] = 124303,
  [SMALL_STATE(3053)] = 124323,
  [SMALL_STATE(3054)] = 124343,
  [SMALL_STATE(3055)] = 124363,
  [SMALL_STATE(3056)] = 124399,
  [SMALL_STATE(3057)] = 124435,
  [SMALL_STATE(3058)] = 124471,
  [SMALL_STATE(3059)] = 124499,
  [SMALL_STATE(3060)] = 124535,
  [SMALL_STATE(3061)] = 124571,
  [SMALL_STATE(3062)] = 124607,
  [SMALL_STATE(3063)] = 124649,
  [SMALL_STATE(3064)] = 124685,
  [SMALL_STATE(3065)] = 124721,
  [SMALL_STATE(3066)] = 124757,
  [SMALL_STATE(3067)] = 124785,
  [SMALL_STATE(3068)] = 124811,
  [SMALL_STATE(3069)] = 124847,
  [SMALL_STATE(3070)] = 124883,
  [SMALL_STATE(3071)] = 124909,
  [SMALL_STATE(3072)] = 124935,
  [SMALL_STATE(3073)] = 124971,
  [SMALL_STATE(3074)] = 124993,
  [SMALL_STATE(3075)] = 125015,
  [SMALL_STATE(3076)] = 125037,
  [SMALL_STATE(3077)] = 125061,
  [SMALL_STATE(3078)] = 125083,
  [SMALL_STATE(3079)] = 125105,
  [SMALL_STATE(3080)] = 125129,
  [SMALL_STATE(3081)] = 125157,
  [SMALL_STATE(3082)] = 125179,
  [SMALL_STATE(3083)] = 125201,
  [SMALL_STATE(3084)] = 125223,
  [SMALL_STATE(3085)] = 125245,
  [SMALL_STATE(3086)] = 125269,
  [SMALL_STATE(3087)] = 125289,
  [SMALL_STATE(3088)] = 125325,
  [SMALL_STATE(3089)] = 125353,
  [SMALL_STATE(3090)] = 125381,
  [SMALL_STATE(3091)] = 125417,
  [SMALL_STATE(3092)] = 125439,
  [SMALL_STATE(3093)] = 125459,
  [SMALL_STATE(3094)] = 125479,
  [SMALL_STATE(3095)] = 125501,
  [SMALL_STATE(3096)] = 125523,
  [SMALL_STATE(3097)] = 125547,
  [SMALL_STATE(3098)] = 125589,
  [SMALL_STATE(3099)] = 125617,
  [SMALL_STATE(3100)] = 125641,
  [SMALL_STATE(3101)] = 125663,
  [SMALL_STATE(3102)] = 125685,
  [SMALL_STATE(3103)] = 125713,
  [SMALL_STATE(3104)] = 125735,
  [SMALL_STATE(3105)] = 125771,
  [SMALL_STATE(3106)] = 125799,
  [SMALL_STATE(3107)] = 125827,
  [SMALL_STATE(3108)] = 125863,
  [SMALL_STATE(3109)] = 125899,
  [SMALL_STATE(3110)] = 125919,
  [SMALL_STATE(3111)] = 125939,
  [SMALL_STATE(3112)] = 125959,
  [SMALL_STATE(3113)] = 125979,
  [SMALL_STATE(3114)] = 125999,
  [SMALL_STATE(3115)] = 126019,
  [SMALL_STATE(3116)] = 126039,
  [SMALL_STATE(3117)] = 126059,
  [SMALL_STATE(3118)] = 126079,
  [SMALL_STATE(3119)] = 126099,
  [SMALL_STATE(3120)] = 126119,
  [SMALL_STATE(3121)] = 126139,
  [SMALL_STATE(3122)] = 126159,
  [SMALL_STATE(3123)] = 126179,
  [SMALL_STATE(3124)] = 126199,
  [SMALL_STATE(3125)] = 126219,
  [SMALL_STATE(3126)] = 126239,
  [SMALL_STATE(3127)] = 126259,
  [SMALL_STATE(3128)] = 126279,
  [SMALL_STATE(3129)] = 126299,
  [SMALL_STATE(3130)] = 126319,
  [SMALL_STATE(3131)] = 126339,
  [SMALL_STATE(3132)] = 126359,
  [SMALL_STATE(3133)] = 126379,
  [SMALL_STATE(3134)] = 126399,
  [SMALL_STATE(3135)] = 126435,
  [SMALL_STATE(3136)] = 126458,
  [SMALL_STATE(3137)] = 126487,
  [SMALL_STATE(3138)] = 126524,
  [SMALL_STATE(3139)] = 126553,
  [SMALL_STATE(3140)] = 126576,
  [SMALL_STATE(3141)] = 126613,
  [SMALL_STATE(3142)] = 126644,
  [SMALL_STATE(3143)] = 126681,
  [SMALL_STATE(3144)] = 126718,
  [SMALL_STATE(3145)] = 126751,
  [SMALL_STATE(3146)] = 126772,
  [SMALL_STATE(3147)] = 126809,
  [SMALL_STATE(3148)] = 126830,
  [SMALL_STATE(3149)] = 126851,
  [SMALL_STATE(3150)] = 126888,
  [SMALL_STATE(3151)] = 126927,
  [SMALL_STATE(3152)] = 126960,
  [SMALL_STATE(3153)] = 126993,
  [SMALL_STATE(3154)] = 127030,
  [SMALL_STATE(3155)] = 127067,
  [SMALL_STATE(3156)] = 127104,
  [SMALL_STATE(3157)] = 127141,
  [SMALL_STATE(3158)] = 127180,
  [SMALL_STATE(3159)] = 127213,
  [SMALL_STATE(3160)] = 127238,
  [SMALL_STATE(3161)] = 127263,
  [SMALL_STATE(3162)] = 127300,
  [SMALL_STATE(3163)] = 127319,
  [SMALL_STATE(3164)] = 127358,
  [SMALL_STATE(3165)] = 127391,
  [SMALL_STATE(3166)] = 127424,
  [SMALL_STATE(3167)] = 127461,
  [SMALL_STATE(3168)] = 127494,
  [SMALL_STATE(3169)] = 127523,
  [SMALL_STATE(3170)] = 127556,
  [SMALL_STATE(3171)] = 127595,
  [SMALL_STATE(3172)] = 127614,
  [SMALL_STATE(3173)] = 127647,
  [SMALL_STATE(3174)] = 127676,
  [SMALL_STATE(3175)] = 127697,
  [SMALL_STATE(3176)] = 127728,
  [SMALL_STATE(3177)] = 127759,
  [SMALL_STATE(3178)] = 127790,
  [SMALL_STATE(3179)] = 127827,
  [SMALL_STATE(3180)] = 127858,
  [SMALL_STATE(3181)] = 127895,
  [SMALL_STATE(3182)] = 127932,
  [SMALL_STATE(3183)] = 127965,
  [SMALL_STATE(3184)] = 127998,
  [SMALL_STATE(3185)] = 128035,
  [SMALL_STATE(3186)] = 128072,
  [SMALL_STATE(3187)] = 128095,
  [SMALL_STATE(3188)] = 128134,
  [SMALL_STATE(3189)] = 128163,
  [SMALL_STATE(3190)] = 128200,
  [SMALL_STATE(3191)] = 128237,
  [SMALL_STATE(3192)] = 128274,
  [SMALL_STATE(3193)] = 128311,
  [SMALL_STATE(3194)] = 128334,
  [SMALL_STATE(3195)] = 128371,
  [SMALL_STATE(3196)] = 128408,
  [SMALL_STATE(3197)] = 128428,
  [SMALL_STATE(3198)] = 128446,
  [SMALL_STATE(3199)] = 128466,
  [SMALL_STATE(3200)] = 128486,
  [SMALL_STATE(3201)] = 128506,
  [SMALL_STATE(3202)] = 128526,
  [SMALL_STATE(3203)] = 128546,
  [SMALL_STATE(3204)] = 128564,
  [SMALL_STATE(3205)] = 128584,
  [SMALL_STATE(3206)] = 128604,
  [SMALL_STATE(3207)] = 128626,
  [SMALL_STATE(3208)] = 128646,
  [SMALL_STATE(3209)] = 128666,
  [SMALL_STATE(3210)] = 128686,
  [SMALL_STATE(3211)] = 128706,
  [SMALL_STATE(3212)] = 128726,
  [SMALL_STATE(3213)] = 128748,
  [SMALL_STATE(3214)] = 128768,
  [SMALL_STATE(3215)] = 128788,
  [SMALL_STATE(3216)] = 128808,
  [SMALL_STATE(3217)] = 128832,
  [SMALL_STATE(3218)] = 128856,
  [SMALL_STATE(3219)] = 128878,
  [SMALL_STATE(3220)] = 128900,
  [SMALL_STATE(3221)] = 128920,
  [SMALL_STATE(3222)] = 128940,
  [SMALL_STATE(3223)] = 128960,
  [SMALL_STATE(3224)] = 128980,
  [SMALL_STATE(3225)] = 129000,
  [SMALL_STATE(3226)] = 129020,
  [SMALL_STATE(3227)] = 129040,
  [SMALL_STATE(3228)] = 129060,
  [SMALL_STATE(3229)] = 129080,
  [SMALL_STATE(3230)] = 129104,
  [SMALL_STATE(3231)] = 129124,
  [SMALL_STATE(3232)] = 129146,
  [SMALL_STATE(3233)] = 129166,
  [SMALL_STATE(3234)] = 129186,
  [SMALL_STATE(3235)] = 129206,
  [SMALL_STATE(3236)] = 129230,
  [SMALL_STATE(3237)] = 129250,
  [SMALL_STATE(3238)] = 129274,
  [SMALL_STATE(3239)] = 129294,
  [SMALL_STATE(3240)] = 129314,
  [SMALL_STATE(3241)] = 129334,
  [SMALL_STATE(3242)] = 129354,
  [SMALL_STATE(3243)] = 129374,
  [SMALL_STATE(3244)] = 129394,
  [SMALL_STATE(3245)] = 129418,
  [SMALL_STATE(3246)] = 129436,
  [SMALL_STATE(3247)] = 129462,
  [SMALL_STATE(3248)] = 129482,
  [SMALL_STATE(3249)] = 129506,
  [SMALL_STATE(3250)] = 129530,
  [SMALL_STATE(3251)] = 129566,
  [SMALL_STATE(3252)] = 129588,
  [SMALL_STATE(3253)] = 129606,
  [SMALL_STATE(3254)] = 129628,
  [SMALL_STATE(3255)] = 129654,
  [SMALL_STATE(3256)] = 129676,
  [SMALL_STATE(3257)] = 129694,
  [SMALL_STATE(3258)] = 129712,
  [SMALL_STATE(3259)] = 129730,
  [SMALL_STATE(3260)] = 129748,
  [SMALL_STATE(3261)] = 129766,
  [SMALL_STATE(3262)] = 129784,
  [SMALL_STATE(3263)] = 129802,
  [SMALL_STATE(3264)] = 129820,
  [SMALL_STATE(3265)] = 129838,
  [SMALL_STATE(3266)] = 129856,
  [SMALL_STATE(3267)] = 129876,
  [SMALL_STATE(3268)] = 129895,
  [SMALL_STATE(3269)] = 129930,
  [SMALL_STATE(3270)] = 129961,
  [SMALL_STATE(3271)] = 129996,
  [SMALL_STATE(3272)] = 130031,
  [SMALL_STATE(3273)] = 130056,
  [SMALL_STATE(3274)] = 130089,
  [SMALL_STATE(3275)] = 130124,
  [SMALL_STATE(3276)] = 130159,
  [SMALL_STATE(3277)] = 130180,
  [SMALL_STATE(3278)] = 130199,
  [SMALL_STATE(3279)] = 130222,
  [SMALL_STATE(3280)] = 130241,
  [SMALL_STATE(3281)] = 130258,
  [SMALL_STATE(3282)] = 130287,
  [SMALL_STATE(3283)] = 130322,
  [SMALL_STATE(3284)] = 130357,
  [SMALL_STATE(3285)] = 130378,
  [SMALL_STATE(3286)] = 130407,
  [SMALL_STATE(3287)] = 130442,
  [SMALL_STATE(3288)] = 130477,
  [SMALL_STATE(3289)] = 130494,
  [SMALL_STATE(3290)] = 130511,
  [SMALL_STATE(3291)] = 130528,
  [SMALL_STATE(3292)] = 130551,
  [SMALL_STATE(3293)] = 130586,
  [SMALL_STATE(3294)] = 130605,
  [SMALL_STATE(3295)] = 130636,
  [SMALL_STATE(3296)] = 130659,
  [SMALL_STATE(3297)] = 130692,
  [SMALL_STATE(3298)] = 130725,
  [SMALL_STATE(3299)] = 130758,
  [SMALL_STATE(3300)] = 130793,
  [SMALL_STATE(3301)] = 130826,
  [SMALL_STATE(3302)] = 130847,
  [SMALL_STATE(3303)] = 130880,
  [SMALL_STATE(3304)] = 130908,
  [SMALL_STATE(3305)] = 130936,
  [SMALL_STATE(3306)] = 130962,
  [SMALL_STATE(3307)] = 130990,
  [SMALL_STATE(3308)] = 131016,
  [SMALL_STATE(3309)] = 131042,
  [SMALL_STATE(3310)] = 131070,
  [SMALL_STATE(3311)] = 131098,
  [SMALL_STATE(3312)] = 131126,
  [SMALL_STATE(3313)] = 131158,
  [SMALL_STATE(3314)] = 131186,
  [SMALL_STATE(3315)] = 131218,
  [SMALL_STATE(3316)] = 131234,
  [SMALL_STATE(3317)] = 131264,
  [SMALL_STATE(3318)] = 131294,
  [SMALL_STATE(3319)] = 131324,
  [SMALL_STATE(3320)] = 131354,
  [SMALL_STATE(3321)] = 131384,
  [SMALL_STATE(3322)] = 131414,
  [SMALL_STATE(3323)] = 131444,
  [SMALL_STATE(3324)] = 131474,
  [SMALL_STATE(3325)] = 131504,
  [SMALL_STATE(3326)] = 131534,
  [SMALL_STATE(3327)] = 131564,
  [SMALL_STATE(3328)] = 131596,
  [SMALL_STATE(3329)] = 131626,
  [SMALL_STATE(3330)] = 131658,
  [SMALL_STATE(3331)] = 131688,
  [SMALL_STATE(3332)] = 131718,
  [SMALL_STATE(3333)] = 131748,
  [SMALL_STATE(3334)] = 131780,
  [SMALL_STATE(3335)] = 131812,
  [SMALL_STATE(3336)] = 131838,
  [SMALL_STATE(3337)] = 131870,
  [SMALL_STATE(3338)] = 131900,
  [SMALL_STATE(3339)] = 131916,
  [SMALL_STATE(3340)] = 131946,
  [SMALL_STATE(3341)] = 131976,
  [SMALL_STATE(3342)] = 132006,
  [SMALL_STATE(3343)] = 132036,
  [SMALL_STATE(3344)] = 132066,
  [SMALL_STATE(3345)] = 132096,
  [SMALL_STATE(3346)] = 132128,
  [SMALL_STATE(3347)] = 132158,
  [SMALL_STATE(3348)] = 132188,
  [SMALL_STATE(3349)] = 132220,
  [SMALL_STATE(3350)] = 132252,
  [SMALL_STATE(3351)] = 132280,
  [SMALL_STATE(3352)] = 132312,
  [SMALL_STATE(3353)] = 132344,
  [SMALL_STATE(3354)] = 132370,
  [SMALL_STATE(3355)] = 132398,
  [SMALL_STATE(3356)] = 132426,
  [SMALL_STATE(3357)] = 132454,
  [SMALL_STATE(3358)] = 132482,
  [SMALL_STATE(3359)] = 132510,
  [SMALL_STATE(3360)] = 132538,
  [SMALL_STATE(3361)] = 132570,
  [SMALL_STATE(3362)] = 132602,
  [SMALL_STATE(3363)] = 132630,
  [SMALL_STATE(3364)] = 132662,
  [SMALL_STATE(3365)] = 132678,
  [SMALL_STATE(3366)] = 132706,
  [SMALL_STATE(3367)] = 132738,
  [SMALL_STATE(3368)] = 132766,
  [SMALL_STATE(3369)] = 132794,
  [SMALL_STATE(3370)] = 132826,
  [SMALL_STATE(3371)] = 132842,
  [SMALL_STATE(3372)] = 132864,
  [SMALL_STATE(3373)] = 132880,
  [SMALL_STATE(3374)] = 132896,
  [SMALL_STATE(3375)] = 132924,
  [SMALL_STATE(3376)] = 132956,
  [SMALL_STATE(3377)] = 132972,
  [SMALL_STATE(3378)] = 133004,
  [SMALL_STATE(3379)] = 133032,
  [SMALL_STATE(3380)] = 133064,
  [SMALL_STATE(3381)] = 133092,
  [SMALL_STATE(3382)] = 133118,
  [SMALL_STATE(3383)] = 133146,
  [SMALL_STATE(3384)] = 133174,
  [SMALL_STATE(3385)] = 133204,
  [SMALL_STATE(3386)] = 133224,
  [SMALL_STATE(3387)] = 133250,
  [SMALL_STATE(3388)] = 133278,
  [SMALL_STATE(3389)] = 133306,
  [SMALL_STATE(3390)] = 133334,
  [SMALL_STATE(3391)] = 133362,
  [SMALL_STATE(3392)] = 133392,
  [SMALL_STATE(3393)] = 133420,
  [SMALL_STATE(3394)] = 133450,
  [SMALL_STATE(3395)] = 133480,
  [SMALL_STATE(3396)] = 133510,
  [SMALL_STATE(3397)] = 133542,
  [SMALL_STATE(3398)] = 133574,
  [SMALL_STATE(3399)] = 133602,
  [SMALL_STATE(3400)] = 133632,
  [SMALL_STATE(3401)] = 133662,
  [SMALL_STATE(3402)] = 133692,
  [SMALL_STATE(3403)] = 133722,
  [SMALL_STATE(3404)] = 133738,
  [SMALL_STATE(3405)] = 133758,
  [SMALL_STATE(3406)] = 133786,
  [SMALL_STATE(3407)] = 133816,
  [SMALL_STATE(3408)] = 133848,
  [SMALL_STATE(3409)] = 133874,
  [SMALL_STATE(3410)] = 133906,
  [SMALL_STATE(3411)] = 133934,
  [SMALL_STATE(3412)] = 133962,
  [SMALL_STATE(3413)] = 133988,
  [SMALL_STATE(3414)] = 134016,
  [SMALL_STATE(3415)] = 134046,
  [SMALL_STATE(3416)] = 134074,
  [SMALL_STATE(3417)] = 134096,
  [SMALL_STATE(3418)] = 134128,
  [SMALL_STATE(3419)] = 134154,
  [SMALL_STATE(3420)] = 134182,
  [SMALL_STATE(3421)] = 134210,
  [SMALL_STATE(3422)] = 134238,
  [SMALL_STATE(3423)] = 134264,
  [SMALL_STATE(3424)] = 134290,
  [SMALL_STATE(3425)] = 134318,
  [SMALL_STATE(3426)] = 134334,
  [SMALL_STATE(3427)] = 134362,
  [SMALL_STATE(3428)] = 134390,
  [SMALL_STATE(3429)] = 134418,
  [SMALL_STATE(3430)] = 134446,
  [SMALL_STATE(3431)] = 134474,
  [SMALL_STATE(3432)] = 134502,
  [SMALL_STATE(3433)] = 134530,
  [SMALL_STATE(3434)] = 134558,
  [SMALL_STATE(3435)] = 134574,
  [SMALL_STATE(3436)] = 134602,
  [SMALL_STATE(3437)] = 134630,
  [SMALL_STATE(3438)] = 134662,
  [SMALL_STATE(3439)] = 134690,
  [SMALL_STATE(3440)] = 134718,
  [SMALL_STATE(3441)] = 134746,
  [SMALL_STATE(3442)] = 134774,
  [SMALL_STATE(3443)] = 134802,
  [SMALL_STATE(3444)] = 134824,
  [SMALL_STATE(3445)] = 134846,
  [SMALL_STATE(3446)] = 134874,
  [SMALL_STATE(3447)] = 134902,
  [SMALL_STATE(3448)] = 134930,
  [SMALL_STATE(3449)] = 134960,
  [SMALL_STATE(3450)] = 134988,
  [SMALL_STATE(3451)] = 135012,
  [SMALL_STATE(3452)] = 135040,
  [SMALL_STATE(3453)] = 135068,
  [SMALL_STATE(3454)] = 135100,
  [SMALL_STATE(3455)] = 135128,
  [SMALL_STATE(3456)] = 135156,
  [SMALL_STATE(3457)] = 135188,
  [SMALL_STATE(3458)] = 135216,
  [SMALL_STATE(3459)] = 135244,
  [SMALL_STATE(3460)] = 135272,
  [SMALL_STATE(3461)] = 135300,
  [SMALL_STATE(3462)] = 135332,
  [SMALL_STATE(3463)] = 135360,
  [SMALL_STATE(3464)] = 135386,
  [SMALL_STATE(3465)] = 135412,
  [SMALL_STATE(3466)] = 135440,
  [SMALL_STATE(3467)] = 135468,
  [SMALL_STATE(3468)] = 135498,
  [SMALL_STATE(3469)] = 135526,
  [SMALL_STATE(3470)] = 135554,
  [SMALL_STATE(3471)] = 135582,
  [SMALL_STATE(3472)] = 135610,
  [SMALL_STATE(3473)] = 135636,
  [SMALL_STATE(3474)] = 135664,
  [SMALL_STATE(3475)] = 135692,
  [SMALL_STATE(3476)] = 135720,
  [SMALL_STATE(3477)] = 135750,
  [SMALL_STATE(3478)] = 135766,
  [SMALL_STATE(3479)] = 135782,
  [SMALL_STATE(3480)] = 135810,
  [SMALL_STATE(3481)] = 135838,
  [SMALL_STATE(3482)] = 135854,
  [SMALL_STATE(3483)] = 135870,
  [SMALL_STATE(3484)] = 135898,
  [SMALL_STATE(3485)] = 135914,
  [SMALL_STATE(3486)] = 135932,
  [SMALL_STATE(3487)] = 135948,
  [SMALL_STATE(3488)] = 135976,
  [SMALL_STATE(3489)] = 136004,
  [SMALL_STATE(3490)] = 136020,
  [SMALL_STATE(3491)] = 136048,
  [SMALL_STATE(3492)] = 136076,
  [SMALL_STATE(3493)] = 136108,
  [SMALL_STATE(3494)] = 136124,
  [SMALL_STATE(3495)] = 136140,
  [SMALL_STATE(3496)] = 136156,
  [SMALL_STATE(3497)] = 136174,
  [SMALL_STATE(3498)] = 136190,
  [SMALL_STATE(3499)] = 136206,
  [SMALL_STATE(3500)] = 136228,
  [SMALL_STATE(3501)] = 136248,
  [SMALL_STATE(3502)] = 136266,
  [SMALL_STATE(3503)] = 136284,
  [SMALL_STATE(3504)] = 136312,
  [SMALL_STATE(3505)] = 136328,
  [SMALL_STATE(3506)] = 136344,
  [SMALL_STATE(3507)] = 136372,
  [SMALL_STATE(3508)] = 136400,
  [SMALL_STATE(3509)] = 136428,
  [SMALL_STATE(3510)] = 136444,
  [SMALL_STATE(3511)] = 136460,
  [SMALL_STATE(3512)] = 136476,
  [SMALL_STATE(3513)] = 136492,
  [SMALL_STATE(3514)] = 136508,
  [SMALL_STATE(3515)] = 136524,
  [SMALL_STATE(3516)] = 136540,
  [SMALL_STATE(3517)] = 136568,
  [SMALL_STATE(3518)] = 136584,
  [SMALL_STATE(3519)] = 136606,
  [SMALL_STATE(3520)] = 136622,
  [SMALL_STATE(3521)] = 136640,
  [SMALL_STATE(3522)] = 136656,
  [SMALL_STATE(3523)] = 136672,
  [SMALL_STATE(3524)] = 136688,
  [SMALL_STATE(3525)] = 136720,
  [SMALL_STATE(3526)] = 136746,
  [SMALL_STATE(3527)] = 136774,
  [SMALL_STATE(3528)] = 136802,
  [SMALL_STATE(3529)] = 136830,
  [SMALL_STATE(3530)] = 136860,
  [SMALL_STATE(3531)] = 136876,
  [SMALL_STATE(3532)] = 136892,
  [SMALL_STATE(3533)] = 136918,
  [SMALL_STATE(3534)] = 136940,
  [SMALL_STATE(3535)] = 136956,
  [SMALL_STATE(3536)] = 136972,
  [SMALL_STATE(3537)] = 136994,
  [SMALL_STATE(3538)] = 137010,
  [SMALL_STATE(3539)] = 137026,
  [SMALL_STATE(3540)] = 137054,
  [SMALL_STATE(3541)] = 137082,
  [SMALL_STATE(3542)] = 137114,
  [SMALL_STATE(3543)] = 137142,
  [SMALL_STATE(3544)] = 137170,
  [SMALL_STATE(3545)] = 137198,
  [SMALL_STATE(3546)] = 137214,
  [SMALL_STATE(3547)] = 137230,
  [SMALL_STATE(3548)] = 137258,
  [SMALL_STATE(3549)] = 137274,
  [SMALL_STATE(3550)] = 137290,
  [SMALL_STATE(3551)] = 137322,
  [SMALL_STATE(3552)] = 137350,
  [SMALL_STATE(3553)] = 137376,
  [SMALL_STATE(3554)] = 137391,
  [SMALL_STATE(3555)] = 137416,
  [SMALL_STATE(3556)] = 137439,
  [SMALL_STATE(3557)] = 137462,
  [SMALL_STATE(3558)] = 137487,
  [SMALL_STATE(3559)] = 137510,
  [SMALL_STATE(3560)] = 137535,
  [SMALL_STATE(3561)] = 137560,
  [SMALL_STATE(3562)] = 137585,
  [SMALL_STATE(3563)] = 137614,
  [SMALL_STATE(3564)] = 137639,
  [SMALL_STATE(3565)] = 137664,
  [SMALL_STATE(3566)] = 137693,
  [SMALL_STATE(3567)] = 137722,
  [SMALL_STATE(3568)] = 137739,
  [SMALL_STATE(3569)] = 137756,
  [SMALL_STATE(3570)] = 137785,
  [SMALL_STATE(3571)] = 137806,
  [SMALL_STATE(3572)] = 137827,
  [SMALL_STATE(3573)] = 137850,
  [SMALL_STATE(3574)] = 137875,
  [SMALL_STATE(3575)] = 137900,
  [SMALL_STATE(3576)] = 137915,
  [SMALL_STATE(3577)] = 137944,
  [SMALL_STATE(3578)] = 137959,
  [SMALL_STATE(3579)] = 137984,
  [SMALL_STATE(3580)] = 138013,
  [SMALL_STATE(3581)] = 138030,
  [SMALL_STATE(3582)] = 138047,
  [SMALL_STATE(3583)] = 138064,
  [SMALL_STATE(3584)] = 138087,
  [SMALL_STATE(3585)] = 138110,
  [SMALL_STATE(3586)] = 138131,
  [SMALL_STATE(3587)] = 138152,
  [SMALL_STATE(3588)] = 138173,
  [SMALL_STATE(3589)] = 138196,
  [SMALL_STATE(3590)] = 138219,
  [SMALL_STATE(3591)] = 138242,
  [SMALL_STATE(3592)] = 138263,
  [SMALL_STATE(3593)] = 138292,
  [SMALL_STATE(3594)] = 138317,
  [SMALL_STATE(3595)] = 138346,
  [SMALL_STATE(3596)] = 138371,
  [SMALL_STATE(3597)] = 138389,
  [SMALL_STATE(3598)] = 138411,
  [SMALL_STATE(3599)] = 138433,
  [SMALL_STATE(3600)] = 138455,
  [SMALL_STATE(3601)] = 138477,
  [SMALL_STATE(3602)] = 138499,
  [SMALL_STATE(3603)] = 138521,
  [SMALL_STATE(3604)] = 138535,
  [SMALL_STATE(3605)] = 138557,
  [SMALL_STATE(3606)] = 138579,
  [SMALL_STATE(3607)] = 138601,
  [SMALL_STATE(3608)] = 138623,
  [SMALL_STATE(3609)] = 138645,
  [SMALL_STATE(3610)] = 138671,
  [SMALL_STATE(3611)] = 138693,
  [SMALL_STATE(3612)] = 138715,
  [SMALL_STATE(3613)] = 138737,
  [SMALL_STATE(3614)] = 138759,
  [SMALL_STATE(3615)] = 138781,
  [SMALL_STATE(3616)] = 138803,
  [SMALL_STATE(3617)] = 138829,
  [SMALL_STATE(3618)] = 138843,
  [SMALL_STATE(3619)] = 138865,
  [SMALL_STATE(3620)] = 138887,
  [SMALL_STATE(3621)] = 138909,
  [SMALL_STATE(3622)] = 138931,
  [SMALL_STATE(3623)] = 138953,
  [SMALL_STATE(3624)] = 138975,
  [SMALL_STATE(3625)] = 138993,
  [SMALL_STATE(3626)] = 139013,
  [SMALL_STATE(3627)] = 139027,
  [SMALL_STATE(3628)] = 139053,
  [SMALL_STATE(3629)] = 139067,
  [SMALL_STATE(3630)] = 139093,
  [SMALL_STATE(3631)] = 139117,
  [SMALL_STATE(3632)] = 139139,
  [SMALL_STATE(3633)] = 139161,
  [SMALL_STATE(3634)] = 139183,
  [SMALL_STATE(3635)] = 139201,
  [SMALL_STATE(3636)] = 139223,
  [SMALL_STATE(3637)] = 139245,
  [SMALL_STATE(3638)] = 139267,
  [SMALL_STATE(3639)] = 139293,
  [SMALL_STATE(3640)] = 139315,
  [SMALL_STATE(3641)] = 139341,
  [SMALL_STATE(3642)] = 139363,
  [SMALL_STATE(3643)] = 139385,
  [SMALL_STATE(3644)] = 139407,
  [SMALL_STATE(3645)] = 139429,
  [SMALL_STATE(3646)] = 139451,
  [SMALL_STATE(3647)] = 139473,
  [SMALL_STATE(3648)] = 139495,
  [SMALL_STATE(3649)] = 139517,
  [SMALL_STATE(3650)] = 139539,
  [SMALL_STATE(3651)] = 139561,
  [SMALL_STATE(3652)] = 139583,
  [SMALL_STATE(3653)] = 139605,
  [SMALL_STATE(3654)] = 139627,
  [SMALL_STATE(3655)] = 139649,
  [SMALL_STATE(3656)] = 139663,
  [SMALL_STATE(3657)] = 139685,
  [SMALL_STATE(3658)] = 139707,
  [SMALL_STATE(3659)] = 139725,
  [SMALL_STATE(3660)] = 139747,
  [SMALL_STATE(3661)] = 139769,
  [SMALL_STATE(3662)] = 139791,
  [SMALL_STATE(3663)] = 139813,
  [SMALL_STATE(3664)] = 139835,
  [SMALL_STATE(3665)] = 139857,
  [SMALL_STATE(3666)] = 139879,
  [SMALL_STATE(3667)] = 139897,
  [SMALL_STATE(3668)] = 139923,
  [SMALL_STATE(3669)] = 139945,
  [SMALL_STATE(3670)] = 139967,
  [SMALL_STATE(3671)] = 139989,
  [SMALL_STATE(3672)] = 140007,
  [SMALL_STATE(3673)] = 140033,
  [SMALL_STATE(3674)] = 140055,
  [SMALL_STATE(3675)] = 140077,
  [SMALL_STATE(3676)] = 140099,
  [SMALL_STATE(3677)] = 140125,
  [SMALL_STATE(3678)] = 140147,
  [SMALL_STATE(3679)] = 140169,
  [SMALL_STATE(3680)] = 140191,
  [SMALL_STATE(3681)] = 140213,
  [SMALL_STATE(3682)] = 140229,
  [SMALL_STATE(3683)] = 140247,
  [SMALL_STATE(3684)] = 140269,
  [SMALL_STATE(3685)] = 140291,
  [SMALL_STATE(3686)] = 140313,
  [SMALL_STATE(3687)] = 140335,
  [SMALL_STATE(3688)] = 140357,
  [SMALL_STATE(3689)] = 140379,
  [SMALL_STATE(3690)] = 140401,
  [SMALL_STATE(3691)] = 140423,
  [SMALL_STATE(3692)] = 140445,
  [SMALL_STATE(3693)] = 140467,
  [SMALL_STATE(3694)] = 140489,
  [SMALL_STATE(3695)] = 140511,
  [SMALL_STATE(3696)] = 140537,
  [SMALL_STATE(3697)] = 140559,
  [SMALL_STATE(3698)] = 140581,
  [SMALL_STATE(3699)] = 140605,
  [SMALL_STATE(3700)] = 140631,
  [SMALL_STATE(3701)] = 140657,
  [SMALL_STATE(3702)] = 140679,
  [SMALL_STATE(3703)] = 140701,
  [SMALL_STATE(3704)] = 140723,
  [SMALL_STATE(3705)] = 140737,
  [SMALL_STATE(3706)] = 140751,
  [SMALL_STATE(3707)] = 140773,
  [SMALL_STATE(3708)] = 140795,
  [SMALL_STATE(3709)] = 140817,
  [SMALL_STATE(3710)] = 140839,
  [SMALL_STATE(3711)] = 140861,
  [SMALL_STATE(3712)] = 140883,
  [SMALL_STATE(3713)] = 140905,
  [SMALL_STATE(3714)] = 140927,
  [SMALL_STATE(3715)] = 140949,
  [SMALL_STATE(3716)] = 140971,
  [SMALL_STATE(3717)] = 140993,
  [SMALL_STATE(3718)] = 141019,
  [SMALL_STATE(3719)] = 141033,
  [SMALL_STATE(3720)] = 141055,
  [SMALL_STATE(3721)] = 141077,
  [SMALL_STATE(3722)] = 141091,
  [SMALL_STATE(3723)] = 141113,
  [SMALL_STATE(3724)] = 141135,
  [SMALL_STATE(3725)] = 141157,
  [SMALL_STATE(3726)] = 141179,
  [SMALL_STATE(3727)] = 141193,
  [SMALL_STATE(3728)] = 141215,
  [SMALL_STATE(3729)] = 141237,
  [SMALL_STATE(3730)] = 141259,
  [SMALL_STATE(3731)] = 141277,
  [SMALL_STATE(3732)] = 141299,
  [SMALL_STATE(3733)] = 141321,
  [SMALL_STATE(3734)] = 141335,
  [SMALL_STATE(3735)] = 141357,
  [SMALL_STATE(3736)] = 141379,
  [SMALL_STATE(3737)] = 141401,
  [SMALL_STATE(3738)] = 141423,
  [SMALL_STATE(3739)] = 141445,
  [SMALL_STATE(3740)] = 141463,
  [SMALL_STATE(3741)] = 141485,
  [SMALL_STATE(3742)] = 141507,
  [SMALL_STATE(3743)] = 141533,
  [SMALL_STATE(3744)] = 141555,
  [SMALL_STATE(3745)] = 141577,
  [SMALL_STATE(3746)] = 141603,
  [SMALL_STATE(3747)] = 141629,
  [SMALL_STATE(3748)] = 141651,
  [SMALL_STATE(3749)] = 141673,
  [SMALL_STATE(3750)] = 141691,
  [SMALL_STATE(3751)] = 141713,
  [SMALL_STATE(3752)] = 141735,
  [SMALL_STATE(3753)] = 141757,
  [SMALL_STATE(3754)] = 141775,
  [SMALL_STATE(3755)] = 141793,
  [SMALL_STATE(3756)] = 141815,
  [SMALL_STATE(3757)] = 141837,
  [SMALL_STATE(3758)] = 141859,
  [SMALL_STATE(3759)] = 141885,
  [SMALL_STATE(3760)] = 141907,
  [SMALL_STATE(3761)] = 141929,
  [SMALL_STATE(3762)] = 141955,
  [SMALL_STATE(3763)] = 141977,
  [SMALL_STATE(3764)] = 141999,
  [SMALL_STATE(3765)] = 142015,
  [SMALL_STATE(3766)] = 142037,
  [SMALL_STATE(3767)] = 142059,
  [SMALL_STATE(3768)] = 142081,
  [SMALL_STATE(3769)] = 142103,
  [SMALL_STATE(3770)] = 142119,
  [SMALL_STATE(3771)] = 142137,
  [SMALL_STATE(3772)] = 142159,
  [SMALL_STATE(3773)] = 142185,
  [SMALL_STATE(3774)] = 142203,
  [SMALL_STATE(3775)] = 142225,
  [SMALL_STATE(3776)] = 142247,
  [SMALL_STATE(3777)] = 142269,
  [SMALL_STATE(3778)] = 142291,
  [SMALL_STATE(3779)] = 142317,
  [SMALL_STATE(3780)] = 142339,
  [SMALL_STATE(3781)] = 142361,
  [SMALL_STATE(3782)] = 142383,
  [SMALL_STATE(3783)] = 142409,
  [SMALL_STATE(3784)] = 142431,
  [SMALL_STATE(3785)] = 142453,
  [SMALL_STATE(3786)] = 142469,
  [SMALL_STATE(3787)] = 142487,
  [SMALL_STATE(3788)] = 142509,
  [SMALL_STATE(3789)] = 142531,
  [SMALL_STATE(3790)] = 142553,
  [SMALL_STATE(3791)] = 142575,
  [SMALL_STATE(3792)] = 142597,
  [SMALL_STATE(3793)] = 142619,
  [SMALL_STATE(3794)] = 142645,
  [SMALL_STATE(3795)] = 142671,
  [SMALL_STATE(3796)] = 142693,
  [SMALL_STATE(3797)] = 142711,
  [SMALL_STATE(3798)] = 142727,
  [SMALL_STATE(3799)] = 142743,
  [SMALL_STATE(3800)] = 142763,
  [SMALL_STATE(3801)] = 142779,
  [SMALL_STATE(3802)] = 142801,
  [SMALL_STATE(3803)] = 142817,
  [SMALL_STATE(3804)] = 142839,
  [SMALL_STATE(3805)] = 142861,
  [SMALL_STATE(3806)] = 142883,
  [SMALL_STATE(3807)] = 142905,
  [SMALL_STATE(3808)] = 142927,
  [SMALL_STATE(3809)] = 142947,
  [SMALL_STATE(3810)] = 142965,
  [SMALL_STATE(3811)] = 142987,
  [SMALL_STATE(3812)] = 143005,
  [SMALL_STATE(3813)] = 143027,
  [SMALL_STATE(3814)] = 143049,
  [SMALL_STATE(3815)] = 143071,
  [SMALL_STATE(3816)] = 143097,
  [SMALL_STATE(3817)] = 143123,
  [SMALL_STATE(3818)] = 143149,
  [SMALL_STATE(3819)] = 143165,
  [SMALL_STATE(3820)] = 143187,
  [SMALL_STATE(3821)] = 143209,
  [SMALL_STATE(3822)] = 143231,
  [SMALL_STATE(3823)] = 143253,
  [SMALL_STATE(3824)] = 143275,
  [SMALL_STATE(3825)] = 143297,
  [SMALL_STATE(3826)] = 143311,
  [SMALL_STATE(3827)] = 143333,
  [SMALL_STATE(3828)] = 143355,
  [SMALL_STATE(3829)] = 143377,
  [SMALL_STATE(3830)] = 143399,
  [SMALL_STATE(3831)] = 143421,
  [SMALL_STATE(3832)] = 143439,
  [SMALL_STATE(3833)] = 143459,
  [SMALL_STATE(3834)] = 143477,
  [SMALL_STATE(3835)] = 143493,
  [SMALL_STATE(3836)] = 143515,
  [SMALL_STATE(3837)] = 143537,
  [SMALL_STATE(3838)] = 143563,
  [SMALL_STATE(3839)] = 143589,
  [SMALL_STATE(3840)] = 143611,
  [SMALL_STATE(3841)] = 143631,
  [SMALL_STATE(3842)] = 143649,
  [SMALL_STATE(3843)] = 143675,
  [SMALL_STATE(3844)] = 143695,
  [SMALL_STATE(3845)] = 143717,
  [SMALL_STATE(3846)] = 143735,
  [SMALL_STATE(3847)] = 143753,
  [SMALL_STATE(3848)] = 143779,
  [SMALL_STATE(3849)] = 143801,
  [SMALL_STATE(3850)] = 143827,
  [SMALL_STATE(3851)] = 143849,
  [SMALL_STATE(3852)] = 143867,
  [SMALL_STATE(3853)] = 143893,
  [SMALL_STATE(3854)] = 143915,
  [SMALL_STATE(3855)] = 143937,
  [SMALL_STATE(3856)] = 143959,
  [SMALL_STATE(3857)] = 143981,
  [SMALL_STATE(3858)] = 144003,
  [SMALL_STATE(3859)] = 144017,
  [SMALL_STATE(3860)] = 144039,
  [SMALL_STATE(3861)] = 144061,
  [SMALL_STATE(3862)] = 144083,
  [SMALL_STATE(3863)] = 144105,
  [SMALL_STATE(3864)] = 144127,
  [SMALL_STATE(3865)] = 144149,
  [SMALL_STATE(3866)] = 144171,
  [SMALL_STATE(3867)] = 144197,
  [SMALL_STATE(3868)] = 144219,
  [SMALL_STATE(3869)] = 144241,
  [SMALL_STATE(3870)] = 144261,
  [SMALL_STATE(3871)] = 144287,
  [SMALL_STATE(3872)] = 144309,
  [SMALL_STATE(3873)] = 144327,
  [SMALL_STATE(3874)] = 144353,
  [SMALL_STATE(3875)] = 144375,
  [SMALL_STATE(3876)] = 144395,
  [SMALL_STATE(3877)] = 144417,
  [SMALL_STATE(3878)] = 144439,
  [SMALL_STATE(3879)] = 144461,
  [SMALL_STATE(3880)] = 144475,
  [SMALL_STATE(3881)] = 144501,
  [SMALL_STATE(3882)] = 144515,
  [SMALL_STATE(3883)] = 144537,
  [SMALL_STATE(3884)] = 144557,
  [SMALL_STATE(3885)] = 144579,
  [SMALL_STATE(3886)] = 144595,
  [SMALL_STATE(3887)] = 144611,
  [SMALL_STATE(3888)] = 144633,
  [SMALL_STATE(3889)] = 144659,
  [SMALL_STATE(3890)] = 144681,
  [SMALL_STATE(3891)] = 144703,
  [SMALL_STATE(3892)] = 144721,
  [SMALL_STATE(3893)] = 144739,
  [SMALL_STATE(3894)] = 144765,
  [SMALL_STATE(3895)] = 144791,
  [SMALL_STATE(3896)] = 144817,
  [SMALL_STATE(3897)] = 144843,
  [SMALL_STATE(3898)] = 144861,
  [SMALL_STATE(3899)] = 144883,
  [SMALL_STATE(3900)] = 144905,
  [SMALL_STATE(3901)] = 144927,
  [SMALL_STATE(3902)] = 144949,
  [SMALL_STATE(3903)] = 144971,
  [SMALL_STATE(3904)] = 144993,
  [SMALL_STATE(3905)] = 145015,
  [SMALL_STATE(3906)] = 145037,
  [SMALL_STATE(3907)] = 145059,
  [SMALL_STATE(3908)] = 145081,
  [SMALL_STATE(3909)] = 145107,
  [SMALL_STATE(3910)] = 145129,
  [SMALL_STATE(3911)] = 145143,
  [SMALL_STATE(3912)] = 145165,
  [SMALL_STATE(3913)] = 145187,
  [SMALL_STATE(3914)] = 145209,
  [SMALL_STATE(3915)] = 145231,
  [SMALL_STATE(3916)] = 145253,
  [SMALL_STATE(3917)] = 145275,
  [SMALL_STATE(3918)] = 145297,
  [SMALL_STATE(3919)] = 145319,
  [SMALL_STATE(3920)] = 145341,
  [SMALL_STATE(3921)] = 145363,
  [SMALL_STATE(3922)] = 145385,
  [SMALL_STATE(3923)] = 145407,
  [SMALL_STATE(3924)] = 145429,
  [SMALL_STATE(3925)] = 145451,
  [SMALL_STATE(3926)] = 145473,
  [SMALL_STATE(3927)] = 145495,
  [SMALL_STATE(3928)] = 145517,
  [SMALL_STATE(3929)] = 145530,
  [SMALL_STATE(3930)] = 145549,
  [SMALL_STATE(3931)] = 145564,
  [SMALL_STATE(3932)] = 145583,
  [SMALL_STATE(3933)] = 145598,
  [SMALL_STATE(3934)] = 145613,
  [SMALL_STATE(3935)] = 145626,
  [SMALL_STATE(3936)] = 145645,
  [SMALL_STATE(3937)] = 145664,
  [SMALL_STATE(3938)] = 145679,
  [SMALL_STATE(3939)] = 145694,
  [SMALL_STATE(3940)] = 145709,
  [SMALL_STATE(3941)] = 145724,
  [SMALL_STATE(3942)] = 145737,
  [SMALL_STATE(3943)] = 145750,
  [SMALL_STATE(3944)] = 145763,
  [SMALL_STATE(3945)] = 145778,
  [SMALL_STATE(3946)] = 145793,
  [SMALL_STATE(3947)] = 145808,
  [SMALL_STATE(3948)] = 145823,
  [SMALL_STATE(3949)] = 145838,
  [SMALL_STATE(3950)] = 145853,
  [SMALL_STATE(3951)] = 145872,
  [SMALL_STATE(3952)] = 145895,
  [SMALL_STATE(3953)] = 145910,
  [SMALL_STATE(3954)] = 145925,
  [SMALL_STATE(3955)] = 145940,
  [SMALL_STATE(3956)] = 145955,
  [SMALL_STATE(3957)] = 145978,
  [SMALL_STATE(3958)] = 146001,
  [SMALL_STATE(3959)] = 146018,
  [SMALL_STATE(3960)] = 146041,
  [SMALL_STATE(3961)] = 146058,
  [SMALL_STATE(3962)] = 146081,
  [SMALL_STATE(3963)] = 146102,
  [SMALL_STATE(3964)] = 146125,
  [SMALL_STATE(3965)] = 146140,
  [SMALL_STATE(3966)] = 146155,
  [SMALL_STATE(3967)] = 146172,
  [SMALL_STATE(3968)] = 146191,
  [SMALL_STATE(3969)] = 146206,
  [SMALL_STATE(3970)] = 146221,
  [SMALL_STATE(3971)] = 146236,
  [SMALL_STATE(3972)] = 146253,
  [SMALL_STATE(3973)] = 146268,
  [SMALL_STATE(3974)] = 146283,
  [SMALL_STATE(3975)] = 146306,
  [SMALL_STATE(3976)] = 146329,
  [SMALL_STATE(3977)] = 146342,
  [SMALL_STATE(3978)] = 146355,
  [SMALL_STATE(3979)] = 146368,
  [SMALL_STATE(3980)] = 146381,
  [SMALL_STATE(3981)] = 146394,
  [SMALL_STATE(3982)] = 146413,
  [SMALL_STATE(3983)] = 146436,
  [SMALL_STATE(3984)] = 146459,
  [SMALL_STATE(3985)] = 146474,
  [SMALL_STATE(3986)] = 146493,
  [SMALL_STATE(3987)] = 146516,
  [SMALL_STATE(3988)] = 146539,
  [SMALL_STATE(3989)] = 146556,
  [SMALL_STATE(3990)] = 146579,
  [SMALL_STATE(3991)] = 146602,
  [SMALL_STATE(3992)] = 146625,
  [SMALL_STATE(3993)] = 146642,
  [SMALL_STATE(3994)] = 146665,
  [SMALL_STATE(3995)] = 146682,
  [SMALL_STATE(3996)] = 146699,
  [SMALL_STATE(3997)] = 146718,
  [SMALL_STATE(3998)] = 146733,
  [SMALL_STATE(3999)] = 146756,
  [SMALL_STATE(4000)] = 146775,
  [SMALL_STATE(4001)] = 146794,
  [SMALL_STATE(4002)] = 146817,
  [SMALL_STATE(4003)] = 146834,
  [SMALL_STATE(4004)] = 146853,
  [SMALL_STATE(4005)] = 146872,
  [SMALL_STATE(4006)] = 146895,
  [SMALL_STATE(4007)] = 146918,
  [SMALL_STATE(4008)] = 146941,
  [SMALL_STATE(4009)] = 146960,
  [SMALL_STATE(4010)] = 146979,
  [SMALL_STATE(4011)] = 147002,
  [SMALL_STATE(4012)] = 147019,
  [SMALL_STATE(4013)] = 147036,
  [SMALL_STATE(4014)] = 147053,
  [SMALL_STATE(4015)] = 147070,
  [SMALL_STATE(4016)] = 147087,
  [SMALL_STATE(4017)] = 147110,
  [SMALL_STATE(4018)] = 147127,
  [SMALL_STATE(4019)] = 147150,
  [SMALL_STATE(4020)] = 147167,
  [SMALL_STATE(4021)] = 147184,
  [SMALL_STATE(4022)] = 147201,
  [SMALL_STATE(4023)] = 147218,
  [SMALL_STATE(4024)] = 147241,
  [SMALL_STATE(4025)] = 147258,
  [SMALL_STATE(4026)] = 147281,
  [SMALL_STATE(4027)] = 147298,
  [SMALL_STATE(4028)] = 147315,
  [SMALL_STATE(4029)] = 147330,
  [SMALL_STATE(4030)] = 147347,
  [SMALL_STATE(4031)] = 147370,
  [SMALL_STATE(4032)] = 147393,
  [SMALL_STATE(4033)] = 147410,
  [SMALL_STATE(4034)] = 147427,
  [SMALL_STATE(4035)] = 147444,
  [SMALL_STATE(4036)] = 147461,
  [SMALL_STATE(4037)] = 147484,
  [SMALL_STATE(4038)] = 147507,
  [SMALL_STATE(4039)] = 147520,
  [SMALL_STATE(4040)] = 147543,
  [SMALL_STATE(4041)] = 147560,
  [SMALL_STATE(4042)] = 147575,
  [SMALL_STATE(4043)] = 147592,
  [SMALL_STATE(4044)] = 147615,
  [SMALL_STATE(4045)] = 147632,
  [SMALL_STATE(4046)] = 147647,
  [SMALL_STATE(4047)] = 147670,
  [SMALL_STATE(4048)] = 147685,
  [SMALL_STATE(4049)] = 147708,
  [SMALL_STATE(4050)] = 147727,
  [SMALL_STATE(4051)] = 147744,
  [SMALL_STATE(4052)] = 147763,
  [SMALL_STATE(4053)] = 147782,
  [SMALL_STATE(4054)] = 147801,
  [SMALL_STATE(4055)] = 147824,
  [SMALL_STATE(4056)] = 147847,
  [SMALL_STATE(4057)] = 147862,
  [SMALL_STATE(4058)] = 147881,
  [SMALL_STATE(4059)] = 147896,
  [SMALL_STATE(4060)] = 147911,
  [SMALL_STATE(4061)] = 147926,
  [SMALL_STATE(4062)] = 147945,
  [SMALL_STATE(4063)] = 147968,
  [SMALL_STATE(4064)] = 147991,
  [SMALL_STATE(4065)] = 148014,
  [SMALL_STATE(4066)] = 148037,
  [SMALL_STATE(4067)] = 148060,
  [SMALL_STATE(4068)] = 148073,
  [SMALL_STATE(4069)] = 148096,
  [SMALL_STATE(4070)] = 148117,
  [SMALL_STATE(4071)] = 148134,
  [SMALL_STATE(4072)] = 148149,
  [SMALL_STATE(4073)] = 148172,
  [SMALL_STATE(4074)] = 148195,
  [SMALL_STATE(4075)] = 148212,
  [SMALL_STATE(4076)] = 148229,
  [SMALL_STATE(4077)] = 148246,
  [SMALL_STATE(4078)] = 148263,
  [SMALL_STATE(4079)] = 148280,
  [SMALL_STATE(4080)] = 148303,
  [SMALL_STATE(4081)] = 148320,
  [SMALL_STATE(4082)] = 148337,
  [SMALL_STATE(4083)] = 148360,
  [SMALL_STATE(4084)] = 148383,
  [SMALL_STATE(4085)] = 148396,
  [SMALL_STATE(4086)] = 148413,
  [SMALL_STATE(4087)] = 148428,
  [SMALL_STATE(4088)] = 148451,
  [SMALL_STATE(4089)] = 148474,
  [SMALL_STATE(4090)] = 148489,
  [SMALL_STATE(4091)] = 148512,
  [SMALL_STATE(4092)] = 148529,
  [SMALL_STATE(4093)] = 148552,
  [SMALL_STATE(4094)] = 148569,
  [SMALL_STATE(4095)] = 148592,
  [SMALL_STATE(4096)] = 148609,
  [SMALL_STATE(4097)] = 148632,
  [SMALL_STATE(4098)] = 148655,
  [SMALL_STATE(4099)] = 148678,
  [SMALL_STATE(4100)] = 148691,
  [SMALL_STATE(4101)] = 148714,
  [SMALL_STATE(4102)] = 148731,
  [SMALL_STATE(4103)] = 148748,
  [SMALL_STATE(4104)] = 148769,
  [SMALL_STATE(4105)] = 148792,
  [SMALL_STATE(4106)] = 148809,
  [SMALL_STATE(4107)] = 148832,
  [SMALL_STATE(4108)] = 148849,
  [SMALL_STATE(4109)] = 148866,
  [SMALL_STATE(4110)] = 148889,
  [SMALL_STATE(4111)] = 148906,
  [SMALL_STATE(4112)] = 148923,
  [SMALL_STATE(4113)] = 148940,
  [SMALL_STATE(4114)] = 148963,
  [SMALL_STATE(4115)] = 148986,
  [SMALL_STATE(4116)] = 149009,
  [SMALL_STATE(4117)] = 149032,
  [SMALL_STATE(4118)] = 149049,
  [SMALL_STATE(4119)] = 149067,
  [SMALL_STATE(4120)] = 149079,
  [SMALL_STATE(4121)] = 149099,
  [SMALL_STATE(4122)] = 149111,
  [SMALL_STATE(4123)] = 149131,
  [SMALL_STATE(4124)] = 149151,
  [SMALL_STATE(4125)] = 149163,
  [SMALL_STATE(4126)] = 149175,
  [SMALL_STATE(4127)] = 149187,
  [SMALL_STATE(4128)] = 149199,
  [SMALL_STATE(4129)] = 149211,
  [SMALL_STATE(4130)] = 149227,
  [SMALL_STATE(4131)] = 149239,
  [SMALL_STATE(4132)] = 149251,
  [SMALL_STATE(4133)] = 149267,
  [SMALL_STATE(4134)] = 149285,
  [SMALL_STATE(4135)] = 149301,
  [SMALL_STATE(4136)] = 149317,
  [SMALL_STATE(4137)] = 149333,
  [SMALL_STATE(4138)] = 149349,
  [SMALL_STATE(4139)] = 149361,
  [SMALL_STATE(4140)] = 149377,
  [SMALL_STATE(4141)] = 149389,
  [SMALL_STATE(4142)] = 149409,
  [SMALL_STATE(4143)] = 149425,
  [SMALL_STATE(4144)] = 149437,
  [SMALL_STATE(4145)] = 149453,
  [SMALL_STATE(4146)] = 149469,
  [SMALL_STATE(4147)] = 149485,
  [SMALL_STATE(4148)] = 149497,
  [SMALL_STATE(4149)] = 149513,
  [SMALL_STATE(4150)] = 149529,
  [SMALL_STATE(4151)] = 149545,
  [SMALL_STATE(4152)] = 149557,
  [SMALL_STATE(4153)] = 149573,
  [SMALL_STATE(4154)] = 149589,
  [SMALL_STATE(4155)] = 149605,
  [SMALL_STATE(4156)] = 149621,
  [SMALL_STATE(4157)] = 149637,
  [SMALL_STATE(4158)] = 149653,
  [SMALL_STATE(4159)] = 149669,
  [SMALL_STATE(4160)] = 149685,
  [SMALL_STATE(4161)] = 149701,
  [SMALL_STATE(4162)] = 149717,
  [SMALL_STATE(4163)] = 149733,
  [SMALL_STATE(4164)] = 149749,
  [SMALL_STATE(4165)] = 149761,
  [SMALL_STATE(4166)] = 149777,
  [SMALL_STATE(4167)] = 149793,
  [SMALL_STATE(4168)] = 149809,
  [SMALL_STATE(4169)] = 149825,
  [SMALL_STATE(4170)] = 149841,
  [SMALL_STATE(4171)] = 149857,
  [SMALL_STATE(4172)] = 149873,
  [SMALL_STATE(4173)] = 149889,
  [SMALL_STATE(4174)] = 149905,
  [SMALL_STATE(4175)] = 149921,
  [SMALL_STATE(4176)] = 149937,
  [SMALL_STATE(4177)] = 149953,
  [SMALL_STATE(4178)] = 149969,
  [SMALL_STATE(4179)] = 149985,
  [SMALL_STATE(4180)] = 150005,
  [SMALL_STATE(4181)] = 150021,
  [SMALL_STATE(4182)] = 150037,
  [SMALL_STATE(4183)] = 150053,
  [SMALL_STATE(4184)] = 150069,
  [SMALL_STATE(4185)] = 150085,
  [SMALL_STATE(4186)] = 150101,
  [SMALL_STATE(4187)] = 150117,
  [SMALL_STATE(4188)] = 150133,
  [SMALL_STATE(4189)] = 150149,
  [SMALL_STATE(4190)] = 150165,
  [SMALL_STATE(4191)] = 150181,
  [SMALL_STATE(4192)] = 150197,
  [SMALL_STATE(4193)] = 150213,
  [SMALL_STATE(4194)] = 150229,
  [SMALL_STATE(4195)] = 150245,
  [SMALL_STATE(4196)] = 150261,
  [SMALL_STATE(4197)] = 150277,
  [SMALL_STATE(4198)] = 150291,
  [SMALL_STATE(4199)] = 150307,
  [SMALL_STATE(4200)] = 150323,
  [SMALL_STATE(4201)] = 150339,
  [SMALL_STATE(4202)] = 150355,
  [SMALL_STATE(4203)] = 150371,
  [SMALL_STATE(4204)] = 150387,
  [SMALL_STATE(4205)] = 150403,
  [SMALL_STATE(4206)] = 150419,
  [SMALL_STATE(4207)] = 150435,
  [SMALL_STATE(4208)] = 150451,
  [SMALL_STATE(4209)] = 150467,
  [SMALL_STATE(4210)] = 150483,
  [SMALL_STATE(4211)] = 150499,
  [SMALL_STATE(4212)] = 150515,
  [SMALL_STATE(4213)] = 150531,
  [SMALL_STATE(4214)] = 150547,
  [SMALL_STATE(4215)] = 150563,
  [SMALL_STATE(4216)] = 150579,
  [SMALL_STATE(4217)] = 150595,
  [SMALL_STATE(4218)] = 150611,
  [SMALL_STATE(4219)] = 150627,
  [SMALL_STATE(4220)] = 150643,
  [SMALL_STATE(4221)] = 150659,
  [SMALL_STATE(4222)] = 150675,
  [SMALL_STATE(4223)] = 150691,
  [SMALL_STATE(4224)] = 150707,
  [SMALL_STATE(4225)] = 150723,
  [SMALL_STATE(4226)] = 150739,
  [SMALL_STATE(4227)] = 150755,
  [SMALL_STATE(4228)] = 150771,
  [SMALL_STATE(4229)] = 150787,
  [SMALL_STATE(4230)] = 150803,
  [SMALL_STATE(4231)] = 150819,
  [SMALL_STATE(4232)] = 150835,
  [SMALL_STATE(4233)] = 150851,
  [SMALL_STATE(4234)] = 150863,
  [SMALL_STATE(4235)] = 150879,
  [SMALL_STATE(4236)] = 150895,
  [SMALL_STATE(4237)] = 150915,
  [SMALL_STATE(4238)] = 150931,
  [SMALL_STATE(4239)] = 150947,
  [SMALL_STATE(4240)] = 150963,
  [SMALL_STATE(4241)] = 150979,
  [SMALL_STATE(4242)] = 150995,
  [SMALL_STATE(4243)] = 151011,
  [SMALL_STATE(4244)] = 151027,
  [SMALL_STATE(4245)] = 151039,
  [SMALL_STATE(4246)] = 151055,
  [SMALL_STATE(4247)] = 151071,
  [SMALL_STATE(4248)] = 151087,
  [SMALL_STATE(4249)] = 151103,
  [SMALL_STATE(4250)] = 151119,
  [SMALL_STATE(4251)] = 151135,
  [SMALL_STATE(4252)] = 151151,
  [SMALL_STATE(4253)] = 151167,
  [SMALL_STATE(4254)] = 151185,
  [SMALL_STATE(4255)] = 151205,
  [SMALL_STATE(4256)] = 151221,
  [SMALL_STATE(4257)] = 151237,
  [SMALL_STATE(4258)] = 151253,
  [SMALL_STATE(4259)] = 151273,
  [SMALL_STATE(4260)] = 151289,
  [SMALL_STATE(4261)] = 151309,
  [SMALL_STATE(4262)] = 151329,
  [SMALL_STATE(4263)] = 151341,
  [SMALL_STATE(4264)] = 151359,
  [SMALL_STATE(4265)] = 151379,
  [SMALL_STATE(4266)] = 151397,
  [SMALL_STATE(4267)] = 151409,
  [SMALL_STATE(4268)] = 151429,
  [SMALL_STATE(4269)] = 151445,
  [SMALL_STATE(4270)] = 151457,
  [SMALL_STATE(4271)] = 151469,
  [SMALL_STATE(4272)] = 151485,
  [SMALL_STATE(4273)] = 151497,
  [SMALL_STATE(4274)] = 151517,
  [SMALL_STATE(4275)] = 151533,
  [SMALL_STATE(4276)] = 151549,
  [SMALL_STATE(4277)] = 151565,
  [SMALL_STATE(4278)] = 151585,
  [SMALL_STATE(4279)] = 151601,
  [SMALL_STATE(4280)] = 151617,
  [SMALL_STATE(4281)] = 151633,
  [SMALL_STATE(4282)] = 151653,
  [SMALL_STATE(4283)] = 151671,
  [SMALL_STATE(4284)] = 151687,
  [SMALL_STATE(4285)] = 151703,
  [SMALL_STATE(4286)] = 151719,
  [SMALL_STATE(4287)] = 151735,
  [SMALL_STATE(4288)] = 151753,
  [SMALL_STATE(4289)] = 151769,
  [SMALL_STATE(4290)] = 151785,
  [SMALL_STATE(4291)] = 151805,
  [SMALL_STATE(4292)] = 151821,
  [SMALL_STATE(4293)] = 151837,
  [SMALL_STATE(4294)] = 151857,
  [SMALL_STATE(4295)] = 151873,
  [SMALL_STATE(4296)] = 151889,
  [SMALL_STATE(4297)] = 151905,
  [SMALL_STATE(4298)] = 151921,
  [SMALL_STATE(4299)] = 151941,
  [SMALL_STATE(4300)] = 151961,
  [SMALL_STATE(4301)] = 151975,
  [SMALL_STATE(4302)] = 151993,
  [SMALL_STATE(4303)] = 152013,
  [SMALL_STATE(4304)] = 152029,
  [SMALL_STATE(4305)] = 152047,
  [SMALL_STATE(4306)] = 152063,
  [SMALL_STATE(4307)] = 152079,
  [SMALL_STATE(4308)] = 152095,
  [SMALL_STATE(4309)] = 152113,
  [SMALL_STATE(4310)] = 152129,
  [SMALL_STATE(4311)] = 152145,
  [SMALL_STATE(4312)] = 152161,
  [SMALL_STATE(4313)] = 152177,
  [SMALL_STATE(4314)] = 152193,
  [SMALL_STATE(4315)] = 152207,
  [SMALL_STATE(4316)] = 152221,
  [SMALL_STATE(4317)] = 152241,
  [SMALL_STATE(4318)] = 152261,
  [SMALL_STATE(4319)] = 152277,
  [SMALL_STATE(4320)] = 152293,
  [SMALL_STATE(4321)] = 152305,
  [SMALL_STATE(4322)] = 152321,
  [SMALL_STATE(4323)] = 152339,
  [SMALL_STATE(4324)] = 152355,
  [SMALL_STATE(4325)] = 152369,
  [SMALL_STATE(4326)] = 152389,
  [SMALL_STATE(4327)] = 152405,
  [SMALL_STATE(4328)] = 152425,
  [SMALL_STATE(4329)] = 152441,
  [SMALL_STATE(4330)] = 152461,
  [SMALL_STATE(4331)] = 152477,
  [SMALL_STATE(4332)] = 152497,
  [SMALL_STATE(4333)] = 152513,
  [SMALL_STATE(4334)] = 152529,
  [SMALL_STATE(4335)] = 152545,
  [SMALL_STATE(4336)] = 152561,
  [SMALL_STATE(4337)] = 152577,
  [SMALL_STATE(4338)] = 152593,
  [SMALL_STATE(4339)] = 152609,
  [SMALL_STATE(4340)] = 152625,
  [SMALL_STATE(4341)] = 152641,
  [SMALL_STATE(4342)] = 152657,
  [SMALL_STATE(4343)] = 152673,
  [SMALL_STATE(4344)] = 152689,
  [SMALL_STATE(4345)] = 152705,
  [SMALL_STATE(4346)] = 152721,
  [SMALL_STATE(4347)] = 152737,
  [SMALL_STATE(4348)] = 152749,
  [SMALL_STATE(4349)] = 152769,
  [SMALL_STATE(4350)] = 152785,
  [SMALL_STATE(4351)] = 152801,
  [SMALL_STATE(4352)] = 152819,
  [SMALL_STATE(4353)] = 152839,
  [SMALL_STATE(4354)] = 152855,
  [SMALL_STATE(4355)] = 152871,
  [SMALL_STATE(4356)] = 152887,
  [SMALL_STATE(4357)] = 152899,
  [SMALL_STATE(4358)] = 152915,
  [SMALL_STATE(4359)] = 152931,
  [SMALL_STATE(4360)] = 152949,
  [SMALL_STATE(4361)] = 152969,
  [SMALL_STATE(4362)] = 152985,
  [SMALL_STATE(4363)] = 152997,
  [SMALL_STATE(4364)] = 153013,
  [SMALL_STATE(4365)] = 153029,
  [SMALL_STATE(4366)] = 153041,
  [SMALL_STATE(4367)] = 153057,
  [SMALL_STATE(4368)] = 153077,
  [SMALL_STATE(4369)] = 153097,
  [SMALL_STATE(4370)] = 153113,
  [SMALL_STATE(4371)] = 153125,
  [SMALL_STATE(4372)] = 153145,
  [SMALL_STATE(4373)] = 153157,
  [SMALL_STATE(4374)] = 153173,
  [SMALL_STATE(4375)] = 153189,
  [SMALL_STATE(4376)] = 153205,
  [SMALL_STATE(4377)] = 153225,
  [SMALL_STATE(4378)] = 153241,
  [SMALL_STATE(4379)] = 153253,
  [SMALL_STATE(4380)] = 153269,
  [SMALL_STATE(4381)] = 153285,
  [SMALL_STATE(4382)] = 153303,
  [SMALL_STATE(4383)] = 153323,
  [SMALL_STATE(4384)] = 153339,
  [SMALL_STATE(4385)] = 153355,
  [SMALL_STATE(4386)] = 153371,
  [SMALL_STATE(4387)] = 153387,
  [SMALL_STATE(4388)] = 153403,
  [SMALL_STATE(4389)] = 153419,
  [SMALL_STATE(4390)] = 153435,
  [SMALL_STATE(4391)] = 153451,
  [SMALL_STATE(4392)] = 153469,
  [SMALL_STATE(4393)] = 153485,
  [SMALL_STATE(4394)] = 153497,
  [SMALL_STATE(4395)] = 153513,
  [SMALL_STATE(4396)] = 153531,
  [SMALL_STATE(4397)] = 153547,
  [SMALL_STATE(4398)] = 153563,
  [SMALL_STATE(4399)] = 153579,
  [SMALL_STATE(4400)] = 153591,
  [SMALL_STATE(4401)] = 153607,
  [SMALL_STATE(4402)] = 153623,
  [SMALL_STATE(4403)] = 153639,
  [SMALL_STATE(4404)] = 153651,
  [SMALL_STATE(4405)] = 153663,
  [SMALL_STATE(4406)] = 153675,
  [SMALL_STATE(4407)] = 153691,
  [SMALL_STATE(4408)] = 153707,
  [SMALL_STATE(4409)] = 153723,
  [SMALL_STATE(4410)] = 153739,
  [SMALL_STATE(4411)] = 153755,
  [SMALL_STATE(4412)] = 153771,
  [SMALL_STATE(4413)] = 153787,
  [SMALL_STATE(4414)] = 153803,
  [SMALL_STATE(4415)] = 153823,
  [SMALL_STATE(4416)] = 153839,
  [SMALL_STATE(4417)] = 153855,
  [SMALL_STATE(4418)] = 153875,
  [SMALL_STATE(4419)] = 153895,
  [SMALL_STATE(4420)] = 153911,
  [SMALL_STATE(4421)] = 153931,
  [SMALL_STATE(4422)] = 153951,
  [SMALL_STATE(4423)] = 153967,
  [SMALL_STATE(4424)] = 153983,
  [SMALL_STATE(4425)] = 153999,
  [SMALL_STATE(4426)] = 154015,
  [SMALL_STATE(4427)] = 154031,
  [SMALL_STATE(4428)] = 154047,
  [SMALL_STATE(4429)] = 154063,
  [SMALL_STATE(4430)] = 154077,
  [SMALL_STATE(4431)] = 154089,
  [SMALL_STATE(4432)] = 154105,
  [SMALL_STATE(4433)] = 154121,
  [SMALL_STATE(4434)] = 154133,
  [SMALL_STATE(4435)] = 154149,
  [SMALL_STATE(4436)] = 154169,
  [SMALL_STATE(4437)] = 154181,
  [SMALL_STATE(4438)] = 154193,
  [SMALL_STATE(4439)] = 154205,
  [SMALL_STATE(4440)] = 154221,
  [SMALL_STATE(4441)] = 154241,
  [SMALL_STATE(4442)] = 154259,
  [SMALL_STATE(4443)] = 154271,
  [SMALL_STATE(4444)] = 154291,
  [SMALL_STATE(4445)] = 154311,
  [SMALL_STATE(4446)] = 154327,
  [SMALL_STATE(4447)] = 154339,
  [SMALL_STATE(4448)] = 154355,
  [SMALL_STATE(4449)] = 154371,
  [SMALL_STATE(4450)] = 154391,
  [SMALL_STATE(4451)] = 154407,
  [SMALL_STATE(4452)] = 154425,
  [SMALL_STATE(4453)] = 154445,
  [SMALL_STATE(4454)] = 154465,
  [SMALL_STATE(4455)] = 154481,
  [SMALL_STATE(4456)] = 154497,
  [SMALL_STATE(4457)] = 154511,
  [SMALL_STATE(4458)] = 154523,
  [SMALL_STATE(4459)] = 154539,
  [SMALL_STATE(4460)] = 154555,
  [SMALL_STATE(4461)] = 154567,
  [SMALL_STATE(4462)] = 154579,
  [SMALL_STATE(4463)] = 154595,
  [SMALL_STATE(4464)] = 154609,
  [SMALL_STATE(4465)] = 154625,
  [SMALL_STATE(4466)] = 154641,
  [SMALL_STATE(4467)] = 154661,
  [SMALL_STATE(4468)] = 154681,
  [SMALL_STATE(4469)] = 154695,
  [SMALL_STATE(4470)] = 154711,
  [SMALL_STATE(4471)] = 154731,
  [SMALL_STATE(4472)] = 154751,
  [SMALL_STATE(4473)] = 154771,
  [SMALL_STATE(4474)] = 154787,
  [SMALL_STATE(4475)] = 154803,
  [SMALL_STATE(4476)] = 154819,
  [SMALL_STATE(4477)] = 154833,
  [SMALL_STATE(4478)] = 154847,
  [SMALL_STATE(4479)] = 154863,
  [SMALL_STATE(4480)] = 154883,
  [SMALL_STATE(4481)] = 154899,
  [SMALL_STATE(4482)] = 154915,
  [SMALL_STATE(4483)] = 154927,
  [SMALL_STATE(4484)] = 154947,
  [SMALL_STATE(4485)] = 154963,
  [SMALL_STATE(4486)] = 154983,
  [SMALL_STATE(4487)] = 154999,
  [SMALL_STATE(4488)] = 155015,
  [SMALL_STATE(4489)] = 155031,
  [SMALL_STATE(4490)] = 155051,
  [SMALL_STATE(4491)] = 155067,
  [SMALL_STATE(4492)] = 155079,
  [SMALL_STATE(4493)] = 155091,
  [SMALL_STATE(4494)] = 155107,
  [SMALL_STATE(4495)] = 155119,
  [SMALL_STATE(4496)] = 155131,
  [SMALL_STATE(4497)] = 155151,
  [SMALL_STATE(4498)] = 155167,
  [SMALL_STATE(4499)] = 155183,
  [SMALL_STATE(4500)] = 155203,
  [SMALL_STATE(4501)] = 155219,
  [SMALL_STATE(4502)] = 155235,
  [SMALL_STATE(4503)] = 155255,
  [SMALL_STATE(4504)] = 155271,
  [SMALL_STATE(4505)] = 155287,
  [SMALL_STATE(4506)] = 155299,
  [SMALL_STATE(4507)] = 155319,
  [SMALL_STATE(4508)] = 155335,
  [SMALL_STATE(4509)] = 155351,
  [SMALL_STATE(4510)] = 155367,
  [SMALL_STATE(4511)] = 155381,
  [SMALL_STATE(4512)] = 155399,
  [SMALL_STATE(4513)] = 155415,
  [SMALL_STATE(4514)] = 155427,
  [SMALL_STATE(4515)] = 155443,
  [SMALL_STATE(4516)] = 155457,
  [SMALL_STATE(4517)] = 155471,
  [SMALL_STATE(4518)] = 155487,
  [SMALL_STATE(4519)] = 155503,
  [SMALL_STATE(4520)] = 155515,
  [SMALL_STATE(4521)] = 155527,
  [SMALL_STATE(4522)] = 155539,
  [SMALL_STATE(4523)] = 155551,
  [SMALL_STATE(4524)] = 155563,
  [SMALL_STATE(4525)] = 155575,
  [SMALL_STATE(4526)] = 155587,
  [SMALL_STATE(4527)] = 155603,
  [SMALL_STATE(4528)] = 155623,
  [SMALL_STATE(4529)] = 155639,
  [SMALL_STATE(4530)] = 155651,
  [SMALL_STATE(4531)] = 155671,
  [SMALL_STATE(4532)] = 155687,
  [SMALL_STATE(4533)] = 155707,
  [SMALL_STATE(4534)] = 155723,
  [SMALL_STATE(4535)] = 155743,
  [SMALL_STATE(4536)] = 155763,
  [SMALL_STATE(4537)] = 155779,
  [SMALL_STATE(4538)] = 155799,
  [SMALL_STATE(4539)] = 155811,
  [SMALL_STATE(4540)] = 155825,
  [SMALL_STATE(4541)] = 155839,
  [SMALL_STATE(4542)] = 155855,
  [SMALL_STATE(4543)] = 155875,
  [SMALL_STATE(4544)] = 155887,
  [SMALL_STATE(4545)] = 155907,
  [SMALL_STATE(4546)] = 155923,
  [SMALL_STATE(4547)] = 155943,
  [SMALL_STATE(4548)] = 155959,
  [SMALL_STATE(4549)] = 155975,
  [SMALL_STATE(4550)] = 155989,
  [SMALL_STATE(4551)] = 156005,
  [SMALL_STATE(4552)] = 156021,
  [SMALL_STATE(4553)] = 156037,
  [SMALL_STATE(4554)] = 156053,
  [SMALL_STATE(4555)] = 156069,
  [SMALL_STATE(4556)] = 156085,
  [SMALL_STATE(4557)] = 156097,
  [SMALL_STATE(4558)] = 156109,
  [SMALL_STATE(4559)] = 156121,
  [SMALL_STATE(4560)] = 156141,
  [SMALL_STATE(4561)] = 156157,
  [SMALL_STATE(4562)] = 156169,
  [SMALL_STATE(4563)] = 156181,
  [SMALL_STATE(4564)] = 156193,
  [SMALL_STATE(4565)] = 156205,
  [SMALL_STATE(4566)] = 156217,
  [SMALL_STATE(4567)] = 156229,
  [SMALL_STATE(4568)] = 156241,
  [SMALL_STATE(4569)] = 156253,
  [SMALL_STATE(4570)] = 156265,
  [SMALL_STATE(4571)] = 156277,
  [SMALL_STATE(4572)] = 156293,
  [SMALL_STATE(4573)] = 156309,
  [SMALL_STATE(4574)] = 156325,
  [SMALL_STATE(4575)] = 156341,
  [SMALL_STATE(4576)] = 156353,
  [SMALL_STATE(4577)] = 156371,
  [SMALL_STATE(4578)] = 156383,
  [SMALL_STATE(4579)] = 156395,
  [SMALL_STATE(4580)] = 156407,
  [SMALL_STATE(4581)] = 156419,
  [SMALL_STATE(4582)] = 156435,
  [SMALL_STATE(4583)] = 156451,
  [SMALL_STATE(4584)] = 156467,
  [SMALL_STATE(4585)] = 156483,
  [SMALL_STATE(4586)] = 156503,
  [SMALL_STATE(4587)] = 156523,
  [SMALL_STATE(4588)] = 156543,
  [SMALL_STATE(4589)] = 156559,
  [SMALL_STATE(4590)] = 156575,
  [SMALL_STATE(4591)] = 156591,
  [SMALL_STATE(4592)] = 156607,
  [SMALL_STATE(4593)] = 156623,
  [SMALL_STATE(4594)] = 156639,
  [SMALL_STATE(4595)] = 156655,
  [SMALL_STATE(4596)] = 156671,
  [SMALL_STATE(4597)] = 156687,
  [SMALL_STATE(4598)] = 156705,
  [SMALL_STATE(4599)] = 156721,
  [SMALL_STATE(4600)] = 156737,
  [SMALL_STATE(4601)] = 156757,
  [SMALL_STATE(4602)] = 156769,
  [SMALL_STATE(4603)] = 156781,
  [SMALL_STATE(4604)] = 156793,
  [SMALL_STATE(4605)] = 156809,
  [SMALL_STATE(4606)] = 156829,
  [SMALL_STATE(4607)] = 156845,
  [SMALL_STATE(4608)] = 156861,
  [SMALL_STATE(4609)] = 156877,
  [SMALL_STATE(4610)] = 156893,
  [SMALL_STATE(4611)] = 156909,
  [SMALL_STATE(4612)] = 156925,
  [SMALL_STATE(4613)] = 156941,
  [SMALL_STATE(4614)] = 156953,
  [SMALL_STATE(4615)] = 156965,
  [SMALL_STATE(4616)] = 156977,
  [SMALL_STATE(4617)] = 156989,
  [SMALL_STATE(4618)] = 157005,
  [SMALL_STATE(4619)] = 157021,
  [SMALL_STATE(4620)] = 157037,
  [SMALL_STATE(4621)] = 157049,
  [SMALL_STATE(4622)] = 157065,
  [SMALL_STATE(4623)] = 157085,
  [SMALL_STATE(4624)] = 157097,
  [SMALL_STATE(4625)] = 157113,
  [SMALL_STATE(4626)] = 157125,
  [SMALL_STATE(4627)] = 157141,
  [SMALL_STATE(4628)] = 157155,
  [SMALL_STATE(4629)] = 157175,
  [SMALL_STATE(4630)] = 157187,
  [SMALL_STATE(4631)] = 157201,
  [SMALL_STATE(4632)] = 157213,
  [SMALL_STATE(4633)] = 157227,
  [SMALL_STATE(4634)] = 157239,
  [SMALL_STATE(4635)] = 157255,
  [SMALL_STATE(4636)] = 157269,
  [SMALL_STATE(4637)] = 157281,
  [SMALL_STATE(4638)] = 157293,
  [SMALL_STATE(4639)] = 157307,
  [SMALL_STATE(4640)] = 157319,
  [SMALL_STATE(4641)] = 157331,
  [SMALL_STATE(4642)] = 157351,
  [SMALL_STATE(4643)] = 157363,
  [SMALL_STATE(4644)] = 157375,
  [SMALL_STATE(4645)] = 157389,
  [SMALL_STATE(4646)] = 157401,
  [SMALL_STATE(4647)] = 157413,
  [SMALL_STATE(4648)] = 157425,
  [SMALL_STATE(4649)] = 157437,
  [SMALL_STATE(4650)] = 157449,
  [SMALL_STATE(4651)] = 157461,
  [SMALL_STATE(4652)] = 157473,
  [SMALL_STATE(4653)] = 157485,
  [SMALL_STATE(4654)] = 157497,
  [SMALL_STATE(4655)] = 157509,
  [SMALL_STATE(4656)] = 157523,
  [SMALL_STATE(4657)] = 157539,
  [SMALL_STATE(4658)] = 157559,
  [SMALL_STATE(4659)] = 157579,
  [SMALL_STATE(4660)] = 157599,
  [SMALL_STATE(4661)] = 157611,
  [SMALL_STATE(4662)] = 157627,
  [SMALL_STATE(4663)] = 157641,
  [SMALL_STATE(4664)] = 157657,
  [SMALL_STATE(4665)] = 157673,
  [SMALL_STATE(4666)] = 157689,
  [SMALL_STATE(4667)] = 157705,
  [SMALL_STATE(4668)] = 157725,
  [SMALL_STATE(4669)] = 157737,
  [SMALL_STATE(4670)] = 157751,
  [SMALL_STATE(4671)] = 157767,
  [SMALL_STATE(4672)] = 157783,
  [SMALL_STATE(4673)] = 157799,
  [SMALL_STATE(4674)] = 157819,
  [SMALL_STATE(4675)] = 157839,
  [SMALL_STATE(4676)] = 157855,
  [SMALL_STATE(4677)] = 157871,
  [SMALL_STATE(4678)] = 157891,
  [SMALL_STATE(4679)] = 157907,
  [SMALL_STATE(4680)] = 157923,
  [SMALL_STATE(4681)] = 157935,
  [SMALL_STATE(4682)] = 157947,
  [SMALL_STATE(4683)] = 157963,
  [SMALL_STATE(4684)] = 157975,
  [SMALL_STATE(4685)] = 157987,
  [SMALL_STATE(4686)] = 157999,
  [SMALL_STATE(4687)] = 158013,
  [SMALL_STATE(4688)] = 158031,
  [SMALL_STATE(4689)] = 158047,
  [SMALL_STATE(4690)] = 158065,
  [SMALL_STATE(4691)] = 158081,
  [SMALL_STATE(4692)] = 158093,
  [SMALL_STATE(4693)] = 158105,
  [SMALL_STATE(4694)] = 158117,
  [SMALL_STATE(4695)] = 158129,
  [SMALL_STATE(4696)] = 158141,
  [SMALL_STATE(4697)] = 158153,
  [SMALL_STATE(4698)] = 158169,
  [SMALL_STATE(4699)] = 158189,
  [SMALL_STATE(4700)] = 158205,
  [SMALL_STATE(4701)] = 158221,
  [SMALL_STATE(4702)] = 158233,
  [SMALL_STATE(4703)] = 158245,
  [SMALL_STATE(4704)] = 158261,
  [SMALL_STATE(4705)] = 158273,
  [SMALL_STATE(4706)] = 158285,
  [SMALL_STATE(4707)] = 158297,
  [SMALL_STATE(4708)] = 158309,
  [SMALL_STATE(4709)] = 158321,
  [SMALL_STATE(4710)] = 158337,
  [SMALL_STATE(4711)] = 158353,
  [SMALL_STATE(4712)] = 158373,
  [SMALL_STATE(4713)] = 158391,
  [SMALL_STATE(4714)] = 158407,
  [SMALL_STATE(4715)] = 158423,
  [SMALL_STATE(4716)] = 158439,
  [SMALL_STATE(4717)] = 158453,
  [SMALL_STATE(4718)] = 158469,
  [SMALL_STATE(4719)] = 158485,
  [SMALL_STATE(4720)] = 158501,
  [SMALL_STATE(4721)] = 158517,
  [SMALL_STATE(4722)] = 158533,
  [SMALL_STATE(4723)] = 158549,
  [SMALL_STATE(4724)] = 158565,
  [SMALL_STATE(4725)] = 158581,
  [SMALL_STATE(4726)] = 158595,
  [SMALL_STATE(4727)] = 158611,
  [SMALL_STATE(4728)] = 158623,
  [SMALL_STATE(4729)] = 158635,
  [SMALL_STATE(4730)] = 158647,
  [SMALL_STATE(4731)] = 158659,
  [SMALL_STATE(4732)] = 158671,
  [SMALL_STATE(4733)] = 158683,
  [SMALL_STATE(4734)] = 158695,
  [SMALL_STATE(4735)] = 158715,
  [SMALL_STATE(4736)] = 158727,
  [SMALL_STATE(4737)] = 158743,
  [SMALL_STATE(4738)] = 158755,
  [SMALL_STATE(4739)] = 158767,
  [SMALL_STATE(4740)] = 158783,
  [SMALL_STATE(4741)] = 158795,
  [SMALL_STATE(4742)] = 158811,
  [SMALL_STATE(4743)] = 158827,
  [SMALL_STATE(4744)] = 158843,
  [SMALL_STATE(4745)] = 158859,
  [SMALL_STATE(4746)] = 158871,
  [SMALL_STATE(4747)] = 158887,
  [SMALL_STATE(4748)] = 158903,
  [SMALL_STATE(4749)] = 158919,
  [SMALL_STATE(4750)] = 158935,
  [SMALL_STATE(4751)] = 158951,
  [SMALL_STATE(4752)] = 158967,
  [SMALL_STATE(4753)] = 158983,
  [SMALL_STATE(4754)] = 158999,
  [SMALL_STATE(4755)] = 159019,
  [SMALL_STATE(4756)] = 159035,
  [SMALL_STATE(4757)] = 159051,
  [SMALL_STATE(4758)] = 159067,
  [SMALL_STATE(4759)] = 159083,
  [SMALL_STATE(4760)] = 159099,
  [SMALL_STATE(4761)] = 159115,
  [SMALL_STATE(4762)] = 159127,
  [SMALL_STATE(4763)] = 159139,
  [SMALL_STATE(4764)] = 159155,
  [SMALL_STATE(4765)] = 159167,
  [SMALL_STATE(4766)] = 159183,
  [SMALL_STATE(4767)] = 159200,
  [SMALL_STATE(4768)] = 159217,
  [SMALL_STATE(4769)] = 159234,
  [SMALL_STATE(4770)] = 159251,
  [SMALL_STATE(4771)] = 159268,
  [SMALL_STATE(4772)] = 159285,
  [SMALL_STATE(4773)] = 159300,
  [SMALL_STATE(4774)] = 159317,
  [SMALL_STATE(4775)] = 159334,
  [SMALL_STATE(4776)] = 159351,
  [SMALL_STATE(4777)] = 159368,
  [SMALL_STATE(4778)] = 159385,
  [SMALL_STATE(4779)] = 159402,
  [SMALL_STATE(4780)] = 159419,
  [SMALL_STATE(4781)] = 159436,
  [SMALL_STATE(4782)] = 159453,
  [SMALL_STATE(4783)] = 159470,
  [SMALL_STATE(4784)] = 159485,
  [SMALL_STATE(4785)] = 159502,
  [SMALL_STATE(4786)] = 159517,
  [SMALL_STATE(4787)] = 159534,
  [SMALL_STATE(4788)] = 159551,
  [SMALL_STATE(4789)] = 159568,
  [SMALL_STATE(4790)] = 159583,
  [SMALL_STATE(4791)] = 159602,
  [SMALL_STATE(4792)] = 159619,
  [SMALL_STATE(4793)] = 159638,
  [SMALL_STATE(4794)] = 159655,
  [SMALL_STATE(4795)] = 159674,
  [SMALL_STATE(4796)] = 159691,
  [SMALL_STATE(4797)] = 159708,
  [SMALL_STATE(4798)] = 159727,
  [SMALL_STATE(4799)] = 159744,
  [SMALL_STATE(4800)] = 159759,
  [SMALL_STATE(4801)] = 159770,
  [SMALL_STATE(4802)] = 159787,
  [SMALL_STATE(4803)] = 159804,
  [SMALL_STATE(4804)] = 159821,
  [SMALL_STATE(4805)] = 159838,
  [SMALL_STATE(4806)] = 159855,
  [SMALL_STATE(4807)] = 159872,
  [SMALL_STATE(4808)] = 159889,
  [SMALL_STATE(4809)] = 159906,
  [SMALL_STATE(4810)] = 159923,
  [SMALL_STATE(4811)] = 159940,
  [SMALL_STATE(4812)] = 159957,
  [SMALL_STATE(4813)] = 159974,
  [SMALL_STATE(4814)] = 159991,
  [SMALL_STATE(4815)] = 160008,
  [SMALL_STATE(4816)] = 160025,
  [SMALL_STATE(4817)] = 160042,
  [SMALL_STATE(4818)] = 160059,
  [SMALL_STATE(4819)] = 160076,
  [SMALL_STATE(4820)] = 160095,
  [SMALL_STATE(4821)] = 160114,
  [SMALL_STATE(4822)] = 160129,
  [SMALL_STATE(4823)] = 160146,
  [SMALL_STATE(4824)] = 160163,
  [SMALL_STATE(4825)] = 160180,
  [SMALL_STATE(4826)] = 160195,
  [SMALL_STATE(4827)] = 160212,
  [SMALL_STATE(4828)] = 160227,
  [SMALL_STATE(4829)] = 160242,
  [SMALL_STATE(4830)] = 160255,
  [SMALL_STATE(4831)] = 160270,
  [SMALL_STATE(4832)] = 160285,
  [SMALL_STATE(4833)] = 160302,
  [SMALL_STATE(4834)] = 160319,
  [SMALL_STATE(4835)] = 160332,
  [SMALL_STATE(4836)] = 160347,
  [SMALL_STATE(4837)] = 160364,
  [SMALL_STATE(4838)] = 160375,
  [SMALL_STATE(4839)] = 160390,
  [SMALL_STATE(4840)] = 160405,
  [SMALL_STATE(4841)] = 160422,
  [SMALL_STATE(4842)] = 160439,
  [SMALL_STATE(4843)] = 160456,
  [SMALL_STATE(4844)] = 160473,
  [SMALL_STATE(4845)] = 160490,
  [SMALL_STATE(4846)] = 160507,
  [SMALL_STATE(4847)] = 160524,
  [SMALL_STATE(4848)] = 160537,
  [SMALL_STATE(4849)] = 160552,
  [SMALL_STATE(4850)] = 160569,
  [SMALL_STATE(4851)] = 160586,
  [SMALL_STATE(4852)] = 160601,
  [SMALL_STATE(4853)] = 160616,
  [SMALL_STATE(4854)] = 160633,
  [SMALL_STATE(4855)] = 160650,
  [SMALL_STATE(4856)] = 160667,
  [SMALL_STATE(4857)] = 160684,
  [SMALL_STATE(4858)] = 160699,
  [SMALL_STATE(4859)] = 160716,
  [SMALL_STATE(4860)] = 160731,
  [SMALL_STATE(4861)] = 160746,
  [SMALL_STATE(4862)] = 160763,
  [SMALL_STATE(4863)] = 160780,
  [SMALL_STATE(4864)] = 160795,
  [SMALL_STATE(4865)] = 160810,
  [SMALL_STATE(4866)] = 160827,
  [SMALL_STATE(4867)] = 160844,
  [SMALL_STATE(4868)] = 160861,
  [SMALL_STATE(4869)] = 160878,
  [SMALL_STATE(4870)] = 160895,
  [SMALL_STATE(4871)] = 160912,
  [SMALL_STATE(4872)] = 160927,
  [SMALL_STATE(4873)] = 160944,
  [SMALL_STATE(4874)] = 160961,
  [SMALL_STATE(4875)] = 160976,
  [SMALL_STATE(4876)] = 160991,
  [SMALL_STATE(4877)] = 161008,
  [SMALL_STATE(4878)] = 161025,
  [SMALL_STATE(4879)] = 161040,
  [SMALL_STATE(4880)] = 161055,
  [SMALL_STATE(4881)] = 161072,
  [SMALL_STATE(4882)] = 161089,
  [SMALL_STATE(4883)] = 161104,
  [SMALL_STATE(4884)] = 161121,
  [SMALL_STATE(4885)] = 161138,
  [SMALL_STATE(4886)] = 161153,
  [SMALL_STATE(4887)] = 161170,
  [SMALL_STATE(4888)] = 161185,
  [SMALL_STATE(4889)] = 161202,
  [SMALL_STATE(4890)] = 161217,
  [SMALL_STATE(4891)] = 161230,
  [SMALL_STATE(4892)] = 161247,
  [SMALL_STATE(4893)] = 161264,
  [SMALL_STATE(4894)] = 161279,
  [SMALL_STATE(4895)] = 161296,
  [SMALL_STATE(4896)] = 161313,
  [SMALL_STATE(4897)] = 161330,
  [SMALL_STATE(4898)] = 161345,
  [SMALL_STATE(4899)] = 161362,
  [SMALL_STATE(4900)] = 161379,
  [SMALL_STATE(4901)] = 161396,
  [SMALL_STATE(4902)] = 161413,
  [SMALL_STATE(4903)] = 161430,
  [SMALL_STATE(4904)] = 161447,
  [SMALL_STATE(4905)] = 161464,
  [SMALL_STATE(4906)] = 161481,
  [SMALL_STATE(4907)] = 161496,
  [SMALL_STATE(4908)] = 161513,
  [SMALL_STATE(4909)] = 161530,
  [SMALL_STATE(4910)] = 161547,
  [SMALL_STATE(4911)] = 161564,
  [SMALL_STATE(4912)] = 161581,
  [SMALL_STATE(4913)] = 161598,
  [SMALL_STATE(4914)] = 161615,
  [SMALL_STATE(4915)] = 161629,
  [SMALL_STATE(4916)] = 161641,
  [SMALL_STATE(4917)] = 161653,
  [SMALL_STATE(4918)] = 161663,
  [SMALL_STATE(4919)] = 161673,
  [SMALL_STATE(4920)] = 161683,
  [SMALL_STATE(4921)] = 161693,
  [SMALL_STATE(4922)] = 161707,
  [SMALL_STATE(4923)] = 161719,
  [SMALL_STATE(4924)] = 161733,
  [SMALL_STATE(4925)] = 161743,
  [SMALL_STATE(4926)] = 161753,
  [SMALL_STATE(4927)] = 161763,
  [SMALL_STATE(4928)] = 161773,
  [SMALL_STATE(4929)] = 161783,
  [SMALL_STATE(4930)] = 161793,
  [SMALL_STATE(4931)] = 161803,
  [SMALL_STATE(4932)] = 161813,
  [SMALL_STATE(4933)] = 161823,
  [SMALL_STATE(4934)] = 161833,
  [SMALL_STATE(4935)] = 161843,
  [SMALL_STATE(4936)] = 161853,
  [SMALL_STATE(4937)] = 161863,
  [SMALL_STATE(4938)] = 161877,
  [SMALL_STATE(4939)] = 161891,
  [SMALL_STATE(4940)] = 161905,
  [SMALL_STATE(4941)] = 161915,
  [SMALL_STATE(4942)] = 161929,
  [SMALL_STATE(4943)] = 161939,
  [SMALL_STATE(4944)] = 161949,
  [SMALL_STATE(4945)] = 161959,
  [SMALL_STATE(4946)] = 161969,
  [SMALL_STATE(4947)] = 161983,
  [SMALL_STATE(4948)] = 161993,
  [SMALL_STATE(4949)] = 162003,
  [SMALL_STATE(4950)] = 162013,
  [SMALL_STATE(4951)] = 162023,
  [SMALL_STATE(4952)] = 162033,
  [SMALL_STATE(4953)] = 162043,
  [SMALL_STATE(4954)] = 162057,
  [SMALL_STATE(4955)] = 162067,
  [SMALL_STATE(4956)] = 162077,
  [SMALL_STATE(4957)] = 162091,
  [SMALL_STATE(4958)] = 162101,
  [SMALL_STATE(4959)] = 162111,
  [SMALL_STATE(4960)] = 162121,
  [SMALL_STATE(4961)] = 162131,
  [SMALL_STATE(4962)] = 162141,
  [SMALL_STATE(4963)] = 162151,
  [SMALL_STATE(4964)] = 162165,
  [SMALL_STATE(4965)] = 162175,
  [SMALL_STATE(4966)] = 162189,
  [SMALL_STATE(4967)] = 162199,
  [SMALL_STATE(4968)] = 162209,
  [SMALL_STATE(4969)] = 162219,
  [SMALL_STATE(4970)] = 162229,
  [SMALL_STATE(4971)] = 162243,
  [SMALL_STATE(4972)] = 162253,
  [SMALL_STATE(4973)] = 162263,
  [SMALL_STATE(4974)] = 162273,
  [SMALL_STATE(4975)] = 162283,
  [SMALL_STATE(4976)] = 162293,
  [SMALL_STATE(4977)] = 162303,
  [SMALL_STATE(4978)] = 162317,
  [SMALL_STATE(4979)] = 162327,
  [SMALL_STATE(4980)] = 162337,
  [SMALL_STATE(4981)] = 162347,
  [SMALL_STATE(4982)] = 162357,
  [SMALL_STATE(4983)] = 162367,
  [SMALL_STATE(4984)] = 162377,
  [SMALL_STATE(4985)] = 162391,
  [SMALL_STATE(4986)] = 162401,
  [SMALL_STATE(4987)] = 162411,
  [SMALL_STATE(4988)] = 162421,
  [SMALL_STATE(4989)] = 162431,
  [SMALL_STATE(4990)] = 162441,
  [SMALL_STATE(4991)] = 162451,
  [SMALL_STATE(4992)] = 162461,
  [SMALL_STATE(4993)] = 162471,
  [SMALL_STATE(4994)] = 162481,
  [SMALL_STATE(4995)] = 162491,
  [SMALL_STATE(4996)] = 162501,
  [SMALL_STATE(4997)] = 162511,
  [SMALL_STATE(4998)] = 162521,
  [SMALL_STATE(4999)] = 162531,
  [SMALL_STATE(5000)] = 162541,
  [SMALL_STATE(5001)] = 162551,
  [SMALL_STATE(5002)] = 162561,
  [SMALL_STATE(5003)] = 162571,
  [SMALL_STATE(5004)] = 162581,
  [SMALL_STATE(5005)] = 162591,
  [SMALL_STATE(5006)] = 162601,
  [SMALL_STATE(5007)] = 162615,
  [SMALL_STATE(5008)] = 162625,
  [SMALL_STATE(5009)] = 162635,
  [SMALL_STATE(5010)] = 162645,
  [SMALL_STATE(5011)] = 162655,
  [SMALL_STATE(5012)] = 162665,
  [SMALL_STATE(5013)] = 162679,
  [SMALL_STATE(5014)] = 162689,
  [SMALL_STATE(5015)] = 162701,
  [SMALL_STATE(5016)] = 162711,
  [SMALL_STATE(5017)] = 162721,
  [SMALL_STATE(5018)] = 162731,
  [SMALL_STATE(5019)] = 162745,
  [SMALL_STATE(5020)] = 162755,
  [SMALL_STATE(5021)] = 162765,
  [SMALL_STATE(5022)] = 162775,
  [SMALL_STATE(5023)] = 162785,
  [SMALL_STATE(5024)] = 162795,
  [SMALL_STATE(5025)] = 162805,
  [SMALL_STATE(5026)] = 162815,
  [SMALL_STATE(5027)] = 162825,
  [SMALL_STATE(5028)] = 162835,
  [SMALL_STATE(5029)] = 162845,
  [SMALL_STATE(5030)] = 162855,
  [SMALL_STATE(5031)] = 162865,
  [SMALL_STATE(5032)] = 162879,
  [SMALL_STATE(5033)] = 162889,
  [SMALL_STATE(5034)] = 162899,
  [SMALL_STATE(5035)] = 162909,
  [SMALL_STATE(5036)] = 162919,
  [SMALL_STATE(5037)] = 162929,
  [SMALL_STATE(5038)] = 162939,
  [SMALL_STATE(5039)] = 162949,
  [SMALL_STATE(5040)] = 162961,
  [SMALL_STATE(5041)] = 162975,
  [SMALL_STATE(5042)] = 162989,
  [SMALL_STATE(5043)] = 163003,
  [SMALL_STATE(5044)] = 163013,
  [SMALL_STATE(5045)] = 163027,
  [SMALL_STATE(5046)] = 163037,
  [SMALL_STATE(5047)] = 163047,
  [SMALL_STATE(5048)] = 163057,
  [SMALL_STATE(5049)] = 163067,
  [SMALL_STATE(5050)] = 163077,
  [SMALL_STATE(5051)] = 163087,
  [SMALL_STATE(5052)] = 163097,
  [SMALL_STATE(5053)] = 163107,
  [SMALL_STATE(5054)] = 163117,
  [SMALL_STATE(5055)] = 163131,
  [SMALL_STATE(5056)] = 163145,
  [SMALL_STATE(5057)] = 163159,
  [SMALL_STATE(5058)] = 163169,
  [SMALL_STATE(5059)] = 163179,
  [SMALL_STATE(5060)] = 163189,
  [SMALL_STATE(5061)] = 163199,
  [SMALL_STATE(5062)] = 163209,
  [SMALL_STATE(5063)] = 163219,
  [SMALL_STATE(5064)] = 163233,
  [SMALL_STATE(5065)] = 163243,
  [SMALL_STATE(5066)] = 163253,
  [SMALL_STATE(5067)] = 163263,
  [SMALL_STATE(5068)] = 163273,
  [SMALL_STATE(5069)] = 163287,
  [SMALL_STATE(5070)] = 163301,
  [SMALL_STATE(5071)] = 163311,
  [SMALL_STATE(5072)] = 163321,
  [SMALL_STATE(5073)] = 163331,
  [SMALL_STATE(5074)] = 163341,
  [SMALL_STATE(5075)] = 163351,
  [SMALL_STATE(5076)] = 163361,
  [SMALL_STATE(5077)] = 163375,
  [SMALL_STATE(5078)] = 163385,
  [SMALL_STATE(5079)] = 163395,
  [SMALL_STATE(5080)] = 163405,
  [SMALL_STATE(5081)] = 163415,
  [SMALL_STATE(5082)] = 163425,
  [SMALL_STATE(5083)] = 163439,
  [SMALL_STATE(5084)] = 163453,
  [SMALL_STATE(5085)] = 163467,
  [SMALL_STATE(5086)] = 163477,
  [SMALL_STATE(5087)] = 163487,
  [SMALL_STATE(5088)] = 163501,
  [SMALL_STATE(5089)] = 163511,
  [SMALL_STATE(5090)] = 163525,
  [SMALL_STATE(5091)] = 163535,
  [SMALL_STATE(5092)] = 163545,
  [SMALL_STATE(5093)] = 163555,
  [SMALL_STATE(5094)] = 163565,
  [SMALL_STATE(5095)] = 163575,
  [SMALL_STATE(5096)] = 163589,
  [SMALL_STATE(5097)] = 163603,
  [SMALL_STATE(5098)] = 163617,
  [SMALL_STATE(5099)] = 163631,
  [SMALL_STATE(5100)] = 163645,
  [SMALL_STATE(5101)] = 163659,
  [SMALL_STATE(5102)] = 163669,
  [SMALL_STATE(5103)] = 163683,
  [SMALL_STATE(5104)] = 163693,
  [SMALL_STATE(5105)] = 163703,
  [SMALL_STATE(5106)] = 163713,
  [SMALL_STATE(5107)] = 163723,
  [SMALL_STATE(5108)] = 163733,
  [SMALL_STATE(5109)] = 163743,
  [SMALL_STATE(5110)] = 163753,
  [SMALL_STATE(5111)] = 163763,
  [SMALL_STATE(5112)] = 163773,
  [SMALL_STATE(5113)] = 163783,
  [SMALL_STATE(5114)] = 163793,
  [SMALL_STATE(5115)] = 163803,
  [SMALL_STATE(5116)] = 163813,
  [SMALL_STATE(5117)] = 163823,
  [SMALL_STATE(5118)] = 163833,
  [SMALL_STATE(5119)] = 163843,
  [SMALL_STATE(5120)] = 163853,
  [SMALL_STATE(5121)] = 163863,
  [SMALL_STATE(5122)] = 163873,
  [SMALL_STATE(5123)] = 163883,
  [SMALL_STATE(5124)] = 163893,
  [SMALL_STATE(5125)] = 163903,
  [SMALL_STATE(5126)] = 163913,
  [SMALL_STATE(5127)] = 163923,
  [SMALL_STATE(5128)] = 163933,
  [SMALL_STATE(5129)] = 163943,
  [SMALL_STATE(5130)] = 163953,
  [SMALL_STATE(5131)] = 163963,
  [SMALL_STATE(5132)] = 163973,
  [SMALL_STATE(5133)] = 163983,
  [SMALL_STATE(5134)] = 163993,
  [SMALL_STATE(5135)] = 164007,
  [SMALL_STATE(5136)] = 164017,
  [SMALL_STATE(5137)] = 164027,
  [SMALL_STATE(5138)] = 164037,
  [SMALL_STATE(5139)] = 164047,
  [SMALL_STATE(5140)] = 164057,
  [SMALL_STATE(5141)] = 164067,
  [SMALL_STATE(5142)] = 164077,
  [SMALL_STATE(5143)] = 164091,
  [SMALL_STATE(5144)] = 164105,
  [SMALL_STATE(5145)] = 164115,
  [SMALL_STATE(5146)] = 164125,
  [SMALL_STATE(5147)] = 164135,
  [SMALL_STATE(5148)] = 164149,
  [SMALL_STATE(5149)] = 164159,
  [SMALL_STATE(5150)] = 164169,
  [SMALL_STATE(5151)] = 164179,
  [SMALL_STATE(5152)] = 164189,
  [SMALL_STATE(5153)] = 164203,
  [SMALL_STATE(5154)] = 164213,
  [SMALL_STATE(5155)] = 164227,
  [SMALL_STATE(5156)] = 164237,
  [SMALL_STATE(5157)] = 164247,
  [SMALL_STATE(5158)] = 164257,
  [SMALL_STATE(5159)] = 164271,
  [SMALL_STATE(5160)] = 164285,
  [SMALL_STATE(5161)] = 164295,
  [SMALL_STATE(5162)] = 164305,
  [SMALL_STATE(5163)] = 164315,
  [SMALL_STATE(5164)] = 164325,
  [SMALL_STATE(5165)] = 164335,
  [SMALL_STATE(5166)] = 164349,
  [SMALL_STATE(5167)] = 164359,
  [SMALL_STATE(5168)] = 164369,
  [SMALL_STATE(5169)] = 164379,
  [SMALL_STATE(5170)] = 164389,
  [SMALL_STATE(5171)] = 164399,
  [SMALL_STATE(5172)] = 164409,
  [SMALL_STATE(5173)] = 164419,
  [SMALL_STATE(5174)] = 164429,
  [SMALL_STATE(5175)] = 164439,
  [SMALL_STATE(5176)] = 164449,
  [SMALL_STATE(5177)] = 164459,
  [SMALL_STATE(5178)] = 164469,
  [SMALL_STATE(5179)] = 164479,
  [SMALL_STATE(5180)] = 164489,
  [SMALL_STATE(5181)] = 164499,
  [SMALL_STATE(5182)] = 164509,
  [SMALL_STATE(5183)] = 164519,
  [SMALL_STATE(5184)] = 164529,
  [SMALL_STATE(5185)] = 164539,
  [SMALL_STATE(5186)] = 164549,
  [SMALL_STATE(5187)] = 164559,
  [SMALL_STATE(5188)] = 164569,
  [SMALL_STATE(5189)] = 164579,
  [SMALL_STATE(5190)] = 164589,
  [SMALL_STATE(5191)] = 164603,
  [SMALL_STATE(5192)] = 164613,
  [SMALL_STATE(5193)] = 164627,
  [SMALL_STATE(5194)] = 164641,
  [SMALL_STATE(5195)] = 164651,
  [SMALL_STATE(5196)] = 164661,
  [SMALL_STATE(5197)] = 164671,
  [SMALL_STATE(5198)] = 164681,
  [SMALL_STATE(5199)] = 164691,
  [SMALL_STATE(5200)] = 164701,
  [SMALL_STATE(5201)] = 164711,
  [SMALL_STATE(5202)] = 164725,
  [SMALL_STATE(5203)] = 164739,
  [SMALL_STATE(5204)] = 164749,
  [SMALL_STATE(5205)] = 164763,
  [SMALL_STATE(5206)] = 164773,
  [SMALL_STATE(5207)] = 164787,
  [SMALL_STATE(5208)] = 164797,
  [SMALL_STATE(5209)] = 164811,
  [SMALL_STATE(5210)] = 164821,
  [SMALL_STATE(5211)] = 164831,
  [SMALL_STATE(5212)] = 164841,
  [SMALL_STATE(5213)] = 164855,
  [SMALL_STATE(5214)] = 164869,
  [SMALL_STATE(5215)] = 164883,
  [SMALL_STATE(5216)] = 164897,
  [SMALL_STATE(5217)] = 164911,
  [SMALL_STATE(5218)] = 164921,
  [SMALL_STATE(5219)] = 164931,
  [SMALL_STATE(5220)] = 164941,
  [SMALL_STATE(5221)] = 164951,
  [SMALL_STATE(5222)] = 164961,
  [SMALL_STATE(5223)] = 164971,
  [SMALL_STATE(5224)] = 164981,
  [SMALL_STATE(5225)] = 164991,
  [SMALL_STATE(5226)] = 165001,
  [SMALL_STATE(5227)] = 165011,
  [SMALL_STATE(5228)] = 165021,
  [SMALL_STATE(5229)] = 165031,
  [SMALL_STATE(5230)] = 165041,
  [SMALL_STATE(5231)] = 165055,
  [SMALL_STATE(5232)] = 165069,
  [SMALL_STATE(5233)] = 165079,
  [SMALL_STATE(5234)] = 165089,
  [SMALL_STATE(5235)] = 165099,
  [SMALL_STATE(5236)] = 165109,
  [SMALL_STATE(5237)] = 165121,
  [SMALL_STATE(5238)] = 165135,
  [SMALL_STATE(5239)] = 165149,
  [SMALL_STATE(5240)] = 165159,
  [SMALL_STATE(5241)] = 165169,
  [SMALL_STATE(5242)] = 165179,
  [SMALL_STATE(5243)] = 165189,
  [SMALL_STATE(5244)] = 165199,
  [SMALL_STATE(5245)] = 165209,
  [SMALL_STATE(5246)] = 165219,
  [SMALL_STATE(5247)] = 165233,
  [SMALL_STATE(5248)] = 165243,
  [SMALL_STATE(5249)] = 165255,
  [SMALL_STATE(5250)] = 165265,
  [SMALL_STATE(5251)] = 165275,
  [SMALL_STATE(5252)] = 165285,
  [SMALL_STATE(5253)] = 165299,
  [SMALL_STATE(5254)] = 165313,
  [SMALL_STATE(5255)] = 165323,
  [SMALL_STATE(5256)] = 165333,
  [SMALL_STATE(5257)] = 165343,
  [SMALL_STATE(5258)] = 165353,
  [SMALL_STATE(5259)] = 165367,
  [SMALL_STATE(5260)] = 165377,
  [SMALL_STATE(5261)] = 165391,
  [SMALL_STATE(5262)] = 165401,
  [SMALL_STATE(5263)] = 165411,
  [SMALL_STATE(5264)] = 165421,
  [SMALL_STATE(5265)] = 165431,
  [SMALL_STATE(5266)] = 165441,
  [SMALL_STATE(5267)] = 165451,
  [SMALL_STATE(5268)] = 165461,
  [SMALL_STATE(5269)] = 165471,
  [SMALL_STATE(5270)] = 165481,
  [SMALL_STATE(5271)] = 165491,
  [SMALL_STATE(5272)] = 165501,
  [SMALL_STATE(5273)] = 165511,
  [SMALL_STATE(5274)] = 165521,
  [SMALL_STATE(5275)] = 165535,
  [SMALL_STATE(5276)] = 165545,
  [SMALL_STATE(5277)] = 165555,
  [SMALL_STATE(5278)] = 165565,
  [SMALL_STATE(5279)] = 165575,
  [SMALL_STATE(5280)] = 165585,
  [SMALL_STATE(5281)] = 165595,
  [SMALL_STATE(5282)] = 165605,
  [SMALL_STATE(5283)] = 165615,
  [SMALL_STATE(5284)] = 165625,
  [SMALL_STATE(5285)] = 165635,
  [SMALL_STATE(5286)] = 165649,
  [SMALL_STATE(5287)] = 165663,
  [SMALL_STATE(5288)] = 165673,
  [SMALL_STATE(5289)] = 165687,
  [SMALL_STATE(5290)] = 165697,
  [SMALL_STATE(5291)] = 165711,
  [SMALL_STATE(5292)] = 165721,
  [SMALL_STATE(5293)] = 165735,
  [SMALL_STATE(5294)] = 165745,
  [SMALL_STATE(5295)] = 165755,
  [SMALL_STATE(5296)] = 165769,
  [SMALL_STATE(5297)] = 165779,
  [SMALL_STATE(5298)] = 165789,
  [SMALL_STATE(5299)] = 165799,
  [SMALL_STATE(5300)] = 165813,
  [SMALL_STATE(5301)] = 165823,
  [SMALL_STATE(5302)] = 165833,
  [SMALL_STATE(5303)] = 165847,
  [SMALL_STATE(5304)] = 165857,
  [SMALL_STATE(5305)] = 165867,
  [SMALL_STATE(5306)] = 165877,
  [SMALL_STATE(5307)] = 165887,
  [SMALL_STATE(5308)] = 165897,
  [SMALL_STATE(5309)] = 165907,
  [SMALL_STATE(5310)] = 165917,
  [SMALL_STATE(5311)] = 165927,
  [SMALL_STATE(5312)] = 165937,
  [SMALL_STATE(5313)] = 165947,
  [SMALL_STATE(5314)] = 165961,
  [SMALL_STATE(5315)] = 165971,
  [SMALL_STATE(5316)] = 165981,
  [SMALL_STATE(5317)] = 165995,
  [SMALL_STATE(5318)] = 166005,
  [SMALL_STATE(5319)] = 166015,
  [SMALL_STATE(5320)] = 166029,
  [SMALL_STATE(5321)] = 166043,
  [SMALL_STATE(5322)] = 166057,
  [SMALL_STATE(5323)] = 166067,
  [SMALL_STATE(5324)] = 166081,
  [SMALL_STATE(5325)] = 166091,
  [SMALL_STATE(5326)] = 166101,
  [SMALL_STATE(5327)] = 166111,
  [SMALL_STATE(5328)] = 166121,
  [SMALL_STATE(5329)] = 166131,
  [SMALL_STATE(5330)] = 166145,
  [SMALL_STATE(5331)] = 166155,
  [SMALL_STATE(5332)] = 166165,
  [SMALL_STATE(5333)] = 166175,
  [SMALL_STATE(5334)] = 166185,
  [SMALL_STATE(5335)] = 166195,
  [SMALL_STATE(5336)] = 166205,
  [SMALL_STATE(5337)] = 166215,
  [SMALL_STATE(5338)] = 166225,
  [SMALL_STATE(5339)] = 166235,
  [SMALL_STATE(5340)] = 166249,
  [SMALL_STATE(5341)] = 166259,
  [SMALL_STATE(5342)] = 166269,
  [SMALL_STATE(5343)] = 166283,
  [SMALL_STATE(5344)] = 166293,
  [SMALL_STATE(5345)] = 166303,
  [SMALL_STATE(5346)] = 166315,
  [SMALL_STATE(5347)] = 166329,
  [SMALL_STATE(5348)] = 166339,
  [SMALL_STATE(5349)] = 166349,
  [SMALL_STATE(5350)] = 166359,
  [SMALL_STATE(5351)] = 166369,
  [SMALL_STATE(5352)] = 166379,
  [SMALL_STATE(5353)] = 166389,
  [SMALL_STATE(5354)] = 166399,
  [SMALL_STATE(5355)] = 166409,
  [SMALL_STATE(5356)] = 166419,
  [SMALL_STATE(5357)] = 166429,
  [SMALL_STATE(5358)] = 166443,
  [SMALL_STATE(5359)] = 166453,
  [SMALL_STATE(5360)] = 166463,
  [SMALL_STATE(5361)] = 166473,
  [SMALL_STATE(5362)] = 166483,
  [SMALL_STATE(5363)] = 166493,
  [SMALL_STATE(5364)] = 166503,
  [SMALL_STATE(5365)] = 166513,
  [SMALL_STATE(5366)] = 166527,
  [SMALL_STATE(5367)] = 166537,
  [SMALL_STATE(5368)] = 166547,
  [SMALL_STATE(5369)] = 166561,
  [SMALL_STATE(5370)] = 166571,
  [SMALL_STATE(5371)] = 166581,
  [SMALL_STATE(5372)] = 166591,
  [SMALL_STATE(5373)] = 166601,
  [SMALL_STATE(5374)] = 166611,
  [SMALL_STATE(5375)] = 166625,
  [SMALL_STATE(5376)] = 166639,
  [SMALL_STATE(5377)] = 166649,
  [SMALL_STATE(5378)] = 166659,
  [SMALL_STATE(5379)] = 166669,
  [SMALL_STATE(5380)] = 166679,
  [SMALL_STATE(5381)] = 166689,
  [SMALL_STATE(5382)] = 166699,
  [SMALL_STATE(5383)] = 166709,
  [SMALL_STATE(5384)] = 166719,
  [SMALL_STATE(5385)] = 166733,
  [SMALL_STATE(5386)] = 166743,
  [SMALL_STATE(5387)] = 166753,
  [SMALL_STATE(5388)] = 166767,
  [SMALL_STATE(5389)] = 166777,
  [SMALL_STATE(5390)] = 166787,
  [SMALL_STATE(5391)] = 166797,
  [SMALL_STATE(5392)] = 166807,
  [SMALL_STATE(5393)] = 166817,
  [SMALL_STATE(5394)] = 166827,
  [SMALL_STATE(5395)] = 166837,
  [SMALL_STATE(5396)] = 166847,
  [SMALL_STATE(5397)] = 166857,
  [SMALL_STATE(5398)] = 166867,
  [SMALL_STATE(5399)] = 166881,
  [SMALL_STATE(5400)] = 166891,
  [SMALL_STATE(5401)] = 166901,
  [SMALL_STATE(5402)] = 166911,
  [SMALL_STATE(5403)] = 166921,
  [SMALL_STATE(5404)] = 166931,
  [SMALL_STATE(5405)] = 166941,
  [SMALL_STATE(5406)] = 166955,
  [SMALL_STATE(5407)] = 166965,
  [SMALL_STATE(5408)] = 166979,
  [SMALL_STATE(5409)] = 166989,
  [SMALL_STATE(5410)] = 166999,
  [SMALL_STATE(5411)] = 167009,
  [SMALL_STATE(5412)] = 167021,
  [SMALL_STATE(5413)] = 167031,
  [SMALL_STATE(5414)] = 167041,
  [SMALL_STATE(5415)] = 167053,
  [SMALL_STATE(5416)] = 167067,
  [SMALL_STATE(5417)] = 167077,
  [SMALL_STATE(5418)] = 167089,
  [SMALL_STATE(5419)] = 167099,
  [SMALL_STATE(5420)] = 167109,
  [SMALL_STATE(5421)] = 167119,
  [SMALL_STATE(5422)] = 167129,
  [SMALL_STATE(5423)] = 167139,
  [SMALL_STATE(5424)] = 167153,
  [SMALL_STATE(5425)] = 167163,
  [SMALL_STATE(5426)] = 167173,
  [SMALL_STATE(5427)] = 167183,
  [SMALL_STATE(5428)] = 167193,
  [SMALL_STATE(5429)] = 167203,
  [SMALL_STATE(5430)] = 167213,
  [SMALL_STATE(5431)] = 167227,
  [SMALL_STATE(5432)] = 167237,
  [SMALL_STATE(5433)] = 167247,
  [SMALL_STATE(5434)] = 167257,
  [SMALL_STATE(5435)] = 167267,
  [SMALL_STATE(5436)] = 167277,
  [SMALL_STATE(5437)] = 167291,
  [SMALL_STATE(5438)] = 167301,
  [SMALL_STATE(5439)] = 167311,
  [SMALL_STATE(5440)] = 167325,
  [SMALL_STATE(5441)] = 167339,
  [SMALL_STATE(5442)] = 167353,
  [SMALL_STATE(5443)] = 167367,
  [SMALL_STATE(5444)] = 167377,
  [SMALL_STATE(5445)] = 167387,
  [SMALL_STATE(5446)] = 167403,
  [SMALL_STATE(5447)] = 167413,
  [SMALL_STATE(5448)] = 167423,
  [SMALL_STATE(5449)] = 167433,
  [SMALL_STATE(5450)] = 167445,
  [SMALL_STATE(5451)] = 167455,
  [SMALL_STATE(5452)] = 167465,
  [SMALL_STATE(5453)] = 167475,
  [SMALL_STATE(5454)] = 167485,
  [SMALL_STATE(5455)] = 167495,
  [SMALL_STATE(5456)] = 167505,
  [SMALL_STATE(5457)] = 167515,
  [SMALL_STATE(5458)] = 167525,
  [SMALL_STATE(5459)] = 167535,
  [SMALL_STATE(5460)] = 167545,
  [SMALL_STATE(5461)] = 167555,
  [SMALL_STATE(5462)] = 167565,
  [SMALL_STATE(5463)] = 167575,
  [SMALL_STATE(5464)] = 167585,
  [SMALL_STATE(5465)] = 167599,
  [SMALL_STATE(5466)] = 167609,
  [SMALL_STATE(5467)] = 167619,
  [SMALL_STATE(5468)] = 167629,
  [SMALL_STATE(5469)] = 167639,
  [SMALL_STATE(5470)] = 167649,
  [SMALL_STATE(5471)] = 167663,
  [SMALL_STATE(5472)] = 167673,
  [SMALL_STATE(5473)] = 167689,
  [SMALL_STATE(5474)] = 167699,
  [SMALL_STATE(5475)] = 167709,
  [SMALL_STATE(5476)] = 167719,
  [SMALL_STATE(5477)] = 167731,
  [SMALL_STATE(5478)] = 167745,
  [SMALL_STATE(5479)] = 167755,
  [SMALL_STATE(5480)] = 167769,
  [SMALL_STATE(5481)] = 167779,
  [SMALL_STATE(5482)] = 167789,
  [SMALL_STATE(5483)] = 167799,
  [SMALL_STATE(5484)] = 167809,
  [SMALL_STATE(5485)] = 167819,
  [SMALL_STATE(5486)] = 167831,
  [SMALL_STATE(5487)] = 167843,
  [SMALL_STATE(5488)] = 167853,
  [SMALL_STATE(5489)] = 167863,
  [SMALL_STATE(5490)] = 167873,
  [SMALL_STATE(5491)] = 167885,
  [SMALL_STATE(5492)] = 167895,
  [SMALL_STATE(5493)] = 167905,
  [SMALL_STATE(5494)] = 167915,
  [SMALL_STATE(5495)] = 167925,
  [SMALL_STATE(5496)] = 167935,
  [SMALL_STATE(5497)] = 167945,
  [SMALL_STATE(5498)] = 167955,
  [SMALL_STATE(5499)] = 167969,
  [SMALL_STATE(5500)] = 167979,
  [SMALL_STATE(5501)] = 167989,
  [SMALL_STATE(5502)] = 167999,
  [SMALL_STATE(5503)] = 168009,
  [SMALL_STATE(5504)] = 168019,
  [SMALL_STATE(5505)] = 168029,
  [SMALL_STATE(5506)] = 168039,
  [SMALL_STATE(5507)] = 168049,
  [SMALL_STATE(5508)] = 168059,
  [SMALL_STATE(5509)] = 168069,
  [SMALL_STATE(5510)] = 168079,
  [SMALL_STATE(5511)] = 168089,
  [SMALL_STATE(5512)] = 168099,
  [SMALL_STATE(5513)] = 168109,
  [SMALL_STATE(5514)] = 168119,
  [SMALL_STATE(5515)] = 168129,
  [SMALL_STATE(5516)] = 168139,
  [SMALL_STATE(5517)] = 168149,
  [SMALL_STATE(5518)] = 168159,
  [SMALL_STATE(5519)] = 168169,
  [SMALL_STATE(5520)] = 168179,
  [SMALL_STATE(5521)] = 168189,
  [SMALL_STATE(5522)] = 168199,
  [SMALL_STATE(5523)] = 168209,
  [SMALL_STATE(5524)] = 168223,
  [SMALL_STATE(5525)] = 168233,
  [SMALL_STATE(5526)] = 168243,
  [SMALL_STATE(5527)] = 168253,
  [SMALL_STATE(5528)] = 168263,
  [SMALL_STATE(5529)] = 168273,
  [SMALL_STATE(5530)] = 168283,
  [SMALL_STATE(5531)] = 168293,
  [SMALL_STATE(5532)] = 168307,
  [SMALL_STATE(5533)] = 168317,
  [SMALL_STATE(5534)] = 168327,
  [SMALL_STATE(5535)] = 168337,
  [SMALL_STATE(5536)] = 168347,
  [SMALL_STATE(5537)] = 168357,
  [SMALL_STATE(5538)] = 168373,
  [SMALL_STATE(5539)] = 168383,
  [SMALL_STATE(5540)] = 168393,
  [SMALL_STATE(5541)] = 168403,
  [SMALL_STATE(5542)] = 168413,
  [SMALL_STATE(5543)] = 168423,
  [SMALL_STATE(5544)] = 168435,
  [SMALL_STATE(5545)] = 168449,
  [SMALL_STATE(5546)] = 168459,
  [SMALL_STATE(5547)] = 168469,
  [SMALL_STATE(5548)] = 168479,
  [SMALL_STATE(5549)] = 168489,
  [SMALL_STATE(5550)] = 168499,
  [SMALL_STATE(5551)] = 168509,
  [SMALL_STATE(5552)] = 168523,
  [SMALL_STATE(5553)] = 168533,
  [SMALL_STATE(5554)] = 168543,
  [SMALL_STATE(5555)] = 168553,
  [SMALL_STATE(5556)] = 168563,
  [SMALL_STATE(5557)] = 168575,
  [SMALL_STATE(5558)] = 168585,
  [SMALL_STATE(5559)] = 168595,
  [SMALL_STATE(5560)] = 168605,
  [SMALL_STATE(5561)] = 168615,
  [SMALL_STATE(5562)] = 168625,
  [SMALL_STATE(5563)] = 168635,
  [SMALL_STATE(5564)] = 168645,
  [SMALL_STATE(5565)] = 168659,
  [SMALL_STATE(5566)] = 168669,
  [SMALL_STATE(5567)] = 168679,
  [SMALL_STATE(5568)] = 168689,
  [SMALL_STATE(5569)] = 168699,
  [SMALL_STATE(5570)] = 168709,
  [SMALL_STATE(5571)] = 168719,
  [SMALL_STATE(5572)] = 168729,
  [SMALL_STATE(5573)] = 168739,
  [SMALL_STATE(5574)] = 168749,
  [SMALL_STATE(5575)] = 168759,
  [SMALL_STATE(5576)] = 168769,
  [SMALL_STATE(5577)] = 168779,
  [SMALL_STATE(5578)] = 168789,
  [SMALL_STATE(5579)] = 168799,
  [SMALL_STATE(5580)] = 168813,
  [SMALL_STATE(5581)] = 168823,
  [SMALL_STATE(5582)] = 168833,
  [SMALL_STATE(5583)] = 168843,
  [SMALL_STATE(5584)] = 168853,
  [SMALL_STATE(5585)] = 168863,
  [SMALL_STATE(5586)] = 168873,
  [SMALL_STATE(5587)] = 168883,
  [SMALL_STATE(5588)] = 168897,
  [SMALL_STATE(5589)] = 168911,
  [SMALL_STATE(5590)] = 168921,
  [SMALL_STATE(5591)] = 168931,
  [SMALL_STATE(5592)] = 168945,
  [SMALL_STATE(5593)] = 168959,
  [SMALL_STATE(5594)] = 168969,
  [SMALL_STATE(5595)] = 168979,
  [SMALL_STATE(5596)] = 168989,
  [SMALL_STATE(5597)] = 168999,
  [SMALL_STATE(5598)] = 169009,
  [SMALL_STATE(5599)] = 169019,
  [SMALL_STATE(5600)] = 169029,
  [SMALL_STATE(5601)] = 169039,
  [SMALL_STATE(5602)] = 169049,
  [SMALL_STATE(5603)] = 169059,
  [SMALL_STATE(5604)] = 169069,
  [SMALL_STATE(5605)] = 169079,
  [SMALL_STATE(5606)] = 169089,
  [SMALL_STATE(5607)] = 169099,
  [SMALL_STATE(5608)] = 169109,
  [SMALL_STATE(5609)] = 169123,
  [SMALL_STATE(5610)] = 169133,
  [SMALL_STATE(5611)] = 169143,
  [SMALL_STATE(5612)] = 169153,
  [SMALL_STATE(5613)] = 169163,
  [SMALL_STATE(5614)] = 169175,
  [SMALL_STATE(5615)] = 169189,
  [SMALL_STATE(5616)] = 169199,
  [SMALL_STATE(5617)] = 169213,
  [SMALL_STATE(5618)] = 169227,
  [SMALL_STATE(5619)] = 169241,
  [SMALL_STATE(5620)] = 169251,
  [SMALL_STATE(5621)] = 169265,
  [SMALL_STATE(5622)] = 169275,
  [SMALL_STATE(5623)] = 169289,
  [SMALL_STATE(5624)] = 169305,
  [SMALL_STATE(5625)] = 169315,
  [SMALL_STATE(5626)] = 169325,
  [SMALL_STATE(5627)] = 169335,
  [SMALL_STATE(5628)] = 169345,
  [SMALL_STATE(5629)] = 169355,
  [SMALL_STATE(5630)] = 169365,
  [SMALL_STATE(5631)] = 169377,
  [SMALL_STATE(5632)] = 169387,
  [SMALL_STATE(5633)] = 169397,
  [SMALL_STATE(5634)] = 169411,
  [SMALL_STATE(5635)] = 169421,
  [SMALL_STATE(5636)] = 169431,
  [SMALL_STATE(5637)] = 169441,
  [SMALL_STATE(5638)] = 169451,
  [SMALL_STATE(5639)] = 169461,
  [SMALL_STATE(5640)] = 169471,
  [SMALL_STATE(5641)] = 169481,
  [SMALL_STATE(5642)] = 169491,
  [SMALL_STATE(5643)] = 169501,
  [SMALL_STATE(5644)] = 169511,
  [SMALL_STATE(5645)] = 169525,
  [SMALL_STATE(5646)] = 169535,
  [SMALL_STATE(5647)] = 169545,
  [SMALL_STATE(5648)] = 169555,
  [SMALL_STATE(5649)] = 169565,
  [SMALL_STATE(5650)] = 169575,
  [SMALL_STATE(5651)] = 169585,
  [SMALL_STATE(5652)] = 169595,
  [SMALL_STATE(5653)] = 169605,
  [SMALL_STATE(5654)] = 169619,
  [SMALL_STATE(5655)] = 169629,
  [SMALL_STATE(5656)] = 169643,
  [SMALL_STATE(5657)] = 169653,
  [SMALL_STATE(5658)] = 169663,
  [SMALL_STATE(5659)] = 169673,
  [SMALL_STATE(5660)] = 169683,
  [SMALL_STATE(5661)] = 169693,
  [SMALL_STATE(5662)] = 169703,
  [SMALL_STATE(5663)] = 169713,
  [SMALL_STATE(5664)] = 169723,
  [SMALL_STATE(5665)] = 169733,
  [SMALL_STATE(5666)] = 169743,
  [SMALL_STATE(5667)] = 169753,
  [SMALL_STATE(5668)] = 169763,
  [SMALL_STATE(5669)] = 169777,
  [SMALL_STATE(5670)] = 169787,
  [SMALL_STATE(5671)] = 169797,
  [SMALL_STATE(5672)] = 169811,
  [SMALL_STATE(5673)] = 169821,
  [SMALL_STATE(5674)] = 169831,
  [SMALL_STATE(5675)] = 169845,
  [SMALL_STATE(5676)] = 169855,
  [SMALL_STATE(5677)] = 169865,
  [SMALL_STATE(5678)] = 169875,
  [SMALL_STATE(5679)] = 169889,
  [SMALL_STATE(5680)] = 169903,
  [SMALL_STATE(5681)] = 169913,
  [SMALL_STATE(5682)] = 169927,
  [SMALL_STATE(5683)] = 169941,
  [SMALL_STATE(5684)] = 169955,
  [SMALL_STATE(5685)] = 169965,
  [SMALL_STATE(5686)] = 169975,
  [SMALL_STATE(5687)] = 169985,
  [SMALL_STATE(5688)] = 169995,
  [SMALL_STATE(5689)] = 170005,
  [SMALL_STATE(5690)] = 170019,
  [SMALL_STATE(5691)] = 170035,
  [SMALL_STATE(5692)] = 170045,
  [SMALL_STATE(5693)] = 170055,
  [SMALL_STATE(5694)] = 170065,
  [SMALL_STATE(5695)] = 170075,
  [SMALL_STATE(5696)] = 170085,
  [SMALL_STATE(5697)] = 170095,
  [SMALL_STATE(5698)] = 170105,
  [SMALL_STATE(5699)] = 170119,
  [SMALL_STATE(5700)] = 170129,
  [SMALL_STATE(5701)] = 170143,
  [SMALL_STATE(5702)] = 170153,
  [SMALL_STATE(5703)] = 170167,
  [SMALL_STATE(5704)] = 170181,
  [SMALL_STATE(5705)] = 170193,
  [SMALL_STATE(5706)] = 170203,
  [SMALL_STATE(5707)] = 170213,
  [SMALL_STATE(5708)] = 170223,
  [SMALL_STATE(5709)] = 170237,
  [SMALL_STATE(5710)] = 170247,
  [SMALL_STATE(5711)] = 170259,
  [SMALL_STATE(5712)] = 170273,
  [SMALL_STATE(5713)] = 170285,
  [SMALL_STATE(5714)] = 170295,
  [SMALL_STATE(5715)] = 170305,
  [SMALL_STATE(5716)] = 170315,
  [SMALL_STATE(5717)] = 170325,
  [SMALL_STATE(5718)] = 170335,
  [SMALL_STATE(5719)] = 170349,
  [SMALL_STATE(5720)] = 170359,
  [SMALL_STATE(5721)] = 170373,
  [SMALL_STATE(5722)] = 170383,
  [SMALL_STATE(5723)] = 170393,
  [SMALL_STATE(5724)] = 170403,
  [SMALL_STATE(5725)] = 170417,
  [SMALL_STATE(5726)] = 170427,
  [SMALL_STATE(5727)] = 170439,
  [SMALL_STATE(5728)] = 170449,
  [SMALL_STATE(5729)] = 170459,
  [SMALL_STATE(5730)] = 170469,
  [SMALL_STATE(5731)] = 170479,
  [SMALL_STATE(5732)] = 170489,
  [SMALL_STATE(5733)] = 170499,
  [SMALL_STATE(5734)] = 170509,
  [SMALL_STATE(5735)] = 170519,
  [SMALL_STATE(5736)] = 170529,
  [SMALL_STATE(5737)] = 170543,
  [SMALL_STATE(5738)] = 170555,
  [SMALL_STATE(5739)] = 170565,
  [SMALL_STATE(5740)] = 170575,
  [SMALL_STATE(5741)] = 170585,
  [SMALL_STATE(5742)] = 170599,
  [SMALL_STATE(5743)] = 170609,
  [SMALL_STATE(5744)] = 170619,
  [SMALL_STATE(5745)] = 170629,
  [SMALL_STATE(5746)] = 170639,
  [SMALL_STATE(5747)] = 170649,
  [SMALL_STATE(5748)] = 170659,
  [SMALL_STATE(5749)] = 170669,
  [SMALL_STATE(5750)] = 170679,
  [SMALL_STATE(5751)] = 170689,
  [SMALL_STATE(5752)] = 170703,
  [SMALL_STATE(5753)] = 170713,
  [SMALL_STATE(5754)] = 170723,
  [SMALL_STATE(5755)] = 170733,
  [SMALL_STATE(5756)] = 170743,
  [SMALL_STATE(5757)] = 170753,
  [SMALL_STATE(5758)] = 170763,
  [SMALL_STATE(5759)] = 170773,
  [SMALL_STATE(5760)] = 170783,
  [SMALL_STATE(5761)] = 170793,
  [SMALL_STATE(5762)] = 170803,
  [SMALL_STATE(5763)] = 170817,
  [SMALL_STATE(5764)] = 170827,
  [SMALL_STATE(5765)] = 170841,
  [SMALL_STATE(5766)] = 170851,
  [SMALL_STATE(5767)] = 170861,
  [SMALL_STATE(5768)] = 170871,
  [SMALL_STATE(5769)] = 170885,
  [SMALL_STATE(5770)] = 170895,
  [SMALL_STATE(5771)] = 170905,
  [SMALL_STATE(5772)] = 170915,
  [SMALL_STATE(5773)] = 170925,
  [SMALL_STATE(5774)] = 170935,
  [SMALL_STATE(5775)] = 170945,
  [SMALL_STATE(5776)] = 170955,
  [SMALL_STATE(5777)] = 170969,
  [SMALL_STATE(5778)] = 170979,
  [SMALL_STATE(5779)] = 170989,
  [SMALL_STATE(5780)] = 170999,
  [SMALL_STATE(5781)] = 171009,
  [SMALL_STATE(5782)] = 171019,
  [SMALL_STATE(5783)] = 171029,
  [SMALL_STATE(5784)] = 171039,
  [SMALL_STATE(5785)] = 171049,
  [SMALL_STATE(5786)] = 171059,
  [SMALL_STATE(5787)] = 171069,
  [SMALL_STATE(5788)] = 171079,
  [SMALL_STATE(5789)] = 171089,
  [SMALL_STATE(5790)] = 171099,
  [SMALL_STATE(5791)] = 171109,
  [SMALL_STATE(5792)] = 171119,
  [SMALL_STATE(5793)] = 171129,
  [SMALL_STATE(5794)] = 171139,
  [SMALL_STATE(5795)] = 171151,
  [SMALL_STATE(5796)] = 171161,
  [SMALL_STATE(5797)] = 171171,
  [SMALL_STATE(5798)] = 171181,
  [SMALL_STATE(5799)] = 171191,
  [SMALL_STATE(5800)] = 171201,
  [SMALL_STATE(5801)] = 171211,
  [SMALL_STATE(5802)] = 171221,
  [SMALL_STATE(5803)] = 171231,
  [SMALL_STATE(5804)] = 171241,
  [SMALL_STATE(5805)] = 171255,
  [SMALL_STATE(5806)] = 171265,
  [SMALL_STATE(5807)] = 171275,
  [SMALL_STATE(5808)] = 171285,
  [SMALL_STATE(5809)] = 171295,
  [SMALL_STATE(5810)] = 171305,
  [SMALL_STATE(5811)] = 171315,
  [SMALL_STATE(5812)] = 171325,
  [SMALL_STATE(5813)] = 171335,
  [SMALL_STATE(5814)] = 171345,
  [SMALL_STATE(5815)] = 171355,
  [SMALL_STATE(5816)] = 171365,
  [SMALL_STATE(5817)] = 171375,
  [SMALL_STATE(5818)] = 171385,
  [SMALL_STATE(5819)] = 171395,
  [SMALL_STATE(5820)] = 171405,
  [SMALL_STATE(5821)] = 171415,
  [SMALL_STATE(5822)] = 171425,
  [SMALL_STATE(5823)] = 171435,
  [SMALL_STATE(5824)] = 171445,
  [SMALL_STATE(5825)] = 171455,
  [SMALL_STATE(5826)] = 171465,
  [SMALL_STATE(5827)] = 171475,
  [SMALL_STATE(5828)] = 171489,
  [SMALL_STATE(5829)] = 171499,
  [SMALL_STATE(5830)] = 171509,
  [SMALL_STATE(5831)] = 171519,
  [SMALL_STATE(5832)] = 171529,
  [SMALL_STATE(5833)] = 171539,
  [SMALL_STATE(5834)] = 171549,
  [SMALL_STATE(5835)] = 171559,
  [SMALL_STATE(5836)] = 171569,
  [SMALL_STATE(5837)] = 171579,
  [SMALL_STATE(5838)] = 171589,
  [SMALL_STATE(5839)] = 171599,
  [SMALL_STATE(5840)] = 171609,
  [SMALL_STATE(5841)] = 171618,
  [SMALL_STATE(5842)] = 171629,
  [SMALL_STATE(5843)] = 171640,
  [SMALL_STATE(5844)] = 171651,
  [SMALL_STATE(5845)] = 171662,
  [SMALL_STATE(5846)] = 171671,
  [SMALL_STATE(5847)] = 171682,
  [SMALL_STATE(5848)] = 171691,
  [SMALL_STATE(5849)] = 171702,
  [SMALL_STATE(5850)] = 171713,
  [SMALL_STATE(5851)] = 171722,
  [SMALL_STATE(5852)] = 171731,
  [SMALL_STATE(5853)] = 171742,
  [SMALL_STATE(5854)] = 171753,
  [SMALL_STATE(5855)] = 171762,
  [SMALL_STATE(5856)] = 171771,
  [SMALL_STATE(5857)] = 171780,
  [SMALL_STATE(5858)] = 171791,
  [SMALL_STATE(5859)] = 171802,
  [SMALL_STATE(5860)] = 171813,
  [SMALL_STATE(5861)] = 171824,
  [SMALL_STATE(5862)] = 171833,
  [SMALL_STATE(5863)] = 171844,
  [SMALL_STATE(5864)] = 171855,
  [SMALL_STATE(5865)] = 171866,
  [SMALL_STATE(5866)] = 171877,
  [SMALL_STATE(5867)] = 171888,
  [SMALL_STATE(5868)] = 171899,
  [SMALL_STATE(5869)] = 171910,
  [SMALL_STATE(5870)] = 171919,
  [SMALL_STATE(5871)] = 171930,
  [SMALL_STATE(5872)] = 171941,
  [SMALL_STATE(5873)] = 171952,
  [SMALL_STATE(5874)] = 171963,
  [SMALL_STATE(5875)] = 171974,
  [SMALL_STATE(5876)] = 171985,
  [SMALL_STATE(5877)] = 171996,
  [SMALL_STATE(5878)] = 172007,
  [SMALL_STATE(5879)] = 172018,
  [SMALL_STATE(5880)] = 172029,
  [SMALL_STATE(5881)] = 172040,
  [SMALL_STATE(5882)] = 172049,
  [SMALL_STATE(5883)] = 172058,
  [SMALL_STATE(5884)] = 172069,
  [SMALL_STATE(5885)] = 172078,
  [SMALL_STATE(5886)] = 172089,
  [SMALL_STATE(5887)] = 172100,
  [SMALL_STATE(5888)] = 172109,
  [SMALL_STATE(5889)] = 172120,
  [SMALL_STATE(5890)] = 172131,
  [SMALL_STATE(5891)] = 172142,
  [SMALL_STATE(5892)] = 172153,
  [SMALL_STATE(5893)] = 172164,
  [SMALL_STATE(5894)] = 172173,
  [SMALL_STATE(5895)] = 172184,
  [SMALL_STATE(5896)] = 172193,
  [SMALL_STATE(5897)] = 172204,
  [SMALL_STATE(5898)] = 172213,
  [SMALL_STATE(5899)] = 172224,
  [SMALL_STATE(5900)] = 172235,
  [SMALL_STATE(5901)] = 172246,
  [SMALL_STATE(5902)] = 172255,
  [SMALL_STATE(5903)] = 172266,
  [SMALL_STATE(5904)] = 172277,
  [SMALL_STATE(5905)] = 172288,
  [SMALL_STATE(5906)] = 172299,
  [SMALL_STATE(5907)] = 172310,
  [SMALL_STATE(5908)] = 172321,
  [SMALL_STATE(5909)] = 172332,
  [SMALL_STATE(5910)] = 172341,
  [SMALL_STATE(5911)] = 172352,
  [SMALL_STATE(5912)] = 172363,
  [SMALL_STATE(5913)] = 172374,
  [SMALL_STATE(5914)] = 172385,
  [SMALL_STATE(5915)] = 172396,
  [SMALL_STATE(5916)] = 172407,
  [SMALL_STATE(5917)] = 172418,
  [SMALL_STATE(5918)] = 172429,
  [SMALL_STATE(5919)] = 172440,
  [SMALL_STATE(5920)] = 172451,
  [SMALL_STATE(5921)] = 172462,
  [SMALL_STATE(5922)] = 172471,
  [SMALL_STATE(5923)] = 172482,
  [SMALL_STATE(5924)] = 172491,
  [SMALL_STATE(5925)] = 172502,
  [SMALL_STATE(5926)] = 172513,
  [SMALL_STATE(5927)] = 172524,
  [SMALL_STATE(5928)] = 172535,
  [SMALL_STATE(5929)] = 172546,
  [SMALL_STATE(5930)] = 172557,
  [SMALL_STATE(5931)] = 172568,
  [SMALL_STATE(5932)] = 172579,
  [SMALL_STATE(5933)] = 172590,
  [SMALL_STATE(5934)] = 172601,
  [SMALL_STATE(5935)] = 172612,
  [SMALL_STATE(5936)] = 172623,
  [SMALL_STATE(5937)] = 172634,
  [SMALL_STATE(5938)] = 172645,
  [SMALL_STATE(5939)] = 172656,
  [SMALL_STATE(5940)] = 172667,
  [SMALL_STATE(5941)] = 172678,
  [SMALL_STATE(5942)] = 172689,
  [SMALL_STATE(5943)] = 172700,
  [SMALL_STATE(5944)] = 172711,
  [SMALL_STATE(5945)] = 172722,
  [SMALL_STATE(5946)] = 172733,
  [SMALL_STATE(5947)] = 172744,
  [SMALL_STATE(5948)] = 172755,
  [SMALL_STATE(5949)] = 172766,
  [SMALL_STATE(5950)] = 172777,
  [SMALL_STATE(5951)] = 172788,
  [SMALL_STATE(5952)] = 172799,
  [SMALL_STATE(5953)] = 172810,
  [SMALL_STATE(5954)] = 172821,
  [SMALL_STATE(5955)] = 172832,
  [SMALL_STATE(5956)] = 172841,
  [SMALL_STATE(5957)] = 172852,
  [SMALL_STATE(5958)] = 172863,
  [SMALL_STATE(5959)] = 172874,
  [SMALL_STATE(5960)] = 172885,
  [SMALL_STATE(5961)] = 172896,
  [SMALL_STATE(5962)] = 172907,
  [SMALL_STATE(5963)] = 172918,
  [SMALL_STATE(5964)] = 172929,
  [SMALL_STATE(5965)] = 172940,
  [SMALL_STATE(5966)] = 172951,
  [SMALL_STATE(5967)] = 172962,
  [SMALL_STATE(5968)] = 172973,
  [SMALL_STATE(5969)] = 172984,
  [SMALL_STATE(5970)] = 172995,
  [SMALL_STATE(5971)] = 173006,
  [SMALL_STATE(5972)] = 173017,
  [SMALL_STATE(5973)] = 173028,
  [SMALL_STATE(5974)] = 173039,
  [SMALL_STATE(5975)] = 173050,
  [SMALL_STATE(5976)] = 173061,
  [SMALL_STATE(5977)] = 173072,
  [SMALL_STATE(5978)] = 173083,
  [SMALL_STATE(5979)] = 173094,
  [SMALL_STATE(5980)] = 173105,
  [SMALL_STATE(5981)] = 173116,
  [SMALL_STATE(5982)] = 173127,
  [SMALL_STATE(5983)] = 173138,
  [SMALL_STATE(5984)] = 173149,
  [SMALL_STATE(5985)] = 173160,
  [SMALL_STATE(5986)] = 173169,
  [SMALL_STATE(5987)] = 173180,
  [SMALL_STATE(5988)] = 173191,
  [SMALL_STATE(5989)] = 173202,
  [SMALL_STATE(5990)] = 173211,
  [SMALL_STATE(5991)] = 173222,
  [SMALL_STATE(5992)] = 173233,
  [SMALL_STATE(5993)] = 173244,
  [SMALL_STATE(5994)] = 173255,
  [SMALL_STATE(5995)] = 173266,
  [SMALL_STATE(5996)] = 173277,
  [SMALL_STATE(5997)] = 173288,
  [SMALL_STATE(5998)] = 173297,
  [SMALL_STATE(5999)] = 173308,
  [SMALL_STATE(6000)] = 173317,
  [SMALL_STATE(6001)] = 173328,
  [SMALL_STATE(6002)] = 173339,
  [SMALL_STATE(6003)] = 173350,
  [SMALL_STATE(6004)] = 173361,
  [SMALL_STATE(6005)] = 173372,
  [SMALL_STATE(6006)] = 173383,
  [SMALL_STATE(6007)] = 173394,
  [SMALL_STATE(6008)] = 173405,
  [SMALL_STATE(6009)] = 173416,
  [SMALL_STATE(6010)] = 173427,
  [SMALL_STATE(6011)] = 173436,
  [SMALL_STATE(6012)] = 173447,
  [SMALL_STATE(6013)] = 173458,
  [SMALL_STATE(6014)] = 173469,
  [SMALL_STATE(6015)] = 173480,
  [SMALL_STATE(6016)] = 173489,
  [SMALL_STATE(6017)] = 173500,
  [SMALL_STATE(6018)] = 173511,
  [SMALL_STATE(6019)] = 173522,
  [SMALL_STATE(6020)] = 173531,
  [SMALL_STATE(6021)] = 173542,
  [SMALL_STATE(6022)] = 173553,
  [SMALL_STATE(6023)] = 173564,
  [SMALL_STATE(6024)] = 173575,
  [SMALL_STATE(6025)] = 173586,
  [SMALL_STATE(6026)] = 173597,
  [SMALL_STATE(6027)] = 173608,
  [SMALL_STATE(6028)] = 173619,
  [SMALL_STATE(6029)] = 173628,
  [SMALL_STATE(6030)] = 173639,
  [SMALL_STATE(6031)] = 173650,
  [SMALL_STATE(6032)] = 173661,
  [SMALL_STATE(6033)] = 173672,
  [SMALL_STATE(6034)] = 173683,
  [SMALL_STATE(6035)] = 173694,
  [SMALL_STATE(6036)] = 173703,
  [SMALL_STATE(6037)] = 173712,
  [SMALL_STATE(6038)] = 173723,
  [SMALL_STATE(6039)] = 173734,
  [SMALL_STATE(6040)] = 173743,
  [SMALL_STATE(6041)] = 173754,
  [SMALL_STATE(6042)] = 173765,
  [SMALL_STATE(6043)] = 173776,
  [SMALL_STATE(6044)] = 173785,
  [SMALL_STATE(6045)] = 173796,
  [SMALL_STATE(6046)] = 173805,
  [SMALL_STATE(6047)] = 173816,
  [SMALL_STATE(6048)] = 173825,
  [SMALL_STATE(6049)] = 173834,
  [SMALL_STATE(6050)] = 173843,
  [SMALL_STATE(6051)] = 173854,
  [SMALL_STATE(6052)] = 173863,
  [SMALL_STATE(6053)] = 173874,
  [SMALL_STATE(6054)] = 173885,
  [SMALL_STATE(6055)] = 173896,
  [SMALL_STATE(6056)] = 173907,
  [SMALL_STATE(6057)] = 173918,
  [SMALL_STATE(6058)] = 173927,
  [SMALL_STATE(6059)] = 173938,
  [SMALL_STATE(6060)] = 173949,
  [SMALL_STATE(6061)] = 173960,
  [SMALL_STATE(6062)] = 173971,
  [SMALL_STATE(6063)] = 173982,
  [SMALL_STATE(6064)] = 173993,
  [SMALL_STATE(6065)] = 174004,
  [SMALL_STATE(6066)] = 174015,
  [SMALL_STATE(6067)] = 174026,
  [SMALL_STATE(6068)] = 174035,
  [SMALL_STATE(6069)] = 174046,
  [SMALL_STATE(6070)] = 174055,
  [SMALL_STATE(6071)] = 174064,
  [SMALL_STATE(6072)] = 174075,
  [SMALL_STATE(6073)] = 174086,
  [SMALL_STATE(6074)] = 174095,
  [SMALL_STATE(6075)] = 174104,
  [SMALL_STATE(6076)] = 174115,
  [SMALL_STATE(6077)] = 174124,
  [SMALL_STATE(6078)] = 174135,
  [SMALL_STATE(6079)] = 174146,
  [SMALL_STATE(6080)] = 174157,
  [SMALL_STATE(6081)] = 174166,
  [SMALL_STATE(6082)] = 174177,
  [SMALL_STATE(6083)] = 174188,
  [SMALL_STATE(6084)] = 174199,
  [SMALL_STATE(6085)] = 174210,
  [SMALL_STATE(6086)] = 174219,
  [SMALL_STATE(6087)] = 174228,
  [SMALL_STATE(6088)] = 174239,
  [SMALL_STATE(6089)] = 174248,
  [SMALL_STATE(6090)] = 174259,
  [SMALL_STATE(6091)] = 174268,
  [SMALL_STATE(6092)] = 174279,
  [SMALL_STATE(6093)] = 174290,
  [SMALL_STATE(6094)] = 174301,
  [SMALL_STATE(6095)] = 174312,
  [SMALL_STATE(6096)] = 174323,
  [SMALL_STATE(6097)] = 174334,
  [SMALL_STATE(6098)] = 174345,
  [SMALL_STATE(6099)] = 174356,
  [SMALL_STATE(6100)] = 174367,
  [SMALL_STATE(6101)] = 174378,
  [SMALL_STATE(6102)] = 174387,
  [SMALL_STATE(6103)] = 174396,
  [SMALL_STATE(6104)] = 174407,
  [SMALL_STATE(6105)] = 174418,
  [SMALL_STATE(6106)] = 174427,
  [SMALL_STATE(6107)] = 174436,
  [SMALL_STATE(6108)] = 174447,
  [SMALL_STATE(6109)] = 174456,
  [SMALL_STATE(6110)] = 174467,
  [SMALL_STATE(6111)] = 174478,
  [SMALL_STATE(6112)] = 174487,
  [SMALL_STATE(6113)] = 174498,
  [SMALL_STATE(6114)] = 174509,
  [SMALL_STATE(6115)] = 174520,
  [SMALL_STATE(6116)] = 174529,
  [SMALL_STATE(6117)] = 174540,
  [SMALL_STATE(6118)] = 174551,
  [SMALL_STATE(6119)] = 174562,
  [SMALL_STATE(6120)] = 174573,
  [SMALL_STATE(6121)] = 174584,
  [SMALL_STATE(6122)] = 174595,
  [SMALL_STATE(6123)] = 174606,
  [SMALL_STATE(6124)] = 174615,
  [SMALL_STATE(6125)] = 174626,
  [SMALL_STATE(6126)] = 174637,
  [SMALL_STATE(6127)] = 174648,
  [SMALL_STATE(6128)] = 174657,
  [SMALL_STATE(6129)] = 174668,
  [SMALL_STATE(6130)] = 174679,
  [SMALL_STATE(6131)] = 174690,
  [SMALL_STATE(6132)] = 174701,
  [SMALL_STATE(6133)] = 174712,
  [SMALL_STATE(6134)] = 174723,
  [SMALL_STATE(6135)] = 174734,
  [SMALL_STATE(6136)] = 174743,
  [SMALL_STATE(6137)] = 174754,
  [SMALL_STATE(6138)] = 174765,
  [SMALL_STATE(6139)] = 174774,
  [SMALL_STATE(6140)] = 174785,
  [SMALL_STATE(6141)] = 174796,
  [SMALL_STATE(6142)] = 174805,
  [SMALL_STATE(6143)] = 174816,
  [SMALL_STATE(6144)] = 174827,
  [SMALL_STATE(6145)] = 174838,
  [SMALL_STATE(6146)] = 174847,
  [SMALL_STATE(6147)] = 174858,
  [SMALL_STATE(6148)] = 174869,
  [SMALL_STATE(6149)] = 174880,
  [SMALL_STATE(6150)] = 174889,
  [SMALL_STATE(6151)] = 174900,
  [SMALL_STATE(6152)] = 174911,
  [SMALL_STATE(6153)] = 174920,
  [SMALL_STATE(6154)] = 174931,
  [SMALL_STATE(6155)] = 174942,
  [SMALL_STATE(6156)] = 174951,
  [SMALL_STATE(6157)] = 174960,
  [SMALL_STATE(6158)] = 174971,
  [SMALL_STATE(6159)] = 174980,
  [SMALL_STATE(6160)] = 174991,
  [SMALL_STATE(6161)] = 175000,
  [SMALL_STATE(6162)] = 175011,
  [SMALL_STATE(6163)] = 175022,
  [SMALL_STATE(6164)] = 175033,
  [SMALL_STATE(6165)] = 175042,
  [SMALL_STATE(6166)] = 175053,
  [SMALL_STATE(6167)] = 175064,
  [SMALL_STATE(6168)] = 175073,
  [SMALL_STATE(6169)] = 175084,
  [SMALL_STATE(6170)] = 175093,
  [SMALL_STATE(6171)] = 175104,
  [SMALL_STATE(6172)] = 175115,
  [SMALL_STATE(6173)] = 175126,
  [SMALL_STATE(6174)] = 175137,
  [SMALL_STATE(6175)] = 175146,
  [SMALL_STATE(6176)] = 175157,
  [SMALL_STATE(6177)] = 175168,
  [SMALL_STATE(6178)] = 175179,
  [SMALL_STATE(6179)] = 175190,
  [SMALL_STATE(6180)] = 175201,
  [SMALL_STATE(6181)] = 175212,
  [SMALL_STATE(6182)] = 175223,
  [SMALL_STATE(6183)] = 175232,
  [SMALL_STATE(6184)] = 175243,
  [SMALL_STATE(6185)] = 175254,
  [SMALL_STATE(6186)] = 175265,
  [SMALL_STATE(6187)] = 175276,
  [SMALL_STATE(6188)] = 175287,
  [SMALL_STATE(6189)] = 175298,
  [SMALL_STATE(6190)] = 175309,
  [SMALL_STATE(6191)] = 175320,
  [SMALL_STATE(6192)] = 175328,
  [SMALL_STATE(6193)] = 175336,
  [SMALL_STATE(6194)] = 175344,
  [SMALL_STATE(6195)] = 175352,
  [SMALL_STATE(6196)] = 175360,
  [SMALL_STATE(6197)] = 175368,
  [SMALL_STATE(6198)] = 175376,
  [SMALL_STATE(6199)] = 175384,
  [SMALL_STATE(6200)] = 175392,
  [SMALL_STATE(6201)] = 175402,
  [SMALL_STATE(6202)] = 175410,
  [SMALL_STATE(6203)] = 175418,
  [SMALL_STATE(6204)] = 175426,
  [SMALL_STATE(6205)] = 175434,
  [SMALL_STATE(6206)] = 175442,
  [SMALL_STATE(6207)] = 175450,
  [SMALL_STATE(6208)] = 175458,
  [SMALL_STATE(6209)] = 175466,
  [SMALL_STATE(6210)] = 175474,
  [SMALL_STATE(6211)] = 175482,
  [SMALL_STATE(6212)] = 175490,
  [SMALL_STATE(6213)] = 175498,
  [SMALL_STATE(6214)] = 175506,
  [SMALL_STATE(6215)] = 175516,
  [SMALL_STATE(6216)] = 175524,
  [SMALL_STATE(6217)] = 175532,
  [SMALL_STATE(6218)] = 175540,
  [SMALL_STATE(6219)] = 175548,
  [SMALL_STATE(6220)] = 175556,
  [SMALL_STATE(6221)] = 175564,
  [SMALL_STATE(6222)] = 175572,
  [SMALL_STATE(6223)] = 175580,
  [SMALL_STATE(6224)] = 175588,
  [SMALL_STATE(6225)] = 175596,
  [SMALL_STATE(6226)] = 175604,
  [SMALL_STATE(6227)] = 175612,
  [SMALL_STATE(6228)] = 175620,
  [SMALL_STATE(6229)] = 175628,
  [SMALL_STATE(6230)] = 175636,
  [SMALL_STATE(6231)] = 175644,
  [SMALL_STATE(6232)] = 175652,
  [SMALL_STATE(6233)] = 175660,
  [SMALL_STATE(6234)] = 175668,
  [SMALL_STATE(6235)] = 175676,
  [SMALL_STATE(6236)] = 175684,
  [SMALL_STATE(6237)] = 175692,
  [SMALL_STATE(6238)] = 175700,
  [SMALL_STATE(6239)] = 175708,
  [SMALL_STATE(6240)] = 175716,
  [SMALL_STATE(6241)] = 175724,
  [SMALL_STATE(6242)] = 175732,
  [SMALL_STATE(6243)] = 175740,
  [SMALL_STATE(6244)] = 175748,
  [SMALL_STATE(6245)] = 175756,
  [SMALL_STATE(6246)] = 175764,
  [SMALL_STATE(6247)] = 175772,
  [SMALL_STATE(6248)] = 175780,
  [SMALL_STATE(6249)] = 175788,
  [SMALL_STATE(6250)] = 175796,
  [SMALL_STATE(6251)] = 175804,
  [SMALL_STATE(6252)] = 175812,
  [SMALL_STATE(6253)] = 175820,
  [SMALL_STATE(6254)] = 175828,
  [SMALL_STATE(6255)] = 175836,
  [SMALL_STATE(6256)] = 175844,
  [SMALL_STATE(6257)] = 175852,
  [SMALL_STATE(6258)] = 175860,
  [SMALL_STATE(6259)] = 175868,
  [SMALL_STATE(6260)] = 175876,
  [SMALL_STATE(6261)] = 175884,
  [SMALL_STATE(6262)] = 175892,
  [SMALL_STATE(6263)] = 175900,
  [SMALL_STATE(6264)] = 175908,
  [SMALL_STATE(6265)] = 175916,
  [SMALL_STATE(6266)] = 175924,
  [SMALL_STATE(6267)] = 175932,
  [SMALL_STATE(6268)] = 175940,
  [SMALL_STATE(6269)] = 175948,
  [SMALL_STATE(6270)] = 175956,
  [SMALL_STATE(6271)] = 175964,
  [SMALL_STATE(6272)] = 175972,
  [SMALL_STATE(6273)] = 175980,
  [SMALL_STATE(6274)] = 175988,
  [SMALL_STATE(6275)] = 175996,
  [SMALL_STATE(6276)] = 176004,
  [SMALL_STATE(6277)] = 176012,
  [SMALL_STATE(6278)] = 176020,
  [SMALL_STATE(6279)] = 176028,
  [SMALL_STATE(6280)] = 176036,
  [SMALL_STATE(6281)] = 176044,
  [SMALL_STATE(6282)] = 176052,
  [SMALL_STATE(6283)] = 176060,
  [SMALL_STATE(6284)] = 176068,
  [SMALL_STATE(6285)] = 176078,
  [SMALL_STATE(6286)] = 176086,
  [SMALL_STATE(6287)] = 176094,
  [SMALL_STATE(6288)] = 176102,
  [SMALL_STATE(6289)] = 176110,
  [SMALL_STATE(6290)] = 176118,
  [SMALL_STATE(6291)] = 176126,
  [SMALL_STATE(6292)] = 176134,
  [SMALL_STATE(6293)] = 176142,
  [SMALL_STATE(6294)] = 176150,
  [SMALL_STATE(6295)] = 176158,
  [SMALL_STATE(6296)] = 176166,
  [SMALL_STATE(6297)] = 176174,
  [SMALL_STATE(6298)] = 176182,
  [SMALL_STATE(6299)] = 176190,
  [SMALL_STATE(6300)] = 176198,
  [SMALL_STATE(6301)] = 176206,
  [SMALL_STATE(6302)] = 176214,
  [SMALL_STATE(6303)] = 176222,
  [SMALL_STATE(6304)] = 176230,
  [SMALL_STATE(6305)] = 176238,
  [SMALL_STATE(6306)] = 176246,
  [SMALL_STATE(6307)] = 176254,
  [SMALL_STATE(6308)] = 176262,
  [SMALL_STATE(6309)] = 176270,
  [SMALL_STATE(6310)] = 176278,
  [SMALL_STATE(6311)] = 176286,
  [SMALL_STATE(6312)] = 176294,
  [SMALL_STATE(6313)] = 176302,
  [SMALL_STATE(6314)] = 176310,
  [SMALL_STATE(6315)] = 176318,
  [SMALL_STATE(6316)] = 176326,
  [SMALL_STATE(6317)] = 176334,
  [SMALL_STATE(6318)] = 176342,
  [SMALL_STATE(6319)] = 176350,
  [SMALL_STATE(6320)] = 176358,
  [SMALL_STATE(6321)] = 176366,
  [SMALL_STATE(6322)] = 176374,
  [SMALL_STATE(6323)] = 176382,
  [SMALL_STATE(6324)] = 176390,
  [SMALL_STATE(6325)] = 176398,
  [SMALL_STATE(6326)] = 176406,
  [SMALL_STATE(6327)] = 176414,
  [SMALL_STATE(6328)] = 176422,
  [SMALL_STATE(6329)] = 176430,
  [SMALL_STATE(6330)] = 176438,
  [SMALL_STATE(6331)] = 176446,
  [SMALL_STATE(6332)] = 176454,
  [SMALL_STATE(6333)] = 176462,
  [SMALL_STATE(6334)] = 176470,
  [SMALL_STATE(6335)] = 176480,
  [SMALL_STATE(6336)] = 176488,
  [SMALL_STATE(6337)] = 176496,
  [SMALL_STATE(6338)] = 176504,
  [SMALL_STATE(6339)] = 176512,
  [SMALL_STATE(6340)] = 176520,
  [SMALL_STATE(6341)] = 176528,
  [SMALL_STATE(6342)] = 176536,
  [SMALL_STATE(6343)] = 176544,
  [SMALL_STATE(6344)] = 176552,
  [SMALL_STATE(6345)] = 176560,
  [SMALL_STATE(6346)] = 176568,
  [SMALL_STATE(6347)] = 176576,
  [SMALL_STATE(6348)] = 176584,
  [SMALL_STATE(6349)] = 176592,
  [SMALL_STATE(6350)] = 176600,
  [SMALL_STATE(6351)] = 176608,
  [SMALL_STATE(6352)] = 176616,
  [SMALL_STATE(6353)] = 176624,
  [SMALL_STATE(6354)] = 176632,
  [SMALL_STATE(6355)] = 176640,
  [SMALL_STATE(6356)] = 176648,
  [SMALL_STATE(6357)] = 176656,
  [SMALL_STATE(6358)] = 176664,
  [SMALL_STATE(6359)] = 176672,
  [SMALL_STATE(6360)] = 176682,
  [SMALL_STATE(6361)] = 176690,
  [SMALL_STATE(6362)] = 176698,
  [SMALL_STATE(6363)] = 176706,
  [SMALL_STATE(6364)] = 176714,
  [SMALL_STATE(6365)] = 176722,
  [SMALL_STATE(6366)] = 176730,
  [SMALL_STATE(6367)] = 176738,
  [SMALL_STATE(6368)] = 176746,
  [SMALL_STATE(6369)] = 176754,
  [SMALL_STATE(6370)] = 176762,
  [SMALL_STATE(6371)] = 176770,
  [SMALL_STATE(6372)] = 176778,
  [SMALL_STATE(6373)] = 176786,
  [SMALL_STATE(6374)] = 176794,
  [SMALL_STATE(6375)] = 176802,
  [SMALL_STATE(6376)] = 176810,
  [SMALL_STATE(6377)] = 176818,
  [SMALL_STATE(6378)] = 176826,
  [SMALL_STATE(6379)] = 176834,
  [SMALL_STATE(6380)] = 176842,
  [SMALL_STATE(6381)] = 176850,
  [SMALL_STATE(6382)] = 176858,
  [SMALL_STATE(6383)] = 176866,
  [SMALL_STATE(6384)] = 176874,
  [SMALL_STATE(6385)] = 176882,
  [SMALL_STATE(6386)] = 176890,
  [SMALL_STATE(6387)] = 176898,
  [SMALL_STATE(6388)] = 176906,
  [SMALL_STATE(6389)] = 176914,
  [SMALL_STATE(6390)] = 176922,
  [SMALL_STATE(6391)] = 176930,
  [SMALL_STATE(6392)] = 176938,
  [SMALL_STATE(6393)] = 176946,
  [SMALL_STATE(6394)] = 176954,
  [SMALL_STATE(6395)] = 176962,
  [SMALL_STATE(6396)] = 176970,
  [SMALL_STATE(6397)] = 176978,
  [SMALL_STATE(6398)] = 176986,
  [SMALL_STATE(6399)] = 176994,
  [SMALL_STATE(6400)] = 177002,
  [SMALL_STATE(6401)] = 177010,
  [SMALL_STATE(6402)] = 177018,
  [SMALL_STATE(6403)] = 177026,
  [SMALL_STATE(6404)] = 177034,
  [SMALL_STATE(6405)] = 177042,
  [SMALL_STATE(6406)] = 177050,
  [SMALL_STATE(6407)] = 177058,
  [SMALL_STATE(6408)] = 177066,
  [SMALL_STATE(6409)] = 177074,
  [SMALL_STATE(6410)] = 177082,
  [SMALL_STATE(6411)] = 177090,
  [SMALL_STATE(6412)] = 177098,
  [SMALL_STATE(6413)] = 177106,
  [SMALL_STATE(6414)] = 177114,
  [SMALL_STATE(6415)] = 177122,
  [SMALL_STATE(6416)] = 177130,
  [SMALL_STATE(6417)] = 177138,
  [SMALL_STATE(6418)] = 177146,
  [SMALL_STATE(6419)] = 177154,
  [SMALL_STATE(6420)] = 177162,
  [SMALL_STATE(6421)] = 177170,
  [SMALL_STATE(6422)] = 177178,
  [SMALL_STATE(6423)] = 177186,
  [SMALL_STATE(6424)] = 177194,
  [SMALL_STATE(6425)] = 177202,
  [SMALL_STATE(6426)] = 177210,
  [SMALL_STATE(6427)] = 177218,
  [SMALL_STATE(6428)] = 177226,
  [SMALL_STATE(6429)] = 177234,
  [SMALL_STATE(6430)] = 177242,
  [SMALL_STATE(6431)] = 177250,
  [SMALL_STATE(6432)] = 177258,
  [SMALL_STATE(6433)] = 177268,
  [SMALL_STATE(6434)] = 177276,
  [SMALL_STATE(6435)] = 177284,
  [SMALL_STATE(6436)] = 177292,
  [SMALL_STATE(6437)] = 177300,
  [SMALL_STATE(6438)] = 177308,
  [SMALL_STATE(6439)] = 177318,
  [SMALL_STATE(6440)] = 177326,
  [SMALL_STATE(6441)] = 177334,
  [SMALL_STATE(6442)] = 177342,
  [SMALL_STATE(6443)] = 177350,
  [SMALL_STATE(6444)] = 177358,
  [SMALL_STATE(6445)] = 177368,
  [SMALL_STATE(6446)] = 177376,
  [SMALL_STATE(6447)] = 177384,
  [SMALL_STATE(6448)] = 177392,
  [SMALL_STATE(6449)] = 177400,
  [SMALL_STATE(6450)] = 177408,
  [SMALL_STATE(6451)] = 177416,
  [SMALL_STATE(6452)] = 177424,
  [SMALL_STATE(6453)] = 177432,
  [SMALL_STATE(6454)] = 177440,
  [SMALL_STATE(6455)] = 177448,
  [SMALL_STATE(6456)] = 177456,
  [SMALL_STATE(6457)] = 177464,
  [SMALL_STATE(6458)] = 177472,
  [SMALL_STATE(6459)] = 177480,
  [SMALL_STATE(6460)] = 177488,
  [SMALL_STATE(6461)] = 177496,
  [SMALL_STATE(6462)] = 177504,
  [SMALL_STATE(6463)] = 177512,
  [SMALL_STATE(6464)] = 177520,
  [SMALL_STATE(6465)] = 177528,
  [SMALL_STATE(6466)] = 177536,
  [SMALL_STATE(6467)] = 177544,
  [SMALL_STATE(6468)] = 177552,
  [SMALL_STATE(6469)] = 177560,
  [SMALL_STATE(6470)] = 177568,
  [SMALL_STATE(6471)] = 177576,
  [SMALL_STATE(6472)] = 177584,
  [SMALL_STATE(6473)] = 177592,
  [SMALL_STATE(6474)] = 177600,
  [SMALL_STATE(6475)] = 177608,
  [SMALL_STATE(6476)] = 177616,
  [SMALL_STATE(6477)] = 177624,
  [SMALL_STATE(6478)] = 177632,
  [SMALL_STATE(6479)] = 177640,
  [SMALL_STATE(6480)] = 177648,
  [SMALL_STATE(6481)] = 177656,
  [SMALL_STATE(6482)] = 177664,
  [SMALL_STATE(6483)] = 177672,
  [SMALL_STATE(6484)] = 177680,
  [SMALL_STATE(6485)] = 177688,
  [SMALL_STATE(6486)] = 177696,
  [SMALL_STATE(6487)] = 177704,
  [SMALL_STATE(6488)] = 177712,
  [SMALL_STATE(6489)] = 177720,
  [SMALL_STATE(6490)] = 177728,
  [SMALL_STATE(6491)] = 177736,
  [SMALL_STATE(6492)] = 177744,
  [SMALL_STATE(6493)] = 177752,
  [SMALL_STATE(6494)] = 177760,
  [SMALL_STATE(6495)] = 177768,
  [SMALL_STATE(6496)] = 177776,
  [SMALL_STATE(6497)] = 177784,
  [SMALL_STATE(6498)] = 177792,
  [SMALL_STATE(6499)] = 177800,
  [SMALL_STATE(6500)] = 177808,
  [SMALL_STATE(6501)] = 177816,
  [SMALL_STATE(6502)] = 177824,
  [SMALL_STATE(6503)] = 177832,
  [SMALL_STATE(6504)] = 177842,
  [SMALL_STATE(6505)] = 177850,
  [SMALL_STATE(6506)] = 177858,
  [SMALL_STATE(6507)] = 177866,
  [SMALL_STATE(6508)] = 177874,
  [SMALL_STATE(6509)] = 177882,
  [SMALL_STATE(6510)] = 177890,
  [SMALL_STATE(6511)] = 177898,
  [SMALL_STATE(6512)] = 177906,
  [SMALL_STATE(6513)] = 177914,
  [SMALL_STATE(6514)] = 177922,
  [SMALL_STATE(6515)] = 177930,
  [SMALL_STATE(6516)] = 177938,
  [SMALL_STATE(6517)] = 177946,
  [SMALL_STATE(6518)] = 177954,
  [SMALL_STATE(6519)] = 177962,
  [SMALL_STATE(6520)] = 177970,
  [SMALL_STATE(6521)] = 177978,
  [SMALL_STATE(6522)] = 177986,
  [SMALL_STATE(6523)] = 177994,
  [SMALL_STATE(6524)] = 178002,
  [SMALL_STATE(6525)] = 178010,
  [SMALL_STATE(6526)] = 178018,
  [SMALL_STATE(6527)] = 178026,
  [SMALL_STATE(6528)] = 178034,
  [SMALL_STATE(6529)] = 178042,
  [SMALL_STATE(6530)] = 178050,
  [SMALL_STATE(6531)] = 178058,
  [SMALL_STATE(6532)] = 178066,
  [SMALL_STATE(6533)] = 178074,
  [SMALL_STATE(6534)] = 178082,
  [SMALL_STATE(6535)] = 178090,
  [SMALL_STATE(6536)] = 178098,
  [SMALL_STATE(6537)] = 178106,
  [SMALL_STATE(6538)] = 178114,
  [SMALL_STATE(6539)] = 178122,
  [SMALL_STATE(6540)] = 178130,
  [SMALL_STATE(6541)] = 178138,
  [SMALL_STATE(6542)] = 178146,
  [SMALL_STATE(6543)] = 178154,
  [SMALL_STATE(6544)] = 178162,
  [SMALL_STATE(6545)] = 178170,
  [SMALL_STATE(6546)] = 178178,
  [SMALL_STATE(6547)] = 178186,
  [SMALL_STATE(6548)] = 178194,
  [SMALL_STATE(6549)] = 178202,
  [SMALL_STATE(6550)] = 178210,
  [SMALL_STATE(6551)] = 178218,
  [SMALL_STATE(6552)] = 178226,
  [SMALL_STATE(6553)] = 178234,
  [SMALL_STATE(6554)] = 178242,
  [SMALL_STATE(6555)] = 178250,
  [SMALL_STATE(6556)] = 178258,
  [SMALL_STATE(6557)] = 178266,
  [SMALL_STATE(6558)] = 178274,
  [SMALL_STATE(6559)] = 178282,
  [SMALL_STATE(6560)] = 178290,
  [SMALL_STATE(6561)] = 178298,
  [SMALL_STATE(6562)] = 178306,
  [SMALL_STATE(6563)] = 178314,
  [SMALL_STATE(6564)] = 178322,
  [SMALL_STATE(6565)] = 178330,
  [SMALL_STATE(6566)] = 178340,
  [SMALL_STATE(6567)] = 178348,
  [SMALL_STATE(6568)] = 178356,
  [SMALL_STATE(6569)] = 178364,
  [SMALL_STATE(6570)] = 178372,
  [SMALL_STATE(6571)] = 178380,
  [SMALL_STATE(6572)] = 178388,
  [SMALL_STATE(6573)] = 178396,
  [SMALL_STATE(6574)] = 178404,
  [SMALL_STATE(6575)] = 178412,
  [SMALL_STATE(6576)] = 178420,
  [SMALL_STATE(6577)] = 178428,
  [SMALL_STATE(6578)] = 178436,
  [SMALL_STATE(6579)] = 178444,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6334),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(463),
  [122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(486),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(6432),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(462),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6507),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(617),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1257),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(637),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5944),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3863),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3593),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5902),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5858),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5246),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6092),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6013),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5345),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5417),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6167),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5445),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4884),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4907),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(676),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3609),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6334),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3562),
  [459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4053),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2280),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6429),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2280),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5415),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1251),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1126),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6574),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6213),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6232),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 88),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 88),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 240),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 240),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 54),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 54),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(35),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 7),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(186),
  [736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(202),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3565),
  [744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3981),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 28),
  [855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 28),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(329),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 28),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(539),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6515),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 5),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 5),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 166),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 166),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 166),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 166),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 229),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 229),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 229),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 229),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 235),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 235),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 235),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 235),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 181),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 181),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 181),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 181),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 46),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 46),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 46),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 46),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 70),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 70),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 194),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 194),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 194),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 194),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 105),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 105),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 83),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 83),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 106),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 106),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 106),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 106),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 107),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 107),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 107),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 107),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 126),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 126),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 126),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 126),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1877] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3226),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 195),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 195),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 195),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 195),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1891] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(2979),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 147),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 147),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 147),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 147),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 25),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 25),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 181),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 181),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 181),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 181),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2751),
  [2268] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(195),
  [2272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(464),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [2281] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(5477),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6250),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6236),
  [2373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(195),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(5477),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6552),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 42),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 42),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6563),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 34),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 34),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 94),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 94),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 100),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 100),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 243),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 243),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 274),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 274),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 181),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 181),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 197),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 197),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 146),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 146),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 125),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 125),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 139),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 139),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 142),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 142),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 150),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 150),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 143),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 143),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 81),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 81),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 199),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 199),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 29),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 29),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 150),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 150),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 33),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 33),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 35),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 35),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 33),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 33),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 152),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 152),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 150),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 150),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 91),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 91),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 81),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 81),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 81),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 81),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 166),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 166),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 92),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 92),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 44),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 44),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 21),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 21),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 181),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 181),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 41),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 41),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 230),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 230),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 60),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 60),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 93),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 93),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 234),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 234),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 194),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 194),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 195),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 195),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 44),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 44),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 236),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 236),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 6),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 6),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 29),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 29),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 193),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 193),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 100),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 100),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 43),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 43),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 23),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 23),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 107),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 107),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 79),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 79),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 30),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 30),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 101),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 101),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 68),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 68),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 229),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 229),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 269),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 269),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 69),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 69),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 234),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 234),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 235),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 235),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 270),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 270),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 46),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 46),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 147),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 147),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 36),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 36),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 82),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 82),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 180),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 180),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 126),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 126),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 185),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 185),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 186),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 186),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 189),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 189),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 60),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 60),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 237),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 237),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 202),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 202),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 273),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 273),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 241),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 241),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 203),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 203),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6278),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6517),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6290),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6356),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [3349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [3374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 72),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 72),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 191),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 191),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 70),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 70),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 70),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 71),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 71),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 73),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 73),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 71),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 144),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 144),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(377),
  [3451] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6512),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1039),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 49), SHIFT(6016),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6534),
  [3489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1043),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(466),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20),
  [3517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(5544),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [3522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(237),
  [3525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT(3282),
  [3528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 3, 0, 74),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 3, 0, 74),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 15),
  [3558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 15),
  [3560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 70),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 70),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3568] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3576] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 28),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(330),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [3592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 70),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 71),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(541),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(3245),
  [3702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2810),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20),
  [3707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1402),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(372),
  [3713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(4804),
  [3716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(4805),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2351),
  [3722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(6345),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(3016),
  [3728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(5031),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1543),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1804),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2469),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1664),
  [3743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2025),
  [3746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2246),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2657),
  [3752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2813),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1431),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2475),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [3799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1836),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2131),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1784),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1674),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [3955] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), REDUCE(aux_sym_object_repeat1, 2, 0, 26), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 112),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 112),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 111),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 111),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [3993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 13),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 13),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 49),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 117),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 117),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [4017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 50),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 50),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [4033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 51),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 51),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 17),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 17),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 70),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 70),
  [4049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 70), REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 113),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 113),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 83), REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 174),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 174),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 175),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 175),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 176),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 176),
  [4139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 177),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 177),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 178),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 178),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 114),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 114),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 65),
  [4183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 66),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 67),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67),
  [4189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(146),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 77),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 67),
  [4214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 71),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 71),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 175),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 175),
  [4222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 176),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 176),
  [4226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 225),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 225),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 226),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 226),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 123),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 124),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 128),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 129),
  [4246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [4262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [4266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 8),
  [4276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 8),
  [4278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 15),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 15),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 15),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 15),
  [4286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 227),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 227),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 116),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 116),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 228),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 228),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 190),
  [4310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 15),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 15),
  [4314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 144),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 144),
  [4318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 264),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 264),
  [4322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 265),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 265),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 266),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 266),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [4344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(6031),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 267),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 267),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 268),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 268),
  [4359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 296),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 296),
  [4367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 297),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 297),
  [4371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 53),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 53),
  [4375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 298),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 298),
  [4379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(146),
  [4386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 299),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 299),
  [4390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 300),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 300),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(146),
  [4407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 321),
  [4409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 321),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(146),
  [4420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 115),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 115),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [4432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 116),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 116),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [4452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [4454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 118),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 118),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [4470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 119),
  [4472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 119),
  [4474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 169),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 169),
  [4486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 119),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 119),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 170),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 170),
  [4494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 89),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 89),
  [4498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 192),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 192),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 24),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 22),
  [4506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 171),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 171),
  [4510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 52),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 52),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [4516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 88),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 88), SHIFT(494),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 74),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 74),
  [4629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [4631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [4643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 145),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 145),
  [4647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 60),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 60),
  [4651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 64),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 64),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [4667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 148),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 148),
  [4671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 149),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 149),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(154),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [4682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [4686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 179),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 179),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 183),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 183),
  [4694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 184),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 184),
  [4698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 45),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 45),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 196),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 196),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 50),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 50),
  [4722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 54),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 54),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 55),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 55),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [4738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 75),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 75),
  [4742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(154),
  [4745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [4747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [4749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 76),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 76),
  [4753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 77),
  [4755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84), REDUCE(sym_assignment_expression, 3, 0, 22),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 26),
  [4762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 27),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 26),
  [4766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(144),
  [4769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(144),
  [4772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 80),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 80),
  [4776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 26),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 26),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84), REDUCE(sym_assignment_expression, 3, 0, 65),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(144),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 65), REDUCE(sym_assignment_expression, 3, 0, 65),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 65),
  [4797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [4808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [4814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 11),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 11),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [4820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 2, -1, 0),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 2, -1, 0),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [4838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(144),
  [4849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 120),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 120),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 122),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 122),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 16),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 16),
  [4870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 60),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 60),
  [4874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 123),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 64),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 64),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 124),
  [4882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [4884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [4886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 122),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 122),
  [4890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 12),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 12),
  [4894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 127),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 127),
  [4898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 66),
  [4900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 130),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 130),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 133),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 133),
  [4908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 135),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 135),
  [4912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 137),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 137),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 24),
  [4918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 138),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 138),
  [4922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(154),
  [4925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 26), REDUCE(sym_object_pattern, 3, 0, 27),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(154),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [4989] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [5005] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 47),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 27),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 65),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [5097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(153),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(153),
  [5107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(153),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(153),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 37),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 37),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [5159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9),
  [5164] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 50),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 85),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [5236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 50),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(147),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [5292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(147),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(147),
  [5298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(147),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 37),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 37),
  [5305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 50), REDUCE(sym__parameter_name, 2, 0, 37),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [5354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(145),
  [5357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(145),
  [5360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(145),
  [5363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(145),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [5398] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 95),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 95),
  [5446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 99),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 99),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 88), SHIFT(568),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 108),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [5513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [5516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 26), REDUCE(sym_object_pattern, 3, 0, 27),
  [5519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 155),
  [5574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 155),
  [5576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 157),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 157),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [5616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 40),
  [5618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 40),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [5636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 205),
  [5648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 205),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [5656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(149),
  [5659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(149),
  [5662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(149),
  [5665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(149),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [5696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [5701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(152),
  [5711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(152),
  [5714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(152),
  [5717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(152),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(148),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [5803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 26), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [5806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(148),
  [5809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(148),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [5856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(148),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 26),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 106), REDUCE(sym_class, 5, 0, 194),
  [5912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 106), REDUCE(sym_class, 5, 0, 194),
  [5915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 107), REDUCE(sym_class, 5, 0, 195),
  [5918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 107), REDUCE(sym_class, 5, 0, 195),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 120), REDUCE(sym_class, 5, 0, 196),
  [5924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 120), REDUCE(sym_class, 5, 0, 196),
  [5927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 166), REDUCE(sym_class, 6, 0, 235),
  [5930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 166), REDUCE(sym_class, 6, 0, 235),
  [5933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 46), REDUCE(sym_class, 4, 0, 147),
  [5936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 46), REDUCE(sym_class, 4, 0, 147),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 148),
  [5944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 148),
  [5947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 149),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 149),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [5965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 80),
  [5968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 80),
  [5971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 272),
  [5973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 272),
  [5975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103),
  [5977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103),
  [5979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103), SHIFT_REPEAT(2625),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 229),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 229),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 238),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 238),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 126),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 126),
  [5998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 200),
  [6000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 200),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 86),
  [6006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 86),
  [6008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 181),
  [6010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 181),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(2618),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 301),
  [6025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 301),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 271),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 271),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [6039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 302),
  [6041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 302),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 322),
  [6045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 322),
  [6047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 323),
  [6049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 323),
  [6051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 341),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 341),
  [6055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 153),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 153),
  [6059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 103),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 103),
  [6063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [6109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [6127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [6163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(5031),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [6258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [6448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 14),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [6470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 14), SHIFT(4041),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 216),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 163),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [6629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 254),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [6637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 60),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 5),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 158),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 294),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 104),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [6679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 209),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 252),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [6733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49), REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [6742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 252),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 209),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 5),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [6766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [6768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [6770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [6798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [6804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 60),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [6822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 158),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 60),
  [6834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 163),
  [6836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49), SHIFT(6016),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 216),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 104),
  [6843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [6846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(4086),
  [6849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3144),
  [6852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [6854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(4087),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 254),
  [6859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 5),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 209),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 60),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [6875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 158),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 252),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [6883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 252),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 209),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 5),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 158),
  [6895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 294),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [6953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [6957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [6963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [6975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [6999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 320),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [7091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 340),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [7131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [7175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 287),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [7257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 313),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [7347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [7389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(3625),
  [7392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(286),
  [7395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134),
  [7397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(3625),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [7472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 27),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6505),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [7600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [7602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [7604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [7616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 224),
  [7618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 313),
  [7620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 287),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 125),
  [7630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 7),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [7634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 7),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 10),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 162),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 320),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [7658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 279),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [7666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 168),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [7670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(377),
  [7673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 280),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [7679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [7681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 102),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [7687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 223),
  [7689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 206),
  [7691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 180),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(466),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 263),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [7710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 59),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [7716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 303),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [7728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 305),
  [7730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 140),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 140),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [7742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [7744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 340),
  [7746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 326),
  [7748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 333),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 244),
  [7756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 245),
  [7758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 346),
  [7760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [7778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [7780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(5415),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [7791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 18),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [7799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [7801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [7803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 78),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [7821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [7827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 133),
  [7829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [7831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 135),
  [7833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 137),
  [7835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 138),
  [7837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 141),
  [7839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 141),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [7845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [7893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6415),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [7898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 60),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [7977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [7983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 64),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [7987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [7991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4049),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [7996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(346),
  [7999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [8013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, -1, 183),
  [8015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, -1, 184),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 10),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [8045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [8054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [8075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [8081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 140),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 140),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [8111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 282),
  [8113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 286),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 211),
  [8117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 291),
  [8119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 324),
  [8121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 325),
  [8123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 319),
  [8125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 329),
  [8129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 315),
  [8131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 213),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 332),
  [8135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 336),
  [8137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 256),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 339),
  [8143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 289),
  [8145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 262),
  [8147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 258),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [8155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(956),
  [8158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(909),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 307),
  [8187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 344),
  [8189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 349),
  [8191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(899),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 352),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [8212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1071),
  [8215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(894),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [8230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(1073),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [8235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 31),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [8245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [8257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 356),
  [8259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [8265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 160),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [8271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 89),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [8279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 165),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [8283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 32),
  [8285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, 0, 61),
  [8287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, 0, 61),
  [8289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 32),
  [8291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [8293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [8297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 261),
  [8299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [8301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [8304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4451),
  [8307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [8309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [8311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 7),
  [8313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 7),
  [8315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [8317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [8319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 32),
  [8323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(988),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [8330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(904),
  [8333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 275),
  [8335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 277),
  [8337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 278),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 207),
  [8347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 208),
  [8349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [8351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 211),
  [8353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 213),
  [8355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 282),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [8359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 110),
  [8361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 218),
  [8363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 286),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [8367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [8373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 220),
  [8375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [8377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 249),
  [8379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 222),
  [8381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 160),
  [8383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 89),
  [8385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 247),
  [8387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 295),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [8391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(895),
  [8394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1016),
  [8397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(897),
  [8400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 307),
  [8402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(1019),
  [8405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 309),
  [8407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 310),
  [8409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 312),
  [8411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [8413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [8417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 141),
  [8419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 141),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [8423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 247),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 249),
  [8427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 253),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [8443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1000),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [8468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 97),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [8472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 109),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [8496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4792),
  [8499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [8501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4792),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4797),
  [8517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [8519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4797),
  [8522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3731),
  [8525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [8527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [8537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [8555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4813),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [8562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [8564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4816),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [8581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 187),
  [8583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 187),
  [8585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 188),
  [8587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 188),
  [8589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231),
  [8591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231), SHIFT_REPEAT(4815),
  [8594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231),
  [8596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 60),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 167),
  [8602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 167), SHIFT_REPEAT(353),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [8627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [8629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [8632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 48),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [8644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 63),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [8652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 132),
  [8654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 39),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [8672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 276),
  [8686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [8690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [8709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [8732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [8735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [8743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 316),
  [8745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 317),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [8755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 348),
  [8757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 292),
  [8759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 290),
  [8761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 288),
  [8763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 350),
  [8765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 318),
  [8767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 347),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 314),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [8797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [8799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(3414),
  [8802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [8806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [8810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 351),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [8814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 293),
  [8816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [8846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 327),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [8852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 328),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [8878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [8881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [8887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 330),
  [8889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 331),
  [8891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 353),
  [8893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 255),
  [8895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 354),
  [8897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 355),
  [8899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 334),
  [8901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 335),
  [8903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 159),
  [8905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 357),
  [8907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 337),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 89),
  [8929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 125),
  [8931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 161),
  [8933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 338),
  [8935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 257),
  [8937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 90),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [8941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(5374),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 90),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 11, 0, 358),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 259),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [8990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 164),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 260),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 48),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [9104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [9108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 29),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 281),
  [9112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 210),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 212),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 214),
  [9118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 283),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [9122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 284),
  [9124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 31),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 180),
  [9128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 206),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 215),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5623),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [9140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 60),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [9144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [9150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 217),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [9154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 285),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [9166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 219),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [9172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 279),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 221),
  [9176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [9178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2393),
  [9181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [9183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [9186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 85),
  [9192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [9207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 280),
  [9209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [9211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3573),
  [9214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [9218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 304),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 306),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [9230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 308),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [9234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(5690),
  [9237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 311),
  [9241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [9243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [9251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 233), SHIFT_REPEAT(2725),
  [9254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 233),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [9266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 303),
  [9268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 239),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 342),
  [9276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 343),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [9280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 246),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 345),
  [9284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 248),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 250),
  [9288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 251),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [9296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 244),
  [9298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 245),
  [9300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(541),
  [9303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [9311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 32),
  [9313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 198),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [9317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 131),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [9321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 38),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [9335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 151),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [9345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 201),
  [9347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 198),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [9451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 136),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 62),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [9497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [9509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 96),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [9519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 89),
  [9521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 151),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [9545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 98),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [9549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [9555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 182),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 60),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [9571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [9599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [9601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 31),
  [9603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 156),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [9613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 154),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [9631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [9673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [9705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [9767] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [9855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [9873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6503),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [9913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [10037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6565),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [10157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token__function_signature_automatic_semicolon = 7,
  ts_external_token___error_recovery = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
